ALTER TABLE `opcao` ADD COLUMN IF NOT EXISTS `Abertura_Caixa` ENUM('Funcionario','Usuario') NOT NULL DEFAULT 'Usuario';
ALTER TABLE `opcao` ADD COLUMN IF NOT EXISTS `Opcao_Pagamento_Parcial` ENUM('Sim','No') NOT NULL DEFAULT 'No';
ALTER TABLE `opcao` ADD COLUMN IF NOT EXISTS `Bloqueio_Cliente_Inadimplente_Restaurante` ENUM('Sim','No') NOT NULL DEFAULT 'No';
ALTER TABLE `opcao` ADD COLUMN IF NOT EXISTS `Bloqueio_Cliente_Sem_Limite_Restaurante` ENUM('Sim','No') NOT NULL DEFAULT 'No';
ALTER TABLE `opcao` ADD COLUMN IF NOT EXISTS `Qtd_Casa_Decimal_Producao` varchar(10) NOT NULL;
ALTER TABLE `opcao` ADD COLUMN IF NOT EXISTS `Verificar_Numero_Comanda`  ENUM('Sim','No') NOT NULL DEFAULT 'No';




ALTER TABLE `nfe_pedido_produto` ADD COLUMN IF NOT EXISTS `pDif` DOUBLE NOT NULL AFTER `Desconto_Total`;
ALTER TABLE `del_nfe_pedido_produto` ADD COLUMN IF NOT EXISTS `pDif` DOUBLE NOT NULL AFTER `Desconto_Total`;



ALTER TABLE `nfe` ADD COLUMN IF NOT EXISTS `Pedido_Liberado` ENUM('Sim','No') NOT NULL DEFAULT 'No' ;
ALTER TABLE `del_nfe` ADD COLUMN IF NOT EXISTS `Pedido_Liberado` ENUM('Sim','No') NOT NULL DEFAULT 'No' ;

ALTER TABLE `nfe` ADD COLUMN IF NOT EXISTS `Id_Usuario_Liberacao` VARCHAR(32) NOT NULL AFTER `Pedido_Liberado`, ADD COLUMN IF NOT EXISTS `Data_Liberado` DATETIME NOT NULL AFTER `Id_Usuario_Liberacao`;
ALTER TABLE `del_nfe` ADD COLUMN IF NOT EXISTS `Id_Usuario_Liberacao` VARCHAR(32) NOT NULL AFTER `Pedido_Liberado`, ADD COLUMN IF NOT EXISTS `Data_Liberado` DATETIME NOT NULL AFTER `Id_Usuario_Liberacao`;


ALTER TABLE `nfe` ADD COLUMN IF NOT EXISTS `Possui_Servico` ENUM('Sim','No') NOT NULL DEFAULT 'No';
ALTER TABLE `del_nfe` ADD COLUMN IF NOT EXISTS `Possui_Servico` ENUM('Sim','No') NOT NULL DEFAULT 'No';



ALTER TABLE `nfe` ADD COLUMN IF NOT EXISTS `vICMSMono` DOUBLE NOT NULL AFTER `Possui_Servico`,
ADD COLUMN IF NOT EXISTS `vICMSMonoReten` DOUBLE NOT NULL AFTER `vICMSMono`;
ALTER TABLE `del_nfe` ADD COLUMN IF NOT EXISTS `vICMSMono` DOUBLE NOT NULL AFTER `Possui_Servico`,
ADD COLUMN IF NOT EXISTS `vICMSMonoReten` DOUBLE NOT NULL AFTER `vICMSMono`;


ALTER TABLE `nfe` ADD COLUMN IF NOT EXISTS `vICMSMonoRet` DOUBLE NOT NULL AFTER `vICMSMonoReten`;
ALTER TABLE `del_nfe` ADD COLUMN IF NOT EXISTS `vICMSMonoRet` DOUBLE NOT NULL AFTER `vICMSMonoReten`;



ALTER TABLE usuario ADD COLUMN IF NOT EXISTS Anexo_Cliente ENUM('Sim','No') NOT NULL DEFAULT 'Sim' AFTER Liberar_Producao;

ALTER TABLE usuario ADD COLUMN IF NOT EXISTS Alterar_Preco_Item_Pdv ENUM('Sim','No') NOT NULL DEFAULT 'Sim' AFTER Liberar_Producao;

ALTER TABLE `produto` ADD COLUMN IF NOT EXISTS `Mkup13` DOUBLE NOT NULL AFTER `Mkup12`,
ADD COLUMN IF NOT EXISTS `Mkup14` DOUBLE NOT NULL AFTER `Mkup13`,
ADD COLUMN IF NOT EXISTS `Mkup15` DOUBLE NOT NULL AFTER `Mkup14`;


INSERT INTO menu SET Id = 3196, Chamada = 'Venda25', Titulo = 'Venda 25', Id_Pai = 3, Ordem = 196, Ativo = 'No';

INSERT INTO menu SET Id = 3189, Chamada = 'Producao_Lote_7', Titulo = 'Produo Lote 7', Id_Pai = 3, Ordem = 189, Ativo = 'No';

UPDATE menu SET Id='3204',Ordem = 204  WHERE Id='3189' AND Chamada='Revalidacao_Lote';


ALTER TABLE `nfe` ADD COLUMN IF NOT EXISTS `Mdfe` ENUM('Sim','No') NOT NULL DEFAULT 'No' AFTER `vICMSMonoRet`;
ALTER TABLE `del_nfe` ADD COLUMN IF NOT EXISTS `Mdfe` ENUM('Sim','No') NOT NULL DEFAULT 'No' AFTER `vICMSMonoRet`;



ALTER TABLE `rmes` ADD COLUMN IF NOT EXISTS `Id_Pre_Venda` VARCHAR(32) NOT NULL AFTER `Id_Funcionario_Liberacao`,
ADD COLUMN IF NOT EXISTS `Lancamento_Pre_Venda` INT(11) NOT NULL AFTER `Id_Pre_Venda`,
ADD COLUMN IF NOT EXISTS `Id_Cliente_Pre_Venda` VARCHAR(32) NOT NULL AFTER `Lancamento_Pre_Venda`;

ALTER TABLE `rmes` ADD COLUMN IF NOT EXISTS `Data_Entrega_Pre_Venda` DATE NOT NULL AFTER `Id_Cliente_Pre_Venda`;

ALTER TABLE `chamado2` ADD COLUMN IF NOT EXISTS `Cancelado` ENUM('Sim','No') NOT NULL DEFAULT 'No';

ALTER TABLE `chamado2` ADD COLUMN IF NOT EXISTS `Erro_Up` ENUM('Sim','No') NOT NULL DEFAULT 'No' AFTER `Cancelado`,
ADD COLUMN IF NOT EXISTS `Id_Usuario_Erro_Up` VARCHAR(32) NOT NULL AFTER `Erro_Up`,
ADD COLUMN IF NOT EXISTS `Data_Erro_Up` DATETIME NOT NULL AFTER `Id_Usuario_Erro_Up`;




ALTER TABLE `producao` ADD COLUMN IF NOT EXISTS `Texto_Produto_Entrada` TEXT NULL DEFAULT NULL AFTER `Obs_Lcq`, 
ADD COLUMN IF NOT EXISTS `Texto_Lote` TEXT NULL DEFAULT NULL AFTER `Texto_Produto_Entrada`; 

ALTER TABLE `producao2` ADD COLUMN IF NOT EXISTS `Texto_Produto_Entrada` TEXT NULL DEFAULT NULL , 
ADD COLUMN IF NOT EXISTS `Texto_Lote` TEXT NULL DEFAULT NULL AFTER `Texto_Produto_Entrada`; 

ALTER TABLE `producao` ADD COLUMN IF NOT EXISTS `Texto_Produto_Saida` TEXT NULL DEFAULT NULL AFTER `Texto_Lote`; 

ALTER TABLE `producao2` ADD COLUMN IF NOT EXISTS `Texto_Produto_Saida` TEXT NULL DEFAULT NULL AFTER `Texto_Lote`;


ALTER TABLE `opcao` ADD COLUMN IF NOT EXISTS `Inserir_Item_Negativo_Pre_Venda` ENUM('Sim','No') NOT NULL DEFAULT 'Sim' AFTER `Vender_Estoque_Negativo_Pre`;
ALTER TABLE `opcao` ADD COLUMN IF NOT EXISTS `Exibir_Qtd_Estoque_Venda` ENUM('Sim','No') NOT NULL DEFAULT 'Sim' AFTER `Vender_Estoque_Negativo_Pre`;
ALTER TABLE `opcao` ADD COLUMN IF NOT EXISTS `Exibir_Qtd_Estoque_Pre_Venda` ENUM('Sim','No') NOT NULL DEFAULT 'Sim' AFTER `Vender_Estoque_Negativo_Pre`;
ALTER TABLE `opcao` ADD COLUMN IF NOT EXISTS `Estoque_Atual` ENUM('1','2') NOT NULL DEFAULT '1' AFTER `Inserir_Item_Negativo_Pre_Venda`;

ALTER TABLE `usuario` ADD COLUMN IF NOT EXISTS `Escolher_Empresa_Cor` ENUM('Sim','No') NOT NULL DEFAULT 'Sim' AFTER `Escolher_Empresa`; 

ALTER TABLE `usuario` ADD COLUMN IF NOT EXISTS `ALterar_CP_Conciliado` ENUM('Sim','No') NOT NULL DEFAULT 'No' AFTER `Escolher_Empresa_Cor`; 
ALTER TABLE `usuario` ADD COLUMN IF NOT EXISTS `ALterar_CR_Conciliado` ENUM('Sim','No') NOT NULL DEFAULT 'No' AFTER `ALterar_CP_Conciliado`; 

ALTER TABLE `usuario` CHANGE `ALterar_CP_Conciliado` `Alterar_CP_Conciliado` ENUM('Sim','No') CHARACTER SET latin1 COLLATE latin1_swedish_ci NOT NULL DEFAULT 'No', 
CHANGE `ALterar_CR_Conciliado` `Alterar_CR_Conciliado` ENUM('Sim','No') CHARACTER SET latin1 COLLATE latin1_swedish_ci NOT NULL DEFAULT 'No'; 



ALTER TABLE `cliente_tipo_pagamento` ADD COLUMN IF NOT EXISTS `Id_Usuario` VARCHAR(32) NOT NULL AFTER `Id`, 
ADD COLUMN IF NOT EXISTS `Id_Usuario_Upd` VARCHAR(32) NOT NULL AFTER `Id_Usuario`, 
ADD COLUMN IF NOT EXISTS `Data_Cadastro` DATETIME NOT NULL AFTER `Id_Usuario_Upd`, 
ADD COLUMN IF NOT EXISTS `Data_Cadastro_Upd` DATETIME NOT NULL AFTER `Data_Cadastro`; 

ALTER TABLE `compra` ADD COLUMN IF NOT EXISTS `Somar_Frete_Compras` ENUM('Sim','No') NOT NULL DEFAULT 'Sim' AFTER `Complementar`; 
ALTER TABLE `del_compra` ADD COLUMN IF NOT EXISTS `Somar_Frete_Compras` ENUM('Sim','No') NOT NULL DEFAULT 'Sim'; 



ALTER TABLE `conta_receber` ADD COLUMN IF NOT EXISTS `Percentual_Desconto` DOUBLE NOT NULL AFTER `Gerar_Caixa_Operador`, 
ADD COLUMN IF NOT EXISTS `Percentual_Juros` DOUBLE NOT NULL AFTER `Percentual_Desconto`, 
ADD COLUMN IF NOT EXISTS `Percentual_Multa` DOUBLE NOT NULL AFTER `Percentual_Juros`; 

ALTER TABLE `del_conta_receber` ADD COLUMN IF NOT EXISTS `Percentual_Desconto` DOUBLE NOT NULL AFTER `Gerar_Caixa_Operador`, 
ADD COLUMN IF NOT EXISTS `Percentual_Juros` DOUBLE NOT NULL AFTER `Percentual_Desconto`, 
ADD COLUMN IF NOT EXISTS `Percentual_Multa` DOUBLE NOT NULL AFTER `Percentual_Juros`; 

ALTER TABLE `conta_pagar` ADD COLUMN IF NOT EXISTS `Percentual_Desconto` DOUBLE NOT NULL AFTER `Numero_Adiantamento`, 
ADD COLUMN IF NOT EXISTS `Percentual_Juros` DOUBLE NOT NULL AFTER `Percentual_Desconto`, 
ADD COLUMN IF NOT EXISTS `Percentual_Multa` DOUBLE NOT NULL AFTER `Percentual_Juros`; 

ALTER TABLE `del_conta_pagar` ADD COLUMN IF NOT EXISTS `Percentual_Desconto` DOUBLE NOT NULL AFTER `Numero_Adiantamento`, 
ADD COLUMN IF NOT EXISTS `Percentual_Juros` DOUBLE NOT NULL AFTER `Percentual_Desconto`, 
ADD COLUMN IF NOT EXISTS `Percentual_Multa` DOUBLE NOT NULL AFTER `Percentual_Juros`; 











CREATE TABLE IF NOT EXISTS bling_loja(
    Id INT NOT NULL PRIMARY KEY AUTO_INCREMENT,
    Titulo VARCHAR(50) NOT NULL,
    Codigo VARCHAR(20) NOT NULL,
    Id_Unidade INT NOT NULL,
    Data_Cadastro DATETIME NOT NULL,
    Id_Usuario VARCHAR(50) NOT NULL
);
CREATE TABLE IF NOT EXISTS bling_tipo_contato(
    Titulo VARCHAR(50) NOT NULL,
    Id_Bling INT NOT NULL UNIQUE
);
INSERT IGNORE INTO bling_tipo_contato (Titulo, Id_Bling) VALUES
('Cliente', 14576076942),
('Fornecedor', 14576076943),
('Padrao', 14576076940),
('Tcnico', 14576076945),
('Transportador', 14576076941),
('Vendedor', 14576076944);

ALTER TABLE fornecedor ADD COLUMN IF NOT EXISTS Marketplace ENUM('Sim','No') DEFAULT 'No',
ADD COLUMN IF NOT EXISTS Id_Bling VARCHAR(20);
ALTER TABLE categoria_produto ADD COLUMN IF NOT EXISTS Marketplace ENUM('Sim','No') DEFAULT 'No',
ADD COLUMN IF NOT EXISTS Id_Bling VARCHAR(20);
ALTER TABLE produto ADD COLUMN IF NOT EXISTS Marketplace ENUM('Sim','No') DEFAULT 'No',
ADD COLUMN IF NOT EXISTS Id_Bling VARCHAR(20);

CREATE TABLE IF NOT EXISTS bling_categoria_produto_loja(
    Id INT NOT NULL PRIMARY KEY AUTO_INCREMENT,
    Id_Categoria_Bling VARCHAR(20) NOT NULL,
    Id_Categoria_Loja VARCHAR(20) NOT NULL
);
ALTER TABLE opcao ADD COLUMN IF NOT EXISTS Client_Id_Bling VARCHAR(80),
ADD COLUMN IF NOT EXISTS Client_Secret_Bling VARCHAR(80),
ADD COLUMN IF NOT EXISTS Token_Bling VARCHAR(60),
ADD COLUMN IF NOT EXISTS Validade_Token_Bling DATETIME,
ADD COLUMN IF NOT EXISTS Token_Atualizacao_Bling VARCHAR(60);

UPDATE IGNORE opcao SET Client_Id_Bling = '0f7c815207ccc7891d1c8ac5bc1e5e3628e7bcac', Client_Secret_Bling = '914df6178dbdf856c0ec92b4fb62d6078f4a70f9375dbe39db73cd076faf';
CREATE TABLE IF NOT EXISTS bling_produto_loja(
    Id INT NOT NULL PRIMARY KEY AUTO_INCREMENT,
    Id_Produto_Bling VARCHAR(20) NOT NULL,
    Id_Produto_Loja VARCHAR(20) NOT NULL,
    Id_Loja INT NOT NULL
);
ALTER TABLE local_estoque ADD COLUMN IF NOT EXISTS Id_Bling VARCHAR(20);
ALTER TABLE opcao ADD COLUMN IF NOT EXISTS Marketplace ENUM('Sim','No') DEFAULT 'No';
CREATE TABLE IF NOT EXISTS bling_produto_fornecedor(
	Id INT AUTO_INCREMENT PRIMARY KEY,
	Id_Bling VARCHAR(20) NOT NULL,
	Id_Produto_Bling VARCHAR(20) NOT NULL,
	Id_Fornecedor_Bling VARCHAR(20) NOT NULL
);


UPDATE opcao SET Qtd_Casa_Decimal_Producao = Qtd_Casa_Decimal WHERE Qtd_Casa_Decimal_Producao='';




ALTER IGNORE TABLE menu ADD UNIQUE INDEX dupidx (Id);
ALTER TABLE menu DROP INDEX dupidx;













UPDATE nfe
INNER JOIN mdfe_descarregamento ON mdfe_descarregamento.Chave_Descarregamento = nfe.Chave
SET nfe.Mdfe='Sim'
WHERE nfe.Chave<>'' AND nfe.Mdfe<>'Sim';
