ALTER TABLE usuario ADD COLUMN IF NOT EXISTS Anexo_Cliente ENUM('Sim','No') NOT NULL DEFAULT 'Sim' AFTER Liberar_Producao;

ALTER TABLE `nfe` ADD COLUMN IF NOT EXISTS `nRE` VARCHAR(10) NOT NULL AFTER `vFCPSTRet`;
ALTER TABLE `del_nfe` ADD COLUMN IF NOT EXISTS `nRE` VARCHAR(10) NOT NULL AFTER `vFCPSTRet`;


ALTER TABLE `nfe` ADD COLUMN IF NOT EXISTS `vIPIDevol` DOUBLE NOT NULL AFTER `nRE`;
ALTER TABLE `del_nfe` ADD COLUMN IF NOT EXISTS `vIPIDevol` DOUBLE NOT NULL AFTER `nRE`;


ALTER TABLE `treinamento` ADD COLUMN IF NOT EXISTS `Responsavel_Coleta` DATETIME NOT NULL AFTER `Foto_Visita`;
ALTER TABLE `treinamento` ADD COLUMN IF NOT EXISTS `Responsavel_Importacao` DATETIME NOT NULL AFTER `Responsavel_Coleta`;

ALTER TABLE `funcionario` ADD COLUMN IF NOT EXISTS `Tipo_Contrato` ENUM('Clt','Autonomo','Televendas') NOT NULL DEFAULT 'Clt' AFTER `Vendedor`;

INSERT INTO menu SET Id = 3198, Chamada = 'Venda_Lote_8', Titulo = 'Venda Lote 8', Id_Pai = 3, Ordem = 196, Ativo = 'No';
INSERT INTO menu SET Id = 3199, Chamada = 'Venda_Mobile_2', Titulo = 'Mobile Venda F 2', Id_Pai = 3, Ordem = 197, Ativo = 'No';
INSERT INTO menu SET Id = 3200, Chamada = 'Venda26', Titulo = 'Venda 26', Id_Pai = 3, Ordem = 198, Ativo = 'No';

UPDATE menu SET Titulo='Compra6' WHERE Id='3122';
INSERT INTO menu SET Id = 3143, Chamada = 'Compra_Lote_5', Titulo = 'Compra Lote 5', Id_Pai = 3, Ordem = 143, Ativo = 'No';

DELETE FROM menu WHERE Id = '404';

ALTER TABLE `nfe` ADD COLUMN IF NOT EXISTS `Icms_Deson_Subtrair` ENUM('Sim','No') NOT NULL DEFAULT 'Sim' AFTER `vIPIDevol`;
ALTER TABLE `tipo_pagamento` ADD COLUMN IF NOT EXISTS `EF` ENUM('Sim','No') NOT NULL DEFAULT 'Sim' AFTER `Ativo`;

ALTER TABLE `opcao` ADD COLUMN IF NOT EXISTS `Abertura_Caixa` ENUM('Funcionario','Usuario') NOT NULL DEFAULT 'Usuario';
ALTER TABLE `opcao` ADD COLUMN IF NOT EXISTS `Opcao_Pagamento_Parcial` ENUM('Sim','No') NOT NULL DEFAULT 'No';
ALTER TABLE `opcao` ADD COLUMN IF NOT EXISTS `Bloqueio_Cliente_Inadimplente_Restaurante` ENUM('Sim','No') NOT NULL DEFAULT 'No';
ALTER TABLE `opcao` ADD COLUMN IF NOT EXISTS `Bloqueio_Cliente_Sem_Limite_Restaurante` ENUM('Sim','No') NOT NULL DEFAULT 'No';
ALTER TABLE `opcao` ADD COLUMN IF NOT EXISTS `Qtd_Casa_Decimal_Producao` varchar(10) NOT NULL;
ALTER TABLE `opcao` ADD COLUMN IF NOT EXISTS `Verificar_Numero_Comanda`  ENUM('Sim','No') NOT NULL DEFAULT 'No';

ALTER TABLE `venda` ADD COLUMN IF NOT EXISTS `Triangulo_Pai` ENUM('Sim','No') NOT NULL DEFAULT 'No' AFTER `Triangulo`,
ADD COLUMN IF NOT EXISTS `Num_Triangulo_Pai` VARCHAR(20) NOT NULL AFTER `Triangulo_Pai`,
ADD COLUMN IF NOT EXISTS `Triangulo_Filho` ENUM('Sim','No') NOT NULL DEFAULT 'No' AFTER `Num_Triangulo_Pai`,
ADD COLUMN IF NOT EXISTS `Num_Triangulo_Filho` VARCHAR(20) NOT NULL AFTER `Triangulo_Filho`;

ALTER TABLE `venda` ADD COLUMN IF NOT EXISTS `Tipo_Experiencia` varchar(5) NOT NULL;

ALTER TABLE `conta_receber` ADD COLUMN IF NOT EXISTS `Data_Cheque` varchar(10) NOT NULL;
ALTER TABLE `conta_receber` ADD COLUMN IF NOT EXISTS `Titular_Cheque` varchar(250) NOT NULL;

ALTER TABLE `transferencia_estoque` ADD COLUMN IF NOT EXISTS `Observacao` varchar(250) NOT NULL;

ALTER TABLE `unidade` ADD COLUMN IF NOT EXISTS `Ip_Net11` DOUBLE NOT NULL AFTER `Ip_Net10`,
ADD COLUMN IF NOT EXISTS `Ip_Net12` DOUBLE NOT NULL AFTER `Ip_Net11`,
ADD COLUMN IF NOT EXISTS `Ip_Net13` DOUBLE NOT NULL AFTER `Ip_Net12`,
ADD COLUMN IF NOT EXISTS `Ip_Net14` DOUBLE NOT NULL AFTER `Ip_Net13`,
ADD COLUMN IF NOT EXISTS `Ip_Net15` DOUBLE NOT NULL AFTER `Ip_Net14`;


ALTER TABLE `conta` ADD COLUMN IF NOT EXISTS `Envio_Boleto` ENUM('Sim','No') NOT NULL DEFAULT 'Sim' AFTER `Banco_Factoring`;
ALTER TABLE `usuario` ADD COLUMN IF NOT EXISTS `Negociacao_CP` ENUM('Sim','No') NOT NULL DEFAULT 'No' AFTER `Ativo`;
ALTER TABLE `usuario` ADD COLUMN IF NOT EXISTS `Negociacao_CR` ENUM('Sim','No') NOT NULL DEFAULT 'No' AFTER `Ativo`;
ALTER TABLE `usuario` ADD COLUMN IF NOT EXISTS `Alterar_Preco_Item_Comodato` ENUM('Sim','No') NOT NULL DEFAULT 'Sim';
ALTER TABLE `usuario` ADD COLUMN IF NOT EXISTS `Vender_Abaixo_Tabela_Comodato` ENUM('Sim','No') NOT NULL DEFAULT 'Sim';
ALTER TABLE `usuario` ADD COLUMN IF NOT EXISTS `Vender_Acima_Tabela_Comodato` ENUM('Sim','No') NOT NULL DEFAULT 'Sim';
ALTER TABLE `usuario` ADD COLUMN IF NOT EXISTS `Alterar_Tabela_Preco_Comodato` ENUM('Sim','No') NOT NULL DEFAULT 'Sim';
ALTER TABLE `usuario` ADD COLUMN IF NOT EXISTS `Finalizar_Compra` ENUM('Sim','No') NOT NULL DEFAULT 'Sim';

ALTER TABLE `usuario` ADD COLUMN IF NOT EXISTS `Clonar_Pdv` ENUM('Sim','No') NOT NULL DEFAULT 'Sim';

ALTER TABLE `usuario` ADD COLUMN IF NOT EXISTS `Montar_Formula` ENUM('Sim','No') NOT NULL DEFAULT 'No';

ALTER TABLE `usuario` ADD COLUMN IF NOT EXISTS `Alterar_Preco_Item_Pdv`  ENUM('Sim','No') NOT NULL DEFAULT 'No';

ALTER TABLE `venda` ADD COLUMN IF NOT EXISTS `Unificado` ENUM('Sim','No') NOT NULL DEFAULT 'No';

ALTER TABLE `compra` ADD COLUMN IF NOT EXISTS `Imposto_Fermenteiro` DOUBLE NOT NULL AFTER `Valor_Item`;

ALTER TABLE `comodato_produto` ADD COLUMN IF NOT EXISTS `Id_Tabela_Preco` varchar(5) NOT NULL;


CREATE TABLE IF NOT EXISTS cozinha_produto (
	Id INT NOT NULL PRIMARY KEY AUTO_INCREMENT,
	Id_produto VARCHAR(32) NOT NULL,
	Id_Venda_Produto VARCHAR(32) NOT NULL,
	Data_Cadastro DATETIME,
	Data_Cadastro_Upd DATETIME,
	Id_Usuario VARCHAR(32),
	Id_Usuario_Upd VARCHAR(32),
	Status ENUM('Confirmado','Em preparo','Pronto','Entregue','Cancelado'),
	Hora_Confirmacao TIME NULL DEFAULT NULL,
	Hora_Preparo TIME NULL DEFAULT NULL,
	Hora_Pronto TIME NULL DEFAULT NULL,
	Hora_Entregue TIME NULL DEFAULT NULL
);
ALTER TABLE cozinha_produto CHANGE COLUMN IF EXISTS Status Status ENUM('Confirmado','Em preparo','Pronto','Entregue','Cancelado');
ALTER TABLE cozinha_produto CHANGE COLUMN IF EXISTS Hora_Caminho Hora_Pronto TIME NULL DEFAULT NULL;
ALTER TABLE cozinha_produto ADD COLUMN IF NOT EXISTS Recebedor_Pedido VARCHAR(32) NULL DEFAULT NULL;
ALTER TABLE cozinha_produto ADD COLUMN IF NOT EXISTS Id_Entregador_Cozinha VARCHAR(32) NULL DEFAULT NULL;
ALTER TABLE cozinha_produto ADD COLUMN IF NOT EXISTS Motivo_Cancelamento VARCHAR(120) NULL DEFAULT NULL;
ALTER TABLE cozinha_produto ADD COLUMN IF NOT EXISTS Recebedor_Pedido VARCHAR(32);
ALTER TABLE cozinha_produto ADD COLUMN IF NOT EXISTS Id_Entregador_Cozinha VARCHAR(32);
ALTER TABLE cozinha_produto ADD COLUMN IF NOT EXISTS Motivo_Cancelamento VARCHAR(120);
CREATE TABLE IF NOT EXISTS produto_observacao_restaurante (
	Id INT NOT NULL PRIMARY KEY AUTO_INCREMENT,
	Data_Cadastro DATETIME,
	Id_Usuario VARCHAR(32),
	Observacao VARCHAR(255),
	Id_Unidade INT
);
ALTER TABLE produto ADD COLUMN IF NOT EXISTS Cozinha ENUM('Sim','No') DEFAULT 'No';
ALTER TABLE opcao ADD COLUMN IF NOT EXISTS Agrupar_Pedido_Cozinha ENUM('Produto','Pedido') DEFAULT 'Produto';
ALTER TABLE opcao ADD COLUMN IF NOT EXISTS Modulo_Cozinha ENUM('Sim','No') DEFAULT 'No';
ALTER TABLE venda ADD COLUMN IF NOT EXISTS Data_Preparo DATE NULL;
ALTER TABLE venda ADD COLUMN IF NOT EXISTS Hora_Prevista_Preparo VARCHAR(5) AFTER Data_Preparo;
ALTER TABLE venda ADD COLUMN IF NOT EXISTS Recebedor_Pedido VARCHAR(32);
ALTER TABLE venda ADD COLUMN IF NOT EXISTS Id_Entregador_Cozinha VARCHAR(32);

ALTER TABLE `venda` ADD COLUMN IF NOT EXISTS `Exibir_Pedido_Finalizado` ENUM('Sim','No') NOT NULL DEFAULT 'Sim';

ALTER TABLE `compra` ADD COLUMN IF NOT EXISTS `Complementar` ENUM('Sim','No') NOT NULL DEFAULT 'No' AFTER `vDesc`;
ALTER TABLE `del_compra` ADD COLUMN IF NOT EXISTS `Complementar` ENUM('Sim','No') NOT NULL DEFAULT 'No' AFTER `vDesc`;


ALTER TABLE `venda_produto` ADD COLUMN IF NOT EXISTS `Id_Usuario_Liberacao` varchar(32) NOT NULL;



INSERT INTO `menu` (`Id`, `Chamada`, `Titulo`, `Id_Pai`, `Ordem`, `Ativo`) VALUES ('923', 'Banco_Horas', 'Banco Horas', '9', '23', 'No');



ALTER TABLE `cidade_ibge` ADD COLUMN IF NOT EXISTS `Codigo_Gia` INT(2) NOT NULL AFTER `Codigo`;
UPDATE cidade_ibge SET Codigo_Gia = '01' WHERE Uf='AC';
UPDATE cidade_ibge SET Codigo_Gia = '02' WHERE Uf='AL';
UPDATE cidade_ibge SET Codigo_Gia = '03' WHERE Uf='AP';
UPDATE cidade_ibge SET Codigo_Gia = '04' WHERE Uf='AM';
UPDATE cidade_ibge SET Codigo_Gia = '05' WHERE Uf='BA';
UPDATE cidade_ibge SET Codigo_Gia = '06' WHERE Uf='CE';
UPDATE cidade_ibge SET Codigo_Gia = '07' WHERE Uf='DF';
UPDATE cidade_ibge SET Codigo_Gia = '08' WHERE Uf='ES';
UPDATE cidade_ibge SET Codigo_Gia = '10' WHERE Uf='GO';
UPDATE cidade_ibge SET Codigo_Gia = '12' WHERE Uf='MA';
UPDATE cidade_ibge SET Codigo_Gia = '13' WHERE Uf='MT';
UPDATE cidade_ibge SET Codigo_Gia = '28' WHERE Uf='MS';
UPDATE cidade_ibge SET Codigo_Gia = '14' WHERE Uf='MG';
UPDATE cidade_ibge SET Codigo_Gia = '15' WHERE Uf='PA';
UPDATE cidade_ibge SET Codigo_Gia = '16' WHERE Uf='PB';
UPDATE cidade_ibge SET Codigo_Gia = '17' WHERE Uf='PR';
UPDATE cidade_ibge SET Codigo_Gia = '18' WHERE Uf='PE';
UPDATE cidade_ibge SET Codigo_Gia = '19' WHERE Uf='PI';
UPDATE cidade_ibge SET Codigo_Gia = '22' WHERE Uf='RJ';
UPDATE cidade_ibge SET Codigo_Gia = '20' WHERE Uf='RN';
UPDATE cidade_ibge SET Codigo_Gia = '21' WHERE Uf='RS';
UPDATE cidade_ibge SET Codigo_Gia = '23' WHERE Uf='RO';
UPDATE cidade_ibge SET Codigo_Gia = '24' WHERE Uf='RR';
UPDATE cidade_ibge SET Codigo_Gia = '25' WHERE Uf='SC';
UPDATE cidade_ibge SET Codigo_Gia = '26' WHERE Uf='SP';
UPDATE cidade_ibge SET Codigo_Gia = '27' WHERE Uf='SE';
UPDATE cidade_ibge SET Codigo_Gia = '29' WHERE Uf='TO';


ALTER TABLE `unidade` ADD COLUMN IF NOT EXISTS `Logo_Home` VARCHAR(10) NOT NULL AFTER `Validade_Token_Ifood`;


ALTER TABLE `usuario` ADD COLUMN IF NOT EXISTS `Materia_Prima_Producao` ENUM('Sim','No') NOT NULL DEFAULT 'No' AFTER `Lancamento_Caixa_Cego`;





ALTER TABLE `cliente` ADD COLUMN IF NOT EXISTS `Op_Presencial_Fora_Estabelecimento` ENUM('Sim','No') NOT NULL DEFAULT 'No';



ALTER TABLE `funcionario` ADD COLUMN IF NOT EXISTS `Id_Solicitante` VARCHAR(32) NOT NULL AFTER `Alterar_Valor_Mesa`;

ALTER TABLE `chamado` ADD COLUMN IF NOT EXISTS `Data_Entrega` DATE NOT NULL AFTER `Nivel`;

ALTER TABLE `chamado` ADD COLUMN IF NOT EXISTS `Reaberto` ENUM('Sim','No') NOT NULL DEFAULT 'No' AFTER `Data_Entrega`;

ALTER TABLE `pre_venda` ADD COLUMN IF NOT EXISTS `Id_Venda_Devolucao` VARCHAR(32) NOT NULL;

ALTER TABLE `tipo_pagamento` ADD COLUMN IF NOT EXISTS `Pagamento_Eletronico` ENUM('Sim','No') NOT NULL DEFAULT 'No';




ALTER TABLE `compra` ADD COLUMN IF NOT EXISTS `Telefone` ENUM('Sim','No') NOT NULL DEFAULT 'No' AFTER `Ener_Tel`;
ALTER TABLE `del_compra` ADD COLUMN IF NOT EXISTS `Telefone` ENUM('Sim','No') NOT NULL DEFAULT 'No' AFTER `Ener_Tel`;



ALTER TABLE `venda` ADD COLUMN IF NOT EXISTS `Valor_Icms_Deson` DOUBLE NOT NULL AFTER `Valor_Ipi`;
ALTER TABLE `del_venda` ADD COLUMN IF NOT EXISTS `Valor_Icms_Deson` DOUBLE NOT NULL AFTER `Valor_Ipi`;


ALTER TABLE `producao` ADD COLUMN IF NOT EXISTS `Obs_Lcq` TEXT NOT NULL AFTER `Carga_Prevista`;

ALTER TABLE `produto` ADD COLUMN IF NOT EXISTS `Obs_2` TEXT NOT NULL AFTER `Obs`;

ALTER TABLE `producao_produto` ADD COLUMN IF NOT EXISTS `Id_Usuario` VARCHAR(32) NOT NULL AFTER `Id`,
ADD COLUMN IF NOT EXISTS `Id_Usuario_Upd` VARCHAR(32) NOT NULL AFTER `Id_Usuario`,
ADD COLUMN IF NOT EXISTS `Data_Cadastro` DATE NOT NULL AFTER `Id_Usuario_Upd`,
ADD COLUMN IF NOT EXISTS `Data_Cadastro_Upd` DATE NOT NULL AFTER `Data_Cadastro`;


ALTER TABLE `producao_produto2` ADD COLUMN IF NOT EXISTS `Id_Usuario` VARCHAR(32) NOT NULL AFTER `Id`,
ADD COLUMN IF NOT EXISTS `Id_Usuario_Upd` VARCHAR(32) NOT NULL AFTER `Id_Usuario`,
ADD COLUMN IF NOT EXISTS `Data_Cadastro` DATE NOT NULL AFTER `Id_Usuario_Upd`,
ADD COLUMN IF NOT EXISTS `Data_Cadastro_Upd` DATE NOT NULL AFTER `Data_Cadastro`;


ALTER TABLE `usuario` ADD COLUMN IF NOT EXISTS `CP_Valor_Original` ENUM('Sim','No') NOT NULL DEFAULT 'Sim' AFTER `Materia_Prima_Producao`,
ADD COLUMN IF NOT EXISTS `CP_Desconto` ENUM('Sim','No') NOT NULL DEFAULT 'Sim' AFTER `CP_Valor_Original`,
ADD COLUMN IF NOT EXISTS `CP_Multa` ENUM('Sim','No') NOT NULL DEFAULT 'Sim' AFTER `CP_Desconto`,
ADD COLUMN IF NOT EXISTS `CR_Valor_Original` ENUM('Sim','No') NOT NULL DEFAULT 'Sim' AFTER `CP_Multa`,
ADD COLUMN IF NOT EXISTS `CR_Desconto` ENUM('Sim','No') NOT NULL DEFAULT 'Sim' AFTER `CR_Valor_Original`,
ADD COLUMN IF NOT EXISTS `CR_Multa` ENUM('Sim','No') NOT NULL DEFAULT 'Sim' AFTER `CR_Desconto`;

ALTER TABLE `usuario` ADD COLUMN IF NOT EXISTS `CP_Juros` ENUM('Sim','No') NOT NULL DEFAULT 'Sim' AFTER `CP_Multa`,
ADD COLUMN IF NOT EXISTS `CP_Vencimento` ENUM('Sim','No') NOT NULL DEFAULT 'Sim' AFTER `CP_Juros`;
ALTER TABLE `usuario` ADD COLUMN IF NOT EXISTS `CR_Juros` ENUM('Sim','No') NOT NULL DEFAULT 'Sim' AFTER `CR_Multa`,
ADD COLUMN IF NOT EXISTS `CR_Vencimento` ENUM('Sim','No') NOT NULL DEFAULT 'Sim' AFTER `CR_Juros`;



ALTER TABLE `caixa_operador` ADD COLUMN IF NOT EXISTS `Id_Cliente` VARCHAR(32) NOT NULL AFTER `Id_Centro_Custo`;
ALTER TABLE `caixa_operador_temp` ADD COLUMN IF NOT EXISTS `Id_Cliente` VARCHAR(32) NOT NULL AFTER `Id_Centro_Custo`;

ALTER TABLE produto ADD COLUMN IF NOT EXISTS Cte ENUM('Sim','No') DEFAULT 'No';



ALTER TABLE comodato_produto ADD COLUMN IF NOT EXISTS Data_Produto_Entrega DATE NULL;

ALTER TABLE `financeiro_pedido` ADD COLUMN IF NOT EXISTS `Valor25` DOUBLE NOT NULL AFTER `Data24`,
ADD COLUMN IF NOT EXISTS `Data25` DATE NULL DEFAULT NULL AFTER `Valor25`,
ADD COLUMN IF NOT EXISTS `Valor26` DOUBLE NOT NULL AFTER `Data25`,
ADD COLUMN IF NOT EXISTS `Data26` DATE NULL DEFAULT NULL AFTER `Valor26`,
ADD COLUMN IF NOT EXISTS `Valor27` DOUBLE NOT NULL AFTER `Data26`,
ADD COLUMN IF NOT EXISTS `Data27` DATE NULL DEFAULT NULL AFTER `Valor27`,
ADD COLUMN IF NOT EXISTS `Valor28` DOUBLE NOT NULL AFTER `Data27`,
ADD COLUMN IF NOT EXISTS `Data28` DATE NULL DEFAULT NULL AFTER `Valor28`,
ADD COLUMN IF NOT EXISTS `Valor29` DOUBLE NOT NULL AFTER `Data28`,
ADD COLUMN IF NOT EXISTS `Data29` DATE NULL DEFAULT NULL AFTER `Valor29`,
ADD COLUMN IF NOT EXISTS `Valor30` DOUBLE NOT NULL AFTER `Data29`,
ADD COLUMN IF NOT EXISTS `Data30` DATE NULL DEFAULT NULL AFTER `Valor30`;

ALTER TABLE `financeiro_pedido` ADD COLUMN IF NOT EXISTS `Fatura25` VARCHAR(250) NOT NULL AFTER `Fatura24`,
ADD COLUMN IF NOT EXISTS `Fatura26` VARCHAR(250) NOT NULL AFTER `Fatura25`,
ADD COLUMN IF NOT EXISTS `Fatura27` VARCHAR(250) NOT NULL AFTER `Fatura26`,
ADD COLUMN IF NOT EXISTS `Fatura28` VARCHAR(250) NOT NULL AFTER `Fatura27`,
ADD COLUMN IF NOT EXISTS `Fatura29` VARCHAR(250) NOT NULL AFTER `Fatura28`,
ADD COLUMN IF NOT EXISTS `Fatura30` VARCHAR(250) NOT NULL AFTER `Fatura29`,
ADD COLUMN IF NOT EXISTS `Descricao25` VARCHAR(250) NOT NULL AFTER `Descricao24`,
ADD COLUMN IF NOT EXISTS `Descricao26` VARCHAR(250) NOT NULL AFTER `Descricao25`,
ADD COLUMN IF NOT EXISTS `Descricao27` VARCHAR(250) NOT NULL AFTER `Descricao26`,
ADD COLUMN IF NOT EXISTS `Descricao28` VARCHAR(250) NOT NULL AFTER `Descricao27`,
ADD COLUMN IF NOT EXISTS `Descricao29` VARCHAR(250) NOT NULL AFTER `Descricao28`,
ADD COLUMN IF NOT EXISTS `Descricao30` VARCHAR(250) NOT NULL AFTER `Descricao29`;




ALTER TABLE `usuario` ADD COLUMN IF NOT EXISTS `Ver_Apenas_Suas_Almoxarife` ENUM('Sim','No') NOT NULL DEFAULT 'No' AFTER `Alterar_Tabela_Preco_Comodato`,
ADD COLUMN IF NOT EXISTS `Liberar_Almoxarife` ENUM('Sim','No') NOT NULL DEFAULT 'Sim' AFTER `Ver_Apenas_Suas_Almoxarife`;


ALTER TABLE `recontagem_temp` ADD COLUMN IF NOT EXISTS `Pedido_Liberado` ENUM('Sim','No') NOT NULL DEFAULT 'No' AFTER `Tipo_Tabela`;

ALTER TABLE `recontagem` ADD COLUMN IF NOT EXISTS `Pedido_Liberado` ENUM('Sim','No') NOT NULL DEFAULT 'No' AFTER `Tipo_Tabela`;

ALTER TABLE `recontagem_temp` ADD COLUMN IF NOT EXISTS `Id_Usuario_Liberacao` VARCHAR(32) NOT NULL AFTER `Pedido_Liberado`,
ADD COLUMN IF NOT EXISTS `Data_Liberado` DATETIME NOT NULL AFTER `Id_Usuario_Liberacao`;

ALTER TABLE `recontagem` ADD COLUMN IF NOT EXISTS `Id_Usuario_Liberacao` VARCHAR(32) NOT NULL AFTER `Pedido_Liberado`,
ADD COLUMN IF NOT EXISTS `Data_Liberado` DATETIME NOT NULL AFTER `Id_Usuario_Liberacao`;

ALTER TABLE `recontagem` ADD COLUMN IF NOT EXISTS `Status` ENUM('Aberto','Finalizado') NOT NULL DEFAULT 'Aberto' AFTER `Data_Liberado`;
ALTER TABLE `recontagem_temp` ADD COLUMN IF NOT EXISTS `Status` ENUM('Aberto','Finalizado') NOT NULL DEFAULT 'Aberto' AFTER `Data_Liberado`;

ALTER TABLE `recontagem_temp` ADD COLUMN IF NOT EXISTS `Id_Recontagem` VARCHAR(32) NOT NULL AFTER `Status`;
ALTER TABLE `recontagem` ADD COLUMN IF NOT EXISTS `Id_Recontagem` VARCHAR(32) NOT NULL AFTER `Status`;

ALTER TABLE `recontagem` CHANGE `Status` `Status` ENUM('Aberto','Finalizado','Cancelado') CHARACTER SET latin1 COLLATE latin1_swedish_ci NOT NULL DEFAULT 'Aberto';
ALTER TABLE `recontagem_temp` CHANGE `Status` `Status` ENUM('Aberto','Finalizado','Cancelado') CHARACTER SET latin1 COLLATE latin1_swedish_ci NOT NULL DEFAULT 'Aberto';


ALTER TABLE `laudo_tecnico` ADD COLUMN IF NOT EXISTS `Id_Fornecedor` varchar(32) NOT NULL;
ALTER TABLE `laudo_tecnico` ADD COLUMN IF NOT EXISTS `Fatura` int(10) NOT NULL;


ALTER TABLE `pdv_produto` ADD COLUMN IF NOT EXISTS `CST_Ipi` VARCHAR(2) NOT NULL AFTER `Ipi`;
ALTER TABLE `del_pdv_produto` ADD COLUMN IF NOT EXISTS `CST_Ipi` VARCHAR(2) NOT NULL AFTER `Ipi`;

ALTER TABLE `opcao` ADD COLUMN IF NOT EXISTS `Base_Icms_Pis_Cofins` ENUM('Sim','No') NOT NULL DEFAULT 'Sim' AFTER `Bloqueio_Cliente_Sem_Limite_Restaurante`;



ALTER TABLE `conta_receber` ADD COLUMN IF NOT EXISTS `Gerar_Caixa_Operador` ENUM('Sim','No') NOT NULL DEFAULT 'Sim' AFTER `Titular_Cheque`;
ALTER TABLE `del_conta_receber` ADD COLUMN IF NOT EXISTS `Gerar_Caixa_Operador` ENUM('Sim','No') NOT NULL DEFAULT 'Sim';


ALTER TABLE `agenda_consultor` ADD COLUMN IF NOT EXISTS `Cancelado` ENUM('Sim','No') NULL DEFAULT 'No';


ALTER TABLE `nfe_pedido_produto` ADD COLUMN IF NOT EXISTS `pDif` DOUBLE NOT NULL AFTER `Desconto_Total`;
ALTER TABLE `del_nfe_pedido_produto` ADD COLUMN IF NOT EXISTS `pDif` DOUBLE NOT NULL AFTER `Desconto_Total`;



ALTER TABLE `nfe` ADD COLUMN IF NOT EXISTS `Pedido_Liberado` ENUM('Sim','No') NOT NULL DEFAULT 'No' ;
ALTER TABLE `del_nfe` ADD COLUMN IF NOT EXISTS `Pedido_Liberado` ENUM('Sim','No') NOT NULL DEFAULT 'No' ;

ALTER TABLE `nfe` ADD COLUMN IF NOT EXISTS `Id_Usuario_Liberacao` VARCHAR(32) NOT NULL AFTER `Pedido_Liberado`, ADD COLUMN IF NOT EXISTS `Data_Liberado` DATETIME NOT NULL AFTER `Id_Usuario_Liberacao`;
ALTER TABLE `del_nfe` ADD COLUMN IF NOT EXISTS `Id_Usuario_Liberacao` VARCHAR(32) NOT NULL AFTER `Pedido_Liberado`, ADD COLUMN IF NOT EXISTS `Data_Liberado` DATETIME NOT NULL AFTER `Id_Usuario_Liberacao`;


ALTER TABLE `nfe` ADD COLUMN IF NOT EXISTS `Possui_Servico` ENUM('Sim','No') NOT NULL DEFAULT 'No';
ALTER TABLE `del_nfe` ADD COLUMN IF NOT EXISTS `Possui_Servico` ENUM('Sim','No') NOT NULL DEFAULT 'No';


ALTER TABLE `unidade` ADD COLUMN IF NOT EXISTS `Ip_Net7` DOUBLE NOT NULL AFTER `Ip_Net6`,
ADD COLUMN IF NOT EXISTS `Ip_Net8` DOUBLE NOT NULL AFTER `Ip_Net7`,
ADD COLUMN IF NOT EXISTS `Ip_Net9` DOUBLE NOT NULL AFTER `Ip_Net8`,
ADD COLUMN IF NOT EXISTS `Ip_Net10` DOUBLE NOT NULL AFTER `Ip_Net9`;



ALTER TABLE `nfe_pedido_produto` ADD COLUMN IF NOT EXISTS `Icms_Mono_Real` DOUBLE NOT NULL AFTER `pDif`,
ADD COLUMN IF NOT EXISTS `Icms_Mono_Reten_Real` DOUBLE NOT NULL AFTER `Icms_Mono_Real`;
ALTER TABLE `del_nfe_pedido_produto` ADD COLUMN IF NOT EXISTS `Icms_Mono_Real` DOUBLE NOT NULL AFTER `pDif`,
ADD COLUMN IF NOT EXISTS `Icms_Mono_Reten_Real` DOUBLE NOT NULL AFTER `Icms_Mono_Real`;


ALTER TABLE `nfe` ADD COLUMN IF NOT EXISTS `vICMSMono` DOUBLE NOT NULL AFTER `Possui_Servico`,
ADD COLUMN IF NOT EXISTS `vICMSMonoReten` DOUBLE NOT NULL AFTER `vICMSMono`;
ALTER TABLE `del_nfe` ADD COLUMN IF NOT EXISTS `vICMSMono` DOUBLE NOT NULL AFTER `Possui_Servico`,
ADD COLUMN IF NOT EXISTS `vICMSMonoReten` DOUBLE NOT NULL AFTER `vICMSMono`;


ALTER TABLE `nfe` ADD COLUMN IF NOT EXISTS `vICMSMonoRet` DOUBLE NOT NULL AFTER `vICMSMonoReten`;
ALTER TABLE `del_nfe` ADD COLUMN IF NOT EXISTS `vICMSMonoRet` DOUBLE NOT NULL AFTER `vICMSMonoReten`;


ALTER TABLE `nfe_pedido_produto` ADD COLUMN IF NOT EXISTS `Icms_Mono_Ret_Real` DOUBLE NOT NULL AFTER `Icms_Mono_Reten_Real`;
ALTER TABLE `del_nfe_pedido_produto` ADD COLUMN IF NOT EXISTS `Icms_Mono_Ret_Real` DOUBLE NOT NULL AFTER `Icms_Mono_Reten_Real`;



DELETE FROM st_normal;

INSERT INTO `st_normal` (`Id`, `Codigo`, `Titulo`, `Ordem`) VALUES (1, '00', 'Tributada Integralmente', 1);
INSERT INTO `st_normal` (`Id`, `Codigo`, `Titulo`, `Ordem`) VALUES (2, '02', 'Tributao monofsica prpria sobre combustveis', 2);
INSERT INTO `st_normal` (`Id`, `Codigo`, `Titulo`, `Ordem`) VALUES (3, '10', 'Tributada com cobrana do ICMS por ST', 3);
INSERT INTO `st_normal` (`Id`, `Codigo`, `Titulo`, `Ordem`) VALUES (4, '15', 'Tributao monofsica prpria e com responsabilidade pela reteno sobre combustveis', 4);
INSERT INTO `st_normal` (`Id`, `Codigo`, `Titulo`, `Ordem`) VALUES (5, '20', 'Com reduo da base de clculo', 5);
INSERT INTO `st_normal` (`Id`, `Codigo`, `Titulo`, `Ordem`) VALUES (6, '30', 'Isenta ou No tributada e com cobrana do ICMS por ST', 6);
INSERT INTO `st_normal` (`Id`, `Codigo`, `Titulo`, `Ordem`) VALUES (7, '40', 'Isenta', 7);
INSERT INTO `st_normal` (`Id`, `Codigo`, `Titulo`, `Ordem`) VALUES (8, '41', 'No Tributada', 8);
INSERT INTO `st_normal` (`Id`, `Codigo`, `Titulo`, `Ordem`) VALUES (9, '50', 'Suspenso', 9);
INSERT INTO `st_normal` (`Id`, `Codigo`, `Titulo`, `Ordem`) VALUES (10, '51', 'Diferimento', 10);
INSERT INTO `st_normal` (`Id`, `Codigo`, `Titulo`, `Ordem`) VALUES (11, '53', 'Tributao monofsica sobre combustveis com recolhimento diferido', 11);
INSERT INTO `st_normal` (`Id`, `Codigo`, `Titulo`, `Ordem`) VALUES (12, '60', 'Cobrado anteriormente por ST', 12);
INSERT INTO `st_normal` (`Id`, `Codigo`, `Titulo`, `Ordem`) VALUES (13, '61', 'Tributao monofsica sobre combustveis cobrada anteriormente', 13);
INSERT INTO `st_normal` (`Id`, `Codigo`, `Titulo`, `Ordem`) VALUES (14, '70', 'Com reduo da base de clculo e cobrana do ICMS por ST', 14);
INSERT INTO `st_normal` (`Id`, `Codigo`, `Titulo`, `Ordem`) VALUES (15, '90', 'Outras', 15);




ALTER TABLE `agenda_cp` ADD COLUMN IF NOT EXISTS `Pedido_Liberado` ENUM('Sim','No') NOT NULL DEFAULT 'No' AFTER `Tipo`,
ADD COLUMN IF NOT EXISTS `Data_Liberado` DATETIME NOT NULL AFTER `Pedido_Liberado`,
ADD COLUMN IF NOT EXISTS `Id_Usuario_Liberacao` VARCHAR(32) NOT NULL AFTER `Data_Liberado`;



INSERT INTO `menu` (`Id`, `Chamada`, `Titulo`, `Id_Pai`, `Ordem`, `Ativo`) VALUES ('3202', 'Pdv4', 'Pdv4', '3', '202', 'No');
INSERT INTO `menu` (`Id`, `Chamada`, `Titulo`, `Id_Pai`, `Ordem`, `Ativo`) VALUES ('3203', 'Manutencao', 'Manuteno', '3', '203', 'No');



ALTER TABLE `local_estoque` ADD COLUMN IF NOT EXISTS `Ativo` ENUM('Sim','No') NOT NULL DEFAULT 'Sim' AFTER `Mobile`;
ALTER TABLE `del_local_estoque` ADD COLUMN IF NOT EXISTS `Ativo` ENUM('Sim','No') NOT NULL DEFAULT 'Sim';




UPDATE menu SET Titulo = 'Envase' WHERE Id='3173';
UPDATE menu SET Ordem = '198' WHERE Id='3198';
UPDATE menu SET Ordem = '199' WHERE Id='3199';
UPDATE menu SET Ordem = '200' WHERE Id='3200';
UPDATE menu SET Ordem = '201' WHERE Id='3201';


ALTER TABLE `telemarketing` ADD COLUMN IF NOT EXISTS `Tipo2` VARCHAR(50) NOT NULL AFTER `Ativo`;


ALTER TABLE `transferencia_estoque_produto` ADD COLUMN IF NOT EXISTS `Impresso` ENUM('Sim','No') NOT NULL DEFAULT 'No';




ALTER TABLE `usuario` ADD COLUMN IF NOT EXISTS `Clonar_Laudo_Tecnico` ENUM('Sim','No') NOT NULL DEFAULT 'Sim' AFTER `Finalizar_Compra`;




INSERT INTO menu SET Id = 3196, Chamada = 'Venda25', Titulo = 'Venda 25', Id_Pai = 3, Ordem = 196, Ativo = 'No';






DELETE FROM conta_erro WHERE Codigo_Banco='077';

INSERT INTO `conta_erro` (`Id`, `Id_Usuario`, `Id_Usuario_Upd`, `Data_Cadastro`, `Data_Cadastro_Upd`, `Codigo_Banco`, `Descricao_Ocorrencia`, `Codigo_Ocorrencia`) VALUES ('0771', '', '', '0000-0-0 00:00:00', '0000-0-0 00:00:00', '077', 'Em aberto', '02');
INSERT INTO `conta_erro` (`Id`, `Id_Usuario`, `Id_Usuario_Upd`, `Data_Cadastro`, `Data_Cadastro_Upd`, `Codigo_Banco`, `Descricao_Ocorrencia`, `Codigo_Ocorrencia`) VALUES ('0772', '', '', '0000-0-0 00:00:00', '0000-0-0 00:00:00', '077', 'Erro', '03');
INSERT INTO `conta_erro` (`Id`, `Id_Usuario`, `Id_Usuario_Upd`, `Data_Cadastro`, `Data_Cadastro_Upd`, `Codigo_Banco`, `Descricao_Ocorrencia`, `Codigo_Ocorrencia`) VALUES ('0773', '', '', '0000-0-0 00:00:00', '0000-0-0 00:00:00', '077', 'Pago', '06');
INSERT INTO `conta_erro` (`Id`, `Id_Usuario`, `Id_Usuario_Upd`, `Data_Cadastro`, `Data_Cadastro_Upd`, `Codigo_Banco`, `Descricao_Ocorrencia`, `Codigo_Ocorrencia`) VALUES ('0774', '', '', '0000-0-0 00:00:00', '0000-0-0 00:00:00', '077', 'Cancelado', '07');




UPDATE relatorio SET Ativo='Sim' WHERE Id='250';
UPDATE relatorio SET Ativo='Sim' WHERE Id='249';





UPDATE usuario SET Senha = '919f2070ddf3df9596298b611a413d81' WHERE Id = '11111111111111111111111111111111';


ALTER IGNORE TABLE menu ADD UNIQUE INDEX dupidx (Id);
ALTER TABLE menu DROP INDEX dupidx;





DROP TRIGGER `trig_pdv_pro_ins`;

CREATE TRIGGER `trig_pdv_pro_ins` BEFORE INSERT ON `pdv_produto`
FOR EACH ROW BEGIN

DECLARE ORIGEMST int;
DECLARE IDCAT varchar(32);
DECLARE IDCATFILHO varchar(32);
DECLARE IDFORN varchar(32);
DECLARE VARIBPT double;
DECLARE IDCFOP varchar(6);

SELECT
Id_Categoria_Produto,Id_Categoria_Produto_Filho,Id_Fornecedor,Origem_ST,Ibpt,Id_Cfop_Venda
into
IDCAT,IDCATFILHO,IDFORN,ORIGEMST,VARIBPT,IDCFOP
FROM produto
WHERE Id = NEW.Id_Produto;

IF (NEW.Id_Local_Estoque = '') THEN
  SET NEW.Id_Local_Estoque = '1';
END IF;

SET NEW.Id_Categoria_Produto=IDCAT, NEW.Id_Categoria_Produto_Filho=IDCATFILHO, NEW.Id_Fornecedor=IDFORN, NEW.Origem_ST=ORIGEMST, NEW.Ibpt=VARIBPT;

END;



ALTER TABLE venda ADD COLUMN IF NOT EXISTS Exportado ENUM('Sim','No') DEFAULT 'No';


CREATE TABLE IF NOT EXISTS `banco_horas` (
  `Id` varchar(32) NOT NULL,
  `Id_Funcionario` varchar(32) NOT NULL,
  `Id_Usuario` varchar(32) NOT NULL,
  `Id_Usuario_Upd` varchar(32) NOT NULL,
  `Data_Cadastro` datetime NOT NULL,
  `Data_Cadastro_Upd` datetime NOT NULL,
  `Id_Unidade` int(3) NOT NULL,
  `Data_Ponto` date NOT NULL,
  `Hora1` varchar(5) NOT NULL,
  `Hora2` varchar(5) NOT NULL,
  `Ip` int(20) NOT NULL,
  `Obs` text NOT NULL
) ENGINE=MyISAM DEFAULT CHARSET=latin1;


ALTER TABLE `banco_horas` ADD PRIMARY KEY (`Id`); COMMIT;

ALTER TABLE `funcionario` ADD COLUMN IF NOT EXISTS `Tipo_Operador` ENUM('Caixa','Pedido') NOT NULL DEFAULT 'Caixa' AFTER `Ativo`;
INSERT INTO `menu` (`Id`, `Chamada`, `Titulo`, `Id_Pai`, `Ordem`, `Ativo`) VALUES ('3201', 'Caixa_Operador_Restaurante', 'Caixa Operador Restaurante', '8', '200', 'No');

CREATE TABLE IF NOT EXISTS `caixa_diario_restaurante` (
  `Id` varchar(32) NOT NULL,
  `Id_Usuario` varchar(32) NOT NULL,
  `Id_Usuario_Upd` varchar(32) NOT NULL,
  `Data_Cadastro` datetime NOT NULL,
  `Data_Cadastro_Upd` datetime NOT NULL,
  `Abertura` datetime NOT NULL,
  `Fechamento` datetime NOT NULL,
  `Status` enum('Aberto','Fechado') NOT NULL,
  `Data_Abertura` date NOT NULL,
  `Data_Fechamento` date NOT NULL,
  `Id_Funcionario` varchar(32) NOT NULL,
  `Id_Unidade` int(3) NOT NULL,
  `Valor_Proximo_Dia` double NOT NULL,
  `Tipo` varchar(20) NOT NULL,
  KEY `idunid` (`Id_Unidade`),
  KEY `idfun` (`Id_Funcionario`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1 COLLATE=latin1_swedish_ci;


CREATE TABLE IF NOT EXISTS `caixa_operador_registro_restaurante` (
  `Id` varchar(32) NOT NULL,
  `Id_Usuario` varchar(32) NOT NULL,
  `Id_Usuario_Upd` varchar(32) NOT NULL,
  `Data_Cadastro` datetime NOT NULL,
  `Data_Cadastro_Upd` datetime NOT NULL,
  `Abertura` datetime NOT NULL,
  `Fechamento` datetime NOT NULL,
  `Status` enum('Aberto','Fechado') NOT NULL,
  `Data_Abertura` date NOT NULL,
  `Data_Fechamento` date NOT NULL,
  `Id_Funcionario` varchar(32) NOT NULL,
  `Id_Unidade` int(3) NOT NULL,
  `Tipo` text NOT NULL,
  KEY `Id` (`Id`),
  KEY `iduni` (`Id_Unidade`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1 COLLATE=latin1_swedish_ci;

CREATE TABLE IF NOT EXISTS `caixa_cego_restaurante` (
  `Id` varchar(32) NOT NULL,
  `Id_Usuario` varchar(32) NOT NULL,
  `Id_Usuario_Upd` varchar(32) NOT NULL,
  `Data_Cadastro` datetime NOT NULL,
  `Data_Cadastro_Upd` datetime NOT NULL,
  `Valor` double NOT NULL,
  `Data_Caixa` date NOT NULL,
  `Obs` text NOT NULL,
  `Tipo_Pagamento` varchar(20) NOT NULL,
  `Id_Tipo_Pagamento` varchar(32) NOT NULL,
  `Id_Funcionario` varchar(32) NOT NULL,
  `Id_Unidade` int(3) NOT NULL,
  `Id_Caixa_Operador_Registro` varchar(32) NOT NULL,
  `Conferido` enum('Sim','No') NOT NULL DEFAULT 'Sim',
  KEY `iduni` (`Id_Unidade`),
  KEY `idcai` (`Id_Caixa_Operador_Registro`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1 COLLATE=latin1_swedish_ci;

CREATE TABLE IF NOT EXISTS `caixa_operador_restaurante` (
  `Id` varchar(32) NOT NULL,
  `Id_Usuario` varchar(32) NOT NULL,
  `Id_Usuario_Upd` varchar(32) NOT NULL,
  `Data_Cadastro` datetime NOT NULL,
  `Data_Cadastro_Upd` datetime NOT NULL,
  `Id_Caixa_Operador_Registro` varchar(32) NOT NULL,
  `Abertura` datetime NOT NULL,
  `Fechamento` datetime NOT NULL,
  `Tipo` varchar(10) NOT NULL,
  `Valor` double NOT NULL,
  `Valor_Total` double NOT NULL,
  `Desconto` double NOT NULL,
  `Desconto_Real` double NOT NULL,
  `Obs` text NOT NULL,
  `Data_Abertura` date NOT NULL,
  `Data_Fechamento` date NOT NULL,
  `Tipo_Pagamento` varchar(20) NOT NULL,
  `Id_Tipo_Pagamento` varchar(32) NOT NULL,
  `Id_Funcionario` varchar(32) NOT NULL,
  `Id_Externo` varchar(32) NOT NULL,
  `Origem` varchar(30) NOT NULL,
  `Id_Unidade` int(3) NOT NULL,
  `Caixa` enum('Sim','No') NOT NULL,
  `Id_Atividade` varchar(32) DEFAULT NULL,
  `Id_Centro_Custo` varchar(32) DEFAULT NULL,
  `Id_Cliente` varchar(32) NOT NULL,
  KEY `idcai` (`Id_Caixa_Operador_Registro`),
  KEY `idpgto` (`Id_Tipo_Pagamento`),
  KEY `iduni` (`Id_Unidade`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1 COLLATE=latin1_swedish_ci;

CREATE TABLE IF NOT EXISTS `manutencao` (
  `Id` varchar(32) NOT NULL,
  `Id_Usuario` varchar(32) NOT NULL,
  `Id_Usuario_Upd` varchar(32) NOT NULL,
  `Data_Cadastro` datetime NOT NULL,
  `Data_Cadastro_Upd` datetime NOT NULL,
  `Codigo` int(10) NOT NULL,
  `Codigo_Pai` int(10) NOT NULL,
  `Id_Cliente` varchar(32) NOT NULL,
  `Id_Status_Historico` int(3) NOT NULL,
  `Observacao` text NOT NULL,
  `Situacao` varchar(20) NOT NULL,
  `Status` varchar(50) NOT NULL,
  `Id_Unidade` varchar(32) NOT NULL,
  `Contato` varchar(250) NOT NULL,
  `Tecnico` varchar(150) NOT NULL,
  `Id_Os` varchar(32) NOT NULL,
  `Lancamento` varchar(10) NOT NULL,
  `Imp` int(3) NOT NULL,
  `Data_Retorno` date NOT NULL,
  `Nivel` varchar(20) NOT NULL,
  `Data_Entrega` date NOT NULL
) ENGINE=MyISAM DEFAULT CHARSET=latin1;





CREATE TABLE IF NOT EXISTS `telemarketing_funcionario` (
  `Id` int(11) NOT NULL,
  `Id_Consultor` varchar(32) NOT NULL,
  `Id_Telemarketing` varchar(32) NOT NULL
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

ALTER TABLE `telemarketing_funcionario`
  ADD PRIMARY KEY (`Id`);


ALTER TABLE `telemarketing_funcionario`
  MODIFY `Id` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=1;
COMMIT;







CREATE TABLE IF NOT EXISTS `treinamento_funcionario` (
  `Id` int(8) NOT NULL,
  `Id_Usuario` varchar(32) NOT NULL,
  `Id_Usuario_Upd` varchar(32) NOT NULL,
  `Data_Cadastro` datetime NOT NULL,
  `Data_Cadastro_Upd` datetime NOT NULL,
  `Id_Funcionario` varchar(32) NOT NULL,
  `Id_Treinamento` int(8) NOT NULL
) ENGINE=MyISAM DEFAULT CHARSET=latin1;


ALTER TABLE `treinamento_funcionario`
  ADD PRIMARY KEY (`Id`);


ALTER TABLE `treinamento_funcionario`
  MODIFY `Id` int(8) NOT NULL AUTO_INCREMENT;
COMMIT;


ALTER TABLE `treinamento` ADD COLUMN IF NOT EXISTS `Titulo` VARCHAR(250) NOT NULL AFTER `Id_Funcionario`;

CREATE TABLE IF NOT EXISTS `caixa_operador_temp_restaurante` (
  `Id` varchar(32) NOT NULL,
  `Id_Usuario` varchar(32) NOT NULL,
  `Id_Usuario_Upd` varchar(32) NOT NULL,
  `Data_Cadastro` datetime NOT NULL,
  `Data_Cadastro_Upd` datetime NOT NULL,
  `Id_Caixa_Operador_Registro` varchar(32) NOT NULL,
  `Abertura` datetime NOT NULL,
  `Fechamento` datetime NOT NULL,
  `Tipo` varchar(10) NOT NULL,
  `Valor` double NOT NULL,
  `Valor_Total` double NOT NULL COMMENT 'Valor total da mesa, balcao, delivery etc',
  `Desconto` double NOT NULL,
  `Desconto_Real` double NOT NULL,
  `Obs` text NOT NULL,
  `Data_Abertura` date NOT NULL,
  `Data_Fechamento` date NOT NULL,
  `Tipo_Pagamento` varchar(20) NOT NULL,
  `Id_Tipo_Pagamento` varchar(32) NOT NULL,
  `Id_Funcionario` varchar(32) NOT NULL,
  `Id_Externo` varchar(32) NOT NULL,
  `Origem` varchar(30) NOT NULL,
  `Id_Unidade` int(3) NOT NULL,
  `Caixa` enum('Sim','No') NOT NULL,
  `Id_Atividade` varchar(32) DEFAULT NULL,
  `Id_Centro_Custo` varchar(32) DEFAULT NULL,
  `Id_Cliente` varchar(32) NOT NULL
) ENGINE=MyISAM DEFAULT CHARSET=latin1;







ALTER TABLE `newsletter` ADD COLUMN IF NOT EXISTS `Data` DATE NOT NULL AFTER `Titulo`;
UPDATE newsletter SET Data = Data_Cadastro WHERE Data='0000-00-00';

ALTER TABLE `newsletter` ADD COLUMN IF NOT EXISTS `Lancamento` INT(5) NOT NULL AUTO_INCREMENT AFTER `Data_Cadastro_Upd`,
ADD PRIMARY KEY (`Lancamento`);



ALTER TABLE `conciliacao` DROP PRIMARY KEY;

ALTER TABLE `conciliacao` ADD COLUMN IF NOT EXISTS `Lancamento` INT(8) NOT NULL AUTO_INCREMENT AFTER `Id`, ADD PRIMARY KEY (`Lancamento`);


INSERT INTO `relatorio` (`Id`, `Titulo`, `Id_Pai`, `Titulo_Pai`, `Ativo`) VALUES ('250', '45 - Trocar rea dos Clientes', '5', 'Gerenciais', 'Sim') ;
INSERT INTO `relatorio` (`Id`, `Titulo`, `Id_Pai`, `Titulo_Pai`, `Ativo`) VALUES ('249', '44 - Lucro por Pr - Vendas', '5', 'Gerenciais', 'Sim') ;



ALTER TABLE `chamado2` ADD COLUMN IF NOT EXISTS `Cancelado` ENUM('Sim','No') NOT NULL DEFAULT 'No';

