<?php
include_once '../include/conecta.php'; //Conecta com a nosso banco de dados MySQL
include_once '../include/ver_sessao.php'; //Verifica se a sesso est ativa
include_once '../include/funcoesPhp.php'; include_once '../menu_movimento.php';


########################################
#                                            
#        Calendrio de Eventos PHP 5 e MySQL            
#        Documento: Agenda de Eventos Dinmica        
#        Autor: Gaspar Teixeira                    
#        E-mail: gaspar.teixeira@gmail.com            
#        Data: 14/11/2008                        
#        Direito de Uso: Livre                        
#        Declarao: O autor no se responsabiliza        
#        pelo utilizao deste calendrio!                    
#                                                
########################################

?>
<html>
<head>
<title>Gw - Gesto Web</title>
<link rel="stylesheet" type="text/css" href="../estilo/<?php echo SKIN ;?>/agenda.css" />
</head>
<body>

<?php

if(empty($_GET['data'])){//navegaao entre os meses
    $dia = date('d');
    $month = ltrim(date('m'),"0");
    $ano = date('Y');
}else{
    $data = explode('/',$_GET['data']);//nova data
    $dia = $data[0];
    $month = $data[1];
    $ano = $data[2];
}

if($month==1){//ms anterior se janeiro mudar valor
    $mes_ant = 12;
    $ano_ant = $ano - 1;
}else{
    $mes_ant = $month - 1;
    $ano_ant = $ano;
}

if($month==12){//proximo ms se dezembro tem que mudar
    $mes_prox = 1;
    $ano_prox = $ano + 1;
}else{
    $mes_prox = $month + 1;
    $ano_prox = $ano;
}

$hoje = date('j');//funo importante pego o dia corrente
switch($month.$n){/*notem duas variaveis para o switch para identificar dia e limitar numero de dias*/
    case 1: $mes = "JANEIRO";
            $n = 31;
    break;
    case 2: $mes = "FEVEREIRO";// todo ano bixesto fev tem 29 dias
            $bi = $ano % 4;//anos multiplos de 4 so bixestos
            if($bi == 0){
                $n = 29;
            }else{
                $n = 28;
            }
    break;
    case 3: $mes = "MARO";
            $n = 31;
    break;
    case 4: $mes = "ABRIL";
            $n = 30;
    break;
    case 5: $mes = "MAIO";
            $n = 31;
    break;
    case 6: $mes = "JUNHO";
            $n = 30;
    break;
    case 7: $mes = "JULHO";
            $n = 31;
    break;
    case 8: $mes = "AGOSTO";
            $n = 31;
    break;
    case 9: $mes = "SETEMBRO";
            $n = 30;
    break;
    case 10: $mes = "OUTUBRO";
            $n = 31;
    break;
    case 11: $mes = "NOVEMBRO";
            $n = 30;
    break;
    case 12: $mes = "DEZEMBRO";
            $n = 31;
    break;
}

$pdianu = mktime(0,0,0,$month,1,$ano);//primeiros dias do mes
$dialet = date('D', $pdianu);//escolhe pelo dia da semana
switch($dialet){//verifica que dia cai
    case "Sun": $branco = 0; break;
    case "Mon": $branco = 1; break;
    case "Tue": $branco = 2; break;
    case "Wed": $branco = 3; break;
    case "Thu": $branco = 4; break;
    case "Fri": $branco = 5; break;
    case "Sat": $branco = 6; break;
}            

    print '<table class="tabela" >';//construo do calendario
    print '<tr>';
    print '<td class="mes"><a href="?data='.$dia.'/'.$mes_ant.'/'.$ano_ant.'" title="Ms anterior">  &laquo; </a></td>';/*ms anterior*/
    print '<td class="mes" colspan="5">'.$mes.'/'.$ano.'</td>';/*mes atual e ano*/
    print '<td class="mes"><a href="?data='.$dia.'/'.$mes_prox.'/'.$ano_prox.'" title="Prximo ms">  &raquo; </a></td>';/*Proximo ms*/
    print '</tr><tr>';
    print '<td class="sem">D</td>';//printar os dias da semana
    print '<td class="sem">S</td>';
    print '<td class="sem">T</td>';
    print '<td class="sem">Q</td>';
    print '<td class="sem">Q</td>';
    print '<td class="sem">S</td>';
    print '<td class="sem">S</td>';
    print '</tr><tr>';
    $dt = 1;
    if($branco > 0){
        for($x = 0; $x < $branco; $x++){
             print '<td>&nbsp;</td>';/*preenche os espaos em branco*/
            $dt++;
        }
    }
    for($i = 1; $i <= $n; $i++ ){/*agora vamos no banco de dados verificar os eventos*/
            $dtevento = $ano."-".$month."-".$i;
            /* se for master ve todos, se no for apenas o seu */
            if($_SESSION["Id_Nivel"]!=1){
                $umUsuario = "and Id_Usuario_Agenda = '".$_SESSION["Id"]."'";
            }
        $sqlag = mysqli_query($con,"SELECT * FROM agenda WHERE Data_Evento = '$dtevento' 
        							 $umUsuario ") or die(mysqli_error($con));
                $num = mysqli_num_rows($sqlag);/*quantos eventos tem para o mes*/
                $idev = old_mysql_result($sqlag, 0, "Data_Postagem");
                $eve = old_mysql_result($sqlag, 0, "Evento");
                $Data_Evento_Dia = old_mysql_result($sqlag, 0, "Data_Evento");  /*para pegar todos os post do dia escolhido*/            
                if($num > 0){/*prevalece qualquer dia especial do calendario, por isso est em primeiro*/
           print '<td class="evt">';
           print '<a href="?d='.$idev.'&data='.$dia.'/'.$month.'/'.$ano.'&data_evento='.$Data_Evento_Dia.'" title="'.$eve.'">'.$i.'</a>';
           print '</td>';
           $dt++;/*incrementa os dias da semana*/
                   $qt+= $num;/*quantos eventos tem no mes*/
        }elseif($i == $hoje){/*imprime os dia corrente*/
            print '<td class="hj">';
            print $i;
            print '</td>';
            $dt++;
        
        }elseif($dt == 1){/*imprime os domingos*/
            print '<td class="dom">';
            print $i;
            print '</td>';
            $dt++;
        }else{/*imprime os dias normais*/
                    print '<td class="td">';
            print $i;
            print '</td>';
            $dt++;
                }
        if($dt > 7){/*faz a quebra no sabado*/
        print '</tr><tr>';
        $dt = 1;
        }
    }
    print '</tr>';
    print '</table>';
        if($qt > 0){/*se tiver evento no ms imprime quantos tem */
          print "Temos ".$qt." evento(s) em ".strtolower($mes)."<br><br>";/*mudar para caixa baixa as letras do mes*/
        }
echo '<div class="barra">';		
if(isset($_GET['d'])){/*link dos dias de eventos*/
    $idev = $_GET['d'];
    $Data_Evento_Dia = $_GET["data_evento"];
         /* se for master ve todos, se no for apenas o seu */
            if($_SESSION["Id_Nivel"]!=1){
                $umUsuario = "and Id_Usuario_Agenda = '".$_SESSION["Id"]."'";
            }
    $sqlev = mysqli_query($con,"SELECT agenda.*,
                            funcionario.Titulo as Funcionario
                            FROM agenda
                            LEFT JOIN (SELECT Id,Titulo FROM funcionario) as funcionario ON funcionario.Id = agenda.Id_Usuario_Agenda
                            WHERE Data_Evento = '$Data_Evento_Dia' 
                            $umUsuario
                            ORDER BY hora ASC") or die(mysqli_error($con)); /*modo original Data_Postagem='$idev'*/
    $numev = mysqli_num_rows($sqlev);
    for($j = 0; $j < $numev; $j++){/*caso no mesmo dia tenha mais eventos continua imprimindo */
    $eve = old_mysql_result($sqlev, $j, "Evento");/*pegando os valores do banco referente ao evento*/
    $dev = old_mysql_result($sqlev, $j, "Data_Evento");
    $dev = date('d/m/Y ', strtotime($dev));/*transforma a data para data padro brazil*/
    $dsev = old_mysql_result($sqlev, $j, "Conteudo");
    $auev = old_mysql_result($sqlev, $j, "Autor");
    $dono = old_mysql_result($sqlev, $j, "Funcionario");
    $lev = old_mysql_result($sqlev, $j, "Local");
    $psev = old_mysql_result($sqlev, $j, "Data_Postagem");
    $nowev = date('d/m/Y ', strtotime($psev));/*transforma a data para data padro brazil*/
    $hev = old_mysql_result($sqlev, $j, "Hora");
print '<table width="530" cellspacing="0" cellpadding="0" class="agendaBorda">';/*monta a tabela de eventos*/
print '<tr><td class="show">'.$dev.' - '.$eve.'</td></tr>';
print '<tr><td class="linha"><b>Hora: </b>'.$hev.'hs</td></tr>';
print '<tr><td class="linha"><b>Local: </b>'.$lev.'</td></tr>';
print '<tr><td class="linha"><b>Descrio: </b>'.nl2br($dsev).'</td></tr>';/*mantem o quebra da linha para dascriao do evento*/
print '<tr><td class="linha"><b>Postado: </b>'.$nowev.' por <b>'.$auev.'</b> para <b>'.$dono.'</b></td></tr>';
print '</table>';
    }
}
echo '</div>';
?>
</body>
</html>