<?php
include_once '../include/conecta.php'; //Conecta com a nosso banco de dados MySQL
include_once '../include/ver_sessao.php'; //Verifica se a sesso est ativa
include_once '../include/funcoesPhp.php';
include_once '../menu_movimento.php';
?>
<?php
if ($_GET["Mes_De"])
    $data .= "AND MONTH(funcionario.Aniversario) >= '" . $_GET["Mes_De"] . "' ";
if ($_GET["Mes_Ate"])
    $data .= "AND MONTH(funcionario.Aniversario) <= '" . $_GET["Mes_Ate"] . "' ";

if ($_GET["Ativo"]) {
    $natureza .= "and funcionario.Ativo = '" . $_GET["Ativo"] . "' ";
}

if ($_GET["Ok"]) {
      $cliente = listar("SELECT funcionario.Titulo,
                                funcionario.Email,
                                funcionario.Cidade,
                                funcionario.Fone,
                    DATE_FORMAT(funcionario.Aniversario, '%m') as Mes,
                    DATE_FORMAT(funcionario.Aniversario, '%d') as Dia,
                    DATE_FORMAT(funcionario.Aniversario, '%d/%m/%Y') as Aniversario,
                                funcionario.Data_Admissao
                           FROM funcionario
                          WHERE 1=1
                            AND Tipo = 'A'
                                $data $natureza
                       ORDER BY Mes,Dia, funcionario.Titulo");
}
?>
<html>
    <head>
        <title>Gw - Gesto Web</title>
        <link rel="stylesheet" type="text/css" href="../estilo/<?php echo SKIN; ?>/tabelas.css" />
        <link rel="stylesheet" type="text/css" href="../js/datePicker/datePicker.css" />
        <script type="text/javascript" language="javascript" src="../js/jquery.js"></script>
        <?php include '../include/script_cabeca.php'; ?>
        <script type="text/javascript" language="javascript" src="../js/script.js"></script>
        <script type="text/javascript" language="javascript" src="../js/meiomask/meiomask.js"></script>
        <script type="text/javascript" language="javascript" src="../js/meiomask/<?php if (PAIS == "USA") {
            echo "mascaras-usa";
        } else {
            echo "mascaras";
        } ?>.js"></script>
        <script type="text/javascript" language="javascript" >
            /* Mascaras personalizadas */
            $.mask.masks = $.extend($.mask.masks, {
                niver: {mask: '39/19'}
            });
        </script>
        <script type="text/javascript" language="javascript" src="../js/blockUI/blockUI.js"></script>
        <!-- required plugins -->
        <script language="javascript" type="text/javascript" src="../js/datePicker/<?php if (PAIS == "USA") {
            echo "date";
        } else {
            echo "date-pt";
        } ?>.js"></script>
        <!--[if IE]>
                <script type="text/javascript" src="../js/datePicker/jquery.bgiframe.js"></script>
                <![endif]-->
        <!-- jquery.datePicker.js -->
        <script type="text/javascript" src="../js/datePicker/jquery.datePicker.js"></script>
        <script language="javascript" type="text/javascript">
            Date.firstDayOfWeek = 0;
<?php if (PAIS == "USA") {
    echo "Date.format='mm/dd/yyyy';";
} else {
    echo "Date.format='dd/mm/yyyy';";
} ?>
            $(function () {
                //$('.date-pick').datePicker({startDate:'01/01/1990'})
            });
        </script>
        <script type="text/javascript" language="javascript" >
            $(document).ready(function () {
                $('input[name="De"]').setMask('niver'); // data
                $('input[name="Ate"]').setMask('niver'); // data
            });
        </script>
        <script language="javascript" type="text/javascript">
            $(document).ready(function () {

                $('#bt_Enviar_Email').click(function () {
                    $.blockUI({message: $('#Tela_Email'), css: {width: '350px'}});
                    //setTimeout($.unblockUI, 6000);
                });


                $('#Enviar_Email').click(function () {
                    $.blockUI({message: "<h2>Enviando E-mail...</h2>"});

                    var nomeDestinatario = $("#Nome_Destinatario").val();
                    var emailDestinatario = $("#Email_Destinatario").val();
                    //var nomeCopia = $("#Nome_Copia").val();
                    //var emailCopia = $("#Email_Copia").val();
                    var de = $("#De").val();
                    var ate = $("#Ate").val();
                    var natureza = $("#Natureza_Rel").val();
                    var Categoria_Cliente = $("#Categoria_Cliente").val();
                    var Estado = $("#Estado_Rel").val();
                    var Cidade = $("#Cidade").val();
                    $.get("email_rel_aniversario_mes.php", {Nome_Destinatario: nomeDestinatario, Email_Destinatario: emailDestinatario,
                        De: de, Ate: ate, Natureza: natureza, Categoria_Cliente: Categoria_Cliente, Estado: Estado,
                        Cidade: Cidade},
                            function (data) {
                                $("#div_resposta").html(data);
                                $.unblockUI();
                                $("#Nome_Destinatario").val('');
                                $("#Email_Destinatario").val('');
                                $("#Nome_Copia").val('');
                                $("#Email_Copia").val('');
                            });

                });


                $('#Cancelar_Email').click(function () {
                    $.unblockUI();
                    return false;
                });


            });
        </script>
        <style type="text/css">
            thead { display: table-header-group; }
            tfoot { display: table-footer-group; }
        </style>
    </head>
    <body>
        <table width="100%" height="400px"><!-- TABELA Q ENVOLVE TODO O CONTEUDO -->
            <tr>
                <td>
                    <table width="100%">
                        <tr>
                            <td align="left">
                                <font face="verdana" size="2"><i><b>Relatrio de Aniversariante de Ms</b></i></font>
                            </td>
                            <td align="center">
                                <a href='imp_pdf_aniversario_mes.php?<?php echo $_SERVER["QUERY_STRING"] ?>' title="Pdf"><img src="../imagem/pdfG.png" border="0" alt="Pdf" title="Pdf"/></a>
                                <br/><font face="verdana" size="2"><i>Pdf</i></font>		
                            </td>
                            <td align="center">
                                <a href='imp_excel_aniversario_mes.php?<?php echo $_SERVER["QUERY_STRING"] ?>' title="Excel"><img src="../imagem/excelG.png" border="0" alt="Excel" title="Excel"/></a>
                                <br/><font face="verdana" size="2"><i>Excel</i></font>
                            </td>
                            <td align="right">
                                <a href="imp_rel_aniversario_mes.php?<?php echo $_SERVER["QUERY_STRING"] ?>" title="Imprimir" target="_blank"><img src="../imagem/imprimirG.png" border="0" alt="Imprimir" title="Imprimir" /></a>
                                <br/><font face="verdana" size="2"><i>Imprimir</i></font>		
                            </td>
                        </tr>
                    </table>
                </td>
            </tr>
            <tr>
                <td>
                    <form action="" method="get">
                        <table width="100%" class="busca_rel">
                            <tr class="azul">
                                <td width="14%">Data de Aniversrio:</td>
                                <td>
                                    <?php
                                    $vetor = array( '01' => 'Jan', 
                                                    '02' => 'Fev', 
                                                    '03' => 'Mar', 
                                                    '04' => 'Abr',
                                                    '05' => 'Mai', 
                                                    '06' => 'Jun', 
                                                    '07' => 'Jul', 
                                                    '08' => 'Ago', 
                                                    '09' => 'Set',
                                                    '10' => 'Out', 
                                                    '11' => 'Nov', 
                                                    '12' => 'Dez');
                                    select_tela("Mes_De", "Mes_De", $_GET["Mes_De"], $vetor);
                                    ?>&nbsp;&nbsp;&nbsp;&nbsp;De
                                </td>
                                <td>
                                    <?php
                                    $vetor = array( '01' => 'Jan', 
                                                    '02' => 'Fev', 
                                                    '03' => 'Mar', 
                                                    '04' => 'Abr',
                                                    '05' => 'Mai', 
                                                    '06' => 'Jun', 
                                                    '07' => 'Jul', 
                                                    '08' => 'Ago', 
                                                    '09' => 'Set',
                                                    '10' => 'Out', 
                                                    '11' => 'Nov', 
                                                    '12' => 'Dez');
                                    select_tela("Mes_Ate", "Mes_Ate", $_GET["Mes_Ate"], $vetor);
                                    ?>&nbsp;&nbsp;&nbsp;&nbsp;At
                                </td>
                                <td>
                                    <label for="Ativo"><b>Ativo :</b></label>
                                        <?php
                                        $vetor = array( 'Sim' => 'Sim', 
                                                        'No' => 'No');
                                            select_tela("Ativo", "Ativo", $_GET["Ativo"], $vetor);
                                        ?>
                                    <input type="hidden" value="<?php echo $_GET["Ativo"]; ?>" name="Ativo_Rel" id="Ativo_Rel">
                                </td>
                                <td width="10%" align="center">
                                    <input type="submit" value="Ok" name="Ok">
                                </td>
                            </tr>
                        </table>
                    </form>
                </td>
            </tr>
            <tr>
                <td>
                    <table width="100%" class="tabela">
                        <thead>
                            <tr class="azul-claro">
                                <td>x</td>
                                <td>Ttulo</td>
                                <td>Aniversrio</td>
                                <td>Fone</td>
                                <td>Admisso</td>
                            </tr>
                        </thead>
                        <tbody>
                            <?php
                                if ($_GET["Ok"]) {

                                    $y = 1;
                                    $color = "#F5F5F5";
                                    foreach ($cliente as $chave) {
                                        if ($color == "#F5F5F5") {
                                            $color = "#E8E8E8";
                                        } else {
                                            $color = "#F5F5F5";
                                        }
                            ?>
                                    <tr bgcolor=<?php echo "$color"; ?> >
                                        <td><?php echo $y; ?></td>
                                        <td><?php echo $chave["Titulo"] ?></td>
                                        <td><?php echo $chave["Aniversario"] ?></td>
                                        <td><?php echo $chave["Fone"]; ?></td>
                                        <td><?php echo data_exibir($chave["Data_Admissao"]) ?></td>
                                    </tr>
                            <?php $y++;
                                } } 
                            ?>
                        </tbody>
                    </table>
                </td>
            </tr>
            <tr>
                <td>
                    <div id="div_resposta"></div>
                </td>
            </tr>
        </table>
        <br>  
        <!-- INICIO DA TELA MODAL ENVIO DE EMAIL-->
        <!-- No css existe um estilo para essas divs que as deixa invisivel - display:none; -->
        <?php include_once "../include/email_tabela.php"; ?>
        <!-- FIM DA TELA MODAL ENVIO DE EMAIL-->
    </body>
</html>