<?php
include_once '../include/conecta.php'; //Conecta com a nosso banco de dados MySQL
ini_set('session.gc_maxlifetime', 60 * 120);
session_start();
/*include_once '../include/ver_sessao.php'; //Verifica se a sesso est ativa*/
include_once '../include/funcoesPhp.php';
include_once '../menu_movimento.php';

?>
<?php
if (CLIENTE_RAZAO_SOCIAL == 'Sim') {
    $nome = 'Razao_Social';
} else {
    $nome = 'Titulo';
}
$balanca = listar("Select cliente.$nome as 'Cliente',
                    conta_receber.Data_Vencimento,
                    conta_receber.Valor_Original,
                    conta_receber.Fatura,
                    conta_receber.Status,
                    cliente.Razao_Social,
                    cliente.Cpf_Cnpj,
                    conta_receber.Id_Cliente,
                    bordero_desconto.Deslocamento,
                    bordero_desconto.Data_Operacao,
                    bordero_desconto.Id_Conta,
                    bordero_desconto.Id_Conta_Troca,
                    bordero_desconto.Id_Unidade,
                    bordero_desconto_registro.Valor_Titulo
                    from bordero_desconto_registro
                    left join (SELECT Id,Deslocamento,Data_Operacao,Id_Conta,Id_Unidade,Id_Conta_Troca FROM bordero_desconto) as bordero_desconto ON bordero_desconto.Id = bordero_desconto_registro.Id_Bordero_Desconto
                    left join (SELECT Id,Data_Vencimento,Valor_Original,Fatura,Status,Id_Conta,Id_Cliente FROM conta_receber) as conta_receber ON conta_receber.Id = bordero_desconto_registro.Id_Conta_Receber
                    left join (SELECT Id,Titulo,Razao_Social,Cpf_Cnpj FROM cliente) as cliente ON cliente.Id = conta_receber.Id_Cliente
                    where bordero_desconto_registro.Id_Bordero_Desconto = '" . $_GET["id_bordero_desconto"] . "'
                    order by conta_receber.Fatura,conta_receber.Data_Vencimento ");

$_GET["Unidade"] = $balanca[0]["Id_Unidade"];
?>
<html>

<head>
    <title>Gw - Gesto Web</title>
    <link rel="stylesheet" type="text/css" href="../estilo/<?php echo SKIN; ?>/tabela_imp.css" />
    <script type="text/javascript" language="javascript" src="../js/jquery.js"></script>
    <?php include '../include/script_cabeca.php'; ?>
    <script type="text/javascript" language="javascript" src="../js/script.js"></script>
    <script type="text/javascript" language="javascript" src="../js/meiomask/meiomask.js"></script>
    <script type="text/javascript" language="javascript" src="../js/meiomask/<?php if (PAIS == "USA") {
                                                                                    echo "mascaras-usa";
                                                                                } else {
                                                                                    echo "mascaras";
                                                                                } ?>.js"></script>
    <script type="text/javascript" language="javascript">
    window.onload = function() {
        //window.print();
    }
    </script>
</head>

<body>
    <table width="98%" align="center">
        <!-- TABELA Q ENVOLVE TODO O CONTEUDO -->
        <tr>
            <td>
                <?php include "../include/cabecalho_relatorio.php"; ?>
            </td>
        </tr>
        <tr>
            <td>
                <font face="verdana" size="2"><i>Border Desconto</i></font> -
                <?php echo data_exibir($balanca[0]["Data_Operacao"]); ?>
            </td>
        </tr>
        <tr>
            <td>
                Ao Banco:
                <?php
                if ($balanca[0]["Id_Conta_Troca"]) {
                    $achar = listar("Select conta.Titular as Titulo
                        from conta
                    where conta.Id = '" . $balanca[0]["Id_Conta_Troca"] . "' ");
                    echo $achar[0]["Titulo"];
                }
                ?>
            </td>
        </tr>
        <tr>
            <td>
                Solicitamos proceder o recebimento das seguintes duplicatas abaixo relacionadas, creditando-nos os
                valores correspondentes.
            </td>
        </tr>
        <tr>
            <td>
                <br>
                <table width="100%" class="tabela">
                    <thead>
                        <tr class="azul-claro">
                            <td>Fatura</td>
                            <td>Cliente</td>
                            <td>Cnpj</td>
                            <td>Vencimento</td>
                            <td>Valor</td>
                        </tr>
                    </thead>
                    <?php
                    $x = 0;
                    $color = "#F5F5F5";
                    foreach ($balanca as $chave) {
                        if ($color == "#F5F5F5") {
                            $color = "#E8E8E8";
                        } else {
                            $color = "#F5F5F5";
                        }


                        $corStatus = "";
                        if ($chave['Status'] == 'Liquidado') {
                            $corStatus = "color = '#228B22' ";
                        }
                        if ($chave['Status'] == 'Aberto') {
                            $corStatus = "color = '#3A5FCD' ";
                        }
                        if ($chave['Status'] == 'Cancelado') {
                            $corStatus = "color = '#CD2626' ";
                        }
                    ?>
                    <tr bgcolor=<?php echo "$color"; ?>>
                        <td><?php echo $chave["Fatura"] ?></td>
                        <td><?php echo $chave["Cliente"]; ?></td>
                        <td><?php echo cnpj_exibir($chave["Cpf_Cnpj"]); ?></td>
                        <td><?php echo data_exibir($chave["Data_Vencimento"]) ?></td>
                        <td>
                            <?php
                                echo number_format($chave['Valor_Titulo'],2,',','.');

                                if($chave['Valor_Titulo']!=$chave['Valor_Original']){
                                    ?>
                                    <img border="0" src="../imagem/alerta.png" title="Problemas com o Titulo Original!" alt="Problemas com o Titulo Original!" width="20px" height="auto"/>
                                    <?php
                                }
                            ?>
                        </td>
                    </tr>
                    <?php
                        $x++;
                        $Valor_Total += $chave["Valor_Titulo"];
                    }
                    ?>
                    <tbody>


                        <tr>
                            <td></td>
                            <td colspan="3"><b>Totais Valores : </b></td>
                            <td><b><?php echo valor_exibir($Valor_Total); ?></b></td>
                        </tr>
                    </tbody>
                </table>
            </td>
        </tr>
        <tr>
            <td><?php echo valorPorExtenso($Valor_Total); ?></td>
        </tr>
        <tr>
            <td>Quantidade de Titulos: <?php echo $x; ?></td>
        </tr>
    </table>
    <br><br>
    <table width="98%" align="center">
        <tr>
            <td align="center">________________________</td>
        </tr>
        <tr>
            <td align="center">
                <font face="verdana" size="2">Visto Gerencial</font>
            </td>
        </tr>
    </table>
</body>

</html>