<?php
include_once '../include/conecta.php'; //Conecta com a nosso banco de dados MySQL
include_once '../include/ver_sessao.php'; //Verifica se a sesso est ativa
include_once '../include/funcoesPhp.php';
include_once '../menu_movimento.php';
?>
<html>

<head>
    <title>Gw - Gesto Web</title>
    <link rel="stylesheet" type="text/css" href="../estilo/<?php echo SKIN; ?>/tableless.css" />
    <script language="javascript" type="text/javascript" src="../js/jquery.js"></script>
    <script language="javascript" type="text/javascript" src="../js/script.js"></script>
</head>

<body>
    <?php
    $bordero = mysqli_query($con, "SELECT Id, Lancamento, Valor_Operacao
                                        FROM bordero_desconto
                                        WHERE Id='".$_GET["id_bordero_desconto"]."' ");
    $bordero = mysqli_fetch_assoc($bordero);
    ?>

    <fieldset class="envolve">
        <legend>Xml</legend>

        <div class="linhas_historico">
            <b>Border :</b> Id: <?php echo $bordero["Lancamento"] ?> - Valor: <?php echo $bordero["Valor_Operacao"] ?>
        </div>

        <br/>
        <table width="100%" align="center" border="0" cellpadding="2" cellspacing="2">
            <tr>
                <td class="table_prod_nome">Id</td>
                <td class="table_prod_nome">Fatura</td>
                <td class="table_prod_nome">Cliente</td>
                <td class="table_prod_nome">Vencto</td>
                <td class="table_prod_nome">Vencto D+<?php echo $linha['Deslocamento'];?></td>
                <td class="table_prod_nome">Prazo</td>
                <td class="table_prod_nome">Valor</td>
                <?php if(CLIENTE_EMAIL=='gardenquimica' || CLIENTE_EMAIL=='testegarden' || CLIENTE_EMAIL=='igq'){ ?>
                <td class="table_prod_nome">Portador</td>
                <?php } ?>
                <td class="table_prod_nome">Proc</td>
            </tr>
        <?php
        if(CLIENTE_RAZAO_SOCIAL=='Sim'){
            $nome = 'Razao_Social';
        }else{
            $nome = 'Titulo';
        }
        $bordero = mysqli_query($con, "SELECT DISTINCT bordero_desconto_registro.Id,
                                    bordero_desconto_registro.Valor_Titulo,
                                    bordero_desconto_registro.Id_Conta_Receber,
                                    bordero_desconto.Deslocamento,
                                    bordero_desconto.Data_Operacao,
                                    conta_receber.Fatura,
                                    conta_receber.Lancamento,
                                    conta_receber.Data_Vencimento,
                                    conta_receber.Valor_Original,
                                    cliente.$nome as Cliente,
                                    portador.Titulo as Portador
                                    FROM bordero_desconto_registro
                                    left join (SELECT Id,Deslocamento,Data_Operacao FROM bordero_desconto) as bordero_desconto ON bordero_desconto.Id = bordero_desconto_registro.Id_Bordero_Desconto
                                    LEFT JOIN (SELECT Id,Fatura,Lancamento,Data_Vencimento,Valor_Original,Id_Cliente FROM conta_receber) as conta_receber ON conta_receber.Id = bordero_desconto_registro.Id_Conta_Receber
                                    left join (SELECT Id,Titulo,Razao_Social FROM cliente) as cliente ON cliente.Id = conta_receber.Id_Cliente
                                    left join (SELECT Id,Titulo FROM portador) as portador ON portador.Id = bordero_desconto_registro.Id_Portador
                                    WHERE bordero_desconto_registro.Id_Bordero_Desconto = '".$_GET["id_bordero_desconto"]."'
                                    ORDER BY conta_receber.Data_Vencimento,conta_receber.Fatura,conta_receber.Lancamento ");
        
            while($linha = mysqli_fetch_assoc($bordero)){
        ?>
            <tr bgcolor=<?php echo "$color"; ?>>
                <td class="table_prod_valor"><?php echo $linha['Lancamento'];?></td>
                <td class="table_prod_valor"><?php echo $linha['Fatura'];?></td>
                <td class="table_prod_valor"><?php echo $linha['Cliente'];?></td>
                <td class="table_prod_valor"><?php echo data_exibir($linha['Data_Vencimento']);?></td>
                <td class="table_prod_valor"><?php echo AddData( data_exibir($linha['Data_Vencimento']) ,$linha['Deslocamento']);?></td>
                <td class="table_prod_valor"><?php echo calcula_dia( data_exibir($linha['Data_Operacao']) , AddData( data_exibir($linha['Data_Vencimento']) ,$linha['Deslocamento']) );?></td>
                <td class="table_prod_valor">
                    <?php
                        echo number_format($linha['Valor_Titulo'],2,',','.');

                        if($linha['Valor_Titulo']!=$linha['Valor_Original']){
                            ?>
                            <img border="0" src="../imagem/alerta.png" title="Problemas com o Titulo Original!" alt="Problemas com o Titulo Original!" width="20px" height="auto"/>
                            <?php
                        }
                    ?>
                </td>
                <?php if(CLIENTE_EMAIL=='gardenquimica' || CLIENTE_EMAIL=='testegarden' || CLIENTE_EMAIL=='igq'){ ?>
                <td class="table_prod_valor"><?php echo $linha['Portador'];?></td>
                <?php } ?>
                <td class="table_prod_valor">
                    <a href="javascript:void();"
                    onclick="window.open('baixar_arquivo.php?id_conta_receber=<?php echo $linha['Id_Conta_Receber']; ?>', 'Proc', 'width=700,height=800,top=0,left=0,scrollbars=yes')">
                    <img border="0" src="../imagem/xml.png" title="Proc" alt="Proc" /></a>
                </td>
            </tr>
        <?php } ?>
        </table>
    </fieldset>

    <?php include "../include/rodape.php"; ?>
</body>

</html>