<?php
include_once '../include/conecta.php'; //Conecta com a nosso banco de dados MySQL
include_once '../include/ver_sessao.php'; //Verifica se a sesso est ativa
include_once '../include/funcoesPhp.php';
include_once '../menu_movimento.php';

?>
<html>

<head>
    <title>Gw - Gesto Web</title>
    <?php include 'cabecalho.php'; ?>
    <style type="text/css">
    thead {
        display: table-header-group;
    }

    tfoot {
        display: table-footer-group;
    }
    </style>
    <style type="text/css">
    .input {
        margin: 0 5px;
        width: 150px;
        height: 40px;
        font: 25px Georgia, "Trebuchet MS", Tahoma, Times, serif;
        font-weight: bold;
    }

    .codigo {
        margin: 0 5px;
        width: 250px;
        height: 40px;
        font: 25px Georgia, "Trebuchet MS", Tahoma, Times, serif;
        font-weight: bold;
    }

    .descricao {
        margin: 0 5px;
        width: 250px;
        height: 40px;
        font: 25px Georgia, "Trebuchet MS", Tahoma, Times, serif;
        font-weight: bold;
    }

    .fornecedor {
        margin: 0 5px;
        width: 80%;
        height: 40px;
        font: 25px Georgia, "Trebuchet MS", Tahoma, Times, serif;
        font-weight: bold;
    }

    h1 {
        font: 30px "Trebuchet MS", Tahoma, Helvetica, sans-serif;
        color: #f4f4f4;
    }

    .buscarprodutos {
        font: 20px "Trebuchet MS", Tahoma, Helvetica, sans-serif;
        color: #f4f4f4;
        font-weight: bold;
    }

    strong {
        margin: 0 5px;
        font: 18px "Trebuchet MS", Tahoma, Geneva, sans-serif;
        color: #000000;
        font-weight: bold;
    }

    span {
        font: 14px "Trebuchet MS", Tahoma, Helvetica, sans-serif;
        font-weight: bold;
        color: #069;
    }

    .over {
        overflow: scroll;
        height: 300px;
        padding: 0;
        background-color: #FFFFFF;
    }

    .tr-1 {
        background-color: #E8E8E8;
    }

    .tr-2 {
        background-color: #225F93;
    }

    .tr-3 {
        background-color: #cccccc;
    }

    .destaque {
        background: #00C5CD !important;
    }
    </style>
</head>

<body>
    <table width="100%" height="400px">
        <!-- TABELA Q ENVOLVE TODO O CONTEUDO -->
        <tr>
            <td>
                <table width="100%">
                    <tr>
                        <td align="left">
                            <font face="verdana" size="2"><i><b>Border de Pagamentos</b></i></font>
                        </td>
                    </tr>
                </table>
            </td>
        </tr>
        <tr>
            <td>
                <form action="" method="post">
                    <table width="100%" class="busca_rel">
                        <tr class="azul">
                            <td>Ttulos com Vencimentos At : </td>
                            <td>
                                <input type="text" name="Ate" id="Ate" class="date-pick codigo"
                                    value="<?php echo $_POST["Ate"]; ?>">&nbsp;&nbsp;&nbsp;At
                            </td>
                            <td>Ordem
                                <?php

                                $vetor = array(
                                    'conta_pagar.Data_Vencimento' => 'Vcto',
                                    'fornecedor.Titulo' => 'Fornecedor',
                                    'conta_pagar.Fatura' => 'Fatura'
                                );
                                select_tela("Ordenar", "Ordenar", $_POST["Ordenar"], $vetor, 'style="width:150px;height:40px;font-size:25px"');
                                ?>
                            </td>
                            <td align="left" colspan="2">
                                <button type="submit" name="Buscar" value="Buscar" style="width: 150px; height: 40px;">
                                    <span style="font-size: 20px;color: #000">Buscar</span>
                                </button>
                            </td>
                        </tr>
                    </table>
                </form>
            </td>
        </tr>
        <tr>
            <td>

                <?php
                if ($_SERVER['REQUEST_METHOD'] == "POST") {

                    if ($_POST["Buscar"]) {

                        if ($_POST["De"])
                            $data .= "AND conta_pagar.Data_Vencimento >= '" . data_banco($_POST["De"]) . " 00:00:00' ";
                        if ($_POST["Ate"])
                            $data .= "AND conta_pagar.Data_Vencimento <= '" . data_banco($_POST["Ate"]) . " 23:59:59' ";

                        if ($_POST["Ordenar"]) {
                            $order = $_POST["Ordenar"];
                        } else {
                            $order = "conta_pagar.Data_Vencimento";
                        }

                        if ($_POST["Unidade"]) {
                            $Unidade = "AND conta_pagar.Id_Unidade = '" . $_POST["Unidade"] . "' ";
                        }
                        if (FORNECEDOR_RAZAO_SOCIAL == 'Sim') {
                            $nome = 'Razao_Social';
                        } else {
                            $nome = 'Titulo';
                        }
                        $pro_pdv = mysqli_query($con, "SELECT conta_pagar.Id,
                           conta_pagar.Lancamento,
                           conta_pagar.Descricao,
                           conta_pagar.Fatura,
                           conta_pagar.Data_Vencimento,
                           (conta_pagar.Valor_Original-Valor_Desconto+Valor_Juros+Valor_Multa+Custo_Cartorio) as Valor_Original,
                           tipo_pagamento.Titulo as 'Tipo_Pagamento',
                           atividade.Titulo as 'Atividade',
                           fornecedor.$nome as Razao_Social
                           from conta_pagar
                           left join (SELECT Id,Titulo,Razao_Social FROM fornecedor) as fornecedor ON fornecedor.Id = conta_pagar.Id_Fornecedor
                           inner join (SELECT Id,Titulo,Id_Categoria_Tipo_Pagamento FROM tipo_pagamento) as tipo_pagamento ON tipo_pagamento.Id = conta_pagar.Id_Tipo_Pagamento
                           left join (SELECT Id,Titulo FROM atividade) as atividade ON atividade.Id = conta_pagar.Id_Atividade
                           where 1=1
                           AND Status = 'Aberto'
                           $cond $data $Unidade $forn
                           ORDER BY $order ");
                    }
                }

                ?>
                <?php if (CLIENTE_EMAIL == 'ersind') {
                    $formulario = 'imp_rel_bordero_pagamento_ersind.php';
                } else {
                    $formulario = 'imp_rel_bordero_pagamento.php';
                }
                ?>
                <form name="conta" id="conta" method="post" action="<?php echo $formulario ?>" target="_blank">
                    <table width="98%" border="0" cellpadding="2" cellspacing="1" id="tabela_pdv">
                        <tr bgcolor="#225F93">
                            <td align="center"></td>
                            <td><strong>Fatura</strong></td>
                            <td><strong>Descrio</strong></td>
                            <td><strong>Fornecedor</strong></td>
                            <td><strong>Atividade</strong></td>
                            <td><strong>Pgto</strong></td>
                            <td><strong>Vencimento</strong></td>
                            <td><strong>Valor</strong></td>
                            <td><strong>Valor Pago</strong></td>
                        </tr>
                        <?php
                        $y = '1';
                        while ($chave = mysqli_fetch_assoc($pro_pdv)) {
                        ?>
                        <tr class="tr-1">
                            <td align="center">
                                <b>
                                    <?php
                                        $chec = '';
                                        $val_cp = mysqli_query($con, "SELECT Id FROM bordero_pagamento_temp WHERE Id_Conta_Pagar = '" . $chave["Id"] . "' ");
                                        $validacao_cp = mysqli_fetch_assoc($val_cp);
                                        if ($validacao_cp["Id"]) {
                                            $chec = "checked='checked' ";

                                            $val_total_final += $chave["Valor_Original"];
                                        }
                                        ?>
                                    <input type="checkbox" <?php echo $chec; ?> name="<?php echo $chave["Id"]; ?>[Id]"
                                        onclick='handleClick(this,"<?php echo $chave["Id"]; ?>",<?php echo $chave["Valor_Original"]; ?>);'
                                        value="<?php echo $chave["Id"]; ?>">
                                </b>
                            </td>
                            <td><b><?php echo $chave["Fatura"]; ?></b></td>
                            <td><b><?php echo $chave["Descricao"]; ?></b></td>
                            <td><b><?php echo $chave["Razao_Social"]; ?></b></td>
                            <td><b><?php echo $chave["Atividade"]; ?></b></td>
                            <td><b><?php echo $chave["Tipo_Pagamento"]; ?></b></td>
                            <td><b><?php echo data_exibir($chave["Data_Vencimento"]); ?></b></td>
                            <td><b><?php echo valor_exibir($chave["Valor_Original"]); ?></b></td>
                            <td>
                                <b>
                                    <input type="text" name="<?php echo $chave["Id"] ?>[Valor]"
                                        id="<?php echo $chave["Id"] ?>"
                                        value="<?php echo valor_exibir($chave["Valor_Original"]); ?>" class="money"
                                        onblur="fazerValor(this.value,'<?php echo $chave["Id"] ?>[Valor]');">
                                    <input type="hidden" name="<?php echo $chave["Id"] ?>[Valor_Original]"
                                        id="<?php echo $chave["Id"] ?>[Valor_Original]"
                                        value="<?php echo $chave["Valor_Original"]; ?>">
                                </b>
                            </td>
                        </tr>
                        <tr class="tr-1" heigth="2">
                            <td colspan="10">&nbsp;</td>
                        </tr>
                        <?php
                            $y++;
                        }
                        ?>

                        <tr class="tr-1" heigth="2">
                            <td colspan="8"></td>
                            <td>
                                <input type="text" name="Valor_Pago_Anterior" id="Valor_Pago_Anterior"
                                    value="<?php echo valor_exibir($val_total_final); ?>" readonly="readonly">
                            </td>
                        </tr>
                        <tr class="tr-1" heigth="2">
                            <td colspan="9">&nbsp;
                                <input type="hidden" name="Data" id="Data" value="<?php echo $_POST["Ate"]; ?>">
                            </td>
                        </tr>
                        <tr>
                            <td colspan="9" align="center" bgcolor="#225F93">
                                <button type="submit" name="Salvar" value="Salvar" style="width: 400px; height: 40px">
                                    <span style="font-size: 20px;color: #000">Imprimir</span>
                                </button>
                            </td>
                        </tr>
                    </table>
                    <div id="retorno"></div>
                </form>

            </td>
        </tr>
        <tr>
            <td>
                <div id="div_resposta"></div>
            </td>
        </tr>
    </table>
</body>

</html>