<?php
include_once '../include/conecta.php'; //Conecta com a nosso banco de dados MySQL
ini_set('session.gc_maxlifetime', 60 * 120);
session_start();
/* include_once '../include/ver_sessao.php'; //Verifica se a sesso est ativa */
include_once '../include/funcoesPhp.php';
include_once '../menu_movimento.php';
?>
<?php
if ($_GET["De"])
    $data .= "AND caixa.Data_Caixa >= '" . data_banco($_GET["De"]) . " 00:00:00' ";
if ($_GET["Ate"])
    $data .= "AND caixa.Data_Caixa <= '" . data_banco($_GET["Ate"]) . " 23:59:59' ";

if ($_GET["EF"])
    $data .= "and caixa.EF = '" . $_GET["EF"] . "' ";

if ($_GET["Tipo_Pagamento"])
    $cliente .= "and caixa.Id_Tipo_Pagamento = '" . $_GET["Tipo_Pagamento"] . "' ";
if ($_GET["Funcionario"])
    $cliente .= "and caixa.Id_Funcionario = '" . $_GET["Funcionario"] . "' ";
if ($_GET["Conta"])
    $cliente .= "and caixa.Id_Conta = '" . $_GET["Conta"] . "' ";
if ($_GET["Categoria_Tipo_Pagamento"])
    $cliente .= " AND tipo_pagamento.Id_Categoria_Tipo_Pagamento = '" . $_POST["Categoria_Tipo_Pagamento"] . "' ";

if ($_GET["Cheque"])
    $cliente .= "and caixa.Numero = '" . $_GET["Cheque"] . "' ";

if ($_GET["Unidade"]) {
    $Unidade = "and caixa.Id_Unidade = '" . $_GET["Unidade"] . "' ";
}

if ($_GET["Ok"]) {
    $produto = listar("Select DISTINCT caixa.Numero
                        from caixa
                        inner join (SELECT Id,Titulo,Id_Categoria_Tipo_Pagamento FROM tipo_pagamento) as tipo_pagamento ON tipo_pagamento.Id = caixa.Id_Tipo_Pagamento
                        left join (SELECT Id,Titulo FROM funcionario) as funcionario ON funcionario.Id = caixa.Id_Funcionario
                        where 1=1
                        $data $status $cliente $Unidade
                        AND caixa.Numero <> ''
                        ORDER BY caixa.Data_Caixa,
                        caixa.Numero,
                        caixa.Lancamento ");
}
?>
<?php ob_start(); /* Inicia o fluxo */ ?>
<html>
    <head>
        <link rel="stylesheet" type="text/css" href="../estilo/<?php echo SKIN; ?>/tabela_imp.css" />
        <script type="text/javascript" language="javascript" src="../js/jquery.js"></script>
        <?php include '../include/script_cabeca.php'; ?>
        <script type="text/javascript" language="javascript" src="../js/script.js"></script>
        <script type="text/javascript" language="javascript" src="../js/meiomask/meiomask.js"></script>
        <script type="text/javascript" language="javascript" src="../js/meiomask/<?php
        if (PAIS == "USA") {
            echo "mascaras-usa";
        } else {
            echo "mascaras";
        }
        ?>.js"></script>
    </head>
    <body>
        <table width="100%">
            <tr>
                <td><font face="verdana" size="2">
                    <?php
                    if ($_GET["De"]) {
                        echo "Perodo: " . $_GET["De"];
                    }
                    if ($_GET["Ate"]) {
                        echo "  " . $_GET["Ate"];
                    }
                    if ($_GET["Funcionario"]) {
                        $achar = listar("Select Titulo from funcionario
			where Id = '" . $_GET["Funcionario"] . "' ");
                        echo " - " . $achar[0]["Titulo"];
                    }
                    if ($_GET["Tipo_Pagamento"]) {
                        $achar = listar("Select Titulo from tipo_pagamento
			where Id = '" . $_GET["Tipo_Pagamento"] . "' ");
                        echo " - " . $achar[0]["Titulo"];
                    }
                    //se o sistema for Multi Empresa
                    if ((MULTI_EMPRESA == "Sim") && ($_SESSION["Id_Nivel"] == '1')) {

                        if ($_GET["Unidade"]) {
                            $achar = listar("Select Titulo from unidade
						where Id = '" . $_GET["Unidade"] . "' ");
                            echo " - " . $achar[0]["Titulo"];
                        }
                    }
                    ?>
                    </font>
                </td>
            </tr>
        </table>
        <?php
        if ($_GET["Ok"]) {

            $color = "#F5F5F5";
            foreach ($produto as $chave) {
                if ($color == "#F5F5F5") {
                    $color = "#E8E8E8";
                } else {
                    $color = "#F5F5F5";
                }


                $conta_receber = listar("Select caixa.Valor,
                                caixa.Banco,
                                caixa.Agencia,
                                caixa.Cc,
                                caixa.Numero,
                                caixa.Data_Caixa,
                                caixa.Obs,
                                unidade.Titulo as 'Unidade',
                                banco.Codigo
                                from caixa
                                left join (SELECT Id,Id_Banco FROM conta) as conta ON caixa.Id_Conta = conta.Id
                                left join (SELECT Id,Titulo FROM unidade) as unidade ON caixa.Id_Unidade = unidade.Id
                                left join banco ON conta.Id_Banco = banco.Id
                                where caixa.Numero = '" . $chave["Numero"] . "' ");
                ?>

                <!-- imprimindo a copia do cheque -->
                <table width="700" align="center" style="border:1px solid #737373;">
                    <tr>
                        <td>
                            <table width="100%" cellspacing="0"><!-- TABELA Q ENVOLVE TODO O CONTEUDO -->
                                <!--
                                <tr>
                                        <td>
                                <?php include "../include/cabecalho_relatorio.php"; ?>
                                        </td>
                                </tr>
                                -->
                                <tr>
                                    <td align="center" colspan="2" style="border:1px solid #737373; border-bottom: 0px;">
                                        Cpia de Cheque n <b><?php echo $chave["Numero"] ?></b> Datado em <b><?php echo data_exibir($conta_receber[0]["Data_Caixa"]); ?></b>
                                    </td>
                                </tr>
                                <tr>
                                    <td align="center" width="30%" style="border:1px solid #737373; border-bottom: 0px; border-right: 0px">
                                        Banco
                                    </td>
                                    <td align="center" style="border:1px solid #737373; border-bottom: 0px;">
                                        <?php echo $conta_receber[0]["Codigo"] . " - " . $conta_receber[0]["Agencia"] . " - " . $conta_receber[0]["Cc"] . " - " . $conta_receber[0]["Banco"] ?>
                                    </td>
                                </tr>
                                <tr>
                                    <td align="center" width="30%" style="border:1px solid #737373; border-right: 0px">
                                        Portador
                                    </td>
                                    <td align="center" style="border:1px solid #737373;">
                                        <?php echo $conta_receber[0]["Unidade"]; ?>
                                    </td>
                                </tr>
                                <tr>
                                    <td colspan="2">
                                        <table width="100%" align="center" cellspacing="0">
                                            <tr>
                                                <td style="border:1px solid #737373; border-top: 0px; border-right: 0px">Descrio</td>
                                                <td style="border:1px solid #737373; border-top: 0px; border-right: 0px">Emisso</td>
                                                <td style="border:1px solid #737373; border-top: 0px;">Pago</td>
                                            </tr>
                                            <?php
                                            $vPago = '';
                                            foreach ($conta_receber as $chave) {
                                                ?>
                                                <tr>
                                                    <td style="border:1px solid #737373; border-top: 0px; border-right: 0px"><?php echo $chave["Obs"]; ?></td>
                                                    <td style="border:1px solid #737373; border-top: 0px; border-right: 0px"><?php echo data_exibir($chave["Data_Caixa"]); ?></td>
                                                    <td style="border:1px solid #737373; border-top: 0px;"><?php echo valor_exibir($chave["Valor"]); ?></td>
                                                </tr>
                                                <?php
                                                $vPago += $chave["Valor"];
                                            }
                                            ?>
                                        </table>
                                    </td>
                                </tr>
                                <tr>
                                    <td colspan="2">
                                        <table width="100%" align="center" cellspacing="0">
                                            <tr>
                                                <td style="border:1px solid #737373; border-bottom: 0px; border-right: 0px">Vistos</td>
                                                <td style="border:1px solid #737373; border-bottom: 0px; border-right: 0px">Contador</td>
                                                <td rowspan="2" style="border:1px solid #737373;" align="center">R$ <b><?php echo valor_exibir($vPago); ?></b></td>
                                            </tr>
                                            <tr>
                                                <td style="border:1px solid #737373; border-right: 0px"><br/><br/></td>
                                                <td style="border:1px solid #737373; border-right: 0px"><br/><br/></td>
                                            </tr>
                                        </table>
                                    </td>
                                </tr>
                            </table>
                        </td>
                    </tr>
                </table>
                <!-- fim imprimindo a copia do cheque -->

                <?php
            }
        }
        ?>
    </body>
</html>
<?php
$html = ob_get_contents();
ob_end_clean();

include_once "../include/pdf_opcao.php";
?>