<?php
include_once '../include/conecta.php'; //Conecta com a nosso banco de dados MySQL
include_once '../include/ver_sessao.php'; //Verifica se a sesso est ativa
include_once '../include/funcoesPhp.php';
include_once '../menu_movimento.php';
?>
<?php
if ($_GET["De"]) {
    $data_c .= "AND caixa.Data_Caixa >= '" . data_banco($_GET["De"]) . " 00:00:00' ";
}
if ($_GET["Ate"]) {
    $data_c .= "AND caixa.Data_Caixa <= '" . data_banco($_GET["Ate"]) . " 23:59:59' ";
}

if ($_GET["Tipo2"]) {
    if ($_GET["Tipo2"] == 'Excluir Cancelados') {
        $Conta .= "AND caixa.Tipo <> 'Cancelado' ";
    } else {
        $Conta .= "AND caixa.Tipo = '" . $_GET["Tipo2"] . "' ";
    }
}

if ($_GET["Tipo"]) {
    $tipo_atividade .= "AND atividade.Tipo = '" . $_GET["Tipo"] . "' ";
}
if ($_GET["Atividade"]) {
    $tipo_atividade .= "AND atividade.Id = '" . $_GET["Atividade"] . "' ";
}
if ($_GET["Categoria_Atividade"]) {
    $Categoria_Atividade = "AND atividade.Id_Categoria_Atividade = '" . $_GET["Categoria_Atividade"] . "' ";
}
if ($_GET["Unidade"]) {
    $unidade_c = "AND caixa.Id_Unidade = '" . $_GET["Unidade"] . "' ";
}
if ($_GET["EF"]) {
    $ef = "AND caixa.EF = '" . $_GET["EF"] . "' ";
}
if ($_GET["Contra_Partida"]) {
    $ef .= "AND caixa.Contra_Partida = '" . $_GET["Contra_Partida"] . "' ";
}

if ($_GET["Transferencia"]) {
    $ef .= "AND caixa.Transferencia = '" . $_GET["Transferencia"] . "' ";
}
if ($_GET["Centro_Custo"]) {
    $Centro_Custo = "AND caixa.Id_Centro_Custo = '" . $_GET["Centro_Custo"] . "' ";
}

if($_GET["Conta"]){
    $banco = "AND caixa.Id_Conta = '".$_GET["Conta"]."' ";
}

if ($_GET["Ok"]) {
    $atividade = mysqli_query($con, "SELECT DISTINCT categoria_atividade.Id,
                        categoria_atividade.Titulo as Categoria_Atividade,
                        categoria_atividade.Codigo,
                        REPLACE(categoria_atividade.Codigo,'.','') as Codigo_Categoria
                        FROM (SELECT Id,Titulo,Codigo FROM categoria_atividade) as categoria_atividade
                        LEFT JOIN (SELECT Id,Id_Categoria_Atividade FROM atividade WHERE 1=1 $tipo_atividade) as atividade ON atividade.Id_Categoria_Atividade = categoria_atividade.Id
                        LEFT JOIN (SELECT Id,Id_Atividade,Tipo,Id_Centro_Custo FROM caixa WHERE 1=1 $unidade_c $ef $data_c $Conta $banco) as caixa ON caixa.Id_Atividade = atividade.Id
                        LEFT JOIN (SELECT Id,Titulo FROM centro_custo) as centro_custo ON centro_custo.Id = caixa.Id_Centro_Custo
                        where 1=1  $Categoria_Atividade $Centro_Custo
                        order by REPLACE(categoria_atividade.Codigo,'.','') ");
}
?>
<html>

<head>
    <title>Gw - Gesto Web</title>
    <link rel="stylesheet" type="text/css" href="../estilo/<?php echo SKIN; ?>/tabelas.css" />
    <link rel="stylesheet" type="text/css" href="../js/datePicker/datePicker.css" />
    <script type="text/javascript" language="javascript" src="../js/jquery.js"></script>
    <?php include '../include/script_cabeca.php'; ?>
    <script type="text/javascript" language="javascript" src="../js/script.js"></script>
    <script type="text/javascript" language="javascript" src="../js/meiomask/meiomask.js"></script>
    <script type="text/javascript" language="javascript" src="../js/meiomask/<?php if (PAIS == "USA") {
                                                                                    echo "mascaras-usa";
                                                                                } else {
                                                                                    echo "mascaras";
                                                                                } ?>.js"></script>
    <!-- required plugins -->
    <script language="javascript" type="text/javascript" src="../js/datePicker/<?php if (PAIS == "USA") {
                                                                                    echo "date";
                                                                                } else {
                                                                                    echo "date-pt";
                                                                                } ?>.js"></script>
    <!--[if IE]>
                <script type="text/javascript" src="../js/datePicker/jquery.bgiframe.js"></script>
                <![endif]-->
    <!-- jquery.datePicker.js -->
    <script type="text/javascript" src="../js/datePicker/jquery.datePicker.js"></script>
    <script type="text/javascript" language="javascript">
        Date.firstDayOfWeek = 0;
        <?php if (PAIS == "USA") {
            echo "Date.format='mm/dd/yyyy';";
        } else {
            echo "Date.format='dd/mm/yyyy';";
        } ?>
        $(function() {
            $('.date-pick').datePicker({
                startDate: '01/01/1990'
            })
        });
    </script>
    <script type="text/javascript" language="javascript">
        $(document).ready(function() {

            $('#bt_Enviar_Email').click(function() {
                $.blockUI({
                    message: $('#Tela_Email'),
                    css: {
                        width: '350px'
                    }
                });
                //setTimeout($.unblockUI, 6000);
            });


            $('#Enviar_Email').click(function() {
                $.blockUI({
                    message: "<h2>Enviando E-mail...</h2>"
                });

                var nomeDestinatario = $("#Nome_Destinatario").val();
                var emailDestinatario = $("#Email_Destinatario").val();
                //var nomeCopia = $("#Nome_Copia").val();
                //var emailCopia = $("#Email_Copia").val();
                var de = $("#De").val();
                var ate = $("#Ate").val();
                var tipo = $("#Tipo_Rel").val();
                $.get("email_rel_grupo_atividade_descriminado.php", {
                        Nome_Destinatario: nomeDestinatario,
                        Email_Destinatario: emailDestinatario,
                        De: de,
                        Ate: ate,
                        Tipo: tipo
                    },
                    function(data) {
                        $("#div_resposta").html(data);
                        $.unblockUI();
                        $("#Nome_Destinatario").val('');
                        $("#Email_Destinatario").val('');
                        $("#Nome_Copia").val('');
                        $("#Email_Copia").val('');

                    });

            });


            $('#Cancelar_Email').click(function() {
                $.unblockUI();
                return false;
            });


        });
    </script>
    <style type="text/css">
        thead {
            display: table-header-group;
        }

        tfoot {
            display: table-footer-group;
        }
    </style>
</head>

<body>
    <table width="100%" height="400px"><!-- TABELA Q ENVOLVE TODO O CONTEUDO -->
        <tr>
            <td>
                <table width="100%">
                    <tr>
                        <td align="left">
                            <font face="verdana" size="2"><i><b>Relatrio de Caixa Agrupado por Atividade Financeira</b></i></font>
                        </td>
                        <td align="center">
                            <a href='imp_pdf_grupo_atividade_descriminado.php?<?php echo $_SERVER["QUERY_STRING"] ?>' title="Pdf"><img src="../imagem/pdfG.png" border="0" alt="Pdf" title="Pdf" /></a>
                            <br />
                            <font face="verdana" size="2"><i>Pdf</i></font>
                        </td>
                        <td align="center">
                            <a href='imp_excel_grupo_atividade_descriminado.php?<?php echo $_SERVER["QUERY_STRING"] ?>' title="Excel"><img src="../imagem/excelG.png" border="0" alt="Excel" title="Excel" /></a>
                            <br />
                            <font face="verdana" size="2"><i>Excel</i></font>
                        </td>
                        <!--
                            <td align="center">
                                <a href='javascript:void(0);' id="bt_Enviar_Email" title="Email"><img src="../imagem/emailG.png" border="0" alt="E-mail" title="E-mail"/></a>
                                <br/><font face="verdana" size="2"><i>E-mail</i></font>		
                            </td>
                            -->
                        <td align="center">
                            <a href="imp_rel_grupo_atividade_descriminado.php?<?php echo $_SERVER["QUERY_STRING"] ?>" title="Imprimir" target="_blank"><img src="../imagem/imprimirG.png" border="0" alt="Imprimir" title="Imprimir" /></a>
                            <br />
                            <font face="verdana" size="2"><i>Imprimir</i></font>
                        </td>
                    </tr>
                </table>
            </td>
        </tr>
        <tr>
            <td>
                <form action="" method="get">
                    <table width="100%" class="busca_rel">
                        <tr class="azul">
                            <td>Data:</td>
                            <td><input type="text" name="De" id="De" class="date-pick" value="<?php echo $_GET["De"]; ?>">&nbsp;&nbsp;&nbsp;De</td>
                            <td><input type="text" name="Ate" id="Ate" class="date-pick" value="<?php echo $_GET["Ate"]; ?>">&nbsp;&nbsp;&nbsp;At</td>
                            <td>
                                <?php
                                echo select_banco2(
                                    "SELECT Id, Titulo FROM categoria_atividade ORDER BY Titulo",
                                    "Categoria_Atividade",
                                    "Categoria_Atividade",
                                    "Categoria Atividade",
                                    $_GET["Categoria_Atividade"],
                                    'style="width:200px"',
                                    ""
                                );
                                ?>
                                &nbsp;&nbsp;&nbsp;
                                <?php
                                echo select_banco2(
                                    "SELECT Id, Titulo FROM atividade ORDER BY Titulo",
                                    "Atividade",
                                    "Atividade",
                                    "Atividade",
                                    $_GET["Atividade"],
                                    "style='width:200px'",
                                    ""
                                );
                                ?>
                                &nbsp;&nbsp;&nbsp;
                                <?php
                                echo select_banco2("SELECT Id, Titulo FROM centro_custo WHERE Id_Pai = '' AND Ativo='Sim'  ORDER BY Titulo", "Centro_Custo", "Centro_Custo", "Centro Custo", $_GET["Centro_Custo"], 'style="width:200px"', "");
                                ?>
                            </td>
                            <td>
                                <label for="EF"><b></b></label>
                                <?php
                                $vetor = array('' => 'EF', 'Sim' => 'Sim', 'No' => 'No');
                                select_tela("EF", "EF", $_GET["EF"], $vetor);
                                ?>
                                <input type="hidden" value="<?php echo $_GET["EF"]; ?>" name="EF_Rel" id="EF_Rel">
                            </td>
                        </tr>
                        <tr class="azul">
                            <td align="center">

                                <?php
                                $vetor = array(
                                    '' => 'Tipo',
                                    'Entrada' => 'Apenas Entrada',
                                    'Saida' => 'Apenas Sada',
                                    'Cancelado' => 'Apenas Cancelados',
                                    'Excluir Cancelados' => 'Excluir Cancelados'
                                );
                                select_tela("Tipo2", "Tipo2", $_GET["Tipo2"], $vetor);
                                ?>
                                <input type="hidden" value="<?php echo $_GET["Tipo2"]; ?>" name="Tipo_Rel" id="Tipo_Rel">
                                &nbsp;&nbsp;&nbsp;&nbsp;
                            </td>
                            <td>
                                <?php
                                $vetor = array(
                                    '' => 'Contra-Partida',
                                    'Sim' => 'Sim',
                                    'No' => 'No'
                                );
                                select_tela("Contra_Partida", "Contra_Partida", $_GET["Contra_Partida"], $vetor);
                                ?>
                            </td>
                            <td>
                                <?php
                                $vetor = array(
                                    '' => 'Transferncias?',
                                    'Sim' => 'Sim',
                                    'No' => 'No'
                                );
                                select_tela("Transferencia", "Transferencia", $_GET["Transferencia"], $vetor);
                                ?>
                                &nbsp; &nbsp; &nbsp; &nbsp; &nbsp;
                                <?php
        echo select_banco2("SELECT DISTINCT conta.Id, CONCAT(conta.Titular,' - ',conta.Nome_Banco,' - ag.',conta.Agencia,' - cc.',conta.Conta) as Titulo
                                            from conta
                                            WHERE conta.Ativo = 'Sim'
                                            order by Titulo",
                                "Conta","Conta","Banco",$_GET["Conta"],'style="width:200px"',"");
        ?>
                            </td>

                            <?php
                            //se o sistema for Multi Empresa
                            if (MULTI_EMPRESA == "Sim") {

                                //se o usuario master ele escolhe pra quem vai
                                if (ESCOLHER_EMPRESA == 'Sim') {
                            ?>
                                    <td>
                                        <?php
                                        echo select_banco2(
                                            "SELECT Id,Titulo FROM unidade WHERE Ativo='Sim' ORDER BY Titulo",
                                            "Unidade",
                                            "Unidade",
                                            "Empresa",
                                            $_GET["Unidade"],
                                            "style='width:200px'",
                                            ""
                                        );
                                        ?>
                                    </td>
                            <?php
                                    //se no for, a unidade sempre ser a sua
                                } else {
                                    echo "<td><input type='hidden' name='Unidade' id='Unidade' value='" . $_SESSION["Unidade"] . "' ></td>";
                                }
                            } else {
                                echo "<td><input type='hidden' name='Unidade' id='Unidade' value='" . $_SESSION["Unidade"] . "' ></td>";
                            }
                            ?>
                            <td align="center">
                                <input type="submit" value="Ok" name="Ok">
                            </td>
                        </tr>
                    </table>
                </form>
            </td>
        </tr>
        <tr>
            <td>
                <table width="100%" class="tabela">

                    <?php
                    if ($_GET["Ok"]) {

                        while ($chave = mysqli_fetch_assoc($atividade)) {


                            //valor da categoria Id_Categoria_Atividade = '".$chave["Id"]."'
                            //REPLACE(Codigo,'.','') like '" . $chave["Codigo_Categoria"] . "%'
                            $caixa_d = mysqli_query($con, "SELECT caixa.Tipo,
                        caixa.Valor,
                        caixa.Data_Caixa,
                        caixa.Obs
                        FROM caixa
                        INNER JOIN (SELECT Id,Titulo,Tipo,Codigo,Id_Categoria_Atividade 
                        FROM atividade 
                        WHERE Codigo like '" . $chave["Codigo_Categoria"] . ".%' $tipo_atividade) as atividade ON atividade.Id = caixa.Id_Atividade
                        where 1=1 $unidade_c $data_c $ef $Conta $banco
                        ORDER BY caixa.Data_Caixa,caixa.Obs ");

                            /* $caixa_d = mysqli_query($con,"SELECT caixa.Tipo,
                                  caixa.Valor,
                                  caixa.Data_Caixa,
                                  caixa.Obs,
                                  caixa.Tipo
                                  FROM caixa
                                  INNER JOIN (SELECT Id,Titulo,Tipo,Codigo,Id_Categoria_Atividade
                                  FROM atividade
                                  WHERE REPLACE(atividade.Codigo,'.','') LIKE '".$chave['Codigo_Categoria']."%' $tipo_atividade) as atividade ON atividade.Id = caixa.Id_Atividade
                                  where 1=1 $unidade_c $data_c $ef
                                  ORDER BY caixa.Data_Caixa,caixa.Obs "); */

                            $valorCategoria = 0;
                            while ($linha3 = mysqli_fetch_assoc($caixa_d)) {

                                if ($linha3['Tipo'] == 'Entrada') {
                                    $valorCategoria += $linha3['Valor'];
                                }
                                if ($linha3['Tipo'] == 'Saida') {
                                    $valorCategoria -= $linha3['Valor'];
                                }
                                if ($linha3['Tipo'] == 'Cancelado') {
                                    $valorCategoria += '0';
                                }
                            }
                    ?>
                            <tr class="cinza">
                                <td colspan="3"><?php echo $chave["Codigo"] . " " . $chave["Categoria_Atividade"]; ?></td>
                                <td><b><?php echo valor_exibir($valorCategoria); ?></b></td>
                            </tr>
                            <?php
                            $ativ = mysqli_query($con, "SELECT DISTINCT atividade.Id,
                        atividade.Titulo as Atividade,
                        atividade.Tipo,
                        atividade.Codigo,
                        REPLACE(atividade.Codigo,'.','') as Codigo_Atividade
                        FROM (SELECT Id,Titulo,Tipo,Codigo,Id_Categoria_Atividade FROM atividade WHERE 1=1 $tipo_atividade) as atividade
                        INNER JOIN (SELECT Id,Id_Atividade FROM caixa WHERE 1=1 $unidade_c $ef $data_c $Conta $banco ) as caixa ON caixa.Id_Atividade = atividade.Id
                        where 1=1
                        AND Id_Categoria_Atividade = '" . $chave["Id"] . "'
                        ORDER BY atividade.Tipo,abs(REPLACE(atividade.Codigo,'.','')) ");

                            $color = "#F5F5F5";
                            while ($linha1 = mysqli_fetch_assoc($ativ)) {
                                if ($color == "#F5F5F5") {
                                    $color = "#E8E8E8";
                                } else {
                                    $color = "#F5F5F5";
                                }

                                $corStatus = "";
                                if ($linha1["Tipo"] == 'Credito') {
                                    $corStatus = "color = '#228B22' ";
                                    $nStatus = 'Crdito';
                                }
                                if ($linha1["Tipo"] == 'Debito') {
                                    $corStatus = "color = '#CD2626' ";
                                    $nStatus = 'Dbito';
                                }


                                //valor da categoria Id_Categoria_Atividade = '".$chave["Id"]."'
                                $caixa_d = mysqli_query($con, "SELECT caixa.Tipo,
                        caixa.Valor,
                        caixa.Data_Caixa,
                        caixa.Obs
                        FROM caixa
                        INNER JOIN (SELECT Id,Titulo,Tipo,Codigo,Id_Categoria_Atividade 
                        FROM atividade 
                        WHERE REPLACE(Codigo,'.','') like '" . $chave["Codigo_Categoria"] . "%' $tipo_atividade) as atividade ON atividade.Id = caixa.Id_Atividade
                        where 1=1 $unidade_c $data_c $ef $Conta $banco
                        AND caixa.Id_Atividade = '" . $linha1["Id"] . "'
                        
                        ORDER BY caixa.Data_Caixa,caixa.Obs ");

                                $valorAtividade = 0;
                                while ($linha4 = mysqli_fetch_assoc($caixa_d)) {

                                    if ($linha4['Tipo'] == 'Entrada') {
                                        $valorAtividade += $linha4['Valor'];
                                    }
                                    if ($linha4['Tipo'] == 'Saida') {
                                        $valorAtividade -= $linha4['Valor'];
                                    }
                                    if ($linha4['Tipo'] == 'Cancelado') {
                                        $valorAtividade += '0';
                                    }
                                }
                                $valorAtividade + '';
                            ?>

                                <tr class="azul-claro">
                                    <td colspan="3">
                                        <?php echo $linha1["Codigo"] . " " . $linha1["Atividade"] . " - "; ?>
                                        <font <?php echo $corStatus ?>>
                                            <?php echo $nStatus; ?>
                                        </font>
                                    </td>
                                    <td><b><?php echo valor_exibir($valorAtividade); ?></b></td>
                                </tr>

                                <?php
                                $caixa_d = mysqli_query($con, "SELECT caixa.Tipo,
                                                                            caixa.Valor,
                                                                            caixa.Data_Caixa,
                                                                            caixa.Obs,
                                                                            centro_custo.Titulo as Centro_Custo
                                                                            FROM caixa
                                                                            LEFT JOIN(SELECT Id,Titulo FROM centro_custo) AS centro_custo ON centro_custo.Id = caixa.Id_Centro_Custo
                                                                            where 1=1 $unidade_c $data_c $ef $Conta $Centro_Custo $banco
                                                                            AND caixa.Id_Atividade = '" . $linha1["Id"] . "'
                                                                            ORDER BY caixa.Data_Caixa,caixa.Obs ");


                                $x = 0;
                                $valorCaixa = 0;
                                $color = "#F5F5F5";
                                while ($linha = mysqli_fetch_assoc($caixa_d)) {

                                    if ($color == "#F5F5F5") {
                                        $color = "#E8E8E8";
                                    } else {
                                        $color = "#F5F5F5";
                                    }

                                    if ($linha['Tipo'] == 'Entrada') {
                                        $valorCaixa += $linha['Valor'];
                                        $valorFinalCaixa[$linha1["Tipo"]] += $linha['Valor'];
                                        $corStatus1 = "color='#228B22' ";
                                    }
                                    if ($linha['Tipo'] == 'Saida') {
                                        $valorCaixa += $linha['Valor'];
                                        $valorFinalCaixa[$linha1["Tipo"]] += $linha['Valor'];
                                        $corStatus1 = "color='#CD2626' ";
                                    }
                                    if ($linha['Tipo'] == 'Cancelado') {
                                        $valorCaixa += '0';
                                        $valorFinalCaixa[$linha1["Tipo"]] += '0';
                                        $corStatus1 = "color='#8B1A1A' ";
                                    }
                                ?>

                                    <tr bgcolor=<?php echo "$color"; ?>>
                                        <td><?php echo $linha["Obs"] ?></td>
                                        <td><?php echo $linha["Centro_Custo"] ?></td>
                                        <td><?php echo data_exibir($linha["Data_Caixa"]) ?></td>
                                        <td>
                                            <font <?php echo $corStatus1 ?>>
                                                <?php echo valor_exibir($linha["Valor"]); ?>
                                            </font>
                                        </td>
                                    </tr>

                                <?php
                                }
                                ?>
                                <tr>
                                    <td colspan="3">&nbsp;</td>
                                    <td><?php echo valor_exibir($valorCaixa); ?></td>
                                </tr>
                                <tr>
                                    <td colspan="3">&nbsp;</td>
                                </tr>
                    <?php }
                        }
                    } ?>
                    <tr>
                        <td align="right">Totais : &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</td>
                        <td colspan="3" align="center">
                            <font color="#228B22"><b>Crditos</b></font> : <?php echo valor_exibir($valorFinalCaixa["Credito"]) ?> -
                            <font color="#CD2626"><b>Dbitos</b></font> : <?php echo valor_exibir($valorFinalCaixa["Debito"]) ?> =
                            <b>Total</b> : <?php echo valor_exibir($valorFinalCaixa["Credito"] - $valorFinalCaixa["Debito"]) ?>
                        </td>
                    </tr>

                </table>
            </td>
        </tr>
        <tr>
            <td>
                <div id="div_resposta"></div>
            </td>
        </tr>
    </table>
    <br>
    <!-- INICIO DA TELA MODAL ENVIO DE EMAIL-->
    <!-- No css existe um estilo para essas divs que as deixa invisivel - display:none; -->
    <?php include_once "../include/email_tabela.php"; ?>
    <!-- FIM DA TELA MODAL ENVIO DE EMAIL-->
</body>

</html>