<?php
include_once '../include/conecta.php'; //Conecta com a nosso banco de dados MySQL
include_once '../include/ver_sessao.php'; //Verifica se a sesso est ativa
include_once '../include/funcoesPhp.php';
include_once '../menu_movimento.php';

?>
<?php
if ($_SERVER['REQUEST_METHOD'] == "POST") {

    mysqli_query($con, "UPDATE caixa_operador_registro SET
                            Status = 'Fechado',
                            Fechamento = '" . date("Y-m-d H:i:s") . "',
                            Data_Fechamento = '" . date("Y-m-d H:i:s") . "',
                            " . $padraoUpd . "
                            WHERE Id = '" . $_POST["Id_Caixa_Operador_Registro"] . "' ")
        or die("Erro no comando SQL:" . mysqli_error($con));


    mysqli_query($con, "UPDATE caixa_operador_temp SET
                            Fechamento = '" . date("Y-m-d H:i:s") . "',
                            Data_Fechamento = '" . date("Y-m-d H:i:s") . "',
                            " . $padraoUpd . "
                            WHERE Id_Caixa_Operador_Registro = '" . $_POST["Id_Caixa_Operador_Registro"] . "' ")
        or die("Erro no comando SQL:" . mysqli_error($con));


    mysqli_query($con, "INSERT INTO caixa_operador
                            ( Id,
                            Id_Usuario,
                            Id_Usuario_Upd,
                            Data_Cadastro,
                            Data_Cadastro_Upd,
                            Id_Caixa_Operador_Registro,
                            Abertura,
                            Fechamento,
                            Tipo,
                            Valor,
                            Valor_Total,
                            Desconto,
                            Desconto_Real,
                            Obs,
                            Data_Abertura,
                            Data_Fechamento,
                            Tipo_Pagamento,
                            Id_Tipo_Pagamento,
                            Id_Funcionario,
                            Id_Externo,
                            Origem,
                            Id_Unidade,
                            Id_Cliente,
                            Caixa)
                            SELECT
                            caixa_operador_temp.Id,
                            caixa_operador_temp.Id_Usuario,
                            caixa_operador_temp.Id_Usuario_Upd,
                            caixa_operador_temp.Data_Cadastro,
                            caixa_operador_temp.Data_Cadastro_Upd,
                            caixa_operador_temp.Id_Caixa_Operador_Registro,
                            caixa_operador_temp.Abertura,
                            caixa_operador_temp.Fechamento,
                            caixa_operador_temp.Tipo,
                            caixa_operador_temp.Valor,
                            caixa_operador_temp.Valor_Total,
                            caixa_operador_temp.Desconto,
                            caixa_operador_temp.Desconto_Real,
                            caixa_operador_temp.Obs,
                            caixa_operador_temp.Data_Abertura,
                            caixa_operador_temp.Data_Fechamento,
                            caixa_operador_temp.Tipo_Pagamento,
                            caixa_operador_temp.Id_Tipo_Pagamento,
                            caixa_operador_temp.Id_Funcionario,
                            caixa_operador_temp.Id_Externo,
                            caixa_operador_temp.Origem,
                            caixa_operador_temp.Id_Unidade,
                            caixa_operador_temp.Id_Cliente,
                            caixa_operador_temp.Caixa
                            FROM caixa_operador_temp
                            WHERE caixa_operador_temp.Id_Caixa_Operador_Registro = '" . $_POST["Id_Caixa_Operador_Registro"] . "' ")
        or die("Erro no comando SQL:" . mysqli_error($con));


    mysqli_query($con, "DELETE FROM caixa_operador_temp
                     WHERE caixa_operador_temp.Id_Caixa_Operador_Registro = '" . $_POST["Id_Caixa_Operador_Registro"] . "'")
        or die("Erro no SQL: " . mysqli_error($con));


    //$msg = 'Caixa fechado com sucesso!';
    $redirecionar = "list_caixa_operador.php";
    logUsuario($_SERVER['REMOTE_ADDR'], $_SESSION['Login'], $_SESSION['Email'], $_SESSION['Unidade'], "Caixa Operador", "Fechar Caixa");
}
?>
<html>

<head>
    <title>Gw - Gesto Web</title>
    <?php include 'cabecalho.php'; ?>
</head>

<body>
    <form name="caixa_operador" id="caixa_operador" method="post" action="">

        <fieldset class="envolve" style="height: 480px">
            <legend>Lanamento de Retirada do Caixa</legend>

            <fieldset class="grupo">
                <div class="campo">
                    <label for="Tipo">Tipo</label>
                    <?php
                    $vetor = array(
                        'Despesa' => 'Despesa',
                        'Sangria' => 'Sangria',
                        'Suprimento' => 'Suprimento'
                    );
                    select_tela("Tipo", "Tipo", $_POST["Tipo"], $vetor, 'onchange="Tipo_Des(this.value);"', "");
                    ?>
                </div>
                <div class="campo">
                    <label for="Tipo_Pagamento">* Tipo Pagamento</label>
                    <?php
                    echo select_banco(
                        "Select Id, Titulo from tipo_pagamento WHERE Ativo='Sim' AND Pdv='Sim' order by Titulo",
                        "Tipo_Pagamento",
                        "Tipo_Pagamento",
                        $_POST["Tipo_Pagamento"],
                        '',
                        ""
                    );
                    ?>
                </div>
                <div class="campo">
                    <label for="Valor">* Valor</label>
                    <input type="text" name="Valor" id="Valor" value="<?php echo valor_exibir($_POST["Valor"]); ?>"
                        class="money" onblur="fazerValor(this.value,'Valor')">
                </div>
                <div class="campo" style="width: 30%">
                    <div style="display:block" id="P_J">
                        <label for="Obs">Obs</label>
                        <input type="text" name="Obs" id="Obs" value="<?php echo $_POST["Obs"]; ?>">
                    </div>
                    <?php if(CLIENTE_EMAIL=='terrasanta' || CLIENTE_EMAIL=='costazul' || CLIENTE_EMAIL=='gw'){ ?>
                    <div style="display:none" id="Cliente_Terra">
                        <?php
                        if (CLIENTE_RAZAO_SOCIAL == 'Sim') {
                            $nome = 'Razao_Social';
                        } else {
                            $nome = 'Titulo';
                        }
                        $Produt = mysqli_query($con, "SELECT CONCAT(Codigo,' : ', " . $nome . ") as Titulo,Cpf_Cnpj FROM cliente WHERE Id='" . $_POST["Cliente"] . "'");
                        $Produt = mysqli_fetch_assoc($Produt);
                        if ($Produt["Titulo"]) {
                            $_POST["Cliente"] = $Produt["Titulo"] . " -- " . cnpj_exibir($Produt["Cpf_Cnpj"]);
                        }
                        ?>
                        <label for="Cliente">Cdigo / Cliente</label>
                        <input type="text" id="Cliente" name="Cliente" value="<?php echo $_POST["Cliente"]; ?>" />
                    </div>
                    <?php } ?>
                </div>
                <div class="campo">
                    <label for="Atividade" key="Atividade" class="tr">Atividade Financeira</label>
                    <div id="DivAtivdade">
                        <?php
                        if (ATIVIDADE_LIVRE == 'No') {
                            $atv = " AND atividade.Tipo = 'Debito' AND atividade.Ativo='Sim' ";
                        }
                        echo select_atividade("SELECT DISTINCT categoria_atividade.Id,
                                            CONCAT(categoria_atividade.Codigo,' ',categoria_atividade.Titulo) as Titulo
                                            FROM categoria_atividade
                                            INNER JOIN atividade ON categoria_atividade.Id = atividade.Id_Categoria_Atividade
                                            WHERE 1=1 
                                            GROUP BY categoria_atividade.Id
                                            order by REPLACE(categoria_atividade.Codigo,'.','')", "SELECT atividade.Id, CONCAT(Titulo,' ',Codigo) as Titulo
                                            FROM atividade
                                            WHERE 1=1  ", "ORDER BY abs(REPLACE(atividade.Codigo,'.','')) ", "Atividade", "Atividade", $_POST["Atividade"], 'style="width: 200px"', "");
                        ?>
                    </div>
                </div>

                <!-- validacao centro de custo -->
                <?php
                if (CENTRO_CUSTO_EXIBIR == 'Sim') {
                ?>
                <div class="campo">
                    <label for="Centro_Custo" key="Centro_Custo" class="tr">Centro de Custo</label>
                    <?php
                        echo select_banco(
                            "Select Id, Titulo from centro_custo WHERE Id_Pai = '' AND Ativo='Sim' order by Titulo",
                            "Centro_Custo",
                            "Centro_Custo",
                            $_POST["Centro_Custo"],
                            'style="width:200px"',
                            ""
                        );
                        ?>
                </div>
                <?php } ?>
                <div class="campo">
                    <label for="Titulo">&nbsp;</label>
                    <input class="botao_novo" type="button" value="Adicionar" onclick="CriarLinha();">
                </div>
            </fieldset>

            <fieldset class="grupo">
                <div id="recebeProduto"></div>
            </fieldset>

            <?php
            $sele_data = mysqli_query($con, "select Data_Abertura from caixa_operador_registro WHERE Id='" . $_GET["id_caixa_operador_registro"] . "' ");
            $id_data = mysqli_fetch_assoc($sele_data);
            ?>

            <input type="hidden" name="Data_Caixa" id="Data_Caixa" value="<?php echo $id_data['Data_Abertura'] ?>">

            <input type="hidden" name="Id_Caixa_Operador_Registro" id="Id_Caixa_Operador_Registro" value="<?php echo $_GET['id_caixa_operador_registro'] ?>">
            <input type="hidden" name="Id_Usuario" id="Id_Usuario" value="<?php echo $_GET['id_usuario'] ?>">



            <button class="bt_cadastro tr" key="Salvar" type="button" name="Salvar" value="Salvar" onclick="location.href='list_caixa_operador.php?acao=entrar'">Salvar</button>

            <button class="botao tr" key="Voltar" type="button" value="Voltar" onclick="location.href='list_caixa_operador.php?acao=entrar'">Voltar</button>

            <!--
            <button class="bt_cadastro" type="button" name="Cadastrar" value="Finalizar Caixa" onclick="salvar_caixa();">Finalizar Caixa</button>
            -->
            <button class="bt_cadastro" type="button" name="Cadastrar" value="Finalizar Caixa"
                onclick="window.open('finalizar_caixa.php?id_caixa_operador_registro=<?php echo $_GET["id_caixa_operador_registro"]; ?>&id_usuario=<?php echo $_GET["id_usuario"]; ?>&id_unidade=<?php echo $_GET["id_unidade"]; ?>','Fechamento','width=700,height=600,top=0,left=0,scrollbars=yes');">Finalizar
                Caixa</button>

        </fieldset>

    </form>

    <?php include "../include/rodape.php"; ?>