<?php
include_once '../include/conecta.php'; //Conecta com a nosso banco de dados MySQL
ini_set('session.gc_maxlifetime', 60 * 120);
session_start();
/*include_once '../include/ver_sessao.php'; //Verifica se a sesso est ativa*/
include_once '../include/funcoesPhp.php';
include_once '../menu_movimento.php';

if ($_GET["Unidade"]) {
    $Unidade_c = "AND caixa_operador_registro.Id_Unidade = '" . $_GET["Unidade"] . "' ";
    $Unidade_v = "AND venda.Id_Unidade = '" . $_GET["Unidade"] . "' ";
    $Unidade_o = "AND os.Id_Unidade = '" . $_GET["Unidade"] . "' ";
    $Unidade_p = "AND pdv.Id_Unidade = '" . $_GET["Unidade"] . "' ";
    $Unidade_d = "AND devolucao.Id_Unidade = '" . $_GET["Unidade"] . "' ";
    $Unidade_cc = "AND caixa_cego.Id_Unidade = '" . $_GET["Unidade"] . "' ";
    $Unidade_f = "AND fila_espera.Id_Unidade = '" . $_GET["Unidade"] . "' ";
    $Unidade_cli = "AND adiantamento_cliente.Id_Unidade = '" . $_GET["Unidade"] . "' ";
}

if ($_GET["De"]) {
    $data_c = "AND caixa_operador_registro.Data_Abertura = '" . data_banco($_GET["De"]) . "' ";
    $data_v = "AND venda.Data_Conclusao = '" . data_banco($_GET["De"]) . "' ";
    $data_o = "AND os.Data_Conclusao = '" . data_banco($_GET["De"]) . "' ";
    $data_p = "AND pdv.Data_Pdv = '" . data_banco($_GET["De"]) . "' ";
    $data_d = "AND devolucao.Data_Conclusao = '" . data_banco($_GET["De"]) . "' ";
    $data_cc = "AND caixa_cego.Data_Caixa = '" . data_banco($_GET["De"]) . "' ";
    $data_f = "AND fila_espera.Data_Conclusao = '" . data_banco($_GET["De"]) . "' ";
    $data_cli .= "AND adiantamento_cliente.Data_Adiantamento = '" . data_banco($_GET["De"]) . "' ";
}

if ($_GET["Usuario"]) {
    $vend_c = "AND (caixa_operador_registro.Id_Usuario = '" . $_GET["Usuario"] . "' OR caixa_operador_registro.Id_Usuario_Upd = '" . $_GET["Usuario"] . "') ";
    $vend_v = "AND venda.Id_Usuario_Upd = '" . $_GET["Usuario"] . "' ";
    $vend_o = "AND os.Id_Usuario_Upd = '" . $_GET["Usuario"] . "' ";
    //$vend_p = "AND (pdv.Id_Usuario = '".$_GET["Usuario"]."' OR pdv.Id_Usuario_Upd = '".$_GET["Usuario"]."') ";
    $vend_p = "AND pdv.Id_Usuario_Upd = '" . $_GET["Usuario"] . "' ";
    $vend_d = "AND (devolucao.Id_Usuario = '" . $_GET["Usuario"] . "' OR devolucao.Id_Usuario_Upd = '" . $_GET["Usuario"] . "') ";
    $vend_cc = "AND (caixa_cego.Id_Usuario = '" . $_GET["Usuario"] . "' OR caixa_cego.Id_Usuario_Upd = '" . $_GET["Usuario"] . "') ";
    $vend_f = "AND fila_espera.Id_Usuario = '" . $_GET["Usuario"] . "' ";
    $vend_cli = "AND adiantamento_cliente.Id_Usuario_Upd = '" . $_GET["Usuario"] . "' ";
}

?>
<?php ob_start(); /* Inicia o fluxo*/ ?>
<html>

<head>
    <link rel="stylesheet" type="text/css" href="../estilo/<?php echo SKIN; ?>/tabela_imp.css" />
    <script type="text/javascript" language="javascript" src="../js/jquery.js"></script>
    <?php include '../include/script_cabeca.php'; ?>
    <script type="text/javascript" language="javascript" src="../js/script.js"></script>
    <script type="text/javascript" language="javascript" src="../js/meiomask/meiomask.js"></script>
    <script type="text/javascript" language="javascript" src="../js/meiomask/<?php if (PAIS == "USA") {
                                                                                    echo "mascaras-usa";
                                                                                } else {
                                                                                    echo "mascaras";
                                                                                } ?>.js"></script>
</head>

<body>
    <?php include "../include/cabecalho_relatorio.php"; ?>
    <table width="100%">
        <tr>
            <td>
                <font face="verdana" size="2"><i>Relatrio de Caixa Operador</i></font>
            </td>
        </tr>
        <tr>
            <td>
                <font face="verdana" size="2">
                    <?php
                    if ($_GET["De"]) {
                        echo "Perodo: " . $_GET["De"];
                    }
                    if ($_GET["Ate"]) {
                        echo "  " . $_GET["Ate"];
                    }
                    if ($_GET["Usuario"]) {
                        $achar = listar("Select Login from usuario
						where Id = '" . $_GET["Usuario"] . "' ");
                        echo " - " . $achar[0]["Titulo"];
                    }
                    ?>
                </font>
            </td>
        </tr>
    </table>
    <br />

    <table width="100%" class="tabela">
        <tr>
            <td>

                <!-- caixa inicial -->

                <?php
                $cliente = listar("SELECT caixa_operador.Valor,
                        caixa_operador.Obs,
                        DATE_FORMAT(caixa_operador.Abertura, '%d/%m/%Y %H:%i:%s') as 'Abertura',
                        DATE_FORMAT(caixa_operador.Fechamento, '%d/%m/%Y %H:%i:%s') as 'Fechamento',
                        caixa_operador.Tipo_Pagamento as 'Pagamento'
                        FROM caixa_operador_registro
                        left join caixa_operador ON caixa_operador.Id_Caixa_Operador_Registro = caixa_operador_registro.Id
                        where 1=1 $vend_c $data_c $Unidade_c
                        AND Obs = 'Caixa Operador Inicial' ");
                ?>

                <table width="100%" class="tabela">
                    <tr>
                        <td colspan="5" height="25" class="cinza">Fundo de Caixa</td>
                    </tr>
                    <tr class="azul-claro">
                        <td width="10%" align="center" height="25">Abertura</td>
                        <td width="10%" align="center" height="25">Fechamento</td>
                        <td width="10%" align="center" height="25">Obs</td>
                        <td width="5%" align="center" height="25">Tipo Pagamento</td>
                        <td width="5%" align="center" height="25">Valor</td>
                    </tr>

                    <?php
                    $valorFinal1 = '0';
                    if ($_GET["De"]) {

                        $x = 0;
                        $color = "#F5F5F5";
                        foreach ($cliente as $chave) {

                            if ($color == "#F5F5F5") {
                                $color = "#E8E8E8";
                            } else {
                                $color = "#F5F5F5";
                            }
                    ?>
                            <tr bgcolor=<?php echo "$color"; ?>>
                                <td align="center" height="25"><?php echo $chave['Abertura']; ?></td>
                                <td align="center" height="25"><?php echo $chave['Fechamento']; ?></td>
                                <td align="center" height="25"><?php echo $chave['Obs']; ?></td>
                                <td align="center" height="25"><?php echo $chave['Pagamento']; ?></td>
                                <td align="center" height="25"><?php echo valor_exibir($chave['Valor']); ?></td>
                            </tr>
                    <?php
                            $x++;
                            $valorFinal1 += $chave['Valor'];
                            $abertura['1'] += $chave['Valor']; //valor sempre em dinheiro
                        }
                    } ?>
                    <tr>
                        <td colspan="3" height="25"></td>
                        <td align="center">&nbsp;&nbsp; Total Caixa:</td>
                        <td align="center"><b><?php echo  valor_exibir($valorFinal1); ?></b></td>
                    </tr>
                </table>

                <!-- fim caixa inicial -->

            </td>
        </tr>
        <!-- Suprimento -->
        <tr>
            <td>


                <?php
                $cliente = listar("SELECT caixa_operador.Valor,
                        caixa_operador.Obs,
                        DATE_FORMAT(caixa_operador.Abertura, '%d/%m/%Y %H:%i:%s') as 'Abertura',
                        DATE_FORMAT(caixa_operador.Fechamento, '%d/%m/%Y %H:%i:%s') as 'Fechamento',
                        caixa_operador.Tipo_Pagamento as 'Pagamento',
                        cliente.Titulo as Cliente,
                        caixa_operador.Id_Tipo_Pagamento
                        FROM caixa_operador_registro
                        left join caixa_operador ON caixa_operador.Id_Caixa_Operador_Registro = caixa_operador_registro.Id
                        LEFT JOIN (Select Id, Titulo from cliente) as cliente on caixa_operador.Id_Cliente=cliente.Id
                        where 1=1 $vend_c $data_c $Unidade_c
                        AND Obs = 'Suprimento' ");
                ?>

                <table width="100%" class="tabela">
                    <tr>
                        <td colspan="5" height="25" class="cinza">Suprimento</td>
                    </tr>
                    <tr class="azul-claro">
                        <td width="10%" align="center" height="25">Abertura</td>
                        <td width="10%" align="center" height="25">Fechamento</td>
                        <td width="10%" align="center" height="25">Obs</td>
                        <td width="5%" align="center" height="25">Tipo Pagamento</td>
                        <td width="5%" align="center" height="25">Valor</td>
                    </tr>

                    <?php
                    $valorFinal4 = '0';
                    if ($_GET["De"]) {

                        $x = 0;
                        $color = "#F5F5F5";
                        foreach ($cliente as $chave) {

                            if ($color == "#F5F5F5") {
                                $color = "#E8E8E8";
                            } else {
                                $color = "#F5F5F5";
                            }
                    ?>
                            <tr bgcolor=<?php echo "$color"; ?>>
                                <td align="center" height="25"><?php echo $chave['Abertura']; ?></td>
                                <td align="center" height="25"><?php echo $chave['Fechamento']; ?></td>
                                <td align="center" height="25">
                                    <?php echo $chave['Obs'];
                                    if ((CLIENTE_EMAIL == 'terrasanta' || CLIENTE_EMAIL == 'costazul' || CLIENTE_EMAIL == 'gw') && $chave['Cliente']) echo " - " . $chave['Cliente']; ?>
                                </td>
                                <td align="center" height="25"><?php echo $chave['Pagamento']; ?></td>
                                <td align="center" height="25"><?php echo valor_exibir($chave['Valor']); ?></td>
                            </tr>
                    <?php
                            $x++;
                            $valorFinal4 += $chave['Valor'];
                            $suprimento[$chave['Id_Tipo_Pagamento']] += $chave['Valor'];
                        }
                    } ?>
                    <tr>
                        <td colspan="3" height="25"></td>
                        <td align="center">&nbsp;&nbsp; Total Caixa:</td>
                        <td align="center"><b><?php echo  valor_exibir($valorFinal4); ?></b></td>
                    </tr>
                </table>
            </td>
        </tr>
        <!-- fim Suprimento -->
        <!-- voucher -->
        <tr>
            <td>


                <?php
                $buscaPagamentoVoucher = mysqli_query($con, "SELECT Id,Titulo as Tipo_Pgto FROM tipo_pagamento WHERE DV_Pdv = 'Sim' LIMIT 1 ");
                $retornoPagamentoVoucher = mysqli_fetch_assoc($buscaPagamentoVoucher);


                $buscaVoucher = mysqli_query($con, "SELECT SUM(IF( pdv_tipo_pagamento.Troco > '0',
                                                            pdv_tipo_pagamento.Valor_Pago - pdv_tipo_pagamento.Troco,
                                                            pdv_tipo_pagamento.Valor_Pago
                                                        )
                                                        ) as Valor_Pago
                                                        FROM pdv
                                                        left join (SELECT Id_Pdv,Id_Tipo_Pagamento,Valor_Pago,Troco FROM pdv_tipo_pagamento) as pdv_tipo_pagamento ON pdv.Id = pdv_tipo_pagamento.Id_Pdv
                                                        where 1=1 $vend_pdv $data_p $Unidade_p $ands
                                                        AND pdv.Id_Usuario = '" . $_GET['Usuario'] . "'
                                                        AND (pdv.Status='Finalizado' OR pdv.Status='Produzindo')
                                                        AND pdv_tipo_pagamento.Id_Tipo_Pagamento = '" . $retornoPagamentoVoucher['Id'] . "' ");
                ?>

                <table width="100%" class="tabela">
                    <tr>
                        <td colspan="5" height="25" class="cinza">Vouchers Gerados</td>
                    </tr>
                    <tr class="azul-claro">
                        <td colspan="3">&nbsp;</td>
                        <td width="20%" align="center" height="25">Tipo Pagamento</td>
                        <td width="20%" align="center" height="25">Valor</td>
                    </tr>

                    <?php
                    if ($_GET["De"]) {

                        $x = 0;
                        $color = "#F5F5F5";
                        while ($linhaPagamento = mysqli_fetch_assoc($buscaVoucher)) {

                            if ($color == "#F5F5F5") {
                                $color = "#E8E8E8";
                            } else {
                                $color = "#F5F5F5";
                            }
                    ?>
                            <tr bgcolor=<?php echo "$color"; ?>>
                                <td colspan="3">&nbsp;</td>
                                <td align="center" height="25"><?php echo $retornoPagamentoVoucher['Tipo_Pgto']; ?></td>
                                <td align="center" height="25"><?php echo valor_exibir($linhaPagamento["Valor_Pago"] * (-1)); ?>
                                </td>
                            </tr>
                    <?php
                            $x++;
                            $voucher += ($linhaPagamento["Valor_Pago"] * (-1));
                        }
                    } ?>
                    <tr>
                        <td colspan="3" height="25"></td>
                        <td align="center">&nbsp;&nbsp; Total Vouchers Gerados:</td>
                        <td align="center"><b><?php echo  valor_exibir($voucher); ?></b></td>
                    </tr>
                </table>

            </td>
        </tr>
        <!-- fim voucher -->
        <tr>
            <td>

                <!-- sangria -->

                <?php
                $cliente = listar("SELECT caixa_operador.Valor,
                        caixa_operador.Obs,
                        DATE_FORMAT(caixa_operador.Abertura, '%d/%m/%Y %H:%i:%s') as 'Abertura',
                        DATE_FORMAT(caixa_operador.Fechamento, '%d/%m/%Y %H:%i:%s') as 'Fechamento',
                        caixa_operador.Tipo_Pagamento as 'Pagamento'
                        FROM caixa_operador_registro
                        left join caixa_operador ON caixa_operador.Id_Caixa_Operador_Registro = caixa_operador_registro.Id
                        where 1=1 $vend_c $data_c $Unidade_c
                        AND Obs = 'Sangria' ");
                ?>

                <table width="100%" class="tabela">
                    <tr>
                        <td colspan="5" height="25" class="cinza">Sangrias</td>
                    </tr>
                    <tr class="azul-claro">
                        <td width="10%" align="center" height="25">Abertura</td>
                        <td width="10%" align="center" height="25">Fechamento</td>
                        <td width="10%" align="center" height="25">Obs</td>
                        <td width="5%" align="center" height="25">Tipo Pagamento</td>
                        <td width="5%" align="center" height="25">Valor</td>
                    </tr>

                    <?php
                    $valorFinal2 = '0';
                    if ($_GET["De"]) {

                        $x = 0;
                        $color = "#F5F5F5";
                        foreach ($cliente as $chave) {

                            if ($color == "#F5F5F5") {
                                $color = "#E8E8E8";
                            } else {
                                $color = "#F5F5F5";
                            }
                    ?>
                            <tr bgcolor=<?php echo "$color"; ?>>
                                <td align="center" height="25"><?php echo $chave['Abertura']; ?></td>
                                <td align="center" height="25"><?php echo $chave['Fechamento']; ?></td>
                                <td align="center" height="25"><?php echo $chave['Obs']; ?></td>
                                <td align="center" height="25"><?php echo $chave['Pagamento']; ?></td>
                                <td align="center" height="25"><?php echo valor_exibir($chave['Valor']); ?></td>
                            </tr>
                    <?php
                            $x++;
                            $valorFinal2 += $chave['Valor'];
                            $sangria['1'] += $chave['Valor'];
                        }
                    } ?>
                    <tr>
                        <td colspan="3" height="25"></td>
                        <td align="center">&nbsp;&nbsp; Total Caixa:</td>
                        <td align="center"><b><?php echo  valor_exibir($valorFinal2); ?></b></td>
                    </tr>
                </table>

                <!-- fim sangria -->
            </td>
        </tr>
        <tr>
            <td>
                <!-- despesas -->

                <?php
                $cliente = listar("SELECT caixa_operador.Valor,
                        caixa_operador.Obs,
                        DATE_FORMAT(caixa_operador.Abertura, '%d/%m/%Y %H:%i:%s') as 'Abertura',
                        DATE_FORMAT(caixa_operador.Fechamento, '%d/%m/%Y %H:%i:%s') as 'Fechamento',
                        caixa_operador.Tipo_Pagamento as 'Pagamento'
                        FROM caixa_operador_registro
                        left join caixa_operador ON caixa_operador.Id_Caixa_Operador_Registro = caixa_operador_registro.Id
                        where 1=1 $vend_c $data_c $Unidade_c
                        AND caixa_operador.Caixa = 'Sim' ");
                ?>

                <table width="100%" class="tabela">
                    <tr>
                        <td colspan="5" height="25" class="cinza">Despesas</td>
                    </tr>
                    <tr class="azul-claro">
                        <td width="10%" align="center" height="25">Abertura</td>
                        <td width="10%" align="center" height="25">Fechamento</td>
                        <td width="10%" align="center" height="25">Obs</td>
                        <td width="5%" align="center" height="25">Tipo Pagamento</td>
                        <td width="5%" align="center" height="25">Valor</td>
                    </tr>

                    <?php
                    $valorFinal3 = '0';
                    if ($_GET["De"]) {

                        $x = 0;
                        $color = "#F5F5F5";
                        foreach ($cliente as $chave) {

                            if ($color == "#F5F5F5") {
                                $color = "#E8E8E8";
                            } else {
                                $color = "#F5F5F5";
                            }
                    ?>
                            <tr bgcolor=<?php echo "$color"; ?>>
                                <td align="center" height="25"><?php echo $chave['Abertura']; ?></td>
                                <td align="center" height="25"><?php echo $chave['Fechamento']; ?></td>
                                <td align="center" height="25"><?php echo $chave['Obs']; ?></td>
                                <td align="center" height="25"><?php echo $chave['Pagamento']; ?></td>
                                <td align="center" height="25"><?php echo valor_exibir($chave['Valor']); ?></td>
                            </tr>
                    <?php
                            $x++;
                            $valorFinal3 += $chave['Valor'];
                            $despesa['1'] += $chave['Valor'];
                        }
                    } ?>

                    <!-- fim despesas -->

                    <tr>
                        <td colspan="3" height="25"></td>
                        <td align="center">&nbsp;&nbsp; Total Caixa:</td>
                        <td align="center"><b><?php echo  valor_exibir($valorFinal3); ?></b></td>
                    </tr>
                    </tbody>
                </table>
            </td>
        </tr>

                        <!-- Troco Entrega -->
                        <?php
                $caixaTroco = $con->query("SELECT caixa_operador.Valor,
                        caixa_operador.Obs,
                        DATE_FORMAT(caixa_operador.Abertura, '%d/%m/%Y %H:%i:%s') as 'Abertura',
                        DATE_FORMAT(caixa_operador.Fechamento, '%d/%m/%Y %H:%i:%s') as 'Fechamento',
                        caixa_operador.Tipo_Pagamento as 'Pagamento',
                        cliente.Titulo as Cliente,
                        caixa_operador.Id_Tipo_Pagamento
                        FROM caixa_operador_registro
                        left join caixa_operador ON caixa_operador.Id_Caixa_Operador_Registro = caixa_operador_registro.Id
                        LEFT JOIN (Select Id, Titulo from cliente) as cliente on caixa_operador.Id_Cliente=cliente.Id
                        where 1=1 $vend_c $data_c $Unidade_c
                        AND caixa_operador.Tipo = 'Troco' ");

                 if($caixaTroco->num_rows > 0) {
                ?>
                <tr>
            <td>
                <table width="100%" class="tabela">
                    <tr>
                        <td colspan="5" height="25" class="cinza">Troco Entrega</td>
                    </tr>
                    <tr class="azul-claro">
                    <td colspan="2" height="25"></td>

                        <td width="15%" align="center" height="25">Obs</td>
                        <td width="15%" align="center" height="25">Tipo Pagamento</td>
                        <td width="15%" align="center" height="25">Valor</td>
                    </tr>

                    <?php
                    $valorFinalTroco = '0';
                    if ($_GET["De"]) {

                        $x = 0;
                        $color = "#F5F5F5";
                        foreach ($caixaTroco as $chave) {

                            if ($color == "#F5F5F5") {
                                $color = "#E8E8E8";
                            } else {
                                $color = "#F5F5F5";
                            }
                    ?>
                            <tr bgcolor=<?php echo "$color"; ?>>
                        <td colspan="2" height="25"></td>

                                <td align="center" height="25"><?php echo $chave['Obs'];?></td>
                                <td align="center" height="25"><?php echo $chave['Pagamento']; ?></td>
                                <td align="center" height="25"><?php echo valor_exibir($chave['Valor']); ?></td>
                            </tr>
                    <?php
                            $x++;
                            $valorFinalTroco += $chave['Valor'];
                        }
                    } ?>
                    <tr>
                        <td colspan="3" height="25"></td>
                        <td align="center">&nbsp;&nbsp; Total Troco Entrega:</td>
                        <td align="center"><b><?php echo  valor_exibir($valorFinalTroco); ?></b></td>
                    </tr>
                </table>
            </td>
        </tr>
        <?php } ?>
        <!-- fim Troco Entrega -->

        <?php $soma_papeis = ($valorFinal1 + $valorFinal4) - ((-$valorFinal2) + (-$valorFinal3)) + $valorFinalTroco; ?>

        <tr>
            <td width="100%">

                <table width="100%">
                    <tr>
                        <!-- valor do sistema -->
                        <td width="25%">

                            <table width="100%" class="tabela">
                                <thead>
                                    <tr class="azul-claro">
                                        <td align="center" height="25">Tipo</td>
                                        <td align="center" height="25">Valor</td>
                                    </tr>
                                </thead>

                                <?php
                                if ($_GET["De"]) {

                                    $sql_tp = mysqli_query($con, "SELECT Id,Titulo as Tipo_Pgto FROM tipo_pagamento WHERE DV_Pdv = 'No' ");

                                    //Se o usuario logado tiver permissao Os5,Os6 exibe
                                    $menu_prospect_os = mysqli_query($con, "SELECT menu.Chamada
                from menu_usuario
                inner join
                (SELECT Id, Chamada, Id_Pai, Ordem FROM menu WHERE menu.Ativo = 'Sim') as menu
                ON menu_usuario.Id_Menu = menu.Id
                inner join
                (SELECT Id FROM menu WHERE menu.Id = '3') as menu_pai
                ON menu_pai.Id = menu.Id_Pai
                where menu_usuario.Id_Responsavel='" . $_SESSION["Id"] . "'
                AND (menu.Chamada = 'Os5' OR menu.Chamada = 'Os6' OR menu.Chamada = 'Os12' OR menu.Chamada = 'Os16')
                order by menu.Chamada ");


                                    //Se o usuario logado tiver permissao Os5,Os6 exibe
                                    $menu_prospect_venda = mysqli_query($con, "SELECT menu.Chamada
                from menu_usuario
                inner join
                (SELECT Id, Chamada, Id_Pai, Ordem FROM menu WHERE menu.Ativo = 'Sim') as menu
                ON menu_usuario.Id_Menu = menu.Id
                inner join
                (SELECT Id FROM menu WHERE menu.Id = '3' OR '8') as menu_pai
                ON menu_pai.Id = menu.Id_Pai
                where menu_usuario.Id_Responsavel='" . $_SESSION["Id"] . "'
                AND (menu.Chamada = 'Venda1' OR menu.Chamada = 'Venda7' OR menu.Chamada = 'Venda9' OR menu.Chamada = 'Venda11')
                order by menu.Chamada ");

                                    $menu_prospect_restaurante = mysqli_query($con, "SELECT menu.Chamada
                                    from menu_usuario
                                    inner join
                                    (SELECT Id, Chamada, Id_Pai, Ordem FROM menu WHERE menu.Ativo = 'Sim') as menu
                                    ON menu_usuario.Id_Menu = menu.Id
                                    inner join
                                    (SELECT Id FROM menu WHERE menu.Id = '3' OR '8') as menu_pai
                                    ON menu_pai.Id = menu.Id_Pai
                                    where menu_usuario.Id_Responsavel='" . $_SESSION["Id"] . "'
                                    AND (menu.Chamada = 'Movimento_Restaurante')
                                    order by menu.Chamada ");


                                    while ($linha = mysqli_fetch_assoc($sql_tp)) {

                                        if ($color == "#F5F5F5") {
                                            $color = "#E8E8E8";
                                        } else {
                                            $color = "#F5F5F5";
                                        }

                                        $cop = '0';

                                        if (mysqli_num_rows($menu_prospect_restaurante) > 0) {
                                            //se tiver venda1
                                            $vendas = mysqli_query($con, "SELECT SUM(venda_tipo_pagamento.Valor_Pago) as Valor,
                                            SUM(venda_tipo_pagamento.Valor_Troco) as Valor_Troco,
                                            tipo_pagamento.Titulo as Tipo_Pagamento
                                            FROM venda_tipo_pagamento
                                            INNER JOIN (SELECT Id,Data_Venda,Data_Conclusao,Id_Funcionario,Id_Unidade,Id_Usuario,Id_Usuario_Upd FROM venda WHERE Status = 'Finalizado' AND Financeiro='Sim') as venda ON venda.Id = venda_tipo_pagamento.Id_Venda
                                            LEFT JOIN (SELECT Id,Titulo FROM tipo_pagamento) as tipo_pagamento ON tipo_pagamento.Id = venda_tipo_pagamento.Id_Tipo_Pagamento
                                            where 1=1 $vend_v $data_v $Unidade_v
                                            AND venda_tipo_pagamento.Id_Tipo_Pagamento = '" . $linha['Id'] . "' ");
                                            $vendas1 = mysqli_fetch_assoc($vendas);
                                            $cop += $vendas1["Valor"] - $vendas1["Valor_Troco"];
                                        } else {
                                            //se tiver venda
                                            $vendas = mysqli_query($con, "SELECT SUM(venda.Valor_Pago) as Valor
                                            FROM venda
                                            where 1=1 $vend_v $data_v $Unidade_v
                                            AND Status = 'Finalizado'
                                            AND Financeiro='Sim'
                                            AND Id_Tipo_Pagamento = '" . $linha['Id'] . "' ");
                                            $vendas1 = mysqli_fetch_assoc($vendas);

                                            $cop += $vendas1["Valor"];
                                        }

                                        if (mysqli_num_rows($menu_prospect_venda) > 0) {
                                            //se tiver venda1
                                            $vendas = mysqli_query($con, "SELECT SUM(venda_tipo_pagamento.Valor) as Valor,
                        tipo_pagamento.Titulo as Tipo_Pagamento
                        FROM venda_tipo_pagamento
                        INNER JOIN (SELECT Id,Data_Venda,Data_Conclusao,Id_Funcionario,Id_Unidade,Id_Usuario,Id_Usuario_Upd FROM venda WHERE Status = 'Finalizado' AND Financeiro='Sim') as venda ON venda.Id = venda_tipo_pagamento.Id_Venda
                        LEFT JOIN (SELECT Id,Titulo FROM tipo_pagamento) as tipo_pagamento ON tipo_pagamento.Id = venda_tipo_pagamento.Id_Tipo_Pagamento
                        where 1=1 $vend_v $data_v $Unidade_v
                        AND venda_tipo_pagamento.Id_Tipo_Pagamento = '" . $linha['Id'] . "' ");
                                            $vendas1 = mysqli_fetch_assoc($vendas);

                                            $cop += $vendas1["Valor"];
                                        } else {
                                            //se tiver venda
                                            $vendas = mysqli_query($con, "SELECT SUM(venda.Valor_Pago) as Valor
                        FROM venda
                        where 1=1 $vend_v $data_v $Unidade_v
                        AND Status = 'Finalizado'
                        AND Financeiro='Sim'
                        AND Id_Tipo_Pagamento = '" . $linha['Id'] . "' ");
                                            $vendas1 = mysqli_fetch_assoc($vendas);

                                            $cop += $vendas1["Valor"];
                                        }



                                        if (mysqli_num_rows($menu_prospect_os) > 0) {
                                            //se tiver os5, os6
                                            $os = mysqli_query($con, "SELECT SUM(os_tipo_pagamento.Valor) as Valor,
                        tipo_pagamento.Titulo as Tipo_Pagamento
                        FROM os_tipo_pagamento
                        LEFT JOIN (SELECT Id,Data_Os,Data_Conclusao,Id_Funcionario,Id_Unidade,Id_Usuario,Id_Usuario_Upd FROM os WHERE Status = 'Finalizado') as os ON os.Id = os_tipo_pagamento.Id_Os
                        LEFT JOIN (SELECT Id,Titulo FROM tipo_pagamento) as tipo_pagamento ON tipo_pagamento.Id = os_tipo_pagamento.Id_Tipo_Pagamento
                        where 1=1 $vend_o $data_o $Unidade_o
                        AND os_tipo_pagamento.Id_Tipo_Pagamento = '" . $linha['Id'] . "' ");
                                            $os1 = mysqli_fetch_assoc($os);

                                            $cop += $os1["Valor"];
                                        } else {
                                            //se tiver os, os2, os3, os4
                                            $os = mysqli_query($con, "SELECT SUM(os.Valor_Pago) as Valor,
                                                                                tipo_pagamento.Titulo as 'Pagamento'
                                                                                FROM os
                                                                                LEFT JOIN (SELECT Id,Titulo FROM tipo_pagamento) as tipo_pagamento ON os.Id_Tipo_Pagamento = tipo_pagamento.Id
                                                                                where 1=1 $vend_o $data_o $Unidade_o
                                                                                AND Status = 'Finalizado'
                                                                                AND Id_Tipo_Pagamento = '" . $linha['Id'] . "' ");
                                            $os1 = mysqli_fetch_assoc($os);

                                            $cop += $os1["Valor"];
                                        }


                                        $pdv = mysqli_query($con, "SELECT SUM(
                                                                            IF( pdv_tipo_pagamento.Troco > '0',
                                                                                pdv_tipo_pagamento.Valor_Pago - pdv_tipo_pagamento.Troco,
                                                                                pdv_tipo_pagamento.Valor_Pago
                                                                            )
                                                                            ) as Valor
                                                                            FROM pdv
                                                                            left join (SELECT Id_Pdv,Id_Tipo_Pagamento,Valor_Pago,Troco FROM pdv_tipo_pagamento) as pdv_tipo_pagamento ON pdv.Id = pdv_tipo_pagamento.Id_Pdv
                                                                            where 1=1 $vend_p $data_p $Unidade_p
                                                                            AND (pdv.Status='Finalizado' OR pdv.Status='Produzindo')
                                                                            AND pdv_tipo_pagamento.Id_Tipo_Pagamento = '" . $linha['Id'] . "' ");
                                        $pdv1 = mysqli_fetch_assoc($pdv);

                                        $cop += $pdv1["Valor"];

                                        $adiant = mysqli_query($con, "SELECT adiantamento_cliente.Tipo,
                                        adiantamento_cliente.Valor
                                        FROM adiantamento_cliente
                                        inner join (SELECT Id, Titulo FROM unidade) as unidade ON unidade.Id = adiantamento_cliente.Id_Unidade
                                        where 1=1 $vend_cli $data_cli $Unidade_cli
                                        AND Tipo = 'Saida'
                                        AND Financeiro = 'Sim'
                                        AND adiantamento_cliente.Id_Tipo_Pagamento = '" . $linha['Id'] . "'
                                        ORDER BY adiantamento_cliente.Data_Adiantamento");

                                        $valorExibido = '0';
                                        while ($reg = mysqli_fetch_assoc($adiant)) {

                                            if ($reg['Tipo'] == 'Entrada') {
                                                $valorExibido += $reg['Valor'];
                                            }
                                            if ($reg['Tipo'] == 'Saida') {
                                                $valorExibido += -$reg['Valor'];
                                            }
                                            if ($reg['Tipo'] == 'Cancelado') {
                                                $valorExibido += '0';
                                            }
                                        }
                                        //pra logica dar certo. Sinal Trocado
                                        $cop += -$valorExibido;

                                        $fila = mysqli_query($con, "SELECT SUM(fila_espera.Valor_Pago) as Valor
                                        FROM fila_espera
                                        where 1=1 $vend_f $data_f $Unidade_f
                                        AND Status = 'Finalizado'
                                        AND Id_Tipo_Pagamento = '" . $linha['Id'] . "' ");
                                        $fila1 = mysqli_fetch_assoc($fila);

                                        $cop += $fila1["Valor"];

                                        $dev = mysqli_query($con, "SELECT SUM(devolucao.Valor_Pago) as Valor
                                                                    FROM devolucao
                                                                    where 1=1 $vend_d $data_d $Unidade_d
                                                                    AND Status = 'Finalizado'
                                                                    AND Id_Tipo_Pagamento = '" . $linha['Id'] . "' ");
                                        $dev1 = mysqli_fetch_assoc($dev);

                                        $cop += $dev1["Valor"];

                                        $ven[$linha['Id']] += $cop;
                                        $totalBaixo1 += $cop;


                                        //se o valor for ZERO, no exibir
                                        if (($cop != '') or ($cop != '0')) {

                                            //para tabela calculado sistema
                                            $tabelaCalculo[$linha['Id']]["Titulo"] = $linha['Tipo_Pgto'];
                                            $tabelaCalculo[$linha['Id']]["Id"] = $linha['Id'];
                                            $tabelaCalculo[$linha['Id']]["Valor"] = $cop;

                                            if ($linha['Id'] == "1") {
                                                $total_vendido_dinheiro += $ven[$linha['Id']];
                                            }
                                ?>
                                            <tr bgcolor=<?php echo "$color"; ?>>
                                                <td align="center" height="25"><?php echo $linha['Tipo_Pgto']; ?></td>
                                                <td align="center" height="25"><?php echo valor_exibir($cop); ?></td>
                                            </tr>

                                <?php }
                                    }
                                } ?>

                                <tr class="cinza">
                                    <td align="center" height="25">Total Vendido</td>
                                    <td align="center" height="25"><?php echo valor_exibir($totalBaixo1); ?></td>
                                </tr>
                            </table>

                        </td>
                        <!-- fim valor do sistema -->


                        <!-- calculado pelo sistema -->
                        <td width="25%">

                            <table width="100%" class="tabela">
                                <thead>
                                    <tr class="azul-claro">
                                        <td align="center" height="25">Tipo</td>
                                        <td align="center" height="25">Valor</td>
                                    </tr>
                                </thead>

                                <?php
                                if ($_GET["De"]) {

                                    foreach ($tabelaCalculo as $calculo) {

                                        if ($color == "#F5F5F5") {
                                            $color = "#E8E8E8";
                                        } else {
                                            $color = "#F5F5F5";
                                        }

                                        if ($calculo["Id"] == 1) {
                                            $calculo["Titulo"] = "Dinheiro + Fundo de Caixa + <br/>Suprimentos - Despesas";
                                            $calculo["Valor"] = $total_vendido_dinheiro - (- (($abertura['1'] + $suprimento[$calculo['Id']]) - ($despesa['1'] * (-1)))) + $valorFinalTroco;
                                        }

                                        $calculoBaixo += valor_banco($calculo['Valor']);
                                ?>
                                        <tr bgcolor=<?php echo "$color"; ?>>
                                            <td align="center" height="25"><?php echo $calculo['Titulo']; ?></td>
                                            <td align="center" height="25"><?php echo valor_exibir($calculo["Valor"]); ?></td>
                                        </tr>

                                <?php }
                                } ?>

                                <tr class="cinza">
                                    <td align="center" height="25">Calculado Sistema</td>
                                    <td align="center" height="25"><?php echo valor_exibir($calculoBaixo); ?></td>
                                </tr>
                            </table>

                        </td>
                        <!-- fim calculado pelo sistema -->


                        <!-- valor do caixa cego -->
                        <td width="25%">

                            <table width="100%" class="tabela">
                                <thead>
                                    <tr class="azul-claro">
                                        <td align="center" height="25">Tipo</td>
                                        <td align="center" height="25">Valor</td>
                                    </tr>
                                </thead>

                                <?php
                                if ($_GET["De"]) {

                                    $sql_tp2 = mysqli_query($con, "SELECT Id,Titulo as Tipo_Pgto FROM tipo_pagamento ");

                                    $ope = array();
                                    while ($linha2 = mysqli_fetch_assoc($sql_tp2)) {

                                        if ($color == "#F5F5F5") {
                                            $color = "#E8E8E8";
                                        } else {
                                            $color = "#F5F5F5";
                                        }

                                        $vl_caixa2 = mysqli_query($con, "SELECT Id,
                                SUM(Valor) as Valor,
                                Tipo_Pagamento
                                FROM caixa_cego
                                WHERE 1=1
                                $Unidade_cc $data_cc $vend_cc
                                AND Id_Tipo_Pagamento = '" . $linha2["Id"] . "' ");

                                        $vl_caixa22 = mysqli_fetch_assoc($vl_caixa2);

                                        $ope[$linha2["Id"]] += $vl_caixa22['Valor'];
                                        $totalBaixo2 += $vl_caixa22['Valor'];

                                        //se o valor for ZERO, no exibir
                                        if (isset($vl_caixa22['Valor'])) {

                                            if ($linha2['Id'] == "1") {
                                                $operador_especie += $ope[$linha2["Id"]];
                                            }
                                ?>
                                            <tr bgcolor=<?php echo "$color"; ?>>
                                                <td align="center" height="25"><?php echo $linha2['Tipo_Pgto']; ?></td>
                                                <td align="center" height="25"><?php echo valor_exibir($vl_caixa22['Valor']); ?>
                                                </td>
                                            </tr>

                                <?php }
                                    }
                                } ?>

                                <tr class="cinza">
                                    <td align="center" height="25">Valor Digitado do Operador</td>
                                    <td align="center" height="25"><?php echo valor_exibir($totalBaixo2); ?></td>
                                </tr>
                            </table>

                        </td>
                        <!-- fim valor do caixa cego -->


                        <!-- valor da diferena -->
                        <td width="25%">

                            <table width="100%" class="tabela">
                                <thead>
                                    <tr class="azul-claro">
                                        <td align="center" height="25">Diferena</td>
                                        <td align="center" height="25">Valor</td>
                                    </tr>
                                </thead>

                                <?php
                                if ($_GET["De"]) {

                                    $sql_tp3 = mysqli_query($con, "SELECT Id,Titulo as Tipo_Pgto FROM tipo_pagamento WHERE DV_Pdv = 'No' ");

                                    while ($linha3 = mysqli_fetch_assoc($sql_tp3)) {

                                        if ($color == "#F5F5F5") {
                                            $color = "#E8E8E8";
                                        } else {
                                            $color = "#F5F5F5";
                                        }

                                        if ($linha3['Id'] == "1") {
                                            $ven[$linha3['Id']] = ($total_vendido_dinheiro - (- (($abertura['1'] + $suprimento[$linha3['Id']]) - ($sangria['1'] - $despesa['1'])))) + $valorFinalTroco;
                                        }

                                        if (($ven[$linha3['Id']] - $ope[$linha3["Id"]]) != '0') {

                                            if ($linha3['Id'] == "1") {
                                                $diferenca_especie = $total_vendido_dinheiro - ($ope[$linha3["Id"]] - ($abertura['1']  + $suprimento[$linha3['Id']]) - $despesa['1'] + ($sangria['1'] * (-1))) + $valorFinalTroco;
                                            } else {
                                                $diferenca_especie = $ope[$linha3["Id"]] - $ven[$linha3['Id']] - $suprimento[$linha3['Id']];
                                            }

                                            $ulti_baixo += $diferenca_especie;

                                            if ($ulti_baixo < 0) {
                                                $ulti_baixo = ($ulti_baixo * (-1));
                                            }
                                ?>
                                            <tr bgcolor=<?php echo "$color"; ?>>
                                                <td align="center" height="25"><?php echo $linha3['Tipo_Pgto']; ?></td>
                                                <td align="center" height="25"><?php echo valor_exibir($diferenca_especie); ?></td>
                                            </tr>

                                <?php }
                                    }
                                } ?>

                                <tr class="cinza">
                                    <td align="center" height="25">Diferena</td>
                                    <td align="center" height="25"><span id="diferenca"><?php echo valor_exibir($ulti_baixo); ?></span></td>
                                </tr>
                            </table>

                        </td>
                    </tr>
                </table>

            </td>
            <!-- fim valor da diferena -->
        </tr>

        <!-- total final -->
        <tr>
            <td class="cinza" align="center">
                <table width="16%" class="tabela">
                    <tr>
                        <td colspan="5" height="25" class="cinza" align="center">
                            Vendas : <br>
                            Despesas : <br>
                            Total = <br>
                            Fundo Caixa : <br>
                            Suprimento : <br>
                            Troco Entrega : <br>
                            Total Caixa =
                        </td>
                        <td colspan="5" height="25" class="cinza" align="center">
                            <font color='#228B22'> + <?php echo valor_exibir($totalBaixo1); ?></font><br>
                            <font color='#CD2626'> - <?php echo valor_exibir(-$valorFinal3); ?></font><br>
                            <b><?php echo valor_exibir($totalBaixo1 - (-$valorFinal3)); ?></b><br>
                            + <font color='blue'><?php echo valor_exibir($valorFinal1); ?></font><br>
                            + <font color='#228B22'><?php echo valor_exibir($valorFinal4); ?></font><br>
                            <?= $valorFinalTroco > 0 ? '+' : ''?> <font ><?php echo valor_exibir($valorFinalTroco); ?></font><br>
                            <b><?php echo valor_exibir(($totalBaixo1 - (-$valorFinal3)) + $valorFinal1 + $valorFinal4 + $valorFinalTroco); ?></b>
                        </td>
                    </tr>
                </table>
            </td>
        </tr>
        <!-- final total final -->
        <tr>
            <td>
                <br>

                <table width="100%" class="tabela">

                    <?php
                    $totalBaixo1 = '';
                    if ($_GET["De"]) {

                        $sql_tp = mysqli_query($con, "SELECT Id,Titulo as Tipo_Pgto FROM tipo_pagamento ");

                        //Se o usuario logado tiver permissao Os5,Os6 exibe
                        $menu_prospect_os = mysqli_query($con, "SELECT menu.Chamada
                from menu_usuario
                inner join
                (SELECT Id, Chamada, Id_Pai, Ordem FROM menu WHERE menu.Ativo = 'Sim') as menu
                ON menu_usuario.Id_Menu = menu.Id
                inner join
                (SELECT Id FROM menu WHERE menu.Id = '3' OR '8') as menu_pai
                ON menu_pai.Id = menu.Id_Pai
                where menu_usuario.Id_Responsavel='" . $_SESSION["Id"] . "'
                AND (menu.Chamada = 'Os5' OR menu.Chamada = 'Os6' OR menu.Chamada = 'Os12' OR menu.Chamada = 'Os16')
                order by menu.Chamada ");


                        //Se o usuario logado tiver permissao Os5,Os6 exibe
                        $menu_prospect_venda = mysqli_query($con, "SELECT menu.Chamada
                from menu_usuario
                inner join
                (SELECT Id, Chamada, Id_Pai, Ordem FROM menu WHERE menu.Ativo = 'Sim') as menu
                ON menu_usuario.Id_Menu = menu.Id
                inner join
                (SELECT Id FROM menu WHERE menu.Id = '3' OR '8') as menu_pai
                ON menu_pai.Id = menu.Id_Pai
                where menu_usuario.Id_Responsavel='" . $_SESSION["Id"] . "'
                AND (menu.Chamada = 'Venda1' OR menu.Chamada = 'Venda7' OR menu.Chamada = 'Venda9' OR menu.Chamada = 'Venda11' OR menu.Chamada = 'Movimento_Restaurante')
                order by menu.Chamada ");


                        while ($linha = mysqli_fetch_assoc($sql_tp)) {

                            if ($color == "#F5F5F5") {
                                $color = "#E8E8E8";
                            } else {
                                $color = "#F5F5F5";
                            }

                            $cop = '0';

                            if (mysqli_num_rows($menu_prospect_venda) > 0) {
                                //se tiver venda1
                                $vendas = mysqli_query($con, "SELECT SUM(venda_tipo_pagamento.Valor) as Valor,
                        tipo_pagamento.Titulo as Tipo_Pagamento
                        FROM venda_tipo_pagamento
                        LEFT JOIN (SELECT Id,Data_Venda,Data_Conclusao,Id_Funcionario,Id_Unidade,Id_Usuario,Id_Usuario_Upd FROM venda WHERE Status = 'Cancelado') as venda ON venda.Id = venda_tipo_pagamento.Id_Venda
                        LEFT JOIN (SELECT Id,Titulo FROM tipo_pagamento) as tipo_pagamento ON tipo_pagamento.Id = venda_tipo_pagamento.Id_Tipo_Pagamento
                        where 1=1 $vend_v $data_v $Unidade_v
                        AND venda_tipo_pagamento.Id_Tipo_Pagamento = '" . $linha['Id'] . "' ");
                                $vendas1 = mysqli_fetch_assoc($vendas);

                                $cop += $vendas1["Valor"];
                            } else {
                                //se tiver venda
                                $vendas = mysqli_query($con, "SELECT SUM(venda.Valor_Pago) as Valor
                        FROM venda
                        where 1=1 $vend_v $data_v $Unidade_v
                        AND Status = 'Cancelado'
                        AND Id_Tipo_Pagamento = '" . $linha['Id'] . "' ");
                                $vendas1 = mysqli_fetch_assoc($vendas);

                                $cop += $vendas1["Valor"];
                            }



                            if (mysqli_num_rows($menu_prospect_os) > 0) {
                                //se tiver os5, os6
                                $os = mysqli_query($con, "SELECT SUM(os_tipo_pagamento.Valor) as Valor,
                        tipo_pagamento.Titulo as Tipo_Pagamento
                        FROM os_tipo_pagamento
                        LEFT JOIN (SELECT Id,Data_Os,Data_Conclusao,Id_Funcionario,Id_Unidade,Id_Usuario,Id_Usuario_Upd FROM os WHERE Status = 'Cancelado') as os ON os.Id = os_tipo_pagamento.Id_Os
                        LEFT JOIN (SELECT Id,Titulo FROM tipo_pagamento) as tipo_pagamento ON tipo_pagamento.Id = os_tipo_pagamento.Id_Tipo_Pagamento
                        where 1=1 $vend_o $data_o $Unidade_o
                        AND os_tipo_pagamento.Id_Tipo_Pagamento = '" . $linha['Id'] . "' ");
                                $os1 = mysqli_fetch_assoc($os);

                                $cop += $os1["Valor"];
                            } else {
                                //se tiver os, os2, os3, os4
                                $os = mysqli_query($con, "SELECT SUM(os.Valor_Pago) as Valor,
                        tipo_pagamento.Titulo as 'Pagamento'
                        FROM os
                        LEFT JOIN (SELECT Id,Titulo FROM tipo_pagamento) as tipo_pagamento ON os.Id_Tipo_Pagamento = tipo_pagamento.Id
                        where 1=1 $vend_o $data_o $Unidade_o
                        AND Status = 'Cancelado'
                        AND Id_Tipo_Pagamento = '" . $linha['Id'] . "' ");
                                $os1 = mysqli_fetch_assoc($os);

                                $cop += $os1["Valor"];
                            }


                            $pdv = mysqli_query($con, "SELECT
                        SUM(
                        IF( pdv_tipo_pagamento.Troco > '0',
                            pdv_tipo_pagamento.Valor_Pago - pdv_tipo_pagamento.Troco,
                            pdv_tipo_pagamento.Valor_Pago
                        )
                        ) as Valor
                        FROM pdv
                        left join (SELECT Id_Pdv,Id_Tipo_Pagamento,Valor_Pago,Troco FROM pdv_tipo_pagamento) as pdv_tipo_pagamento ON pdv.Id = pdv_tipo_pagamento.Id_Pdv
                        where 1=1 $vend_p $data_p $Unidade_p
                        AND pdv.Status='Cancelado'
                        AND pdv_tipo_pagamento.Id_Tipo_Pagamento = '" . $linha['Id'] . "' ");
                            $pdv1 = mysqli_fetch_assoc($pdv);

                            $cop += $pdv1["Valor"];

                            $fila = mysqli_query($con, "SELECT SUM(fila_espera.Valor_Pago) as Valor
                                        FROM fila_espera
                                        where 1=1 $vend_f $data_f $Unidade_f
                                        AND Status = 'Cancelado'
                                        AND Id_Tipo_Pagamento = '" . $linha['Id'] . "' ");
                            $fila1 = mysqli_fetch_assoc($fila);

                            $cop += $fila1["Valor"];

                            $dev = mysqli_query($con, "SELECT SUM(devolucao.Valor_Pago) as Valor
                        FROM devolucao
                        where 1=1 $vend_d $data_d $Unidade_d
                        AND Status = 'Cancelado'
                        AND Id_Tipo_Pagamento = '" . $linha['Id'] . "' ");
                            $dev1 = mysqli_fetch_assoc($dev);

                            $cop += $dev1["Valor"];

                            $ven[$linha['Id']] += $cop;
                            $totalBaixo1 += $cop;


                            //se o valor for ZERO, no exibir
                            if (($cop != '') or ($cop != '0')) {
                            }
                        }
                    } ?>

                    <tr class="cinza">
                        <td align="center" height="25">Total Cancelado</td>
                        <td align="center" height="25"><?php echo valor_exibir($totalBaixo1); ?></td>
                    </tr>
                </table>
            </td>
        </tr>
    </table>
    <br />
</body>

</html>
<?php
$html = ob_get_contents();
ob_end_clean();

include_once "../include/pdf_opcao.php";
?>