<?php
include_once '../include/conecta.php'; //Conecta com a nosso banco de dados MySQL
include_once '../include/ver_sessao.php'; //Verifica se a sesso est ativa
include_once '../include/funcoesPhp.php';
include_once '../menu_movimento.php';

$modulo_lista = 'Chamado';
include '../include/sessao_lista.php';

//se no houver nada na pesquisa da listagem
if (!$_GET['Pesq']) {
    //listagem padro
    if (!isset($_GET['Status_Lista'])) {
        //$_GET['Status_Lista'] = 'Em Andamento';
    }
}


$menu = mysqli_query($con, "SELECT permissao.Relatorio,
                        permissao.Cadastrar,
                        permissao.Alterar,
                        permissao.Deletar
                        from permissao
                        inner join menu_usuario ON menu_usuario.Id_Menu = permissao.Id_Menu
                        where menu_usuario.Id_Responsavel='" . $_SESSION["Id"] . "' 
                        and permissao.Id_Responsavel='" . $_SESSION["Id"] . "'
                        and permissao.Id_Menu = '314' ");
$menu = mysqli_fetch_assoc($menu);

if (!$_GET['Pesq']) {
    $Status_Lista1 = " AND (chamado2.Situacao = 'Em Andamento'
                OR chamado2.Situacao = 'No Concludo'
                OR chamado2.Situacao = 'Pendncia Cliente'
                OR chamado2.Situacao = 'Pendncia Empresa'
                OR chamado2.Situacao = 'Retorno') ";
}

if ($_GET["Status_Lista"]) {
    $Status_Lista1 = " and chamado2.Situacao = '" . $_GET["Status_Lista"] . "' ";
}


if ($_GET["Ordem_Lista"] == "Desc") {
    $Ordem_Lista1 = ' DESC ';
} else {
    $Ordem_Lista1 = ' ASC ';
}

if (($_GET["Status_Lista"] == "Concludo") || ($_GET["Pesq"])) {
    $Ordem_Lista1 = ' DESC ';
} else {
    $Ordem_Lista1 = ' ASC ';
}

if ($_GET["Ordenar"]) {
    $Ordenar1 = " ORDER BY chamado2.Data_Cadastro $Ordem_Lista1, " . $_GET["Ordenar"] . " ";
} else {
    $Ordenar1 = " ORDER BY chamado2.Data_Cadastro $Ordem_Lista1, chamado2.Status ";
}

if ($_GET["Filtro"] == "Ninguem") {
    $filtro = " AND (Id_Tecnico_Responsavel = '' OR Id_Tecnico_Responsavel = '202446d37e8ad405f6dd15d3fc0e89cc') ";
} else if ($_GET["Filtro"] == "Seus") {
    $filtro = " AND Id_Tecnico_Responsavel = '" . $_SESSION["Id_Funcionario"] . "' ";
} else {
    $filtro = '';
}


if ($_GET['Pesq']) {
    $pesquisa = " AND " . $_GET['Ordenar'] . " like '%" . $_GET['Pesq'] . "%' ";
}

if ($_SESSION["Id_Cliente"]) {
    $filtrar = "and chamado2.Id_Cliente = '" . $_SESSION["Id_Cliente"] . "' ";
}

if ($_GET["De"])
    $data .= "AND chamado2.Data_Cadastro >= '" . data_banco($_GET["De"]) . " 00:00:00' ";
if ($_GET["Ate"])
    $data .= "AND chamado2.Data_Cadastro <= '" . data_banco($_GET["Ate"]) . " 23:59:59' ";


if ($_GET["Todos_Abertos"]) {
    $_GET["Todos_Abertos"] = 'Sim';
    $Status_Lista1 = " AND (chamado2.Situacao = 'Em Andamento'
                      OR chamado2.Situacao = 'No Concludo'
                      OR chamado2.Situacao = 'Pendncia Cliente'
                      OR chamado2.Situacao = 'Pendncia Empresa'
                      OR chamado2.Situacao = 'Retorno') ";
    $_GET['Status_Lista'] = '';
} else {
    $_GET["Todos_Abertos"] = 'No';
}

if ($_GET["Sem_Garden"]) {
    $garden = "and chamado2.Id_Cliente != '93613fd0ba876ef611c8f99d4b06fca4' ";
    $igq = "and chamado2.Id_Cliente != '167a84c2fe2e8fa8eeb4ec66da939781' ";
}
/* Inicio dos parmetros da Paginao*/

/*varivel com o cdigo SQL da consulta ao banco de dados*/
$_pagi_sql = "SELECT chamado2.Id,
                    chamado2.Codigo,
                    chamado2.Data_Cadastro,
                    chamado2.Data_Chamado,
                    chamado2.Data_Interecao,
                    chamado2.Data_Conclusao,
                    chamado2.Contato,
                    chamado2.Situacao,
                    chamado2.Tipo_Chamado,
                    chamado2.Tipo2,
                    chamado2.Setor,
                    chamado2.Status,
                    chamado2.Solucao,
                    chamado2.Id_Ultimo_Responsavel,
                    chamado2.Informacao_Cliente,
                    CONCAT(cliente.Codigo,' : ',cliente.Titulo) as Cliente,
                    funcionario.Titulo as Tecnico
                    FROM chamado2
                    LEFT JOIN (SELECT Id,Codigo,Titulo FROM cliente) as cliente ON cliente.Id = chamado2.Id_Cliente
                    LEFT JOIN (SELECT Id,Titulo FROM funcionario) as funcionario ON funcionario.Id = chamado2.Id_Tecnico_Responsavel
                    WHERE chamado2.Cancelado='No'  $garden $igq $filtrar
                    $Status_Lista1 $data $pesquisa $filtro $Ordenar1 $Ordem_Lista1";

/* pagina fora que contem todas as opcoes do paginator */
include_once '../include/paginator_opcao.php';
if ($_SESSION["Id_Cliente"]) {
    $_pagi_cuantos = "10";
}
include_once '../include/paginator.inc.php'; //incluindo o script de paginao PAGINATOR
/*Paginao na listagem dos clientes. Apenas nos arquivos listar.
 * Inclue-se depois que passa os parmetros da funo
 * seus resultados so aparentementes satisfatrio
 * */
?>
<html>

<head>
    <title>Gw - Gesto Web</title>
    <meta http-equiv="refresh" content="180">
    <link rel="stylesheet" type="text/css" href="../estilo/<?php echo SKIN; ?>/listless.css" />
    <script type="text/javascript" language="javascript" src="../js/jquery.js"></script>
    <?php include '../include/script_cabeca.php'; ?>
    <script type="text/javascript" language="javascript" src="../js/script.js"></script>
    <script type="text/javascript" language="javascript" src="../js/meiomask/meiomask.js"></script>
    <script type="text/javascript" language="javascript">
    $(document).ready(function() {
        $('input[name="De"]').setMask('date'); // data
        $('input[name="Ate"]').setMask('date'); // data
    });
    </script>
    <script type="text/javascript" language="javascript">
    function submeteFiltro(valor) {
        document.forms['ordenar'].submit();
    }
    </script>
    <script type="text/javascript" language="javascript">
    function handleClick(cb) {
        //if(cb.checked==true){
        document.forms['ordenar'].submit();
        //}
    }
    </script>
    <script type="text/javascript" language="javascript">
    $(document).ready(function() {
        function slideout() {
            setTimeout(function() {
                    $("#response").slideUp("slow", function() {});
                },
                2000);
        }
        $(".inlineEdit").bind("click", updateText);
        var OrigText, NewText;
        $(".save").live("click", function() {
            $("#loading").fadeIn('slow');
            NewText = $(this).siblings("form").children(".edit").val();
            var id = $(this).parent().attr("id");
            //var data = '?id=' + id + '&text=' + NewText;
            var data = 'id=' + id + '&text=' + NewText;
            $.post("edit.php", data, function(response) {
                $("#response").html(response);
                $("#response").slideDown('slow');
                slideout();
                $("#loading").fadeOut('slow');
                //$("#retorno").html(response);
            });
            $(this).parent().html(NewText).removeClass("selected").bind("click", updateText);
        });
        $(".revert").live("click", function() {
            $(this).parent().html(OrigText).removeClass("selected").bind("click", updateText);
        });

        function updateText() {
            $('li').removeClass("inlineEdit");
            OrigText = $(this).html();
            $(this).addClass("selected").html('<form><textarea class="edit" rows="1" cols="12">' + OrigText +
                '</textarea></form><a href="#" class="save"><img src="../js/editing/images/save.png" border="0" width="48" height="15"/></a> <a href="#" class="revert"><img src="../js/editing/images/cancel.png" border="0" width="58" height="15"/></a>'
            ).unbind('click', updateText);
        }
    });
    </script>
</head>

<body>
    <!-- Centro -->
    <div id="centro">
        <!-- Contedo -->
        <div id="conteudo" class="ajustar">

            <div class="titulo">
                <span>Chamados</span>
                <form name="pesquisa" method="get" action="">
                    <span class="inputs">
                        <?php echo $_pagi_info; ?>
                    </span>
                </form>
            </div>
            <!-- Navegao -->
            <div class="botoes_cima">
                <a href="javascript:void(0);" class="voltar" alt="Voltar" title="Voltar"
                    onclick="javascript:history.back(1);">Voltar</a>

                <?php if ($menu["Relatorio"] == "Sim") { ?>
                <a href="list_relatorio.php" alt="Relatrio" title="Relatrio" class="relatorio">Relatrio</a>
                <?php } ?>

                <a href="cad_chamado.php?acao=entrar" alt="Cadastrar" title="Cadastrar" class="incluir">Cadastrar</a>

                <a href="javascript:void();"
                    onclick="window.open('trocar_tecnico.php','Trocar','width=800,height=600,top=0,left=0,scrollbars=yes')"
                    alt="Trocar" title="Trocar">Trocar Tc.</a>

                <form name="ordenar" method="get" action="">


                    <span style="float: left; margin-left: 15%">
                        Todos Abertos &nbsp;&nbsp;&nbsp;&nbsp;
                        <input type="checkbox" name="Todos_Abertos" id="Todos_Abertos" onclick="handleClick(this);"
                            value="Todos_Abertos"
                            <?php if ($_GET["Todos_Abertos"] == 'Sim') echo "checked='checked' "; ?>>
                    </span>
                    <?php if ($_GET["Status_Lista"] == 'Programao') { ?>
                    <span style="float: left; margin-left: 15%">
                        Sem Gardem / Igq &nbsp;&nbsp;&nbsp;&nbsp;
                        <input type="checkbox" name="Sem_Garden" id="Sem_Garden" onclick="handleClick1(this);"
                            value="Sem_Garden" <?php if ($_GET["Sem_Garden"] == 'Sim') echo "checked='checked' "; ?>>
                    </span>
                    <?php } ?>
                    <span style="float: right;">
                        <span style="float: left">
                            &nbsp;&nbsp;&nbsp;&nbsp;Buscar por Abertura: &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
                        </span>
                        <input type="text" name="De" id="De" value="<?php echo $_GET["De"]; ?>"
                            style="width: 80px;">&nbsp;De
                        <input type="text" name="Ate" id="Ate" value="<?php echo $_GET["Ate"]; ?>"
                            style="width: 80px;">&nbsp;At
                        <input type="submit" name="Ok" value="Ok" style="margin-left: 10px" alt="Ok" title="Ok">
                    </span>

                    <span style="float: right;">
                        <span style="float: left">
                            Buscar por : &nbsp;&nbsp;&nbsp;
                        </span>
                        <?php
                        if ($_GET["Filtro"] == "Ninguem") {
                            $marcN = "checked";
                        } else if ($_GET["Filtro"] == "Seus") {
                            $marcS = "checked";
                        } else {
                            $marcT = "checked";
                        }
                        ?>
                        <input type="radio" name="Filtro" value='Todos' id="Todos" <?php echo $marcT; ?>><label
                            for="Todos">Todos</label>
                        <input type="radio" name="Filtro" value='Ninguem' id="Ninguem" <?php echo $marcN; ?>><label
                            for="Ninguem">Sem Ningum</label>
                        <input type="radio" name="Filtro" value='Seus' id="Seus" <?php echo $marcS; ?>><label
                            for="Seus">S Seus</label>
                        <!--
<input type="submit" name="Ok" value="Ok" style="margin-left: 10px" alt="Ok" title="Ok">
-->
                    </span>
                    <br />

                    <span class="ordenar_por">
                        <label for="Pesq">Busca:</label>
                        <input type="text" name="Pesq" size="30" value="<?php echo $_GET['Pesq']; ?>">
                        <label for="Pesq">Ordenar Por:</label>
                        <?php
                        $vetor = array(
                            '' => 'Situao',
                            'Em Andamento' => 'Em Andamento',
                            'No Concludo' => 'No Concludo',
                            'Concludo' => 'Concludo',
                            'Consultor' => 'Consultor',
                            'Implantao'=>'Implantao',
                            'Pendncia Cliente' => 'Pendncia Cliente',
                            'Pendncia Empresa' => 'Pendncia Empresa',
                            'Programao' => 'Programao',
                            'Retorno' => 'Retorno'
                        );
                        select_tela("Status_Lista", "Status_Lista", $_GET["Status_Lista"], $vetor, "onchange='submeteFiltro(this.value)'");
                        ?>
                        <?php
                        $vetor = array(
                            'chamado2.Codigo' => 'Cdigo',
                            'cliente.Titulo' => 'Cliente',
                            'chamado2.Contato' => 'Contato',
                            'funcionario.Titulo' => 'Tcnico',
                            'chamado2.Lancamento' => 'N OS',
                            'chamado2.Situacao' => 'Situao',
                            'chamado2.Data_Cadastro' => 'Data Cadastro'
                        );
                        select_tela("Ordenar", "Ordenar", $_GET["Ordenar"], $vetor, "onchange='submeteFiltro(this.value)'");
                        ?>
                        <?php
                        $vetor = array('Asc' => 'Crescente', 'Desc' => 'Decrescente');
                        select_tela("Ordem_Lista", "Ordem_Lista", $_GET["Ordem_Lista"], $vetor, "onchange='submeteFiltro(this.value)'");
                        ?>
                    </span>
                </form>
                <!-- Fim Navegao -->
            </div>

            <table id="lista">
                <thead>
                    <tr>
                        <td>&nbsp;</td>
                        <td>Cdigo</td>
                        <td>Abertura</td>
                        <td>Chamado</td>
                        <td>Ult Inter</td>
                        <td>Concluso</td>
                        <td>Cliente</td>
                        <td>Contato</td>
                        <td>Tc Resp</td>
                        <td>Posio</td>
                        <td>Ult Resp</td>
                        <td>Tipo</td>
                        <td>Tipo2</td>
                        <td>Situao</td>
                        <td>Status</td>
                        <td>Opes</td>
                    </tr>
                </thead>
                <tfoot>
                    <tr>
                        <td colspan="17">
                            <div id="paginacao">
                                <p><?php echo $_pagi_navegacion; ?></p>
                            </div>
                        </td>
                    </tr>
                </tfoot>
                <tbody>
                    <?php
                    $x = '1';
                    $color = "#F5F5F5";
                    while ($linha = mysqli_fetch_assoc($_pagi_result)) {
                        if ($color == "#F5F5F5") {
                            $color = "#E8E8E8";
                            $cass = "";
                        } else {
                            $color = "#F5F5F5";
                            $cass = "class='azul'";
                        }
                        $corStatus = "";
                        if ($linha['Status'] == 'Finalizado') {
                            $corStatus = "color = '#228B22' ";
                        }
                        if ($linha['Status'] == 'Aberto') {
                            $corStatus = "color = '#3A5FCD' ";
                        }

                        $corSituacao = "";
                        if ($linha['Situacao'] == 'Concludo') {
                            $corSituacao = "color = '#228B22' "; //ForestGreen
                        }
                        if ($linha['Situacao'] == 'No Concludo') {
                            $corSituacao = "color = '#CD2626' ";
                        }
                        if ($linha['Situacao'] == 'Em Andamento') {
                            $corSituacao = "color = '#3A5FCD' ";
                        }
                        if ($linha['Situacao'] == 'Pendncia Cliente') {
                            $corSituacao = "color = '#7D26CD' ";
                        }
                        if ($linha['Situacao'] == 'Pendncia Empresa') {
                            $corSituacao = "color = '#E07700' ";
                        }
                        if ($linha['Situacao'] == 'Retorno') {
                            $corSituacao = "color = '#808080' "; //Gray
                        }

                        if ($linha['Tipo_Chamado'] == '1') {
                            $tipo = 'NFe/NFCe/MDFe';
                        }
                        if ($linha['Tipo_Chamado'] == '2') {
                            $tipo = 'Venda';
                        }
                        if ($linha['Tipo_Chamado'] == '3') {
                            $tipo = 'Compra';
                        }
                        if ($linha['Tipo_Chamado'] == '4') {
                            $tipo = 'Financeiro';
                        }
                        if ($linha['Tipo_Chamado'] == '5') {
                            $tipo = 'Estoque';
                        }
                        if ($linha['Tipo_Chamado'] == '6') {
                            $tipo = 'Relatrio';
                        }
                        if ($linha['Tipo_Chamado'] == '7') {
                            $tipo = 'Customizao';
                        }
                        if ($linha['Tipo_Chamado'] == '8') {
                            $tipo = 'Outras Dvidas';
                        }

                        if ($linha['Tipo2'] == '0') {
                            $tipo2 = 'Suporte';
                            $corTipo2 = "color = '#3A5FCD' ";
                        }
                        if ($linha['Tipo2'] == '1') {
                            $tipo2 = 'Customizao';
                            $corTipo2 = "color = '#7D26CD' ";
                        }
                        if ($linha['Tipo2'] == '2') {
                            $tipo2 = 'Erro';
                            $corTipo2 = "color = '#E07700' ";
                        }
                        if ($linha['Tipo2'] == '3') {
                            $tipo2 = 'Urgente';
                            $corTipo2 = "color = '#CD2626' ";
                        }

                        $utec = mysqli_query($con, "SELECT Titulo as U_Tecnico FROM funcionario WHERE Id = '" . $linha['Id_Ultimo_Responsavel'] . "' ");
                        $nome_utec = mysqli_fetch_assoc($utec);

                        $sql_chamado2 = mysqli_query($con, "SELECT Diagnostico_Tecnico FROM chamado2_registro
                                        WHERE Id_Chamado = '" . $linha['Id'] . "' ORDER BY Data_Cadastro DESC LIMIT 1 ");
                        $resp = mysqli_fetch_assoc($sql_chamado2);
                    ?>
                    <tr <?php echo "$cass"; ?>>
                        <td><b><?php echo $x; ?></b></td>
                        <td><b><?php echo $linha['Codigo']; ?></b></td>
                        <td><?php echo data_hora($linha['Data_Cadastro']); ?></td>
                        <td><?php echo data_hora($linha['Data_Chamado']); ?></td>
                        <td><?php echo data_hora($linha['Data_Interecao']); ?></td>
                        <td><?php echo data_hora($linha['Data_Conclusao']); ?></td>
                        <td><?php echo $linha['Cliente']; ?></td>
                        <td><?php echo $linha['Contato']; ?></td>
                        <td><?php echo $linha['Tecnico']; ?></td>
                        <td class="table_prod_valor">
                            <?php
                                if ($linha['Setor'] == '1') {
                                    echo 'Superviso';
                                }
                                if ($linha['Setor'] == '2') {
                                    echo 'Programao';
                                }
                                if ($linha['Setor'] == '3') {
                                    echo 'Suporte Tcnico';
                                }
                                ?>
                        </td>
                        <td><?php echo $nome_utec['U_Tecnico']; ?></td>
                        <td><?php echo $tipo; ?></td>
                        <td>
                            <font <?php echo $corTipo2 ?>><b><?php echo $tipo2; ?></b></font>
                        </td>
                        <td>
                            <font <?php echo $corSituacao ?>><b><?php echo $linha['Situacao']; ?></b></font>
                        </td>
                        <td>
                            <font <?php echo $corStatus ?>><b><?php echo $linha['Status']; ?></b></font>
                        </td>
                        <td>
                
                <?php
                        $link2 = "cad_chamado.php?id_chamado=" . $linha['Id'] . "&acao=alterar&status=ver";
                        $figura2 = "../imagem/bt_visualizar.png";
                ?>
                <a href='<?php echo $link2; ?>'><img src="<?php echo $figura2; ?>" title="Visualizar" alt="Visualizar" border="0" /></a>
                
                            <?php
                            if( ($linha['Status']=='Aberto') || 
                            ($_SESSION["Id"]=='7f10ebd89b4e53e8f4bf236892f4a057' || $_SESSION["Id"]=='12fb7cbc43bf73a8b219fbed9d6b498a' ||
                            $_SESSION["Id"]=='fb1030f309a0bd17ad70248e09a0ad90' || $_SESSION["Id"]=='80ca13fadba17a43bfa6724c388b7492') ){
                                if ($menu["Alterar"] == "Sim") {
                                    $link3 = "cad_chamado.php?id_chamado=" . $linha['Id'] . "&acao=alterar";
                                    $figura3 = "../imagem/bt_editar.png";
                                ?>
                            <a href='<?php echo $link3; ?>'><img src="<?php echo $figura3; ?>" title="Alterar" alt="Alterar" border="0" /></a>
                            <?php } } ?>

                            <?php
                                if ($menu["Deletar"] == "Sim") {
                                    $link4 = "deletar('" . $linha["Id"] . "', 'del_chamado.php?id_chamado=');";
                                    $figura4 = "../imagem/bt_excluir.png";
                                ?>
                            <a href='javascript:void(0);'><img src="<?php echo $figura4; ?>" alt="Excluir"
                                    title="Excluir" border="0" onclick="<?php echo $link4; ?>" /></a>
                            <?php } ?>
                        </td>
                    </tr>
                    <tr <?php echo "$cass"; ?>>
                        <td colspan="6"><b>Cliente:</b> <?php echo $linha['Informacao_Cliente']; ?></td>
                        <td colspan="10"><b>Tcnico:</b>
                            <?php echo ($linha['Status'] == 'Finalizado') ? $linha['Solucao'] : $resp['Diagnostico_Tecnico']; ?>
                        </td>
                    </tr>
                    <tr>
                        <td colspan="16">&nbsp;<br /></td>
                    </tr>
                    <?php $x++;
                    } ?>
                </tbody>
            </table>
            <!-- Navegao Inferior -->
            <div class="botoes_baixo">
                <a href="javascript:void(0);" class="voltar" alt="Voltar" title="Voltar"
                    onclick="javascript:history.back(1);">Voltar</a>

                <a href="cad_chamado.php?acao=entrar" alt="Cadastrar" title="Cadastrar" class="incluir">Cadastrar</a>

                <!-- Fim Navegao Inferior -->
            </div>

        </div>
        <!-- Fim do Contedo -->
    </div>
    <!-- Fim de Centro -->

</body>

</html>