<?php
include_once '../../include/conecta.php'; //Conecta com a nosso banco de dados MySQL
ini_set('session.gc_maxlifetime', 60*120); session_start();
/*include_once '../include/ver_sessao.php'; //Verifica se a sesso est ativa*/
include_once '../../include/funcoesPhp.php'; include_once '../../menu_movimento.php';


 $cliente = listar("Select cliente.*,
                           unidade.Razao_Social as U_Razao,
                           unidade.Cnpj as U_Cnpj,
                           unidade.Rua as U_Rua ,
                           unidade.Numero as U_Numero,
                           unidade.Bairro as U_Bairro,
                           unidade.Cidade as U_Cidade,
                           unidade.Estado as U_Estado,
                           cliente.Cpf_Cnpj as C_Cnpj
                        from cliente
                        LEFT JOIN (SELECT Id,Razao_Social,Logo,Cnpj,Estadual,Rua,Numero,Bairro,Cidade,Estado,Cep,Fone1 FROM unidade) as unidade ON unidade.Id = cliente.Id_Unidade
                        WHERE cliente.Id = '".$_GET["id_cliente"]."' ");
?>
<html>
<head>
<title>Gw - Gesto Web</title>
<link rel="stylesheet" type="text/css" href="../../estilo/tabela_imp.css" />
<script type="text/javascript" language="javascript" src="../../js/jquery.js"></script>
<?php include '../../include/script_cabeca.php'; ?>
<script type="text/javascript" language="javascript" src="../../js/script.js"></script>
<script type="text/javascript" language="javascript">
$(document).ready(function () {
function slideout() {
   setTimeout(function () {
    $("#response").slideUp("slow", function () {});
   },
   2000);
}
$(".inlineEdit").bind("click", updateText);
var OrigText, NewText;
$(".save").live("click", function () {
  $("#loading").fadeIn('slow');
  NewText = $(this).siblings("form").children(".edit").val();
   var id = $(this).parent().attr("id");
   //var data = '?id=' + id + '&text=' + NewText;
   var data = 'id=' + id + '&text=' + NewText;
  $.post("edit.php", data, function (response) {
     $("#retorno").html(response);
     $("#response").slideDown('slow');
     slideout();
     $("#loading").fadeOut('slow');
  });
  $(this).parent().html(NewText).removeClass("selected").bind("click", updateText);
  recarregar();
});
$(".revert").live("click", function () {
  $(this).parent().html(OrigText).removeClass("selected").bind("click", updateText);
});
function updateText() {
  $('li').removeClass("inlineEdit");
  OrigText = $(this).html();
  $(this).addClass("selected").html('<form><textarea class="edit" rows="8" cols="124">' + OrigText + '</textarea></form><a href="#" class="save"><img src="../../js/editing/images/save.png" border="0" width="48" height="15"/></a> <a href="#" class="revert"><img src="../../js/editing/images/cancel.png" border="0" width="58" height="15"/></a>').unbind('click', updateText);
}
function recarregar() {
  setTimeout(function() {
        location.reload();
      }, 1000);
}

});
</script>
<style type="text/css" media="print">

thead	{display: table-header-group;	}
tfoot	{display: table-footer-group;	}
thead th, thead td	{position: static; }

thead tr	{position: static; } /*prevent problem if print after scrolling table*/
table tfoot tr {     position: static;    }


</style>
</head>
<body>
<table width="98%" align="center"><!-- TABELA Q ENVOLVE TODO O CONTEUDO -->
<thead>
    <tr>
        <td>
            <table width="100%">
                <tr>
                    <td align="left" width="50%"><img src="logo_cleanoncean.jpg"></td>
                    <td align="right" width="50%">
                        <font size="2">Instrumento particular de contrato de<br>
                            prestao de servios de coleta, transporte e  <br>
                            destinao final de efluentes oleosos, classe I,<br>
                            entre partes e de acordo com o que adiante<br>
                            melhor se declara.<br>
                        </font>
                    </td>
                </tr>
            </table>
        </td>
    </tr>
</thead>
    <tr>
        <td>
            <table width="100%">
                <tr>
                    <td align="justify">
                        <span style="font-size: 14px">
                    <b>
                        <center>
                            <font size="4">
                            <span class="inlineEdit" id="11" style="cursor: pointer;" alt="Clique para Editar !" title="Clique para Editar !">
                            </span>
                            </font>
                        </center>
                    </b><br/><br/>
                    <b>A - PARTES CONTRATANTES</b><br><br>
                    <b>A.1</b> - De um lado, como Contratante, a empresa 
                    <b><?php echo $cliente[0]["Razao_Social"];?></b>
                    
                    pessoa jurdica de Direito Privado, estabelecida no endereo <i><?php echo $cliente[0]["Rua"].", ".$cliente[0]["Numero"].", ".$cliente[0]["Bairro"]." - ".$cliente[0]["Cidade"]." - ".$cliente[0]["Estado"];?></i>,
                    , inscrita no Cadastro Nacional de Pessoas Jurdicas do Ministrio da Fazenda sob o nmero 
                    <b>
                    <?php
                        if($cliente[0]["Natureza"]=="PF"){
                           echo "CPF de n.: ".cpf_exibir($cliente[0]['Cpf_Cnpj']);
                        }else{
                           echo "CNPJ de n.: ".cnpj_exibir($cliente[0]['Cpf_Cnpj']);
                        }
                    ?>
                    </b>
                    . 
                    neste ato, representada na forma definida em seu Estatuto Social, adiante abreviadamente chamado de <b>CONTRATANTE</b>, independentemente se uma ou mais de uma pessoa.<br/>
                    <br/>
                    <br/>
                    <b>A.2</b> - De outro lado, como Contratada, a sociedade limitada 
                    <b><?php echo $cliente[0]["U_Razao"];?></b> com sede no endereo <i><?php echo $cliente[0]["U_Rua"].", ".$cliente[0]["U_Numero"].", ".$cliente[0]["U_Bairro"]." - ".$cliente[0]["U_Cidade"]." - ".$cliente[0]["U_Estado"];?></i>
                    inscrita no Cadastro Nacional de Pessoas Jurdicas do Ministrio da Fazenda, sob o nmero
                    <b>
                        <?php
                        if($cliente[0]["Natureza"]=="PF"){
                           echo "CPF de n.: ".cpf_exibir($cliente[0]['Cpf_Cnpj']);
                        }else{
                           echo "CNPJ de n.: ".cnpj_exibir($cliente[0]['Cpf_Cnpj']);
                        }
                    ?>
                    </b>
                    neste ato, representada na forma definida em seu Estatuto Social, adiante abreviadamente chamada de <b>CONTRATADA</b>.<br><br>
                    <b>B - CLUSULAS E ESTIPULAES</b><br><br>
                    <b>B.1</b> - As partes contratantes, acima nomeadas e qualificadas e no final assinadas, tm, entre si, justa e avenada a prestao de servios de coleta, transporte e destinao final de efluentes oleosos, classe I,
                                 o que fazem por este contrato e na melhor forma de direito, mediante as clusulas e estipulaes em sucessivo, mtua e reciprocamente outorgadas e aceitas.
                    <br><br>
                    <b>1- CLUSULA PRIMEIRA - OBJETO</b><br><br>
                    <b>1.1</b> - Pelo presente instrumento particular, a <b>CONTRATADA</b>, devidamente autorizada pelo poder pblico competente (Licena de Operao do CPRH), 
                              se obriga e se compromete a prestar o seu servio de coleta, transporte e destino final de efluentes oleosos, classe I, que tenham sido gerados 
                              nas dependncias da CONTRATANTE, localizada no endereo sito  <i><?php echo $cliente[0]["Rua"].", ".$cliente[0]["Numero"].", ".$cliente[0]["Bairro"]." - ".$cliente[0]["Cidade"]." - ".$cliente[0]["Estado"];?></i>.<br><br>
                              
                              A <b>CONTRATADA</b> possui prioridade na prestao de quaisquer servios que a <b>CONTRATANTE</b> venha a necessitar, que guarde pertinncia com o objeto do presente contrato, mesmo que os servios no tenham sido orados anteriormente,
                              devendo, a CONTRATANTE, notificar a CONTRATADA sobre a necessidade da realizao de tais servios, onde, sendo do interesse desta ltima, enviar  <b>CONTRATANTE</b>, no prazo de 10 (dez) dias teis, uma proposta contendo os preos
                              para os servios solicitados, com base nos preos aplicados no mercado para negcios de tal natureza.
                              <br><br>
                    <b>2 - CLUSULA SEGUNDA - PRAZO:</b><br><br>
                    <b>2.1</b> - O presente contrato tem prazo de 24 (Vinte e quatro) meses, contados a partir da data de assinatura do presente instrumento, prorrogvel por igual perodo, desde que haja interesse das partes.
                    <br><br>
                    <b>3 - CLUSULA TERCEIRA - PREO E FORMA DE PAGAMENTO</b><br><br>
                    <b>3.1</b> - A <b>CONTRATANTE</b> pagar  <b>CONTRATADA</b>, no prazo da vigncia deste contrato, ou na sua eventual prorrogao, se outro valor no vier a ser convencionado, as importncias descritas nas tabelas abaixo.
                    <br><br>
                    <b>PRESTAO DE SERVIOS</b><br><br>
                    
                    <br/><br/>
                    </td>
                </tr>
            
                <table width="100%" class="tabela">
                <tr class="azul-claro">
                <td>
                    <h3><b>Atividade</b></h3>
                </td>
                <td>&nbsp;&nbsp;&nbsp;</td>
                <td>
                   <h3><b>Descrio</b></h3>
                </td>
                <td>&nbsp;&nbsp;&nbsp;</td>
                <td>
                   <h3><b>Valor R$</b></h3>
                </td>
                <td>&nbsp;&nbsp;&nbsp;</td>
                <td>
                   <h3><b>Observaess</b></h3>
                </td>
                </tr>
                <tr>
                    <td class="inlineEdit" id="C<?php echo $_GET["id_cliente"]."-Texto_Contrato1";?>" style="cursor: pointer;" alt="Clique para Editar !" title="Clique para Editar !">
                    <?php
                        if($cliente[0]["Texto_Contrato1"]){
                            echo $cliente[0]["Texto_Contrato1"];
                        }else{
                            echo "Digite aqui...<br/>";
                        }
                    ?>
                    </td>
                    <td>&nbsp;&nbsp;&nbsp;</td>
                    <td class="inlineEdit" id="C<?php echo $_GET["id_cliente"]."-Texto_Contrato2";?>" style="cursor: pointer;" alt="Clique para Editar !" title="Clique para Editar !">
                    <?php
                        if($cliente[0]["Texto_Contrato2"]){
                            echo $cliente[0]["Texto_Contrato2"];
                        }else{
                            echo "Digite aqui...<br/>";
                        }
                    ?>
                    </td>
                    <td>&nbsp;&nbsp;&nbsp;</td>
                    <td class="inlineEdit" id="C<?php echo $_GET["id_cliente"]."-Texto_Contrato3";?>" style="cursor: pointer;" alt="Clique para Editar !" title="Clique para Editar !">
                    <?php
                        if($cliente[0]["Texto_Contrato3"]){
                            echo $cliente[0]["Texto_Contrato3"];
                        }else{
                            echo "Digite aqui...<br/>";
                        }
                    ?>
                    </td>
                    <td>&nbsp;&nbsp;&nbsp;</td>
                    <td class="inlineEdit" id="C<?php echo $_GET["id_cliente"]."-Texto_Contrato4";?>" style="cursor: pointer;" alt="Clique para Editar !" title="Clique para Editar !">
                    <?php
                        if($cliente[0]["Texto_Contrato4"]){
                            echo $cliente[0]["Texto_Contrato4"];
                        }else{
                            echo "Digite aqui...<br/>";
                        }
                    ?>
                    </td>
                </tr>
                </table>
                <br><br>
                <tr>
                    <td>
                     <b>3.2</b> - Os valores referentes ao tratamento dos resduos slidos e lquidos podem sofrer
                                alteraes a qualquer momento, desde que haja reajuste nos insumos relativos  atividade. 
                                Caso tal fato ocorra, o reajuste ser repassado integralmente ao gerador do resduo, aps 
                                comunicao prvia.
                                <br/><br>
                     <b>3.3</b> - Os servios executados sero faturados 48 horas aps sua realizao. E, os pagamentos referentes
                                aos mesmos devero ser realizados 15 (quinze) dias corridos aps a emisso da nota fiscal.
                                <br/><br>
                     <b>3.4</b> - O valor acima estipulado, seja durante o prazo de vigncia deste contrato, seja na sua eventual prorrogao, 
                                  ser reajustado anualmente atravs de negociao entre as partes, independente do reajuste previsto no item ?3.2?,
                                  podendo tomar como referncia a variao medida pelo IGPM/FGV - ndice Geral de Preos ao Mercado, divulgada pela 
                                  Fundao Getlio Vargas, sendo certo que o reajustamento incidir sobre o pagamento que se vencer imediatamente aps 
                                  a sua aplicao e at que o novo reajuste venha a ser calculado.
                                  <br/><br>
                    <b>3.5</b> - O montante devido pela <b>CONTRATANTE,</b>  <b>CONTRATADA</b> dever ser pago conforme indicado nas tabelas do item 3.1 deste contrato,
                                  subseqente  prestao de servio realizada, conforme descriminao contida em nota fiscal de servio e boleto bancrio, 
                                  o qual ter prazo de 15 dias corridos para pagamento. Em caso de atraso no pagamento, ser cobrada multa correspondente a 
                                  2% (dois por cento) do seu valor e juros de 0,19% a.d., incidindo sobre a multa e os juros aqui previstos a atualizao 
                                  monetria dos valores respectivos calculados at o dia do efetivo pagamento, mediante a aplicao "pro rata die" da variao 
                                  apurada pelo IGPM-FGV do perodo, ou, por qualquer outro ndice que retrate a efetiva inflao do perodo, na hiptese de 
                                  inaplicabilidade do ndice anteriormente nomeado, bem como ser devido, pela <b>CONTRATANTE</b>, os encargos e taxas decorrentes da 
                                  cobrana que se fizer necessria ao efetivo recebimento do crdito em favor da <b>CONTRATADA</b>.  
                                  <br/><br>
                     <b>3.6</b> - Os juros e a multa acima previstos sero aplicados automaticamente, to ss pelo no pagamento no vencimento de qualquer das parcelas,
                                  independentemente de qualquer notificao ou interpelao judicial ou extrajudicial, sem prejuzo das demais cominaes estipuladas neste
                                  instrumento, sendo certo que o recebimento das parcelas em atraso, por parte da <b>CONTRATADA</b>, ou de estabelecimento de crdito ou de procurador 
                                  especial, no constituir novao ou renncia s estipulaes e garantias previstas nesta mesma escritura particular.    
                                  <br/><br>
                     <b>3.7</b> - As partes contratantes, acordam desde j, que o atraso do pagamento, por mais de 30 (trinta) dias corridos, de qualquer um dos valores tratados no
                                  presente instrumento, autoriza o protesto em cartrio, do(s) valor(es) em atraso, assim como a inscrio do devedor nos rgos de cadastros de proteo ao crdito.
                                  <br/><br>
                     <b>3.8</b> - Em havendo atraso no pagamento dos valores tratados no presente instrumento, por perodo igual ou superior a 60 (sessenta) dias corridos, fica desde j autorizada
                                  a propositura de <b>AO DE COBRANA POR FALTA DE PAGAMENTO</b> ou <b>EXECUO DE TTULO EXTRAJUDICIAL</b>, assim como os honorrios advocatcios que devero ser pagos na base 
                                  de 20% (vinte por cento) sobre o valor total do dbito atualizado.
                                  <br/><br>
                     <b>3.9</b> - Havendo necessidade de se cobrar judicialmente os valores em atraso ficam o presente contrato eleito, desde j, pelas partes, como ttulo executivo extrajudicial, para fins de direito.
                                  <br/><br>
                                  
                    <b>4- CLUSULA QUARTA - OPERAO</b><br><br>
                    <b>4.1</b> - A <b>CONTRATADA</b> ter um prazo de 48 (Quarenta e Oito) horas, a partir do pedido documentado da <b>CONTRATANTE</b>, para efetuar o servio de coleta de resduos, onde ser entregue comprovante de coleta,
                                 devendo este ser assinado pelos prepostos da <b>CONTRATANTE/CONTRATADA</b>. Caso por algum motivo, alheio  vontade da <b>CONTRATADA</b>, o veculo coletor seja impedido de chegar at o local onde se encontra(m)
                                 o(s) resduo(s) a serem coletados dentro das instalaes da CONTRATANTE, nos dias programados para coleta, bem como se os(s) locais estiverem vazios no momento da coleta, implicar por parte da <b>CONTRATANTE</b>,
                                 o reconhecimento da realizao das coletas para efeito de cobrana.
                              <br><br>
                    <b>4.2</b> - As Coletas sero realizadas quando solicitadas pelo <b>CONTRATANTE</b>, no perodo de: segunda a sexta-feira, das 08h s 17h e nos sbado das 08h s 12h.
                              <br><br>
                    <b>4.3</b> - A <b>CONTRATANTE</b> emitir um manifesto para o transporte de resduos em 04 vias, das quais, uma ficar em sua posse e as demais seguiro com o motorista para assinatura do transportador e receptor final do resduo e, 
                                 aps assinatura, a mesma retornar para o gerador, no caso a <b>CONTRATANTE</b>. 
                     <br/>
                    <b>5- CLUSULA QUINTA ? VNCULO EMPREGATCIO </b><br><br>
                    <b>5.1</b> - A <b>CONTRATADA</b> no exerccio de seu objeto social  a nica e exclusiva empregadora de seus empregados e prepostos, no existindo entre os mesmos e  <b>CONTRATANTE</b> vnculo de qualquer espcie ou natureza. No sendo a 
                                 <b>CONTRATANTE</b> responsvel por qualquer contribuio trabalhista em nome da <b>CONTRATADA</b>. Desta forma, fica expressamente estipulada a iseno da <b>CONTRATANTE</b> por quaisquer encargos trabalhistas, securitrios e previdencirios,
                                 que vierem a incidir, bem como, pela infortunstica e eventuais acidentes de trabalho relacionados com o pessoal da <b>CONTRATADA</b> a servio da <b>CONTRATANTE</b>, ficando sempre, sem exceo, sob a exclusiva responsabilidade da primeira,
                                 assumir qualquer demanda a esses ttulos, que vierem a ser propostas por seus respectivos empregados.
                    <br><br>
                    <b>5.2</b> -  exceo ao disposto no item "5.1", ser no caso de ser o funcionrio da <b>CONTRATADA</b> desviado pela <b>CONTRATANTE</b>, ou por seus prepostos, de suas funes necessrias para a execuo do objeto do presente contrato, onde, em caso de 
                                 eventual demanda trabalhista, tida como escopo o desvio de funo, a <b>CONTRATANTE</b> dever arcar com a totalidade da condenao judicial, bem como os acrscimos legais, repercusses, contribuio previdenciria e demais despesas processuais, 
                                 decorrentes da deciso judicial que declarar o desvio de funo.
                              <br><br>
                    <b>6 - CLUSULA SEXTA ? OBRIGAES FISCAIS, TRABALHISTAS, PREVIDENCIRIAS, AMBIENTAIS E PERANTE TERCEIROS: </b><br><br>
                    <b>6.1</b> - No que diz respeito s suas obrigaes fiscais, trabalhistas, previdencirias e ambientais, a <b>CONTRATADA</b> obriga-se a cumpri-las rigorosamente, exibindo a comprovao respectiva  <b>CONTRATANTE</b>, quando pela mesma solicitada, podendo esta dar o
                                 presente contrato por rescindido, se a <b>CONTRATADA</b> no estiver em dia com tais situaes.
                              <br><br>
                    <b>6.2</b> -  exceo ao disposto no item "5.1", ser no caso de ser o funcionrio da <b>CONTRATADA</b> desviado pela <b>CONTRATANTE</b>, ou por seus prepostos, de suas funes necessrias para a execuo do objeto do presente contrato, onde, em caso de 
                                 eventual demanda trabalhista, tida como escopo o desvio de funo, a <b>CONTRATANTE</b> dever arcar com a totalidade da condenao judicial, bem como os acrscimos legais, repercusses, contribuio previdenciria e demais despesas processuais, 
                                 decorrentes da deciso judicial que declarar o desvio de funo.
                    <b>6.3</b> - A <b>CONTRATADA</b> assume inteira e exclusiva responsabilidade para com a <b>CONTRATANTE</b> e para com terceiros, por danos pessoais ou materiais, bem como os ambientais que eventualmente venham a decorrer da prestao de servio 
                                objeto deste instrumento, desde, que estes danos tenham sido provocados por culpa de seus prepostos ou terceiros por ela contratados.
                    <b>6.4</b> - A <b>CONTRATADA</b>, no ato de assinatura do presente instrumento, bem como durante toda a vigncia do presente contrato, obriga-se a apresentar toda e qualquer documentao exigida pela <b>CONTRATANTE</b>, para a verificao de suas habilitaes e autorizaes 
                                 por parte dos rgos governamentais e de controle ambiental.
                                 <b>6.5</b> - A <b>CONTRATANTE</b> se compromete a fornecer local ventilado, arejado, coberto, em perfeitas instalaes eltricas, hidrulicas e sanitrias e com espao suficiente para colocao, estada, guarda e armazenamento dos equipamentos, produtos e materiais da <b>CONTRATADA</b>, 
                                 bem como para abrigo do(s) funcionrio(s) desta ltima, quando do desempenho de suas funes, que guardem pertinncia com a execuo do objeto do presente contrato.
                              <br><br>
                    <b>7 - CLUSULA STIMA ? RESCISO E MULTA: </b><br><br>
                    <b>7.1</b> -  O presente contrato poder, aps o perodo de vigncia determinado da clusula "2.1", ser rescindido por quaisquer das partes, sem nus, mediante aviso prvio de 60 dias por escrito  outra parte. 
                              <br><br>
                    <b>8 - CLUSULA OITAVA ? OBRIGAES POR SUCESSORES: </b><br><br>
                    <b>8.1</b> -  O presente contrato obriga em todos os seus termos, clusulas e estipulaes, no s s partes contratantes, <b>CONTRATANTE</b> e <b>CONTRATADA</b>, como aos seus sucessores, a qualquer ttulo e conforme o caso.
                                <br><br>
                    <b>9 - CLUSULA NONA - DISPOSIES GERAIS: </b><br><br>
                    <b>9.1</b> -  As alteraes ao presente Contrato somente sero vlidas se celebradas por escrito e assinadas pelos representantes legais ou procuradores de ambas as partes.<br>
                    <b>9.2</b> -  As Partes reconhecem que, salvo nas hipteses disciplinadas de forma diversa neste instrumento: (i) o no exerccio ou o atraso no exerccio, por qualquer das Partes, de direito que lhe seja assegurado por este
                    Contrato ou por lei, no constituir novao ou renncia a tal direito, nem prejudicar seu eventual exerccio; e (ii) a renncia, por qualquer das Partes, a esses direitos somente ser vlida se formalizada por escrito.<br>
                    <b>9.3</b> -  Se qualquer clusula ou condio deste instrumento vier a ser considerada ilegal, invlida ou inexeqvel nos termos da legislao brasileira, as demais clusulas e condies continuaro em pleno vigor e efeito. Caso a 
                                  aludida ilegalidade, invalidade ou inexequibilidade, seja de natureza temporria, o dispositivo atingido ter seus efeitos suspensos at o momento em que cessar o conflito com a legislao brasileira. Se a ilegalidade, 
                                  invalidade ou inexequibilidade for de natureza definitiva, as Partes obrigam-se a, de comum acordo, substituir a clusula ou condio por outra de efeitos equivalentes.<br>
                    <b>9.4</b> -  Cada parte arcar com os tributos, encargos e contribuies que incidam ou venham a incidir sobre o objeto deste Contrato, desde que seja designada legalmente como contribuinte.<br>
                    <b>9.5</b> -  Todas as notificaes, avisos ou comunicaes relativos ao presente Contrato sero enviados por escrito, mediante carta protocolada ou com aviso de recebimento, fac-smile ou correspondncia eletrnica com comprovao de
                                  recebimento, ou ainda por via notarial ou notificao judicial, aos endereos constantes do prembulo deste Contrato, ou para qualquer endereo que venha ser comunicado por escrito por qualquer uma das Partes  outra.<br>
                    <b>9.6</b> -  A <b>CONTRATADA</b> poder, no todo ou em parte, ceder a terceiros quaisquer obrigaes oriundas do presente Contrato, sem a prvia e expressa autorizao por escrito da <b>CONTRATANTE</b>.<br>
                    <b>9.7</b> -  O presente Contrato prevalece sobre todo e qualquer entendimento, proposta, correspondncia ou outro documento anteriormente emitido pelas Partes em relao ao objeto contratual.<br>
                    <b>9.8</b> -  O presente Contrato, bem como os casos omissos deste instrumento resolver-se-o na forma da legislao brasileira vigente.<br>
                            <br><br>
                    <b>10 - CLUSULA NONA ? FORO DE ELEIO: </b><br><br>
                    <b>10.1</b> -  Fica eleito o foro da cidade do Moreno <b><?php echo $cliente[0]["U_Razao"];?></b>, com renncia expressa de qualquer outro, por mais especial ou privilegiado que seja, ou venha a ser, para nele serem dirimidas as dvidas ou questes resultantes deste contrato.
                                   <br>
                                   E por estarem justas e contratadas, assinam o presente instrumento em 02 (duas) vias de igual teor e forma, na presena de 02 (duas) testemunhas que tambm o firmam.

                                <br><br>
                     <br/>
                    </td>
                </tr>
                
                    
                
                
               
                <tr>
                    <td align="right">
                        <font size="2">
                        <?php
                            switch (date('F')){
                            case 'January':
                                $Mes_Maiusculo = ' Janeiro';
                            break;
                            case 'February':
                                $Mes_Maiusculo = ' Fevereiro';
                            break;
                            case 'March':
                                $Mes_Maiusculo = ' Maro';
                            break;
                            case 'April':
                                $Mes_Maiusculo = ' Abril';
                            break;
                            case 'May':
                                $Mes_Maiusculo = ' Maio';
                            break;
                            case 'June':
                                $Mes_Maiusculo = ' Junho';
                            break;
                            case 'July':
                                $Mes_Maiusculo = ' Julho';
                            break;
                            case 'August':
                                $Mes_Maiusculo = ' Agosto';
                            break;
                            case 'September':
                                $Mes_Maiusculo = ' Setembro';
                            break;
                            case 'October':
                                $Mes_Maiusculo = ' Outubro';
                            break;
                            case 'November':
                                $Mes_Maiusculo = ' Novembro';
                            break;
                            case 'December':
                                $Mes_Maiusculo = ' Dezembro';
                            break;
                    }
                        ?>
                        <br/><br/>Moreno, <?php /*echo date('d').' de '.$Mes_Maiusculo.' de '.date('Y');*/ echo data_extenso(date("Y-m-d")) ?><br/>
                        </font>
                    </td>
                </tr>
            </table>
            <table width="100%">
                <tr>
                    <td align="center">
                        <font size="2"><br/><br/>
                        _______________________________________________________
                        <br/><?php echo $cliente[0]["Titulo"];?><br>
                        <?php
                        if($cliente[0]["Natureza"]=="PF"){
                           echo cpf_exibir($cliente[0]['C_Cnpj']);
                        }else{
                           echo cnpj_exibir($cliente[0]['Cpf_Cnpj']);
                        }
                        ?>
                        <br>
                        Locatria Responsvel
                        </font>
                    </td>
                    <td align="center">
                        <font size="2"><br/><br/>
                        ___________________________________________________________________
                        <br/><b><?php echo $cliente[0]["U_Razao"];?></b>
                        <br><?php echo $cliente[0]["U_Cnpj"];?>
                        </font>
                    </td>
                </tr>
                <tr>
                    <td align="center">
                        <font size="2"><br/><br/>
                        _______________________________________________________
                        <br/>Testemunhas<br>
                        RG: <br>
                        CPF/MF:
                        </font>
                    </td>
                    <td align="center">
                        <font size="2"><br/><br/>
                        _______________________________________________________
                        <br/>Testemunhas<br>
                        RG: <br>
                        CPF/MF:
                        </font>
                    </td>
                </tr>
            </table>
            
        </td>
    </tr>
</table>
</body>
</html>