<?php
include_once '../include/conecta.php'; //Conecta com a nosso banco de dados MySQL
include_once '../include/ver_sessao.php'; //Verifica se a sesso est ativa
include_once '../include/funcoesPhp.php'; include_once '../menu_movimento.php';

?>
<html>
<head>
<title>Gw - Gesto Web</title>
<link rel="stylesheet" type="text/css" href="../estilo/<?php echo SKIN ;?>/tableless.css" />
<script language="javascript" type="text/javascript" src="../js/jquery.js"></script>
<script language="javascript" type="text/javascript" src="../js/script.js"></script>
</head>
<body>
            <fieldset class="envolve">
                <legend>Financeiro Cliente</legend>
<?php
$cliente_nome = mysqli_query($con,"SELECT Codigo,Titulo,Razao_Social,Limite_Credito from cliente WHERE Id = '".$_GET["id_cliente"]."'");
$cliente_nome = mysqli_fetch_assoc($cliente_nome);
?>
            <label class="campo_tableless_historico" for="Qtd">
                Cliente: <b><?php echo $cliente_nome["Codigo"]." : ".$cliente_nome["Titulo"]." - ".$cliente_nome["Razao_Social"]; ?></b>
            </label>
        <br/><br/>

        <?php
	$pagos = mysqli_query($con,"SELECT COUNT(Id) as Qtd, SUM(Valor_Original) as Valor
                                FROM conta_receber
                                WHERE Status = 'Liquidado'
                                AND Data_Vencimento <= '".date('Y-m-d')."'
                                AND Id_Cliente = '".$_GET["id_cliente"]."' ");
	$array_pagos = mysqli_fetch_assoc($pagos);
        ?>

      <div class="linhas_historico"> Titulos Pagos (At hoje)</div>
            <label class="campo_tableless_historico" for="Qtd">Qtd Titulos: <b><?php echo $array_pagos["Qtd"]; ?></b></label>
            <label class="campo_tableless_historico" for="Valor">Valor Titulos: <b><?php echo number_format($array_pagos["Valor"],2,",","."); ?></b></label>
        <br/><br/>

        <?php
	$pagos_atraso = mysqli_query($con,"SELECT Id, Valor_Original,
                                Data_Vencimento,
                                Data_Pagamento
                                FROM conta_receber
                                WHERE Status = 'Liquidado'
                                AND Data_Vencimento <= '".date('Y-m-d')."'
                                AND Data_Vencimento < Data_Pagamento
                                AND Id_Cliente = '".$_GET["id_cliente"]."' ");
    while($array_pagos_a = mysqli_fetch_assoc($pagos_atraso)){
        $qtd_pg_atraso+=1;
        $valor_pg_atraso+=$array_pagos_a["Valor_Original"];
        $dias_pg_atraso+= calcula_dia(data_exibir($array_pagos_a['Data_Vencimento']),data_exibir($array_pagos_a['Data_Pagamento']));
    }
        ?>

      <div class="linhas_historico"> Titulos Pagos em Atraso (At hoje)</div>
            <label class="campo_tableless_historico" for="Qtd">Qtd Titulos: <b><?php echo $qtd_pg_atraso; ?></b></label>
            <label class="campo_tableless_historico" for="Valor">Valor Titulos: <b><?php echo number_format($valor_pg_atraso,2,",","."); ?></b></label>
            <label class="campo_tableless_historico" for="Media">Mdia Atrasado: <b><?php echo number_format($dias_pg_atraso / $qtd_pg_atraso,0,",","."); ?></b></label>
        <br/><br/>

        <?php
	$vencidos = mysqli_query($con,"SELECT COUNT(Id) as Qtd, SUM(Valor_Original) as Valor
                                FROM conta_receber
                                WHERE Status = 'Aberto'
                                AND Data_Vencimento < '".date('Y-m-d')."'
                                AND Id_Cliente = '".$_GET["id_cliente"]."' ");
	$array_vencidos = mysqli_fetch_assoc($vencidos);
        ?>

      <div class="linhas_historico"> Titulos Vencidos (At ontem)</div>
            <label class="campo_tableless_historico" for="Qtd">Qtd Titulos: <b><?php echo $array_vencidos["Qtd"]; ?></b></label>
            <label class="campo_tableless_historico" for="Valor">Valor Titulos: <b><?php echo number_format($array_vencidos["Valor"],2,",","."); ?></b></label>
        <br/><br/>

        <?php
	$abertos = mysqli_query($con,"SELECT COUNT(Id) as Qtd, SUM(Valor_Original) as Valor
                                FROM conta_receber
                                WHERE Status = 'Aberto'
                                AND Data_Vencimento >= '".date('Y-m-d')."'
                                AND Id_Cliente = '".$_GET["id_cliente"]."' ");
	$array_abertos = mysqli_fetch_assoc($abertos);
        ?>

      <div class="linhas_historico"> Titulos Abertos (At hoje)</div>
            <label class="campo_tableless_historico" for="Qtd">Qtd Titulos: <b><?php echo $array_abertos["Qtd"]; ?></b></label>
            <label class="campo_tableless_historico" for="Valor">Valor Titulos: <b><?php echo number_format($array_abertos["Valor"],2,",","."); ?></b></label>
        <br/><br/>

        <?php
	$cancelados = mysqli_query($con,"SELECT COUNT(Id) as Qtd, SUM(Valor_Original) as Valor
                                FROM conta_receber
                                WHERE Status = 'Cancelado'
                                AND Id_Cliente = '".$_GET["id_cliente"]."' ");
	$array_cancelados = mysqli_fetch_assoc($cancelados);
        ?>

      <div class="linhas_historico"> Titulos Cancelados</div>
            <label class="campo_tableless_historico" for="Qtd">Qtd Titulos: <b><?php echo $array_cancelados["Qtd"]; ?></b></label>
            <label class="campo_tableless_historico" for="Valor">Valor Titulos: <b><?php echo number_format($array_cancelados["Valor"],2,",","."); ?></b></label>
        <br/><br/>
        
        <div class="linhas_historico"><b>Limites</b></div>
        <label class="campo_tableless_historico" for="Limite">Limite de Crdito: <b><?php echo valor_exibir($cliente_nome["Limite_Credito"]); ?></b></label><br>
        <label class="campo_tableless_historico" for="Limite">Limite Ultilizado: <b><?php echo valor_exibir($array_vencidos["Valor"]+$array_abertos["Valor"]); ?></b></label><br>
        <label class="campo_tableless_historico" for="Limite">Limite Disponvel: <b><?php echo valor_exibir($cliente_nome["Limite_Credito"]-($array_vencidos["Valor"]+$array_abertos["Valor"])); ?></b></label>


<?php
$sql_historico = mysqli_query($con,"SELECT conta_receber.Id,
                                conta_receber.Lancamento,
                                conta_receber.Descricao,
                                conta_receber.Fatura,
                                conta_receber.Valor_Original,
                                (conta_receber.Valor_Original-Valor_Desconto+Valor_Juros+Valor_Multa) as Valor_Atual,
                                conta_receber.Data_Vencimento,
                                conta_receber.Status,
                                conta_receber.Id_Conta,
                                banco.Codigo,
                                conta.Carteira,
                                conta.Tipo_Conta,
                                Factoring,
                                Banco_Factoring
                                FROM (SELECT Id,Lancamento,Descricao,Fatura,Valor_Original,Data_Vencimento,Status,Id_Externo,Id_Conta,Id_Cliente,
                                Valor_Desconto,Valor_Juros,Valor_Multa 
                                FROM conta_receber 
                                WHERE Remessa='Sim' AND Status='Aberto') as conta_receber
                                left join (SELECT Id,Id_Banco,Carteira,Tipo_Conta,Factoring,Banco_Factoring FROM conta) as conta ON conta_receber.Id_Conta = conta.Id
                                left join (SELECT Id,Codigo FROM banco) as banco ON conta.Id_Banco = banco.Id
                                WHERE conta_receber.Id_Cliente='".$_GET["id_cliente"]."' ");

?>
        <fieldset class="grupo">
        <legend>Boletos</legend>
            <table width="100%" align="center" border="0" cellpadding="2" cellspacing="2">
                <tr>
                    <td width="5%" class="table_prod_nome">Id: </td>
                    <td width="15%" class="table_prod_nome">Data: </td>
                    <td width="20%" class="table_prod_nome">Fatura: </td>
                    <td width="15%" class="table_prod_nome">Valor: </td>
                    <td width="15%" class="table_prod_nome">Data Atual: </td>
                    <td width="15%" class="table_prod_nome">Valor Atual: </td>
                    <td width="5%" class="table_prod_nome"></td>
                </tr>
                
 <?php while($hist = mysqli_fetch_assoc($sql_historico)){ ?>

                <tr bgcolor=<?php echo "$color"; ?> >
                    <td class="table_prod_valor"><?php echo $hist['Lancamento'];?></td>
                    <td class="table_prod_valor"><?php echo data_exibir($hist['Data_Vencimento']);?></td>
                    <td class="table_prod_valor"><?php echo $hist['Fatura'];?></td>
                    <td class="table_prod_valor"><?php echo number_format($hist['Valor_Original'],2,',','.');?></td>
                    <td class="table_prod_valor"><?php echo date('d/m/Y');?></td>
                    
                    <?php
                        $cta = mysqli_query($con, "SELECT CONCAT(banco.Titulo,' - ag.',conta.Agencia,' - cc.',conta.Conta) as Conta,
                                conta.Titular,
                                Juros_Dia,Multa,Tipo_Multa
                                FROM conta
                                INNER join banco ON conta.Id_Banco = banco.Id
                                WHERE conta.Id = '" . $hist['Id_Conta'] . "' ");
                        $nome_cta = mysqli_fetch_assoc($cta);
                        ?>
                        <td class="table_prod_valor">
                            <?php
                            if($hist['Status']=='Aberto'){
                                $d_atraso = calcula_dia(data_exibir($hist['Data_Vencimento']),data_exibir(date("Y-m-d")));
                            }

                            $juros_1_dia = $hist["Valor_Original"]*($nome_cta["Juros_Dia"]/100);

                            if($nome_cta["Tipo_Multa"]=='Real'){
                                $mult = $nome_cta["Multa"];
                            }else{
                                $mult = $hist["Valor_Original"]*($nome_cta["Multa"]/100);
                            }

                            $v_atraso = 0;
                            if($d_atraso>0){
                                $v_atraso = ($d_atraso * $juros_1_dia) + $mult;
                            }

                                echo valor_exibir($hist['Valor_Original'] + $v_atraso,2);
                            ?>
                        </td>

<?php
    switch($hist["Codigo"]){
            case '001' :
                if($hist["Carteira"]=='18')
                    $pagina_boleto ='../boletophp/boleto_bb.php';
                else
                    $pagina_boleto ='../boletophp/boleto_bb_net.php';
            break;
            case '004' : $pagina_boleto ='../boletophp/boleto_nordeste_net.php';
            break;
            case '104' : 
                if($hist["Tipo_Conta"]=='SIGCB 6Dig')
                    $pagina_boleto ='../boletophp/boleto_cef_sigcb.php';
                else if($hist["Tipo_Conta"]=='SIGCB 7Dig')
                    $pagina_boleto ='../boletophp/boleto_cef_sigcb_net.php';
                else if($hist["Tipo_Conta"]=='SICOB')
                    $pagina_boleto ='../boletophp/boleto_cef_sinco.php';
                else
                    $pagina_boleto ='../boletophp/boleto_cef.php';
            break;
            case '237' :
                if( ($hist["Carteira"]=='06') || ($hist["Carteira"]=='03') )
                    $pagina_boleto ='../boletophp/boleto_bradesco.php';
                else
                    $pagina_boleto ='../boletophp/boleto_bradesco_net.php';
            break;
            case '341' : $pagina_boleto ='../boletophp/boleto_itau.php';
            break;
            case '422' : $pagina_boleto ='../boletophp/boleto_safra.php';
            break;
            case '077' : $pagina_boleto ='../boletophp/boleto_inter.php';
            break;
            case '409' : $pagina_boleto ='../boletophp/boleto_unibanco.php';
            break;
            case '356' : $pagina_boleto ='../boletophp/boleto_real.php';
            break;
            case '033' : 
                if($hist["Carteira"]=='101')
                    $pagina_boleto ='../boletophp/boleto_santander_banespa.php';
                else
                    $pagina_boleto ='../boletophp/boleto_santander_banespa1.php';
            break;
            case '399' : $pagina_boleto ='../boletophp/boleto_hsbc.php';
            break;
            case '756' : $pagina_boleto = '../boletophp/boleto_bancoob.php';
                 break;
             case '748' : $pagina_boleto = '../boletophp/boleto_sicredi.php';
                break;
            case '136' : $pagina_boleto = '../boletophp/boleto_unicred_net.php';
                break;
                default : 
                if($hist["Factoring"]=='Sim'){
                    if($hist["Banco_Factoring"]=='Itau'){
                        $pagina_boleto ='../boletophp/boleto_itau_factoring.php';
                    }elseif($hist["Banco_Factoring"]=='Santander'){
                        $pagina_boleto ='../boletophp/boleto_santander_factoring.php';
                    }elseif($hist["Banco_Factoring"]=='Brasil'){
                        $pagina_boleto ='../boletophp/boleto_brasil_factoring.php';
                    }else{
                        $pagina_boleto ='../boletophp/boleto_bradesco_net_factoring.php';
                    }
                }else{
                    $pagina_boleto = '#';
                }
                break;
    }
?>
                    <td class="table_prod_valor">
                    <a href="javascript:void();"
                    onclick="window.open('<?php echo $pagina_boleto;?>?id_conta_receber=<?php echo $hist['Id'];?>&id_conta=<?php echo $hist['Id_Conta'];?>&data=<?php echo date('d/m/Y');?>','Boleto Parcela','width=700,height=800,top=0,left=0,scrollbars=yes')">
                    <img border="0" src="../imagem/bt_boleto.png" title="Boleto Parcela" alt="Boleto Parcela"/></a>
                    </td>
                </tr>
                
  <?php } ?>
             </table>
        </fieldset>


            <fieldset class="grupo">
                <div class="campo">
                    <label for="Botao">&nbsp;</label>
                    <button class="botao" type="button" value="Voltar" onclick="window.close();">Voltar</button>
                </div>
            </fieldset>

        </fieldset>

<?php include "../include/rodape.php";?>
</body>
</html>