<?php
include_once '../include/conecta.php'; //Conecta com a nosso banco de dados MySQL
include_once '../include/ver_sessao.php'; //Verifica se a sesso est ativa
include_once '../include/funcoesPhp.php';
include_once '../menu_movimento.php';
?>
<?php
if ($_GET["De"])
    $data .= "AND cliente.Data_Cadastro >= '" . data_banco($_GET["De"]) . " 00:00:00' ";
if ($_GET["Ate"])
    $data .= "AND cliente.Data_Cadastro <= '" . data_banco($_GET["Ate"]) . " 23:59:59' ";

if ($_GET["Natureza"]) {
    $natureza .= "and cliente.Natureza = '" . $_GET["Natureza"] . "' ";
}

if ($_GET["Categoria_Cliente"]) {
    $natureza .= "and cliente.Id_Categoria_Cliente = '" . $_GET["Categoria_Cliente"] . "' ";
}
if ($_GET["Categoria_Cliente_Filho"]) {
    $natureza .= "and cliente.Id_Categoria_Cliente_Filho = '" . $_GET["Categoria_Cliente_Filho"] . "' ";
}
if ($_GET["Estado"]) {
    $natureza .= "and cliente.Estado = '" . $_GET["Estado"] . "' ";
}
if ($_GET["Cidade"]) {
    $natureza .= "and cliente.Id_Cidade = '" . $_GET["Cidade"] . "' ";
}
if (VENDER_APENAS_CARTEIRA_CLIENTE == 'Sim') {
    $CampoSql = "Id_Vendedor1";
    include '../include/vendedor_gerente.php';

    $natureza .= " AND (Id_Vendedor1 = '" . $_SESSION["Id_Funcionario"] . "' $carteira) ";
}

if (VENDER_APENAS_CARTEIRA_CLIENTE == 'Sim') {
    $CampoSql = "Id_Vendedor2";
    include '../include/vendedor_gerente.php';

    $natureza .= " AND (Id_Vendedor2 = '" . $_SESSION["Id_Funcionario"] . "' $carteira) ";
}

if ($_GET["Area"]) {
    $area = "and cliente.Id_Area = '" . $_GET["Area"] . "' ";
}

if ($_GET["Ativo"]) {
    $natureza .= "and cliente.Ativo = '" . $_GET["Ativo"] . "' ";
}
if ($_GET["Inadimplente"]) {
    $natureza .= "and cliente.Inadimplente = '" . $_GET["Inadimplente"] . "' ";
}
if ($_GET['Pesq']) {
    if (CLIENTE_RAZAO_SOCIAL == 'Sim') {
        $t_cli = 'Razao_Social';
    } else {
        $t_cli = 'Titulo';
    }
    $pesquisa = " AND cliente." . $t_cli . " like '%" . $_GET['Pesq'] . "%' ";
}

if ($_GET["Ok"]) {
    $cliente = mysqli_query($con, "Select cliente.Titulo,
                        cliente.Cpf_Cnpj,
                        cliente.Razao_Social,
                        cliente.Rua,
                        cliente.Numero,
                        cliente.Cidade,
                        cliente.Estado,
                        cliente.Fone1,
                        cliente.Fone2,
                        cliente.Natureza,
                        cliente.Estadual,
                        cliente.Cliente_Fcp as Fcp,
                        cliente.Consumidor_Final,
                        categoria_cliente.Titulo as Categoria_Cliente,
                        cliente.Cidade as Cidade_Ibge,
                        cliente.Id_Vendedor1,
                        cliente.Id_Vendedor2,
                        cliente.Nao_Contribuinte_Icms as Contribuinte,
                        cfop.Cfop as Cfop,
                        atividade.Titulo as Atividade,
                        produto_tabela.Titulo as Tabela_Preco
                        from cliente
                        left join (SELECT Id,Titulo FROM categoria_cliente) as categoria_cliente ON cliente.Id_Categoria_Cliente = categoria_cliente.Id
 			            left join (SELECT Id,Cfop FROM cfop) as cfop ON cfop.Id = cliente.Id_Cfop
                        left join(SELECT Id,Titulo FROM atividade) as atividade ON atividade.Id = cliente.Id_Atividade
                        left join (SELECT Id, Titulo FROM produto_tabela) as produto_tabela ON produto_tabela.Id = cliente.Tabela_Preco
                        WHERE Tipo_Cliente = 'Cliente'
                        $data $natureza $pesquisa $area
 			order by cliente.Titulo");
}
?>
<?php ob_start(); /* Inicia o fluxo*/ ?>
<html>

<head>
    <link rel="stylesheet" type="text/css" href="../estilo/<?php echo SKIN; ?>/tabela_imp.css" />
    <script type="text/javascript" language="javascript" src="../js/jquery.js"></script>
    <?php include '../include/script_cabeca.php'; ?>
    <script type="text/javascript" language="javascript" src="../js/script.js"></script>
    <script type="text/javascript" language="javascript" src="../js/meiomask/meiomask.js"></script>
    <script type="text/javascript" language="javascript" src="../js/meiomask/<?php if (PAIS == "USA") {
                                                                                    echo "mascaras-usa";
                                                                                } else {
                                                                                    echo "mascaras";
                                                                                } ?>.js"></script>
</head>

<body>
    <?php include "../include/cabecalho_relatorio.php"; ?>
    <table width="100%" align="center">
        <tr>
            <td>
                <font face="verdana" size="2"><i>Relatrio de Clientes</i></font>
            </td>
        </tr>
        <tr>
            <td>
                <font face="verdana" size="2">
                    <?php
                    if ($_GET["De"]) {
                        echo "Perodo: " . $_GET["De"];
                    }
                    if ($_GET["Ate"]) {
                        echo "  " . $_GET["Ate"];
                    }
                    if ($_GET["Natureza"]) {
                        echo " - " . $_GET["Natureza"];
                    }
                    if ($_GET["Categoria_Cliente"]) {
                        $achar = listar("Select Titulo from categoria_cliente
                                            where Id = '" . $_GET["Categoria_Cliente"] . "' ");
                        echo " - " . $achar[0]["Titulo"];
                    }
                    ?>
                </font>
            </td>
        </tr>
    </table>
    <br>
    <table width="100%" class="tabela">
        <thead>
            <tr class="azul-claro">
                <td>Cliente</td>
                <td>Cpf / Cnpj</td>
                <td>Estadual</td>
                <td>Endereo</td>
                <td>Cidade</td>
                <td>UF</td>
                <td>Fone</td>
                <td>Fone 2</td>
                <td>Categoria</td>
                <td>Tabela Preo</td>
                <td>Consumidor Final</td>
                <td>Contribuinte</td>
                <td>Fcp</td>
                <td>Cfop</td>
                <td>Atividade</td>
                <td>Vendedor</td>
                <td>Vendedor2</td>
            </tr>
        </thead>
        <tfoot>
            <tr class="cinza">
                <td colspan="20">Relatrio de Cliente</td>
            </tr>
        </tfoot>
        <tbody>
            <?php
            if ($_GET["Ok"]) {

                $y = 1;
                $color = "#F5F5F5";
                while ($chave = mysqli_fetch_assoc($cliente)) {
                    if ($color == "#F5F5F5") {
                        $color = "#E8E8E8";
                    } else {
                        $color = "#F5F5F5";
                    }

                    $vend = mysqli_query($con, "SELECT Id,Titulo as Vendedor FROM funcionario WHERE Id='" . $chave['Id_Vendedor1'] . "' ");
                    $vend = mysqli_fetch_assoc($vend);

                    $vend2 = mysqli_query($con, "SELECT Id,Titulo as Vendedor2 FROM funcionario WHERE Id='" . $chave['Id_Vendedor2'] . "' ");
                    $vend2 = mysqli_fetch_assoc($vend2);
            ?>
            <tr bgcolor=<?php echo "$color"; ?>>
                <td><?php echo $chave["Razao_Social"]; ?></td>
                <?php
                        if ($chave["Natureza"] == "PF") {
                            echo "<td>" . cpf_exibir($chave['Cpf_Cnpj']) . "</td>";
                        } else {
                            echo "<td>" . cnpj_exibir($chave['Cpf_Cnpj']) . "</td>";
                        }
                        ?>
                <td><?php echo $chave["Estadual"] ?></td>
                <td><?php echo $chave["Rua"] . ', ' . $chave["Numero"] ?></td>
                <td><?php echo $chave["Cidade"] ?></td>
                <td><?php echo $chave["Estado"] ?></td>
                <td><?php echo $chave["Fone1"]; //fone_exibir($chave["Fone1"])  
                            ?></td>
                <td><?php echo $chave["Fone2"]; //fone_exibir($chave["Fone2"])  
                            ?></td>
                <td><?php echo $chave["Categoria_Cliente"] ?></td>
                <td><?php echo $chave["Tabela_Preco"] ?></td>
                <td><?php echo $chave["Consumidor_Final"] ?></td>
                <td><?php echo $chave["Contribuinte"] ?></td>
                <td><?php echo $chave["Fcp"] ?></td>
                <td><?php echo $chave["Cfop"] ?></td>
                <td><?php echo $chave["Atividade"] ?></td>
                <td><?php echo $vend["Vendedor"] ?></td>
                <td><?php echo $vend2["Vendedor2"] ?></td>

            </tr>
            <?php
                    $y++;
                }
            }
            ?>
        </tbody>
    </table>
    <br>
</body>

</html>
<?php
$html = ob_get_contents();
ob_end_clean();

include_once "../include/pdf_opcao.php";
?>