<?php
include_once '../include/conecta.php'; //Conecta com a nosso banco de dados MySQL
include_once '../include/ver_sessao.php'; //Verifica se a sesso est ativa
include_once '../include/funcoesPhp.php';
include_once '../menu_movimento.php';
?>
<?php
if ($_GET["De"])
    $data .= "AND cliente.Data_Cadastro >= '" . data_banco($_GET["De"]) . " 00:00:00' ";
if ($_GET["Ate"])
    $data .= "AND cliente.Data_Cadastro <= '" . data_banco($_GET["Ate"]) . " 23:59:59' ";

if ($_GET["Zero"]) {
    $zero = "and cliente.Data_Serasa > '0000-00-00' ";
}


if ($_GET["Natureza"]) {
    $natureza .= "and cliente.Natureza = '" . $_GET["Natureza"] . "' ";
}

if ($_GET["Categoria_Cliente"]) {
    $natureza .= "and cliente.Id_Categoria_Cliente = '" . $_GET["Categoria_Cliente"] . "' ";
}
if ($_GET["Categoria_Cliente_Filho"]) {
    $natureza .= "and cliente.Id_Categoria_Cliente_Filho = '" . $_GET["Categoria_Cliente_Filho"] . "' ";
}
if ($_GET["Estado"]) {
    $natureza .= "and cliente.Estado = '" . $_GET["Estado"] . "' ";
}
if ($_GET["Cidade"]) {
    $natureza .= "and cliente.Id_Cidade = '" . $_GET["Cidade"] . "' ";
}

if ($_GET["Area"]) {
    $area = "and cliente.Id_Area = '" . $_GET["Area"] . "' ";
}

if ($_GET["Ativo"]) {
    $natureza .= "and cliente.Ativo = '" . $_GET["Ativo"] . "' ";
}
if ($_GET["Inadimplente"]) {
    $natureza .= "and cliente.Inadimplente = '" . $_GET["Inadimplente"] . "' ";
}
if ($_GET['Pesq']) {
    if (CLIENTE_RAZAO_SOCIAL == 'Sim') {
        $t_cli = 'Razao_Social';
    } else {
        $t_cli = 'Titulo';
    }
    $pesquisa = " AND cliente." . $t_cli . " like '%" . $_GET['Pesq'] . "%' ";
}

if ($_GET["Unidade"]) {
    $Unidade = "and cliente.Id_Unidade = '" . $_GET["Unidade"] . "' ";
}

if ($_GET["Serasa"]) {

    if ($_GET["Serasa"] == 'Sim') {
        $Serasa = "AND cliente.Data_Serasa < '" . date('Y-m-d') . "'";
    } else {
        $Serasa = "AND cliente.Data_Serasa >= '" . date('Y-m-d') . "'";
    }
}

if ($_GET["Vendedor"]){
    $CampoSql = "Id_Vendedor1";
    include '../include/vendedor_gerente.php';

    $vendedor = "and (cliente.Id_Vendedor1 = '" . $_GET["Vendedor"] . "' $carteira) ";
}

if ($_GET["Ok"]) {
    $cliente = mysqli_query($con, "Select cliente.Id,
                                     cliente.Titulo,
                                     cliente.Razao_Social,
                                     cliente.Email,
                                     cliente.Cidade,
                                     cliente.Estado,
                                     cliente.Fone1,
                                     cliente.Limite_Credito,
                                     cliente.Contato,
                                     cliente.Data_Serasa,
                                     categoria_cliente.Titulo as Categoria_Cliente,
                                     cliente.Cidade as Cidade_Ibge
                                from cliente
                                left join (SELECT Id,Titulo FROM categoria_cliente) as categoria_cliente ON cliente.Id_Categoria_Cliente = categoria_cliente.Id
                                WHERE Tipo_Cliente = 'Cliente'
                                $data $natureza $pesquisa $area $vendedor $Serasa $zero
                                order by cliente.Titulo");
}
?>
<?php ob_start(); /* Inicia o fluxo */ ?>
<html>

<head>
    <link rel="stylesheet" type="text/css" href="../estilo/<?php echo SKIN; ?>/tabela_imp.css" />
    <script type="text/javascript" language="javascript" src="../js/jquery.js"></script>
    <?php include '../include/script_cabeca.php'; ?>
    <script type="text/javascript" language="javascript" src="../js/script.js"></script>
    <script type="text/javascript" language="javascript" src="../js/meiomask/meiomask.js"></script>
    <script type="text/javascript" language="javascript" src="../js/meiomask/<?php if (PAIS == "USA") {
                                                                                    echo "mascaras-usa";
                                                                                } else {
                                                                                    echo "mascaras";
                                                                                } ?>.js"></script>
</head>

<body>
    <?php include "../include/cabecalho_relatorio.php"; ?>
    <table width="100%" align="center">
        <tr>
            <td>
                <font face="verdana" size="2"><i>Relatrio de Clientes</i></font>
            </td>
        </tr>
        <tr>
            <td>
                <font face="verdana" size="2">
                    <?php
                    if ($_GET["De"]) {
                        echo "Perodo: " . $_GET["De"];
                    }
                    if ($_GET["Ate"]) {
                        echo "  " . $_GET["Ate"];
                    }
                    if ($_GET["Natureza"]) {
                        echo " - " . $_GET["Natureza"];
                    }
                    if ($_GET["Categoria_Cliente"]) {
                        $achar = listar("Select Titulo from categoria_cliente
                                            where Id = '" . $_GET["Categoria_Cliente"] . "' ");
                        echo " - " . $achar[0]["Titulo"];
                    }
                    ?>
                </font>
            </td>
        </tr>
    </table>
    <br>
    <table width="100%" class="tabela">
        <thead>
            <tr class="azul-claro">
                <td>Fantasia</td>
                <td>Razo Social</td>
                <td>Cidade</td>
                <td>UF</td>
                <td>Limite</td>
                <td>Data Serasa</td>
                <td>Vencidos</td>
                <td>Abertos</td>
                <td>Disponvel</td>
                <td>Categoria</td>
            </tr>
        </thead>
        <tbody>
            <?php
            if ($_GET["Ok"]) {

                $y = 1;
                $color = "#F5F5F5";
                while ($chave = mysqli_fetch_assoc($cliente)) {
                    if ($color == "#F5F5F5") {
                        $color = "#E8E8E8";
                    } else {
                        $color = "#F5F5F5";
                    }

                    $vencidos = mysqli_query($con, "SELECT COUNT(Id) as Qtd, SUM(Valor_Original) as Valor
                                FROM conta_receber
                                WHERE Status = 'Aberto'
                                AND Data_Vencimento < '" . date('Y-m-d') . "'
                                AND Id_Cliente = '" . $chave["Id"] . "' ");
                    $array_vencidos = mysqli_fetch_assoc($vencidos);

                    $abertos = mysqli_query($con, "SELECT COUNT(Id) as Qtd, SUM(Valor_Original) as Valor
                                FROM conta_receber
                                WHERE Status = 'Aberto'
                                AND Data_Vencimento > '" . date('Y-m-d') . "'
                                AND Id_Cliente = '" . $chave["Id"] . "' ");
                    $array_abertos = mysqli_fetch_assoc($abertos);
            ?>
            <tr bgcolor=<?php echo "$color"; ?>>
                <td><?php echo $chave["Titulo"]; ?></td>
                <td><?php echo $chave["Razao_Social"]; ?></td>
                <td><?php echo $chave["Cidade"] ?></td>
                <td><?php echo $chave["Estado"] ?></td>
                <td><?php echo valor_exibir($chave["Limite_Credito"]) ?></td>
                <td><?php echo data_exibir($chave["Data_Serasa"]) ?></td>
                <td><?php echo valor_exibir($array_vencidos["Valor"]) ?></td>
                <td><?php echo valor_exibir($array_abertos["Valor"]) ?></td>
                <td><?php echo valor_exibir($chave["Limite_Credito"] - ($array_vencidos["Valor"] + $array_abertos["Valor"])) ?>
                </td>
                <td><?php echo $chave["Categoria_Cliente"] ?></td>
            </tr>
            <?php
                    $y++;
                }
            }
            ?>
        </tbody>
    </table>
    <br>
</body>

</html>
<?php
$html = ob_get_contents();
ob_end_clean();

include_once "../include/pdf_opcao.php";
?>