<?php
include_once '../include/conecta.php'; //Conecta com a nosso banco de dados MySQL
include_once '../include/ver_sessao.php'; //Verifica se a sesso est ativa
include_once '../include/funcoesPhp.php'; include_once '../menu_movimento.php';

$modulo_lista = 'Cliente';
include '../include/sessao_lista.php';
?>
<?php
if(CLIENTE_RAZAO_SOCIAL=='Sim'){
    $bus = 'Razao_Social';
}else{
    $bus = 'Titulo';
}

if($_SESSION["Id_Cliente"]){
    if($_SESSION["Tipo"]=='Painel'){
        $pesqCliente= " AND cliente.Id_Vendedor1 = '".$_SESSION["Id_Funcionario"]."' ";
    }else{
        $pesqCliente= " AND cliente.Cpf_Cnpj = '".$_SESSION["Cpf_Cnpj_Cliente"]."' ";
    }
}

if($_GET["Vendedor"]){
    $pesq.= " AND cliente.Id_Vendedor1 = '".$_GET["Vendedor"]."' ";
}

/*varivel com o cdigo SQL da consulta ao banco de dados*/
$_pagi_sql = "SELECT cliente.Id,
                    cliente.Titulo,
                    cliente.Razao_Social,
                    cliente.Fone1,
                    cliente.Email,
                    cliente.Natureza,
                    cliente.Codigo,
                    cliente.Contato,
                    cliente.Cpf_Cnpj,
                    cliente.Ativo,
                    cliente.Saldo_Credito,
                    CONCAT(cliente.Endereco,' - ',cliente.Bairro,' - ',cliente.Cidade,' - ',cliente.Cep) as End
                    FROM cliente
                    WHERE Tipo_Cliente = 'Cliente'
                    $pesqCliente $pesq
                    $ativo $carteira
                    $pesquisa $Ordenar1 $Ordem_Lista1 ";

/* pagina fora que contem todas as opcoes do paginator */
include_once '../include/paginator_opcao.php';
include_once '../include/paginator.inc.php'; //incluindo o script de paginao PAGINATOR
/*Paginao na listagem dos clientes. Apenas nos arquivos listar.
 * Inclue-se depois que passa os parmetros da funo
 * seus resultados so aparentementes satisfatrio
 * */
?>
<html>
<head>
<title>Gw - Gesto Web</title>
<link rel="stylesheet" type="text/css" href="../estilo/<?php echo SKIN ;?>/listless.css" />
<script type="text/javascript" language="javascript" src="../js/jquery.js"></script>
<?php include '../include/script_cabeca.php'; ?>
<script type="text/javascript" language="javascript" src="../js/script.js"></script>
<script type="text/javascript" language="javascript">
    function submeteFiltro(valor){
        document.forms['ordenar'].submit();
    }
</script>
</head>
<body>
    <!-- Centro -->
    <div id="centro">
<!-- Contedo -->
		<div id="conteudo" class="ajustar">

			<div class="titulo">
				<span>Clientes</span>
				<span class="inputs"><?php echo $_pagi_info; ?></span>
			</div>
        <!-- Navegao -->
        <div class="botoes_cima">
            <a href="javascript:void(0);" class="voltar" alt="Voltar" title="Voltar" onclick="javascript:history.back(1);">Voltar</a>
            
            <?php if($_SESSION["Tipo"]=='Painel' || !$_SESSION["Id_Cliente"]){ ?>
                <a href="cad_cliente.php?acao=entrar" alt="Cadastrar" title="Cadastrar" class="incluir">Cadastrar</a>
            <?php } ?>

            <?php if(!$_SESSION["Id_Cliente"]){ ?>
            <form name="ordenar" method="get" action="">
                <span class="ordenar_por">
                <label for="Pesq">Respresentante:</label>
                <?php
                echo select_banco("Select Id, Titulo from funcionario WHERE Ativo='Sim' order by Titulo",
                        "Vendedor", "Vendedor", $_GET["Vendedor"], "style='width:200px' onchange='submeteFiltro(this.value)'", "");
                ?>
                </span>
            </form>
            <?php } ?>
        <!-- Fim Navegao -->
        </div>
 
<table id="lista">
    <thead>
        <tr>
            <td>Cdigo</td>
            <td>Cliente</td>
            <td>Fone</td>
            <td>Contato</td>
            <td>Cpf/Cnpj</td>
            <td>E-mail</td>
            <td>Endereo</td>
            <?php if($_SESSION["Tipo"]=='Painel' || !$_SESSION["Id_Cliente"]){ ?>
                <td>Mensal</td>
                <td>Opes</td>
            <?php } ?>
        </tr>
    </thead>
    <tbody>
        <?php	$color = "#F5F5F5";
                while ($linha = mysqli_fetch_assoc($_pagi_result)) {
                if ($color == "#F5F5F5") {
                        $color = "#E8E8E8";
                        $cass = "";
                } else {
                        $color = "#F5F5F5";
                        $cass = "class='azul'";
                }
        ?>
        <tr <?php echo "$cass"; ?> >
        <td><?php echo $linha['Codigo']; ?></td>
        <td>
            <?php
                if(CLIENTE_RAZAO_SOCIAL=='Sim'){
                    echo $linha["Razao_Social"];
                }else{
                    echo $linha["Titulo"];
                }
             ?>
        </td>
        <td><?php echo $linha["Fone1"];?></td>
        <td><?php echo $linha["Contato"];?></td>
        <?php
            if($linha["Natureza"]=="PF"){
               echo "<td>".cpf_exibir($linha['Cpf_Cnpj'])."</td>";
            }else{
               echo "<td>".cnpj_exibir($linha['Cpf_Cnpj'])."</td>";
            }
        ?>
        <td><?php echo $linha['Email'];?></td>
        <td><?php echo $linha['End'];?></td>
            <?php if($_SESSION["Tipo"]=='Painel' || !$_SESSION["Id_Cliente"]){ ?>
                <td><?php echo valor_exibir($linha['Saldo_Credito']);?></td>
                <td>
                    <?php
                        if($linha['Ativo']=='Sim'){
                            echo '<img src="../imagem/bt_lida.png" title="Ativo" alt="Ativo" border="0" />';
                        }else{
                            echo '<img src="../imagem/delete.png" title="Inativo" alt="Inativo" border="0" />';
                        }
                    ?>
                    <a href="cad_cliente.php?id_cliente=<?php echo $linha['Id'];?>&acao=alterar">
                        <img src="../imagem/bt_editar.png" title="Alterar" alt="Alterar" border="0" />
                    </a>
                </td>
            <?php } ?>
        </tr>
        <?php }?>
    </tbody>
    <tfoot>
        <?php
        $total_final = mysqli_query($con,"SELECT cliente.Ativo,
                    cliente.Saldo_Credito
                    FROM cliente
                    WHERE Tipo_Cliente = 'Cliente'
                    $pesqCliente $pesq
                    $ativo $carteira
                    $pesquisa $Ordenar1 $Ordem_Lista1 ");
        
                $ativo='0';
                $inativo='0';
                while ($chave = mysqli_fetch_assoc($total_final)) {
                    if($chave['Ativo']=='Sim'){
                        $ativo+=1;
                        $pgto_total+= $chave['Saldo_Credito'];
                    }else{
                        $inativo+=1;
                        $pgto_total+= '0';
                    }
                }
        ?>
        <tr>
            <td colspan="5"><div id="paginacao"><p><?php echo $_pagi_navegacion; ?></p></div></td>
            <td colspan="1"><div id="paginacao"><p><?php echo "Ativos: ".$ativo." | Inativos: ".$inativo; ?></p></div></td>
            <td colspan="3"><div id="paginacao"><p><?php echo valor_exibir($pgto_total); ?></p></div></td>
        </tr>
    </tfoot>
</table>
        <!-- Navegao Inferior -->
        <div class="botoes_baixo">            

            <a href="javascript:void(0);" class="voltar" alt="Voltar" title="Voltar" onclick="javascript:history.back(1);">Voltar</a>
                
            <?php if($_SESSION["Tipo"]=='Painel' || !$_SESSION["Id_Cliente"]){ ?>
                <a href="cad_cliente.php?acao=entrar" alt="Cadastrar" title="Cadastrar" class="incluir">Cadastrar</a>
            <?php } ?>

        <!-- Fim Navegao Inferior -->
        </div>

</div>
<!-- Fim do Contedo -->
	</div>
<!-- Fim de Centro -->
   

  <!-- INICIO DA TELA MODAL ENVIO DE EMAIL-->
<!-- No css existe um estilo para essas divs que as deixa invisivel - display:none; -->
<div id="div_resposta"></div>
<input type="hidden" name="Tabela" id="Tabela" value="cliente">
<input type="hidden" name="hidden_id" id="hidden_id" value="">
<?php include_once "../include/email_campos_listagem.php"; ?>
<!-- FIM DA TELA MODAL ENVIO DE EMAIL-->

</body>
</html>