<?php
include_once '../include/conecta.php'; //Conecta com a nosso banco de dados MySQL
include_once '../include/ver_sessao.php'; //Verifica se a sesso est ativa
include_once '../include/funcoesPhp.php'; include_once '../menu_movimento.php';
$modulo_lista = 'Funcionario';
include '../include/sessao_lista.php';
?>
<?php
if($_GET["Ordenar"]){
    $Ordenar1 = " ORDER BY ".$_GET["Ordenar"]." ";
}else{
    $Ordenar1 = " ORDER BY funcionario.Titulo ";
}
if($_GET['Ordem_Lista']=='Desc'){
    $Ordem_Lista1 = ' DESC ';
}else{
   $Ordem_Lista1 = ' ASC ';
}

if($_GET["Ativo"]=='Ativos'){
    $ativo = " AND funcionario.Ativo = 'Sim' ";
}else if($_GET["Ativo"]=='Inativos'){
    $ativo = " AND funcionario.Ativo = 'No' ";
}else if($_GET["Ativo"]=='Todos'){
    $ativo = " ";
}else{
    $ativo = " AND funcionario.Ativo = 'Sim' ";
}


/* Inicio dos parmetros da Paginao*/

/*varivel com o cdigo SQL da consulta ao banco de dados*/
$_pagi_sql = "SELECT funcionario.Id,
                    funcionario.Titulo,
                    funcionario.Fone,
                    funcionario.Email,
                    funcionario.Vendedor,
                    funcionario.Codigo,
                    funcionario.Ativo,
                    funcionario.Numero_Cartao,
                    funcionario.Id_Usuario_Login,
                    cargo.Titulo as Cargo,
                    departamento.Titulo as Departamento,
                    unidade.Titulo as Unidade,
                    usuario.Login as Usuario
                    from funcionario
                    left join (SELECT Id,Login FROM usuario) as usuario ON usuario.Id = funcionario.Id_Usuario_Login
                    left join (SELECT Id,Titulo FROM cargo) as cargo ON cargo.Id = funcionario.Id_Cargo
                    left join (SELECT Id,Titulo FROM departamento) as departamento ON departamento.Id = funcionario.Id_Departamento
                    left join (SELECT Id,Titulo FROM unidade) as unidade ON unidade.Id = funcionario.Id_Unidade
                    WHERE 1=1 $ativo AND Tipo='F' $unidade
                    AND funcionario.Id='".$_SESSION["Id_Funcionario"]."'
                    $pesquisa $Ordenar1 $Ordem_Lista1 ";

/* pagina fora que contem todas as opcoes do paginator */
include_once '../include/paginator_opcao.php';
include_once '../include/paginator.inc.php'; //incluindo o script de paginao PAGINATOR
/*Paginao na listagem dos clientes. Apenas nos arquivos listar.
 * Inclue-se depois que passa os parmetros da funo
 * seus resultados so aparentementes satisfatrio
 * */
?>
<html>
<head>
<title>Gw - Gesto Web</title>
<link rel="stylesheet" type="text/css" href="../estilo/<?php echo SKIN ;?>/listless.css" />
<script type="text/javascript" language="javascript" src="../js/jquery.js"></script>
<?php include '../include/script_cabeca.php'; ?>
<script type="text/javascript" language="javascript" src="../js/script.js"></script>
<?php if(PAIS=="USA"){ ?>
<script type="text/javascript" language="javascript" src="../js/tradutor/funcionario.js"></script>
<?php } ?>
<script type="text/javascript" language="javascript">
	function submeteFiltro(valor){
            document.forms['ordenar'].submit();
	}
</script>
</head>
<body>
    <!-- Centro -->
	<div id="centro">
<!-- Contedo -->
		<div id="conteudo" class="ajustar">

			<div class="titulo">
                            <span>Representantes</span>
                            <span class="inputs"><?php echo $_pagi_info; ?></span>
			</div>
        <!-- Navegao -->
        <div class="botoes_cima">
            <a href="javascript:void(0);" class="voltar tr" key="Voltar" alt="Voltar" title="Voltar" onclick="javascript:history.back(1);">Voltar</a>

        <!-- Fim Navegao -->
        </div>
 
<table id="lista">
    <thead>
        <tr>
            <td class="tr" key="1">Cdigo</td>
            <td class="tr" key="2">Funcionrio</td>
            <td class="tr" key="3">Fone</td>
            <td class="tr" key="4">Email</td>
            <td class="tr" key="5">Cargo</td>
            <td class="tr" key="6">Departamento</td>
            <td class="tr" key="7">Empresa</td>
            <td class="tr" key="10">Ativo</td>
            <td class="tr" key="Opcao">Opes</td>
        </tr>
    </thead>
    <tfoot>
        <tr>
            <td colspan="12"><div id="paginacao"><p><?php echo $_pagi_navegacion; ?></p></div></td>
        </tr>
    </tfoot>
    <tbody>
        <?php	$color = "#F5F5F5";
                while ($linha = mysqli_fetch_assoc($_pagi_result)) {
                        if ($color == "#F5F5F5") {
                                $color = "#E8E8E8";
                                $cass = "";
                        } else {
                                $color = "#F5F5F5";
                                $cass = "class='azul'";
                        }
        ?>
        <tr <?php echo "$cass"; ?> >
        <td><?php echo $linha['Codigo'];?></td>
        <td><?php echo $linha['Titulo'];?></td>
        <td><?php echo $linha['Fone'];?></td>
        <td><?php echo $linha['Email'];?></td>
        <td><?php echo $linha['Cargo'];?></td>
        <td><?php echo $linha['Departamento'];?></td>
        <td><?php echo $linha['Unidade'];?></td>
        <td><?php echo $linha['Ativo'];?></td>
            <td>
                <a href='cad_funcionario.php?id_funcionario=<?php echo $linha['Id'];?>&acao=alterar'><img src="../imagem/bt_editar.png" alt="Alterar" border="0" title="Alterar" /></a>
            </td>
        </tr>
        <?php }?>
        </tbody>
</table>
        <!-- Navegao Inferior -->
        <div class="botoes_baixo">
                <a href="javascript:void(0);" class="voltar tr" key="Voltar" alt="Voltar" title="Voltar" onclick="javascript:history.back(1);">Voltar</a>

        <!-- Fim Navegao Inferior -->
        </div>

</div>
<!-- Fim do Contedo -->
	</div>
<!-- Fim de Centro -->
 
</body>
</html>