<?php
include_once '../include/conecta.php'; //Conecta com a nosso banco de dados MySQL
include_once '../include/ver_sessao.php'; //Verifica se a sesso est ativa
include_once '../include/funcoesPhp.php'; include_once '../menu_movimento.php';

require '../phpreceita/vendor/autoload.php';

use JansenFelipe\CnpjGratis\CnpjGratis;
?>
<?php
if(isset($_POST['captcha']) && isset($_POST['cookie']) && isset($_POST['cnpj'])){
    $dados = CnpjGratis::consulta($_POST['cnpj'], $_POST['captcha'], $_POST['cookie']);
    //var_dump($dados);
    //die('2');
    
    echo "<script>window.opener.document.getElementById('Cnpj').value='".$_POST['cnpj']."';
                    window.opener.document.getElementById('Titulo').value='".$dados["nome_fantasia"]."';
                    window.opener.document.getElementById('Razao_Social').value='".$dados["razao_social"]."';
                    window.opener.document.getElementById('Estado').value='".$dados["uf"]."';
                    window.opener.document.getElementById('Rua').value='".$dados["logradouro"]."';
                    window.opener.document.getElementById('Numero').value='".$dados["numero"]."';
                    window.opener.document.getElementById('Complemento').value='".$dados["complemento"]."';
                    window.opener.document.getElementById('Bairro').value='".$dados["bairro"]."';
                    window.opener.document.getElementById('Cidade').value='".$dados["cidade"]."';
                    window.opener.document.getElementById('Cep').value='".$dados["cep"]."';
                    window.opener.document.getElementById('Fone1').value='".$dados["telefone"]."';
                    window.opener.document.getElementById('Email').value='".$dados["email"]."';
                    window.close();</script>";
    
}

$params = CnpjGratis::getParams();
?>
<html>
<head>
<title>Gw - Gesto Web</title>
<link rel="stylesheet" type="text/css" href="../estilo/<?php echo SKIN ;?>/tableless.css" />
<script language="javascript" type="text/javascript" src="../js/jquery.js"></script>
<script language="javascript" type="text/javascript" src="../js/script.js"></script>
<script type="text/javascript" language="javascript" src="../js/meiomask/meiomask.js"></script>
<?php include '../include/script_cabeca.php'; ?>
<?php include '../include/script_campo.php'; ?>
<script type="text/javascript" language="javascript" >
$(document).ready(function() {
    $('input[name="cnpj"]').setMask('cnpj'); // cnpj
});
</script>
</head>
<body>
    
        <fieldset class="envolve">
  
    <form action="" method="post" name="historico" enctype="multipart/form-data">
        
        <input type="hidden" name="cookie" value="<?php echo $params['cookie'] ?>" />
        
            <fieldset class="grupo">
                <legend>Buscar Endereo e Fone por Cnpj</legend>
                <div class="campo">
                    <label for="Cnpj">Cnpj</label>
                    <input type="text" id="cnpj" name="cnpj" value="<?php echo $_GET["Cnpj"]?>" />
                </div>
                <div class="campo">
                    <label for="Cnpj">&nbsp;</label>
                    <img src="data:image/png;base64,<?php echo $params['captchaBase64'] ?>" />
                </div>
                <div class="campo">
                    <label for="Captcha">Captcha</label>
                    <input name="captcha" type="text" />
                </div>
            </fieldset>
            
            <fieldset class="grupo">
                <button class="bt_cadastro" type="submit" name="Cadastrar" value="Salvar">Salvar</button>
                <button class="botao" type="button" value="Atualizar" name="Atualizar" onclick="location.reload();">Atualizar</button>
                <button class="botao" type="button" value="Cancelar" name="Cancelar" onclick="window.close();">Cancelar</button>
            </fieldset>
            
      </form>

        </fieldset>
    
<?php include "../include/rodape.php";?>
</body>
</html>