<?php
include_once "../include/conecta.php"; //Conecta com a nosso banco de dados MySQL
ini_set('session.gc_maxlifetime', 60 * 120);
session_start();
/* include_once "../include/ver_sessao.php"; //Verifica se a sesso est ativa */
include_once "../include/funcoesPhp.php"; //Inclue a pgina con todas as funes a ser usada.
?>
<?php
$clinica_registro_paciente = listar("SELECT clinica_registro_paciente.Id,
					clinica_registro_paciente.Lancamento,
					clinica_registro_paciente.Status,
					clinica_registro_paciente.Data_Registro,
					clinica_registro_paciente.Obs as 'Obs_clinica_registro_paciente',
					clinica_registro_paciente.Id_Unidade,
					cliente.Titulo as 'Cliente',
                    especialista.Titulo as 'Especialista'
 					FROM clinica_registro_paciente
 					LEFT JOIN (SELECT Id,Titulo FROM cliente) as cliente ON cliente.Id = clinica_registro_paciente.Id_Cliente
 					LEFT JOIN (SELECT Id,Titulo FROM especialista) as especialista ON especialista.Id = clinica_registro_paciente.Id_Especialista
 					WHERE clinica_registro_paciente.Id = '" . $_GET["id_registro_paciente"] . "'
					ORDER BY clinica_registro_paciente.Lancamento DESC");

if ($clinica_registro_paciente[0]["Id_Unidade"])
	$_GET["Id_Unidade_Usuario"] = $clinica_registro_paciente[0]["Id_Unidade"];

?>
<html>

<head>
	<title>Gw - Gesto Web</title>
	<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1" />
	<link rel="shortcut icon" href="../imagem/favi_gw.ico" type="image/x-icon" />
	<link rel="stylesheet" type="text/css" href="../estilo/<?php echo SKIN; ?>/tabela_imp.css" />
	<script type="text/javascript" language="javascript" src="../js/jquery.js"></script>
	<?php include '../include/script_cabeca.php'; ?>
	<script type="text/javascript" language="javascript" src="../js/script.js"></script>
	<script>
		let arrayIdExames = []
		$(document).ready(function() {
			$('input:checkbox').change(function() {
				let checked = $(this).is(':checked');
				let idLinha = $('#idRegistroPaciente').val();

				if (checked == true) {
					arrayIdExames.push($(this).attr('id'));
				} else {
					let index = arrayIdExames.indexOf($(this).attr('id'));
					if (index > -1) {
						arrayIdExames.splice(index, 1);
					}
				}

				$.post('./atualizar_exame_paciente.php', {
					arrayIdExames,
					idLinha
				}, )
			});
		})
	</script>

	<style>
		.checkbox-container {
			display: flex;
			justify-content: space-between;
			margin-bottom: 10px;
		}
	</style>
</head>

<body>

	<table width="98%" align="center"><!-- TABELA Q ENVOLVE TODO O CONTEUDO -->
		<tr>
			<td>
				<?php include "../include/cabecalho_pedido.php"; ?>
			</td>
		</tr>
	</table>
	<header>
		<h2>SOLICITAO DE EXAMES LABORATORIAIS</h2>
	</header>
	<section>
		<form>
			<label for="nome">Paciente: <?php echo $clinica_registro_paciente[0]["Cliente"]; ?></label>
			<hr>
			<h3>Exames:</h3>
			<div class="checkbox-container">
				<label>
					<input type="checkbox" id="Exame_Hemograma" name="exame" value="Hemograma"> Hemograma
				</label>
				<label>
					Glicemia <input type="checkbox" id="Exame_Glicemia" name="exame" value="Glicemia">
				</label>
			</div>
			<div class="checkbox-container">
				<label>
					<input type="checkbox" id="Exame_Hemoglobina_Glicada" name="exame" value="Hemoglobina Glicada"> Hemoglobina Glicada
				</label>
				<label>
					TOTG <input type="checkbox" id="Exame_Totg" name="exame" value="TOTG">
				</label>
			</div>
			<div class="checkbox-container">
				<label>
					<input type="checkbox" id="Exame_Insulina" name="exame" value="Insulina"> Insulina
				</label>
				<label>
					Frutosamina <input type="checkbox" id="Exame_Frutosamina" name="exame" value="Frutosamina">
				</label>
			</div>
			<div class="checkbox-container">
				<label>
					<input type="checkbox" id="Exame_Ureia" name="exame" value="Ureia"> Ureia
				</label>
				<label>
					Creatinina <input type="checkbox" id="Exame_Creatinina" name="exame" value="Creatinina">
				</label>
			</div>
			<div class="checkbox-container">
				<label>
					<input type="checkbox" id="Exame_Acido_Urico" name="exame" value="cido rico"> cido rico
				</label>
				<label>
					Protenas Totais <input type="checkbox" id="Exame_Proteinas_Totais" name="exame" value="Protenas Totais">
				</label>
			</div>
			<div class="checkbox-container">
				<label>
					<input type="checkbox" id="Exame_Colesterol" name="exame" value="Colesterol"> Colesterol
				</label>
				<label>
					Triglicerdeos <input type="checkbox" id="Exame_Triglicerideos" name="exame" value="Triglicerdeos">
				</label>
			</div>
			<div class="checkbox-container">
				<label>
					<input type="checkbox" id="Exame_Ldl" name="exame" value="LDL-c"> LDL-c
				</label>
				<label>
					HDL-c <input type="checkbox" id="Exame_Hdl" name="exame" value="HDL-c">
				</label>
			</div>
			<div class="checkbox-container">
				<label>
					<input type="checkbox" id="Exame_Vldl" name="exame" value="VLDL-c"> VLDL-c
				</label>
				<label>
					Urinalise <input type="checkbox" id="Exame_Urinalise" name="exame" value="Urinalise">
				</label>
			</div>
			<div class="checkbox-container">
				<label>
					<input type="checkbox" id="Exame_Parasitologico" name="exame" value="Parasitolgico de Fezes"> Parasitolgico de Fezes
				</label>
			</div>
			<input type="hidden" id="idRegistroPaciente" value="<?= $clinica_registro_paciente[0]["Id"] ?>">
		</form>
	</section>
	<table width="98%" align="center">
		<tr>
			<td align="center">________________________</td>
		</tr>
		<tr>
			<td align="center">
				<font face="verdana" size="2">Enfermeiro(a) / Carimbo: <?php echo $clinica_registro_paciente[0]["Especialista"]; ?></font>
			</td>
		</tr>
	</table>

	<br>
</body>

</html>
<?php include "../include/rodape.php"; ?>