<?php
include_once '../include/conecta.php'; //Conecta com a nosso banco de dados MySQL
include_once '../include/ver_sessao.php'; //Verifica se a sesso est ativa
include_once '../include/funcoesPhp.php';
include_once '../menu_movimento.php';
?>
<?php
$sql_produto = mysqli_query($con, "SELECT clinica_registro_paciente.Id,
                        clinica_registro_paciente.Lancamento,
                        clinica_registro_paciente.Status,
                        clinica_registro_paciente.Data_Registro,
                        clinica_registro_paciente.Hora,
                        clinica_registro_paciente.Data_Conclusao,
                        clinica_registro_paciente.Obs as 'Obs_clinica_registro_paciente',
                        clinica_registro_paciente.Id_Unidade,
                        cliente.Titulo as 'Cliente',
                        funcionario.Titulo as 'Funcionario',
                        especialista.Titulo as 'Especialista'
 					FROM clinica_registro_paciente
 					LEFT JOIN (SELECT Id,Titulo FROM cliente) as cliente ON cliente.Id = clinica_registro_paciente.Id_Cliente
 					LEFT JOIN (SELECT Id,Titulo FROM funcionario) as funcionario ON funcionario.Id = clinica_registro_paciente.Id_Funcionario
 					LEFT JOIN (SELECT Id,Titulo FROM especialista) as especialista ON especialista.Id = clinica_registro_paciente.Id_Especialista
 					where clinica_registro_paciente.Id = '" . $_GET["id_registro_paciente"] . "'
					order by clinica_registro_paciente.Lancamento DESC")
    or die("ERRO no comando SQL:" . mysqli_error($con));
$array_produto = mysqli_fetch_assoc($sql_produto);

$_POST["Lancamento"]        =   $array_produto["Lancamento"];
$_POST["Data_Registro"]  =   $array_produto["Data_Registro"];
$_POST["Obs_clinica_registro_paciente"]   =   stripslashes($array_produto["Obs_clinica_registro_paciente"]);
$_POST["Cliente"]           =   $array_produto["Cliente"];
$_POST["Funcionario"]       =   $array_produto["Funcionario"];
$_POST["Especialista"]       =   $array_produto["Especialista"];
$_POST["Data_Conclusao"]    =   $array_produto["Data_Conclusao"];
$_POST["Hora"]    =   $array_produto["Hora"];


?>
<html>

<head>
    <title>Gw - Gesto Web</title>
    <link rel="stylesheet" type="text/css" href="../estilo/<?php echo SKIN; ?>/tableless.css" />
    <link rel="stylesheet" type="text/css" href="../estilo/<?php echo SKIN; ?>/tabela_imp.css" />
</head>

<body>

    <fieldset class="envolve">

        <table width="100%" align="center" border="0" cellpadding="2" cellspacing="2">
            <tr>
                <td class="azul-claro" width="20%">Lanamento</td>
                <td class="cinza"><?php echo $_POST["Lancamento"]; ?></td>
            </tr>
            <tr>
                <td class="azul-claro" width="20%">Data</td>
                <td class="cinza"><?php echo data_exibir($_POST["Data_Registro"]); ?></td>
            </tr>
            <tr>
                <td class="azul-claro" width="20%">Hora</td>
                <td class="cinza"><?php echo $_POST["Hora"]; ?></td>
            </tr>
            <tr>
                <td class="azul-claro" width="20%">Responsvel</td>
                <td class="cinza"><?php echo $_POST["Funcionario"]; ?></td>
            </tr>
            <tr>
                <td class="azul-claro" width="20%">Cliente</td>
                <td class="cinza"><?php echo $_POST["Cliente"]; ?></td>
            </tr>
            <tr>
                <td class="azul-claro" width="20%">Especialista</td>
                <td class="cinza"><?php echo $_POST["Especialista"]; ?></td>
            </tr>
            <tr>
                <td class="azul-claro" width="20%">Obs</td>
                <td class="cinza"><?php echo $_POST["Obs_clinica_registro_paciente"]; ?></td>
            </tr>
            <tr>
                <td class="azul-claro" width="20%">Data Concluso</td>
                <td class="cinza"><?php echo data_exibir($_POST["Data_Conclusao"]); ?></td>
            </tr>
        </table>
        <br />
        <button class="botao_novo" type="button" value="Voltar" onclick="location.href='list_registro_paciente.php';">Voltar</button>

    </fieldset>