<?php
include_once "../include/conecta.php"; //Conecta com a nosso banco de dados MySQL
ini_set('session.gc_maxlifetime', 60*120); session_start();
/* include_once "../include/ver_sessao.php"; //Verifica se a sesso est ativa */
include_once "../include/funcoesPhp.php"; //Inclue a pgina con todas as funes a ser usada.

?>
<?php 
        $coleta = listar("Select coleta.Id,
                                 coleta.Data_Coleta,
                                 coleta.Hora_Coleta,
                                 coleta.Ajudante,
                                 coleta.Motorista,
                                 coleta.Placa,
                                 coleta.Contato_Cliente,
                                 coleta.Lancamento,
                                 coleta.Id_Unidade,
                                 coleta.Obs,
                                 coleta.Qtd_Coleta,
                                 funcionario.Titulo as Id_Ajudante1,
                                 funcionario2.Titulo as Id_Ajudante2,
                                 funcionario3.Titulo as Id_Ajudante3,
                                 funcionario4.Titulo as Id_Ajudante4,
                                 veiculo.Modalidade,
                                 cliente.Titulo as 'Cliente',
                                 cliente.Razao_Social,
                                 cliente.Email,
                                 cliente.Natureza,
                                 cliente.Cpf_Cnpj,
                                 cliente.Rua,
                                 cliente.Numero,
                                 cliente.Cep,
                                 cliente.Bairro,
                                 cliente.Estado,
                                 cliente.Fone1,
                                 cliente.Cidade,
                                 cliente.Ponto_Referencia,
                                 Endereco_Entrega,
                                 Cep_Entrega,
                                 Bairro_Entrega,
                                 Cidade_Entrega,
                                 Estado_Entrega
                                 FROM coleta
                                 left join 
                                 (
                                 (SELECT Id,Titulo,Email,Natureza,Cpf_Cnpj,Rua,Numero,Cep,Bairro,Estado,Fone1,Cidade,Razao_Social,Ponto_Referencia,
                                 Endereco_Entrega,Cep_Entrega,Bairro_Entrega,Cidade_Entrega,Estado_Entrega
                                 FROM cliente)
                                 UNION
                                 (SELECT Id,Titulo,Email,Natureza,Cpf_Cnpj,Rua,Numero,Cep,Bairro,Estado,Fone1,Cidade,Razao_Social,Ponto_Referencia,
                                 Endereco_Entrega,Cep_Entrega,Bairro_Entrega,Cidade_Entrega,Estado_Entrega
                                 FROM fornecedor)
                                 ) 
                                 as cliente ON cliente.Id = coleta.Id_Cliente
                                 left join (SELECT Id,Modalidade FROM veiculo) as veiculo ON veiculo.Id = coleta.Id_Veiculo
                                 LEFT JOIN (SELECT Id,Titulo FROM funcionario) as funcionario ON funcionario.Id = coleta.Id_Ajudante1
                                 LEFT JOIN (SELECT Id,Titulo FROM funcionario) as funcionario2 ON funcionario2.Id = coleta.Id_Ajudante2
                                 LEFT JOIN (SELECT Id,Titulo FROM funcionario) as funcionario3 ON funcionario3.Id = coleta.Id_Ajudante3
                                 LEFT JOIN (SELECT Id,Titulo FROM funcionario) as funcionario4 ON funcionario4.Id = coleta.Id_Ajudante4
                                 where coleta.Id = '".$_GET["id_coleta"]."' ");

$_GET["Unidade"] = $coleta[0]["Id_Unidade"];
?>
<html>
<head>
<title>Gw - Gesto Web</title>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1" />
<link rel="shortcut icon" href="../imagem/favi_gw.ico" type="image/x-icon" />
<link rel="stylesheet" type="text/css" href="../estilo/<?php echo SKIN ;?>/tabela_imp.css" />
<script type="text/javascript" language="javascript" src="../js/jquery.js"></script>
<?php include '../include/script_cabeca.php'; ?>
<script type="text/javascript" language="javascript" src="../js/script.js"></script>
<script type="text/javascript" language="javascript" src="../js/meiomask/meiomask.js"></script>
<script type="text/javascript" language="javascript" src="../js/meiomask/<?php if(PAIS=="USA"){ echo "mascaras-usa"; }else{ echo "mascaras"; }?>.js"></script>
</head>
<body>
<br/>

<table width="98%" align="center"><!-- TABELA Q ENVOLVE TODO O CONTEUDO -->
<tr>
	<td>
		<?php include "../include/cabecalho_pedido.php"; ?>
	</td>
</tr>
<tr>
	<td>
		<table width="100%" align="center">
			<tr>
                            <td colspan="2" align="center">
                                <font face="verdana" size="3">
                                    <b><i>Coleta - <?php echo $coleta[0]["Lancamento"];?></i></b>
                                </font>
                            </td>
			</tr>
		</table>
	</td>
</tr>
<tr>
	<td>
		<table width="100%" align="center" class="tabela">
                        <tr>
				<td width="70%">
                                    Motorista: <?php echo $coleta[0]["Motorista"];?>
                                    &nbsp;&nbsp;&nbsp; | &nbsp;&nbsp;&nbsp;
                                    Placa: <?php echo $coleta[0]["Placa"];?>
                                </td>
                                <td width="30%"><?php echo data_exibir($coleta[0]["Data_Coleta"])." ".$coleta[0]["Hora_Coleta"];?></td>
			</tr>
                        <tr>
				<td width="70%">Caminho: <?php echo $coleta[0]["Modalidade"];?></td>
                                <td width="30%">Qtd Coleta: <?php echo $coleta[0]["Qtd_Coleta"];?></td>
			</tr>
                        <tr>
				<td colspan="2">Ajudantes: <?php echo $coleta[0]["Id_Ajudante1"]?> , <?php echo $coleta[0]["Id_Ajudante2"]?> , <?php echo $coleta[0]["Id_Ajudante3"]?> , <?php echo $coleta[0]["Id_Ajudante4"];?></td>
			</tr>
			<tr>
				<td width="70%">Cliente: 
                                    <?php
                                    if(CLIENTE_RAZAO_SOCIAL=='Sim'){
                                        echo $coleta[0]["Razao_Social"];
                                    }else{
                                        echo $coleta[0]["Cliente"];
                                    }
                                    ?>
                                </td>
                                <td width="30%">Fone: <?php echo $coleta[0]["Fone1"];?></td>
			</tr>
			<tr>
				<td width="70%">End: <?php echo $coleta[0]["Endereco_Entrega"];?></td>
				<?php if($coleta[0]["Natureza"] == "PF"){?>
				<td width="30%">CPF: <?php echo $coleta[0]["Cpf_Cnpj"];?></td>
				<?php }else{?>
				<td width="30%">CNPJ: <?php echo $coleta[0]["Cpf_Cnpj"];?></td>
				<?php }?>
			</tr>
                        <tr>
				<td colspan="2">Refer: <?php echo $coleta[0]["Ponto_Referencia"];?></td>
			</tr>
			<tr>
				<td width="70%">Bairro/Cidade/UF: 
                                    <?php echo $coleta[0]["Bairro_Entrega"].' / '.
                                                $coleta[0]["Cidade_Entrega"].' / '.
                                                $coleta[0]["Estado_Entrega"];
                                    ?>
                                </td>
				<td width="30%">CEP: <?php echo $coleta[0]["Cep_Entrega"];?></td>
			</tr>
			<tr>
				<td colspan="2">Obs: <?php echo $coleta[0]["Obs"];?></td>
			</tr>
		</table>
	</td>
</tr>
                    <?php

    $coleta_pro = mysqli_query($con,"Select produto.Titulo as 'Produto',
                             produto.Codigo,
                             coleta_produto.Qtd,
                             coleta_produto.Obs
                             from coleta_produto
                             left join (SELECT Id,Titulo,Codigo FROM produto) as produto ON produto.Id = coleta_produto.Id_Produto
                             where coleta_produto.Id_Coleta = '".$_GET["id_coleta"]."'
                             AND coleta_produto.Tipo = 'Coleta' ");

if(mysqli_num_rows($coleta_pro) != 0) {

                        ?>
<tr>
	<td>
		<table width="100%" align="center" class="tabela">
			<tr>
				<td colspan="10"><i>Produtos Coleta</i></td>
			</tr>
			<tr class="azul-claro">
				<td width="3%">N</td>
				<td width="8%">Cdigo</td>
				<td width="36%">Produto</td>
                                <td>Qtd</td>
				<td width="50%">Obs</td>
			</tr>
                            <?php
                            $x=1;
                            while($chave = mysqli_fetch_assoc($coleta_pro)){
                            ?>
			<tr>
				<td><?php echo $x;?></td>
				<td><?php echo $chave["Codigo"];?></td>
				<td><?php echo $chave["Produto"];?></td>
                                <td><?php echo $chave["Qtd"];?></td>
                                <td><?php echo $chave["Obs"];?></td>
			</tr>
			<?php
                            $x++; }
			?>
		</table>
	</td>
</tr>
<?php  } ?>
                <?php

$coleta_pro = mysqli_query($con,"Select produto.Titulo as 'Produto',
                         produto.Codigo,
                         produto.Codigo_Tombamento
                         from coleta_produto
                         left join (SELECT Id,Titulo,Codigo,Codigo_Tombamento FROM produto) as produto ON produto.Id = coleta_produto.Id_Produto
                         where coleta_produto.Id_Coleta = '".$_GET["id_coleta"]."'
                         AND coleta_produto.Tipo = 'Saida' ");

if(mysqli_num_rows($coleta_pro) != 0) {

                        ?>
<tr>
	<td>
		<table width="100%" align="center" class="tabela">
			<tr>
				<td colspan="10"><i>Equipamento Sada</i></td>
			</tr>
			<tr class="azul-claro">
				<td width="3%">N</td>
				<td width="8%">Cdigo</td>
				<td width="36%">Produto</td>
                                <td width="20%">Patrimnio</td>
				<td width="30%">Obs</td>
			</tr>
                            <?php
                            $x=1;
                            while($chave = mysqli_fetch_assoc($coleta_pro)){
                            ?>
			<tr>
				<td><?php echo $x;?></td>
				<td><?php echo $chave["Codigo"];?></td>
				<td><?php echo $chave["Produto"];?></td>
                                <td><?php echo $chave["Codigo_Tombamento"];?></td>
                                <td>&nbsp;</td>
			</tr>
			<?php
                            $x++; }
			?>
		</table>
	</td>
</tr>
<?php  } ?>
                <?php

$coleta_pro = mysqli_query($con,"Select produto.Titulo as 'Produto',
                         produto.Codigo,
                         produto.Codigo_Tombamento
                         from coleta_produto
                         left join (SELECT Id,Titulo,Codigo,Codigo_Tombamento FROM produto) as produto ON produto.Id = coleta_produto.Id_Produto
                         where coleta_produto.Id_Coleta = '".$_GET["id_coleta"]."'
                         AND coleta_produto.Tipo = 'Entrada' ");

if(mysqli_num_rows($coleta_pro) != 0) {

                        ?>
<tr>
	<td>
		<table width="100%" align="center" class="tabela">
			<tr>
				<td colspan="10"><i>Equipamento Entrada</i></td>
			</tr>
			<tr class="azul-claro">
				<td width="3%">N</td>
				<td width="8%">Cdigo</td>
				<td width="36%">Produto</td>
                                <td width="20%">Patrimnio</td>
				<td width="30%">Obs</td>
			</tr>
                            <?php
                            $x=1;
                            while($chave = mysqli_fetch_assoc($coleta_pro)){
                            ?>
			<tr>
				<td><?php echo $x;?></td>
				<td><?php echo $chave["Codigo"];?></td>
				<td><?php echo $chave["Produto"];?></td>
                                <td><?php echo $chave["Codigo_Tombamento"];?></td>
                                <td>&nbsp;</td>
			</tr>
			<?php
                            $x++; }
			?>
		</table>
	</td>
</tr>
<?php  } ?>
<table width="98%" align="center">
	<tr>
		<td align="center"><br>________________________</td>
		<td align="center"><br>________________________</td>
	</tr>
	<tr>
		<td align="center"><font face="verdana" size="2"><?php echo $coleta[0]["Cliente"];?></font></td>
		<td align="center"><font face="verdana" size="2">Motorista: <?php echo $coleta[0]["Motorista"];?></font></td>
	</tr>
</table>

<br/>
</body>
</html>
<?php include "../include/rodape.php";?>