<?php
include_once '../include/conecta.php'; //Conecta com a nosso banco de dados MySQL
include_once '../include/ver_sessao.php'; //Verifica se a sesso est ativa
include_once '../include/funcoesPhp.php';
include_once '../menu_movimento.php';
?>
<?php
if (($_GET["Em_Andamento"]) || ($_GET["Reagendado"]) || ($_GET["Realizado"]) || ($_GET["Cancelado"])) {

    $status = "and (";

    if ($_GET["Em_Andamento"]) {
        $status .= " coleta.Status = 'Em Andamento' OR";
    }
    if ($_GET["Reagendado"]) {
        $status .= " coleta.Status = 'Reagendado' OR";
    }
    if ($_GET["Realizado"]) {
        $status .= " coleta.Status = 'Realizado' OR";
    }
    if ($_GET["Cancelado"]) {
        $status .= " coleta.Status = 'Cancelado' OR";
    }

    $status = substr($status, 0, -2);
    $status .= ")";
}

if ($_GET["De"])
    $data .= "AND coleta.Data_Coleta >= '" . data_banco($_GET["De"]) . " 00:00:00' ";
if ($_GET["Ate"])
    $data .= "AND coleta.Data_Coleta <= '" . data_banco($_GET["Ate"]) . " 23:59:59' ";

if ($_GET["Peso_Inicio"])
    $peso .= "AND coleta.Peso_Coleta >= '" . ($_GET["Peso_Inicio"]) . "' ";
if ($_GET["Peso_Fim"])
    $peso .= "AND coleta.Peso_Coleta <= '" . ($_GET["Peso_Fim"]) . "' ";

if ($_GET["Cliente"]) {

    $mystring = $_GET["Cliente"];
    $findme = " : ";

    $posicao = strpos($mystring, $findme);

    $cod_cli = substr($_GET["Cliente"], 0, $posicao);
    $nome_cli = substr($_GET["Cliente"], ($posicao + 3));


    if (CLIENTE_RAZAO_SOCIAL == 'Sim') {
        $nome = 'Razao_Social';
    } else {
        $nome = 'Titulo';
    }
    /* convertendo o nome do cliente, para o seu codigo */
    $Prodt = listar("SELECT Id FROM cliente WHERE " . $nome . " ='" . $nome_cli . "' AND Codigo = '" . $cod_cli . "' ");

    if ($Prodt[0]["Id"] == '') {
        $Prodt = listar("SELECT Id FROM fornecedor WHERE " . $nome . " ='" . $nome_cli . "' AND Codigo = '" . $cod_cli . "' ");
    }

    $_GET["Cliente"] = $Prodt[0]["Id"];

    $Cliente .= "and coleta.Id_Cliente = '" . $_GET["Cliente"] . "' ";
}

if ($_GET["Produto"]) {
    $venda_produto .= "and coleta_produto.Id_Produto = '" . $_GET["Produto"] . "' ";
}

if ($_GET["Funcionario"]) {
    $Motorista .= "and coleta.Motorista = '" . $_GET["Funcionario"] . "' ";
}
if ($_GET["Unidade"]) {
    $Unidade .= "and coleta.Id_Unidade = '" . $_GET["Unidade"] . "' ";
}
if ($_GET["Veiculo"]) {
    $Veiculo .= "and coleta.Id_Veiculo = '" . $_GET["Veiculo"] . "' ";
}
if ($_GET["Transportadora"]) {
    $Veiculo .= "and coleta.Id_Transportadora = '" . $_GET["Transportadora"] . "' ";
}

if ($_GET["Placa"]) {
    $Placa .= "and coleta.Placa = '" . $_GET["Placa"] . "' ";
}

if ($_GET["Categoria_Produto"]) {
    $categoria_produto .= "AND produto.Id_Categoria_Produto = '" . $_GET["Categoria_Produto"] . "' ";
}
if ($_GET["Categoria_Produto_Filho"]) {
    $categoria_produto .= "and produto.Id_Categoria_Produto_Filho = '" . $_GET["Categoria_Produto_Filho"] . "' ";
}

if ($_GET["Ok"]) {

    if (CLIENTE_RAZAO_SOCIAL == 'Sim') {
        $nome = 'Razao_Social';
    } else {
        $nome = 'Titulo';
    }
    $venda = mysqli_query($con, "Select DISTINCT coleta.Id,
                                                coleta.Placa,
                                                coleta.Ajudante,
                                                coleta.Contato_Cliente,
                                                coleta.Lancamento,
                                                DATE_FORMAT(coleta.Data_Coleta, '%d/%m/%Y %H:%i') as 'Data_Coleta',
                                                coleta.Tipo_Frete,
                                                coleta.Frete,
                                                coleta.Fone,
                                                coleta.Ponto_Referencia,
                                                coleta.Status,
                                                coleta.Romaneio,
                                                coleta.Qtd_Coleta,
                                                coleta.Km_Rodado,
                                                coleta.Obs,
                                                motorista.Titulo as Motorista,
                                                coleta.Id_Ajudante1,
                                                coleta.Id_Ajudante2,
                                                coleta.Id_Ajudante3,
                                                coleta.Id_Ajudante4,
                                                coleta.Peso_Coleta,
                                                cliente.$nome as Cliente,
                                                cliente.Razao_Social,
                                                cliente.Rua,
                                                cliente.Numero,
                                                cliente.Cep,
                                                cliente.Complemento,
                                                cliente.Bairro,
                                                cliente.Cidade
                                                from coleta
                                                left join (SELECT Id,Id_Produto,Id_Coleta FROM coleta_produto ) as coleta_produto ON coleta_produto.Id_Coleta = coleta.Id
                                                LEFT JOIN 
                                                (
                                                (SELECT Id,Titulo,Razao_Social,Rua,Numero,Cep,Complemento,Bairro,Cidade FROM cliente)
                                                UNION
                                                (SELECT Id,Titulo,Razao_Social,Rua,Numero,Cep,Complemento,Bairro,Cidade FROM fornecedor)
                                                )
                                                as cliente ON coleta.Id_Cliente = cliente.Id
                                                left join (SELECT Id,Modalidade,Placa,Id_Motorista FROM veiculo WHERE 1=1 ) as veiculo ON coleta.Id_Veiculo = veiculo.Id
                                                left join (SELECT Id,Titulo FROM funcionario) as motorista ON motorista.Id = coleta.Motorista
                                                WHERE 1=1
                                                $data $Cliente $Unidade $Veiculo $status $peso $venda_produto $Placa $Motorista
                                                order by coleta.Data_Coleta");
}
?>
<?php ob_start(); /* Inicia o fluxo */ ?>
<html>
    <head>
        <link rel="stylesheet" type="text/css" href="../estilo/<?php echo SKIN; ?>/tabela_imp.css" />
        <script type="text/javascript" language="javascript" src="../js/jquery.js"></script>
        <?php include '../include/script_cabeca.php'; ?>
        <script type="text/javascript" language="javascript" src="../js/script.js"></script>
        <script type="text/javascript" language="javascript" src="../js/meiomask/meiomask.js"></script>
        <script type="text/javascript" language="javascript" src="../js/meiomask/<?php
        if (PAIS == "USA") {
            echo "mascaras-usa";
        } else {
            echo "mascaras";
        }
        ?>.js"></script>
    </head>
    <body>
        <?php include "../include/cabecalho_relatorio.php"; ?>
        <table width="100%" align="center">
            <tr>
                <td>
                    <font face="verdana" size="2"><i>Relatrio de Coleta</i></font>
                </td>
            </tr>
            <tr>
                <td><font face="verdana" size="2">
                    <?php
                    if ($_GET["De"]) {
                        echo "Perodo: " . $_GET["De"];
                    }
                    if ($_GET["Ate"]) {
                        echo "  " . $_GET["Ate"];
                    }
                    if ($_GET["Cliente"]) {
                        if (CLIENTE_RAZAO_SOCIAL == 'Sim') {
                            $nome = 'Razao_Social';
                        } else {
                            $nome = 'Titulo';
                        }
                        $achar = listar("Select " . $nome . " as Titulo from cliente
			where Id = '" . $_GET["Cliente"] . "' ");
                        echo " - " . $achar[0]["Titulo"];
                    }
                    if ($_GET["Produto"]) {
                        $achar = listar("Select Titulo from produto
			where Id = '" . $_GET["Produto"] . "' ");
                        echo " - " . $achar[0]["Titulo"];
                    }
                    if ($_GET["Cancelado"]) {
                        echo " - " . $_GET["Cancelado"];
                    }
                    if ($_GET["Finalizado"]) {
                        echo " - " . $_GET["Finalizado"];
                    }
                    if ($_GET["Aberto"]) {
                        echo " - " . $_GET["Aberto"];
                    }
                    //se o sistema for Multi Empresa
                    if ((MULTI_EMPRESA == "Sim") && ($_SESSION["Id_Nivel"] == '1')) {

                        if ($_GET["Unidade"]) {
                            $achar = listar("Select Titulo from unidade
						where Id = '" . $_GET["Unidade"] . "' ");
                            echo " - " . $achar[0]["Titulo"];
                        }
                    }
                    ?>
                    </font>	
                </td>
            </tr>
        </table>
        <table width="100%" class="tabela">
            <?php
            if ($_GET["Ok"]) {

                while ($chave = mysqli_fetch_assoc($venda)) {
                    ?>
                    <tr class="azul-claro">
                        <td>N.: <b><?php echo $chave["Lancamento"] ?></b></td>
                        <td>Data: <b><?php echo $chave["Data_Coleta"] ?></b></td>
                        <td>Romaneio: <b><?php echo $chave["Romaneio"] ?></b></td>
                        <td>Motorista: <b><?php echo $chave["Motorista"] ?></b></td>
                        <td>Peso: <b><?php echo $chave["Peso_Coleta"] ?></b></td>
                        <td>Placa: <b><?php echo $chave["Placa"] ?></b></td>
                    </tr>
                    <tr class="cinza">
                        <td>Cliente: <?php echo $chave["Cliente"] ?></td>
                        <td>Contato: <?php echo $chave["Contato_Cliente"] ?></td>
                        <td colspan="3">
                            End: <?php echo $chave["Rua"] . ", " . $chave["Numero"] . " - " . $chave["Bairro"] . " - " . $chave["Cidade"] . " - " . $chave["Complemento"] ?>
                            <?php if ($chave["Ponto_Referencia"]) echo "<br/>" . $chave["Ponto_Referencia"] ?>
                        </td>
                        <td>Fone: <?php echo $chave["Fone"] ?></td>
                    </tr>
                    <tr>
                        <td colspan="2">Cdigo</td>
                        <td colspan="4">Produto</td>
                    </tr>
                    <?php
                    $produto = listar("Select produto.Titulo,
                                    produto.Codigo
                                    from coleta_produto
                                    left join (SELECT Id,Titulo,Codigo FROM produto) as produto ON produto.Id = coleta_produto.Id_Produto
                                    where coleta_produto.Id_Coleta = '" . $chave["Id"] . "'
                                    $venda_produto ");
                    ?>
                    <?php
                    $color = "#F5F5F5";
                    $vtotal = '0';
                    foreach ($produto as $valor) {

                        if ($color == "#F5F5F5") {
                            $color = "#E8E8E8";
                        } else {
                            $color = "#F5F5F5";
                        }
                        ?>
                        <tr bgcolor=<?php echo "$color"; ?>>
                            <td colspan="2"><?php echo $valor["Codigo"] ?></td>
                            <td colspan="4"><?php echo $valor["Titulo"] ?></td>
                        </tr>
                        <?php
                    }


                    $corStatus = "";
                    if ($chave['Status'] == 'Realizado') {
                        $corStatus = "color = '#228B22' ";
                        $corStatus1 = "color = '#228B22' ";
                        $colRealizado++;
                    }
                    if ($chave['Status'] == 'Em Andamento') {
                        $corStatus = "color = '#3A5FCD' ";
                        $corStatus2 = "color = '#3A5FCD' ";
                        $colAndamento++;
                    }
                    if ($chave['Status'] == 'Cancelado') {
                        $corStatus = "color = '#CD2626' ";
                        $corStatus3 = "color = '#CD2626' ";
                        $colCancelado++;
                    }
                    if ($chave['Status'] == 'Reagendado') {
                        $corStatus = "color = '#FF4500' ";
                        $corStatus4 = "color = '#FF4500' ";
                        $colReagendado++;
                    }
                    $col++;
                    ?>

                    <tr>
                        <td colspan="2">Obs: <?php echo $chave["Obs"] ?></td>
                        <td colspan="3">Ajudantes: 
                            <b>
                                <?php
                                $qtdAjudante = '';
                                if ($chave["Id_Ajudante1"]) {
                                    $qtdAjudante += '1';
                                }
                                if ($chave["Id_Ajudante2"]) {
                                    $qtdAjudante += '1';
                                }
                                if ($chave["Id_Ajudante3"]) {
                                    $qtdAjudante += '1';
                                }
                                if ($chave["Id_Ajudante4"]) {
                                    $qtdAjudante += '1';
                                }
                                echo $qtdAjudante;
                                ?>
                            </b>
                            &nbsp;&nbsp; Km Rodado: <b><?php echo $chave["Km_Rodado"] ?></b></td>
                        <td>
                            <font <?php echo $corStatus ?> >
                            <?php echo $chave['Status']; ?>
                            </font>
                        </td>
                    </tr>
                    <tr>
                        <td colspan="6">&nbsp;</td>
                    </tr>
                    <?php
                    $tpeso += $chave["Peso_Coleta"];
                }
            }
            ?>
            <tr>
                <td colspan="6" align="center">
                    <font <?php echo $corStatus1; ?> >Realizado</font>: <b><?php echo $colRealizado; ?></b> - 
                    <font <?php echo $corStatus2; ?> >Em Andamento</font>: <b><?php echo $colAndamento; ?></b> - 
                    <font <?php echo $corStatus4; ?> >Reagendado</font>: <b><?php echo $colReagendado; ?></b> - 
                    <font <?php echo $corStatus3; ?> >Cancelado</font>: <b><?php echo $colCancelado; ?></b> - 
                    Total: <b><?php echo $col; ?></b> 
                    &nbsp;&nbsp;&nbsp;&nbsp; | &nbsp;&nbsp;&nbsp;&nbsp;  
                    Peso Total: <b><?php echo $tpeso; ?></b>
                </td>
            </tr>
        </table>
        <br>
    </body>
</html>
<?php
$html = ob_get_contents();
ob_end_clean();

include_once "../include/pdf_opcao.php";
?>