<?php
include_once '../../include/conecta.php'; //Conecta com a nosso banco de dados MySQL
ini_set('session.gc_maxlifetime', 60 * 120);
session_start();
/* include_once '../include/ver_sessao.php'; //Verifica se a sesso est ativa */
include_once '../../include/funcoesPhp.php';
include_once '../../menu_movimento.php';


$cliente = listar("SELECT cliente.Titulo,
                        cliente.Natureza,
                        cliente.Cpf_Cnpj,
                        cliente.Razao_Social,
                        cliente.Rua,
                        cliente.Numero,
                        cliente.Bairro,
                        cliente.Complemento,
                        cliente.Cidade,
                        cliente.Estado,
                        cliente.Cep,
                        cliente.Fone1,
                        comodato.Lancamento,
                        comodato.Parcela,
                        comodato.Data_Comodato,
                        comodato.Data_Agendamento,
                        comodato.Valor_Pago,
                        comodato.Nome_Paciente,
                        comodato.Endereco_Paciente,
                        comodato.Texto4
                        FROM comodato
                        LEFT JOIN (SELECT Id,Titulo,Razao_Social,Natureza,Cpf_Cnpj,Rua,Numero,Bairro,Fone1,Cidade,Complemento,Estado,Cep FROM cliente) as cliente on cliente.Id = comodato.Id_Cliente
                        WHERE comodato.Id = '" . $_GET["id_comodato"] . "' ");

$mesAtual = date("F");
switch ($mesAtual) {
    case 'January':
        $Mes = ' Janeiro';
        break;
    case 'February':
        $Mes = ' Fevereiro';
        break;
    case 'March':
        $Mes = ' Maro';
        break;
    case 'April':
        $Mes = ' Abril';
        break;
    case 'May':
        $Mes = ' Maio';
        break;
    case 'June':
        $Mes = ' Junho';
        break;
    case 'July':
        $Mes = ' Julho';
        break;
    case 'August':
        $Mes = ' Agosto';
        break;
    case 'September':
        $Mes = ' Setembro';
        break;
    case 'October':
        $Mes = ' Outubro';
        break;
    case 'November':
        $Mes = ' Novembro';
        break;
    case 'December':
        $Mes = ' Dezembro';
        break;
    default:
        break;
}

?>
<html>

<head>
    <title>Gw - Gesto Web</title>
    <link rel="stylesheet" type="text/css" href="../../estilo/tabela_imp.css" />
    <script type="text/javascript" language="javascript" src="../../js/jquery.js"></script>
    <?php include '../../include/script_cabeca.php'; ?>
    <script type="text/javascript" language="javascript" src="../../js/script.js"></script>
    <script type="text/javascript" language="javascript" src="../../js/editing/editing2.js"></script>
    <script type="text/javascript" language="javascript">
        //window.onload = function(){
        //window.print();
        //}
    </script>
    <style type="text/css" media="print">
        thead {
            display: table-header-group;
        }

        tfoot {
            display: table-footer-group;
        }

        thead th,
        thead td {
            position: static;
        }

        thead tr {
            position: static;
        }

        /*prevent problem if print after scrolling table*/
        table tfoot tr {
            position: static;
        }
    </style>
</head>
<?php
//variavel $_GET["Unidade"], vem de todos os filtros de relatorios.
if (!$_GET["Unidade"]) {
    $_GET["Unidade"] = $_SESSION["Unidade"];
}
$empresa = listar("SELECT unidade.Logo,
                            unidade.Titulo,
                            unidade.Cnpj,
                            unidade.Rua,
                            unidade.Numero,
                            unidade.Bairro,
                            unidade.Razao_Social,
                            cidade.Titulo as Cidade,
                            unidade.Estado,
                            unidade.Cidade,
                            unidade.Cep,
                            unidade.Fone1,
                            unidade.Fone2,
                            unidade.Email,
                            unidade.Site
                        FROM unidade
                        left join (SELECT Id as Codigo,Titulo,Uf FROM cidade_ibge) as cidade ON cidade.Codigo = unidade.Id_Cidade
                        WHERE Id = '" . $_GET["Unidade"] . "' ");

$comodato_pro = listar("SELECT DISTINCT comodato_produto.Id,
                                        comodato_produto.Preco as 'Preco_Comodato',
                                        (comodato_produto.Preco)as Total_Produto,
                                        comodato_produto.Qtd as 'Qtd_Comodato',
                                        comodato_produto.Desconto as 'Desconto_Comodato',
                                        comodato_produto.Desconto_Real,
                                        comodato_produto.Numero_Serie,
                                        comodato_produto.Data,
                                        produto.Titulo as 'Produto',
                                        produto.Descricao,
                                        produto.Codigo
                                        from comodato_produto
                                        left join (SELECT Id,Titulo,Descricao,Codigo FROM produto) as  produto ON produto.Id = comodato_produto.Id_Produto
                                        where comodato_produto.Id_Comodato = '" . $_GET["id_comodato"] . "'
                                        AND Tipo = 'Emprestado' ");
?>

<body>
    <table width="98%" align="center"><!-- TABELA Q ENVOLVE TODO O CONTEUDO -->
        <tr>
            <td>
                <table width="100%"><br><br>
                    <tr>
                        <td align="justify">
                            <span style="font-size: 14px">
                                <b>
                                    <center>
                                        <font size="6">
                                            <span>
                                                CONTRATO DE LOCAO DE BENS E EQUIPAMENTOS
                                            </span>
                                        </font>
                                    </center>
                                </b><br /><br />
                                <p style="font-size:25px; text-indent: 50px;">
                                    Pelo presente instrumento particular de Contrato de Locao de Bens e Equipamentos,
                                    de um lado a Empresa <b><?= $empresa[0]["Razao_Social"]; ?></b>,
                                    com sede na cidade de <b><?= $empresa[0]["Cidade"] . '-' . $empresa[0]["Estado"] ?></b>,
                                    inscrita no <b>CNPJ</b> sob o n <b><?= $empresa[0]["Cnpj"] ?></b>,
                                    aqui denominada de LOCADOR(a) <b><?= $empresa[0]["Razao_Social"] ?></b>
                                    e do outro lado cliente <span class="inlineEdit" id="11" style="cursor: pointer;" alt="Clique para Editar !" title="Clique para Editar !"><b><?= $cliente[0]["Razao_Social"] ?></b>,
                                        RESIDENTE NA <b><?= $cliente[0]["Rua"] ?></b>, <b><?= $cliente[0]["Complemento"] ?></b>, <b><?= $cliente[0]["Numero"] ?></b>, <b><?= $cliente[0]["Bairro"] ?></b>,
                                        PORTADOR <b><?php if ($cliente[0]["Natureza"] == 'PF') {
                                                        echo 'CPF ' . cpf_exibir($cliente[0]["Cpf_Cnpj"]);
                                                    } else {
                                                        echo 'CNPJ' . cnpj_exibir($cliente[0]["Cpf_Cnpj"]);
                                                    } ?></b> <b>TELEFONE: <?= ($cliente[0]["Fone1"]) ?></b>,
                                    </span>
                                    aqui denominado (a) de LOCATRIO (a),
                                    tm entre si com justo e contratado o que se segue:
                                </p>

                                <p>
                                <h1>
                                    <b>CLUSULA PRIMEIRA: DO OBJETO:</b>
                                </h1>
                                </p>
                                <p style="font-size:28px; text-indent: 50px;">
                                    <?php // foreach ($comodato_pro as $produto) { 
                                        
                                        $itensComodato = mysqli_query($con,"SELECT DISTINCT comodato_produto.Id,
                                        comodato_produto.Preco as 'Preco_Comodato',
                                        comodato_produto.Qtd as 'Qtd_Comodato',
                                        comodato_produto.Desconto as 'Desconto_Comodato',
                                        comodato_produto.Desconto_Real,
                                        comodato_produto.Numero_Serie,
                                        comodato_produto.Data,
                                        produto.Titulo as 'Produto',
                                        produto.Descricao,
                                        produto.Codigo
                                        from comodato_produto
                                        left join (SELECT Id,Titulo,Descricao,Codigo FROM produto) as  produto ON produto.Id = comodato_produto.Id_Produto
                                        where comodato_produto.Id_Comodato = '" . $_GET["id_comodato"] . "'
                                        AND Tipo = 'Emprestado' ");
                                        
                                        
                                        ?>
                                        Objetos Contratados So:
                                        <span class="inlineEdit" id="11" style="cursor: pointer;" alt="Clique para Editar !" title="Clique para Editar !"><br>
                                        <?php foreach ($itensComodato as $itensComodatoRetorno) { ?>    
                                        <?= '- '.$itensComodatoRetorno["Qtd_Comodato"].' '.$itensComodatoRetorno["Produto"].';' ?><br>
                                            <?php } ?>
                                        </span>
                                </p>
                                <?php //} ?>
                                <p>
                                <h1>
                                    <b>CLUSULA SEGUNDA: DO VALOR E PRAZO:</b>
                                </h1>
                                </p>
                                <p style="font-size:28px; text-indent: 50px;">
                                    O LOCATRIO compromete-se a pagar pela locao o equivalente a R$ <span class="inlineEdit" id="11" style="cursor: pointer;" alt="Clique para Editar !" title="Clique para Editar !"><?= valor_exibir($cliente[0]["Valor_Pago"] ) ?></span> reais pelo perodo de 30 dias, podendo ser renovada por igual perodo caso ambas as partes estejam de acordo. PERODO: <span class="inlineEdit" id="11" style="cursor: pointer;" alt="Clique para Editar !" title="Clique para Editar !"><?= data_exibir($cliente[0]["Data_Comodato"]) ?>  <?= data_exibir($cliente[0]["Data_Agendamento"]) ?></span>.
                                </p>
                                <p>
                                <h1>
                                    <b>CLUSULA TERCEIRA: DA RESTITUIO</b>
                                </h1>
                                </p>
                                <p style="font-size:28px; text-indent: 50px;">
                                    O LOCATRIO fica obrigado a zelar pelos bens e equipamentos descritos na clusula primeira, sendo que qualquer modificao ou perda, acarretar em restituio no valor de R$ 150 reais para Escoras de 3mt, Andaimes 200,00 reais, escoras de 4mt 200,00 reais, Piso de andaime 200,00 reais e para Travesses 60,00 reais. Pargrafo nico: No caso de destruio ou perda dos bens ou equipamentos, fica o LOCATRIO obrigado a pagar o valor equivalente ao mesmo, conforme descrito nesta Clusula.
                                </p>
                                <p>
                                <h1>
                                    <b>CLUSULA QUARTA: DO FORO</b>
                                    </h2>
                                    </p>
                                    <p style="font-size:28px; text-indent: 50px;">
                                        Para dirimir questes que direta ou indiretamente decorram deste contrato, as partes elegem o foro desta Comarca, com renncia expressa de qualquer outro, por mais privilegiado que seja. e, por estarem assim ajustados, firmam o presente instrumento em 02 (duas) vias de igual teor.
                                    </p>
                               
                                <p>
                                    <br>
                                <h2>
                                    <span style="font-size:28px;" class="inlineEdit" id="11" style="cursor: pointer;" alt="Clique para Editar !" title="Clique para Editar !"><b><?= $empresa[0]["Cidade"]; ?></b>, <?= date("d");   ?> <?php echo 'De' . $Mes; ?> <?= 'De ' . date("Y"); ?></span>.
                                </h2>
                                </p>

                                <table align="center">
                                    <tr>
                                        <td align="center">
                                            <font style="font-size:28px;"><br />
                                                __________________________________
                                                <br /><?php echo $empresa[0]["Razao_Social"]; ?><br>

                                                <br>
                                            </font>
                                        </td>
                                        <td>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</td>
                                        <td align="center">
                                            <font style="font-size:28px;"><br />
                                                __________________________________
                                                <br /><span class="inlineEdit" id="11" style="cursor: pointer;" alt="Clique para Editar !" title="Clique para Editar !"><?php echo $cliente[0]["Razao_Social"]; ?></span><br>

                                                <br>
                                            </font>
                                        </td>
                                    </tr>
                                </table>
                            </span>
                        </td>
                    </tr>
                </table>
            </td>
        </tr>
    </table>

</body>

</html>