<?php
include_once '../../include/conecta.php'; //Conecta com a nosso banco de dados MySQL
ini_set('session.gc_maxlifetime', 60 * 120);
session_start();
/* include_once '../include/ver_sessao.php'; //Verifica se a sesso est ativa */
include_once '../../include/funcoesPhp.php';
include_once '../../menu_movimento.php';


$cliente = listar("Select cliente.Titulo,
                        cliente.Natureza,
                        cliente.Cpf_Cnpj,
                        cliente.Rua,
                        cliente.Numero,
                        cliente.Bairro,
                        cliente.Cidade,
                        cliente.Estado,
                        cliente.Cep,
                        comodato.Lancamento,
                        comodato.Parcela,
                        comodato.Valor_Pago,
                        comodato.Nome_Paciente,
                        comodato.Endereco_Paciente
                        from comodato
                        left join (SELECT Id,Titulo,Natureza,Cpf_Cnpj,Rua,Numero,Bairro,Cidade,Estado,Cep FROM cliente) as cliente on cliente.Id = comodato.Id_Cliente
 			WHERE comodato.Id = '" . $_GET["id_comodato"] . "' ");
?>
<html>
    <head>
        <title>Gw - Gesto Web</title>
        <link rel="stylesheet" type="text/css" href="../../estilo/tabela_imp.css" />
        <script type="text/javascript" language="javascript" src="../../js/jquery.js"></script>
        <?php include '../../include/script_cabeca.php'; ?>
        <script type="text/javascript" language="javascript" src="../../js/script.js"></script>
        <script type="text/javascript" language="javascript" src="../../js/editing/editing2.js"></script>
        <script type="text/javascript" language="javascript">
            //window.onload = function(){
            //window.print();
            //}
        </script>
        <style type="text/css" media="print">

            thead	{display: table-header-group;	}
            tfoot	{display: table-footer-group;	}
            thead th, thead td	{position: static; }

            thead tr	{position: static; } /*prevent problem if print after scrolling table*/
            table tfoot tr {     position: static;    }


        </style>
    </head>
    <body>
        <table width="98%" align="center"><!-- TABELA Q ENVOLVE TODO O CONTEUDO -->
            <thead>
                <tr>
                    <td>
                        <table width="100%">
                            <tr>
                                <td align="left" width="50%"><img src="logo_tsequipamentos.jpeg"></td>
                                <td align="right" width="50%"><font size="2">Via Local II, 296,Santana<br>
                                    Jaboato dos Guararapes - Pernambuco</font></td>
                            </tr>
                        </table>
                    </td>
                </tr>
            </thead>
            <tr>
                <td>
                    <table width="100%">
                        <tr>
                            <td align="justify">
                                <span style="font-size: 14px">
                                    <b>
                                        <center>
                                            <font size="4">
                                            <span class="inlineEdit" id="11" style="cursor: pointer;" alt="Clique para Editar !" title="Clique para Editar !">
                                                CONTRATO DE LOCAO DE EQUIPAMENTOS
                                            </span>
                                            </font>
                                        </center>
                                    </b><br/><br/>
                                    Pelo presente instrumento particular de contrato de LOCAO, de um lado, 
                                    <b><?php echo $cliente[0]["Titulo"]; ?></b> inscrita no 
                                    <b>
                                        <?php
                                        if ($cliente[0]["Natureza"] == "PF") {
                                            echo "CPF de n.: " . cpf_exibir($cliente[0]['Cpf_Cnpj']);
                                        } else {
                                            echo "CNPJ de n.: " . cnpj_exibir($cliente[0]['Cpf_Cnpj']);
                                        }
                                        ?>
                                    </b>
                                    cito a <b><?php echo $cliente[0]["Rua"] . ", " . $cliente[0]["Numero"] . ", " . $cliente[0]["Bairro"] . " - " . $cliente[0]["Cidade"] . " - " . $cliente[0]["Estado"]; ?></b>,
                                    CEP <b><?php echo $cliente[0]["Cep"] ?></b>, doravante designada <b>LOCATRIA</b>, tendo como seu beneficirio o Sr(a) <b><?php echo $cliente[0]["Nome_Paciente"] ?></b>, cito a , <b><?php echo $cliente[0]["Endereco_Paciente"] ?></b>, atravs de seu representante legal abaixo assinado; 
                                    e de outro <b>TS EQUIPAMENTOS HOSPITALARES</b>, <b>Via Local II, 296</b> - <b>Santana</b>, <b>Jaboato dos Guararapes</b> - <b>PE</b>. 
                                    <b>CNPJ: 37.238.930/0001-98</b>, doravante designado <b>LOCADORA</b>, atravs de seu representante legal abaixo assinado, 
                                    perante testemunhas, tambm abaixo assinadas, contratam, na melhor forma de direito, aceitando e outorgando o que descrevem e caracterizam nas clusulas a seguir:<br/>
                                    <br/>


                                    <b>1 - DO OBJETO DO CONTRATO DE LOCAO N 
                                        <span class="inlineEdit" id="1" style="cursor: pointer;" alt="Clique para Editar !" title="Clique para Editar !">
                                            <?php echo $cliente[0]["Lancamento"]; ?>
                                        </span> :
                                    </b>

                                    <br/>

                                    O objeto do contrato  a <b>LOCAO</b> de : 
                                    <br/>
                                    <span class="inlineEdit" id="2" style="cursor: pointer;" alt="Clique para Editar !" title="Clique para Editar !">
                                        <?php
                                        $epi_nome = mysqli_query($con, "SELECT produto.Titulo,
                                                                    produto.Obs,
                                                                    comodato_produto.Qtd,
                                                                    comodato_produto.Numero_Serie
                                                                    FROM comodato_produto
                                                                    left join (SELECT Id,Titulo,Obs FROM produto) as produto ON produto.Id = comodato_produto.Id_Produto
                                                                    WHERE comodato_produto.Id_Comodato='" . $_GET["id_comodato"] . "'
                                                                    AND Tipo = 'Emprestado' ");
                                        while ($hist = mysqli_fetch_assoc($epi_nome)) {

                                            $ex_produto .= "<b>(" . $hist['Qtd'] . ") " . $hist['Titulo'] . " - " . $hist['Numero_Serie'] . "</b><br/>" .
                                                    $hist['Obs'] . "<br/>";
                                        }
                                        //echo $ex_produto = substr($ex_produto, 0, -5);
                                        echo "<br>";
                                        echo $ex_produto;
                                        ?>
                                    </span>

                                    <b>2 -</b>
                                    <span class="inlineEdit" id="3" style="cursor: pointer;" alt="Clique para Editar !" title="Clique para Editar !">
                                        O valor contratual mensal  de R$ <b><?php echo valor_exibir($cliente[0]["Valor_Pago"]); ?></b> (<?php echo valorPorExtenso($cliente[0]["Valor_Pago"]); ?>).
                                    </span>
                                    <br>
                                    <b>DO PERIODO DA LOCAO</b><br>
                                    O perodo da <b>LOCAO</b>; ser de 
                                    <b>
                                        <span class="inlineEdit" id="4" style="cursor: pointer;" alt="Clique para Editar !" title="Clique para Editar !">
                                            <?php
                                            if ($cliente[0]["Parcela"] == "1") {
                                                echo $cliente[0]["Parcela"] . " ms";
                                            } else {
                                                echo $cliente[0]["Parcela"] . " meses";
                                            }
                                            ?>
                                        </span>
                                    </b>,
                                    podendo ser prorrogado por perodo 
                                    igual ou superior desde que de acordo entre as partes.<br>
                                    <br/>
                                    <br/>

                                    <b>3 - OBRIGAES DO PACIENTE/CONTRATANTE</b><br><br>

                                    <b>3.1 </b> - O equipamento  de total responsabilidade do <b>PACIENTE / RESPONSVEL FINANCEIRO</b> durante todo o perodo de locao, comprometendo-se a us-lo(s) adequadamente, bem como mant-lo(s) a salvo de perda, furto, roubo ou dano por m utilizao e proibir que terceiros no autorizados pela CONTRATADA, executem quaisquer tipos de reparos nos equipamentos.
                                    <br>
                                    <br>
                                    <b>3.2 </b> - O <b>PACIENTE / RESPONSVEL FINANCEIRO</b> e o <b>CONTRATANTE</b> comprometem-se a assinar o presente contrato no ato da entrega dos equipamentos pela CONTRATADA, ou autorizarem a quem estiver no local, e depois de identificado, a faz-lo. Caso o paciente seja criana ou portador de doena incapacitante para a prtica vlida dos atos negociais, o <b>RESPONSVEL FINANCEIRO</b> assumir toda responsabilidade pelos equipamentos locados, inclusive a financeira.
                                    <br>
                                    <br>
                                    <b>3.3 </b> - Quando solicitada a substituio ou retirada de equipamento(s) por defeito ou mau uso, a <b>CONTRATADA</b> obriga-se a emitir um Laudo Tcnico sobre a ocorrncia e o <b>PACIENTE / RESPONSVEL FINANCEIRO</b> obriga-se ao pagamento do valor estipulado no Laudo Tcnico atravs da fatura mensal, ou atravs de outra forma estabelecida pelas partes. 
                                    <br>
                                    <br>
                                    <b>3.4 </b> - Na hiptese de resistncia ou desaparecimento de equipamentos locados, por qualquer que seja o motivo, incluindo s hipteses de roubo, furto ou extravio, o <b>PACIENTE / RESPONSVEL FINANCEIRO</b> obriga-se ao pagamento do valor de mercado do(s) referido(s) equipamento(s), atravs de forma estabelecida pela <b>CONTRATADA</b>  poca, bem como ao pagamento da locao dos equipamentos at o reembolso dos valores dos equipamentos, dada a impossibilidade da <b>CONTRATADA</b> em locar o bem para outras pessoas.
                                    <br>
                                    <br>
                                    <b>3.5 </b> - Preparar a rede eltrica da residncia de forma que esta atenda as normas e exigncias da companhia de distribuio de energia da regio. As tomadas devem ter capacidade para atender o consumo solicitado pelos equipamentos ligados a ela. O consumo individual de cada equipamento  informado no controle de entrega (aditivo contratual), basta somar o consumo de cada equipamento para saber qual a capacidade mnima que deve ter a tomada.
                                    <br>
                                    <br>
                                    <b>3.6 </b> - Para os casos de locao de cilindro, fica proibida a livre troca do bem ou de sua recarga com outro fornecedor que no seja a <b>CONTRATADA</b>, caso contrrio o <b>PACIENTE / RESPONSVEL FINANCEIRO</b> obriga-se ao pagamento do valor de mercado do cilindro.
                                    <br>
                                    <br>
                                    <b>3.7 </b> - Qualquer mudana ou alterao de endereo do <b>PACIENTE / RESPONSVEL FINANCEIRO</b> deve ser comunicada a empresa <b>CONTRATADA</b> com antecedncia de no mnimo 48 (quarenta e oito) horas.
                                    <br>
                                    <br>
                                    <br>
                                    <br>
                                    <p>E por assim justas e contratadas, ratificam todos os dizeres e clusulas impressas e constantes no presente contrato, lidos e achados conforme pelas partes assinam o presente em duas vias de igual teor e forma e na presena de duas testemunhas.</p>

                                    <tr>
                                        <td align="right">
                                            <font size="2">
                                            <?php
                                            switch (date('F')) {
                                                case 'January':
                                                    $Mes_Maiusculo = ' Janeiro';
                                                    break;
                                                case 'February':
                                                    $Mes_Maiusculo = ' Fevereiro';
                                                    break;
                                                case 'March':
                                                    $Mes_Maiusculo = ' Maro';
                                                    break;
                                                case 'April':
                                                    $Mes_Maiusculo = ' Abril';
                                                    break;
                                                case 'May':
                                                    $Mes_Maiusculo = ' Maio';
                                                    break;
                                                case 'June':
                                                    $Mes_Maiusculo = ' Junho';
                                                    break;
                                                case 'July':
                                                    $Mes_Maiusculo = ' Julho';
                                                    break;
                                                case 'August':
                                                    $Mes_Maiusculo = ' Agosto';
                                                    break;
                                                case 'September':
                                                    $Mes_Maiusculo = ' Setembro';
                                                    break;
                                                case 'October':
                                                    $Mes_Maiusculo = ' Outubro';
                                                    break;
                                                case 'November':
                                                    $Mes_Maiusculo = ' Novembro';
                                                    break;
                                                case 'December':
                                                    $Mes_Maiusculo = ' Dezembro';
                                                    break;
                                            }
                                            ?>
                                            <br/><br/>Recife, <?php /* echo date('d').' de '.$Mes_Maiusculo.' de '.date('Y'); */ echo data_extenso(date("Y-m-d")) ?><br/>
                                            </font>
                                        </td>
                                    </tr>
                                    <tr>
                                        <td align="center">
                                            <font size="2"><br/><br/>
                                            _______________________________________________________
                                            <br/><?php echo $cliente[0]["Titulo"]; ?><br>
                                            <?php
                                            if ($cliente[0]["Natureza"] == "PF") {
                                                echo cpf_exibir($cliente[0]['Cpf_Cnpj']);
                                            } else {
                                                echo cnpj_exibir($cliente[0]['Cpf_Cnpj']);
                                            }
                                            ?>
                                            <br>
                                            Locatria Responsvel
                                            </font>
                                        </td>
                                    </tr>
                                    <tr>
                                        <td align="center">
                                            <font size="2"><br/><br/>
                                            _______________________________________________________
                                            <br/>Charles Freire<br>Gerenciador de Contrato<br>Locador(contratada)
                                            </font>
                                        </td>
                                    </tr>
                    </table>
                </td>
            </tr>
        </table>
    </body>
</html>