<?php
include_once '../include/conecta.php'; //Conecta com a nosso banco de dados MySQL
ini_set('session.gc_maxlifetime', 60 * 120);
session_start();
/* include_once '../include/ver_sessao.php'; //Verifica se a sesso est ativa */
include_once '../include/funcoesPhp.php';
include_once '../menu_movimento.php';
?>
<?php
if (($_GET["Finalizado"]) || ($_GET["Aberto"]) || ($_GET["Cancelado"])) {

    $status = "and (";

    if ($_GET["Finalizado"]) {
        $status .= " comodato.Status = 'Finalizado' OR";
    }
    if ($_GET["Aberto"]) {
        $status .= " comodato.Status = 'Aberto' OR";
    }
    if ($_GET["Cancelado"]) {
        $status .= " comodato.Status = 'Cancelado' OR";
    }

    $status = substr($status, 0, -2);
    $status .= ")";
}

if ($_GET['Data_Filtro'] == 'Data') {
    if ($_GET["De"])
        $data .= "AND comodato.Data_Comodato >= '" . data_banco($_GET["De"]) . " 00:00:00' ";
    if ($_GET["Ate"])
        $data .= "AND comodato.Data_Comodato <= '" . data_banco($_GET["Ate"]) . " 23:59:59' ";
}
if ($_GET['Data_Filtro'] == 'Conclusao') {
    if ($_GET["De"])
        $data .= "AND comodato.Data_Conclusao >= '" . data_banco($_GET["De"]) . " 00:00:00' ";
    if ($_GET["Ate"])
        $data .= "AND comodato.Data_Conclusao <= '" . data_banco($_GET["Ate"]) . " 23:59:59' ";
}

if ($_GET["Cliente"])
    $Cliente = "and comodato.Id_Cliente = '" . $_GET["Cliente"] . "' ";

if ($_GET["Estado"]) {
    $natureza .= "and cliente.Estado = '" . $_GET["Estado"] . "' ";
}
if ($_GET["Cidade"]) {
    $natureza .= "and cliente.Id_Cidade = '" . $_GET["Cidade"] . "' ";
}

if ($_GET["Vendedor"])
    $usuario_p .= "and comodato.Id_Vendedor = '" . $_GET["Vendedor"] . "' ";

if ($_GET["Aditivo"])
    $usuario_p .= "and comodato.Aditivo = '" . $_GET["Aditivo"] . "' ";

if ($_GET["EF"])
    $usuario_p .= "and comodato.EF = '" . $_GET["EF"] . "' ";

if ($_GET["Unidade"])
    $unidade = "and comodato.Id_Unidade = '" . $_GET["Unidade"] . "' ";

if ($_GET["Produto"]) {

    $mystring = $_GET["Produto"];
//$findme = " : ";
//$posicao = strpos($mystring, $findme);
//$cod_cli = substr($mystring, 0, $posicao);
//$nome_cli = substr($mystring, ($posicao + 3) );


    $posicao1 = strpos($mystring, " -- ");
    $n_pro = trim(substr($mystring, 0, $posicao1));

    $mystring = $n_pro;
    $findme = " : ";

    $posicao = strpos($mystring, $findme);

    $cod_cli = substr($n_pro, 0, $posicao);
    $nome_cli = substr($n_pro, ($posicao + 3));


    /* convertendo o nome do fornecedor, para o seu codigo */
    $Prodt = listar("SELECT Id FROM produto WHERE Titulo='" . $nome_cli . "' AND Codigo = '" . $cod_cli . "' ");
    $_GET["Produto"] = $Prodt[0]["Id"];

    $comodato_produto = "and comodato_produto.Id_Produto = '" . $_GET["Produto"] . "' ";
}


if ($_GET["Ok"]) {
    $comodato = listar("Select comodato.Id, comodato.Lancamento,
                            comodato.Status,
                            comodato.Data_Comodato,
                            cliente.Titulo as Cliente,
                            tipo_pagamento.Titulo as Tipo_Pagamento,
                            funcionario.Titulo as 'Funcionario'
                            from comodato
                            left join comodato_produto ON comodato_produto.Id_Comodato = comodato.Id
                            LEFT JOIN (SELECT Id,Titulo FROM funcionario) as funcionario ON funcionario.Id = comodato.Id_Vendedor
                            INNER JOIN (SELECT Id,Titulo FROM cliente WHERE 1=1 $natureza) as cliente ON comodato.Id_Cliente = cliente.Id
                            LEFT JOIN (SELECT Id,Titulo FROM tipo_pagamento) as tipo_pagamento ON comodato.Id_Tipo_Pagamento = tipo_pagamento.Id
                            where 1=1
                            $data $status $usuario_p $Cliente $comodato_produto $unidade
                            group by comodato.Lancamento
                            order by comodato.Lancamento");
}
?>
<?php ob_start(); /* Inicia o fluxo */ ?>
<html>
    <head>
        <link rel="stylesheet" type="text/css" href="../estilo/<?php echo SKIN; ?>/tabela_imp.css" />
        <script type="text/javascript" language="javascript" src="../js/jquery.js"></script>
        <?php include '../include/script_cabeca.php'; ?>
        <script type="text/javascript" language="javascript" src="../js/script.js"></script>
        <script type="text/javascript" language="javascript" src="../js/meiomask/meiomask.js"></script>
        <script type="text/javascript" language="javascript" src="../js/meiomask/<?php
        if (PAIS == "USA") {
            echo "mascaras-usa";
        } else {
            echo "mascaras";
        }
        ?>.js"></script>
    </head>
    <body>
        <?php include "../include/cabecalho_relatorio.php"; ?>
        <table width="100%">
            <tr>
                <td>
                    <font face="verdana" size="2"><i>Relatrio de Comodatos</i></font>
                </td>
            </tr>
            <tr>
                <td><font face="verdana" size="2">
                    <?php
                    if ($_GET["De"]) {
                        echo "Perodo: " . $_GET["De"];
                    }
                    if ($_GET["Ate"]) {
                        echo "  " . $_GET["Ate"];
                    }
                    if ($_GET["Funcionario"]) {
                        $achar = listar("Select Titulo from funcionario
			where Id = '" . $_GET["Funcionario"] . "' ");
                        echo " - " . $achar[0]["Titulo"];
                    }
                    if ($_GET["Cliente"]) {
                        $achar = listar("Select Titulo from cliente
			where Id = '" . $_GET["Cliente"] . "' ");
                        echo " - " . $achar[0]["Titulo"];
                    }
                    if ($_GET["Produto"]) {
                        $achar = listar("Select Titulo from produto
			where Id = '" . $_GET["Produto"] . "' ");
                        echo " - " . $achar[0]["Titulo"];
                    }
                    if ($_GET["Cancelado"]) {
                        echo " - " . $_GET["Cancelado"];
                    }
                    if ($_GET["Finalizado"]) {
                        echo " - " . $_GET["Finalizado"];
                    }
                    if ($_GET["Aberto"]) {
                        echo " - " . $_GET["Aberto"];
                    }
                    ?>
                    </font>
                </td>
            </tr>
        </table>
        <table width="100%" class="tabela">
            <?php
            if ($_GET["Ok"]) {

                foreach ($comodato as $chave) {
                    ?>
                    <tr class="azul-claro">
                        <td>N Comodato: <b><?php echo $chave["Lancamento"] ?></b></td>
                        <td>Cliente: <b><?php echo $chave["Cliente"] ?></b></td>
                        <td>Data: <b><?php echo data_exibir($chave["Data_Comodato"]) ?></b></td>
                    </tr>
                    <?php
                    $produto = listar("Select produto.Titulo,
                                    produto.Codigo,
                                    produto.Codigo_Tombamento,
                                    comodato_produto.Preco,
                                    comodato_produto.Qtd,
                                    comodato_produto.Desconto
                                    from comodato_produto
                                    left join (SELECT Id,Titulo,Codigo,Codigo_Tombamento FROM produto) as produto ON produto.Id = comodato_produto.Id_Produto
                                    where comodato_produto.Id_Comodato = '" . $chave["Id"] . "'
                                    $comodato_produto ");
                    ?>
                    <?php
                    $vTotal = "";
                    $color = "#F5F5F5";
                    foreach ($produto as $valor) {

                        if ($color == "#F5F5F5") {
                            $color = "#E8E8E8";
                        } else {
                            $color = "#F5F5F5";
                        }
                        ?>
                        <tr bgcolor=<?php echo "$color"; ?>>
                            <td><?php echo $valor["Codigo"] . " : " . $valor["Titulo"] . " -- " . $valor["Codigo_Tombamento"] ?></td>
                            <td><?php echo number_format($valor["Qtd"], 2, ",", ".") ?></td>
                            <td><?php echo @number_format(($valor["Preco"] * $valor["Qtd"]) - (($valor["Preco"] * $valor["Qtd"]) * ($valor["Desconto"] / 100)), 2, ',', '.'); ?></td>
                        </tr>
                        <?php
                        $vtotalacum[$chave["Status"]] += '1';
                        $vTotal += ($valor["Preco"] * $valor["Qtd"]) - (($valor["Preco"] * $valor["Qtd"]) * ($valor["Desconto"] / 100));
                    }
                    ?>

                    <tr>
                        <td colspan="2">&nbsp;</td>
                        <td><b><?php echo @number_format($vTotal, 2, ',', '.'); ?></b></td>
                    </tr>

                    <?php
                    $corStatus = "";
                    if ($chave['Status'] == 'Finalizado') {
                        $corStatus = "color = '#228B22' ";
                    }
                    if ($chave['Status'] == 'Aberto') {
                        $corStatus = "color = '#3A5FCD' ";
                    }
                    if ($chave['Status'] == 'Cancelado') {
                        $corStatus = "color = '#CD2626' ";
                    }
                    ?>
                    <tr class="cinza">
                        <td>Status: <font <?php echo $corStatus ?>>
                            <b><?php echo $chave["Status"] ?></b>
                            </font></td>
                        <td>Tipo Pagamento: <?php echo $chave["Tipo_Pagamento"] ?></td>
                        <td>Vendedor: <?php echo $chave["Funcionario"] ?></td>
                    </tr>
                    <tr>
                        <td colspan="3">&nbsp;</td>
                    </tr>
                    <?php
                }
            }
            ?>
            <tr>
                <td align="right"><b>Valores Finais:</b> &nbsp;</td>
                <td colspan="2" align="right">
                    Digitao : <b><?php echo valor_exibir($vtotalacum["Em Digitao"]); ?></b>&nbsp;&nbsp;&nbsp;
                    Aberto : <b><?php echo valor_exibir($vtotalacum["Aberto"]); ?></b>&nbsp;&nbsp;&nbsp;
                    Finalizado : <b><?php echo valor_exibir($vtotalacum["Finalizado"]); ?></b>&nbsp;&nbsp;&nbsp;
                    Cancelado : <b><?php echo valor_exibir($vtotalacum["Cancelado"]); ?></b>&nbsp;&nbsp;&nbsp;
                    Total Geral : <b><?php echo valor_exibir($vtotalacum["Aberto"] + $vtotalacum["Em Digitao"] + $vtotalacum["Finalizado"]); ?></b>
                </td>
            </tr>
        </table>
    </body>
</html>
<?php
$html = ob_get_contents();
ob_end_clean();

include_once "../include/pdf_opcao.php";
?>