<?php
include_once '../include/conecta.php'; //Conecta com a nosso banco de dados MySQL
include_once '../include/ver_sessao.php'; //Verifica se a sesso est ativa
include_once '../include/funcoesPhp.php';
include_once '../menu_movimento.php';

?>
<html>

<head>
    <title>Gw - Gesto Web</title>
    <link rel="stylesheet" type="text/css" href="../estilo/<?php echo SKIN; ?>/tableless.css" />
    <script language="javascript" type="text/javascript" src="../js/jquery.js"></script>
    <script language="javascript" type="text/javascript" src="../js/script.js"></script>
    <?php include '../include/script_cabeca.php'; ?>
    <?php include '../include/script_campo.php'; ?>
    <script language="javascript" type="text/javascript">
        function idProduto(x, Codigo, Produto, Id, Classe) {
            window.opener.document.getElementById("Id_Produto_Sistema" + x).value = Id;
            window.opener.document.getElementById("Produto_Sistema" + x).value = Codigo + " : " + Produto;
            //window.opener.document.getElementById("Classe_Garden" + x).innerHTML = Classe;
            window.opener.document.getElementById("Produto_Sistema" + x).focus();
            window.close();
        }
    </script>
    <script type="text/javascript" language="javascript">
        $(document).ready(function() {
            $("#Codigo").focus();
        });
    </script>
    <style type="text/css">
        input {
            margin: 0 5px;
            width: 150px;
            height: 40px;
            font: 25px Georgia, "Trebuchet MS", Tahoma, Times, serif;
            font-weight: bold;
        }

        .codigo {
            margin: 0 5px;
            width: 250px;
            height: 40px;
            font: 25px Georgia, "Trebuchet MS", Tahoma, Times, serif;
            font-weight: bold;
        }

        .descricao {
            margin: 0 5px;
            width: 250px;
            height: 40px;
            font: 25px Georgia, "Trebuchet MS", Tahoma, Times, serif;
            font-weight: bold;
        }

        .fornecedor {
            margin: 0 5px;
            width: 450px;
            height: 40px;
            font: 25px Georgia, "Trebuchet MS", Tahoma, Times, serif;
            font-weight: bold;
        }

        h1 {
            font: 30px "Trebuchet MS", Tahoma, Helvetica, sans-serif;
            color: #f4f4f4;
        }

        .buscarprodutos {
            font: 20px "Trebuchet MS", Tahoma, Helvetica, sans-serif;
            color: #f4f4f4;
            font-weight: bold;
        }

        strong {
            margin: 0 5px;
            font: 18px "Trebuchet MS", Tahoma, Geneva, sans-serif;
            color: #000000;
            font-weight: bold;
        }

        span {
            font: 14px "Trebuchet MS", Tahoma, Helvetica, sans-serif;
            font-weight: bold;
            color: #069;
        }

        .over {
            overflow: scroll;
            height: 300px;
            padding: 0;
            background-color: #FFFFFF;
        }

        .tr-1 {
            background-color: #E8E8E8;
        }

        .tr-2 {
            background-color: #225F93;
        }

        .tr-3 {
            background-color: #cccccc;
        }

        .destaque {
            background: #00C5CD !important;
        }
    </style>
    <script type="text/javascript" language="javascript">
        //funcao de trocar a cor da TR no listar
        $(function() {
            $('table tr').hover(
                function() {
                    $(this).addClass('destaque');
                },
                function() {
                    $(this).removeClass('destaque');
                }
            );
        });
    </script>
</head>

<body>
    <form name="tabela_preco" id="tabela_preco" method="post" action="">
        <table width="98%" border="0" cellpadding="2" cellspacing="1" id="tabela_pdv">
            <tr>
                <td colspan="6" align="center" bgcolor="#225F93">
                    <span id="Caixa_Livre" class="buscarprodutos">Buscar Produtos</span>
                </td>
            </tr>
            <tr>
                <td class="tr-1"><strong>Cdigo</strong></td>
                <td class="tr-1"><strong>Cdigo Forn</strong></td>
                <td colspan="3" class="tr-1"><strong>Descrio</strong></td>
            </tr>
            <tr>
                <td class="tr-1"><input type="text" name="Codigo" id="Codigo" class="codigo" /></td>
                <td class="tr-1"><input type="text" name="Codigo_Fornecedor" id="Codigo_Fornecedor" class="codigo" />
                </td>
                <td colspan="3" class="tr-1"><input type="text" name="Descricao" id="Descricao" class="descricao" />
                </td>
            </tr>
            <tr>
                <td colspan="1" class="tr-1"><strong>Gtin</strong></td>
                <td colspan="1" class="tr-1"><strong>Num Ped</strong></td>
                <td colspan="3" class="tr-1"><strong>Cd Barras</strong></td>
            </tr>
            <tr>
                <td colspan="1" class="tr-1"><input type="text" name="Gtin" id="Gtin" class="codigo" /></td>
                <td colspan="1" class="tr-1"><input type="text" name="Numero_Pedido" id="Numero_Pedido"
                        class="codigo" /></td>
                <td colspan="3" class="tr-1"><input type="text" name="Codigo_Barras" id="Codigo_Barras"
                        class="descricao" /></td>
            </tr>
            <tr>
                <td colspan="3" class="tr-1"><strong>Fornecedor</strong></td>
                <td colspan="2" class="tr-1"><strong>Fabricante</strong></td>
            </tr>
            <tr>
                <td colspan="2" class="tr-1">
                    <?php
                    if (FORNECEDOR_RAZAO_SOCIAL == 'Sim') {
                        $nome = 'Razao_Social';
                    } else {
                        $nome = 'Titulo';
                    }
                    echo select_banco(
                        "Select Id, $nome as Titulo from fornecedor WHERE Ativo = 'Sim' AND Funcionario = 'No' order by Titulo",
                        "Fornecedor",
                        "Fornecedor",
                        $_POST["Fornecedor"],
                        "style='width:320px;'",
                        'fornecedor'
                    );
                    ?>
                </td>
                <td colspan="3" class="tr-1">
                    <?php
                    echo select_banco(
                        "Select Id, Titulo from fabricante order by Titulo",
                        "Fabricante",
                        "Fabricante",
                        $_POST["Fabricante"],
                        "style='width:320px;'",
                        'fornecedor'
                    );
                    ?>
                </td>
            </tr>
            <tr>
                <td colspan="6" align="center" bgcolor="#225F93">
                    <button type="submit" name="Buscar" value="Buscar Produtos" style="width: 400px; height: 40px"><span
                            style="font-size: 20px;color: #000">Buscar Produtos</span></button>
                </td>
            </tr>
        </table>
    </form>

    <?php
    if ($_SERVER['REQUEST_METHOD'] == "POST") {

        if ($_POST["Codigo"]) {
            $cond .= " AND produto.Codigo like '%" . $_POST["Codigo"] . "%' ";
        }
        if ($_POST["Codigo_Fornecedor"]) {
            $cond .= " AND produto.Codigo_Fornecedor like '%" . $_POST["Codigo_Fornecedor"] . "%' ";
        }
        if ($_POST["Descricao"]) {
            $cond .= " AND produto.Titulo LIKE '%" . $_POST["Descricao"] . "%' ";
        }
        if ($_POST["Fornecedor"]) {
            $cond .= " AND produto.Id_Fornecedor = '" . $_POST["Fornecedor"] . "' ";
        }
        if ($_POST["Fabricante"]) {
            $cond .= " AND produto.Id_Fabricante = '" . $_POST["Fabricante"] . "' ";
        }
        if ($_POST["Gtin"]) {
            $cond .= " AND produto.Gtin = '" . $_POST["Gtin"] . "' ";
        }
        if ($_POST["Codigo_Barras"]) {
            $cond .= " AND produto.Codigo_Barras = '" . $_POST["Codigo_Barras"] . "' ";
        }
        if ($_POST["Numero_Pedido"]) {
            $campo = " pedido_produto.Preco as Preco_Pedido, pedido_produto.Qtd as Qtd_Pedido, ";
            $cond .= " AND pedido.Lancamento = '" . $_POST["Numero_Pedido"] . "' ";
            $join = " INNER JOIN (SELECT Id,Id_Produto,Id_Pedido,Preco,Qtd FROM pedido_produto) as pedido_produto ON pedido_produto.Id_Produto = produto.Id
            INNER JOIN (SELECT Id,Lancamento FROM pedido) as pedido ON pedido.Id = pedido_produto.Id_Pedido ";
        }

        if (FORNECEDOR_RAZAO_SOCIAL == 'Sim') {
            $nome = 'Razao_Social';
        } else {
            $nome = 'Titulo';
        }
        $pro_pdv = mysqli_query($con, "SELECT produto.Id,
                        produto.Codigo,
                        produto.Codigo_Fornecedor,
                        produto.Preco1,
                        produto.Custo,
                        produto.Gtin,
                        produto.Titulo as Produto,
                        produto.Classe_Garden,
                        $campo
                        fornecedor.Fornecedor,
                        categoria_produto.Titulo as Categoria
                        FROM produto
                        $join 
                        LEFT JOIN (SELECT Id,$nome as Fornecedor FROM fornecedor) as fornecedor ON fornecedor.Id = produto.Id_Fornecedor
                        LEFT JOIN (SELECT Id, Titulo FROM categoria_produto) as categoria_produto ON categoria_produto.Id = produto.Id_Categoria_Produto
                        WHERE 1=1 $cond
                        AND Tipo_Produto = 'P'
                        AND Ativo = 'Sim'
                        ORDER BY produto.Titulo");
    }

    ?>
    <table width="98%" border="0" cellpadding="2" cellspacing="1" id="tabela_pdv">
        <tr bgcolor="#225F93">
            <td><strong>#</strong></td>
            <td><strong>Fornecedor</strong></td>
            <td><strong>Cdigo</strong></td>
            <?php if (CLIENTE_EMAIL != 'thevillefit' && CLIENTE_EMAIL != 'transamerica') { ?>
                <td><strong>Cdigo Forn</strong></td>
            <?php } ?>
            <td><strong>Descrio</strong></td>
            <?php if(CLIENTE_EMAIL == 'tintasipiau') { ?>
                <td><strong>Categoria</strong></td>
            <?php } ?>
            <td><strong>Gtin</strong></td>
            <td><strong><?php echo (!empty($campo)) ? "Qtd" : "Custo" ?></strong></td>
            <td><strong>Preo</strong></td>
        </tr>
        <?php
        $y = '1';
        while ($chave = mysqli_fetch_assoc($pro_pdv)) {
        ?>
            <tr class="tr-1"
                ondblclick="idProduto('<?php echo $_GET["x"]; ?>','<?php echo $chave["Codigo"]; ?>','<?php echo CaracteresEspeciais($chave["Produto"]); ?>','<?php echo $chave["Id"]; ?>','<?php echo $chave["Classe_Garden"]; ?>')"
                style="cursor:pointer">
                <td><b><?php echo $y; ?></b></td>
                <td><b><?php echo $chave["Fornecedor"]; ?></b></td>
                <td><b><?php echo $chave["Codigo"]; ?></b></td>
                <?php if (CLIENTE_EMAIL != 'thevillefit' && CLIENTE_EMAIL != 'transamerica') { ?>
                    <td><b><?php echo $chave["Codigo_Fornecedor"]; ?></b></td>
                <?php } ?>
                <td><b><?php echo $chave["Produto"]; ?></b></td>
                <?php if(CLIENTE_EMAIL == 'tintasipiau') { ?>
                    <td><b><?php echo $chave["Categoria"]; ?></b></td>
                <?php } ?>
                <td><b><?php echo $chave["Gtin"]; ?></b></td>
                <td><b><?php echo number_format((!empty($campo)) ? $chave["Qtd_Pedido"] : $chave["Custo"], 2, ",", "."); ?></b>
                </td>
                <td><b><?php echo number_format((!empty($campo)) ? $chave["Preco_Pedido"] : $chave["Preco1"], 2, ",", "."); ?></b>
                </td>
            </tr>
        <?php
            $y++;
        }
        ?>
    </table>

    <?php include "../include/rodape.php"; ?>
</body>

</html>