<?php
include_once '../include/conecta.php'; //Conecta com a nosso banco de dados MySQL
include_once '../include/ver_sessao.php'; //Verifica se a sesso est ativa
include_once '../include/funcoesPhp.php';
include_once '../menu_movimento.php';
?>
<?php
$idTransportadora = "";
$chave = "";
$nomeArquivo = "";

if($_SERVER['REQUEST_METHOD'] == "GET" && isset($_GET['Arquivo'])) {
    if(strlen($_GET['Arquivo']) > 0) {
        
        $nomeArquivo = addslashes($_GET['Arquivo']);
        $xml = new DOMDocument;
        $xml->load("arquivo/$nomeArquivo");

        $documento = simplexml_import_dom($xml);
        $cte = $documento->CTe;

        $chave = str_replace('CTe', '', ((array)$cte->infCte)['@attributes']['Id']);
        $cnpjTransportadora = addslashes($cte->infCte->emit->CNPJ);

        $transportadora = mysqli_query($con, "SELECT Id FROM fornecedor WHERE Cpf_Cnpj = '$cnpjTransportadora'");
        $transportadora = mysqli_fetch_assoc($transportadora);

        $natureza = strlen($cnpjTransportadora) == '14' ? 'PJ' : 'PF';
        $idTransportadora = md5($cnpjTransportadora . microtime());
        $razaoSocial = limpaNome(addslashes($cte->infCte->emit->xNome));
        $nomeFantasia = limpaNome(addslashes($cte->infCte->emit->xFant));
        $inscricaoEstadual = addslashes($cte->infCte->emit->IE);
        $endereco = $cte->infCte->emit->enderEmit;
        $codigoCidade = addslashes($endereco->cMun);
        $cidade = addslashes($endereco->xMun);
        $uf = addslashes($endereco->UF);
        $cep = addslashes($endereco->CEP);
        $fone = addslashes($endereco->fone);
        if($nomeFantasia=='') $nomeFantasia = $razaoSocial;

        if (!$transportadora["Id"]) {
            $codigoTransportadora = mysqli_query($con, "SELECT Codigo FROM fornecedor ORDER BY Data_Cadastro DESC LIMIT 1");
            $codigoTransportadora = mysqli_fetch_assoc($codigoTransportadora)['Codigo'];
            $codigoTransportadora = str_pad(($codigoTransportadora + 1), 4, "0", STR_PAD_LEFT);
            $dhCadastro = date("Y-m-d H:i:s");
            $idCidadeIbge = mysqli_query($con, "SELECT Id FROM cidade_ibge WHERE Codigo = '$codigoCidade'"); 
            $idCidadeIbge = mysqli_fetch_assoc($idCidadeIbge)['Id'];

            mysqli_query($con, "INSERT INTO fornecedor SET Id = '$idTransportadora', 
                Codigo = '$codigoTransportadora', Cpf_Cnpj = '$cnpjTransportadora',
                Razao_Social = '$razaoSocial', Titulo = '$nomeFantasia', 
                Estadual = '$inscricaoEstadual', Rua = '$endereco->xLgr', 
                Numero = '$endereco->nro',
                Bairro = '$endereco->xBairro', Id_Cidade = '$idCidadeIbge', 
                Codigo_Cidade = '$codigoCidade', Cidade = '$cidade', 
                Estado = '$uf', Cep = '$cep',
                Codigo_Pais = '1058', Pais = 'BRASIL', 
                Fone1 = '$fone', Natureza = '$natureza', Tipo = 'T', 
                Ativo = 'Sim', Id_Usuario = '{$_SESSION['Id']}',
                Id_Usuario_Upd = '{$_SESSION['Id']}', Data_Cadastro = '$dhCadastro', 
                Data_Cadastro_Upd = '$dhCadastro'");
        }
        else {
            $idTransportadora = $transportadora["Id"];
            mysqli_query($con, "UPDATE fornecedor SET Razao_Social = '$razaoSocial', Titulo = '$nomeFantasia', 
                Estadual = '$inscricaoEstadual',
                Rua = '$endereco->xLgr', Numero = '$endereco->nro', 
                Bairro = '$endereco->xBairro', Id_Cidade = '$idCidadeIbge', 
                Codigo_Cidade = '$codigoCidade',
                Cidade = '$cidade', Estado = '$uf', Cep = '$cep', 
                Fone1 = '$fone', Natureza = '$natureza' WHERE Id = '$idTransportadora'");
        }
    }
    else {?>
        <script>alert("Arquivo invlido");</script>
        <?php
    }
}
if ($_SERVER['REQUEST_METHOD'] == "POST") {
    $Cpf_Cnpj = $_POST["Natureza"] == "PF" ? $_POST["Cpf"] : $_POST["Cnpj"];

    if (!empty($_POST["Email"])) {
        $_POST["Email"] = tratamento_email($_POST["Email"]);
        $verify_email = verifica_email($_POST["Email"]);
    }

    if ((CNPJ_FORNECEDOR == 'No' && $verify_email !== false) || (CNPJ_FORNECEDOR == 'Sim' && $Cpf_Cnpj && $verify_email !== false)) {
        foreach($_POST as $indice => $campo) {
            $_POST[$indice] = addslashes($campo);
        }
        $_POST["Cep"] = CaracteresEspeciais($_POST["Cep"],"Sim","Sim");
        $Cpf_Cnpj = CaracteresEspeciais($Cpf_Cnpj,"Sim","Sim");

        if ($_POST["Razao_Social"] == '') {
            $_POST["Razao_Social"] = $_POST["Titulo"];
        }

        $cidade = mysqli_query($con, "SELECT Id, Titulo, Codigo FROM cidade_ibge WHERE Codigo = '{$_POST["Cidade"]}'");
        $cidade = mysqli_fetch_assoc($cidade);
        $id_cidade = $cidade["Id"];
        $nome_cidade = $cidade["Titulo"];
        $codigo_cidade = $cidade["Codigo"];
        $dataHoraUpdate = date("Y-m-d H:i:s");

        mysqli_query($con, "UPDATE fornecedor SET Titulo = '" . limpaNome(trim($_POST["Titulo"])) . "', 
        Cpf_Cnpj = '{$Cpf_Cnpj}',
            Email = '" . trim($_POST["Email"]) . "', Cep = '{$_POST["Cep"]}', 
            Rua= '" . limpaNome($_POST["Rua"]) . "',
            Numero= '" . limpaNome($_POST["Numero"]) . "', Complemento= '" . limpaNome($_POST["Complemento"]) . "',
            Bairro = '" . limpaNome($_POST["Bairro"]) . "', Fone1 = '" . trim($_POST["Fone1"]) . "', 
            Fone2 = '" . trim($_POST["Fone2"]) . "',
            Fone3 = '" . trim($_POST["Fone3"]) . "', Natureza = '{$_POST["Natureza"]}', 
            Razao_Social = '" . limpaNome($_POST["Razao_Social"]) . "',
            Estadual = '{$_POST["Estadual"]}', Ativo = 'Sim', 
            Id_Categoria_Fornecedor = '{$_POST["Categoria_Fornecedor"]}',
            Id_Categoria_Fornecedor_Filho = '{$_POST["Categoria_Fornecedor_Filho"]}', 
            Pais = 'BRASIL', Codigo_Pais = '1058', Contato = '{$_POST["Contato"]}',
            Ponto_Referencia = '{$_POST["Ponto_Referencia"]}', Cidade = '" . limpaNome($nome_cidade) . "', 
            Id_Cidade = '{$id_cidade}',
            Codigo_Cidade = '{$codigo_cidade}', Estado = '{$_POST["Estado"]}', 
            Tipo = 'T', Id_Usuario_Upd = '{$_SESSION['Id']}',
            Data_Cadastro_Upd = '$dataHoraUpdate' 
            WHERE Id = '{$_POST["Id_Transportadora"]}'") or die("Erro no comando SQL:" . mysqli_error($con));

        echo "<script>location.href='importar_produto_dacte.php?Chave={$_POST["Chave"]}&Id_Transportadora={$_POST["Id_Transportadora"]}&Arquivo={$_POST["Arquivo"]}&Id_Unidade={$_POST["Id_Unidade"]}'</script>";
    }
    else {
        if (!$_POST["Titulo"]) {
            $obrig .= 'Nome, ';
        }
        if (!$_POST["Fone1"]) {
            $obrig .= 'Telefone 1, ';
        }
        if (!$_POST["Email"]) {
            $obrig .= 'Email, ';
        }
        if ($verify_email === false) {
            $obrig .= 'Email Errado, ';
        }
        if (CNPJ_FORNECEDOR == 'Sim' && !$Cpf_Cnpj) {
            $obrig .= 'Cnpj ou Cpf, ';
        }
        $obrig = substr($obrig, 0, -2);

        $msg = "Faltou Preencher: " . $obrig;
    }
}
?>
<html>
<head>
    <title>Gw - Gesto Web</title>
    <?php include 'cabecalho.php'; ?>
    <link rel="stylesheet" type="text/css" href="../estilo/<?php echo SKIN; ?>/tableless.css" />
    <script language="javascript" type="text/javascript" src="../js/jquery.js"></script>
    <script language="javascript" type="text/javascript" src="../js/script.js"></script>
    <script type="text/javascript" language="javascript" src="../js/meiomask/meiomask.js"></script>
    <?php include '../include/script_cabeca.php'; ?>
    <?php include '../include/script_campo.php'; ?>
    <script type="text/javascript" language="javascript">
        $(document).ready(function() {
            $("#Titulo_Fornecedor").focus();
            $('input[name="Cpf"]').setMask('cpf');
            $('input[name="Cnpj"]').setMask('cnpj');
            $('input[name="Cep"]').setMask('cep');
        });
        function comboEstado(valor) {
            $.post("../fornecedor/busca_cidade.php", {
                    Id: valor
                },
                function(data) {
                    $("#divCidade").html(data);
                });
        };
        function centroCusto(valor) {
            $.post("../fornecedor/busca_categoria_fornecedor.php", {
                    Categoria_Fornecedor: valor
                },
                function(data) {
                    $("#div_cc").html(data);
                });
        }
    </script>
</head>
<body>
    <fieldset class="envolve">
        <form action="" method="POST" name="status">
            <?php
            $transportadora = mysqli_query($con, "SELECT Id, Titulo, Cpf_Cnpj, Email, Rua, Numero, Complemento, Ponto_Referencia, Cep, Bairro,
                Id_Cidade, Codigo_Cidade, Cidade, Estado, Fone1, Fone2, Natureza,  Razao_Social, Estadual, Codigo, Id_Categoria_Fornecedor,
                Id_Categoria_Fornecedor_Filho FROM fornecedor WHERE id = '$idTransportadora'");
            $transportadora = mysqli_fetch_assoc($transportadora);
            ?>
            <input type="hidden" name="Id_Transportadora" id="Id_Transportadora" value="<?php echo $idTransportadora;?>" />
            <input type="hidden" name="Chave" id="Chave" value="<?php echo $chave; ?>" />
            <input type="hidden" name="Arquivo" id="Arquivo" value="<?php echo $nomeArquivo; ?>" />
            <input type="hidden" name="Id_Unidade" id="Id_Unidade" value="<?php echo $_GET['Id_Unidade']; ?>" />

            <fieldset class="grupo">
                <legend>Transportadora</legend>
                <div class="campo" style="width: 80%">
                    <label for="Titulo">* Titulo</label>
                    <input type="text" name="Titulo" id="Titulo" value="<?php echo $transportadora["Titulo"]; ?>" />
                </div>
                <div class="campo" style="width: 40%">
                    <label for="Fone1">* Telefone</label>
                    <input type="text" name="Fone1" id="Fone1" value="<?php echo $transportadora["Fone1"]; ?>" />
                </div>
                <div class="campo" style="width: 40%">
                    <label for="Fone2">Telefone 2</label>
                    <input type="text" name="Fone2" id="Fone2" value="<?php echo $transportadora["Fone2"]; ?>" />
                </div>
                <div class="campo" style="width: 50%">
                    <label for="Email">Email</label>
                    <input type="text" name="Email" id="Email" value="<?php echo $transportadora["Email"]; ?>" />
                </div>
                <div class="campo" style="width: 30%">
                    <label for="Natureza" key="Natureza" class="tr">Natureza</label>
                    <?php
                    $vetor = array('PJ' => 'PJ', 'PF' => 'PF');
                    select_tela("Natureza", "Natureza", $transportadora["Natureza"], $vetor, 'onchange="PfPj(this.value);"', "");
                    ?>
                </div>
            </fieldset>
            <div style="display:<?php echo $transportadora["Natureza"] == "PF" ? 'block' : 'none'; ?>;" id="P_F">
                <fieldset class="grupo">
                    <div class="campo">
                        <?php
                        $ast_pf = CNPJ_CLIENTE == 'Sim' ? '*' : '';
                        $v_cpf = VALIDAR_CNPJ_CLIENTE == 'Sim' ? "validarCpf(this.value);" : '';
                        ?>
                        <label for="Cpf" key="Cpf" class="tr"><?php echo $ast_pf; ?> CPF</label>
                        <input type="text" name="Cpf" id="Cpf" value="<?php echo $transportadora["Cpf_Cnpj"]; ?>" onblur="fazSenha(this.value);<?php echo $v_cpf; ?>">
                    </div>
                </fieldset>
            </div>
            <div style="display:<?php echo $transportadora["Natureza"] == "PJ" ? 'block' : 'none'; ?>;" id="P_J">
                <fieldset class="grupo">
                    <div class="campo" style="width:40%">
                        <?php
                        $ast_pj = CNPJ_CLIENTE == 'Sim' ? '*' : '';
                        $v_cnpj = VALIDAR_CNPJ_CLIENTE == 'Sim' ? "validarCnpj(this.value);" : '';
                        ?>
                        <label for="Cnpj" key="Cnpj" class="tr"><?php echo $ast_pj; ?> CNPJ</label>
                        <input type="text" name="Cnpj" id="Cnpj" value="<?php echo $transportadora["Cpf_Cnpj"]; ?>" onblur="fazSenha(this.value);<?php echo $v_cnpj; ?>">
                    </div>
                    <div class="campo" style="width:40%">
                        <label for="Razao_Social" key="Razao_Social" class="tr">Razo Social</label>
                        <input type="text" name="Razao_Social" id="Razao_Social" value="<?php echo $transportadora["Razao_Social"]; ?>">
                    </div>
                    <div class="campo">
                        <label for="Estadual" key="Estadual" class="tr">Insc Estadual</label>
                        <input type="text" name="Estadual" id="Estadual" value="<?php echo $transportadora["Estadual"]; ?>">
                    </div>
                </fieldset>
            </div>
            <fieldset class="grupo">
                <div class="campo">
                    <label for="Categoria_Fornecedor" class="tr" key="Categoria">Categoria</label>
                    <?php
                        echo select_banco("Select Id, Titulo from categoria_fornecedor order by Titulo",
                                            "Categoria_Fornecedor","Categoria_Fornecedor",$transportadora["Id_Categoria_Fornecedor"],"onchange='centroCusto(this.value);' style='width:200px'","")
                    ?>
                </div>
                <div class="campo">
                    <label for="Categoria_Cliente_Filho" class="tr" key="Sub_Categoria">Sub Categoria</label>
                    <div id="div_cc">
                    <?php
                        echo select_banco("Select Id, Titulo from categoria_fornecedor WHERE Id_Pai = '".$transportadora["Id_Categoria_Fornecedor"]."' order by Titulo",
                                            "Categoria_Fornecedor_Filho","Categoria_Fornecedor_Filho",$transportadora["Id_Categoria_Fornecedor_Filho"],"style='width:200px'","")
                    ?>
                    </div>
                </div>
            </fieldset>

            <fieldset class="grupo">
                <div class="campo">
                    <label for="Cep" key="Cep" class="tr">CEP</label>
                    <input type="text" name="Cep" id="Cep" value="<?php echo  $transportadora["Cep"]; ?>">
                </div>
                <div class="campo" style="width:60%;">
                    <label for="Rua" key="Rua" class="tr">Endereo</label>
                    <input type="text" name="Rua" id="Rua" value="<?php echo  $transportadora["Rua"]; ?>">
                </div>
                <div class="campo">
                    <label for="Numero" key="Numero" class="tr">Nmero</label>
                    <input type="text" name="Numero" id="Numero" value="<?php echo  $transportadora["Numero"]; ?>">
                </div>
                <div class="campo">
                    <label for="Rua" key="Bairro" class="tr">Bairro</label>
                    <input type="text" name="Bairro" id="Bairro" value="<?php echo  $transportadora["Bairro"]; ?>">
                </div>
                <div class="campo" style="width:60%;">
                    <label for="Complemento" key="Complemento" class="tr">Complemento</label>
                    <input type="text" name="Complemento" id="Complemento" value="<?php echo  $transportadora["Complemento"]; ?>">
                </div>
            </fieldset>

            <fieldset class="grupo">
                <div class="campo">
                    <label for="Cidade" key="Cidade" class="tr">Cidade</label>
                    <div id="divCidade">
                    <?php
                        //eu troco o ID do select para funcionar o WebService
                        $cidadeUf=( (empty($transportadora["Estado"])) ? null : "AND Uf='".$transportadora["Estado"]."'" );
                        echo select_banco("Select Codigo as Id,Titulo from cidade_ibge WHERE 1=1 $cidadeUf order by Titulo",
                                            "Cidade","Ibge",$transportadora["Codigo_Cidade"],'',"");
                    ?>
                    </div>
                </div>
                <div class="campo">
                    <label for="Estado" key="Estado" class="tr">Estado</label>
                    <?php
                    $vetor = array(''=>'Estados','AC'=>'Acre','AL'=>'Alagoas','AP'=>'Amap','AM'=>'Amazonas','BA'=>'Bahia',
                                    'CE'=>'Cear','DF'=>'Distrito Federal','GO'=>'Gois','ES'=>'Esprito Santo',
                                    'MA'=>'Maranho','MT'=>'Mato Grosso','MS'=>'Mato Grosso do Sul',
                                    'MG'=>'Minas Gerais','PA'=>'Par','PB'=>'Paraba','PR'=>'Paran',
                                    'PE'=>'Pernambuco','PI'=>'Piau','RJ'=>'Rio de Janeiro',
                                    'RN'=>'Rio Grande do Norte','RS'=>'Rio Grande do Sul',
                                    'RO'=>'Rondnia','RR'=>'Rorima','SP'=>'So Paulo',
                                    'SC'=>'Santa Catarina','SE'=>'Sergipe','TO'=>'Tocantis',
                                    'EX'=>'EX');
                            select_tela("Estado","Estado",$transportadora["Estado"],$vetor,'onchange="comboEstado(this.value);"',"");
                    ?>
                    <input type="hidden" name="Id_Estado" id="Id_Estado" value="<?php echo $transportadora["Estado"];?>">
                </div>
            </fieldset>
            <br /><br />
            <button class="bt_cadastro" type="submit" name="Cadastrar" value="Cadastrar">Atualizar</button>
            <button class="botao" type="button" name="Cancelar" value="Cancelar" onclick="window.close();">Cancelar</button>
        </form>
        <br /><br />
    </fieldset>
    <?php include "../include/rodape.php"; ?>
</body>
</html>