<?php
session_start();
include '../include/conecta.php';
include '../importar/PHPExcel.php';
include_once '../include/funcoesPhp.php';

$codigoCompra = addslashes($_POST["codigoCompra"]);
$unidade = mysqli_query($con, "SELECT Estado FROM unidade WHERE Id = '{$_POST['unidade']}'");
$unidade = mysqli_fetch_assoc($unid);
$fornecedor = explode(" : ", utf8_decode(addslashes($_POST['fornecedor'])));
$codigoFornecedor = $fornecedor[0];
$infoFornecedor = explode("--", $fornecedor[1]);
$nomeFornecedor = trim($infoFornecedor[0]);
$cpfCnpjFornecedor = trim(str_replace(['.', '/', '-'], '', $infoFornecedor[1]));
$colunaFornecedor = FORNECEDOR_RAZAO_SOCIAL == 'Sim' ? 'Razao_Social' : 'Titulo';
$dadosFornecedor = mysqli_query($con, "SELECT Id, Estado, Ipi FROM fornecedor WHERE $colunaFornecedor = '$nomeFornecedor' AND Codigo = '$codigoFornecedor'");
$dadosFornecedor = mysqli_fetch_assoc($dadosFornecedor);

if($_SERVER['REQUEST_METHOD'] == 'POST') {
    $planilha = $_FILES['planilhaImportacao'];
    $explodeNome = explode('.', $planilha['name']);
    $extensaoArquivo = end($explodeNome);

    if($extensaoArquivo != 'xls' && $extensaoArquivo != 'xlsx') {
        echo json_encode(["status"=> "erro", "mensagem"=> utf8_encode("Arquivo no suportado")]);
        return;
    }
    else {
        move_uploaded_file($planilha['tmp_name'], $planilha['name']);
        $tipoExcel = $extensaoArquivo == 'xls' ? 'Excel5' : 'Excel2007';
        $objReader = PHPExcel_IOFactory::createReader($tipoExcel);
	    $objPHPExcel = $objReader->load($planilha['name']);
        $sqlInsertProdutos = "INSERT INTO compra_produto (Id, Id_Compra, Id_Produto, Preco, Qtd, Qtd_Conversao, Frete, Despesa, Pis_Bc, Cofins_Bc, II_Bc,
            Aliquota_Pis, Pis_Real, CST_Pis, Aliquota_Cofins, Cofins_Real, CST_Cofins, II_Real, Ipi_Bc, Ipi, Ipi_Real, CST_Ipi, Icms_Bc, Icms, Icms_Real,
            ST_Icms, vAFRMM, Id_Local_Estoque, Id_Unidade, Id_Cfop, Nota_Importacao, Id_Categoria_Produto, Id_Fornecedor, Nome_Produto, Conversao,
            Valor_Total_Produto, Total_Tributo_Item, Id_Usuario, Id_Usuario_Upd, Data_Cadastro, Data_Cadastro_Upd) VALUES ";
        $idUnidade = $_POST['unidade'] != "" ? addslashes($_POST['unidade']) : 1;
        $qtdProdutosImportados = 0;
        $total = 0;
        $totalFrete = 0;
        $totalDespesas = 0;
        $totalPis = 0;
        $totalCofins = 0;
        $totalIIReal = 0;
        $totalIpi = 0;
        $totalIcmsBc = 0;
        $totalIcmsReal = 0;
        $totalVAFRMM = 0;
        $totalPesoBruto = 0;
        $totalPesoLiquido = 0;

        foreach ($objPHPExcel->getWorksheetIterator() as $worksheet) {
            foreach ($worksheet->getRowIterator() as $chave => $linha) {
                if($chave > 1) {
                    $colunas = $linha->getCellIterator();
                    foreach ($colunas as $indice => $coluna) {
                        if($coluna) {
                            switch($indice) {
                                case 0:
                                    $codigoProduto = $coluna->getCalculatedValue();
                                    break;
                                case 1:
                                    $qtdProduto = str_replace(['.', ','], ['', '.'], $coluna->getCalculatedValue());
                                    break;
                                case 2:
                                    $cif = str_replace(['.', ','], ['', '.'], $coluna->getCalculatedValue());
                                    break;
                                case 3:
                                    $valorFrete = str_replace(['.', ','], ['', '.'], $coluna->getCalculatedValue());
                                    break;
                                case 4:
                                    $despesa = str_replace(['.', ','], ['', '.'], $coluna->getCalculatedValue());
                                    break;
                                case 5:
                                    $taxaSisc = str_replace(['.', ','], ['', '.'], $coluna->getCalculatedValue());
                                    break;
                                case 6:
                                    $basePis = str_replace(['.', ','], ['', '.'], $coluna->getCalculatedValue());
                                    break;
                                case 7:
                                    $aliquotaPis = str_replace(',', '.', $coluna->getCalculatedValue());
                                    break;
                                case 8:
                                    $pisReal = str_replace(['.', ','], ['', '.'], $coluna->getCalculatedValue());
                                    break;
                                case 9:
                                    $cstPis = $coluna->getCalculatedValue();
                                    break;
                                case 10:
                                    $aliquotaCofins = str_replace(',', '.', $coluna->getCalculatedValue());
                                    break;
                                case 11:
                                    $cofinsReal = str_replace(['.', ','], ['', '.'], $coluna->getCalculatedValue());
                                    break;
                                case 12:
                                    $cstCofins =$coluna->getCalculatedValue();
                                    break;
                                case 13:
                                    $IIReal = str_replace(['.', ','], ['', '.'], $coluna->getCalculatedValue());
                                case 14:
                                    $baseIpi = str_replace(['.', ','], ['', '.'], $coluna->getCalculatedValue());
                                    break;
                                case 15:
                                    $ipi = str_replace(',', '.', $coluna->getCalculatedValue());
                                    break;
                                case 16:
                                    $ipiReal = str_replace(['.', ','], ['', '.'], $coluna->getCalculatedValue());
                                    break;
                                case 17:
                                    $cstIpi = $coluna->getCalculatedValue();
                                    break;
                                case 18:
                                    $icmsBc = str_replace(['.', ','], ['', '.'], $coluna->getCalculatedValue());
                                    break;
                                case 19:
                                    $icms = str_replace(',', '.', $coluna->getCalculatedValue());
                                    break;
                                case 20:
                                    $icmsReal = str_replace(['.', ','], ['', '.'], $coluna->getCalculatedValue());
                                    break;
                                case 21:
                                    $stIcms = $coluna->getCalculatedValue();
                                    break;
                                case 22:
                                    $vAFRMM = str_replace(['.', ','], ['', '.'], $coluna->getCalculatedValue());
                                    break;
                                case 23:
                                    $pesoBruto = str_replace(['.', ','], ['', '.'], $coluna->getCalculatedValue());
                                    break;
                                case 24:
                                    $pesoLiquido = str_replace(['.', ','], ['', '.'], $coluna->getCalculatedValue());
                                    break;
                            }
                        }
                    }
                    
                    //if($codigoProduto != "") {
                    //se o n_cupom for vazio ou for diferente do que vem do excel entra
                    if( ($n_cupom == '') || ($n_cupom != $codigoProduto) ){

                        //insere o novo numero do cupom que vem do excel
                        $n_cupom = $codigoProduto;
                        

                        $dataCadastro = date('Y-m-d H:i:s');
                        $produto = mysqli_query($con, "SELECT DISTINCT Id, Id_Cfop_Compra, Id_Cfop_Compra_F, Origem_ST, Preco1, Id_Categoria_Produto, Id_Fornecedor,
                            Ibpt, Descricao, Medida, CST_Ipi, CST_Pis, CST_Cofins, Id_Local_Estoque_Entrada, Codigo_Enquadramento, Cest FROM produto 
                            WHERE TRIM(LEADING 0 FROM Codigo) = '".ltrim($codigoProduto, '0')."' AND Ativo='Sim' ") or die($con->error);
                        $produto = mysqli_fetch_assoc($produto);
                        $preco = number_format($cif / $qtdProduto, 10, '.', '');
                        $manualImportacao = 'Sim';
                        $idCfop = addslashes($_POST['idCfop']);
                        $despesaProduto = str_replace(['.', ','], ['', '.'], $despesa + $taxaSisc);
                        $aliquotaPis = empty($aliquotaPis) ? 0 : $aliquotaPis;
                        $aliquotaCofins = empty($aliquotaCofins) ? 0 : $aliquotaCofins;
                        $ipi = empty($ipi) ? 0 : $ipi;
                        $ipiReal = empty($ipiReal) ? 0 : $ipiReal;
                        $icmsReal = empty($icmsReal) ? 0 : $icmsReal;
                        $cstPis = empty($cstPis) ? '01' : $cstPis;
                        $cstCofins = empty($cstCofins) ? '01' : $cstCofins;
                        $cstIpi = empty($cstIpi) ? '53' : $cstIpi;
                        $stIcms = empty($stIcms) ? '51' : $stIcms;
                        $icmsReal = valor_banco(valor_exibir($icmsBc * ($icms/100)));
                        $valorTotalProduto = valor_banco(valor_exibir($preco * $qtdProduto,2));
                        $totalTributoItem = valor_banco(valor_exibir($IIReal + $pisReal + $cofinsReal + $ipiReal + $despesaProduto,2));

                        if(empty($idCfop)) {
                            $idCfop = $dadosFornecedor['Estado'] == $unidade['Estado'] ? $produto['Id_Cfop_Compra'] : $produto['Id_Cfop_Compra_F'];
                        }
                        $idCompraProduto = md5($produto['Id'].microtime());

                        if($chave > 2) {
                            $sqlInsertProdutos .= ",";
                        }

                        $sqlInsertProdutos .= "('$idCompraProduto', '$codigoCompra', '{$produto['Id']}', '$preco', $qtdProduto, $qtdProduto, '$valorFrete',
                            '$despesaProduto', '$basePis', '$basePis', '$basePis', '$aliquotaPis', '$pisReal', '$cstPis', '$aliquotaCofins', '$cofinsReal',
                            '$cstCofins', '$IIReal', '$baseIpi', '$ipi', '$ipiReal', '$cstIpi', '$icmsBc', '$icms', '$icmsReal', '$stIcms', '$vAFRMM',
                            '{$produto['Id_Local_Estoque_Entrada']}', '$idUnidade', '$idCfop', '$manualImportacao', '{$produto['Id_Categoria_Produto']}',
                            '{$dadosFornecedor['Id']}', '{$produto['Descricao']}', '{$produto['Medida']}', '$valorTotalProduto', '$totalTributoItem',
                            '{$_SESSION['Id']}', '{$_SESSION['Id']}', '$dataCadastro', '$dataCadastro')";

                        $total += $valorTotalProduto;
                        $totalFrete += $valorFrete;
                        $totalDespesas += $despesaProduto;
                        $totalPis += $pisReal;
                        $totalCofins += $cofinsReal;
                        $totalIIReal += $IIReal;
                        $totalIpi += $ipiReal;
                        $totalIcmsBc += $icmsBc;
                        $totalIcmsReal += $icmsReal;
                        $totalVAFRMM += $vAFRMM;
                        $totalPesoBruto += $pesoBruto;
                        $totalPesoLiquido += $pesoLiquido;

                        $qtdProdutosImportados++;
                    }
                }
            }
        }

        if($qtdProdutosImportados > 0) {
            mysqli_query($con, $sqlInsertProdutos);
            
            if($con->affected_rows > 0) {
                echo json_encode([
                    "status"=> "ok",
                    "total"=> number_format($total, 2, ',', '.'),
                    "totalFrete"=> number_format($totalFrete, 2, ',', '.'),
                    "totalDespesas"=> number_format($totalDespesas, 2, ',', '.'),
                    "totalPis"=> number_format($totalPis, 2, ',', '.'),
                    "totalCofins"=> number_format($totalCofins, 2, ',', '.'),
                    "totalIIReal"=> number_format($totalIIReal, 2, ',', '.'),
                    "totalIpi"=> number_format($totalIpi, 2, ',', '.'),
                    "totalIcmsBc"=> number_format($totalIcmsBc, 2, ',', '.'),
                    "totalIcmsReal"=> number_format(0, 2, ',', '.'),
                    "totalVAFRMM"=> number_format($totalVAFRMM, 2, ',', '.'),
                    "totalPesoBruto"=> number_format($totalPesoBruto, 2, ',', '.'),
                    "totalPesoLiquido"=> number_format($totalPesoLiquido, 2, ',', '.'),
                    "totalTributo"=> number_format($totalIIReal + $totalPis + $totalCofins + $totalIpi + $totalDespesas, 2, ',', '.'),
                    "totalNota"=> number_format($total + $totalIIReal + $totalCofins + $totalIpi + $totalDespesas, 2, ',', '.')
                ]);
            }
            else {
                echo json_encode(["status"=>  "erro", "mensagem"=> $con->error]);
            }
        }
        else {
            echo json_encode(["status"=> "erro", "mensagem"=> "Nenhum produto importado"]);
        }
        unlink($planilha['name']);
    }
}
?>