<?php
include_once '../include/conecta.php'; //Conecta com a nosso banco de dados MySQL
include_once '../include/ver_sessao.php'; //Verifica se a sesso est ativa
include_once '../include/funcoesPhp.php';
include_once '../menu_movimento.php';

if($_SERVER['REQUEST_METHOD'] == 'POST') {
    if($_POST['Unidade']) {
    $pastaArquivo = 'arquivo/';
    if($handle = opendir($pastaArquivo)){
        while($entry = readdir($handle)){
            $ext = strtolower(pathinfo($entry, PATHINFO_EXTENSION));
            if(in_array($ext, $types)){
                if(filemtime($pastaArquivo.$entry) < strtotime('-1 month')){
                    unlink($pastaArquivo.pathinfo($entry, PATHINFO_BASENAME));
                }
            }
        }
        closedir($handle);
    }

    $nomeArquivo = $_FILES["file"]["name"];
    move_uploaded_file($_FILES["file"]["tmp_name"], "$pastaArquivo$nomeArquivo");

    $xml= new DOMDocument;
    $xml->load("$pastaArquivo$nomeArquivo");

    if (!$xml) {
        echo "<script>alert('Erro ao abrir arquivo!')</script>;";
        unlink("$pastaArquivo$nomeArquivo");
        exit;
    }

    $documento = simplexml_import_dom($xml);
    $cte = $documento->CTe;
    $chaveNFe = str_replace('CTe', '', ((array)$cte->infCte)['@attributes']['Id']);
    $cnpjTransportadora = addslashes($cte->infCte->emit->CNPJ);
    $razaoSocial = limpaNome(addslashes($cte->infCte->emit->xNome));
    $inscricaoEstadual = addslashes($cte->infCte->emit->IE);
    $dhEmissao = $cte->infCte->ide->dhEmi;
    $dhRecebido = $documento->protCTe->infProt->dhRecbto;
    $digVal = $documento->protCTe->infProt->digVal;
    $nProt = $documento->protCTe->infProt->nProt;
    $tpAmb = $documento->protCTe->infProt->tpAmb;
    $tpEvento = $documento->protCTe->infProt->xMotivo;

    /*
    $cpfCnpjUnidade = $cte->infCte->rem->CNPJ ?? $cte->infCte->rem->CPF;
    $cpfCnpjUnidade = CaracteresEspeciais($cpfCnpjUnidade,"Sim","Sim");
    $unidade = mysqli_query($con, "SELECT Id FROM unidade WHERE REGEXP_REPLACE(Cnpj, '[^0-9]', '') = '$cpfCnpjUnidade'");

    if(mysqli_num_rows($unidade) < 1) {
        unlink("$pastaArquivo$nomeArquivo");
        echo "<script>alert('Empresa No Cadastrada.');window.close();</script>";
        exit;
    }
    $idUnidade = mysqli_fetch_assoc($unidade)['Id'];
    */

    $dataHoraCadastro = date("Y-m-d H:i:s");
    $compra = mysqli_query($con,"SELECT Id, Lancamento FROM compra WHERE Chave_Nfe = '$chaveNFe' AND Status != 'Cancelado'");

    if(mysqli_num_rows($compra) > 0){
        $compra = mysqli_fetch_assoc($compra);
        unlink("$pastaArquivo$nomeArquivo");
        echo "<script>alert('Nota j cadastrada {$compra['Lancamento']}!');window.close();</script>";
        exit;
    }
    header("location:importar_transportadora.php?Arquivo=$nomeArquivo");
} }
?>
<html>
<head>
    <title>Gw - Gesto Web</title>
    <link rel="stylesheet" type="text/css" href="../estilo/<?php echo SKIN ;?>/tableless.css" />
    <link rel="stylesheet" type="text/css" href="../estilo/<?php echo SKIN ;?>/tabelas.css" />
    <script language="javascript" type="text/javascript" src="../js/jquery.js"></script>
    <script language="javascript" type="text/javascript" src="../js/script.js"></script>
</head>
<body>
    <form action="" method="post" name="historico" enctype="multipart/form-data">
        <fieldset class="envolve">
            <legend>Importar Xml CTE</legend>
            <fieldset class="grupo">
                <div class="campo">
                    <label class="titulo_tableless_historico" for="file">Arquivo :</label>
                    <input type="file" name="file" id="file" autofocus>
                </div>
                <?php
                //se o sistema for Multi Empresa
                if (MULTI_EMPRESA == "Sim") {
                ?>
                        <div class="campo">
                            <label for="Unidade">* Empresa</label>
                            <?php echo select_banco(
                                "SELECT Id,Titulo FROM unidade WHERE Ativo='Sim' ORDER BY Titulo",
                                "Unidade",
                                "Unidade",
                                $_POST["Unidade"],
                                "",
                                ""
                            );
                            ?>
                        </div>
                <?php
                } else {
                    echo "<input type='hidden' name='Unidade' id='Unidade' value='" . $_SESSION["Unidade"] . "' >";
                }
                ?>
            </fieldset>
            <button class="bt_cadastro" type="submit" name="Importar" value="Importar">Importar CTE</button>
            <button class="botao" type="button" value="Cancelar" name="Cancelar" onclick="window.close();">Fechar</button>
        </fieldset>
    </form>
    <br><br>
    <?php include "../include/rodape.php";?>
    <script>
        $(document).ready(function() {
            $("form[name=historico] input[type=file]").change(function() {
                let pathSplit = $(this).val().split(".");
                let extensaoArquivo = pathSplit[pathSplit.length - 1];
                if(extensaoArquivo != 'xml') {
                    $(this).val('');
                    alert('Arquivo no suportado');
                }
            });
        });
    </script>
</body>
</html>