<?php
include_once '../include/conecta.php'; //Conecta com a nosso banco de dados MySQL
ini_set('session.gc_maxlifetime', 60 * 120);
session_start();
/*include_once '../include/ver_sessao.php'; //Verifica se a sesso est ativa*/
include_once '../include/funcoesPhp.php';
include_once '../menu_movimento.php';

// $con->set_charset('utf8mb4');

$produtoVenda = mysqli_query($con, "SELECT DISTINCT venda_produto.Id,
                            venda_produto.Id_Produto,
                            venda_produto.Qtd,
                            venda_produto.Data_Cadastro,
                            venda_produto.Conf,
                            venda_produto.Over,
                            venda_produto.Lote,
                            venda_produto.Data_Validade,
                            produto.Codigo,
                            produto.Titulo as 'Produto',
                            produto.Medida,
                            funcionario.Titulo as Vendedor
                            FROM venda_produto
                            LEFT JOIN (SELECT Id,Titulo,Codigo,Medida FROM produto) as produto ON produto.Id = venda_produto.Id_Produto
                            LEFT JOIN (SELECT Id,Titulo FROM funcionario) as funcionario ON funcionario.Id = venda_produto.Id_Funcionario
                            WHERE venda_produto.Id_Venda='" . $_GET["id_venda"] . "'
                            AND Cancelado = 'No' ");

$sqlVenda = listar("SELECT venda.Lancamento,
                            venda.Id_Vendedor2,
                            venda.Id_Unidade,
                            venda.Status,
                            DATE_FORMAT(venda.Data_Cadastro, '%d/%m/%Y %H:%i:%s') as Data,
                            tipo_pagamento.Titulo as Tipo_Pagamento,
                            cliente.Titulo as Cliente,
                            cliente.Rua,
                            cliente.Numero,
                            cliente.Bairro,
                            cliente.Cidade,
                            cliente.Estado,
                            cliente.Fone1,
                            cliente.Fone2,
                            cliente.Ponto_Referencia,
                            cliente.Complemento
                            from venda
                            LEFT JOIN (SELECT Id,Titulo FROM tipo_pagamento) as tipo_pagamento ON tipo_pagamento.Id = venda.Id_Tipo_Pagamento
                            LEFT JOIN (SELECT Id,Titulo,Rua,Numero,Bairro,Cidade,Estado,Fone1,Fone2,Ponto_Referencia,Complemento FROM cliente) as cliente ON cliente.Id = venda.Id_Cliente
                            where venda.Id = '" . $_GET["id_venda"] . "' ");
$_GET["Unidade"] = $sqlVenda[0]["Id_Unidade"];
?>

<?php ob_start(); /* Inicia o fluxo*/ ?>
<html>

<head>
    <meta charset="UTF-8">
    <title>PDV <?php echo $sqlVenda[0]['Lancamento'] ?></title>
    <style type="text/css">
        * {
            margin: 0px;
            padding: 0px;
            font-weight: bolder;
        }

        body {
            font: 16px Arial, Arial, Helvetica, sans-serif;
            background-color: #fff;
            margin-left: 2.5%;
        }
    </style>
    <script type="text/javascript" language="javascript" src="../js/jquery.js"></script>
    <?php include '../include/script_cabeca.php'; ?>
    <script type="text/javascript" language="javascript" src="../js/script.js"></script>
    <script type="text/javascript" language="javascript" src="../js/meiomask/meiomask.js"></script>
    <script type="text/javascript" language="javascript" src="../js/meiomask/<?php
                                                                                if (PAIS == "USA") {
                                                                                    echo "mascaras-usa";
                                                                                } else {
                                                                                    echo "mascaras";
                                                                                }
                                                                                ?>.js"></script>
    <script type="text/javascript" language="javascript">
        window.onload = function() {
            window.print();
        }
    </script>

</head>

<body>
    <table width="302">
        <?php
        if (!$_GET["Id_Unidade_Usuario"]) {
            $_GET["Id_Unidade_Usuario"] = $_GET["Unidade"];
        }
        $empresa = listar("SELECT Titulo,
                                Rua,
                                Numero,
                                Cnpj,
                                Logo,
                                Bairro,
                                Cidade,
                                Estado,
                                Fone1,
                                Fone2
                            FROM unidade
                            WHERE Id = '" . $_GET["Id_Unidade_Usuario"] . "' ");
        ?>
        <tr>
            <td align="right">
                <table width="100%">
                    <tr>
                        <!-- <td width="40%">
                            <?php
                            if (file_exists("../unidade/foto/" . $empresa[0]["Logo"] . "")) {
                                $cam_arq = "../unidade/foto/" . $empresa[0]["Logo"];
                            } else {
                                $cam_arq = "../../unidade/foto/" . $empresa[0]["Logo"];
                            }
                            ?>
                            <img src="<?php echo $cam_arq; ?>" title="Logo" alt="Logo" border="0" width="140px" height="auto" />
                        </td> -->
                        <td class="razao" align="center" style="font-size:16px;">
                            <?php echo strtoupper($empresa[0]["Titulo"]); ?><br>
                            <?php echo $empresa[0]["Cnpj"]; ?><br>
                            End: <?php echo $empresa[0]["Rua"] . ', ' . $empresa[0]["Numero"]; ?> <br>
                            <?php echo $empresa[0]["Bairro"]; ?> -
                            <?php echo $empresa[0]["Cidade"]; ?> - <?php echo $empresa[0]["Estado"]; ?><br>
                            Tel: <?php echo $empresa[0]["Fone1"] . ' | ' . $empresa[0]["Fone2"]; ?><br>
                        </td>
                    </tr>
                </table>
            </td>
        </tr>
        <tr>
            <td colspan="2">
                -----------------------------------------------------------------------------------------------------------
            </td>
        </tr>
        <tr>
            <td align="center" colspan="5" style="font-weight: bold;font-size:24px;">COMPROVANTE DE CONFERNCIA</td>
        </tr>
        <tr>
            <td colspan="2">
                -----------------------------------------------------------------------------------------------------------
            </td>
        </tr>
        <tr>
            <td colspan="2" align="left">
                <table width="98%" class="razao" style="font-size:20px;">
                    <?php
                    if (CLIENTE_RAZAO_SOCIAL == 'Sim') {
                        $nome = 'Razao_Social';
                    } else {
                        $nome = 'Titulo';
                    }
                    $sqlVenda = listar("SELECT venda.Lancamento,
                                                venda.Data_Venda,
                                                venda.Status,
                                                tipo_pagamento.Titulo as Tipo_Pagamento,
                                                cliente.Titulo as Cliente,
                                                funcionario.Titulo as Vendedor,
                                                cliente.Fone1,
                                                cliente.Fone2,
                                                cliente.Rua,
                                                cliente.Numero,
                                                cliente.Bairro,
                                                cliente.Cidade,
                                                cliente.Estado,
                                                cliente.Complemento,
                                                cliente.Ponto_Referencia
                                                FROM venda
                                                LEFT JOIN (SELECT Id,Titulo FROM tipo_pagamento) as tipo_pagamento ON tipo_pagamento.Id = venda.Id_Tipo_Pagamento
                                                LEFT JOIN (SELECT Id,$nome as Titulo,Fone1,Fone2,Rua,Numero,Bairro,Cidade,Estado,Ponto_Referencia,Complemento FROM cliente) as cliente ON cliente.Id = venda.Id_Cliente
                                                LEFT JOIN (SELECT Id,Titulo FROM funcionario) as funcionario ON funcionario.Id = venda.Id_Vendedor
                                                WHERE venda.Id = '" . $_GET["id_venda"] . "' ");
                    ?>
                    <tr>
                        <td align="left">Vend: <?php echo $sqlVenda[0]["Vendedor"]; ?></td>
                    </tr>
                    <tr>
                        <td align="left"><?php echo data_exibir($sqlVenda[0]["Data_Venda"]) . " " . date("H:i:s"); ?></td>
                    </tr>
                    <tr>
                        <td align="left">
                            <b><?php echo $sqlVenda[0]["Cliente"]; ?></b>
                        </td>
                    </tr>
                    <?php if (strtolower($sqlVenda[0]["Cliente"]) != 'avulso') { ?>
                        <tr>
                            <td align="left">
                                <?php echo substr($sqlVenda[0]["Rua"] . ", " . $sqlVenda[0]["Numero"], 0, 39) ?>
                                <?php echo substr($sqlVenda[0]["Rua"] . ", " . $sqlVenda[0]["Numero"], 40, 118) ?>
                            </td>
                        </tr>
                        <tr>
                            <td align="left">
                                <?php echo $sqlVenda[0]["Bairro"] . " - " . $sqlVenda[0]["Cidade"] . " - " . $sqlVenda[0]["Estado"]; ?>
                            </td>
                        </tr>
                        <tr>
                            <td align="left">
                                Compl. <?php echo $sqlVenda[0]["Complemento"]; ?>
                            </td>
                        </tr>
                        <tr>
                            <td align="left">
                                <?php echo $sqlVenda[0]["Ponto_Referencia"]; ?>
                            </td>
                        </tr>
                        <tr>
                            <td align="left">
                                <b><?php echo $sqlVenda[0]["Fone1"] . ' / ' . $sqlVenda[0]["Fone2"]; ?></b>
                            </td>
                        </tr>
                    <?php } ?>
                </table>
            </td>
        </tr>
        <tr>
            <td height="20" colspan="2">
                -----------------------------------------------------------------------------------------------------------
            </td>
        </tr>
        <tr>
            <td colspan="3">
                <table class="razao" style="font-size: 24px;">
                    <tr>
                        <td width="12%">
                            COD
                        </td>
                        <td colspan="5">
                            DESCRICAO
                        </td>
                    </tr>
                    <tr>
                        <td>
                            UND
                        </td>
                        <td>
                            TOTAL
                        </td>
                        <td>
                            RETIRADO
                        </td>
                        <td>
                            SALDO
                        </td>
                        <td>
                            CONF
                        </td>
                        <td>&nbsp;&nbsp;</td>
                    </tr>
                    <tr>
                        <td height="5" colspan="6">
                            -----------------------------------------------------------------------
                        </td>
                    </tr>
                    <?php
                    $y = '1';
                    while ($chave = mysqli_fetch_assoc($produtoVenda)) {
                    ?>
                        <tr>
                            <td>
                                <?php echo $chave["Codigo"]; ?>
                            </td>
                            <td colspan="5">
                                <?php echo substr($chave["Produto"],0,29); ?>
                            </td>
                        </tr>
                        <tr>
                            <td>
                                <?php echo $chave["Medida"]; ?>
                            </td>
                            <td>
                                <?php echo $chave["Qtd"]; ?>
                            </td>
                            <td>
                                <?php echo $chave["Over"] ?: '0'; ?>
                            </td>
                            <td>
                                <?php echo ($chave["Qtd"] - $chave["Over"]); ?>
                            </td>
                            <td>
                                <?php echo $chave["Conf"] ?: 'No'; ?>
                            </td>
                            <td>&nbsp;</td>
                        </tr>
                        <tr>
                            <td colspan="2" style="font-size:16px;"> LOTE - <?php echo $chave["Lote"]; ?></td>
                            <td colspan="3" style="font-size:16px;"> VALIDADE - <?php echo data_exibir($chave["Data_Validade"]); ?></td>
                        </tr>
                    <?php
                        $QtdItens += $chave["Qtd"];
                        $ValTotal += ($chave["Qtd"] * $chave["Preco"]) - $chave["Desconto_Real"];
                        $y++;
                    }
                    ?>
                    <tr>
                        <td height="5" colspan="6">
                            -----------------------------------------------------------------------
                        </td>
                    </tr>
                </table>
            </td>
        </tr>
        <tr>
            <td>&nbsp;</td>
        </tr>
        <tr>
            <td>&nbsp;</td>
        </tr>
        <tr>
            <td>&nbsp;</td>
        </tr>
        <tr>
            <td>&nbsp;</td>
        </tr>
        <tr>
            <td height="5" colspan="6">
                -----------------------------------------------------------------------------------------------------------
            </td>
        </tr>
        <tr>
            <td align="center" colspan="6">
                RESPONSVEL CONFERNCIA
            </td>
        </tr>
        <tr>
            <td colspan="2" align="left" class="razao">
                Documento Sem valor Fiscal.<br>
            </td>
        </tr>
    </table>
    <br>
</body>

</html>
<?php
$pagina = ob_get_contents();
ob_end_clean();
echo utf8_encode($pagina);
?>
