<?php
include_once '../include/conecta.php'; //Conecta com a nosso banco de dados MySQL
include_once '../include/ver_sessao.php'; //Verifica se a sesso est ativa
include_once '../include/funcoesPhp.php';
include_once '../menu_movimento.php';
?>
<html>
    <head>
        <title>Gw - Gesto Web</title>
        <link rel="stylesheet" type="text/css" href="../estilo/<?php echo SKIN; ?>/tableless.css" />
        <link rel="stylesheet" type="text/css" href="../estilo/<?php echo SKIN; ?>/tabelas.css" />
        <script language="javascript" type="text/javascript" src="../js/jquery.js"></script>
        <!--
        <?php include '../include/script_cabeca.php'; ?>
        <?php include '../include/script_campo.php'; ?>
        -->
        <script language="javascript" type="text/javascript" src="../js/script.js"></script>
        <script type="text/javascript" language="javascript" >
            //Funo para dar Foco no primeiro campo
            $(document).ready(function() {
                $("#Descricao").focus();
            });
        </script>
        <script type='text/javascript'>

            var pressedCtrl = false;
            $(document).keyup(function(e) {
                if (e.which == 17)
                    pressedCtrl = false;
            })

            $(document).keydown(function(e) {
                if (e.which == 17)
                    pressedCtrl = true;

                //CTRL + J (teclado) Bloqueado, erro com leitor de codigo de barras
                if (pressedCtrl == true && e.which == 74) {
                    return false;
                }
            });
        </script>
        <style type="text/css">
            input{
                margin:0 5px;
                width:150px;
                height:40px;
                font:25px Georgia, "Trebuchet MS", Tahoma, Times, serif;
                font-weight:bold;
            }
            .codigo{
                margin:0 5px;
                width:250px;
                height:40px;
                font:25px Georgia, "Trebuchet MS", Tahoma, Times, serif;
                font-weight:bold;
            }
            .descricao{
                margin:0 5px;
                width:250px;
                height:40px;
                font:25px Georgia, "Trebuchet MS", Tahoma, Times, serif;
                font-weight:bold;
            }
            .fornecedor{
                margin:0 5px;
                width:450px;
                height:40px;
                font:25px Georgia, "Trebuchet MS", Tahoma, Times, serif;
                font-weight:bold;
            }
            h1{
                font:30px "Trebuchet MS", Tahoma, Helvetica, sans-serif;
                color:#f4f4f4;
            }
            .buscarprodutos{
                font:20px "Trebuchet MS", Tahoma, Helvetica, sans-serif;
                color:#f4f4f4;
                font-weight:bold;
            }
            strong{
                margin:0 5px;
                font:18px "Trebuchet MS", Tahoma, Geneva, sans-serif;
                color:#000000;
                font-weight:bold;
            }
            span{
                font:14px "Trebuchet MS", Tahoma, Helvetica, sans-serif;
                font-weight:bold;
                color:#069;
            }
            .over{
                overflow:scroll;
                height:300px;
                padding:0;
                background-color: #FFFFFF;
            }
            .tr-1{
                background-color: #E8E8E8;
            }
            .tr-2{
                background-color: #225F93;
            }
            .tr-3{
                background-color: #cccccc;
            }
            .destaque {background: #00C5CD !important;}
        </style>
        <script type="text/javascript" language="javascript" >
            //funcao de trocar a cor da TR no listar
            $(function() {
                $('table tr').hover(
                        function() {
                            $(this).addClass('destaque');
                        },
                        function() {
                            $(this).removeClass('destaque');
                        }
                );
            });
        </script>
    </head>
    <body>
        <form name="tabela_preco" id="tabela_preco" method="post" action="">
            <table width="98%" border="0" cellpadding="2" cellspacing="1" id="tabela_pdv">
                <tr>
                    <td colspan="5" align="center" bgcolor="#225F93">
                        <span id="Caixa_Livre" class="buscarprodutos">
                            Buscar Produtos
                        </span>
                    </td>
                </tr>
                <tr>
                    <td class="tr-1"><strong>Cdigo</strong></td>
                    <td colspan="4" class="tr-1"><strong>Descrio</strong></td>
                </tr>
                <tr>
                    <td class="tr-1">
                        <input style="width:80%" type="text" name="Codigo" id="Codigo" class="codigo" value="<?php echo $_POST["Codigo"]; ?>"/>
                    </td>
                    <td colspan="4" class="tr-1">
                        <input style="width:80%" type="text" name="Descricao" id="Descricao" class="descricao" value="<?php echo $_POST["Descricao"]; ?>"/>
                    </td>
                </tr>
                <tr>
                    <td class="tr-1" colspan="2">
                        <strong style="padding-right: 4%">Fornecedor</strong>
                        <?php
                        if (FORNECEDOR_RAZAO_SOCIAL == 'Sim') {
                            $nome = 'Razao_Social';
                        } else {
                            $nome = 'Titulo';
                        }
                        echo select_banco("Select fornecedor.Id, $nome as Titulo from fornecedor WHERE Ativo = 'Sim' AND Funcionario = 'No' order by Titulo", "Fornecedor", "Fornecedor", $_POST["Fornecedor"], '', 'fornecedor');
                        ?>
                    </td>
                    <td class="tr-1" colspan="3">
                        <strong style="padding-right: 6%">Ordernar</strong>
                        <?php
                        $vetor = array('' => 'Ordernar',
                            'DESC' => 'Maior / Menor',
                            'ASC' => 'Menor / Maior');
                        select_tela("Ordernar", "Ordernar", $_POST["Ordernar"], $vetor, "", "fornecedor");
                        ?>
                    </td>
                </tr>
                <!--
                <tr>
                    <?php
                    if ($_POST['Zerado'] == 'Completo') {
                        $Completo = 'checked';
                    } else if ($_POST['Zerado'] == 'Nao_Mostrar_Zerado') {
                        $Nao_Mostrar_Zerado = 'checked';
                    } else if ($_POST['Zerado'] == 'Negativo') {
                        $Negativo = 'checked';
                    } else if ($_POST['Zerado'] == 'Positivo') {
                        $Positivo = 'checked';
                    } else if ($_POST['Zerado'] == 'Mostrar_Zerado') {
                        $Mostrar_Zerado = 'checked';
                    } else {
                        $Completo = 'checked';
                    }
                    ?>
                    <td class="tr-1" align="center">
                        <input type="radio" name="Zerado" value='Completo' id="Completo" <?php echo $Completo; ?> ><br><label class="label_radio" for="Completo">Completo</label>
                    </td>
                    <td class="tr-1" align="center">
                        <input type="radio" name="Zerado" value='Nao_Mostrar_Zerado' id="Nao_Mostrar_Zerado" <?php echo $Nao_Mostrar_Zerado; ?> ><br><label class="label_radio" for="Nao_Mostrar_Zerado">No Mostrar Zerados</label>
                    </td>
                    <td class="tr-1" align="center">
                        <input type="radio" name="Zerado" value='Negativo' id="Negativo" <?php echo $Negativo; ?> ><br><label class="label_radio" for="Negativo">S Negativos</label>
                    </td>
                    <td class="tr-1" align="center">
                        <input type="radio" name="Zerado" value='Positivo' id="Positivo" <?php echo $Positivo; ?> ><br><label class="label_radio" for="Positivo">S Positivos</label>
                    </td>
                    <td class="tr-1" align="center">
                        <input type="radio" name="Zerado" value='Mostrar_Zerado' id="Mostrar_Zerado" <?php echo $Mostrar_Zerado; ?> ><br><label class="label_radio" for="Mostrar_Zerado">Zerados</label>
                    </td>
                </tr>
                -->
                <!--
                <tr>
                    <td class="tr-1" colspan="5">
                        <?php
                        
                          //se o sistema for Multi Empresa
                          if(MULTI_EMPRESA=="Sim"){

                          //se o usuario master ele escolhe pra quem vai
                          if(ESCOLHER_EMPRESA=='Sim'){
                          ?>
                          <strong style="padding-right: 4%">Empresa &nbsp;&nbsp;&nbsp;&nbsp;</strong>
                          <?php echo select_banco2("SELECT Id,Titulo FROM unidade WHERE Ativo='Sim' ORDER BY Titulo",
                          "Unidade","Unidade","Empresa",$_POST["Unidade"],"","fornecedor");
                          ?>
                          <?php
                          //se no for, a unidade sempre ser a sua
                          }else{
                          echo "<input type='hidden' name='Unidade' id='Unidade' value='".$_SESSION["Unidade"]."' >";
                          }

                          }else{
                          echo "<input type='hidden' name='Unidade' id='Unidade' value='".$_SESSION["Unidade"]."' >";
                          }
                         
                        ?>
                    </td>
                </tr>
                -->
                <tr>
                    <td colspan="5" align="center" bgcolor="#225F93">
                        <button type="submit" name="Buscar" value="Buscar Produtos" style="width: 400px; height: 40px"><span style="font-size: 20px;color: #000">Buscar Produtos</span></button>
                    </td>
                </tr>
            </table>
        </form>

        <?php
        if ($_SERVER['REQUEST_METHOD'] == "POST") {

            if ($_POST["Codigo"]) {
                $cond .= " AND produto.Codigo = '" . $_POST["Codigo"] . "' ";
            }
            if ($_POST["Descricao"]) {

                $c_barras = utf8_decode($_POST["Descricao"]);

                //$c_barras = (int) $c_barras;
                //$c_barras = substr($c_barras,0,3);
                //$posicao = strpos($c_barras, '789');

                if( (strlen($c_barras)>'10') && (is_numeric($c_barras)) ){
                    $tam = strlen($_POST["Descricao"]);
                    $barras = 'Sim';
                    if ($tam == '12') {
                        $_POST["Descricao"] = substr($_POST["Descricao"], 1);
                    }
                }

                if($barras=='Sim'){
                    $cond .= " and (produto.Codigo_Barras = '" . $_POST["Descricao"] . "'
                    OR produto.Gtin = '" . $_POST["Descricao"] . "' ) ";
                }else{
                    $cond .= " and (produto.Titulo like '%" . $_POST["Descricao"] . "%') ";
                }
                
            }
            if ($_POST["Fornecedor"]) {
                $cond .= " AND produto.Id_Fornecedor = '" . $_POST["Fornecedor"] . "' ";
            }
            if ($_POST["Unidade"]) {
                $Unidade = "AND estoque.Id_Unidade = '" . $_POST["Unidade"] . "' ";
            }
            if ($_POST["Ordernar"] == 'ASC') {
                $ord = " produto.Preco1 ASC, ";
            }
            if ($_POST["Ordernar"] == 'DESC') {
                $ord = " produto.Preco1 DESC, ";
            }

            if ($_POST["Zerado"] == "Completo") {
                $zerado = " ";
            }
            if ($_POST["Zerado"] == "Mostrar_Zerado") {
                $zerado = "HAVING Estoque = '0' ";
            }
            if ($_POST["Zerado"] == "Nao_Mostrar_Zerado") {
                $zerado = "HAVING Estoque <> '0' ";
            }
            if ($_POST["Zerado"] == "Negativo") {
                $zerado = "HAVING Estoque < '0' ";
            }
            if ($_POST["Zerado"] == "Positivo") {
                $zerado = "HAVING Estoque > '0' ";
            }

            // $pro_pdv = mysqli_query($con,"SELECT DISTINCT Id_Produto,
            //             produto.Titulo as Produto,
            //             produto.Codigo,
            //             produto.Preco1,
            //             produto.Preco2,
            //             produto.Preco3,
            //             produto.Preco4,
            //             produto.Preco5
            //             FROM (SELECT Id,Id_Unidade,Id_Produto,Concluido FROM estoque WHERE estoque.Concluido = 'Sim' 
            //             $Unidade $local) as estoque 
            //             LEFT JOIN (SELECT produto.Id,
            //                         produto.Codigo,
            //                         produto.Preco1,
            //                         produto.Preco2,
            //                         produto.Preco3,
            //                         produto.Preco4,
            //                         produto.Preco5,
            //                         produto.Titulo
            //                  FROM produto
            //                  WHERE produto.Tipo_Produto = 'P'
            //                  AND Ativo = 'Sim'
            //                  AND Tipo_Categoria='Pode vender'
            //                  $cond) as produto ON produto.Id = estoque.Id_Produto
            //             GROUP BY Produto
            //             ORDER BY $ord produto.Titulo ");

            $pegaPreco = mysqli_query($con, "SELECT * FROM produto_tabela WHERE Ativo = 'Sim'   ORDER BY Id  ");
            $salvar_tabela = '';
            while ($posicaoPreco = mysqli_fetch_assoc($pegaPreco)) {
                $posicaoPreco["Valor"] = intval($posicaoPreco["Valor"]);
                $andPreco = "";
                $andPreco .= 'produto.Preco' . $posicaoPreco["Valor"];
                $andPreco = substr($andPreco, 0, 37);
                $andPreco .= ",";
                $salvar_tabela .= $andPreco;
            }

            $pro_pdv = mysqli_query($con,"SELECT DISTINCT produto.Id,
                        produto.Titulo as Produto,
                        $salvar_tabela
                        produto.Codigo
                        FROM (SELECT produto.Id,
                                    produto.Codigo,
                                    produto.Preco1,
                                    produto.Preco2,
                                    produto.Preco3,
                                    produto.Preco4,
                                    produto.Preco5,
                                    produto.Titulo
                             FROM produto
                             WHERE produto.Tipo_Produto = 'P'
                             AND Ativo = 'Sim'
                             AND Tipo_Categoria='Pode vender'
                             $cond) as produto
                        ORDER BY $ord produto.Titulo ");
        }
        ?>
        <table width="98%" border="0" cellpadding="2" cellspacing="1" id="tabela_pdv">
            <tr bgcolor="#225F93">
                <td><strong>Cd</strong></td>
                <td><strong>Descrio</strong></td>
                <?php
                $tab_preco = mysqli_query($con, "SELECT * FROM produto_tabela WHERE Ativo = 'Sim' ORDER BY Valor ");
                $tit_preco = array();
                while ($chave = mysqli_fetch_assoc($tab_preco)) {
                    $tit_preco[$chave["Valor"]] = $chave["Titulo"];

                    if ($tit_preco[$chave["Valor"]] != '') {
                        echo '<td><b>' . $tit_preco[$chave["Valor"]] . '</b></td>';
                    }
                }
                ?>
                <?php 
                    $uni = mysqli_query($con,"SELECT Titulo as 'Unidade' FROM unidade WHERE Ativo='Sim' ORDER BY Titulo ");
                    while($reg = mysqli_fetch_assoc($uni)){
                        echo "<td><strong>".$reg['Unidade']."</strong></td>";
                    }
                ?>
                <td><strong>Total</strong></td>
                <td><strong>Foto</strong></td>
            </tr>
            <?php
            $tabelas_preco = explode(",", $salvar_tabela);
            $y = '1';
            while ($chave = mysqli_fetch_assoc($pro_pdv)) {
                ?>
                <tr class="tr-1">
                    <td><b><?php echo $chave["Codigo"]; ?></b></td>
                    <td><b><?php echo $chave["Produto"]; ?></b></td>
                    <?php foreach ($tabelas_preco as $tabela_preco) {
                        $tabela_preco = str_replace("produto.", '', $tabela_preco) ?>
                        <?php if (strlen($chave[$tabela_preco]) > 0) { ?>
                            <td><b><?php echo valor_exibir($chave[$tabela_preco]) ?></b></td>
                    <?php }
                    } ?>
                    
                    <?php
                    $qtd_pneu_total='0';

                    $uni2 = mysqli_query($con,"SELECT Id as 'Id_Unidade' from unidade WHERE Ativo='Sim' ORDER BY Titulo ");
                    while($reg2 = mysqli_fetch_assoc($uni2)){

                        $produto = mysqli_query($con,"SELECT SUM(estoque.Qtd) as Estoque_Atual
                                        FROM estoque 
                                        WHERE estoque.Concluido = 'Sim'
                                        AND Id_Produto = '".$chave["Id"]."'
                                        AND Id_Unidade = '".$reg2['Id_Unidade']."'
                                        $Unidade
                                        GROUP BY Id_Produto ");


                        $qtd_pneu='0';
                        while($valor = mysqli_fetch_assoc($produto)){
                            $qtd_pneu+= $valor["Estoque_Atual"];
                            $qtd_pneu_total+= $valor["Estoque_Atual"];
                            $qtd_pneu_final+= $valor["Estoque_Atual"];
                        }

                        $loja[$reg2['Id_Unidade']]['Estoque_Atual']+=$qtd_pneu;
                    ?>
                    <td><?php echo valor_exibir($qtd_pneu)?></td>

                    <?php } ?>

                        <td><?php echo valor_exibir($qtd_pneu_total)?></td>

                    <td align="center">
                        <a href="javascript:void();" onclick="window.open('foto_produto.php?id_produto=<?php echo $chave["Id"]; ?>', 'Produto', 'width=700,height=700,top=0,left=0,scrollbars=yes')">
                            <img src="../imagem/ver.png" alt="Foto" title="Foto"/>
                        </a>
                    </td>
                </tr>
                <?php $y++; } ?>
        </table>

        <?php include "../include/rodape.php"; ?>
    </body>
</html>