<?php
include_once '../include/conecta.php'; //Conecta com a nosso banco de dados MySQL
ini_set('session.gc_maxlifetime', 60 * 120);
session_start();
/*include_once '../include/ver_sessao.php'; //Verifica se a sesso est ativa*/
include_once '../include/funcoesPhp.php';
include_once '../menu_movimento.php';
?>
<?php
if (($_GET["Liquidado"]) || ($_GET["Aberto"]) || ($_GET["Cancelado"])) {

    $status = "and (";

    if ($_GET["Liquidado"]) {
        $status .= " conta_pagar.Status = 'Liquidado' OR";
    }
    if ($_GET["Aberto"]) {
        $status .= " conta_pagar.Status = 'Aberto' OR";
    }
    if ($_GET["Cancelado"]) {
        $status .= " conta_pagar.Status = 'Cancelado' OR";
    }

    $status = substr($status, 0, -2);
    $status .= ")";
}
if ($_GET['Data_Filtro'] == 'Vencimento') {
    if ($_GET["De"])
        $data .= "AND conta_pagar.Data_Vencimento >= '" . data_banco($_GET["De"]) . " 00:00:00' ";
    if ($_GET["Ate"])
        $data .= "AND conta_pagar.Data_Vencimento <= '" . data_banco($_GET["Ate"]) . " 23:59:59' ";
}
if ($_GET['Data_Filtro'] == 'Pagamento') {
    if ($_GET["De"])
        $data .= "AND conta_pagar.Data_Pagamento >= '" . data_banco($_GET["De"]) . " 00:00:00' ";
    if ($_GET["Ate"])
        $data .= "AND conta_pagar.Data_Pagamento <= '" . data_banco($_GET["Ate"]) . " 23:59:59' ";
}
if ($_GET['Data_Filtro'] == 'Emissao') {
    if ($_GET["De"])
        $data .= "AND conta_pagar.Data_Emissao >= '" . data_banco($_GET["De"]) . " 00:00:00' ";
    if ($_GET["Ate"])
        $data .= "AND conta_pagar.Data_Emissao <= '" . data_banco($_GET["Ate"]) . " 23:59:59' ";
}

if ($_GET["EF"])
    $data .= "and conta_pagar.EF = '" . $_GET["EF"] . "' ";

if ($_GET["Fornecedor"])
    $fornecedor = "AND fornecedor.Id = '" . $_GET["Fornecedor"] . "' ";
if ($_GET["Funcionario"])
    $fornecedor .= "AND conta_pagar.Id_Funcionario = '" . $_GET["Funcionario"] . "' ";
if ($_GET["Conta"])
    $fornecedor .= "AND conta_pagar.Id_Conta = '" . $_GET["Conta"] . "' ";
if ($_GET["Atividade"])
    $fornecedor .= "AND conta_pagar.Id_Atividade = '" . $_GET["Atividade"] . "' ";

if ($_GET["Unidade"]) {
    $Unidade = "AND conta_pagar.Id_Unidade = '" . $_GET["Unidade"] . "' ";
}
if ($_GET["Situacao"]) {
    $Unidade .= "AND conta_pagar.Situacao = '" . $_GET["Situacao"] . "' ";
}


if (FORNECEDOR_RAZAO_SOCIAL == 'Sim') {
    $nome = "Razao_Social";
} else {
    $nome = "Titulo";
}
if ($_GET["Ordem"] == '') {
    $ordem = "order by conta_pagar.Data_Vencimento,
                    fornecedor.$nome,
                    conta_pagar.Data_Pagamento,
                    conta_pagar.Lancamento ";
}
if ($_GET["Ordem"] == 'Data_Vencimento') {
    $ordem = "order by conta_pagar.Data_Vencimento,
                    fornecedor.$nome,
                    conta_pagar.Data_Pagamento,
                    conta_pagar.Lancamento ";
}
if ($_GET["Ordem"] == 'Fornecedor') {
    $ordem = "order by fornecedor.$nome,
                    conta_pagar.Data_Vencimento,
                    conta_pagar.Data_Pagamento,
                    conta_pagar.Lancamento ";
}
if ($_GET["Ok"]) {
    $produto = mysqli_query($con, "SELECT fornecedor.Titulo as 'Fornecedor',
                            conta_pagar.Id,
                            conta_pagar.Lancamento,
                            conta_pagar.Fatura,
                            conta_pagar.Data_Emissao,
                            conta_pagar.Data_Vencimento,
                            conta_pagar.Valor_Original,
                            conta_pagar.Fatura,
                            conta_pagar.Status,
                            conta_pagar.Motivo,
                            conta_pagar.Descricao,
                            conta_pagar.Situacao,
                            vendedor.Titulo as Vendedor,
                            fornecedor.Razao_Social,
                            conta.Titulo as Conta
                            from conta_pagar
                            left join (SELECT Id,Titulo,Razao_Social FROM fornecedor) as fornecedor ON fornecedor.Id = conta_pagar.Id_Fornecedor
                            left join 
                            (SELECT DISTINCT conta.Id, CONCAT(conta.Titular,' - ',conta.Nome_Banco,' - ag.',conta.Agencia,' - cc.',conta.Conta) as Titulo FROM conta
                             inner join (SELECT banco.Id,banco.Titulo FROM banco) as banco ON conta.Id_Banco = banco.Id) 
                            as conta ON conta.Id = conta_pagar.Id_Conta
                            LEFT JOIN (SELECT Id,Id_Vendedor FROM venda) as venda ON venda.Id = conta_pagar.Id_Externo
                            left join (SELECT Id, Titulo FROM funcionario) as vendedor ON vendedor.Id = venda.Id_Vendedor
                            WHERE Situacao<>''
                            $status $data $fornecedor $Unidade $ordem
                            AND (conta_pagar.Status = 'Pendente Confirmao' OR conta_pagar.Status = 'Aberto')
                            ");
}
?>
<?php ob_start(); /* Inicia o fluxo*/ ?>
<html>

<head>
    <script type="text/javascript" language="javascript" src="../js/jquery.js"></script>
    <?php include '../include/script_cabeca.php'; ?>
    <script type="text/javascript" language="javascript" src="../js/script.js"></script>
    <script type="text/javascript" language="javascript" src="../js/meiomask/meiomask.js"></script>
    <script type="text/javascript" language="javascript" src="../js/meiomask/<?php if (PAIS == "USA") {
                                                                                    echo "mascaras-usa";
                                                                                } else {
                                                                                    echo "mascaras";
                                                                                } ?>.js"></script>
</head>

<body>

    <table width="100%">
        <tr>
            <td>
                <font face="verdana" size="2"><i>Relatrio de Acompanhamento de Ttulo</b></i></font>
            </td>
        </tr>
        <tr>
            <td>
                <font face="verdana" size="2">
                    <?php
                    if ($_GET["De"]) {
                        echo "Perodo: " . $_GET["De"];
                    }
                    if ($_GET["Ate"]) {
                        echo "  " . $_GET["Ate"];
                    }
                    if ($_GET["Fornecedor"]) {
                        if (FORNECEDOR_RAZAO_SOCIAL == 'Sim') {
                            $nome = 'Razao_Social';
                        } else {
                            $nome = 'Titulo';
                        }
                        $achar = listar("Select " . $nome . " as Titulo from fornecedor
			where Id = '" . $_GET["Fornecedor"] . "' ");
                        echo " - " . $achar[0]["Titulo"];
                    }
                    if ($_GET["Cancelado"]) {
                        echo " - " . $_GET["Cancelado"];
                    }
                    if ($_GET["Liquidado"]) {
                        echo " - " . $_GET["Liquidado"];
                    }
                    if ($_GET["Aberto"]) {
                        echo " - " . $_GET["Aberto"];
                    }
                    //se o sistema for Multi Empresa
                    if ((MULTI_EMPRESA == "Sim") && ($_SESSION["Id_Nivel"] == '1')) {

                        if ($_GET["Unidade"]) {
                            $achar = listar("Select Titulo from unidade
						where Id = '" . $_GET["Unidade"] . "' ");
                            echo " - " . $achar[0]["Titulo"];
                        }
                    }
                    ?>
                </font>
            </td>
        </tr>
    </table>
    <br>
    <table width="100%" class="tabela">
        <tr class="azul-claro">
            <td>Conta</td>
            <td>Fornecedor</td>
            <td>Fatura</td>
            <td>Emisso</td>
            <td>Vencimento</td>
            <td>Valor Original</td>
            <td>Situao</td>
            <td>Vendedor</td>
            <td>Atraso</td>
            <td>Acompanhamento</td>
        </tr>
        <?php
        if ($_GET["Ok"]) {

            $color = "#F5F5F5";
            while ($chave = mysqli_fetch_assoc($produto)) {
                if ($color == "#F5F5F5") {
                    $color = "#E8E8E8";
                } else {
                    $color = "#F5F5F5";
                }


        ?>
        <?php
                $hist = mysqli_query($con, "SELECT Observacao,Data_Cadastro
                                FROM conta_pagar_historico
                                WHERE Id_Conta_Pagar='" . $chave["Id"] . "'
                                order by Data_Cadastro DESC
                                LIMIT 1 ");
                $acomp = mysqli_fetch_assoc($hist);
                ?>
        <tr bgcolor=<?php echo "$color"; ?>>
            <td><?php echo $chave["Conta"]; ?></td>
            <td><?php
                        if (FORNECEDOR_RAZAO_SOCIAL == 'Sim') {
                            echo $chave["Razao_Social"];
                        } else {
                            echo $chave["Fornecedor"];
                        }
                        ?>
            </td>
            <td><?php echo $chave["Fatura"] ?></td>
            <td><?php echo data_exibir($chave["Data_Emissao"]) ?></td>
            <td><?php echo data_exibir($chave["Data_Vencimento"]) ?></td>
            <td><?php echo valor_exibir($chave["Valor_Original"]) ?></td>
            <td><?php echo $chave["Situacao"] ?></td>
            <td><?php echo $chave["Vendedor"] ?></td>
            <td>
                <?php
                        if (($chave['Status'] == 'Aberto') || ($chave['Status'] == 'Pendente Confirmao')) {
                            echo calcula_dia(data_exibir($chave['Data_Vencimento']), data_exibir(date("Y-m-d")));
                        } else {
                            echo calcula_dia(data_exibir($chave['Data_Vencimento']), data_exibir($chave['Data_Pagamento']));
                        }
                        ?>
            </td>

            <td><?php echo data_exibir($acomp["Data_Cadastro"]) . " - " . $acomp["Observacao"] ?></td>
            <?php
                    $Valor_Aberto += $chave["Valor_Original"];
                    $Valor_Liqu += $chave["Valor_Pago"];
                    ?>
        </tr>
        <?php if ($chave['Status'] == 'Cancelado') { ?>
        <tr>
            <td colspan="10">
                <b>Motivo: </b> <?php echo $chave['Motivo'] ?>
            </td>
        </tr>
        <?php }
            }
        } ?>

        <tr>
            <td></td>
            <td colspan="4"><b>Totais Valores : </b></td>
            <td><b><?php echo valor_exibir($Valor_Aberto); ?></b></td>
            <td colspan="4"></td>
        </tr>
    </table>
</body>

</html>
<?php
$html = ob_get_contents();
ob_end_clean();

include_once "../include/excel_opcao.php";
?>