<?php
include_once '../include/conecta.php'; //Conecta com a nosso banco de dados MySQL
include_once '../include/ver_sessao.php'; //Verifica se a sesso est ativa
include_once '../include/funcoesPhp.php';
include_once '../menu_movimento.php';
?>
<?php
if (($_GET["Liquidado"]) || ($_GET["Aberto"]) || ($_GET["Cancelado"])) {

    $status = "and (";

    if ($_GET["Liquidado"]) {
        $status .= " conta_receber.Status = 'Liquidado' OR";
    }
    if ($_GET["Aberto"]) {
        $status .= " conta_receber.Status = 'Aberto' OR";
    }
    if ($_GET["Cancelado"]) {
        $status .= " conta_receber.Status = 'Cancelado' OR";
    }

    $status = substr($status, 0, -2);
    $status .= ")";
}

if ($_GET['Data_Filtro'] == 'Vencimento') {
    if ($_GET["De"])
        $data .= "AND conta_receber.Data_Vencimento >= '" . data_banco($_GET["De"]) . " 00:00:00' ";
    if ($_GET["Ate"])
        $data .= "AND conta_receber.Data_Vencimento <= '" . data_banco($_GET["Ate"]) . " 23:59:59' ";
}
if ($_GET['Data_Filtro'] == 'Pagamento') {
    if ($_GET["De"])
        $data .= "AND conta_receber.Data_Pagamento >= '" . data_banco($_GET["De"]) . " 00:00:00' ";
    if ($_GET["Ate"])
        $data .= "AND conta_receber.Data_Pagamento <= '" . data_banco($_GET["Ate"]) . " 23:59:59' ";
}
if ($_GET['Data_Filtro'] == 'Emissao') {
    if ($_GET["De"])
        $data .= "AND conta_receber.Data_Emissao >= '" . data_banco($_GET["De"]) . " 00:00:00' ";
    if ($_GET["Ate"])
        $data .= "AND conta_receber.Data_Emissao <= '" . data_banco($_GET["Ate"]) . " 23:59:59' ";
}

if ($_GET["EF"])
    $data .= "and conta_receber.EF = '" . $_GET["EF"] . "' ";

if ($_GET["Cliente"]) {

    $mystring = $_GET["Cliente"];
    $findme = " : ";

    $posicao = strpos($mystring, $findme);

    $cod_cli = substr($_GET["Cliente"], 0, $posicao);
    $nome_cli = substr($_GET["Cliente"], ($posicao + 3));

    if (CLIENTE_RAZAO_SOCIAL == 'Sim') {
        $nome = 'Razao_Social';
    } else {
        $nome = 'Titulo';
    }
    /* convertendo o nome do fornecedor, para o seu codigo */
    $Prodt = listar("SELECT Id FROM cliente WHERE " . $nome . " ='" . $nome_cli . "' AND Codigo = '" . $cod_cli . "' ");
    $_GET["Cliente"] = $Prodt[0]["Id"];

    $cliente .= "and conta_receber.Id_Cliente = '" . $_GET["Cliente"] . "' ";
}
if ($_GET["Tipo_Pagamento"])
    $cliente .= "and conta_receber.Id_Tipo_Pagamento = '" . $_GET["Tipo_Pagamento"] . "' ";
if ($_GET["Tipo_Movimento"])
    $cliente .= "and conta_receber.Tipo_Movimentacao = '" . $_GET["Tipo_Movimento"] . "' ";
if ($_GET["Funcionario"])
    $cliente .= "and conta_receber.Id_Funcionario = '" . $_GET["Funcionario"] . "' ";
if ($_GET["Conta"])
    $cliente .= "and conta_receber.Id_Conta = '" . $_GET["Conta"] . "' ";
if ($_GET["Categoria_Tipo_Pagamento"])
    $cliente .= " AND tipo_pagamento.Id_Categoria_Tipo_Pagamento = '" . $_GET["Categoria_Tipo_Pagamento"] . "' ";
if ($_GET["Atividade"])
    $cliente .= "and conta_receber.Id_Atividade = '" . $_GET["Atividade"] . "' ";
if ($_GET["Cidade"])
    $cliente .= "and cliente.Id_Cidade = '" . $_GET["Cidade"] . "' ";
if ($_GET["Estado"])
    $cliente .= "and cliente.Estado = '" . $_GET["Estado"] . "' ";
if ($_GET["Origem"]) {
    $cliente .= "and conta_receber.Origem = '" . $_GET["Origem"] . "' ";
}

if ($_GET["Cheque"]) {
    $Cheque = "and conta_receber.Numero = '" . $_GET["Cheque"] . "' ";
}
if ($_GET["Unidade"]) {
    $Unidade = "and conta_receber.Id_Unidade = '" . $_GET["Unidade"] . "' ";
}
if ($_GET["Situacao"]) {
    $Situacao = "and conta_receber.Situacao = '" . $_GET["Situacao"] . "' ";
}
if ($_GET["Ok"]) {
    $produto = mysqli_query($con, "Select distinct conta_receber.Id,
                                        cliente.Titulo as 'Cliente',
                                        cliente.Razao_Social,
                                        cliente.Codigo,
                                        portador.Titulo as Portador,
                                        conta_receber.Lancamento,
                                        conta_receber.Descricao,
                                        conta_receber.Data_Vencimento,
                                        conta_receber.Data_Emissao,
                                        conta_receber.Data_Pagamento,
                                        conta_receber.Valor_Original,
                                        conta_receber.Valor_Pago,
                                        conta_receber.Valor_Desconto,
                                        conta_receber.Origem,
                                        conta_receber.Fatura,
                                        conta_receber.Status,
                                        conta_receber.Boleto_Enviado,
                                        tipo_pagamento.Titulo as 'Tipo_Pagamento',
                                        atividade.Titulo as 'Atividade',
                                        banco.Titular as Banco
                                        from conta_receber
                                        left join (SELECT Id,Codigo,Titulo,Razao_Social,Id_Cidade,Estado FROM cliente) as cliente ON cliente.Id = conta_receber.Id_Cliente
                                        left join (SELECT Id, Titulo FROM portador) as portador ON portador.Id = conta_receber.Id_Portador
                                        left join (SELECT Id, Titulo,Id_Categoria_Tipo_Pagamento FROM tipo_pagamento) as tipo_pagamento ON tipo_pagamento.Id = conta_receber.Id_Tipo_Pagamento
                                        left join (SELECT Id, Titular FROM conta) as banco ON banco.Id = conta_receber.Id_Conta
                                        left join (SELECT Id, Titulo FROM atividade) as atividade ON atividade.Id = conta_receber.Id_Atividade
                                        WHERE Bordero_Desconto='Sim'
                                        $data $status $cliente $Unidade $Situacao $Cheque
                                        order by conta_receber.Data_Vencimento,
                                        conta_receber.Data_Pagamento,
                                        conta_receber.Lancamento ");
}
?>
<?php ob_start(); /* Inicia o fluxo */ ?>
<html>

<head>
    <script type="text/javascript" language="javascript" src="../js/jquery.js"></script>
    <?php include '../include/script_cabeca.php'; ?>
    <script type="text/javascript" language="javascript" src="../js/script.js"></script>
    <script type="text/javascript" language="javascript" src="../js/meiomask/meiomask.js"></script>
    <script type="text/javascript" language="javascript" src="../js/meiomask/<?php if (PAIS == "USA") {
                                                                                    echo "mascaras-usa";
                                                                                } else {
                                                                                    echo "mascaras";
                                                                                } ?>.js"></script>
</head>

<body>

    <table width="100%" class="tabela">
        <thead>
            <tr class="azul-claro">
                <td>&nbsp;</td>
                <td>Lan</td>
                <td>Fatura</td>
                <td>Descr</td>
                <td>Cliente</td>
                <td>Atividade</td>
                <td>Tipo Pag.</td>
                <td>Emisso</td>
                <td>Vencimento</td>
                <td>Valor Original</td>
                <td>Valor Desconto</td>
                <td>Pagamento</td>
                <td>Valor Pagamento</td>
                <td>Bordero</td>
                <td>Status</td>
                <?php if (CLIENTE_EMAIL == 'gardenquimica' || CLIENTE_EMAIL == 'igq') { ?>
                <td>Portador</td>
                <?php } ?>
            </tr>
        </thead>
        <tfoot>
            <tr class="cinza">
                <td colspan="21">Relatrio de Contas a Receber</td>
            </tr>
        </tfoot>
        <tbody>
            <?php
            if ($_GET["Ok"]) {
                $tValor_Original = '0';
                $tValor_Pago = '0';
                $tValor_Desconto = '0';
                $y = 1;
                $contador = 1;
                $color = "#F5F5F5";
                while ($chave = mysqli_fetch_assoc($produto)) {
                    if ($color == "#F5F5F5") {
                        $color = "#E8E8E8";
                    } else {
                        $color = "#F5F5F5";
                    }

                    $corStatus = "";
                    if ($chave['Status'] == 'Liquidado') {
                        $corStatus = "color = '#228B22' ";
                    }
                    if ($chave['Status'] == 'Aberto') {
                        $corStatus = "color = '#3A5FCD' ";
                    }
                    if ($chave['Status'] == 'Cancelado') {
                        $corStatus = "color = '#CD2626' ";
                    }
            ?>
            <tr bgcolor=<?php echo "$color"; ?>>
                <td><?php echo $contador ?></td>
                <td><?php echo $chave["Lancamento"] ?></td>
                <td><?php echo $chave["Fatura"] ?></td>
                <td><?php echo $chave["Descricao"] ?></td>
                <td><?php
                            if (CLIENTE_RAZAO_SOCIAL == 'Sim') {
                                echo $chave["Codigo"] . " : " . $chave["Razao_Social"];
                            } else {
                                echo $chave["Codigo"] . " : " . $chave["Cliente"];
                            }
                            ?>
                </td>
                <td><?php echo $chave["Atividade"] ?></td>
                <td><?php echo $chave["Tipo_Pagamento"] ?></td>
                <td><?php echo data_exibir($chave["Data_Emissao"]) ?></td>
                <td><?php echo data_exibir($chave["Data_Vencimento"]) ?></td>
                <td><?php echo valor_exibir($chave["Valor_Original"]) ?></td>
                <td><?php echo valor_exibir($chave["Valor_Desconto"]) ?></td>
                <td><?php echo data_exibir($chave["Data_Pagamento"]) ?></td>
                <td>
                    <?php
                        if ($chave['Status'] == 'Aberto') {
                            echo '0,00';
                        } else {
                            echo valor_exibir($chave['Valor_Pago']);
                        }
                    ?>
                </td>
                <td>
                    <?php
                    $tip = mysqli_query($con,"SELECT bordero_desconto.Numero_Bordero
                                            FROM bordero_desconto_registro
                                            INNER JOIN (SELECT Id,Numero_Bordero FROM bordero_desconto) as bordero_desconto ON bordero_desconto.Id = bordero_desconto_registro.Id_Bordero_Desconto
                                            WHERE Id_Conta_Receber = '{$chave["Id"]}' ");
                    $array_bord = mysqli_fetch_assoc($tip);

                        echo $array_bord["Numero_Bordero"];
                    ?>
                </td>
                <td>
                    <font <?php echo $corStatus ?>>
                        <b><?php echo $chave["Status"] ?></b>
                    </font>
                </td>
                <?php if (CLIENTE_EMAIL == 'gardenquimica' || CLIENTE_EMAIL == 'igq') { ?>
                <td><?php echo $chave["Portador"] ?></td>
                <?php } ?>

                <?php
                        if ($chave["Status"] == 'Aberto') {
                            $Valor_Aberto += $chave["Valor_Original"];
                        }
                        if ($chave["Status"] == 'Liquidado') {
                            $Valor_Liqu += $chave["Valor_Pago"];
                        }
                        if ($chave["Status"] == "Cancelado") {
                            $Valor_Can += $chave["Valor_Pago"];
                        }
                        ?>
            </tr>
            <?php
                    $y++;
                    $contador++;
                    $tValor_Original += $chave["Valor_Original"];
                    $tValor_Pago += $chave["Valor_Pago"];
                    $tValor_Desconto += $chave["Valor_Desconto"];
                }
            }
            ?>
            <tr>
                <td colspan="8"></td>
                <td></td>
                <td><b><?php echo valor_exibir($tValor_Original) ?></b></td>
                <td><b><?php echo valor_exibir($tValor_Desconto) ?></b></td>
                <td></td>
                <td><b><?php echo valor_exibir($tValor_Pago) ?></b></td>

                <td colspan="2"></td>
                <?php if (CLIENTE_EMAIL == 'gardenquimica' || CLIENTE_EMAIL == 'igq') { ?>
                <td></td>
                <?php } ?>
            </tr>
            <tr>
                <td colspan="7"><b>Totais Valores : </b></td>
                <td colspan="8" align="right">
                    <font color="#3A5FCD"><b>Aberto</font>
                    <?php echo valor_exibir($Valor_Aberto); ?></b>&nbsp;&nbsp;&nbsp;
                    <font color="#228B22"><b>Liquidado</font>
                    <?php echo valor_exibir($Valor_Liqu); ?></b>&nbsp;&nbsp;&nbsp;
                    <font color="#CD2626"><b>Cancelado</font>
                    <?php echo valor_exibir($Valor_Can); ?></b>&nbsp;&nbsp;&nbsp;
                    = <b><?php echo valor_exibir($Valor_Aberto + $Valor_Liqu); ?></b>
                </td>
            </tr>
        </tbody>
    </table>
    <br>
</body>

</html>
<?php
$html = ob_get_contents();
ob_end_clean();

include_once "../include/excel_opcao.php";
?>