<?php
include_once '../include/conecta.php'; //Conecta com a nosso banco de dados MySQL
include_once '../include/ver_sessao.php'; //Verifica se a sesso est ativa
include_once '../include/funcoesPhp.php';
include_once '../menu_movimento.php';

?>
<?php
if (($_GET["Liquidado"]) || ($_GET["Aberto"]) || ($_GET["Cancelado"])) {

    $status = "and (";

    if ($_GET["Liquidado"]) {
        $status .= " conta_receber.Status = 'Liquidado' OR";
    }
    if ($_GET["Aberto"]) {
        $status .= " conta_receber.Status = 'Aberto' OR";
    }
    if ($_GET["Cancelado"]) {
        $status .= " conta_receber.Status = 'Cancelado' OR";
    }

    $status = substr($status, 0, -2);
    $status .= ")";
}
if ($_GET['Data_Filtro'] == 'Vencimento') {
    if ($_GET["De"])
        $data .= "AND conta_receber.Data_Vencimento >= '" . data_banco($_GET["De"]) . " 00:00:00' ";
    if ($_GET["Ate"])
        $data .= "AND conta_receber.Data_Vencimento <= '" . data_banco($_GET["Ate"]) . " 23:59:59' ";
}
if ($_GET['Data_Filtro'] == 'Pagamento') {
    if ($_GET["De"])
        $data .= "AND conta_receber.Data_Pagamento >= '" . data_banco($_GET["De"]) . " 00:00:00' ";
    if ($_GET["Ate"])
        $data .= "AND conta_receber.Data_Pagamento <= '" . data_banco($_GET["Ate"]) . " 23:59:59' ";
}
if ($_GET['Data_Filtro'] == 'Emissao') {
    if ($_GET["De"])
        $data .= "AND conta_receber.Data_Emissao >= '" . data_banco($_GET["De"]) . " 00:00:00' ";
    if ($_GET["Ate"])
        $data .= "AND conta_receber.Data_Emissao <= '" . data_banco($_GET["Ate"]) . " 23:59:59' ";
}

if ($_GET["EF"])
    $data .= "and conta_receber.EF = '" . $_GET["EF"] . "' ";

if ($_GET["Cliente"])
    $cliente = "and cliente.Id = '" . $_GET["Cliente"] . "' ";
if ($_GET["Funcionario"])
    $cliente .= "and conta_receber.Id_Funcionario = '" . $_GET["Funcionario"] . "' ";
if ($_GET["Conta"])
    $cliente .= "and conta_receber.Id_Conta = '" . $_GET["Conta"] . "' ";
if ($_GET["Cidade"])
    $cliente .= "and cliente.Id_Cidade = '" . $_GET["Cidade"] . "' ";


if ($_GET["Unidade"]) {
    $Unidade = "and conta_receber.Id_Unidade = '" . $_GET["Unidade"] . "' ";
}
if ($_GET["Situacao"]) {
    $Unidade .= "and conta_receber.Situacao = '" . $_GET["Situacao"] . "' ";
}


if (CLIENTE_RAZAO_SOCIAL == 'Sim') {
    $nome = "Razao_Social";
} else {
    $nome = "Titulo";
}
if ($_GET["Ordem"] == '') {
    $ordem = "order by conta_receber.Data_Vencimento,
                    cliente.$nome,
                    conta_receber.Data_Pagamento,
                    conta_receber.Lancamento ";
}
if ($_GET["Ordem"] == 'Data_Vencimento') {
    $ordem = "order by conta_receber.Data_Vencimento,
                    cliente.$nome,
                    conta_receber.Data_Pagamento,
                    conta_receber.Lancamento ";
}
if ($_GET["Ordem"] == 'Cliente') {
    $ordem = "order by cliente.$nome,
                    conta_receber.Data_Vencimento,
                    conta_receber.Data_Pagamento,
                    conta_receber.Lancamento ";
}
if ($_GET["Ok"]) {
    $produto = mysqli_query($con, "Select cliente.Titulo as 'Cliente',
                            conta_receber.Id,
                            conta_receber.Lancamento,
                            conta_receber.Fatura,
                            conta_receber.Data_Emissao,
                            conta_receber.Data_Vencimento,
                            conta_receber.Valor_Original,
                            conta_receber.Fatura,
                            conta_receber.Status,
                            conta_receber.Descricao,
                            conta_receber.Situacao,
                            conta_receber.Origem,
                            conta_receber.Motivo,
                            conta_receber.Obs as Obs_Pedido,
                            vendedor.Titulo as Vendedor,
                            cliente.Razao_Social,
                            conta.Titulo as Conta
                            from conta_receber
                            left join (SELECT Id,Titulo,Razao_Social,Id_Cidade FROM cliente) as cliente ON cliente.Id = conta_receber.Id_Cliente
                            left join 
                            (SELECT DISTINCT conta.Id, CONCAT(conta.Titular,' - ',conta.Nome_Banco,' - ag.',conta.Agencia,' - cc.',conta.Conta) as Titulo FROM conta
                             inner join (SELECT banco.Id,banco.Titulo FROM banco) as banco ON conta.Id_Banco = banco.Id) 
                            as conta ON conta.Id = conta_receber.Id_Conta
                            LEFT JOIN (SELECT Id,Id_Vendedor FROM venda) as venda ON venda.Id = conta_receber.Id_Externo
                            left join (SELECT Id, Titulo FROM funcionario) as vendedor ON vendedor.Id = venda.Id_Vendedor
                            WHERE Situacao<>''
                            $status $data $cliente $Unidade $ordem
                            AND (conta_receber.Status = 'Pendente Confirmao' OR conta_receber.Status = 'Aberto')
                             ");
}

?>
<html>

<head>
    <title>Gw - Gesto Web</title>
    <link rel="stylesheet" type="text/css" href="../estilo/<?php echo SKIN; ?>/tabelas.css" />
    <link rel="stylesheet" type="text/css" href="../js/datePicker/datePicker.css" />
    <script type="text/javascript" language="javascript" src="../js/jquery.js"></script>
    <?php include '../include/script_cabeca.php'; ?>
    <script type="text/javascript" language="javascript" src="../js/script.js"></script>
    <script type="text/javascript" language="javascript" src="../js/meiomask/meiomask.js"></script>
    <script type="text/javascript" language="javascript" src="../js/meiomask/<?php if (PAIS == "USA") {
                                                                                    echo "mascaras-usa";
                                                                                } else {
                                                                                    echo "mascaras";
                                                                                } ?>.js"></script>
    <script type="text/javascript" language="javascript" src="../js/blockUI/blockUI.js"></script>
    <!-- required plugins -->
    <script language="javascript" type="text/javascript" src="../js/datePicker/<?php if (PAIS == "USA") {
                                                                                    echo "date";
                                                                                } else {
                                                                                    echo "date-pt";
                                                                                } ?>.js"></script>
    <!--[if IE]>
	<script type="text/javascript" src="../js/datePicker/jquery.bgiframe.js"></script>
	<![endif]-->
    <!-- jquery.datePicker.js -->
    <script type="text/javascript" src="../js/datePicker/jquery.datePicker.js"></script>
    <script type="text/javascript" language="javascript">
    Date.firstDayOfWeek = 0;
    <?php if (PAIS == "USA") {
            echo "Date.format='mm/dd/yyyy';";
        } else {
            echo "Date.format='dd/mm/yyyy';";
        } ?>
    $(function() {
        $('.date-pick').datePicker({
            startDate: '01/01/1990'
        })
    });
    </script>
    <script type="text/javascript" language="javascript">
    $(document).ready(function() {

        $('#bt_Enviar_Email').click(function() {
            $.blockUI({
                message: $('#Tela_Email'),
                css: {
                    width: '350px'
                }
            });
            //setTimeout($.unblockUI, 6000);
        });


        $('#Enviar_Email').click(function() {
            $.blockUI({
                message: "<h2>Enviando E-mail...</h2>"
            });

            var nomeDestinatario = $("#Nome_Destinatario").val();
            var emailDestinatario = $("#Email_Destinatario").val();
            //var nomeCopia = $("#Nome_Copia").val();
            //var emailCopia = $("#Email_Copia").val();
            var de = $("#De").val();
            var ate = $("#Ate").val();
            var Cliente = $("#Cliente").val();
            var tipo_pagamento = $("#Tipo_Pagamento").val();
            var tipo_movimento_rel = $("#Tipo_Movimento_Rel").val();
            var liquidado_rel = $("#Liquidado_Rel").val();
            var cancelado_rel = $("#Cancelado_Rel").val();
            var aberto_rel = $("#Aberto_Rel").val();
            var Funcionario = $("#Funcionario").val();
            $.get("email_rel_cr_acompanhamento.php", {
                    Nome_Destinatario: nomeDestinatario,
                    Email_Destinatario: emailDestinatario,
                    De: de,
                    Ate: ate,
                    Tipo_Pagamento: tipo_pagamento,
                    Tipo_Movimento: tipo_movimento_rel,
                    Liquidado: liquidado_rel,
                    Cancelado: cancelado_rel,
                    Aberto: aberto_rel,
                    Cliente: Cliente,
                    Funcionario: Funcionario
                },
                function(data) {
                    $("#div_resposta").html(data);
                    $.unblockUI();
                    $("#Nome_Destinatario").val('');
                    $("#Email_Destinatario").val('');
                    $("#Nome_Copia").val('');
                    $("#Email_Copia").val('');
                });

        });


        $('#Cancelar_Email').click(function() {
            $.unblockUI();
            return false;
        });


    });
    </script>
    <script type="text/javascript" language="javascript">
    function comboEstado(valor) {
        $.post("busca_cidade.php", {
                Id: valor
            },
            function(data) {
                $("#divCidade").html(data);
            });

    };
    </script>
    <style type="text/css">
    thead {
        display: table-header-group;
    }

    tfoot {
        display: table-footer-group;
    }
    </style>
</head>

<body>
    <table width="100%" height="400px">
        <!-- TABELA Q ENVOLVE TODO O CONTEUDO -->
        <tr>
            <td>
                <table width="100%">
                    <tr>
                        <td align="left">
                            <font face="verdana" size="2"><i><b>Relatrio de Acompanhamento de Ttulo</b></i></font>
                        </td>
                        <td align="center">
                            <a href='imp_pdf_cr_acompanhamento.php?<?php echo $_SERVER["QUERY_STRING"] ?>'
                                title="Pdf"><img src="../imagem/pdfG.png" border="0" alt="Pdf" title="Pdf" /></a>
                            <br />
                            <font face="verdana" size="2"><i>Pdf</i></font>
                        </td>
                        <td align="center">
                            <a href='imp_excel_cr_acompanhamento.php?<?php echo $_SERVER["QUERY_STRING"] ?>'
                                title="Excel"><img src="../imagem/excelG.png" border="0" alt="Excel"
                                    title="Excel" /></a>
                            <br />
                            <font face="verdana" size="2"><i>Excel</i></font>
                        </td>
                        <td align="center">
                            <a href='javascript:void(0);' id="bt_Enviar_Email" title="Email"><img
                                    src="../imagem/emailG.png" border="0" alt="E-mail" title="E-mail" /></a>
                            <br />
                            <font face="verdana" size="2"><i>E-mail</i></font>
                        </td>
                        <td align="center">
                            <a href="imp_rel_cr_acompanhamento.php?<?php echo $_SERVER["QUERY_STRING"] ?>"
                                title="Imprimir" target="_blank"><img src="../imagem/imprimirG.png" border="0"
                                    alt="Imprimir" title="Imprimir" /></a>
                            <br />
                            <font face="verdana" size="2"><i>Imprimir</i></font>
                        </td>
                    </tr>
                </table>
            </td>
        </tr>
        <tr>
            <td>
                <form action="" method="get">
                    <table width="100%" class="busca_rel">
                        <tr class="azul">
                            <td>De<input type="text" name="De" id="De" class="date-pick" size="10"
                                    value="<?php echo $_GET["De"]; ?>"></td>
                            <td>At<input type="text" name="Ate" id="Ate" class="date-pick" size="10"
                                    value="<?php echo $_GET["Ate"]; ?>"></td>
                            <?php
                            if ($_GET['Data_Filtro'] == 'Vencimento') {
                                $Vencimento = 'checked';
                            } else if ($_GET['Data_Filtro'] == 'Pagamento') {
                                $Pagamento = 'checked';
                            } else if ($_GET['Data_Filtro'] == 'Emissao') {
                                $Emissao = 'checked';
                            } else {
                                $Vencimento  = 'checked';
                            }
                            ?>
                            <td>
                                <input type="radio" name="Data_Filtro" value='Vencimento' id="Data_Filtro"
                                    <?php echo $Vencimento; ?>><label class="label_radio"
                                    for="Vencimento">Vencimento</label>
                                <input type="radio" name="Data_Filtro" value='Pagamento' id="Data_Filtro"
                                    <?php echo $Pagamento; ?>><label class="label_radio"
                                    for="Pagamento">Pagamento</label>
                                <input type="radio" name="Data_Filtro" value='Emissao' id="Data_Filtro"
                                    <?php echo $Emissao; ?>><label class="label_radio" for="Emissao">Emisso</label>
                                &nbsp;&nbsp;&nbsp;&nbsp;
                                <label for="EF"><b>EF :</b></label>
                                <?php
                                $vetor = array('' => 'EF', 'Sim' => 'Sim', 'No' => 'No');
                                select_tela("EF", "EF", $_GET["EF"], $vetor);
                                ?>
                                <input type="hidden" value="<?php echo $_GET["EF"]; ?>" name="EF_Rel" id="EF_Rel">
                                <br>
                                <input type="checkbox" name="Liquidado" value="Liquidado"
                                    <?php if ($_GET["Liquidado"]) echo "checked='checked' "; ?>>Liquidado
                                <input type="checkbox" name="Aberto" value="Aberto"
                                    <?php if ($_GET["Aberto"]) echo "checked='checked' "; ?>>Aberto
                                <input type="checkbox" name="Cancelado" value="Cancelado"
                                    <?php if ($_GET["Cancelado"]) echo "checked='checked' "; ?>>Cancelado

                                <input type="hidden" value="<?php echo $_GET["Liquidado"]; ?>" name="Liquidado_Rel"
                                    id="Liquidado_Rel">
                                <input type="hidden" value="<?php echo $_GET["Aberto"]; ?>" name="Aberto_Rel"
                                    id="Aberto_Rel">
                                <input type="hidden" value="<?php echo $_GET["Cancelado"]; ?>" name="Cancelado_Rel"
                                    id="Cancelado_Rel">
                            </td>
                            <td>
                                <?php
                                $vetor = array(
                                    '' => 'Estados', 'AC' => 'Acre', 'AL' => 'Alagoas', 'AP' => 'Amap', 'AM' => 'Amazonas', 'BA' => 'Bahia',
                                    'CE' => 'Cear', 'DF' => 'Distrito Federal', 'GO' => 'Gois', 'ES' => 'Esprito Santo',
                                    'MA' => 'Maranho', 'MT' => 'Mato Grosso', 'MS' => 'Mato Grosso do Sul',
                                    'MG' => 'Minas Gerais', 'PA' => 'Par', 'PB' => 'Paraba', 'PR' => 'Paran',
                                    'PE' => 'Pernambuco', 'PI' => 'Piau', 'RJ' => 'Rio de Janeiro',
                                    'RN' => 'Rio Grande do Norte', 'RS' => 'Rio Grande do Sul',
                                    'RO' => 'Rondnia', 'RR' => 'Rorima', 'SP' => 'So Paulo',
                                    'SC' => 'Santa Catarina', 'SE' => 'Sergipe', 'TO' => 'Tocantis',
                                    'EX' => 'EX'
                                );
                                select_tela("Estado", "Estado", $_GET["Estado"], $vetor, 'onchange="comboEstado(this.value);"', "");
                                ?>
                                <input type="hidden" value="<?php echo $_GET["Estado"]; ?>" name="Estado_Rel"
                                    id="Estado_Rel">
                                &nbsp;&nbsp;&nbsp;&nbsp;
                                &nbsp;&nbsp;&nbsp;&nbsp;
                                <span id="divCidade">
                                    <?php
                                    echo select_banco(
                                        "Select Id,Titulo from cidade_ibge WHERE Uf='" . $_GET["Estado"] . "' order by Titulo",
                                        "Cidade",
                                        "Cidade",
                                        $_GET["Cidade"],
                                        'style="width:200px"',
                                        ""
                                    );
                                    ?>
                                </span>
                            </td>
                        </tr>
                        <tr class="azul">
                            <td>
                                <?php
                                if (CLIENTE_RAZAO_SOCIAL == 'Sim') {
                                    $nome = 'Razao_Social';
                                } else {
                                    $nome = 'Titulo';
                                }
                                echo select_banco2(
                                    "Select Id, " . $nome . " as Titulo from cliente order by Titulo",
                                    "Cliente",
                                    "Cliente",
                                    "Cliente",
                                    $_GET['Cliente'],
                                    'style="width:200px"'
                                );
                                ?>
                            </td>
                            <td>
                                <?php
                                echo select_banco2(
                                    "Select DISTINCT conta.Id, CONCAT(conta.Titular,' - ',conta.Nome_Banco,' - ag.',conta.Agencia,' - cc.',conta.Conta) as Titulo
                                            from conta
                                            order by Titulo",
                                    "Conta",
                                    "Conta",
                                    "Banco",
                                    $_GET["Conta"],
                                    'style="width:200px"',
                                    ""
                                );
                                ?>
                            </td>
                            <td>
                                <?php
                                $vetor = array(
                                    '' => 'Situao',
                                    'Protesto' => 'Protesto',
                                    'Cartrio' => 'Cartrio',
                                    'Recompra' => 'Recompra',
                                    'Serasa' => 'Serasa',
                                    'Protesto/Serasa' => 'Protesto/Serasa',
                                    'Cartrio/Serasa' => 'Cartrio/Serasa',
                                    'Cobrana Jurdica' => 'Cobrana Jurdica',
                                    'Devoluo 11' => 'Devoluo 11',
                                    'Devoluo 12' => 'Devoluo 12',
                                    'Perdido' => 'Perdido',
                                    'Checado' => 'Checado'
                                );
                                select_tela("Situacao", "Situacao", $_GET["Situacao"], $vetor, "", "");
                                ?>
                                &nbsp;&nbsp;&nbsp;&nbsp;
                                <?php
                                $vetor = array(
                                    '' => 'Ordenar',
                                    'Data_Vencimento' => 'Vencimento',
                                    'Cliente' => 'Cliente'
                                );
                                select_tela("Ordem", "Ordem", $_GET["Ordem"], $vetor);
                                ?>

                            </td>
                            <td>
                                <input type="checkbox" name="Historico" value="Historico"
                                    <?php if ($_GET["Historico"]) echo "checked='checked' "; ?>>Com Hist
                                &nbsp;&nbsp;&nbsp;&nbsp;
                                <?php
                                //se o sistema for Multi Empresa
                                if (MULTI_EMPRESA == "Sim") {

                                    //se o usuario for de gerente acima ele escolhe pra quem vai
                                    if (ESCOLHER_EMPRESA == 'Sim') {
                                ?>

                                <?php echo select_banco2(
                                            "SELECT Id,Titulo FROM unidade WHERE Ativo='Sim' ORDER BY Titulo",
                                            "Unidade",
                                            "Unidade",
                                            "Empresa",
                                            $_GET["Unidade"],
                                            'style="width:180px"',
                                            ""
                                        );
                                        ?>

                                <?php
                                        //se no for, a unidade sempre ser a sua
                                    } else {
                                        echo "<input type='hidden' name='Unidade' id='Unidade' value='" . $_SESSION["Unidade"] . "' >";
                                    }
                                } else {
                                    echo "<input type='hidden' name='Unidade' id='Unidade' value='" . $_SESSION["Unidade"] . "' >";
                                }
                                ?>
                                &nbsp;&nbsp;&nbsp;&nbsp;
                                &nbsp;&nbsp;&nbsp;&nbsp;
                                <input type="submit" value="Ok" name="Ok">
                            </td>
                        </tr>
                    </table>
                </form>
            </td>
        </tr>
        <tr>
            <td>
                <table width="100%" class="tabela">
                    <thead>
                        <tr class="azul-claro">
                            <td>Conta</td>
                            <td>Cliente</td>
                            <td>Fatura</td>
                            <td>Emisso</td>
                            <td>Vencimento</td>
                            <td>Valor Original</td>
                            <td>Situao</td>
                            <td>Vendedor</td>
                            <td>Atraso</td>
                            <td>Acompanhamento</td>
                            <?php if (CLIENTE_EMAIL == 'coffeebar') { ?>
                            <td>Orig</td>
                            <td>Obs</td>
                            <?php } ?>
                        </tr>
                    </thead>
                    <tfoot>
                        <tr class="cinza">
                            <td colspan="20">Relatrio de Acompanhamento de Ttulo</td>
                        </tr>
                    </tfoot>
                    <tbody>
                        <?php
                        if ($_GET["Ok"]) {

                            $y = 1;
                            $color = "#F5F5F5";
                            while ($chave = mysqli_fetch_assoc($produto)) {
                                if ($color == "#F5F5F5") {
                                    $color = "#E8E8E8";
                                } else {
                                    $color = "#F5F5F5";
                                }

                                $corStatus = "";
                                if ($chave['Status'] == 'Liquidado') {
                                    $corStatus = "color = '#228B22' ";
                                }
                                if ($chave['Status'] == 'Aberto') {
                                    $corStatus = "color = '#3A5FCD' ";
                                }
                                if ($chave['Status'] == 'Cancelado') {
                                    $corStatus = "color = '#CD2626' ";
                                }
                        ?>
                        <?php
                                $hist = mysqli_query($con, "SELECT Observacao,Data_Cadastro
                            FROM conta_receber_historico
                            WHERE Id_Conta_Receber='" . $chave["Id"] . "'
                            order by Data_Cadastro DESC
                            LIMIT 1 ");
                                $acomp = mysqli_fetch_assoc($hist);

                                //validando se tem observao no titulo ou no
                                if ($acomp["Observacao"]) {
                                    $tem_obs = "Sim";
                                } else {
                                    $tem_obs = "No";
                                }

                                //se tiver marcado o check que apenas com historico
                                if (!$_GET["Historico"]) {
                                    $tem_obs = "Sim";
                                }


                                if ($tem_obs == 'Sim') {
                                ?>
                        <tr bgcolor=<?php echo "$color"; ?>>
                            <td><?php echo $chave["Conta"]; ?></td>
                            <td><?php
                                            if (CLIENTE_RAZAO_SOCIAL == 'Sim') {
                                                echo $chave["Razao_Social"];
                                            } else {
                                                echo $chave["Cliente"];
                                            }
                                            ?>
                            </td>
                            <td><?php echo $chave["Fatura"] ?></td>
                            <td><?php echo data_exibir($chave["Data_Emissao"]) ?></td>
                            <td><?php echo data_exibir($chave["Data_Vencimento"]) ?></td>
                            <td><?php echo valor_exibir($chave["Valor_Original"]) ?></td>
                            <td><?php echo $chave["Situacao"] ?></td>
                            <td><?php echo $chave["Vendedor"] ?></td>
                            <td>
                                <?php
                                            if (($chave['Status'] == 'Aberto') || ($chave['Status'] == 'Pendente Confirmao')) {
                                                echo calcula_dia(data_exibir($chave['Data_Vencimento']), data_exibir(date("Y-m-d")));
                                            } else {
                                                echo calcula_dia(data_exibir($chave['Data_Vencimento']), data_exibir($chave['Data_Pagamento']));
                                            }
                                            ?>
                            </td>

                            <td><?php echo data_exibir($acomp["Data_Cadastro"]) . " - " . $acomp["Observacao"] ?></td>
                            <?php if (CLIENTE_EMAIL == 'coffeebar') { ?>
                            <td><?php echo $chave["Origem"] ?></td>
                            <td><?php echo $chave["Obs_Pedido"] ?></td>
                            <?php } ?>
                            <?php
                                        $Valor_Aberto += $chave["Valor_Original"];
                                        $Valor_Liqu += $chave["Valor_Pago"];
                                        ?>
                        </tr>
                        <?php if ($chave['Status'] == 'Cancelado') { ?>
                        <tr>
                            <td colspan="10">
                                <b>Motivo: </b> <?php echo $chave['Motivo'] ?>
                            </td>
                        </tr>
                        <?php
                                    }
                                }
                            }
                        }
                        ?>

                        <tr>
                            <td></td>
                            <td colspan="4"><b>Totais Valores : </b></td>
                            <td><b><?php echo valor_exibir($Valor_Aberto); ?></b></td>
                            <td colspan="4"></td>
                        </tr>
                    </tbody>
                </table>
            </td>
        </tr>
        <tr>
            <td>
                <div id="div_resposta"></div>
            </td>
        </tr>
    </table>
    <br>
    <!-- INICIO DA TELA MODAL ENVIO DE EMAIL-->
    <!-- No css existe um estilo para essas divs que as deixa invisivel - display:none; -->
    <?php include_once "../include/email_tabela.php"; ?>
    <!-- FIM DA TELA MODAL ENVIO DE EMAIL-->
</body>

</html>