<?php
include_once '../include/conecta.php'; //Conecta com a nosso banco de dados MySQL
include_once '../include/ver_sessao.php'; //Verifica se a sesso est ativa
include_once '../include/funcoesPhp.php';
include_once '../menu_movimento.php';
?>
<?php
if ($_SERVER['REQUEST_METHOD'] == "POST") {

    if ($_POST["Conta"]) {

        //selecionando o banco do cliente
        $esc_banco = "SELECT Codigo, Carteira,
                    Tipo_Conta,
                    Factoring,
                    Banco_Factoring
                    FROM banco
                    left join (SELECT Id,Id_Banco,Carteira,Tipo_Conta,Factoring,Banco_Factoring FROM conta) as conta ON conta.Id_Banco = banco.Id
                    where conta.Id = '" . $_POST["Conta"] . "' ";

        $sql_banco = mysqli_query($con,$esc_banco) or die("Erro no SQL:" . mysqli_error($con));
        $banco = mysqli_fetch_assoc($sql_banco);

        switch ($banco["Codigo"]) {
            case '001' :
                if ($banco["Carteira"] == '18')
                    $pagina_boleto = '../boletophp/boleto_bb.php';
                else
                    $pagina_boleto = '../boletophp/boleto_bb_net.php';
                break;
            case '004' : $pagina_boleto = '../boletophp/boleto_nordeste_net.php';
                break;
            case '104' :
                if ($banco["Tipo_Conta"] == 'SIGCB 6Dig')
                    $pagina_boleto = '../boletophp/boleto_cef_sigcb.php';
                else if($banco["Tipo_Conta"]=='SIGCB 7Dig')
                    $pagina_boleto ='../boletophp/boleto_cef_sigcb_net.php';
                else if ($banco["Tipo_Conta"] == 'SINCO')
                    $pagina_boleto = '../boletophp/boleto_cef_sinco.php';
                else if ($banco["Tipo_Conta"] == 'SICOB')
                    $pagina_boleto = '../boletophp/boleto_cef.php';
                break;
            case '237' :
                if (($banco["Carteira"] == '06') || ($banco["Carteira"] == '03'))
                    $pagina_boleto = '../boletophp/boleto_bradesco.php';
                else
                    $pagina_boleto = '../boletophp/boleto_bradesco_net.php';
                break;
            case '341' : $pagina_boleto = '../boletophp/boleto_itau.php';
                break;
            case '422' : $pagina_boleto = '../boletophp/boleto_safra.php';
                break;
            case '077' : $pagina_boleto = '../boletophp/boleto_inter.php';
                break;
            case '409' : $pagina_boleto = '../boletophp/boleto_unibanco.php';
                break;
            case '356' : $pagina_boleto = '../boletophp/boleto_real.php';
                break;
            case '033' :
                if ($banco["Carteira"] == '101')
                    $pagina_boleto = '../boletophp/boleto_santander_banespa.php';
                else
                    $pagina_boleto = '../boletophp/boleto_santander_banespa1.php';
                break;
            case '399' : $pagina_boleto = '../boletophp/boleto_hsbc.php';
                break;
            case '756' : $pagina_boleto = '../boletophp/boleto_bancoob.php';
                break;
            case '748' : $pagina_boleto = '../boletophp/boleto_sicredi.php';
                break;
            case '136' : $pagina_boleto = '../boletophp/boleto_unicred_net.php';
                break;
                default : 
                if($banco["Factoring"]=='Sim'){
                    if($banco["Banco_Factoring"]=='Itau'){
                        $pagina_boleto ='../boletophp/boleto_itau_factoring.php';
                    }elseif($banco["Banco_Factoring"]=='Santander'){
                        $pagina_boleto ='../boletophp/boleto_santander_factoring.php';
                    }elseif($banco["Banco_Factoring"]=='Brasil'){
                        $pagina_boleto ='../boletophp/boleto_brasil_factoring.php';
                    }else{
                        $pagina_boleto ='../boletophp/boleto_bradesco_net_factoring.php';
                    }
                }else{
                    $pagina_boleto = '#';
                }
                break;
        }

        //atualizando a conta para o banco escolhido.
        mysqli_query($con,"UPDATE conta_receber SET Id_Conta = '" . $_POST["Conta"] . "' WHERE Id = '" . $_POST['Id_Conta_Receber'] . "' ");


        if ($_POST['Novo_Vencimento'] == 'Sim') {
            $data = "&data=" . $_POST['Data'] . "";
        }

        //se for email
        if ($_POST["Email"]) {

            echo "<script>window.open('enviar_email.php?id_conta_receber=" . $_POST['Id_Conta_Receber'] . "&id_conta=" . $_POST["Conta"] . "$data','Email Boleto','width=700,height=700,top=0,left=0,scrollbars=yes')</script>";

            // fim email
        }

        // Imprimir
        if ($_POST["Imprimir"]) {

            echo "<script>window.open('" . $pagina_boleto . "?id_conta_receber=" . $_POST['Id_Conta_Receber'] . "&id_conta=" . $_POST["Conta"] . "$data','Imprimir Boleto','width=700,height=800,top=0,left=0,scrollbars=yes')</script>";

            // fim imprimir
        }

        //echo "<script>window.close();</script>";
    } else {
        echo "<script>alert('Campos com * so obrigatrios');</script>";
    }
}
?>
<html>
    <head>
        <title>Gw - Gesto Web</title>
        <link rel="stylesheet" type="text/css" href="../estilo/<?php echo SKIN; ?>/tableless.css" />
        <link rel="stylesheet" type="text/css" href="../estilo/<?php echo SKIN; ?>/tabelas.css" />
        <script language="javascript" type="text/javascript" src="../js/jquery.js"></script>
        <script language="javascript" type="text/javascript" src="../js/script.js"></script>
        <script type="text/javascript" language="javascript" >
            //Funo para dar Foco no primeiro campo
            $(document).ready(function() {
                $("#Conta").focus();
            });
        </script>
    </head>
    <body>

        <form action="" method="post" name="historico">

            <fieldset class="envolve">

<?php
$cliente_nome = mysqli_query($con,"SELECT Data_Vencimento,Id_Conta,Remessa,Id_Unidade
                            FROM conta_receber
                            WHERE Id = '" . $_GET["id_conta_receber"] . "'");
$cliente_nome = mysqli_fetch_assoc($cliente_nome);

$Time1 = '';
$Time2 = '';

$Time1 = strtotime(date("Y-m-d"));
$Time2 = strtotime($cliente_nome['Data_Vencimento']);

if ($cliente_nome["Remessa"] == "Sim") {
    $_POST["Conta"] = $cliente_nome["Id_Conta"];
    $conta_c = " AND conta.Id = '" . $cliente_nome["Id_Conta"] . "' ";
}

$unidade = "AND conta.Id_Unidade = '" . $cliente_nome["Id_Unidade"] . "' ";
?>

                <input type="hidden" name="Id_Conta_Receber" value="<?php echo $_GET["id_conta_receber"] ?>">

                <fieldset class="grupo">
                    <legend>Status</legend>
<?php
if ($Time1 > $Time2) {
    echo "<input type='hidden' name='Novo_Vencimento' value='Sim'>";
    ?>
                        <div class="campo" style="width: 140px">
                        <?php if (($_POST['Data'] == "")OR ( $_POST['Data'] == "00/00/0000")) $_POST['Data'] = data_exibir(date("Y-m-d")); ?>
                            <label for="Data">* Novo Vencimento</label>
                            <input type="text" name="Data" id="Data" value="<?php echo $_POST["Data"]; ?>" style="width: 80%">
                        </div>
                            <?php
                        }else {
                            echo "<input type='hidden' name='Novo_Vencimento' value='No'>";
                        }
                        ?>
                    <div class="campo" style="width: 80%">
                        <label for="Conta">* Conta</label>
                    <?php
                    echo select_banco("Select DISTINCT conta.Id, CONCAT(conta.Titular,' - ',conta.Nome_Banco,' - ag.',conta.Agencia,' - cc.',conta.Conta) as Titulo
                                            from conta
                                            inner join banco ON conta.Id_Banco = banco.Id
                                            WHERE conta.Ativo = 'Sim' $conta_c $unidade
                                            order by Titulo", "Conta", "Conta", "Conta", $_POST["Conta"], '', "campo_tableless");
                    ?>
                    </div>
                </fieldset>

                <button class="bt_cadastro" type="submit" name="Email" value="Enviar E-mail">Enviar E-mail</button>

                <button class="botao" type="submit" name="Imprimir" value="Imprimir">Imprimir</button>

            </fieldset>

        </form>

<?php include "../include/rodape.php"; ?>
    </body>
</html>