<?php
include_once '../include/conecta.php'; //Conecta com a nosso banco de dados MySQL
include_once '../include/ver_sessao.php'; //Verifica se a sesso est ativa
include_once '../include/funcoesPhp.php';
include_once '../menu_movimento.php';
?>
<?php
if (($_GET["Finalizado"]) || ($_GET["Aberto"]) || ($_GET["Cancelado"])) {

    $status = "and (";

    if ($_GET["Finalizado"]) {
        $status .= " contrato.Status = 'Finalizado' OR";
    }
    if ($_GET["Aberto"]) {
        $status .= " contrato.Status = 'Aberto' OR";
    }
    if ($_GET["Cancelado"]) {
        $status .= " contrato.Status = 'Cancelado' OR";
    }

    $status = substr($status, 0, -2);
    $status .= ")";
}

if ($_GET['Data_Filtro'] == 'Data') {
    if ($_GET["De"])
        $data .= "AND contrato.Data_Inicio_Contrato >= '" . data_banco($_GET["De"]) . " 00:00:00' ";
    if ($_GET["Ate"])
        $data .= "AND contrato.Data_Inicio_Contrato <= '" . data_banco($_GET["Ate"]) . " 23:59:59' ";
}
if ($_GET['Data_Filtro'] == 'Conclusao') {
    if ($_GET["De"])
        $data .= "AND contrato.Data_Fim_Contrato >= '" . data_banco($_GET["De"]) . " 00:00:00' ";
    if ($_GET["Ate"])
        $data .= "AND contrato.Data_Fim_Contrato <= '" . data_banco($_GET["Ate"]) . " 23:59:59' ";
}

if ($_GET["Cliente"])
    $Cliente = "and contrato.Id_Cliente = '" . $_GET["Cliente"] . "' ";

if ($_GET["Funcionario"])
    $usuario_p .= "and contrato.Id_Funcionario = '" . $_GET["Funcionario"] . "' ";

if ($_GET["Aditivo"])
    $usuario_p .= "and contrato.Aditivo = '" . $_GET["Aditivo"] . "' ";

if ($_GET["Produto"])
    $contrato_produto = "and contrato_produto.Id_Produto = '" . $_GET["Produto"] . "' ";

if ($_GET["Ok"]) {
    $contrato = listar("Select DISTINCT contrato.Id_Cliente,
                                contrato.Lancamento,
                                contrato.Status,
                                contrato.Data_Contrato,
                                contrato.Data_Inicio_Contrato,
                                contrato.Data_Fim_Contrato,
                                cliente.Titulo as Cliente,
                                cliente.Codigo,
                                cliente.Fone1,
                                cliente.Email,
                                cidade.Titulo as Cidade,
                                tipo_pagamento.Titulo as Tipo_Pagamento,
                                funcionario.Titulo as 'Funcionario'
                                from contrato
                                left join contrato_produto ON contrato_produto.Id_Contrato = contrato.Id
                                LEFT JOIN (SELECT Id,Titulo FROM funcionario) as funcionario ON funcionario.Id = contrato.Id_Funcionario
                                LEFT JOIN (SELECT Id,Titulo,Codigo,Email,Fone1,Id_Cidade FROM cliente) as cliente ON contrato.Id_Cliente = cliente.Id
                                LEFT JOIN (SELECT Id,Titulo FROM cidade_ibge)as cidade ON cidade.Id = cliente.Id_Cidade
                                LEFT JOIN (SELECT Id,Titulo FROM tipo_pagamento) as tipo_pagamento ON contrato.Id_Tipo_Pagamento = tipo_pagamento.Id
                                where 1=1
                                $data $status $usuario_p $Cliente $contrato_produto
                                group by contrato.Id_Cliente
                                order by contrato.Data_Fim_Contrato");
}
?>
<html>
<head>
<title>Gw - Gesto Web</title>
<link rel="stylesheet" type="text/css" href="../estilo/<?php echo SKIN ;?>/tabela_imp.css" />
<script type="text/javascript" language="javascript" src="../js/jquery.js"></script>
<?php include '../include/script_cabeca.php'; ?>
<script type="text/javascript" language="javascript" src="../js/script.js"></script>
<script type="text/javascript" language="javascript" src="../js/meiomask/meiomask.js"></script>
<script type="text/javascript" language="javascript" src="../js/meiomask/<?php if(PAIS=="USA"){ echo "mascaras-usa"; }else{ echo "mascaras"; }?>.js"></script>
<script type="text/javascript" language="javascript">
  window.onload = function(){
    window.print();
  }
</script>
</head>
<body>
<table width="98%" align="center"><!-- TABELA Q ENVOLVE TODO O CONTEUDO -->
<tr>
	<td>
		<?php include "../include/cabecalho_relatorio.php"; ?>
	</td>
</tr>
<tr>
	<td>
		<font face="verdana" size="2"><i>Contrato Agrupado por Cliente</i></font>
	</td>
</tr>
<tr>
	<td><font face="verdana" size="2">
		<?php 
		if($_GET["De"]){
			echo "Perodo: ".$_GET["De"];
		}
		if($_GET["Ate"]){
			echo "  ".$_GET["Ate"];
		}
		if($_GET["Funcionario"]){
		$achar = listar("Select Titulo from funcionario
			where Id = '".$_GET["Funcionario"]."' ");
			echo " - ".$achar[0]["Titulo"];
		}
		if($_GET["Cliente"]){
		$achar = listar("Select Titulo from cliente
			where Id = '".$_GET["Cliente"]."' ");
			echo " - ".$achar[0]["Titulo"];
		}
		if($_GET["Produto"]){
		$achar = listar("Select Titulo from produto
			where Id = '".$_GET["Produto"]."' ");
			echo " - ".$achar[0]["Titulo"];
		}
		if($_GET["Cancelado"]){
			echo " - ".$_GET["Cancelado"];
		}
		if($_GET["Finalizado"]){
			echo " - ".$_GET["Finalizado"];
		}
		if($_GET["Aberto"]){
			echo " - ".$_GET["Aberto"];
		}	
		?>
	</font>	
	</td>
</tr>
<tr>
	<td>
	<br>
<table width="100%" class="tabela">
<?php
if ($_GET["Ok"]) {

    foreach ($contrato as $valor) {
        ?>
                                <tr class="azul-claro">
                                    <td colspan="7"><b>Cliente: </b><?php echo $valor["Codigo"], ' : ' ,$valor["Cliente"]; ?></td>
                                </tr>
<!--                                <tr>
                                    <td colspan="5">&nbsp;</td>
                                </tr>-->
                                <tr>
                                     
                                    <td><b>Cidade:</b> <?php echo $valor["Cidade"] ?></td>
                                    <td><b>E-mail:</b> <?php echo $valor["Email"] ?></td>
                                    <td><b>Telefone:</b> <?php echo $valor["Fone1"] ?></td>
                                    <td colspan="4">&nbsp;</td>
                                </tr>
                                <tr>
                                    <td><b>N Contrato</b></td>
                                    <td><b>Data Inicio</b></td>
                                    <td><b>Data Fim</b></td>
                                    <td><b>Adeso</b></td>
                                    <td colspan="2"><b>N. Parcelas</b></td>
                                    <td><b>Mensalidade</b></td>
                                    
                                </tr>
                                
                                <?php
                               
                                $venda = listar("SELECT contrato.Id,
                                                        contrato.Lancamento,
                                                        cliente.Estado,
                                                        cliente.Cidade,
                                                        contrato.Id_Cliente,
                                                        contrato.Data_Contrato,
                                                        contrato.Data_Inicio_Contrato,
                                                        contrato.Data_Fim_Contrato,
                                                        contrato.Valor_Pago,
                                                        contrato.Valor_Entrada,
                                                   COUNT(financeiro_pedido.Id) as Qtd_Parcelas
                                                   FROM contrato
                                             LEFT JOIN (SELECT * FROM cliente WHERE 1=1  ) as cliente ON cliente.Id = contrato.Id_Cliente
                                             LEFT JOin (SELECT * FROM financeiro_pedido WHERE Tipo = 'Contrato')as financeiro_pedido ON financeiro_pedido.Id_Externo = contrato.Id
                                                WHERE 1=1
                                                 AND cliente.Id = '".$valor["Id_Cliente"]."'
                                                   $status $data $usuario_p $faturamento
                                               group by contrato.Id
                                               order by contrato.Id_Cliente");

                                $vCate = '0';
                                $color = "#F5F5F5";
                                $tAdesao = '0';
                                foreach ($venda as $chave) {

                                    if ($color == "#F5F5F5") {
                                        $color = "#E8E8E8";
                                    } else {
                                        $color = "#F5F5F5";
                                    }
                                    ?>

                                    <tr bgcolor=<?php echo "$color"; ?>>
                                        <td><?php echo $chave["Lancamento"]; ?></td>
                                        <td><?php echo data_exibir($chave["Data_Inicio_Contrato"]); ?></td>
                                        <td><?php echo data_exibir($chave["Data_Fim_Contrato"]); ?></td>
                                        <td><?php echo valor_exibir($chave["Valor_Entrada"]); ?></td>
                                        <td colspan="2"><?php echo ($chave["Qtd_Parcelas"]); ?> parcelas</td>
                                        <td><?php echo valor_exibir($chave["Valor_Pago"]); ?></td>
                                    </tr>

            <?php
            $vCate += $chave["Valor_Pago"];
            $vCateFinal += $chave["Valor_Pago"];
            $tAdesao += $chave["Valor_Entrada"];
            $gtAdesao += $chave["Valor_Entrada"];
            ?>
        <?php } ?>

                                <tr>
                                    <td colspan="3" align="right">Valor Adeso &nbsp;</td>
                                    <td><?php echo valor_exibir($tAdesao); ?></td>
                                    <td colspan="">&nbsp;</td>
                                    <td align="right">Valor Total &nbsp;</td>
                                    <td><?php echo valor_exibir($vCate); ?></td>
                                </tr>
                                <tr>
                                    <td colspan="5">&nbsp;</td>
                                </tr>

    <?php }
}
?>

                        <tr>
                            <td colspan="4" align="right"><b>Total Adeso:</b> &nbsp;</td>
                            <td><b><?php echo valor_exibir($gtAdesao); ?></b></td>
                            <td align="right"><b>Valores Finais:</b> &nbsp;</td>
                            <td><b><?php echo valor_exibir($vCateFinal); ?></b></td>
                        </tr>
                    </table>
	</td>
</tr>
</table>
<br>
</body>
</html>