<?php
include_once "../include/conecta.php"; //Conecta com a nosso banco de dados MySQL
ini_set('session.gc_maxlifetime', 60 * 120);
session_start();
/* include_once "../include/ver_sessao.php"; //Verifica se a sesso est ativa */
include_once "../include/funcoesPhp.php"; //Inclue a pgina con todas as funes a ser usada.
?>
<?php
$venda = listar("SELECT DISTINCT entrega_venda.Id_Venda,
                        entrega.Lancamento,
                        entrega.Obs,
                        entrega.Id_Unidade,
                        entrega.Data_Entrega,
                        entrega.Motorista,
                        funcionario.Titulo as Funcionario
                        from entrega_venda
                        left join (SELECT Id,Lancamento,Id_Unidade,Data_Entrega,Id_Funcionario,Obs,Motorista FROM entrega) as entrega ON entrega.Id = entrega_venda.Id_Entrega
                        left join (SELECT Id,Titulo FROM funcionario) as funcionario ON funcionario.Id = entrega.Id_Funcionario
                        where Id_Entrega = '" . $_GET["id_entrega"] . "' ");

$notas = listar("SELECT entrega_venda.Numero_Nota
                        from entrega_venda
                        where Id_Entrega = '" . $_GET["id_entrega"] . "' ");

$_GET["Unidade"] = $venda[0]["Id_Unidade"];

?>
<html>

<head>
    <title>Gw - Gesto Web</title>
    <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1" />
    <link rel="shortcut icon" href="../imagem/favi_gw.ico" type="image/x-icon" />
    <link rel="stylesheet" type="text/css" href="../estilo/<?php echo SKIN; ?>/tabela_imp.css" />
    <link rel="stylesheet" type="text/css" href="../js/tablesorter/dist/css/theme.default.min.css">
    <script type="text/javascript" language="javascript" src="../js/jquery.js"></script>
    <?php include '../include/script_cabeca.php'; ?>
    <script type="text/javascript" language="javascript" src="../js/script.js"></script>
    <script type="text/javascript" language="javascript" src="../js/tablesorter/dist/js/jquery.tablesorter.min.js">
    </script>
    <script type="text/javascript" language="javascript"
        src="../js/tablesorter/dist/js/jquery.tablesorter.widgets.min.js"></script>
    <script type="text/javascript" language="javascript" src="../js/meiomask/meiomask.js"></script>
    <script type="text/javascript" language="javascript" src="../js/meiomask/<?php if (PAIS == "USA") {
                                                                                    echo "mascaras-usa";
                                                                                } else {
                                                                                    echo "mascaras";
                                                                                } ?>.js"></script>

    <style type="text/css">
    .table-hideable td,
    .table-hideable th {
        width: auto;
        transition: width .5s, margin .5s;
    }

    .hide-col {
        width: 0px !important;
        height: 0px !important;
        display: block !important;
        overflow: hidden !important;
        margin: 0 !important;
        padding: 0 !important;
        border: none !important;
    }

    .btn-condensed.btn-condensed {
        float: right;
    }

    .btn-condensed.btn-condensed img {
        width: 80%;
        height: auto;
    }
    </style>
    <script>
    $(function() {
        $('table').tablesorter({
            widgets: ['zebra', 'columns'],
            usNumberFormat: false,
            sortReset: true,
            sortRestart: true
        });
    });

    $(function() {
        // on init
        $(".table-hideable .hide-col").each(HideColumnIndex);

        // on click
        $('.hide-column').click(HideColumnIndex)

        function HideColumnIndex() {
            var $el = $(this);
            var $cell = $el.closest('th,td');
            var $table = $cell.closest('table');

            var colIndex = $cell[0].cellIndex + 1;

            // find and hide col index
            $table.find("tbody tr, thead tr")
                .children(":nth-child(" + colIndex + ")")
                .addClass('hide-col');

            // show restore footer
            $table.find(".footer-restore-columns").show();
        }

        // restore columns footer
        $(".restore-columns").click(function(e) {
            var $table = $(this).closest('table');
            $table.find(".footer-restore-columns").hide();
            $table.find("th, td")
                .removeClass('hide-col');

        });

        $('[data-toggle="tooltip"]').tooltip({
            trigger: 'hover'
        });

    });
    </script>
</head>

<body>

    <table width="98%" align="center">
        <!-- TABELA Q ENVOLVE TODO O CONTEUDO -->
        <tr>
            <td>
                <?php include "../include/cabecalho_relatorio.php"; ?>
            </td>
        </tr>
        <tr>
            <td>
                <table width="100%" align="center">
                    <tr>
                        <td colspan="2" align="center">
                            <font face="verdana" size="3">
                                <b>
                                    <i>
                                        Despacho - <?php echo $venda[0]["Lancamento"]; ?>
                                    </i>
                                </b>
                            </font>
                        </td>
                    </tr>
                </table>
            </td>
        </tr>
        <tr>
            <td>
                <table width="100%" align="center" class="tabela">
                    <tr>
                        <td width="70%">Motorista: <?php
                                                    if ($venda[0]["Motorista"] <> '') {
                                                        echo $venda[0]["Motorista"];
                                                    } else {
                                                        echo $venda[0]["Funcionario"];
                                                    }
                                                    ?>
                        </td>
                        <td width="30%">Data: <?php echo data_exibir($venda[0]["Data_Entrega"]); ?></td>
                    </tr>
                    <tr>
                        <td colspan="2">Obs: <?php echo $venda[0]["Obs"]; ?></td>
                    </tr>
                </table>
            </td>
        </tr>
        <tr>
            <td>
                <table width="100%" align="center" class="tabela" style="font-size: 11px">
                    <thead>
                        <tr>
                            <td>Nfe</td>
                            <td>Data</td>
                            <td>Cliente</td>
                            <td>Cidade</td>
                            <td>Bairro</td>
                            <td>Estado</td>
                            <td>Valor</td>
                            <td>CX/Vol</td>
                            <td colspan="2">Observao</td>
                        </tr>
                    </thead>
                    <tbody>
                        <?php

                        if (CLIENTE_RAZAO_SOCIAL == 'Sim') {
                            $nome = "Razao_Social";
                        } else {
                            $nome = "Titulo";
                        }
                        if (CLIENTE_EMAIL == 'cantinhodopet' || (CLIENTE_EMAIL=='cantinhodopet3')) {
                            $cantinho = "ORDER BY cliente.$nome";
                        } else {
                            $cantinho = "ORDER BY entrega_venda.Ordem";
                        }
                        $venda_pro2 = mysqli_query($con, "SELECT entrega_venda.Id,
                                                                venda.Lancamento,
                                                                venda.Id as Id_Venda,
                                                                venda.Qtd_Vol,
                                                                venda.Fatura,
                                                                DATE_FORMAT(venda.Data_Venda, '%d/%m/%Y') as Data,
                                                                venda.Valor_Original as Valor,
                                                                cliente.$nome as Cliente,
                                                                cliente.Bairro,
                                                                cliente.Cidade,
                                                                cliente.Estado,
                                                                funcionario.Titulo as Funcionario
                                                                FROM entrega_venda
                                                                inner join
                                                                (
                                                                (SELECT Id,Id_Cliente,Id_Funcionario,Lancamento,Data_Venda,Valor_Original,Fatura,Qtd_Vol FROM venda)
                                                                UNION
                                                                (SELECT Id,Id_Cliente,Id_Funcionario,Lancamento,Data_Pdv as Data_Venda,Valor_Pago as Valor_Original,Fatura,Tipo_Pedido as Qtd_Vol FROM pdv)
                                                                ) as venda ON entrega_venda.Id_Venda = venda.Id
                                                                left join (SELECT Id,Titulo FROM funcionario) as funcionario ON funcionario.Id = venda.Id_Funcionario
                                                                left join (SELECT Id,Titulo,Razao_Social,Bairro,Cidade,Estado FROM cliente) as cliente ON cliente.Id = venda.Id_Cliente
                                                                WHERE entrega_venda.Id_Entrega='" . $_GET["id_entrega"] . "'
                                                                ORDER BY entrega_venda.Data_Cadastro ");

                        $x = 1;
                        $qtdVol = '';
                        while ($chave1 = mysqli_fetch_assoc($venda_pro2)) {
                            $valorT += $chave1["Valor"];

                            $produto = mysqli_query($con, "SELECT produto.Qtd_Caixa,
                                        produto.Peso_Bruto,
                                        venda_produto.Qtd
                                        FROM
                                        (
                                        (SELECT Id,Id_Produto,Id_Venda,Qtd FROM venda_produto)
                                        UNION
                                        (SELECT Id,Id_Produto,Id_Pdv as Id_Venda,Qtd FROM pdv_produto)
                                        ) as venda_produto
                                        LEFT JOIN (SELECT Id,Qtd_Caixa,Peso_Bruto FROM produto) as produto ON produto.Id = venda_produto.Id_Produto
                                        WHERE venda_produto.Id_Venda = '" . $chave1["Id_Venda"] . "' ");

                            $qtd = '';
                            while ($chave2 = mysqli_fetch_assoc($produto)) {
                                //$qtdVol += $chave2["Qtd"] * $chave2["Qtd_Caixa"];

                                $qtdKg += $chave2["Qtd"] * $chave2["Peso_Bruto"];
                                $qtdT += $chave2["Qtd"];
                                $qtd += $chave2["Qtd"];
                            }
                        ?>

                        <tr>
                            <td class="table_prod_valor"><?php echo $chave1['Fatura']; ?></td>
                            <td class="table_prod_valor"><?php echo $chave1['Data']; ?></td>
                            <td class="table_prod_valor"><?php echo $chave1['Cliente']; ?></td>
                            <td class="table_prod_valor"><?php echo $chave1['Cidade']; ?></td>
                            <td class="table_prod_valor"><?php echo $chave1['Bairro']; ?></td>
                            <td class="table_prod_valor"><?php echo $chave1['Estado']; ?></td>
                            <td class="table_prod_valor"><?php echo valor_exibir($chave1['Valor']); ?></td>
                            <td class="table_prod_valor"><?php echo valor_exibir($chave1['Qtd_Vol']); ?></td>
                            <td colspan="2"><?php echo '        ' ?></td>
                        </tr>
                        <?php
                            $qtdVol += $chave1["Qtd_Vol"];
                            $x++;
                        } ?>
                    </tbody>
                </table>
            </td>
        </tr>
        <tr>
            <td>
                <table width="100%" align="center" class="tabela" style="font-size: 11px">
                    <tr>
                        <td>
                            Pedidos: <?php echo $x - 1; ?><br>
                        </td>
                        <td>
                            Valor: <?php echo valor_exibir($valorT); ?>
                        </td>
                        <td>
                            Qtd: <?php echo valor_exibir($qtdT); ?>
                        </td>
                        <td>
                            Volume: <?php echo $qtdVol; ?><br>
                        </td>
                        <td>
                            Kg: <?php echo valor_exibir($qtdKg); ?>
                        </td>
                    </tr>
                </table>
            </td>
        </tr>

    </table>
    <br />

    <table width="98%" align="center">
        <tr>
            <td align="center">________________________</td>
            <td align="center">________________________</td>
        </tr>
        <tr>
            <td align="center">
                <font face="verdana" size="2"><?php echo $venda[0]["Funcionario"]; ?></font>
            </td>
            <td align="center">
                <font face="verdana" size="2">Representante</font>
            </td>
        </tr>
    </table>
</body>

</html>
<?php include "../include/rodape.php"; ?>