<?php
include_once "../include/conecta.php"; //Conecta com a nosso banco de dados MySQL
ini_set('session.gc_maxlifetime', 60*120); session_start();
/* include_once "../include/ver_sessao.php"; //Verifica se a sesso est ativa */
include_once "../include/funcoesPhp.php"; //Inclue a pgina con todas as funes a ser usada.
?>
<?php 
$venda = listar("Select DISTINCT entrega_venda.Id_Venda,
                        entrega.Lancamento,
                        entrega.Obs,
                        entrega.Id_Unidade,
                        entrega.Data_Entrega,
                        funcionario.Titulo as Funcionario
                        from entrega_venda
                        left join (SELECT Id,Lancamento,Id_Unidade,Data_Entrega,Id_Funcionario,Obs FROM entrega) as entrega ON entrega.Id = entrega_venda.Id_Entrega
                        left join (SELECT Id,Titulo FROM funcionario) as funcionario ON funcionario.Id = entrega.Id_Funcionario
                        left join (SELECT Id,Lancamento FROM venda) as venda ON venda.Id = entrega_venda.Id_Venda
                        where Id_Entrega = '".$_GET["id_entrega"]."'
                        AND entrega_venda.Id_Venda<>''
                        ORDER BY venda.Lancamento  ");


$_GET["Unidade"] = $venda[0]["Id_Unidade"];
               
?>
<html>
<head>
<title>Gw - Gesto Web</title>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1" />
<link rel="shortcut icon" href="../imagem/favi_gw.ico" type="image/x-icon" />
<link rel="stylesheet" type="text/css" href="../estilo/<?php echo SKIN ;?>/tabela_imp.css" />
<script type="text/javascript" language="javascript" src="../js/jquery.js"></script>
<?php include '../include/script_cabeca.php'; ?>
<script type="text/javascript" language="javascript" src="../js/script.js"></script>
<script type="text/javascript" language="javascript" src="../js/meiomask/meiomask.js"></script>
<script type="text/javascript" language="javascript" src="../js/meiomask/<?php if(PAIS=="USA"){ echo "mascaras-usa"; }else{ echo "mascaras"; }?>.js"></script>
</head>
<body>

<table width="98%" align="center"><!-- TABELA Q ENVOLVE TODO O CONTEUDO -->
<tr>
	<td>
		<?php include "../include/cabecalho_relatorio.php"; ?>
	</td>
</tr>
<tr>
	<td>
		<table width="100%" align="center">
			<tr>
                            <td colspan="2" align="center">
                                <font face="verdana" size="3">
                                    <b>
                                        <i>
                                          Despacho - <?php echo $venda[0]["Lancamento"];?>
                                        </i>
                                    </b>
                                </font>
                            </td>
			</tr>
		</table>
	</td>
</tr>
<tr>
	<td>
            <table width="100%" align="center" class="tabela">
                    <tr>
                            <td width="70%">Motorista: <?php echo $venda[0]["Funcionario"];?></td>
                            <td width="30%">Data: <?php echo data_exibir($venda[0]["Data_Entrega"]);?></td>
                    </tr>
                    <tr>
                        <td colspan="2">Obs: <?php echo $venda[0]["Obs"];?></td>
                    </tr>
            </table>
	</td>
</tr>

<tr>
	<td>
                <table width="100%" align="center" class="tabela" style="font-size: 11px">
			
                        <tr>
                            <td>Cliente</td>
                            <td>Data</td>
                            <td>Pedido / NF</td>
                            <td>Valor</td>
                            <td>Form. Pgto</td>
                            <td>Funcionrio</td>
			</tr>
			<?php
                        
                        if(CLIENTE_RAZAO_SOCIAL=='Sim'){
                            $nome = "Razao_Social";
                        }else{
                            $nome = "Titulo";
                        }
                        
                        $x='0';
                        foreach($venda as $venda_entrega){
                        
    $venda_pro2 = mysqli_query($con,"SELECT venda.Lancamento,
                                venda.Fatura,
                                venda.Id as Id_Venda,
                                venda.Data_Venda,
                                venda.Valor_Original as Valor,
                                cliente.Razao_Social as Cliente,
                                cliente.Titulo as Fantasia,
                                cliente.Endereco as Endereco,
                                funcionario.Titulo as Funcionario,
                                tipo_pagamento.Titulo as Pagamento
                                FROM 
                                (
                                (SELECT Id,Id_Cliente,Id_Funcionario,Lancamento,Data_Venda,Valor_Original,Id_Tipo_Pagamento,Fatura FROM venda)
                                UNION
                                (SELECT Id,Id_Cliente,Id_Funcionario,Lancamento,Data_Pdv as Data_Venda,Valor_Pago as Valor_Original,Id_Tipo_Pagamento,Fatura FROM pdv)
                                ) as venda
                                left join (SELECT Id,Titulo FROM funcionario) as funcionario ON funcionario.Id = venda.Id_Funcionario
                                left join (SELECT Id,Titulo,Razao_Social,Endereco FROM cliente) as cliente ON cliente.Id = venda.Id_Cliente
                                left join (SELECT Id,Titulo FROM tipo_pagamento) as tipo_pagamento ON tipo_pagamento.Id = venda.Id_Tipo_Pagamento
                                WHERE venda.Id='".$venda_entrega["Id_Venda"]."'
                                ORDER BY venda.Lancamento,venda.Fatura ASC ");
    
                        
                        while ($chave1 = mysqli_fetch_assoc($venda_pro2)) {
                        $qtdT+=$chave1["Valor"];
                        
                        
                        $cod_auto2 = mysqli_query($con,"SELECT tipo_pagamento.Titulo
                                    FROM (SELECT Id,Id_Venda,Id_Tipo_Pagamento,Ordem FROM venda_tipo_pagamento) as venda_tipo_pagamento
                                    LEFT JOIN (SELECT Id,Titulo FROM tipo_pagamento) as tipo_pagamento ON tipo_pagamento.Id = venda_tipo_pagamento.Id_Tipo_Pagamento
                                    WHERE venda_tipo_pagamento.Id_Venda = '".$chave1['Id_Venda']."'
                                    ORDER BY venda_tipo_pagamento.Ordem");
                        $ex_tip = '';
                        while ($valor1 = mysqli_fetch_assoc($cod_auto2)) {
                            $ex_tip.=$valor1["Titulo"]." ,";
                        }
                        $ex_tip = substr($ex_tip,0,-2);
                        
                        if($chave1['Pagamento']==''){
                            $chave1['Pagamento'] = $ex_tip;
                        }
                        ?>

                        <tr>
                                <td class="table_prod_valor">
                                    <?php echo $chave1['Cliente'];?><br><br><!-- Razo Social -->
                                    <?php echo $chave1['Fantasia'];?><br><!-- Nome Fantasia -->
                                    <?php echo $chave1['Endereco'];?><!-- Endereo -->
                                </td>
                                <td class="table_prod_valor"><?php echo data_exibir($chave1['Data_Venda']);?></td>
                                <td class="table_prod_valor"><?php echo $chave1['Lancamento']." / ".$chave1['Fatura'];?></td><!-- Nmero da Venda -->
                                <td class="table_prod_valor"><?php echo valor_exibir($chave1['Valor']);?></td>
                                <td class="table_prod_valor"><?php echo $chave1['Pagamento'];?></td>
                                <td class="table_prod_valor">
                                    <?php //echo $chave1['Funcionario'];?><br><br>
                                    <?php echo '_____________'?>
                                </td>
			</tr>
                        <?php } $x++; } ?>
                         <tr>
                             <td colspan="2">Total de <b><?php echo $x; ?> </b> Pedidos.</td>
                                <td><center>Total:</center></td>
                                <td><?php echo valor_exibir ($qtdT);?></td>
                                <td colspan="3">&nbsp;</td>
                            </tr>
		</table>
	</td>
</tr>
                           
</table>
<br/>

<table width="98%" align="center">
	<tr>
		<td align="center">________________________</td>
		<td align="center">________________________</td>
	</tr>
	<tr>
		<td align="center"><font face="verdana" size="2"><?php echo $venda[0]["Funcionario"];?></font></td>
		<td align="center"><font face="verdana" size="2">Representante</font></td>
	</tr>
</table>
</body>
</html>
<?php include "../include/rodape.php";?>