<?php
include_once "../include/conecta.php"; //Conecta com a nosso banco de dados MySQL
ini_set('session.gc_maxlifetime', 60 * 120);
session_start();
/* include_once "../include/ver_sessao.php"; //Verifica se a sesso est ativa */
include_once "../include/funcoesPhp.php"; //Inclue a pgina con todas as funes a ser usada.
?>
<?php
$venda = listar("SELECT DISTINCT entrega_venda.Id_Venda,
                                entrega.Lancamento,
                                entrega.Data_Entrega,
                                entrega.Id_Unidade,
                                entrega.Motorista as Motorista2,
                                entrega.Placa as Placa2,
                                funcionario.Titulo as Funcionario,
                                veiculo.Titulo as Veiculo,
                                veiculo.Placa as Placa
                                FROM entrega_venda
                                LEFT JOIN (SELECT Id,Lancamento,Data_Entrega,Id_Unidade,Id_Funcionario,Id_Veiculo,Motorista,Placa FROM entrega) as entrega ON entrega.Id = entrega_venda.Id_Entrega
                                LEFT JOIN (SELECT Id,Titulo FROM funcionario) as funcionario ON funcionario.Id = entrega.Id_Funcionario
                                LEFT JOIN (SELECT Id,Modelo as Titulo,Placa FROM veiculo) as veiculo ON veiculo.Id = entrega.Id_Veiculo
                                WHERE Id_Entrega = '" . $_GET["id_entrega"] . "' ");

$notas = listar("SELECT entrega_venda.Numero_Nota,entrega_venda.Lancamento
                        from entrega_venda
                        where Id_Entrega = '" . $_GET["id_entrega"] . "' ");

$_GET["Unidade"] = $venda[0]["Id_Unidade"];
?>
<html>

<head>
    <title>Gw - Gesto Web</title>
    <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1" />
    <link rel="shortcut icon" href="../imagem/favi_gw.ico" type="image/x-icon" />
    <link rel="stylesheet" type="text/css" href="../estilo/<?php echo SKIN; ?>/tabela_imp.css" />
    <script type="text/javascript" language="javascript" src="../js/jquery.js"></script>
    <?php include '../include/script_cabeca.php'; ?>
    <script type="text/javascript" language="javascript" src="../js/script.js"></script>
    <script type="text/javascript" language="javascript" src="../js/meiomask/meiomask.js"></script>
    <script type="text/javascript" language="javascript" src="../js/meiomask/<?php if (PAIS == "USA") {
                                                                                    echo "mascaras-usa";
                                                                                } else {
                                                                                    echo "mascaras";
                                                                                } ?>.js"></script>
</head>

<body>

    <table width="98%" align="center">
        <!-- TABELA Q ENVOLVE TODO O CONTEUDO -->
        <tr>
            <td>
                <?php include "../include/cabecalho_relatorio.php"; ?>
            </td>
        </tr>
        <tr>
            <td>
                <table width="100%" align="center">
                    <tr>
                        <td colspan="2" align="center">
                            <font face="verdana" size="3">
                                <b>
                                    <i>
                                        Romaneio - <?php echo $venda[0]["Lancamento"]; ?>
                                    </i>
                                </b>
                            </font>
                        </td>
                    </tr>
                    <tr>
                        <td colspan="2" align="center">
                            <?php geraCodigoBarra(str_pad($venda[0]["Lancamento"], 12, "0", STR_PAD_LEFT)); ?>
                        </td>
                    </tr>
                </table>
            </td>
        </tr>
        <tr>
            <td>
                <table width="100%" align="center" class="tabela">
                    <tr>
                        <td width="70%">Motorista: <?php echo ($venda[0]["Funcionario"] == '') ? $venda[0]["Motorista2"] : $venda[0]["Funcionario"];; ?></td>
                        <td width="30%">Data: <?php echo data_exibir($venda[0]["Data_Entrega"]); ?></td>
                    </tr>
                    <tr>
                        <td width="70%">Veculo: <?php echo $venda[0]["Veiculo"]; ?></td>
                        <td width="30%">Placa: <?php echo ($venda[0]["Placa"] == '') ? $venda[0]["Placa2"] : $venda[0]["Placa"]; ?></td>
                    </tr>
                </table>
            </td>
        </tr>
        <tr>
            <td>
                <table width="100%" align="center" class="tabela" style="font-size: 11px">
                    <tr>
                        <td colspan="9"><i>Faturas</i></td>
                    </tr>
                    <?php
                    foreach ($notas as $reg) {
                        $faturas .= $reg['Numero_Nota'] . ", ";
                    }
                    $faturas = substr($faturas, 0, -2);
                    ?>
                    <tr>
                        <td width="3%" colspan="3" height="5"><?php echo $faturas; ?></td>
                    </tr>
                </table>
            </td>
        </tr>
        <tr>
            <td>
                <table width="100%" align="center" class="tabela" style="font-size: 11px">
                    <tr>
                        <td colspan="9"><i>Lanamentos</i></td>
                    </tr>
                    <?php
                    foreach ($notas as $reg) {
                        $lanca_entrega .= $reg['Lancamento'] . ", ";
                    }
                    $lanca_entrega = substr($lanca_entrega, 0, -2);
                    ?>
                    <tr>
                        <td width="3%" colspan="3" height="5"><?php echo $lanca_entrega; ?></td>
                    </tr>
                </table>
            </td>
        </tr>
        <tr>
            <td>
                <table width="100%" align="center" class="tabela" style="font-size: 11px">
                    <tr>
                        <td colspan="9"><i>Entregas</i></td>
                    </tr>
                    <?php
                    $x = 1;
                    foreach ($venda as $chave) {

                        if (CLIENTE_RAZAO_SOCIAL == 'Sim') {
                            $nome = "Razao_Social";
                        } else {
                            $nome = "Titulo";
                        }

                        $venda_pro = listar("SELECT cliente.$nome as 'Cliente',
                                        cliente.Razao_Social,
 					                    cliente.Rua,
                                        cliente.Numero,
                                        cliente.Cep,
                                        cliente.Bairro,
                                        cliente.Fone1,
                                        cliente.Contato,
                                        cliente.Endereco,
                                        cliente.Ponto_Referencia,
                                        cliente.Cidade,
                                        cliente.Endereco_Entrega,
                                        cliente.Bairro_Entrega,
                                        cliente.Complemento_Entrega,
                                        Fatura,
                                        Chave_Nfe
                                    FROM
                                        (
                                        (SELECT Id,Id_Cliente,Lancamento,Fatura,Chave_Nfe FROM venda)
                                        UNION
                                        (SELECT Id,Id_Cliente,Lancamento,Fatura,Chave_Nfe FROM pdv)
                                        )as venda
 					            LEFT JOIN
                                        (SELECT Id,Titulo,Rua,Numero,Cep,Bairro,Estado,Fone1,
                                        Razao_Social,Contato,Endereco,Ponto_Referencia,Cidade,Endereco_Entrega,Bairro_Entrega,Complemento_Entrega FROM cliente) as cliente
                                        ON cliente.Id = venda.Id_Cliente
                                WHERE venda.Id = '" . $chave["Id_Venda"] . "'
                                ORDER BY venda.Lancamento DESC");

                        $posicao2 = strpos($venda_pro[0]['Endereco_Entrega'], ', ');
                        $enderecoEntrega = substr($venda_pro[0]['Endereco_Entrega'], 0, $posicao2);
                        $numeroEntrega = substr($venda_pro[0]['Endereco_Entrega'], ($posicao2 + 2));
                        $bairroEntrega = $venda_pro[0]['Bairro_Entrega'];
                        $complementoEntrega = $venda_pro[0]['Complemento_Entrega'];
                    ?>
                        <tr>
                            <td width="6%">N <b><?php echo $x; ?></b></td>
                            <td width="50%">Cliente
                                <?php echo $venda_pro[0]["Cliente"]; ?>
                            </td>
                            <td width="42%">Fone
                                <?php
                                echo $venda_pro[0]["Fone1"] . " - " . $venda_pro[0]["Contato"];
                                ?>
                            </td>
                        </tr>
                        <tr>
                            <td width="3%" colspan="3">End:
                                <?php
                                if($bairroEntrega!=''){
                                    echo $enderecoEntrega . ", " . $numeroEntrega
                                    . " - " . $bairroEntrega ;
                                }else{
                                    echo $venda_pro[0]["Rua"] . ", " . $venda_pro[0]["Numero"]
                                        . " - " . $venda_pro[0]["Bairro"] . " - " . $venda_pro[0]["Cidade"];
                                }
                                ?>
                            </td>
                        </tr>
                        <tr>
                            <td width="3%" colspan="3">Ponto Referncia:
                                <?php
                                if($bairroEntrega!=''){
                                    echo $complementoEntrega;
                                } else {
                                    echo $venda_pro[0]["Ponto_Referencia"];
                                }
                                ?>
                            </td>
                        </tr>
                        <tr>
                            <td width="3%" colspan="3" height="5">&nbsp;</td>
                        </tr>
                    <?php $x++;
                    } ?>
                </table>
            </td>
        </tr>
        <tr>
            <td>
                <table width="100%" align="center" class="tabela" style="font-size: 11px">
                    <tr>
                        <td colspan="12"><i>Produtos</i></td>
                    </tr>
                    <tr>
                        <td width="3%">N</td>
                        <td width="10%">Cd</td>
                        <td width="40%">Produto</td>
                        <td width="10%">Medida</td>
                        <td width="10%">Qtd</td>
                        <td width="10%">Vol</td>
                    </tr>
                    <?php

                    $orderby =  'ORDER BY Qtd DESC, produto.Titulo';

                    $venda_pro2 = mysqli_query($con, "SELECT venda_produto.Id,
                                     SUM(venda_produto.Qtd) as Qtd,
                                     SUM(produto.Qtd_Caixa) as Volume,
                                     SUM(venda_produto.Volume) as Volume2,
                                     venda_produto.Medida_Faturado,
                                     produto.Titulo,
                                     produto.Codigo,
                                     produto.Gtin,
                                     produto.Medida,
                                     produto.Peso_Bruto,
                                     produto.Peso_Liquido,
                                     local_estoque.Titulo as Local_Estoque,
                                     produto.Qtd_Caixa
                                     FROM entrega_venda
                                     LEFT JOIN
                                     (
                                    (SELECT Id,Qtd,Id_Venda,Id_Produto,Volume,Medida_Faturado FROM venda_produto)
                                    UNION
                                    (SELECT Id,Qtd,Id_Pdv as Id_Venda,Id_Produto,'' as Volume,'' as Medida_Faturado FROM pdv_produto)
                                    ) as venda_produto ON venda_produto.Id_Venda = entrega_venda.Id_Venda
                                     LEFT JOIN (SELECT Id,Titulo,Medida,Qtd_Caixa,Codigo,Gtin,Id_Local_Estoque_Saida,Peso_Bruto,Peso_Liquido FROM produto) as produto ON produto.Id = venda_produto.Id_Produto
                                     LEFT JOIN (SELECT Id,Titulo FROM local_estoque) as local_estoque ON produto.Id_Local_Estoque_Saida = local_estoque.Id
                                     WHERE entrega_venda.Id_Entrega = '" . $_GET["id_entrega"] . "'
                                     GROUP BY venda_produto.Id_Produto
                                     $orderby ");

                    $x = 1;
                    $tPeso_Liquido = '';
                    $tPeso_Bruto = '';
                    while ($chave1 = mysqli_fetch_assoc($venda_pro2)) {
                        $qtdT += $chave1["Qtd"];
                        $tVol += $chave1["Volume2"] ?: $chave1["Qtd"] / $chave1["Qtd_Caixa"];
                    ?>

                        <tr>
                            <td width="3%"><b><?php echo $x; ?></b></td>
                            <td width="10%"><?php echo $chave1["Codigo"]; ?></td>
                            <td width="10%"><?php echo $chave1["Titulo"]; ?></td>
                            <td width="10%"><?php echo $chave1["Medida_Faturado"] ?: $chave1["Medida"]; ?></td>
                            <td width="10%"><?php echo $chave1["Qtd"]; ?></td>
                            <td width="10%"><?php echo valor_exibir($chave1["Volume2"] ?: $chave1["Qtd"] / $chave1["Qtd_Caixa"]); ?></td>
                        </tr>
                    <?php
                        $x++;
                        $tPeso_Liquido += $chave1["Peso_Bruto"] * $chave1["Qtd"];
                        $tPeso_Bruto += $chave1["Peso_Liquido"] * $chave1["Qtd"];
                    }
                    ?>
                    <tr>
                        <td colspan="4">&nbsp;</td>
                        <td width="10%"><?php echo $qtdT; ?></td>
                        <td width="10%"><?php echo arredondar_estoque($tVol); ?></td>
                    </tr>
                </table>
            </td>
        </tr>
    </table>
</body>

</html>
<?php include "../include/rodape.php"; ?>