<?php
include_once "../include/conecta.php"; //Conecta com a nosso banco de dados MySQL
ini_set('session.gc_maxlifetime', 60 * 120);
session_start();
/* include_once "../include/ver_sessao.php"; //Verifica se a sesso est ativa */
include_once "../include/funcoesPhp.php"; //Inclue a pgina con todas as funes a ser usada.
?>
<?php
$venda = listar( "SELECT DISTINCT entrega_venda.Id_Venda,
                                entrega_venda.Numero_Nota,
                                entrega_venda.Lancamento,
                                entrega.Lancamento,
                                entrega.Data_Entrega,
                                entrega.Id_Unidade,
                                entrega.Motorista as Motorista2,
                                entrega.Placa as Placa2,
                                funcionario.Titulo as Funcionario,
                                veiculo.Titulo as Veiculo,
                                veiculo.Placa as Placa,
                                unidade.Razao_Social as Empresa,
                                cliente.Titulo
                                FROM entrega_venda
                                LEFT JOIN (SELECT Id,Lancamento,Data_Entrega,Id_Unidade,Id_Funcionario,Id_Veiculo,Motorista,Placa FROM entrega) as entrega ON entrega.Id = entrega_venda.Id_Entrega
                                LEFT JOIN (SELECT Id,Titulo FROM funcionario) as funcionario ON funcionario.Id = entrega.Id_Funcionario
                                LEFT JOIN (SELECT Id,Modelo as Titulo,Placa FROM veiculo) as veiculo ON veiculo.Id = entrega.Id_Veiculo
                                LEFT JOIN (SELECT Id,Titulo,Razao_Social FROM unidade) as unidade ON unidade.Id = entrega.Id_Unidade
                                LEFT JOIN (SELECT Id,Titulo,Razao_Social FROM cliente) as cliente ON cliente.Id = entrega_venda.Id_Cliente
                                WHERE Id_Entrega = '" . $_GET["id_entrega"] . "'
                                ORDER BY cliente.Titulo ");

$notas = listar("SELECT entrega_venda.Numero_Nota,entrega_venda.Lancamento
                        from entrega_venda
                        where Id_Entrega = '" . $_GET["id_entrega"] . "' ");

$_GET["Unidade"] = $venda[0]["Id_Unidade"];
?>
<html>

<head>
    <title>Gw - Gesto Web</title>
    <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1" />
    <link rel="shortcut icon" href="../imagem/favi_gw.ico" type="image/x-icon" />
    <link rel="stylesheet" type="text/css" href="../estilo/<?php echo SKIN; ?>/tabela_imp.css" />
    <script type="text/javascript" language="javascript" src="../js/jquery.js"></script>
    <?php include '../include/script_cabeca.php'; ?>
    <script type="text/javascript" language="javascript" src="../js/script.js"></script>
    <script type="text/javascript" language="javascript" src="../js/meiomask/meiomask.js"></script>
    <script type="text/javascript" language="javascript" src="../js/meiomask/<?php if (PAIS == "USA") {
                                                                                    echo "mascaras-usa";
                                                                                } else {
                                                                                    echo "mascaras";
                                                                                } ?>.js"></script>
</head>

<body>

    <table width="100%" align="center">
        <!-- TABELA Q ENVOLVE TODO O CONTEUDO -->
        <tr>
            <td>
                <?php include "../include/cabecalho_relatorio.php"; ?>
            </td>
        </tr>
        <tr>
            <td>
                <table width="100%" align="center">
                    <tr>
                        <td colspan="2" align="center">
                            <font face="verdana" size="3">
                                <b>
                                    <i>
                                        Romaneio - <?php echo $venda[0]["Lancamento"]; ?>
                                    </i>
                                </b>
                            </font>
                        </td>
                    </tr>
                </table>
            </td>
        </tr>
        <tr>
            <td>
                <table width="100%" align="center" class="tabela">
                    <tr>
                        <td width="70%">Motorista:
                            <?php echo ($venda[0]["Funcionario"] == '') ? $venda[0]["Motorista2"] : $venda[0]["Funcionario"]; ?>
                        </td>
                        <td width="30%">Data: <?php echo data_exibir($venda[0]["Data_Entrega"]); ?></td>
                    </tr>
                    <tr>
                        <td width="70%">Veculo: <?php echo $venda[0]["Veiculo"]; ?></td>
                        <td width="30%">Placa:
                            <?php echo ($venda[0]["Placa"] == '') ? $venda[0]["Placa2"] : $venda[0]["Placa"]; ?></td>
                    </tr>
                </table>
            </td>
        </tr>

        <tr>
            <td>
                <table width="100%" align="center" class="tabela" style="font-size: 11px">
                    <?php
                    $x = 1;
                    foreach ($venda as $chave) {


                        if (CLIENTE_RAZAO_SOCIAL == 'Sim') {
                            $nome = "Razao_Social";
                        } else {
                            $nome = "Titulo";
                        }

                        $nfe = listar("SELECT venda.Id as idVenda,
                         venda.Fatura,
                         venda.Lancamento,
                         venda.Valor_Pago,
                         venda.EF,
                         nfe.Id,
                         nfe.Id_Pedido,
                         nfe.Serie,
                         nfe.Data_Nfe,
                         tipo_pagamento.Titulo as Pagamento,
                         tipo_pagamento.Id_Categoria_Tipo_Pagamento as Categoria_Pagamento,
                         cliente.$nome as Cliente,
                         cliente.Rua,
                         cliente.Estado,
                         cliente.Cidade,
                         cliente.Numero,
                         cliente.Cpf_Cnpj
                         FROM venda
                         LEFT JOIN (SELECT Id,Razao_Social,Titulo,Cpf_Cnpj,Rua,Estado,Cidade,Numero FROM cliente) as cliente ON cliente.Id = venda.Id_Cliente
                         LEFT JOIN (SELECT Id,Titulo,Id_Categoria_Tipo_Pagamento FROM tipo_pagamento) as tipo_pagamento ON tipo_pagamento.Id = venda.Id_Tipo_Pagamento
                         LEFT JOIN (SELECT Id,Id_pedido,Serie,Data_Nfe FROM nfe) as nfe ON nfe.Id_Pedido = venda.Id
                         WHERE venda.Id = '" . $chave["Id_Venda"] . "'");

                    ?>

                    <table width="100%" align="center" class="tabela">
                        <tr>
                            <td colspan="2">
                                <b>Declaramos para devido fins que recebemos de <?= $chave["Empresa"] ?> os produtos
                                    e/ou servios constantes na nota fiscal eletrnica indicada ao lado.</b>
                            </td>
                            <td>
                                <b>
                                    <?php if ($nfe[0]["EF"] == 'Sim') { ?>
                                    NF-e
                                    N <?php echo $nfe[0]["Fatura"]; ?> <br>
                                    Srie 00<?php echo $nfe[0]["Serie"]; ?>
                                    <?php } else { ?>
                                    Venda N <?php echo $nfe[0]["Lancamento"]; ?> <br>
                                    <?php } ?>
                                </b>
                            </td>
                        </tr>
                        <tr>
                            <td width="30%">Emitida em: <b><?php echo data_exibir($nfe[0]["Data_Nfe"]); ?></b></td>
                            <?php if (CLIENTE_EMAIL == 'naturalgold' || CLIENTE_EMAIL == 'gw2') {
                                $query =  mysqli_query($con,"SELECT venda_tipo_pagamento.Id,
                                                                    venda_tipo_pagamento.Id_Venda,
                                                                    tipo_pagamento.Titulo as TipoPagamento
                                                        FROM venda_tipo_pagamento
                                                        LEFT JOIN (SELECT Id,Titulo FROM tipo_pagamento) as tipo_pagamento ON tipo_pagamento.Id = venda_tipo_pagamento.Id_Tipo_Pagamento 
                                                        WHERE venda_tipo_pagamento.Id_Venda ='". $nfe[0]["idVenda"] ."'");

                                                        $pagamento = '';
                            ?>
                            
                            <td width="52%">Pagamento: <b>
                            <?php 
                                while ($queryResult = mysqli_fetch_assoc($query)) {
                                    $pagamento .= $queryResult["TipoPagamento"]. ', ';  
                            } 
                            echo substr($pagamento,0,-2);
                            ?>

                            </b></td>
                            <?php }else{ ?>
                            <td width="52%">Pagamento: <b><?php echo $nfe[0]["Pagamento"]; ?></b></td>
                            <?php } ?>
                            <td width="20%">Valor: <b><?php echo valor_exibir($nfe[0]["Valor_Pago"]); ?></b></td>
                        </tr>
                        <tr>
                            <td colspan="3" width="50%">Cliente: <b><?php echo $nfe[0]["Cliente"]; ?> -
                                    <?php echo cnpj_exibir($nfe[0]["Cpf_Cnpj"]); ?></b></td>
                        </tr>
                        <?php if (CLIENTE_EMAIL == 'naturalgold' || CLIENTE_EMAIL == 'gw2') { ?>
                            <tr>
                                <td colspan="3" width="50%">Endereo: <b><?= $nfe[0]["Rua"] . ', ' . $nfe[0]["Numero"] . ', ' . $nfe[0]["Cidade"] . ' - ' . $nfe[0]["Estado"] ?></b></td>
                            </tr>
                        <?php } ?>
                        <tr>
                            <td rowspan="4" valign="top"><b>Data Recebimento</b> <br> <br><br>
                        </tr>
                        <td rowspan="4" valign="top" colspan="2"><b>Assinatura do Recebedor</b></td>

                        <?php if ($nfe[0]["Categoria_Pagamento"] == 'ac433f184c18ab728b18171f266140c3') {

                                $Conta_Receber = mysqli_query($con, "SELECT Id_Externo,Id FROM conta_receber
                                where Id_Externo ='" . $chave["Id_Venda"] . "'");

                                $x = '0';

                                while ($boleto = mysqli_fetch_assoc($Conta_Receber)) {
                                    $x++;
                                }
                            ?>

                        <table width="100%" align="center" class="tabela">
                            <tr>
                                <td colspan="3" align="center" style="background: #7A7979;"><b>COMPROVANTE DE ENTREGA DE
                                        BOLETOS</b></td>
                            </tr>
                            <tr>
                                <td colspan="3" align="center">Declaramos para devido fins que recebemos de
                                    <b><?= $chave["Empresa"] ?></b> os Boletos Constantes na nota fiscal
                                </td>
                            </tr>
                            <tr>
                                <td width="30%">NF-e: <b><?php echo $nfe[0]["Fatura"]; ?></b></td>
                                <td width="52%">Pagamento: <b><?php echo $nfe[0]["Pagamento"]; ?></b></td>
                                <td width="20%">Quant. Boletos: <b><?php echo $x; ?></b></td>
                            </tr>
                            <tr>
                                <td rowspan="4" valign="top"><b>Data Recebimento</b> <br> <br><br>
                            </tr>
                            <td rowspan="4" valign="top" colspan="2"><b>Assinatura do Recebedor</b></td>
                        </table>
                        <?php } ?>
                    </table>
                    <br>
                    <?php $x++;
                    } ?>
                </table>
            </td>
        </tr>
    </table>
    </table>
</body>

</html>
<?php include "../include/rodape.php"; ?>