<?php
include_once "../include/conecta.php"; //Conecta com a nosso banco de dados MySQL
ini_set('session.gc_maxlifetime', 60*120); session_start();
/* include_once "../include/ver_sessao.php"; //Verifica se a sesso est ativa */
include_once "../include/funcoesPhp.php"; //Inclue a pgina con todas as funes a ser usada.
?>
<?php
    if(CLIENTE_RAZAO_SOCIAL=='Sim'){
        $nome = 'Razao_Social';
    }else{
        $nome = 'Titulo';
    }
    $pedido = listar("Select venda.Id,
                            entrega.Id as Id_Entrega,
                            entrega.Data_Entrega,
                            entrega.Lancamento,
                            venda.Status,
                            venda.Lancamento as Invoice,
                            venda.Data_Venda,
                            venda.Obs as 'Obs_Venda',
                            venda.Valor_Original,
                            venda.Valor_Pago,
                            venda.Id_Unidade,
                            venda.Id_Projeto,
                            venda.Rua as Endereco_Entrega,
                            venda.Num as Cep_Entrega,
                            venda.Bairro as Cidade_Entrega,
                            venda.Estado as Estado_Entrega,
                            venda.Numero_Pedido_Cliente,
                            cliente.$nome as 'Cliente',
                            cliente.Email,
                            cliente.Natureza,
                            cliente.Cpf_Cnpj,
                            cliente.Rua,
                            cliente.Numero,
                            cliente.Cep,
                            cliente.Bairro,
                            cliente.Estado,
                            cliente.Fone1,
                            cliente.Ponto_Referencia,
                            cliente.Obs as 'Obs_Cliente',
                            cliente.Cidade,
                            cliente.Contato,
                            cliente.Endereco,
                            cliente.Endereco_Cobranca,
                            cliente.Cep_Cobranca,
                            cliente.Bairro_Cobranca,
                            cliente.Cidade_Cobranca,
                            cliente.Estado_Cobranca,
                            cliente.Radio_Endereco_Cobranca,
                            cliente.Radio_Endereco_Entrega,
                            funcionario.Titulo as 'Funcionario',
                            motorista.Titulo as 'Motorista'
                            from entrega
                            left join entrega_venda ON entrega.Id = entrega_venda.Id_Entrega
                            left join (SELECT Id,Titulo FROM funcionario) as motorista ON motorista.Id = entrega.Id_Funcionario
                            left join (SELECT Id,Lancamento,Status,Data_Venda,Obs,Valor_Original,Valor_Pago,Id_Vendedor,Id_Cliente,
                            Id_Unidade,Id_Projeto,Rua,Num,Bairro,Estado,Numero_Pedido_Cliente
                            FROM venda) as venda ON venda.Id = entrega_venda.Id_Venda
                            left join (SELECT Id,Titulo,Razao_Social,Email,Natureza,Cpf_Cnpj,Rua,Numero,Cep,Bairro,Estado,Fone1,
                            Ponto_Referencia,Obs,Cidade,Contato,Endereco,Endereco_Cobranca,
                            Cep_Cobranca,Bairro_Cobranca,Cidade_Cobranca,Estado_Cobranca,Radio_Endereco_Cobranca,Radio_Endereco_Entrega
                            FROM cliente) as cliente ON cliente.Id = venda.Id_Cliente
                            left join (SELECT Id,Titulo FROM funcionario) as funcionario ON funcionario.Id = venda.Id_Vendedor
                            where entrega_venda.Id = '".$_GET["id_entrega"]."' ");

?>
<html>
<head>
<title>Gw - Gesto Web</title>
<link rel="stylesheet" type="text/css" href="../estilo/<?php echo SKIN ;?>/tabela_imp.css" />
<script type="text/javascript" language="javascript" src="../js/jquery.js"></script>
<?php include '../include/script_cabeca.php'; ?>
<script type="text/javascript" language="javascript" src="../js/script.js"></script>
<script type="text/javascript" language="javascript" src="../js/meiomask/meiomask.js"></script>
<script type="text/javascript" language="javascript" src="../js/meiomask/<?php if(PAIS=="USA"){ echo "mascaras-usa"; }else{ echo "mascaras"; }?>.js"></script>
</head>
<body>

<table width="98%" align="center"><!-- TABELA Q ENVOLVE TODO O CONTEUDO -->
<tr>
	<td>
		<?php include "../include/cabecalho_relatorio.php"; ?>
	</td>
</tr>
<tr>
	<td>
		<br/>
		<table width="100%" align="center">
			<tr>
                            <td colspan="3" align="center">
                                <font face="verdana" size="3">
                                    <b><i>Delivery Customers</i></b>
                                </font>
                            </td>
			</tr>
			<tr>
				<td width="40%">
                                    <font face="verdana" size="2">
					Seller: <?php echo $pedido[0]["Funcionario"];?>
                                    </font>
                                </td>
				<td width="30%">
                                    <font face="verdana" size="2">
                                        Delivery N:
                                    </font>
					<b>
                                            <font face="verdana" size="3">
                                                <?php echo $pedido[0]["Lancamento"];?>
                                            </font>
                                        </b>
                                </td>
                                <td width="30%">
                                    <font face="verdana" size="2">
                                        Date:
                                    </font>
					<b>
                                             <?php echo data_exibir($pedido[0]["Data_Entrega"]);?>
                                        </b>
                                </td>
			</tr>
		</table>
	</td>
</tr>
<tr>
	<td>
		<table width="100%" align="center" class="tabela">
                        <tr>
				<td width="70%">Invoice: <?php echo $pedido[0]["Invoice"];?></td>
				<td width="30%">Date Invoice: <?php echo data_exibir($pedido[0]["Data_Venda"]);?></td>
			</tr>
                        <tr>
                <td width="50%" class="razao" style="font-size: 12px; border-left: 0px; border-right: 0px;">
                    SOLD TO:
                </td>
                <td width="50%" class="razao" style="font-size: 12px; border-left: 0px; border-right: 0px;">
                    SHIP TO:
                </td>
            </tr>
            <tr>
                <td width="50%" class="razao" style="font-size: 12px">
                    <b>
                        <?php
                        
                        if(CLIENTE_RAZAO_SOCIAL=='Sim'){
                            echo $pedido[0]["Razao_Social"];
                        }else{
                            echo $pedido[0]["Cliente"];
                        }
                        ?>
                    </b><br>
                        <?php echo $pedido[0]["Endereco_Cobranca"];?><br>
                        <?php echo $pedido[0]["Cidade_Cobranca"];?> <?php echo $pedido[0]["Estado_Cobranca"];?> <?php echo $pedido[0]["Cep_Cobranca"];?><br>
                        <?php echo $pedido[0]["Fone1"];?><br>
                </td>
                <td width="50%" class="razao" style="font-size: 12px">
                    <b>
                        <?php
                            $projeto = listar("Select Titulo,Fone from venda_cliente where Id = '".$pedido[0]["Id_Projeto"]."' ");
                            echo $projeto[0]["Titulo"];
                        ?>
                    </b><br>
                        <?php echo $pedido[0]["Endereco_Entrega"];?><br>
                        <?php echo $pedido[0]["Cidade_Entrega"];?> <?php echo $pedido[0]["Estado_Entrega"];?> <?php echo $pedido[0]["Cep_Entrega"];?><br>
                        <?php echo $projeto[0]["Fone"];?><br>
                </td>
            </tr>
		</table>
	</td>
</tr>
<tr>
	<td>
		<table width="100%" align="center" class="tabela">
			<tr>
				<td colspan="8"><i>Products</i></td>
			</tr>
			<tr class="azul-claro">
				<td width="3%">Order</td>
				<td width="10%">Code</td>
				<td width="22%">Product</td>
				<td width="5%">Qty</td>
                                <td width="5%">Storage</td>
				<td width="35%">Obs</td>
			</tr>
			<?php

               $pedido_pro = listar("Select entrega_venda_produto.Qtd_Entrega,
 					produto.Titulo as 'Produto',
 					produto.Codigo,
                                        produto.Armazenagem,
                                        produto.Qtd_Caixa
 					from entrega_venda_produto
 					left join (SELECT Id,Titulo,Codigo,Qtd_Caixa,Armazenagem FROM produto) as produto ON produto.Id = entrega_venda_produto.Id_Produto
 					where entrega_venda_produto.Id_Venda = '".$pedido[0]["Id"]."'
                                        AND entrega_venda_produto.Id_Entrega = '".$pedido[0]["Id_Entrega"]."'
                                        AND entrega_venda_produto.Qtd_Entrega > '0'
                                        order by Qtd_Entrega DESC, produto.Titulo,produto.Codigo ");

                        $x=1; foreach($pedido_pro as $chave){?>
                        
			<tr>
				<td><?php echo $x;?></td>
				<td><?php echo $chave["Codigo"];?></td>
				<td><?php echo $chave["Produto"];?></td>
				<td><?php echo $chave["Qtd_Entrega"];?></td>
                                <td><?php echo $chave["Armazenagem"]; ?></td>
    				<td></td>
			</tr>
			<?php $x++; } ?>
		</table>
	</td>
</tr>
</table>
<br/><br/>
<table width="98%" align="center">
	<tr>
		<td align="center">________________________</td>
		<td align="center">________________________</td>
	</tr>
	<tr>
		<td align="center"><font face="verdana" size="2"><?php echo $pedido[0]["Motorista"];?></font></td>
		<td align="center"><font face="verdana" size="2"><?php echo $pedido[0]["Cliente"];?></font></td>
	</tr>
</table>

<br>
</body>
</html>
<?php include "../include/rodape.php";?>