<?php
include_once '../include/conecta.php'; //Conecta com a nosso banco de dados MySQL
ini_set('session.gc_maxlifetime', 60 * 120);
session_start();
/* include_once '../include/ver_sessao.php'; //Verifica se a sesso est ativa */
include_once '../include/funcoesPhp.php';
include_once '../menu_movimento.php';

function geraCodigoBarra($numero) {

    $fino = 1;
    $largo = 3;
    $altura = 40;

    $barcodes[0] = '00110';
    $barcodes[1] = '10001';
    $barcodes[2] = '01001';
    $barcodes[3] = '11000';
    $barcodes[4] = '00101';
    $barcodes[5] = '10100';
    $barcodes[6] = '01100';
    $barcodes[7] = '00011';
    $barcodes[8] = '10010';
    $barcodes[9] = '01010';

    for ($f1 = 9; $f1 >= 0; $f1--) {
        for ($f2 = 9; $f2 >= 0; $f2--) {
            $f = ($f1 * 10) + $f2;
            $texto = '';
            for ($i = 1; $i < 6; $i++) {
                $texto .= substr($barcodes[$f1], ($i - 1), 1) . substr($barcodes[$f2], ($i - 1), 1);
            }
            $barcodes[$f] = $texto;
        }
    }

    echo '<img src="imagens/p.gif" width="' . $fino . '" height="' . $altura . '" border="0" />';
    echo '<img src="imagens/b.gif" width="' . $fino . '" height="' . $altura . '" border="0" />';
    echo '<img src="imagens/p.gif" width="' . $fino . '" height="' . $altura . '" border="0" />';
    echo '<img src="imagens/b.gif" width="' . $fino . '" height="' . $altura . '" border="0" />';

    echo '<img ';

    $texto = $numero;

    if ((strlen($texto) % 2) <> 0) {
        $texto = '0' . $texto;
    }

    while (strlen($texto) > 0) {
        $i = round(substr($texto, 0, 2));
        $texto = substr($texto, strlen($texto) - (strlen($texto) - 2), (strlen($texto) - 2));

        if (isset($barcodes[$i])) {
            $f = $barcodes[$i];
        }

        for ($i = 1; $i < 11; $i += 2) {
            if (substr($f, ($i - 1), 1) == '0') {
                $f1 = $fino;
            } else {
                $f1 = $largo;
            }

            echo 'src="imagens/p.gif" width="' . $f1 . '" height="' . $altura . '" border="0">';
            echo '<img ';

            if (substr($f, $i, 1) == '0') {
                $f2 = $fino;
            } else {
                $f2 = $largo;
            }

            echo 'src="imagens/b.gif" width="' . $f2 . '" height="' . $altura . '" border="0">';
            echo '<img ';
        }
    }
    echo 'src="imagens/p.gif" width="' . $largo . '" height="' . $altura . '" border="0" />';
    echo '<img src="imagens/b.gif" width="' . $fino . '" height="' . $altura . '" border="0" />';
    echo '<img src="imagens/p.gif" width="1" height="' . $altura . '" border="0" />';
}

if ($_GET["Produto"]) {
    $mystring = $_GET["Produto"];
    $findme = " : ";

    $posicao = strpos($mystring, $findme);

    $cod_cli = substr($_GET["Produto"], 0, $posicao);
    $nome_cli = substr($_GET["Produto"], ($posicao + 3));


    /* convertendo o nome do fornecedor, para o seu codigo */
    $Prodt = listar("SELECT Id FROM produto WHERE Titulo='" . $nome_cli . "' AND Codigo = '" . $cod_cli . "' ");
    $_GET["Produto"] = $Prodt[0]["Id"];
    $Produ = "and produto.Id = '" . $_GET["Produto"] . "' ";
}

$produto = listar("Select produto.Titulo as 'Produto',
                                produto.Descricao,
                                produto.Descricao_Etiqueta,
                                produto.Preco1,
                                produto.Codigo,
                                produto.Codigo_Barras,
                                produto.Medida,
                                produto.Etiqueta
                                from etiqueta
                                LEFT JOIN (SELECT Id,Titulo,Codigo,Descricao,Preco1,Codigo_Barras,Etiqueta,Medida,Descricao_Etiqueta FROM produto) as produto ON produto.Id = etiqueta.Id_Produto
                                where 1=1
                                order by produto.Titulo");
?>
<html>
    <head>
        <title>Gw - Gesto Web</title>
        <style>
            * {
                margin: 0px;
                padding: 0px;
            }
            #table1{
                font: Arial, Helvetica, sans-serif;
                font-size:8px;
                background-color: #fff;
                padding: 0 40px 60px 16px;
                margin: 0 0 0 10px;
            }
            #tab{
                margin: 70px 10px 0px 20px;
            }
        </style>
        <script type="text/javascript" language="javascript" src="../js/jquery.js"></script>
        <?php include '../include/script_cabeca.php'; ?>
        <script type="text/javascript" language="javascript" src="../js/script.js"></script>
    </head>
    <body>
        <table id="tab" style="display: inline-table;" border="0" cellpadding="0" cellspacing="0">
            <?php
            //if( ($_GET["Produto"]) && $_GET["Coluna"] && $_GET["Linha"] ){
            $f = 0;
            for ($a = 1; $a <= $_GET["Linha"]; ++$a) {
                ?>
                <tr>
                    <td>
                        <?php
                        for ($i = 1; $i <= $_GET["Coluna"]; ++$i) {
                            ?>
                            <table id="table1" style="display: inline-table;" border="0" cellpadding="0" cellspacing="0">
                                <tr>
                                    <td width="140px" align="center">
                                        <?php geraCodigoBarra($produto[$f]["Codigo_Barras"]); ?><br>
                                        <font style="font-size:12px"><?php echo $produto[$f]["Codigo_Barras"]; ?></font>
                                    </td>
                                    <td width="160px">
                                        <span style="font-size: 16px; float: right">
                                            <?php echo ucfirst(strtolower($produto[$f]["Descricao_Etiqueta"])); ?><br/>
                                        </span>

                                        <span style="font-size: 28px; float: right">
                                            <b>R$ <?php echo number_format($produto[$f]["Preco1"], 2, ",", "."); ?></b>
                                        </span>
                                    </td>
                                </tr>

                            </table>
                            <?php
                            $f++;
                        }
                        ?>
                    </td>
                </tr>
                <?php
            } //}
            ?>
        </table>
    </body>
</html>