<?php
include_once '../include/conecta.php'; //Conecta com a nosso banco de dados MySQL
include_once '../include/ver_sessao.php'; //Verifica se a sesso est ativa
include_once '../include/funcoesPhp.php';
include_once '../menu_movimento.php';
?>
<html>
    <head>
        <title>Gw - Gesto Web</title>
        <link rel="stylesheet" type="text/css" href="../estilo/<?php echo SKIN; ?>/tableless.css" />
        <script language="javascript" type="text/javascript" src="../js/jquery.js"></script>
        <script language="javascript" type="text/javascript" src="../js/script.js"></script>
        <?php include '../include/script_cabeca.php'; ?>
        <?php include '../include/script_campo.php'; ?>
        <script language="javascript" type="text/javascript">
            function idProduto(Id_Compra) {

                $.post("criar_linha_compra.php", {Id_Compra: Id_Compra},
                        function (data) {
                            //$("#recebeVenda").html(data);
                            window.opener.MontarTabela();
                            window.close();
                        });

            }
        </script>
        <script type="text/javascript" language="javascript" >
        //Funo para dar Foco no primeiro campo
            $(document).ready(function () {
                $("#Codigo").focus();
            });
        </script>
        <script type='text/javascript'>

            var pressedCtrl = false;
            $(document).keyup(function (e) {
                if (e.which == 17)
                    pressedCtrl = false;
            })

            $(document).keydown(function (e) {
                if (e.which == 17)
                    pressedCtrl = true;

                //CTRL + J (teclado) Bloqueado, erro com leitor de codigo de barras
                if (pressedCtrl == true && e.which == 74) {
                    return false;
                }
            });
        </script>
        <style type="text/css">
            input{
                margin:0 5px;
                width:150px;
                height:40px;
                font:25px Georgia, "Trebuchet MS", Tahoma, Times, serif;
                font-weight:bold;
            }
            .codigo{
                margin:0 5px;
                width:250px;
                height:40px;
                font:25px Georgia, "Trebuchet MS", Tahoma, Times, serif;
                font-weight:bold;
            }
            .descricao{
                margin:0 5px;
                width:250px;
                height:40px;
                font:25px Georgia, "Trebuchet MS", Tahoma, Times, serif;
                font-weight:bold;
            }
            .fornecedor{
                margin:0 5px;
                width:450px;
                height:40px;
                font:25px Georgia, "Trebuchet MS", Tahoma, Times, serif;
                font-weight:bold;
            }
            h1{
                font:30px "Trebuchet MS", Tahoma, Helvetica, sans-serif;
                color:#f4f4f4;
            }
            .buscarprodutos{
                font:20px "Trebuchet MS", Tahoma, Helvetica, sans-serif;
                color:#f4f4f4;
                font-weight:bold;
            }
            strong{
                margin:0 5px;
                font:18px "Trebuchet MS", Tahoma, Geneva, sans-serif;
                color:#000000;
                font-weight:bold;
            }
            span{
                font:14px "Trebuchet MS", Tahoma, Helvetica, sans-serif;
                font-weight:bold;
                color:#069;
            }
            .over{
                overflow:scroll;
                height:300px;
                padding:0;
                background-color: #FFFFFF;
            }
            .tr-1{
                background-color: #E8E8E8;
            }
            .tr-2{
                background-color: #225F93;
            }
            .tr-3{
                background-color: #cccccc;
            }
            .destaque {background: #00C5CD !important;}
        </style>
        <script type="text/javascript" language="javascript" >
            //funcao de trocar a cor da TR no listar
            $(function () {
                $('table tr').hover(
                        function () {
                            $(this).addClass('destaque');
                        },
                        function () {
                            $(this).removeClass('destaque');
                        }
                );
            });
        </script>
    </head>
    <body>
    <form name="tabela_preco" id="tabela_preco" method="post" action="">
        <table width="98%" border="0" cellpadding="2" cellspacing="1" id="tabela_pdv">
            <tr>
                <td colspan="3" align="center" bgcolor="#225F93">
                    <span id="Caixa_Livre" class="buscarprodutos">Buscar Produtos</span>
                </td>
            </tr>
            <tr>
                <td class="tr-1"><strong>Lanamento</strong></td>
                <td class="tr-1"><strong>Fornecedor</strong></td>
            </tr>
            <tr>
                <td class="tr-1"><input type="text" name="Lancamento" id="Lancamento" class="descricao" value="<?php echo $_POST["Lancamento"] ?>" /></td>
                <td class="tr-1"><input type="text" name="Fornecedor" id="Fornecedor" class="descricao" value="<?php echo $_POST["Fornecedor"] ?>" /></td>
            </tr>
            <tr>
                <td colspan="3" align="center" bgcolor="#225F93">
                    <button type="submit" name="Buscar" value="Buscar" style="width: 400px; height: 40px"><span style="font-size: 20px;color: #000">Buscar</span></button>
                </td>
            </tr>
        </table>
    </form>


        <?php
        if ($_SERVER['REQUEST_METHOD'] == "POST") {

            if (FORNECEDOR_RAZAO_SOCIAL == 'Sim') {
                $nome = 'Razao_Social';
            } else {
                $nome = 'Titulo';
            }

            if ($_POST["Lancamento"]) {
                $cond .= " AND producao.Lancamento = '" . $_POST["Lancamento"] . "' ";
            }
            if ($_POST["Fornecedor"]) {
                $cond .= " AND fornecedor.$nome LIKE '%" . $_POST["Fornecedor"] . "%' ";
            }
        
        $pro_pdv = mysqli_query($con, "SELECT DISTINCT  compra.Id as Id_Compra,
                                      compra.Lancamento,
                                      compra.Data_Compra,
                                      compra.Valor_Pago,
                                      fornecedor.$nome as Fornecedor
                                 FROM compra
                            LEFT JOIN (SELECT Id,Titulo,Razao_Social FROM fornecedor) as fornecedor ON fornecedor.Id = compra.Id_Fornecedor
                            LEFT JOIN (SELECT Id,Lote,Data_Fabricacao,Data_Validade,Id_Compra FROM compra_produto) as compra_produto ON compra_produto.Id_Compra = compra.Id
                            WHERE 1=1 $cond 
                            AND compra.Status <> 'Cancelado'
                            ORDER BY compra.Data_Compra DESC,compra.Lancamento DESC ");
        ?>
        <table width="98%" border="0" cellpadding="2" cellspacing="1" id="tabela_pdv">
            <tr bgcolor="#225F93">
                <td><strong>&nbsp;&nbsp; X &nbsp;&nbsp;</strong></td>
                <td><strong>&nbsp;&nbsp; Id &nbsp;&nbsp;</strong></td>
                <!--
                <td><strong>Data</strong></td>
                -->
                <td><strong>Cliente</strong></td>
                <td><strong>Valor</strong></td>
            </tr>
            <?php
            $y = '1';
            while ($chave = mysqli_fetch_assoc($pro_pdv)) {
                ?>
                <tr class="tr-1" ondblclick="idProduto('<?php echo $chave["Id_Compra"]; ?>')">
                    <td><b><?php echo $y; ?></b></td>
                    <td><b><?php echo $chave["Lancamento"]; ?></b></td>
                    <!--
                    <td><b><?php echo data_exibir($chave["Data_Compra"]); ?></b></td>
                    -->
                    <td><b><?php echo $chave["Fornecedor"]; ?></b></td>
                    <td><b><?php echo valor_exibir($chave["Valor_Pago"]); ?></b></td>
                </tr>
                <?php
                $ValTotal += ($chave["Qtd"] * ($chave["Preco"] - ($chave["Desconto_Real"])));
                $y++;
            }
            ?>
        </table>
        <?php } ?>

<?php include "../include/rodape.php"; ?>
    </body>
</html>