<?php
include_once '../include/conecta.php'; //Conecta com a nosso banco de dados MySQL
include_once '../include/ver_sessao.php'; //Verifica se a sesso est ativa
include_once '../include/funcoesPhp.php';
include_once '../menu_movimento.php';

ob_start();
$idsVenda = '';
foreach ($_POST["checkbox"] as $indice => $idVenda) {

    $idsVenda .= $indice == 0 ? "'$idVenda'" : ",'$idVenda'";
}
$busca = "SELECT SUM(venda_produto.Qtd) as Qtd,
                    venda.Lancamento,
                    venda.Fatura,
                    produto.Titulo,
                    produto.Codigo,
                    produto.Peso_Bruto
                    FROM venda_produto
                    left join (SELECT Id,Lancamento,Fatura FROM venda) as venda ON venda.Id = venda_produto.Id_Venda
                    left join (SELECT Id,Titulo,Codigo,Medida,Peso_Bruto FROM produto) as produto ON produto.Id = venda_produto.Id_Produto
                    WHERE venda_produto.Id_Venda IN ($idsVenda)
                    GROUP BY venda_produto.Id_Produto
                    ORDER BY produto.Titulo ";

$qry = mysqli_query($con, $busca);
$y = '0';
?>
<?php
while ($chave = mysqli_fetch_assoc($qry)) {
    $peso = ($chave["Qtd"] * $chave["Peso_Bruto"]);

?>
    <tr class="tr-1" idvenda="<?= $_POST["idVenda"] ?>">
        <td align="center"></td>
        <td><b><?php echo $chave["Codigo"] . ' : ' . $chave["Titulo"]; ?></b></td>
        <td><b><?php echo $chave["Qtd"]; ?></b></td>
        <td><b><?php echo valor_exibir($peso); ?></b></td>
    </tr>
<?php
    $y++;
}
?>

<?php
$pagina = ob_get_contents();
ob_end_clean();
echo utf8_encode($pagina);
