<?php
include_once '../include/conecta.php'; //Conecta com a nosso banco de dados MySQL
ini_set('session.gc_maxlifetime', 60 * 120);
session_start();
/*include_once '../include/ver_sessao.php'; //Verifica se a sesso est ativa*/
include_once '../include/funcoesPhp.php';
include_once '../menu_movimento.php';
?>
<html>

<head>
    <title>Gw - Gesto Web</title>
    <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1" />
    <link rel="shortcut icon" href="imagem/favi_gw.ico" type="image/x-icon" />
    <link rel="stylesheet" type="text/css" href="../estilo/<?php echo SKIN; ?>/tableless.css" />
    <link rel="stylesheet" type="text/css" href="../estilo/<?php echo SKIN; ?>/tabelas.css" />
    <link rel="stylesheet" type="text/css" href="../js/datePicker/datePicker.css" />
    <script language="javascript" type="text/javascript" src="../js/jquery.js"></script>
    <?php include '../include/script_cabeca.php'; ?>
    <?php include '../include/script_campo.php'; ?>
    <script language="javascript" type="text/javascript" src="../js/script.js"></script>
    <!-- required plugins -->
    <script language="javascript" type="text/javascript" src="../js/datePicker/<?php if (PAIS == "USA") {
                                                                                    echo "date";
                                                                                } else {
                                                                                    echo "date-pt";
                                                                                } ?>.js"></script>
    <!--[if IE]>
	<script type="text/javascript" src="../js/datePicker/jquery.bgiframe.js"></script>
	<![endif]-->
    <!-- jquery.datePicker.js -->
    <script type="text/javascript" src="../js/datePicker/jquery.datePicker.js"></script>
    <script type="text/javascript" language="javascript">
        Date.firstDayOfWeek = 0;
        <?php if (PAIS == "USA") {
            echo "Date.format='mm/dd/yyyy';";
        } else {
            echo "Date.format='dd/mm/yyyy';";
        } ?>
        $(function() {
            $('.date-pick').datePicker({
                startDate: '01/01/1990'
            })
        });
    </script>
    <script type="text/javascript" language="javascript">
        //Funo para dar Foco no primeiro campo
        $(document).ready(function() {
            $("#Codigo").focus();
        });
    </script>
    <script type='text/javascript'>
        var pressedCtrl = false;
        $(document).keyup(function(e) {
            if (e.which == 17)
                pressedCtrl = false;
        })

        $(document).keydown(function(e) {
            if (e.which == 17)
                pressedCtrl = true;

            //CTRL + J (teclado) Bloqueado, erro com leitor de codigo de barras
            if (pressedCtrl == true && e.which == 74) {
                return false;
            }
        });
    </script>
    <style type="text/css">
        .input {
            margin: 0 5px;
            width: 150px;
            height: 40px;
            font: 25px Georgia, "Trebuchet MS", Tahoma, Times, serif;
            font-weight: bold;
        }

        .codigo {
            margin: 0 5px;
            width: 250px;
            height: 40px;
            font: 25px Georgia, "Trebuchet MS", Tahoma, Times, serif;
            font-weight: bold;
        }

        .descricao {
            margin: 0 5px;
            width: 250px;
            height: 40px;
            font: 25px Georgia, "Trebuchet MS", Tahoma, Times, serif;
            font-weight: bold;
        }

        .fornecedor {
            margin: 0 5px;
            width: 80%;
            height: 40px;
            font: 25px Georgia, "Trebuchet MS", Tahoma, Times, serif;
            font-weight: bold;
        }

        h1 {
            font: 30px "Trebuchet MS", Tahoma, Helvetica, sans-serif;
            color: #f4f4f4;
        }

        .buscarprodutos {
            font: 20px "Trebuchet MS", Tahoma, Helvetica, sans-serif;
            color: #f4f4f4;
            font-weight: bold;
        }

        strong {
            margin: 0 5px;
            font: 18px "Trebuchet MS", Tahoma, Geneva, sans-serif;
            color: #000000;
            font-weight: bold;
        }

        span {
            font: 14px "Trebuchet MS", Tahoma, Helvetica, sans-serif;
            font-weight: bold;
            color: #069;
        }

        .over {
            overflow: scroll;
            height: 300px;
            padding: 0;
            background-color: #FFFFFF;
        }

        .tr-1 {
            background-color: #E8E8E8;
        }

        .tr-2 {
            background-color: #225F93;
        }

        .tr-3 {
            background-color: #cccccc;
        }

        .destaque {
            background: #00C5CD !important;
        }
    </style>
    <script type="text/javascript" language="javascript">
        //funcao de trocar a cor da TR no listar
        $(function() {
            $('table tr').hover(
                function() {
                    $(this).addClass('destaque');
                },
                function() {
                    $(this).removeClass('destaque');
                }
            );
        });
    </script>
    <script type="text/javascript">
        $(document).ready(function() {
            $('#selectAll').click(function() {
                if (this.checked == true) {
                    $("input[type=checkbox]").each(function() {
                        this.checked = true;

                        var valorTotal = $("#ValorTotal").val();
                        $("#Valor_Pago_Anterior").val(valorTotal);
                    });
                } else {
                    $("input[type=checkbox]").each(function() {
                        this.checked = false;

                        $("#Valor_Pago_Anterior").val('0,00');
                    });
                }
            });
        });
    </script>
    <script language="javascript" type="text/javascript">
        function Radio_Tipo(valor) {
            //var Comissao = $("input[name='Comissao']:checked").val();
            //div2 = document.getElementById("DivNF");
            if (valor == 'Emissao') {
                document.getElementById('divData').innerHTML = 'Data Venda';
                document.getElementById('divData2').innerHTML = 'Data Venda';
            }
            if (valor == 'Vencimento') {
                document.getElementById('divData').innerHTML = 'Data Concluso';
                document.getElementById('divData2').innerHTML = 'Data Concluso';
            }
        }
    </script>
</head>

<body>
    <form name="tabela_preco" id="tabela_preco" method="post" action="">
        <table width="98%" border="0" cellpadding="2" cellspacing="1" id="tabela_pdv">
            <tr>
                <td align="center" bgcolor="#225F93">
                    <span id="Caixa_Livre" class="buscarprodutos">
                        Vendas
                    </span>
                </td>
                <?php
                if ($_POST['Data_Remessa'] == 'Vencimento') {
                    $dat_v = 'checked';
                    $escri = 'Concluso';
                } else {
                    $dat_r = 'checked';
                    $escri = 'Venda';
                }
                ?>
                <td align="center" bgcolor="#225F93">
                    <span id="Caixa_Livre" class="buscarprodutos">
                        <input type="radio" name="Data_Remessa" value='Emissao' id="Emissao" <?php echo $dat_r; ?> style="float: left" onClick="Radio_Tipo(this.value);">
                        <label class="label_radio" for="Emissao" style="float: left">&nbsp;Dt Venda &nbsp;&nbsp;&nbsp;&nbsp;</label>
                        <input type="radio" name="Data_Remessa" value='Vencimento' id="Vencimento" <?php echo $dat_v; ?> style="float: left" onClick="Radio_Tipo(this.value);">
                        <label class="label_radio" for="Vencimento" style="float: left">&nbsp;Dt Concluso &nbsp;&nbsp;&nbsp;&nbsp;</label>
                    </span>
                </td>
            </tr>
            <tr>
                <td class="tr-1">
                    <strong>De</strong>
                    &nbsp;&nbsp;-&nbsp;&nbsp;&nbsp;
                    <span id="divData" style="color: #000; font-size: 18px">Data <?php echo $escri; ?></span>
                </td>
                <td class="tr-1">
                    <strong>At</strong>
                    &nbsp;&nbsp;-&nbsp;&nbsp;&nbsp;
                    <span id="divData2" style="color: #000; font-size: 18px">Data <?php echo $escri; ?></span>
                </td>
            </tr>
            <tr>
                <td class="tr-1"><input type="text" name="De" id="De" class="date-pick codigo" value="<?php echo $_POST["De"]; ?>"></td>
                <td class="tr-1"><input type="text" name="Ate" id="Ate" class="date-pick Descricao" value="<?php echo $_POST["Ate"]; ?>"></td>
            </tr>
            <tr>
                <td class="tr-1" colspan="2">
                    <strong>Transportadora</strong>
                    <?php
                    if (FORNECEDOR_RAZAO_SOCIAL == 'Sim') {
                        $nome = 'Razao_Social';
                    } else {
                        $nome = 'Titulo';
                    }
                    echo select_banco(
                        "Select Id,$nome as Titulo from fornecedor WHERE Tipo='T' order by Titulo",
                        "Transportadora",
                        "Transportadora",
                        $_POST["Transportadora"],
                        'style="width:70%"',
                        'fornecedor'
                    );
                    ?>
                </td>
            </tr>
            <tr>
                <td class="tr-1" colspan="2">
                    <?php
                    //se o sistema for Multi Empresa
                    if (MULTI_EMPRESA == "Sim") {

                        //se o usuario for de gerente acima ele escolhe pra quem vai
                        if (ESCOLHER_EMPRESA == 'Sim') {
                    ?>
                            <strong>Empresa &nbsp;&nbsp;&nbsp;&nbsp;</strong>
                            <?php echo select_banco2(
                                "SELECT Id,Titulo FROM unidade WHERE Ativo='Sim' ORDER BY Titulo",
                                "Unidade",
                                "Unidade",
                                "Empresa",
                                $_POST["Unidade"],
                                'style="width:70%"',
                                "fornecedor"
                            );
                            ?>
                    <?php
                            //se no for, a unidade sempre ser a sua
                        } else {
                            echo "<input type='hidden' name='Unidade' id='Unidade' value='" . $_SESSION["Unidade"] . "' >";
                        }
                    } else {
                        echo "<input type='hidden' name='Unidade' id='Unidade' value='" . $_SESSION["Unidade"] . "' >";
                    }
                    ?>
                </td>
            </tr>

            <tr>
                <td colspan="2" align="center" bgcolor="#225F93">
                    <button type="submit" name="Buscar" value="Buscar Vendas" style="width: 400px; height: 40px"><span style="font-size: 20px;color: #000">Buscar Vendas</span></button>
                </td>
            </tr>
        </table>
    </form>

    <?php
    if ($_SERVER['REQUEST_METHOD'] == "POST") {

        if ($_POST["Buscar"]) {

            if ($_POST['Data_Remessa'] == 'Emissao') {
                if ($_POST["De"])
                    $data .= "AND venda.Data_Venda >= '" . data_banco($_POST["De"]) . " 00:00:00' ";
                if ($_POST["Ate"])
                    $data .= "AND venda.Data_Venda <= '" . data_banco($_POST["Ate"]) . " 23:59:59' ";
            }
            if ($_POST['Data_Remessa'] == 'Vencimento') {
                if ($_POST["De"])
                    $data .= "AND venda.Data_Conclusao >= '" . data_banco($_POST["De"]) . " 00:00:00' ";
                if ($_POST["Ate"])
                    $data .= "AND venda.Data_Conclusao <= '" . data_banco($_POST["Ate"]) . " 23:59:59' ";
            }

            if ($_POST["Cliente"]) {
                $cond .= " AND venda.Id_Cliente = '" . $_POST["Cliente"] . "' ";
            }
            if ($_POST["Transportadora"]) {
                $cond .= " AND venda.Id_Transportadora = '" . $_POST["Transportadora"] . "' ";
            }
            if ($_POST["Unidade"]) {
                $Unidade = "AND venda.Id_Unidade = '" . $_POST["Unidade"] . "' ";
            }

            if (CLIENTE_RAZAO_SOCIAL == 'Sim') {
                $nome = 'Razao_Social';
            } else {
                $nome = 'Titulo';
            }
            // AND EF = 'Sim' AND NF='Sim'
            $pro_pdv = mysqli_query($con, "SELECT venda.Id,
                        venda.Lancamento,
                        venda.Data_Venda,
                        venda.Data_Conclusao,
                        venda.Valor_Pago,
                        venda.Fatura,
                        cliente.$nome as Cliente,
                        transportadora.Titulo as Transportadora
                        FROM (SELECT Id,Lancamento,Data_Venda,Data_Conclusao,Valor_Pago,Fatura,Id_Transportadora,
                        Id_Cliente,Id_Unidade
                        FROM venda WHERE Entrega = 'No' ) as  venda
                        LEFT JOIN (SELECT Id,Titulo FROM fornecedor WHERE Tipo = 'T') as transportadora ON transportadora.Id = venda.Id_Transportadora
                        LEFT JOIN (SELECT Id,Titulo,Razao_Social FROM cliente) as cliente ON cliente.Id = venda.Id_Cliente
                        WHERE 1=1
                        $cond $data $Unidade
                        ORDER BY venda.Data_Venda ");
        }


        if ($_POST["Salvar"]) {

            foreach ($_POST as $chave => $valor) {
                if ($chave != "todos") {
                    if ($chave != "Salvar") {
                        if ($valor != "") {

                            if ($valor["Id"]) {

                                $venda1 = mysqli_query($con, "SELECT Id,Lancamento,Data_Venda,Id_Cliente,Valor_Pago,Id_Vendedor
                                                                FROM venda WHERE Id = '" . $valor["Id"] . "'");
                                $Id_Venda = mysqli_fetch_assoc($venda1);

                                mysqli_query($con, "UPDATE venda SET Entrega='Sim' WHERE Id ='" . $valor["Id"] . "' ");

                                $Id_Entrega_Venda = md5($valor["Id"] . microtime());
                                mysqli_query($con, "INSERT INTO entrega_venda (
                                                    Id,
                                                    Id_Entrega,
                                                    Id_Venda,
                                                    Lancamento,
                                                    Data_Venda,
                                                    Id_Cliente,
                                                    Valor_Pago,
                                                    Id_Vendedor)
                                                    values('$Id_Entrega_Venda',
                                                    '" . $_GET["id_entrega"] . "',
                                                    '" . $Id_Venda["Id"] . "',
                                                    '" . $Id_Venda["Lancamento"] . "',
                                                    '" . $Id_Venda["Data_Venda"] . "',
                                                    '" . $Id_Venda["Id_Cliente"] . "',
                                                    '" . $Id_Venda["Valor_Pago"] . "',
                                                    '" . $Id_Venda["Id_Vendedor"] . "')")
                                    or die("Erro no comando SQL:" . mysqli_error($con));
                            }
                        }
                    }
                }
            }
            echo "<script>window.opener.MontarTabela(); window.close();</script>";
        }
    }

    ?>
    <form name="conta" id="conta" method="post" action="">
        <table width="98%" border="0" cellpadding="2" cellspacing="1" id="tabela_pdv">
            <tr bgcolor="#225F93">
                <td align="center"><input type="checkbox" id="selectAll" name="todos" value="todos"><strong>Marcar Todos</strong></td>
                <td><strong>Cd</strong></td>
                <td><strong>NF</strong></td>
                <td><strong>Data</strong></td>
                <td><strong>Cliente</strong></td>
                <td><strong>Transportadora</strong></td>
                <td><strong>Valor</strong></td>
            </tr>
            <?php
            $y = '1';
            while ($chave = mysqli_fetch_assoc($pro_pdv)) {
            ?>
                <tr class="tr-1">
                    <td align="center">
                        <b>
                            <input type="checkbox" name="<?php echo $chave["Id"]; ?>[Id]" value="<?php echo $chave["Id"]; ?>">
                        </b>
                    </td>
                    <td><b><?php echo $chave["Lancamento"]; ?></b></td>
                    <td><b><?php echo $chave["Numero_Nota"]; ?></b></td>
                    <td><b><?php echo data_exibir($chave["Data_Venda"]); ?></b></td>
                    <td><b><?php echo $chave["Cliente"]; ?></b></td>
                    <td><b><?php echo $chave["Transportadora"]; ?></b></td>
                    <td><b><?php echo valor_exibir($chave["Valor_Pago"]); ?></b></td>
                </tr>
                <tr class="tr-1" heigth="2">
                    <td colspan="7">&nbsp;</td>
                </tr>
            <?php
                $y++;
            }
            ?>
            <tr>
                <td colspan="7" align="center" bgcolor="#225F93">
                    <button type="submit" name="Salvar" value="Salvar" style="width: 400px; height: 40px">
                        <span style="font-size: 20px;color: #000">Salvar</span>
                    </button>
                </td>
            </tr>
        </table>
    </form>
    <?php include "../include/rodape.php"; ?>
</body>

</html>