<?php
include_once "../include/conecta.php"; //Conecta com a nosso banco de dados MySQL
ini_set('session.gc_maxlifetime', 60*120); session_start();
/* include_once "../include/ver_sessao.php"; //Verifica se a sesso est ativa */
include_once "../include/funcoesPhp.php"; //Inclue a pgina con todas as funes a ser usada.
?>
<?php 
    $pre_venda = listar("Select entrega.Id,
                             entrega.Lancamento,
                             entrega.Status,
                             entrega.Data_Entrega,
                             entrega.Motorista,
                             entrega.Placa,
                             transportadora.Titulo as Transportadora,
                             transportadora.Rua,
                             transportadora.Numero,
                             transportadora.Cpf_Cnpj,
                             transportadora.Estadual,
                             veiculo.Placa as 'Veiculo'
                             from entrega
                             left join (SELECT Id,Titulo,Razao_Social,Rua,Numero,Cpf_Cnpj,Estadual FROM fornecedor WHERE Tipo = 'T') as transportadora ON transportadora.Id = entrega.Id_Transportadora
                             left join (SELECT Id,Placa FROM veiculo) as veiculo ON veiculo.Id = entrega.Id_Veiculo
                             where entrega.Id = '".$_GET["id_entrega"]."'
                             order by entrega.Lancamento DESC");

$_GET["Unidade"] = $pre_venda[0]["Id_Unidade"];
?>
<html>
<head>
<title>Gw - Gesto Web</title>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1" />
<link rel="shortcut icon" href="../imagem/favi_gw.ico" type="image/x-icon" />
<link rel="stylesheet" type="text/css" href="../estilo/<?php echo SKIN ;?>/tabela_imp.css" />
<script type="text/javascript" language="javascript" src="../js/jquery.js"></script>
<?php include '../include/script_cabeca.php'; ?>
<script type="text/javascript" language="javascript" src="../js/script.js"></script>
<script type="text/javascript" language="javascript" src="../js/meiomask/meiomask.js"></script>
<script type="text/javascript" language="javascript" src="../js/meiomask/<?php if(PAIS=="USA"){ echo "mascaras-usa"; }else{ echo "mascaras"; }?>.js"></script>
</head>
<body>

<table width="98%" align="center"><!-- TABELA Q ENVOLVE TODO O CONTEUDO -->
    <!--
<tr>
	<td>
		<?php include "../include/cabecalho_pedido.php"; ?>
	</td>
</tr>
    -->
<tr>
	<td>
		<table width="100%" align="center">
			<tr>
                            <td colspan="2" align="center">
                                <font face="verdana" size="3">
                                    <b><i>Manifesto de Carga</i></b>
                                </font>
                            </td>
			</tr>
		</table>
	</td>
</tr>
<tr>
	<td>
		<table width="100%" align="center" class="tabela" style="font-size: 12px">
                        <tr>
				<td width="50%">N: <?php echo $pre_venda[0]["Lancamento"];?></td>
				<td width="50%">Data: <?php echo data_exibir($pre_venda[0]["Data_Entrega"]);?></td>
			</tr>
			<tr>
				<td colspan="2">Emitente: <?php echo $pre_venda[0]["Transportadora"];?></td>
			</tr>
                        <tr>
				<td colspan="2">End: <?php echo $pre_venda[0]["Rua"].", ".$pre_venda[0]["Numero"];?></td>
			</tr>
			<tr>
				<td width="50%">CNPJ: <?php echo $pre_venda[0]["Cpf_Cnpj"];?></td>
				<td width="50%">IE: <?php echo $pre_venda[0]["Estadual"];?></td>
			</tr>
			<tr>
				<td width="50%">Placa: <?php echo $pre_venda[0]["Placa"];?></td>
				<td width="50%">Motorista: <?php echo $pre_venda[0]["Motorista"];?></td>
			</tr>
		</table>
	</td>
</tr>
<tr>
	<td>
		<table width="100%" align="center" class="tabela" style="font-size: 12px">
			<tr>
				<td colspan="8"><i>Cargas</i></td>
			</tr>
			<tr class="azul-claro">
				<td>Conhecimento</td>
				<td>Nota Fiscal</td>
                                <td>Vl Mercadoria</td>
				<td>Remetente</td>
				<td>Destinatrio</td>
			</tr>
			<?php
                    if(CLIENTE_RAZAO_SOCIAL=='Sim'){
                        $nome = 'Razao_Social';
                    }else{
                        $nome = 'Titulo';
                    }
                    
               $pre_venda_pro = mysqli_query($con,"Select entrega_venda.Lancamento,
 					entrega_venda.Data_Venda,
                                        entrega_venda.Valor_Pago,
                                        entrega_venda.Numero_Nota,
 					cliente.Titulo as 'Cliente',
 					unidade.Razao_Social as Empresa
 					from entrega_venda
                                        left join (SELECT Id,Razao_Social FROM unidade) as unidade ON unidade.Id = entrega_venda.Id_Unidade
                                        left join (SELECT Id,$nome as Titulo FROM cliente) as cliente ON cliente.Id = entrega_venda.Id_Cliente
 					where entrega_venda.Id_Entrega = '".$_GET["id_entrega"]."'
                                        ORDER BY entrega_venda.Numero_Nota ");

                        $x=1;
                        while ($chave = mysqli_fetch_assoc($pre_venda_pro)) {
                            ?>
                        
			<tr>
				<td><?php echo "";?></td>
				<td><?php echo $chave["Numero_Nota"];?></td>
                                <td><?php echo valor_exibir($chave["Valor_Pago"]);?></td>
				<td><?php echo $chave["Empresa"];?></td>
				<td><?php echo $chave["Cliente"];?></td>
			</tr>
			<?php $x++; } ?>
		</table>
	</td>
</tr>
</table>
<br/>
<table width="98%" align="center" style="font-size:12px;border: 1px solid #000">
	<tr>
            <td width="45%" rowspan="3" style="border-right: 1px solid #000">
                Observaes <br><br><br><br><br><br><br>
            </td>
            <td>Recebi os volumes constantes deste manifesto</td>
	</tr>
        <tr>
            <td><br/>_________________, ______ de ___________________ de __________</td>
	</tr>
        <tr>
            <td align="center"><br/>________________________<br/>Assinatura</td>
	</tr>
</table>

<br>
</body>
</html>
<?php include "../include/rodape.php";?>