<?php
include_once "../include/conecta.php"; //Conecta com a nosso banco de dados MySQL
ini_set('session.gc_maxlifetime', 60*120); session_start();
/* include_once "../include/ver_sessao.php"; //Verifica se a sesso est ativa */
include_once "../include/funcoesPhp.php"; //Inclue a pgina con todas as funes a ser usada.
?>
<?php 
$venda = listar("Select DISTINCT entrega_venda.Id_Venda,
                        entrega.Lancamento,
                        entrega.Data_Entrega,
                        entrega.Motorista,
                        entrega.Placa,
                        transportadora.Titulo as Transportadora
                        from entrega_venda
                        left join (SELECT Id,Lancamento,Data_Entrega,Motorista,Placa,Id_Transportadora FROM entrega) as entrega ON entrega.Id = entrega_venda.Id_Entrega
                        left join (SELECT Id,Titulo FROM fornecedor WHERE Tipo = 'T') as transportadora ON transportadora.Id = entrega.Id_Transportadora
                        where entrega_venda.Id_Entrega = '".$_GET["id_entrega"]."' ");

$_GET["Unidade"] = $venda[0]["Id_Unidade"];
               
?>
<html>
<head>
<title>Gw - Gesto Web</title>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1" />
<link rel="shortcut icon" href="../imagem/favi_gw.ico" type="image/x-icon" />
<link rel="stylesheet" type="text/css" href="../estilo/<?php echo SKIN ;?>/tabela_imp.css" />
<script type="text/javascript" language="javascript" src="../js/jquery.js"></script>
<?php include '../include/script_cabeca.php'; ?>
<script type="text/javascript" language="javascript" src="../js/script.js"></script>
<script type="text/javascript" language="javascript" src="../js/meiomask/meiomask.js"></script>
<script type="text/javascript" language="javascript" src="../js/meiomask/<?php if(PAIS=="USA"){ echo "mascaras-usa"; }else{ echo "mascaras"; }?>.js"></script>
</head>
<body>

<table width="98%" align="center"><!-- TABELA Q ENVOLVE TODO O CONTEUDO -->
<tr>
	<td>
		<?php include "../include/cabecalho_relatorio.php"; ?>
	</td>
</tr>
<tr>
	<td>
            <table width="100%" align="center" class="tabela">
                    <tr>
                            <td width="70%">Transportadora: <?php echo $venda[0]["Transportadora"];?></td>
                            <td width="30%">Data: <?php echo data_exibir($venda[0]["Data_Entrega"]);?></td>
                    </tr>
                    <tr>
                            <td width="70%">Motorista: <?php echo $venda[0]["Motorista"];?></td>
                            <td width="30%">Placa: <?php echo $venda[0]["Placa"];?></td>
                    </tr>
            </table>
	</td>
</tr>
<tr>
	<td>
		<table width="100%" align="center">
			<tr>
                            <td colspan="2" align="center">
                                <font face="verdana" size="3">
                                    <b>
                                        <i>
                                          Comprovante de Coleta - <?php echo $venda[0]["Lancamento"];?>
                                        </i>
                                    </b>
                                </font>
                            </td>
			</tr>
		</table>
	</td>
</tr>
</table>

			<?php
                        $x=1;
                        foreach($venda as $chave){
               
               $pedido = listar("Select venda.Id, 					
 					venda.Status,
 					venda.Data_Venda,
 					venda.Obs as 'Obs_Venda',
 					venda.Valor_Original,
 					venda.Valor_Pago,
 					cliente.Titulo as 'Cliente',
 					cliente.Email,
 					cliente.Natureza,
 					cliente.Cpf_Cnpj,
 					cliente.Rua,
                                        cliente.Numero,
 					cliente.Cep,
 					cliente.Bairro,
 					cliente.Estado,
 					cliente.Fone1,
                                        cliente.Ponto_Referencia,
 					cliente.Obs as 'Obs_Cliente',
                                        cliente.Cidade,
                                        venda.Fatura as Numero_Nota
 					from venda
 					left join cliente ON cliente.Id = venda.Id_Cliente
 					where venda.Id = '".$chave["Id_Venda"]."' ");
                        ?>


		<table width="98%" align="center" class="tabela">
                        <tr>
				<td width="70%">Dados da Entrega &nbsp; - &nbsp; Emisso: <?php echo data_exibir($pedido[0]["Data_Venda"]);?></td>
				<td width="30%">NF: <?php echo $pedido[0]["Numero_Nota"];?></td>
			</tr>
			<tr>
				<td width="70%">Fornecedor: <?php echo $pedido[0]["Cliente"];?></td>
				<td width="30%">Fone: <?php echo $pedido[0]["Fone1"];?></td>
			</tr>
			<tr>
				<td width="70%">End: <?php echo $pedido[0]["Rua"].', '.$pedido[0]["Numero"];?></td>
				<?php if($pedido[0]["Natureza"] == "PF"){?>
				<td width="30%">CPF: <?php echo $pedido[0]["Cpf_Cnpj"];?></td>
				<?php }else{?>
				<td width="30%">CNPJ: <?php echo $pedido[0]["Cpf_Cnpj"];?></td>
				<?php }?>
			</tr>
			<tr>
				<td width="70%"><?php echo 'Bairro:'.$pedido[0]["Bairro"].' Cidade:'.$pedido[0]["Cidade"].' UF:'.
                                                                                $pedido[0]["Estado"];?></td>
				<td width="30%">CEP: <?php echo $pedido[0]["Cep"];?></td>
			</tr>
			<tr>
				<td colspan="2">Ponto: <?php echo $pedido[0]["Ponto_Referencia"];?></td>
			</tr>
		</table>

		<table width="98%" align="center" class="tabela">
			<tr>
				<td colspan="8"><i>Produtos</i></td>
			</tr>
			<tr class="azul-claro">
				<td width="3%">N</td>
				<td width="10%">Cdigo</td>
				<td width="22%">Produto</td>
				<td width="5%">Qtd</td>
				<td width="40%">Obs</td>
			</tr>
			<?php

               $pedido_pro = listar("Select venda_produto.Preco as 'Preco_Venda',
 					venda_produto.Qtd as 'Qtd_Venda',
 					venda_produto.Desconto as 'Desconto_Venda',
 					produto.Titulo as 'Produto',
 					produto.Descricao,
 					produto.Codigo
 					from venda_produto
 					left join produto ON produto.Id = venda_produto.Id_Produto
 					where venda_produto.Id_Venda = '".$pedido[0]["Id"]."' ");

                        $x=1; foreach($pedido_pro as $chave){?>
                        
			<tr>
				<td><?php echo $x;?></td>
				<td><?php echo $chave["Codigo"];?></td>
				<td><?php echo $chave["Produto"];?></td>
				<td><?php echo $chave["Qtd_Venda"];?></td>
				<td></td>
			</tr>
			<?php $x++; } ?>
                        
                        <tr>
                            <td colspan="5" style="border: 0px"><br></td>
			</tr>
		</table>

			<?php $x++; } ?>
    
<table width="98%" align="center">
        <tr>
                <td align="center">
                    <br/>
                    Recebi as mercadorias acima relacionadas para serem entregues nos respectivos clientes.
                    <br/><br/><br/>
                </td>
	</tr>
	<tr>
		<td align="center">________________________</td>
	</tr>
	<tr>
		<td align="center"><font face="verdana" size="2"><?php echo $venda[0]["Motorista"];?></font></td>
	</tr>
</table>
</body>
</html>
<?php include "../include/rodape.php";?>