<?php
include_once '../include/conecta.php'; //Conecta com a nosso banco de dados MySQL
include_once '../include/ver_sessao.php'; //Verifica se a sesso est ativa
include_once '../include/funcoesPhp.php';
include_once '../menu_movimento.php';
?>
<html>

<head>
    <title>Gw - Gesto Web</title>
    <?php include 'cabecalho.php'; ?>
    <style type="text/css">
        thead {
            display: table-header-group;
        }

        tfoot {
            display: table-footer-group;
        }
    </style>
    <style type="text/css">
        .input {
            margin: 0 5px;
            width: 150px;
            height: 40px;
            font: 25px Georgia, "Trebuchet MS", Tahoma, Times, serif;
            font-weight: bold;
        }

        .codigo {
            margin: 0 5px;
            width: 250px;
            height: 40px;
            font: 25px Georgia, "Trebuchet MS", Tahoma, Times, serif;
            font-weight: bold;
        }

        .descricao {
            margin: 0 5px;
            width: 250px;
            height: 40px;
            font: 25px Georgia, "Trebuchet MS", Tahoma, Times, serif;
            font-weight: bold;
        }

        .fornecedor {
            margin: 0 5px;
            width: 80%;
            height: 40px;
            font: 25px Georgia, "Trebuchet MS", Tahoma, Times, serif;
            font-weight: bold;
        }

        h1 {
            font: 30px "Trebuchet MS", Tahoma, Helvetica, sans-serif;
            color: #f4f4f4;
        }

        .buscarprodutos {
            font: 20px "Trebuchet MS", Tahoma, Helvetica, sans-serif;
            color: #f4f4f4;
            font-weight: bold;
        }

        strong {
            margin: 0 5px;
            font: 18px "Trebuchet MS", Tahoma, Geneva, sans-serif;
            color: #000000;
            font-weight: bold;
        }

        span {
            font: 14px "Trebuchet MS", Tahoma, Helvetica, sans-serif;
            font-weight: bold;
            color: #069;
        }

        .over {
            overflow: scroll;
            height: 300px;
            padding: 0;
            background-color: #FFFFFF;
        }

        .tr-1 {
            background-color: #E8E8E8;
        }

        .tr-2 {
            background-color: #225F93;
        }

        .tr-3 {
            background-color: #cccccc;
        }

        .destaque {
            background: #00C5CD !important;
        }
    </style>
</head>

<body>
    <table width="100%" height="400px">
        <tr>
            <td>
                <table width="100%">
                    <tr>
                        <td align="left">
                            <font face="verdana" size="2"><i><b>Simular Entrega</b></i></font>
                        </td>
                    </tr>
                </table>
            </td>
        </tr>
        <tr>
            <td>
                <form action="" method="post">
                    <table width="100%" class="busca_rel">
                        <tr class="azul">
                            <td>Data Nfe De : </td>
                            <td>
                                <input type="text" name="De" id="De" class="date-pick codigo" value="<?php echo $_POST["De"]; ?>">
                            </td>
                            <td>Data Nfe At : </td>
                            <td>
                                <input type="text" name="Ate" id="Ate" class="date-pick codigo" value="<?php echo $_POST["Ate"]; ?>">
                            </td>
                            <td>Ordenar
                                <?php
                                $vetor = array(
                                    'Fatura' => 'Nfe',
                                    'Cliente' => 'Cliente',
                                    'Lancamento' => 'Venda'
                                );
                                select_tela("Ordenar", "Ordenar", $_POST["Ordenar"], $vetor, 'style="width:150px;height:40px;font-size:25px"');
                                ?>
                            </td>
                            <td align="left" colspan="2">
                                <button type="submit" name="Buscar" value="Buscar" style="width: 150px; height: 40px;">
                                    <span style="font-size: 20px;color: #000">Buscar</span>
                                </button>
                            </td>
                        </tr>
                    </table>
                </form>
            </td>
        </tr>
        <tr>
            <td>

                <?php
                if ($_SERVER['REQUEST_METHOD'] == "POST") {

                    if ($_POST["Buscar"]) {

                        if ($_POST["De"])
                            $data .= "AND venda.Data_Nfe >= '" . data_banco($_POST["De"]) . " 00:00:00' ";
                        if ($_POST["Ate"])
                            $data .= "AND venda.Data_Nfe <= '" . data_banco($_POST["Ate"]) . " 23:59:59' ";

                        $pro_pdv = mysqli_query($con, "SELECT DISTINCT venda.Id,
                                                                    venda.Lancamento,
                                                                    venda.Data_Nfe,
                                                                    venda.Data_Conclusao,
                                                                    venda.Valor_Pago,
                                                                    venda.Id_Vendedor,
                                                                    venda.Id_Tipo_Pagamento,
                                                                    venda.Status,
                                                                    venda.Fatura,
                                                                    venda.Id_Transportadora,
                                                                    venda.Id_Vendedor,
                                                                    cliente.Razao_Social as Cliente,
                                                                    cliente.Cidade as Cidade,
                                                                    cliente.Bairro as Bairro,
                                                                    cliente.Estado as Estado
                                                                    FROM venda
                                                                    left join (SELECT Id,Titulo,Razao_Social,Cidade,Id_Cidade,Bairro,Estado,Codigo_Cidade FROM cliente) as cliente ON cliente.Id = venda.Id_Cliente
                                                                    where 1=1
                                                                    AND venda.Entrega = 'No'
                                                                    AND venda.EF = 'Sim'
                                                                    AND venda.DV = 'No'
                                                                    AND venda.Status = 'Finalizado'
                                                                    $cond $data $Unidade $natureza $tipo_pagto
                                                                    ORDER BY venda.Data_Nfe DESC ");
                    }
                }

                ?>
                <form name="conta" id="conta" method="post" action="<?php echo $formulario ?>" target="_blank">
                    <table width="98%" border="0" cellpadding="2" cellspacing="1" id="tabela_pdv">
                        <tr bgcolor="#225F93">
                            <td align="center"></td>
                            <td><strong>Pedido</strong></td>
                            <td><strong>Data Pedido</strong></td>
                            <td><strong>Nota Fiscal</strong></td>
                            <td><strong>Data Emisso</strong></td>
                            <td><strong>Cliente</strong></td>
                            <td><strong>Valor</strong></td>
                        </tr>
                        <?php
                        $y = '1';
                        while ($chave = mysqli_fetch_assoc($pro_pdv)) {
                        ?>
                            <tr class="tr-1">
                                <td align="center">
                                    <b>
                                        <?php
                                        $chec = '';
                                        $val_cp = mysqli_query($con, "SELECT Id FROM venda_poduto WHERE Id_Venda = '" . $chave["Id"] . "' ");
                                        $validacao_cp = mysqli_fetch_assoc($val_cp);
                                        if ($validacao_cp["Id"]) {
                                            $chec = "checked='checked' ";

                                            $val_total_final += $chave["Qtd"];
                                        }
                                        ?>
                                        <input type="checkbox" <?php echo $chec; ?> name="inputIdVenda" id="inputIdVenda" onclick='carregarProduto(this,"<?= $chave["Id"]; ?>");' value="<?php echo $chave["Id"]; ?>">
                                    </b>
                                </td>
                                <td><b><?php echo $chave["Lancamento"]; ?></b></td>
                                <td><b><?php echo data_exibir($chave["Data_Conclusao"]); ?></b></td>
                                <td><b><?php echo $chave["Fatura"]; ?></b></td>
                                <td><b><?php echo data_exibir($chave["Data_Nfe"]); ?></b></td>
                                <td><b><?php echo $chave["Cliente"]; ?></b></td>
                                <td><b><?php echo valor_exibir($chave["Valor_Pago"]); ?></b></td>
                            </tr>
                            <tr class="tr-1" heigth="2">
                                <td colspan="10">&nbsp;</td>
                            </tr>
                        <?php
                            $y++;
                        }
                        ?>


                    </table>
                </form>

                <div id="div_tabelaProduto">
                    <table width="98%" border="0" cellpadding="2" cellspacing="1" id="tabela_produto">
                        <thead>
                            <tr bgcolor="#225F93">
                                <td align="center"></td>
                                <td><strong>NF-e</strong></td>
                                <td><strong>Lanamento</strong></td>
                                <td><strong>Produto</strong></td>
                                <td><strong>Quantidade</strong></td>
                                <td><strong>Peso</strong></td>
                            </tr>
                        </thead>
                        <tbody></tbody>
                    </table>
                </div>

                <div id="div_tabelaProdutoAgrupado">
                    <table width="98%" border="0" cellpadding="2" cellspacing="1" id="tabela_produto_agrupado">
                        <thead>
                            <tr bgcolor="#225F93">
                                <td align="center"></td>
                                <td><strong>Produto</strong></td>
                                <td><strong>Quantidade</strong></td>
                                <td><strong>Peso</strong></td>
                            </tr>
                        </thead>
                        <tbody></tbody>
                    </table>
                </div>

                <div style="width: 100%;display:flex;justify-content:center">
                    <input type="button" class="btn-imprimir" value="Imprimir" onclick="imprimirProdutoAgrupado();">
                </div>

            </td>
        </tr>
        <tr>
            <td>
                <div id="div_resposta"></div>
            </td>
        </tr>
    </table>
</body>

</html>