<?php
include_once '../include/conecta.php'; //Conecta com a nosso banco de dados MySQL
ini_set('session.gc_maxlifetime', 60 * 120);
session_start();
/*include_once '../include/ver_sessao.php'; //Verifica se a sesso est ativa*/
include_once '../include/funcoesPhp.php';
include_once '../menu_movimento.php';
?>
<?php
if (($_GET["Finalizado"]) || ($_GET["Aberto"]) || ($_GET["Cancelado"])) {

	$status = "AND (";

	if ($_GET["Finalizado"]) {
		$status .= " fila_espera.Status = 'Finalizado' OR";
	}
	if ($_GET["Aberto"]) {
		$status .= " fila_espera.Status = 'Aberto' OR";
	}
	if ($_GET["Cancelado"]) {
		$status .= " fila_espera.Status = 'Cancelado' OR";
	}

	$status = substr($status, 0, -2);
	$status .= ")";
}

if (!$_GET["De"]) $_GET["De"] = data_exibir(date("Y-m-d"));
if (!$_GET["Ate"]) $_GET["Ate"] = data_exibir(date("Y-m-d"));

if ($_GET['Data_Filtro'] == 'Data') {
	if ($_GET["De"])
		$data .= "AND fila_espera.Data_Fila_Espera >= '" . data_banco($_GET["De"]) . " 00:00:00' ";
	if ($_GET["Ate"])
		$data .= "AND fila_espera.Data_Fila_Espera <= '" . data_banco($_GET["Ate"]) . " 23:59:59' ";
}
if ($_GET['Data_Filtro'] == 'Conclusao') {
	if ($_GET["De"])
		$data .= "AND fila_espera.Data_Conclusao >= '" . data_banco($_GET["De"]) . " 00:00:00' ";
	if ($_GET["Ate"])
		$data .= "AND fila_espera.Data_Conclusao <= '" . data_banco($_GET["Ate"]) . " 23:59:59' ";
}

if ($_GET["Cliente"])
	$Cliente = "AND fila_espera.Id_Cliente = '" . $_GET["Cliente"] . "' ";

if ($_GET["Usuario"])
	$Usuario = "AND fila_espera.Id_Usuario = '" . $_GET["Usuario"] . "' ";

if ($_GET["Funcionario"])
	$usuario_p = "AND fila_espera.Id_Vendedor = '" . $_GET["Funcionario"] . "' ";

if ($_GET["Sala"])
	$Sala = "AND fila_espera.Id_Sala = '" . $_GET["Sala"] . "' ";

if ($_GET["Produto"])
	$fila_espera_produto = "AND fila_espera_produto.Id_Produto = '" . $_GET["Produto"] . "' ";


if ($_GET["Ok"]) {
	$fila_espera = listar("SELECT fila_espera.Id, 
                                fila_espera.Lancamento,
                                fila_espera.Status,
                                fila_espera.Data_Fila_Espera,
                                fila_espera.Data_Conclusao,
                                fila_espera.Desconto_Real,
                                cliente.Titulo as Cliente,
                                cliente.Razao_Social,
                                tipo_pagamento.Titulo as Tipo_Pagamento,
                                funcionario.Titulo as Funcionario,
                                vendedor.Titulo as Vendedor,
                                fila_espera.Comissao1,
                                sala.Titulo as Sala
                                from fila_espera
                                left join fila_espera_produto ON fila_espera_produto.Id_Fila_Espera = fila_espera.Id
                                LEFT JOIN (SELECT Id,Titulo,Comissao_Avista FROM funcionario) as vendedor ON vendedor.Id = fila_espera.Id_Vendedor
                                LEFT JOIN (SELECT Id,Titulo FROM funcionario) as funcionario ON funcionario.Id = fila_espera.Id_Funcionario
                                LEFT JOIN (SELECT Id,Titulo,Razao_Social FROM cliente) as cliente ON fila_espera.Id_Cliente = cliente.Id
                                LEFT JOIN (SELECT Id,Titulo FROM tipo_pagamento) as tipo_pagamento ON fila_espera.Id_Tipo_Pagamento = tipo_pagamento.Id
                                LEFT JOIN (SELECT Id,Titulo FROM sala) as sala ON fila_espera.Id_Sala = sala.Id
                                WHERE 1=1
                                $data $status $usuario_p $Cliente $fila_espera_produto $Usuario $Sala
                                group by fila_espera.Lancamento
                                order by fila_espera.Lancamento");
}

?>
<?php ob_start(); /* Inicia o fluxo*/ ?>
<html>

<head>
	<link rel="stylesheet" type="text/css" href="../estilo/<?php echo SKIN; ?>/tabela_imp.css" />
	<script type="text/javascript" language="javascript" src="../js/jquery.js"></script>
	<?php include '../include/script_cabeca.php'; ?>
	<script type="text/javascript" language="javascript" src="../js/script.js"></script>
	<script type="text/javascript" language="javascript" src="../js/meiomask/meiomask.js"></script>
	<script type="text/javascript" language="javascript" src="../js/meiomask/<?php if (PAIS == "USA") {
																					echo "mascaras-usa";
																				} else {
																					echo "mascaras";
																				} ?>.js"></script>
</head>

<body>
	<?php include "../include/cabecalho_relatorio.php"; ?>
	<table width="100%">
		<tr>
			<td>
				<font face="verdana" size="2"><i>Relatrio de Consultas</i></font>
			</td>
		</tr>
		<tr>
			<td>
				<font face="verdana" size="2">
					<?php
					if ($_GET["De"]) {
						echo "Perodo: " . $_GET["De"];
					}
					if ($_GET["Ate"]) {
						echo "  " . $_GET["Ate"];
					}
					if ($_GET["Funcionario"]) {
						$achar = listar("Select Titulo from funcionario
			where Id = '" . $_GET["Funcionario"] . "' ");
						echo " - " . $achar[0]["Titulo"];
					}
					if ($_GET["Vendedor"]) {
						$achar = listar("Select Titulo from funcionario
			where Id = '" . $_GET["Vendedor"] . "' ");
						echo " - " . $achar[0]["Titulo"];
					}
					if ($_GET["Cliente"]) {
						$achar = listar("Select Titulo from cliente
			where Id = '" . $_GET["Cliente"] . "' ");
						echo " - " . $achar[0]["Titulo"];
					}
					if ($_GET["Produto"]) {
						$achar = listar("Select Titulo from produto
			where Id = '" . $_GET["Produto"] . "' ");
						echo " - " . $achar[0]["Titulo"];
					}
					if ($_GET["Cancelado"]) {
						echo " - " . $_GET["Cancelado"];
					}
					if ($_GET["Finalizado"]) {
						echo " - " . $_GET["Finalizado"];
					}
					if ($_GET["Aberto"]) {
						echo " - " . $_GET["Aberto"];
					}
					?>
				</font>
			</td>
		</tr>
	</table>
	<br>
	<table width="100%" class="tabela">
		<tfoot>
			<tr class="cinza">
				<td colspan="20">Relatrio de Consultas</td>
			</tr>
		</tfoot>
		<?php
		if ($_GET["Ok"]) {

			foreach ($fila_espera as $chave) { ?>
				<tr class="azul-claro">
					<td>Consulta N: <b><?php echo $chave["Lancamento"] ?></b></td>
					<td>Cliente: <b><?php echo $chave["Cliente"]; ?></b></td>
					<td>Sala: <b><?php echo $chave["Sala"]; ?></b></td>
					<td>Data: <b><?php echo data_exibir($chave["Data_Fila_Espera"]) ?></b></td>
				</tr>
				<tr>
					<!-- <td>Dente</td> -->
					<td>Produto</td>
					<td>Valor</td>
					<td>Quantidade</td>
					<td>Total</td>
				</tr>
				<?php
				$produto = listar("SELECT produto.Titulo,
                                    produto.Codigo,
                                    produto.Comissao,
                                    fila_espera_produto.Preco,
                                    fila_espera_produto.Qtd,
                                    fila_espera_produto.Desconto_Real,
                                    dente.Titulo as Dente
                                    from fila_espera
                                    left join fila_espera_produto ON fila_espera_produto.Id_Fila_Espera = fila_espera.Id
                                    left join (SELECT Id,Titulo,Codigo,Comissao FROM produto) as produto ON produto.Id = fila_espera_produto.Id_Produto
                                    left join (SELECT Id,Titulo FROM dente) as dente ON dente.Id = fila_espera_produto.Id_Dente
                                    where fila_espera.Lancamento = '" . $chave["Lancamento"] . "'
                                    $fila_espera_produto
                                    AND fila_espera_produto.Pago = 'Pago'
                                    ORDER BY fila_espera_produto.Data_Cadastro");
				?>
				<?php
				$color = "#F5F5F5";
				$vtotal = '0';
				foreach ($produto as $valor) {

					if ($color == "#F5F5F5") {
						$color = "#E8E8E8";
					} else {
						$color = "#F5F5F5";
					}

				?>
					<tr bgcolor=<?php echo "$color"; ?>>
						<!-- <td><?php echo $valor["Dente"] ?></td> -->
						<td><?php echo $valor["Titulo"] . " : " . $valor["Titulo"] ?></td>
						<td><?php echo @valor_exibir($valor["Preco"] - $valor["Desconto_Real"]); ?></td>
						<td><?php echo valor_exibir($valor["Qtd"]) ?></td>
						<td><?php echo @valor_exibir(($valor["Preco"] * $valor["Qtd"]) - $valor["Desconto_Real"]); ?></td>
					</tr>
				<?php

					$pTo = (($valor["Preco"] * $valor["Qtd"]) - $valor["Desconto_Real"]);
					//fazendo o desconto do cartao
					if ((strpos(strtolower($chave["Tipo_Pagamento"]), "cart") !== false)) {
						$pTo = $pTo - ($pTo * (4.5 / 100));
					}

					$vtotal += (($valor["Preco"] * $valor["Qtd"]) - $valor["Desconto_Real"]);
					//$vtotalacumV[$chave["Vendedor"]] += ($pTo * ($valor["Comissao"] / 100));
					${$chave["Vendedor"]} += ((($valor["Preco"] * $valor["Qtd"]) - $valor["Desconto_Real"]) * ($valor["Comissao"] / 100));
				}
				?>
				<tr>
					<td colspan="2">&nbsp;</td>
					<td>Desconto Real: <?php echo valor_exibir($chave["Desconto_Real"]); ?></td>
					<td><b><?php echo valor_exibir($vtotal - $chave["Desconto_Real"]); ?></b></td>
				</tr>
				<?php
				$vtotalacum[$chave["Status"]] += $vtotal - $chave["Desconto_Real"];
				$vtotalacumA += $vtotal - $chave["Desconto_Real"];
				//$vtotalacumV[$chave["Vendedor"]]+= ( $vtotal * ($valor["Comissao"]/100) );
				?>
				<?php
				$corStatus = "";
				if ($chave['Status'] == 'Finalizado') {
					$corStatus = "color = '#228B22' ";
				}
				if ($chave['Status'] == 'Aberto') {
					$corStatus = "color = '#3A5FCD' ";
				}
				if ($chave['Status'] == 'Cancelado') {
					$corStatus = "color = '#CD2626' ";
				}
				?>
				<tr class="cinza">
					<td>Especialista: <?php echo $chave["Vendedor"] ?></td>
					<td>Tipo Pagamento: <?php echo $chave["Tipo_Pagamento"] ?></td>
					<td>Responsvel: <?php echo $chave["Funcionario"] ?></td>
					<td>Status: <font <?php echo $corStatus ?>>
							<b><?php echo $chave["Status"] ?></b>
						</font>
					</td>
				</tr>
				<tr>
					<td colspan="5">&nbsp;</td>
				</tr>
		<?php
		$vtotalacumV[$chave["Vendedor"]]+= ( $vtotal * ($chave["Comissao1"]/100) );
			}
		}
		?>

		<tr>
			<td align="right"><b>Valores Finais:</b> &nbsp;</td>
			<td colspan="4" align="right">
				Em Lanamento : <b><?php echo valor_exibir($vtotalacum["Aberto"]); ?></b>&nbsp;&nbsp;&nbsp;
				Finalizado : <b><?php echo valor_exibir($vtotalacum["Finalizado"]); ?></b>&nbsp;&nbsp;&nbsp;
				Cancelado : <b><?php echo valor_exibir($vtotalacum["Cancelado"]); ?></b>&nbsp;&nbsp;&nbsp;
				Total Geral : <b><?php echo valor_exibir($vtotalacum["Aberto"] + $vtotalacum["Finalizado"]); ?></b>
			</td>
		</tr>
	</table>
	<tr>
		<td colspan="8" align="center">
			<br />
			<table class="tabela">
				<tr>
					<td align='center'><b>Profissional</b></td>
					<td align='center'><b>Comisso</b></td>
					<td align='center'><b>Caixa</b></td>
				</tr>
				<?php
				foreach ($vtotalacumV as $posicao => $campo) {

					$color = "#F5F5F5";
					if ($color == "#F5F5F5") {
						$color = "#E8E8E8";
					} else {
						$color = "#F5F5F5";
					}


					echo "<tr bgcolor='" . $color . "'>";
					echo "<td width='200px' align='center'><b>" . $posicao . "</b></td>";
					echo "<td width='200px' align='center'><b>" . valor_exibir($campo) . "</b></td>";
					echo "<td width='200px' align='center'><b>" . valor_exibir(${$posicao} - $campo) . "</b></td>";
					echo "</tr>";
				}
				?>
			</table>
			<br />
		</td>
	</tr>
	</td>
	</tr>
	<tr>
		<td>
			<div id="div_resposta"></div>
		</td>
	</tr>
	</table>
</body>

</html>
<?php
$html = ob_get_contents();
ob_end_clean();

include_once "../include/pdf_opcao.php";
?>