<?php
include_once '../include/conecta.php'; //Conecta com a nosso banco de dados MySQL
include_once '../include/ver_sessao.php'; //Verifica se a sesso est ativa
include_once '../include/funcoesPhp.php'; include_once '../menu_movimento.php';
?>
<?php
	$sql_produto = mysqli_query($con,"Select fila_espera.Id,
 					fila_espera.Lancamento,
 					fila_espera.Status,
 					fila_espera.Data_Fila_Espera,
                                        fila_espera.Data_Conclusao,
 					fila_espera.Obs as 'Obs_Fila_Espera',
 					fila_espera.Valor_Original,
 					fila_espera.Valor_Pago,
                                        fila_espera.Desconto_Real,
                                        fila_espera.Id_Unidade,
 					cliente.Titulo as 'Cliente',
 					cliente.Email,
 					cliente.Natureza,
 					cliente.Cpf_Cnpj,
 					cliente.Rua,
                                        cliente.Numero,
 					cliente.Cep,
 					cliente.Bairro,
 					cliente.Estado,
 					cliente.Fone1,
 					cliente.Obs as 'Obs_Cliente',
                                        cidade_ibge.Titulo as Cidade,
 					funcionario.Titulo as 'Funcionario',
                                        vendedor.Titulo as 'Vendedor',
                                        tipo_pagamento.Titulo as 'Tipo_Pagamento'
 					from fila_espera
 					left join (SELECT Id,Titulo,Email,Natureza,Cpf_Cnpj,Estadual,Rua,Numero,Cep,Bairro,Estado,Fone1,Obs,Id_Cidade FROM cliente) as cliente ON cliente.Id = fila_espera.Id_Cliente
                                        left join (SELECT Id,Titulo FROM cidade_ibge) as cidade_ibge ON cidade_ibge.Id = cliente.Id_Cidade
 					left join (SELECT Id,Titulo FROM funcionario) as funcionario ON funcionario.Id = fila_espera.Id_Funcionario
                                        left join (SELECT Id,Titulo FROM funcionario) as vendedor ON fila_espera.Id_Vendedor = vendedor.Id
                                        left join (SELECT Id,Titulo FROM tipo_pagamento) as tipo_pagamento ON tipo_pagamento.Id = fila_espera.Id_Tipo_Pagamento
 					where fila_espera.Id = '".$_GET["id_fila_espera"]."'
					order by fila_espera.Lancamento DESC")
                                        or die("ERRO no comando SQL:".mysqli_error($con));
	$array_produto = mysqli_fetch_assoc($sql_produto);

	$_POST["Lancamento"]        =   $array_produto["Lancamento"];
	$_POST["Data_Fila_Espera"]  =   $array_produto["Data_Fila_Espera"];
	$_POST["Obs_Fila_Espera"]   =   stripslashes($array_produto["Obs_Fila_Espera"]);
	$_POST["Cliente"]           =   $array_produto["Cliente"];
	$_POST["Funcionario"]       =   $array_produto["Funcionario"];
	$_POST["Vendedor"]          =   $array_produto["Vendedor"];
        $_POST["Vendedor2"]         =   $array_produto["Vendedor2"];
        $_POST["Cfop"]              =   $array_produto["Cfop"];
        $_POST["Frete"]             =   $array_produto["Frete"];
        $_POST["Transportadora"]    =   $array_produto["Transportadora"];
	$_POST["Valor_Frete"]       =   valor_exibir($array_produto["Valor_Frete"]);
        $_POST["Despesa"]           =   valor_exibir($array_produto["Despesa"]);
        $_POST["Desconto_Real"]     =   valor_exibir($array_produto["Desconto_Real"]);
        $_POST["Desconto"]          =   valor_exibir($array_produto["Desconto"]);
        $_POST["Valor_Pago"]        =   valor_exibir($array_produto["Valor_Pago"]);
	$_POST["Tipo_Pagamento"]    =   $array_produto["Tipo_Pagamento"];
	$_POST["Data_Conclusao"]    =   $array_produto["Data_Conclusao"];
        

?>
<html>
<head>
<title>Gw - Gesto Web</title>
<link rel="stylesheet" type="text/css" href="../estilo/<?php echo SKIN ;?>/tableless.css" />
<link rel="stylesheet" type="text/css" href="../estilo/<?php echo SKIN ;?>/tabela_imp.css" />
</head>
<body>
    
        <fieldset class="envolve">
            
 <table width="100%" align="center" border="0" cellpadding="2" cellspacing="2">
     <tr>
         <td class="azul-claro" width="20%">Lanamento</td>
         <td class="cinza"><?php echo $_POST["Lancamento"];?></td>
     </tr>
     <tr>
         <td class="azul-claro" width="20%">Data</td>
         <td class="cinza"><?php echo data_exibir($_POST["Data_Fila_Espera"]);?></td>
     </tr>
     <tr>
         <td class="azul-claro" width="20%">Responsvel</td>
         <td class="cinza"><?php echo $_POST["Funcionario"];?></td>
     </tr>
     <tr>
         <td class="azul-claro" width="20%">Cliente</td>
         <td class="cinza"><?php echo $_POST["Cliente"];?></td>
     </tr>
     <tr>
         <td class="azul-claro" width="20%">Vendedor</td>
         <td class="cinza"><?php echo $_POST["Vendedor"];?></td>
     </tr>
     <tr>
         <td class="azul-claro" width="20%">Obs</td>
         <td class="cinza"><?php echo $_POST["Obs_Fila_Espera"];?></td>
     </tr>
     <tr>
         <td class="azul-claro" width="20%">Tipo Pagamento</td>
         <td class="cinza"><?php echo $_POST["Tipo_Pagamento"];?></td>
     </tr>
     <tr>
         <td class="azul-claro" width="20%">Desconto</td>
         <td class="cinza"><?php echo $_POST["Desconto_Real"];?></td>
     </tr>
     <tr>
         <td class="azul-claro" width="20%">Valor</td>
         <td class="cinza"><?php echo $_POST["Valor_Pago"];?></td>
     </tr>
     <tr>
         <td class="azul-claro" width="20%">Data Concluso</td>
         <td class="cinza"><?php echo data_exibir($_POST["Data_Conclusao"]);?></td>
     </tr>
 </table>

 <table width="100%" align="center" border="0" cellpadding="2" cellspacing="2">
     <tr>
         <td colspan="2">&nbsp;&nbsp;&nbsp;</td>
     </tr>
     <tr>
         <td class="azul-claro" width="2%">x</td>
         <td class="azul-claro" width="20%">Cdigo</td>
         <td class="azul-claro" width="30%">Produto</td>
         <td class="azul-claro" width="10%">Preo</td>
         <td class="azul-claro" width="10%">Qtd</td>
         <td class="azul-claro" width="10%">Total</td>
     </tr>
<?php
    
$usuario = listar("Select   produto.Titulo as Produto,
                            produto.Codigo,
                            fila_espera_produto.Preco,
                            fila_espera_produto.Qtd,
                            fila_espera_produto.Desconto_Real
                            from fila_espera_produto
                            INNER JOIN (SELECT Id,Titulo,Codigo FROM produto) as produto ON produto.Id = fila_espera_produto.Id_Produto
                            where 1=1
                            AND fila_espera_produto.Id_Fila_Espera = '".$_GET["id_fila_espera"]."'
                            ORDER by fila_espera_produto.Data_Cadastro ");
$x='1';
foreach($usuario as $chave){
?>

     <tr>
         <td class="cinza"><?php echo $x;?></td>
         <td class="cinza"><?php echo $chave["Codigo"];?></td>
         <td class="cinza"><?php echo $chave["Produto"];?></td>
         <td class="cinza"><?php echo @valor_exibir( ( ($chave["Preco"]) - ($chave["Preco"] - $chave["Desconto_Real"])));?></td>
         <td class="cinza"><?php echo valor_exibir($chave["Qtd"]);?></td>
         <td class="cinza"><?php echo @valor_exibir( ( ($chave["Preco"]*$chave["Qtd"]) - ( ($chave["Preco"]*$chave["Qtd"])*($chave["Desconto"]/100) ) ) - $chave["Desconto_Real"]);?></td>
     </tr>
     
<?php $x++; } ?>
     
 </table>
            
        <br/>
        <button class="botao_novo" type="button" value="Voltar" onclick="location.href='list_fila_espera.php';">Voltar</button>
            
        </fieldset>