<?php
include_once "../include/conecta.php"; //Conecta com a nosso banco de dados MySQL
ini_set('session.gc_maxlifetime', 60 * 120);
session_start();
/* include_once "../include/ver_sessao.php"; //Verifica se a sesso est ativa */
include_once "../include/funcoesPhp.php"; //Inclue a pgina con todas as funes a ser usada.

$venda = listar("SELECT funcionario.*,
				Estado_Civil,
				Salario_familia,
				Valor_Salario_Familia,
				Nome_Plano_Saude,
                cidade_ibge.Titulo as Cidade_Ibge,
                cargo.Titulo as Cargo,
                departamento.Titulo as Departamento
                from funcionario
                LEFT JOIN cargo ON cargo.Id = funcionario.Id_Cargo
                LEFT JOIN departamento ON departamento.Id = funcionario.Id_Departamento
                LEFT JOIN cidade_ibge ON cidade_ibge.Id = funcionario.Cidade
                where funcionario.Id = '" . $_GET["id_funcionario"] . "' ");

?>
<html>

<head>
	<title>Gw - Gesto Web</title>
	<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1" />
	<link rel="shortcut icon" href="../imagem/favi_gw.ico" type="image/x-icon" />
	<link rel="stylesheet" type="text/css" href="../estilo/<?php echo SKIN; ?>/tabela_imp.css" />
	<script type="text/javascript" language="javascript" src="../js/jquery.js"></script>
	<?php include '../include/script_cabeca.php'; ?>
	<script type="text/javascript" language="javascript" src="../js/script.js"></script>
	<script type="text/javascript" language="javascript" src="../js/meiomask/meiomask.js"></script>
	<script type="text/javascript" language="javascript" src="../js/meiomask/<?php if (PAIS == "USA") {
																					echo "mascaras-usa";
																				} else {
																					echo "mascaras";
																				} ?>.js"></script>
</head>

<body>

	<table width="98%" align="center"><!-- TABELA Q ENVOLVE TODO O CONTEUDO -->
		<tr>
			<td>
				<table width="100%" align="center">
					<tr>
						<td colspan="2" align="center">
							<font face="verdana" size="3">
								<b><i>Ficha Registro - <?php echo $venda[0]["Titulo"]; ?></i></b>
							</font>
							<br /><br />
						</td>
					</tr>
				</table>
			</td>
		</tr>

		<?php
		$empresa = listar("Select Razao_Social,Titulo,Cnpj,Rua,Numero,
                    Bairro,Cidade,Estado,Cep,Fone1
                    from unidade where Id = '" . $venda[0]["Id_Unidade"] . "' ");
		?>

		<tr>
			<td>
				<table width="100%" align="center" class="tabela">
					<tr>
						<td width="60%">Empresa: <?php echo $empresa[0]["Razao_Social"]; ?></td>
						<td width="40%">CNPJ: <?php echo $empresa[0]["Cnpj"]; ?></td>
					</tr>
					<tr>
						<td width="60%">Fantasia: <?php echo $empresa[0]["Titulo"]; ?></td>
						<td width="40%">Fone: <?php echo $empresa[0]["Fone1"]; ?></td>
					</tr>
					<tr>
						<td width="60%">Endereo: <?php echo $empresa[0]["Rua"] . ', ' . $empresa[0]["Numero"]; ?></td>
						<td width="40%">Bairro: <?php echo $empresa[0]["Bairro"]; ?></td>
					</tr>
					<tr>
						<td width="60%">Cidade/UF: <?php echo $empresa[0]["Cidade"] . "/" . $empresa[0]["Estado"]; ?></td>
						<td width="40%">CEP: <?php echo $empresa[0]["Cep"]; ?></td>
					</tr>
				</table>
			</td>
		</tr>

		<tr>
			<td>
				<table width="100%" align="center" class="tabela">
					<tr>
						<td align="center">
							<img src="thumb/<?php echo $venda[0]['Foto']; ?>" width="120px" height="auto">
						</td>
					</tr>
				</table>
			</td>
		</tr>

		<tr>
			<td>
				<table width="100%" align="center" class="tabela">
					<tr>
						<td width="60%">Nome: <?php echo substr($venda[0]["Titulo"] . " " . $venda[0]["Sobrenome"], 0, 39); ?></td>
						<td width="40%">Fone: <?php echo $venda[0]["Fone"]; ?></td>
					</tr>
					<tr>
						<td width="60%">Endereo: <?php echo $venda[0]["Endereco"]; ?></td>
						<td width="40%">Bairro: <?php echo $venda[0]["Bairro"]; ?></td>
					</tr>
					<tr>
						<td width="60%">Cidade/UF: <?php echo $venda[0]["Cidade_Ibge"] . "/" . $venda[0]["Estado"]; ?></td>
						<td width="40%">CEP: <?php echo $venda[0]["Cep"]; ?></td>
					</tr>
					<tr>
						<td width="60%">RG: <?php echo $venda[0]["Rg"]; ?></td>
						<td width="40%">CPF: <?php echo $venda[0]["Cpf"]; ?></td>
					</tr>
					<tr>
						<td width="60%">PIS: <?php echo $venda[0]["Pis"]; ?></td>
						<td width="40%">CTPS: <?php echo $venda[0]["Ctps"]; ?></td>
					</tr>
					<tr>
						<td width="60%">Salrio: <?php echo valor_exibir($venda[0]["Salario"]); ?></td>
						<td width="40%">Aniversrio: <?php echo data_exibir($venda[0]["Aniversario"]); ?></td>
					</tr>
					<tr>
						<td width="60%">Efetivao: <?php echo data_exibir($venda[0]["Data_Admissao"]); ?></td>
						<td width="40%">Demisso: <?php echo data_exibir($venda[0]["Data_Demissao"]); ?></td>
					</tr>
					<tr>
						<td width="60%">Cargo: <?php echo $venda[0]["Cargo"]; ?></td>
						<td width="40%">Departamento: <?php echo $venda[0]["Departamento"]; ?></td>
					</tr>
					<?php if ($venda[0]["Obs"] != '') { ?>
						<tr>
							<td colspan="2">Obs.: <?php echo $venda[0]["Obs"]; ?></td>
						</tr>
					<?php } ?>
					<tr>
						<td width="60%">Dados Bancrios: <?php echo "Banco: " . $venda[0]["Banco"] . "   |Agncia :" . $venda[0]["Agencia"] .
																"   |Conta: " . $venda[0]["Conta"] . "   |Chave Pix" . $venda[0]["Chave_Pix"]; ?></td>
						<td width="40%">Valor Salrio Famlia: R$ <?php echo $venda[0]["Valor_Salario_Familia"]; ?></td>
					</tr>
					<tr>

						<td width="60%">Estado Civil: <?php echo $venda[0]["Estado_Civil"]; ?></td>
						<td width="40%">Plano de Sade: <?php echo $venda[0]["Nome_Plano_Saude"]; ?></td>
					</tr>

				</table>
				<table width="100%" align="center" class="tabela">
					<tr>
						<td colspan="4" style="background-color: #E6E6FA;">Cursos e Certificados: </td>
						<!-- <td width="40%"><?php echo $venda[0][""]; ?></td> -->
					</tr>


					<tr>
					<tr>
						<td width="2%">
							N:
						</td>
						<td width="20%">
							Curso:
						</td>
						<td width="20%">
							Instituio:
						</td>
						<td width="20%">
							Validade:
						</td>
					</tr>

					<?php
					$buscar_cursos = mysqli_query($con, "SELECT Curso, Instituicao, Data  FROM funcionario_curso WHERE Id_Funcionario = '" . $venda[0]["Id"] . "' ");
					$c = 1;
					while ($chave = mysqli_fetch_assoc($buscar_cursos)) { ?>

						<tr>

							<td>
								<?php echo $c ?>

							</td>
							<td>
								<?php echo $chave['Curso'] ?>

							</td>
							<td>
								<?php echo $chave['Instituicao'] ?>

							</td>
							<td>
								<?php echo data_exibir($chave['Data']) ?>

							</td>
						</tr>
					<?php
						$c++;
					}
					?>

				</table>
				<table width="100%" align="center" class="tabela">
					<tr>
						<td colspan="4" style="background-color: #E6E6FA;">Filhos: </td>
						<!-- <td width="40%"><?php echo $venda[0][""]; ?></td> -->
					</tr>


					<tr>
						<td width="2%">
							N:
						</td>
						<td width="33%">
							Nome:
						</td>
						<td width="10%">
							Data de Nascimento:
						</td>
						<td width="10%">
							CPF:
						</td>
					</tr>

					<?php
					$buscar_filhos = mysqli_query($con, "SELECT Nome, Data, Cpf FROM funcionario_filho WHERE Id_Funcionario = '" . $venda[0]["Id"] . "' ");
					$f = 1;
					while ($chave = mysqli_fetch_assoc($buscar_filhos)) { ?>

						<tr>
							<td>
								<?php echo $f ?>

							</td>
							<td>
								<?php echo $chave['Nome'] ?>

							</td>
							<td>
								<?php echo data_exibir($chave['Data']) ?>

							</td>
							<td>
								<?php echo cnpj_exibir($chave['Cpf']) ?>

							</td>
						</tr>
					<?php
						$f++;
					}
					?>

				</table>
				<table width="100%" align="center" class="tabela">
					<tr>
						<td colspan="5" style="background-color: #E6E6FA;">Veculo: </td>
						<!-- <td width="40%"><?php echo $venda[0][""]; ?></td> -->
					</tr>


					<tr>
					<tr>
						<td width="2%">
							N:
						</td>
						<td width="20%">
							Modelo:
						</td>
						<td width="20%">
							Placa:
						</td>
						<td width="20%">
							Cor:
						</td>
						<td width="20%">
							KM por Litro:
						</td>
					</tr>

					<?php
					$buscar_veiculos = mysqli_query($con, "SELECT Modelo, Placa, Cor, Km_Litro FROM funcionario_veiculo WHERE Id_Funcionario = '" . $venda[0]["Id"] . "' ");
					$v = 1;
					while ($chave = mysqli_fetch_assoc($buscar_veiculos)) { ?>

						<tr>

							<td>
								<?php echo $v ?>

							</td>
							<td>
								<?php echo $chave['Modelo'] ?>

							</td>
							<td>
								<?php echo $chave['Placa'] ?>

							</td>
							<td>
								<?php echo ($chave['Cor']) ?>

							</td>
							<td>
								<?php echo ($chave['Km_Litro']) ?>

							</td>
						</tr>
					<?php
						$v++;
					}
					?>

				</table>
				<br />
				<table width="98%" align="center">
					<tr>
						<td align="center">________________________</td>
						<td align="center">________________________</td>
					</tr>
					<tr>
						<td align="center">
							<font face="verdana" size="2">
								Empregador
							</font>
						</td>
						<td align="center">
							<font face="verdana" size="2">
								<?php echo $venda[0]["Titulo"]; ?>
							</font>
						</td>
					</tr>
				</table>

				<br>
</body>

</html>
<?php include "../include/rodape.php"; ?>