<?php
include_once "../include/conecta.php"; //Conecta com a nosso banco de dados MySQL
ini_set('session.gc_maxlifetime', 60 * 120);
session_start();
/* include_once "../include/ver_sessao.php"; //Verifica se a sesso est ativa */
include_once "../include/funcoesPhp.php"; //Inclue a pgina con todas as funes a ser usada.
?>
<?php
$funcionario = mysqli_query($con,"Select funcionario.Id,
                        funcionario.Titulo,
                        funcionario.Sobrenome,
                        departamento.Titulo as Departamento,
                        cargo.Titulo as Cargo,
                        solicitante.Titulo as Solicitante
                        from funcionario
                        LEFT JOIN departamento ON departamento.Id = funcionario.Id_Departamento
                        LEFT JOIN cargo ON cargo.Id = funcionario.Id_Cargo
                        LEFT JOIN (SELECT Id,Titulo FROM funcionario) as solicitante ON solicitante.Id = funcionario.Id_Solicitante
                        where funcionario.Id = '" . $_GET["id_funcionario"] . "' ");
$funcionario = mysqli_fetch_assoc($funcionario);

$_GET["Unidade"] = '1';
?>
<html>
    <head>
        <title>Gw - Gesto Web</title>
        <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1" />
        <link rel="shortcut icon" href="../imagem/favi_gw.ico" type="image/x-icon" />
        <link rel="stylesheet" type="text/css" href="../estilo/<?php echo SKIN; ?>/tabela_imp.css" />
        <script type="text/javascript" language="javascript" src="../js/jquery.js"></script>
        <?php include '../include/script_cabeca.php'; ?>
        <script type="text/javascript" language="javascript" src="../js/script.js"></script>
        <script type="text/javascript" language="javascript" src="../js/meiomask/meiomask.js"></script>
        <script type="text/javascript" language="javascript" src="../js/meiomask/<?php
        if (PAIS == "USA") {
            echo "mascaras-usa";
        } else {
            echo "mascaras";
        }
        ?>.js"></script>
        <style>
        .footer {
            position:absolute;
            bottom:4%;
        }
        </style>
    </head>
    <body>
            <?php
                $producao_produ = mysqli_query($con,"Select produto.Titulo,
                        produto.Codigo,
                        produto.Preco1,
                        produto.Foto,
                        produto.Gtin,
                        produto.FQIT,
                        producao_produto.Qtd,
                        producao_produto.Lote,
                        producao_produto.Data_Validade,
                        producao_produto.Data_Fabricacao
                        from producao_produto
                        left join (SELECT Id,Titulo,Codigo,Preco1,Foto,Gtin,FQIT FROM produto) as produto ON produto.Id = producao_produto.Id_Produto
                        where producao_produto.Id_Producao = '".$_GET["id_producao"]."'
                        AND producao_produto.Tipo = 'Entrada' ");
                $producao_produ = mysqli_fetch_assoc($producao_produ);
                ?>
        <table width="98%" align="center"><!-- TABELA Q ENVOLVE TODO O CONTEUDO -->
            <tr>
                <td width="100%">
                <table width="100%" border="1">
                             <tbody>
                                    <?php
                                            if(!$_GET["Unidade"]){
                                                    $_GET["Unidade"] = $_SESSION["Unidade"];
                                            }

                                            $empresa = listar("Select Logo,Titulo,Cnpj,Rua,Numero,
                                                                Bairro,Cidade,Estado,Cep,Fone1,Fone2,Email,Site
                                                                from unidade where Id = '".$_GET["Unidade"]."' ");
                                    ?>
                                <tr>
                                    <td rowspan="2">
                                        <?php
                                            if(file_exists("../unidade/foto/".$empresa[0]["Logo"]."")){
                                                $cam_arq = "../unidade/foto/".$empresa[0]["Logo"];
                                            }else{
                                                $cam_arq = "../../unidade/foto/".$empresa[0]["Logo"];
                                            }
                                        ?>
                                        <center>
                                            <img src="<?php echo $cam_arq; ?>" title="Logo" alt="Logo" border="0" width="140px" height="auto"/>
                                        </center>
                                    </td>
                                    <td><center>CONTROLE DE PROCESSAMENTO DE DADOS - TI</center></td>
                                    <td><center><?php echo date('d/m/Y') ?></center></td>
                                 </tr>
                                 <tr>
                                    <td><center>TERMO DE RESPONSABILIDADE DE ENTREGA, EQUIPAMENTOS DE INFORMATICA E TELECOMUNICAES</center></td>
                                    <td><center>(FQIT <b>00</b>)</center></td>
                                 </tr>
                             </tbody>
                         </table>
                </td>
            </tr>
            <tr>
                <td>
                    <table width="100%" align="center" class="tabela" style="font-size: 12px">
                        <tr>
                            <td colspan="3">Funcionrio: <?php echo $funcionario["Titulo"]." ".$funcionario["Sobrenome"]; ?></td>
                        </tr>
                        <tr>
                            <td>Solicitante: <?php echo $funcionario["Solicitante"]; ?></td>
                            <td>Departamento: <?php echo $funcionario["Departamento"]; ?></td>
                            <td>Funo: <?php echo $funcionario["Cargo"]; ?></td>
                        </tr>
<!-- COMECA O QUADRO DOS EQUIPAMENTOS E FERRAMENTAS -->


                        <?php
                        $venda_equ = listar("Select equipamento.Id,
                                        equipamento.Titulo,
 					                    funcionario_equipamento.Numero_Ordem,
                                        funcionario_equipamento.Data_Entrega,
                                        funcionario_equipamento.Data_Retorno
                                        from funcionario_equipamento
                                        INNER join (SELECT Id,Titulo FROM equipamento) as equipamento ON equipamento.Id = funcionario_equipamento.Id_Equipamento
 					                    where funcionario_equipamento.Id_Funcionario = '" . $_GET["id_funcionario"] . "'
                                        AND funcionario_equipamento.Numero_Ordem<>''
                                        ORDER BY funcionario_equipamento.Numero_Ordem ");

                        $y = 1;
                        foreach ($venda_equ as $chave) {
                            ?>

                        <tr>
                            <td colspan="2"><b>Equipamento:</b> <?php echo $chave["Titulo"]; ?></td>
                            <td>Quantidade: 01</td>
                        </tr>
                        <tr>
                            <td>Nmero de Ordem: <?php echo $chave["Numero_Ordem"]; ?></td>
                            <td>Perfeito Estado:<br><br/>
                            Sim: (&nbsp;&nbsp;&nbsp;) No: (&nbsp;&nbsp;&nbsp;)
                            </td>
                            <td>Acompanha Acessrios:<br><br/>
                            Sim: (&nbsp;&nbsp;&nbsp;) No: (&nbsp;&nbsp;&nbsp;)
                            </td>
                        </tr>
                        <tr>
                            <td colspan="2">Data Entrega: <?php echo data_exibir($chave["Data_Entrega"]); ?></td>
                            <td><b>Data Devoluo</b>: <?php echo data_exibir($chave["Data_Retorno"]); ?></td>
                        </tr>
                        <tr>
                            <td colspan="3">Obs:<br/><br/><br/></td>
                        </tr>
                        <tr>
                            <td colspan="3"><br/></td>
                        </tr>
                        <?php
                            $x++;
                            }
                        ?>

                        <?php
                        $venda_equ = listar("Select DISTINCT equipamento.Id,
                                        equipamento.Titulo,
                                        COUNT(equipamento.Id) as Qtd,
 					                    funcionario_equipamento.Numero_Ordem,
                                        funcionario_equipamento.Data_Entrega,
                                        funcionario_equipamento.Data_Retorno
                                        from funcionario_equipamento
                                        INNER join (SELECT Id,Titulo FROM equipamento) as equipamento ON equipamento.Id = funcionario_equipamento.Id_Equipamento
 					                    where funcionario_equipamento.Id_Funcionario = '" . $_GET["id_funcionario"] . "'
                                        AND funcionario_equipamento.Numero_Ordem=''
                                        GROUP BY equipamento.Id
                                        ORDER BY funcionario_equipamento.Numero_Ordem ");

                        $y = 1;
                        foreach ($venda_equ as $chave) {
                            ?>

                        <tr>
                            <td colspan="2"><b>Equipamento:</b> <?php echo $chave["Titulo"]; ?></td>
                            <td>Quantidade: <?php echo str_pad($chave["Qtd"], 2,"0", STR_PAD_LEFT); ?></td>
                        </tr>
                        <tr>
                            <td>Nmero de Ordem: <?php echo $chave["Numero_Ordem"]; ?></td>
                            <td>Perfeito Estado:<br><br/>
                            Sim: ______ No: ______
                            </td>
                            <td>Acompanha Acessrios:<br><br/>
                            Sim: ______ No: ______
                            </td>
                        </tr>
                        <tr>
                            <td colspan="2">Data Entrega: <?php echo data_exibir($chave["Data_Entrega"]); ?></td>
                            <td><b>Data Devoluo</b>: <?php echo data_exibir($chave["Data_Retorno"]); ?></td>
                        </tr>
                        <tr>
                            <td colspan="3">Obs:<br/><br/><br/></td>
                        </tr>
                        <tr>
                            <td colspan="3"><br/></td>
                        </tr>
                        <?php
                        $y++;
                    }
                    ?>


                    <?php
                        $venda_pro = listar("Select ferramenta.Id,
                                        ferramenta.Titulo,
 					                    funcionario_ferramenta.Numero_Ordem,
                                        funcionario_ferramenta.Data_Entrega,
                                        funcionario_ferramenta.Data_Retorno
 					                    from funcionario_ferramenta
                                        INNER join (SELECT Id,Titulo FROM ferramenta) as ferramenta ON ferramenta.Id = funcionario_ferramenta.Id_Ferramenta
 					                    where funcionario_ferramenta.Id_Funcionario = '" . $_GET["id_funcionario"] . "'
                                        AND funcionario_equipamento.Numero_Ordem<>''
                                        ORDER BY funcionario_ferramenta.Numero_Ordem ");

                        $x = 1;
                        foreach ($venda_pro as $chave) {
                            
                            ?>

                        <tr>
                            <td colspan="2"><b>Ferramenta:</b> <?php echo $chave["Titulo"]; ?></td>
                            <td>Quantidade: 01</td>
                        </tr>
                        <tr>
                            <td>Nmero de Ordem: <?php echo $chave["Numero_Ordem"]; ?></td>
                            <td>Perfeito Estado:<br><br/>
                            Sim: ______ No: ______
                            </td>
                            <td>Acompanha Acessrios:<br><br/>
                            Sim: ______ No: ______
                            </td>
                        </tr>
                        <tr>
                            <td colspan="2">Data Entrega: <?php echo data_exibir($chave["Data_Entrega"]); ?></td>
                            <td><b>Data Devoluo</b>: <?php echo data_exibir($chave["Data_Retorno"]); ?></td>
                        </tr>
                        <tr>
                            <td colspan="3">Obs:<br/><br/><br/></td>
                        </tr>
                        <tr>
                            <td colspan="3"><br/></td>
                        </tr>
                        <?php
                            $x++;
                            }
                        ?>

                        <?php
                        $venda_pro = listar("Select DISTINCT ferramenta.Id,
                                        ferramenta.Titulo,
                                        COUNT(ferramenta.Id) as Qtd,
 					                    funcionario_ferramenta.Numero_Ordem,
                                        funcionario_ferramenta.Data_Entrega,
                                        funcionario_ferramenta.Data_Retorno
 					                    from funcionario_ferramenta
                                        INNER join (SELECT Id,Titulo FROM ferramenta) as ferramenta ON ferramenta.Id = funcionario_ferramenta.Id_Ferramenta
 					                    where funcionario_ferramenta.Id_Funcionario = '" . $_GET["id_funcionario"] . "'
                                        AND funcionario_equipamento.Numero_Ordem=''
                                        GROUP BY ferramenta.Id
                                        ORDER BY funcionario_ferramenta.Numero_Ordem ");

                        $x = 1;
                        foreach ($venda_pro as $chave) {
                            
                            ?>

                        <tr>
                            <td colspan="2"><b>Ferramenta:</b> <?php echo $chave["Titulo"]; ?></td>
                            <td>Quantidade: <?php echo str_pad($chave["Qtd"], 2,"0", STR_PAD_LEFT); ?></td>
                        </tr>
                        <tr>
                            <td>Nmero de Ordem: <?php echo $chave["Numero_Ordem"]; ?></td>
                            <td>Perfeito Estado:<br><br/>
                            Sim: ______ No: ______
                            </td>
                            <td>Acompanha Acessrios:<br><br/>
                            Sim: ______ No: ______
                            </td>
                        </tr>
                        <tr>
                            <td colspan="2">Data Entrega: <?php echo data_exibir($chave["Data_Entrega"]); ?></td>
                            <td><b>Data Devoluo</b>: <?php echo data_exibir($chave["Data_Retorno"]); ?></td>
                        </tr>
                        <tr>
                            <td colspan="3">Obs:<br/><br/><br/></td>
                        </tr>
                        <tr>
                            <td colspan="3"><br/></td>
                        </tr>
                        <?php
                            $x++;
                            }
                        ?>




<!-- FIM O QUADRO DOS EQUIPAMENTOS E FERRAMENTAS -->
                    </table>
                </td>
            </tr>
            <tr>
                <td>
                    <table width="100%" align="center" class="tabela" style="font-size: 12px">
                        <tr>
                            <td width="100%">

Termo de responsabilidade de entrega de equipamentos de informtica, o referido solicitante afirma a empresa que o funcionrio acima est qualificado, por mtuo consentimento que
Mediante a entrega discriminado acima fica estabelecido:<br>
1)	O Funcionrio declara estar ciente de que a utilizao do equipamento ora fornecido se d exclusivamente para o desempenho de suas atribuies profissionais em benefcio da empresa GARDEN QUMICA INDSTRIA E COMRCIO LTDA.<br>
2)	O Funcionrio declara ter conhecimento sobre o uso correto do equipamento, devendo utiliz-lo de acordo com a finalidade a que se destina, responsabilizando-se pela sua guarda e conservao.<br>
3)	O Funcionrio dever comunicar a empresa acerca de qualquer alterao ou dano causado ao equipamento que o torne imprprio para uso. Neste caso, o Funcionrio dever devolver o equipamento imediatamente  GARDEN QUMICA INDSTRIA E COMRCIO LTDA., evitando, assim, eventuais riscos a si prprio ou ao equipamento j danificado.<br>
4)	O Funcionrio est ciente de que o referido equipamento que lhe foi confiado  de propriedade da empresa GARDEN QUMICA INDSTRIA E COMRCIO LTDA, comprometendo-se a devolv-lo em caso de desligamento da empresa, transferncia ou promoo para cargos em que a utilizao se torne desnecessria.<br>
5)	O Funcionrio autoriza a empresa GARDEN QUMICA INDSTRIA E COMRCIO LTDA. efetuar em seus vencimentos os descontos correspondentes ao valor do equipamento ora entregue em caso de extravio ou dano causado ao mesmo, nos termos do art.462, 1, da CLT.<br>
6)	O Funcionrio compromete-se a usar o equipamento apenas e to somente para a finalidade a que se destina.<br>
7)	O Funcionrio declara, igualmente, que em caso de perda, extravio, furto ou inutilizao do equipamento, estar ciente de que deve solicitar  empresa a sua imediata substituio, bem como solicitar ao departamento de TI para seguir com a suspeno ou bloqueio do equipamento acometido das condies aqui declaradas anteriormente.<br><br>
Assinatura do Funcionrio: _____________________________________________________


                            </td>
                        </tr>
                    </table>
                </td>
            </tr>
        </table>
                       <br>     
            <table width="100%" align="center" class="tabela" style="font-size: 12px">
                <tr>
                    <td>Disposio do equipamento:</td>
                    <td>(&nbsp;&nbsp;&nbsp;) Estoque TI<br>(&nbsp;&nbsp;&nbsp;)  Estoque TI danificado<br>(&nbsp;&nbsp;&nbsp;) Devoluo<br>(&nbsp;&nbsp;&nbsp;) Extravio</td>
                    <td>Data:<br><br>Responsvel:<br></td>
                </tr>
                <tr>
                    <td>Responsvel pela verificao:</td>
                    <td>Eficcia:<br>(&nbsp;&nbsp;&nbsp;) Sim <br>(&nbsp;&nbsp;&nbsp;) No</td>
                    <td>Data:</td>
                </tr>
            </table>
        </div>
        
    </body>
</html>
<?php include "../include/rodape.php"; ?>