<?php
include_once '../include/conecta.php'; //Conecta com a nosso banco de dados MySQL
include_once '../include/ver_sessao.php'; //Verifica se a sesso est ativa
include_once '../include/funcoesPhp.php';
include_once '../menu_movimento.php';
?>
<?php
if (FORNECEDOR_RAZAO_SOCIAL == 'Sim') {
	$nome = 'Razao_Social';
} else {
	$nome = 'Titulo';
}
$conta_pagar = listar("SELECT conta_pagar.Valor_Original,
                                conta_pagar.Valor_Pago,
                                conta_pagar.Descricao,
                                conta_pagar.Status,
                                conta_pagar.Fatura,
                                conta_pagar.Id_Unidade,
                                conta_pagar.Banco,
                                conta_pagar.Agencia,
                                conta_pagar.Cc,
                                conta_pagar.Numero,
                                fornecedor.$nome as 'Fornecedor',
                                fornecedor.Cpf_Cnpj
                                from conta_pagar
                                LEFT JOIN (SELECT Id,Titulo,Razao_Social,Cpf_Cnpj FROM fornecedor WHERE Tipo = 'F') as fornecedor ON conta_pagar.Id_Fornecedor = fornecedor.Id
                                where conta_pagar.Id = '" . $_GET["id_conta_pagar"] . "' ");

$_GET["Unidade"] = $conta_pagar[0]["Id_Unidade"];
?>
<html>

<head>
	<title>Gw - Gesto Web</title>
	<style type="text/css">
		table.tabela {
			border-collapse: collapse;
			border: 1px solid #737373;
			font-family: Verdana, Arial, Helvetica, sans-serif;
			font-size: 10px;
		}

		.azul-claro {
			background: #FAD600;
		}

		.razao {
			font-family: Verdana, Arial, Helvetica, sans-serif;
			font-size: 9px;
		}
	</style>
	<script type="text/javascript" language="javascript" src="../js/jquery.js"></script>
	<?php include '../include/script_cabeca.php'; ?>
	<script type="text/javascript" language="javascript" src="../js/script.js"></script>
	<script type="text/javascript" language="javascript" src="../js/meiomask/meiomask.js"></script>
	<script type="text/javascript" language="javascript" src="../js/meiomask/<?php if (PAIS == "USA") {
																					echo "mascaras-usa";
																				} else {
																					echo "mascaras";
																				} ?>.js"></script>
	<script type="text/javascript" language="javascript" src="../js/editing/editing.js"></script>
</head>

<body>
	<br>

	<table width="650" align="center" class="tabela">
		<tr>
			<td>
				<table width="100%"><!-- TABELA Q ENVOLVE TODO O CONTEUDO -->
					<tr>
						<td>
							<?php include "../include/cabecalho_pedido.php"; ?>
						</td>
					</tr>
					<tr>
						<td>
							<br />
							<table width="100%" align="center">
								<?php
								if ($conta_pagar[0]["Status"] == 'Liquidado') {
									$valorRec = $conta_pagar[0]["Valor_Pago"];
								} else {
									$valorRec = $conta_pagar[0]["Valor_Original"];
								}
								?>
								<tr>
									<td class="inlineEdit" id="1" style="cursor: pointer;" alt="Clique para Editar !" title="Clique para Editar !">
										Recebi da <?php echo $empresa[0]["Titulo"]; ?>, a importncia de R$ <?php echo number_format($valorRec, 2, ",", "."); ?>
										(<?php echo valorPorExtenso($valorRec); ?> ), referente ao pagamento da <?php echo $conta_pagar[0]["Descricao"]; ?>.
										<br /><?php echo $conta_pagar[0]["Fatura"]; ?>
									</td>
								</tr>
								<?php if ($conta_pagar[0]["Numero"]) { ?>
									<tr>
										<td class="inlineEdit" id="1" style="cursor: pointer;" alt="Clique para Editar !" title="Clique para Editar !">
											Cheque emitido. Banco: <?php echo $conta_pagar[0]["Banco"]; ?>, Ag.<?php echo $conta_pagar[0]["Agencia"]; ?>,
											Nmero: <?php echo $conta_pagar[0]["Numero"]; ?>.
										</td>
									</tr>
								<?php } ?>
							</table>
						</td>
					</tr>
					<tr>
						<td>
							<br />
							<table width="100%" align="center">
								<tr>
									<td class="inlineEdit" id="2" style="cursor: pointer;" alt="Clique para Editar !" title="Clique para Editar !" align="center">
										<?php echo $empresa[0]["Cidade"]; ?>,
										<?php $data = date("Y-m-d");
										echo data_extenso($data) ?>
									</td>
								</tr>
							</table>
						</td>
					</tr>
					<tr>
						<td>
							<br />
							<table width="98%" align="center">
								<tr>
									<td align="center">________________________</td>
								</tr>
								<tr>
									<td align="center"><?php echo $conta_pagar[0]["Fornecedor"]; ?><br>
										CPF: <?php echo cnpj_exibir($conta_pagar[0]["Cpf_Cnpj"]); ?>
									</td>

								</tr>
							</table>
						</td>
					</tr>
				</table>
			</td>
		</tr>
	</table>
	<?php if (CLIENTE_EMAIL == 'coopcapa') { ?>
		<table width="650" style="margin-top: 10%;" align="center" class="tabela">
			<tr>
				<td>
					<table width="100%"><!-- TABELA Q ENVOLVE TODO O CONTEUDO -->
						<tr>
							<td>
								<?php include "../include/cabecalho_pedido.php"; ?>
							</td>
						</tr>
						<tr>
							<td>
								<br />
								<table width="100%" align="center">
									<?php
									if ($conta_pagar[0]["Status"] == 'Liquidado') {
										$valorRec = $conta_pagar[0]["Valor_Pago"];
									} else {
										$valorRec = $conta_pagar[0]["Valor_Original"];
									}
									?>
									<tr>
										<td class="inlineEdit" id="1" style="cursor: pointer;" alt="Clique para Editar !" title="Clique para Editar !">
											Recebi da <?php echo $empresa[0]["Titulo"]; ?>, a importncia de R$ <?php echo number_format($valorRec, 2, ",", "."); ?>
											(<?php echo valorPorExtenso($valorRec); ?> ), referente ao pagamento da <?php echo $conta_pagar[0]["Descricao"]; ?>.
											<br /><?php echo $conta_pagar[0]["Fatura"]; ?>
										</td>
									</tr>
									<?php if ($conta_pagar[0]["Numero"]) { ?>
										<tr>
											<td class="inlineEdit" id="1" style="cursor: pointer;" alt="Clique para Editar !" title="Clique para Editar !">
												Cheque emitido. Banco: <?php echo $conta_pagar[0]["Banco"]; ?>, Ag.<?php echo $conta_pagar[0]["Agencia"]; ?>,
												Nmero: <?php echo $conta_pagar[0]["Numero"]; ?>.
											</td>
										</tr>
									<?php } ?>
								</table>
							</td>
						</tr>
						<tr>
							<td>
								<br />
								<table width="100%" align="center">
									<tr>
										<td class="inlineEdit" id="2" style="cursor: pointer;" alt="Clique para Editar !" title="Clique para Editar !" align="center">
											<?php echo $empresa[0]["Cidade"]; ?>,
											<?php $data = date("Y-m-d");
											echo data_extenso($data) ?>
										</td>
									</tr>
								</table>
							</td>
						</tr>
						<tr>
							<td>
								<br />
								<table width="98%" align="center">
									<tr>
										<td align="center">________________________</td>
									</tr>
									<tr>
										<td align="center"><?php echo $conta_pagar[0]["Fornecedor"]; ?><br>
											CPF: <?php echo cnpj_exibir($conta_pagar[0]["Cpf_Cnpj"]); ?>
										</td>
									</tr>
								</table>
							</td>
						</tr>
					</table>
				</td>
			</tr>
		</table>
	<?php } ?>
</body>

</html>
<?php include "../include/rodape.php"; ?>