<?php
include_once '../include/conecta.php'; //Conecta com a nosso banco de dados MySQL
include_once './ver_sessao.php'; //Verifica se a sesso est ativa
include_once './funcoesPhp.php';
include_once '../menu_movimento.php';

if($_SERVER['REQUEST_METHOD'] == 'POST') {
    if(isset($_POST["idCliente"]) && $_POST["idCliente"] != "") {
        $idCliente = addslashes($_POST["idCliente"]);
        $cliente = mysqli_query($con, "SELECT Id, Estado, Id_Regime_Especial, Id_Cfop, Tabela_Preco FROM cliente WHERE Id ='$idCliente'");
        $cliente = mysqli_fetch_assoc($cliente);
        $tabelaPreco = $cliente['Tabela_Preco'] != '' ? intval($cliente['Tabela_Preco']) : 1;
        $valorTabelaPreco = str_pad("$tabelaPreco", 2, "0", STR_PAD_LEFT);
        $idTabelaPreco = mysqli_query($con, "SELECT Id FROM produto_tabela WHERE Valor = '$valorTabelaPreco' AND Ativo = 'Sim'");
        $idTabelaPreco = mysqli_fetch_assoc($idTabelaPreco)['Id'];

        $idProduto = addslashes($_POST["idProduto"]);
        $Prodt = mysqli_query($con, "SELECT Id, Titulo, Codigo, Preco$tabelaPreco Preco_Tabela, Custo, Id_Local_Estoque_Saida as Local, Flag_Kit, Comissao,
            Situacao_Tributaria, Id_Cfop_Venda_F, Aliquota, Ibpt, Descricao, Regime_ST, Tabela_Icms,Valor_Pauta,FCP, Codigo_ST, Codigo_ST2,
            Aliquota_Ipi,CST_Ipi,Aliquota_Pis, CST_Pis,Aliquota_Cofins,CST_Cofins, Id_Ncm, Gtin,Codigo_Enquadramento,Id_Regime_Especial_P,
            Cest,Ibpt FROM produto WHERE Id = '$idProduto'");
        $Prodt = mysqli_fetch_assoc($Prodt);
    
        if ($Prodt["Id"]) {
            $Produto_Novo = $Prodt["Id"];
            $Local_Estoque = $Prodt["Local"];
            $Preco_Custo = (float)$Prodt["Custo"];
            $Comissao = $Prodt["Comissao"];
            $Ipi = $Prodt["Aliquota_Ipi"];
            $CST_Ipi = $Prodt["CST_Ipi"];
            $Pis = $Prodt["Aliquota_Pis"];
            $CST_Pis = $Prodt["CST_Pis"];
            $Cofins = $Prodt["Aliquota_Cofins"];
            $CST_Cofins = $Prodt["CST_Cofins"];
    
            $Situacao_Tributaria = $Prodt["Situacao_Tributaria"];
            $Aliquota = $Prodt["Aliquota"];
            $Descricao = $Prodt["Descricao"];
            $Gtin = $Prodt["Gtin"];
            $Codigo_Enquadramento = $Prodt["Codigo_Enquadramento"];
            $Pauta = $Prodt["Valor_Pauta"];
            $FCP = $Prodt["FCP"];
            $Cest = $Prodt["Cest"];
            $Ibpt = $Prodt["Ibpt"];
    
            $Unidade = ESCOLHER_EMPRESA == "Sim" ? addslashes($_POST["idUnidade"]) : addslashes($_SESSION['Id_Unidade']);
            $Preco_Venda = addslashes($Prodt["Preco_Tabela"]);
            $Qtd_Novo = str_replace(',', '.', addslashes($_POST["qtdProduto"]));
    
            $ufUnidade = mysqli_query($con, "SELECT Estado FROM unidade WHERE Id = '$Unidade'");
            $ufUnidade = mysqli_fetch_assoc($ufUnidade)["Estado"];
    
            if ($Prodt["Id_Cfop_Venda"] || $Prodt["Id_Cfop_Venda_F"]) {
                $Cfop = $cliente["Estado"] == $ufUnidade ? $Prodt["Id_Cfop_Venda"] : $Prodt["Id_Cfop_Venda_F"];
            } else {
                $Cfop = $cliente["Id_Cfop"];
            }
            $Cfop = $Cfop == '' ? ($cliente["Estado"] == $ufUnidade ? 289 : 355) : $Cfop;
    
            include './imposto_produto.php';
    
            $vICMSDeson = 0;
    
            // if ($imp["motDesICMS"] && !empty($imp["motDesICMS"])) {
            //     $desc_perc = valor_banco(valor_exibir((($Qtd_Novo * $Preco_Venda) * ($Desconto / 100)), 2));
            //     $Valor_Total = valor_banco(valor_exibir((($Qtd_Novo * $Preco_Venda) - $desc_perc) - $Desconto_Real, 2));
    
            //     $valor_icms_deson = valor_banco(valor_exibir($Valor_Total * ($Icms / 100)));
            //     $valor_desc_deson = valor_banco(valor_exibir($Valor_Total * (($Icms + $Pis + $Cofins) / 100)));
    
            //     $vICMSDeson = $valor_icms_deson;
            //     if (CLIENTE_EMAIL == 'pingocosmeticos') {
            //         $Desconto_Real = $valor_desc_deson;
            //     }
            // }

            $produtoExisteVenda = mysqli_query($con, "SELECT Id FROM venda_produto WHERE Id_Produto='$Produto_Novo' AND Id_Venda = '{$_POST['idVenda']}'
                ORDER BY Data_Cadastro DESC");
            $produtoExisteVenda = $produtoExisteVenda->num_rows > 0;

            if (!$produtoExisteVenda) {
                if(VENDER_ESTOQUE_NEGATIVO == 'No'){
                    $qtdEstoqueAtual = mysqli_query($con,"SELECT SUM(estoque.Qtd) as Estoque_Atual FROM estoque
                        WHERE estoque.Concluido = 'Sim' AND estoque.Id_Produto='$Produto_Novo' AND estoque.Id_Unidade = '$Unidade'
                        AND Id_Local_Estoque = '$Local_Estoque' GROUP BY Id_Produto");
                    $qtdEstoqueAtual = mysqli_fetch_array($qtdEstoqueAtual)['Estoque_Atual'];
                    $qtdEstoqueAtual = $qtdEstoqueAtual ?? 0;

                    $resultadoEstoque = number_format($qtdEstoqueAtual - $Qtd_Novo, 2, ".", "");
                    // $resultadoEstoque=formatarValor("Banco", $resultadoEstoque);

                    if($resultadoEstoque < 0) {
                        echo json_encode([
                            "status"=> 'erro',
                            "mensagem"=> mb_convert_encoding("Estoque baixo {$Prodt["Descricao"]}", "UTF-8", "ISO-8859-1")
                        ]);
                        exit;
                    }
                }
    
                // $venderAbaixoTabela = VENDER_BAIXO_TABELA == 'No' && $Preco_Venda < $Prodt["Preco_Tabela"] ? 'No' : 'Sim';
    
                // if ($venderAbaixoTabela == 'Sim') {
                //     $valor_zero = ITEM_VALOR_ZERO == 'No' && $Preco_Venda == 0 ? 'Sim' : 'No';
    
                //     if ($valor_zero == 'No') {
                $Codigo_Venda_Produto = md5($_POST["idVenda"] . microtime());
                $dataHoraCadastro = date("Y-m-d H:i:s");

                mysqli_query($con, "INSERT INTO venda_produto SET Id = '$Codigo_Venda_Produto', Id_Venda = '{$_POST['idVenda']}',
                    Id_Produto = '$Produto_Novo', Preco = '$Preco_Venda', Qtd = '$Qtd_Novo', Liberado = '$Qtd_Novo', Preco_Custo = '$Preco_Custo',
                    Id_Local_Estoque = '$Local_Estoque', Comissao = '$Comissao', Preco_Tabela = '{$Prodt['Preco_Tabela']}', Id_Tabela_Preco = '$idTabelaPreco',
                    C_Produto = '$Descricao', Id_Cfop = '$Cfop', Id_Funcionario = '{$_SESSION['Id_Funcionario']}', Ipi = '$Ipi', CST_Ipi = '$CST_Ipi',
                    Aliquota_Pis = '$Pis', CST_Pis = '$CST_Pis', Aliquota_Cofins = '$Cofins', CST_Cofins = '$CST_Cofins', Aliquota = '$Aliquota',
                    Icms_Sub = '$Icms_Sub', Icms = '$aliq_icms', Mva = '$Mva', Reducao = '$reducao_icms', ReducaoBC = '$reducaoBC',
                    ST_Icms = '{$Prodt['Codigo_ST']}', Situacao_Tributaria = '$Situacao_Tributaria', Id_Unidade = '$Unidade', Id_Cliente = '$idCliente',
                    Gtin = '$Gtin', Codigo_Enquadramento = '$Codigo_Enquadramento', Cest = '$Cest', Valor_Pauta = '$Pauta', Ibpt = '$Ibpt', FCP = '$FCP',
                    motDesICMS = '{$imp["motDesICMS"]}', vICMSDeson = '$vICMSDeson', Id_Usuario = '{$_SESSION['Id']}', Id_Usuario_Upd = '{$_SESSION['Id']}',
                    Data_Cadastro = '{$dataHoraCadastro}', Data_Cadastro_Upd = '{$dataHoraCadastro}'") or die("Erro no comando SQL:" . mysqli_error($con));

                cadastrarEstoque($Codigo_Venda_Produto, $Produto_Novo, $Qtd_Novo, $Local_Estoque, $Preco_Custo, (float)$Preco_Venda,
                    $Cfop, $_POST['idCliente'], (int)$aliq_icms, (int)$Ipi, "Venda", "No", $_POST["idVenda"], $Unidade, date("d/m/Y"),
                    (int)$_POST["lancamento"], (int)$Icms_Sub, (int)$Mva, (int)$reducao_icms
                );
                echo json_encode([
                    "status"=> 'ok',
                    "produto"=> [
                        "Titulo"=> mb_convert_encoding($Prodt["Titulo"], "UTF-8", "ISO-8859-1"),
                        "Codigo"=> $Prodt['Codigo'],
                        "Qtd"=> $Qtd_Novo,
                        "Total"=> formatarValor('Exibir', floatval($Preco_Venda * $Qtd_Novo)),
                        "vendaProduto"=> $Codigo_Venda_Produto
                    ]
                ]);
                exit;
                    // }
                //     else {
                //         echo json_encode([
                //             "status"=> 'erro',
                //             "mensagem"=> mb_convert_encoding("Valor do Item ZERO no permitido: {$Prodt["Descricao"]}", "UTF-8", "ISO-8859-1")
                //         ]);
                //         exit;
                //     }
                // }
                // else {
                //     echo json_encode([
                //         "status"=> 'erro',
                //         "mensagem"=> mb_convert_encoding("Valor Abaixo Tabela: {$Prodt["Descricao"]}", "UTF-8", "ISO-8859-1")
                //     ]);
                // }
                exit;
            }
            else {
                echo json_encode([
                    "status"=> 'erro',
                    "mensagem"=> mb_convert_encoding("Produto j Inserido: {$Prodt["Descricao"]}", "UTF-8", "ISO-8859-1")
                ]);
                exit;
            }
        }
        else {
            echo json_encode([
                "status"=> 'erro',
                "mensagem"=> mb_convert_encoding("Produto invlido", "UTF-8", "ISO-8859-1")
            ]);
            exit;
        }
    }
    else {
        echo json_encode([
            "status"=> 'erro',
            "mensagem"=> mb_convert_encoding("Cliente no informado", "UTF-8", "ISO-8859-1")
        ]);
        exit;
    }
}
else {
    header("HTTP/1.1 405 Method Not Allowed");
}
?>