$(document).ready(function() {
    var carregandoClientes = false;

    $(window).on('scroll', async function(e){
        if($(this).scrollTop() + $(this).height() == $('html').get(0).scrollHeight && !carregandoClientes) {
            carregandoClientes = true;
            let qtdClientesCarregados = $('input[name=qtdClientesCarregados]').val();
            let cliente = $('input[name=input-buscar]').val();
            $("#carregandoClientes").removeClass('d-none');

            await $.post('./buscar_clientes.php', {
                    qtdClientesCarregados,
                    cliente
                },
                function(data) {
                    $("#carregandoClientes").addClass('d-none');

                    let { clientes, qtdClientesCarregados } = JSON.parse(data);
                    $('input[name=qtdClientesCarregados]').val(qtdClientesCarregados);
                    clientes.map(cliente => {
                        $(".container").append(`
                            <div class="card">
                                <div class="imagem-card">
                                    <img src="../imagem/cliente-mobile.png">
                                </div>
                                <div class="informacao-card">
                                    <span class="negrito">${cliente["Codigo"]}: ${cliente["Titulo"]}</span></br>
                                    <span>${cliente["Fone1"]}</span>
                                </div>
                            </div>
                        `)
                    })
                }
            )
            carregandoClientes = false;
        }
    })

    $("#input-buscar").keyup(function() {
        let cliente = $(this).val();
        if(cliente.length == 0 || cliente.length >= 4) {
            $.post('./filtrar_cliente.php', {cliente}, function(data){
                let { clientes } = JSON.parse(data);
                $(".container").html('');
                clientes.map(cliente => {
                    $(".container").append(`
                        <div class="card">
                            <div class="imagem-card">
                                <img src="../imagem/cliente-mobile.png">
                            </div>
                            <div class="informacao-card">
                                <span class="negrito">${cliente["Codigo"]}: ${cliente["Titulo"]}</span></br>
                                <span>${cliente["Fone1"]}</span>
                            </div>
                        </div>
                    `)
                })
            });
        }
    })
});