<?php
include_once '../include/conecta.php'; //Conecta com a nosso banco de dados MySQL

if((!isset($_GET['token']) || empty($_GET['token']) && !$_SESSION['Id'])) {
    include_once './ver_sessao.php'; //Verifica se a sesso est ativa
}
else {
    include './iniciar_sessao.php';
}
include_once './funcoesPhp.php';
include_once '../menu_movimento.php';
?>
<!DOCTYPE html>
<html>
<head>
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <link href="../gw_mobile/css/dashboard.css" rel="stylesheet">
    <link href="https://unpkg.com/boxicons@2.1.4/css/boxicons.min.css" rel="stylesheet">
    <link rel="stylesheet" href="path/to/font-awesome/css/font-awesome.min.css">
    <link rel="stylesheet" href="https://fonts.googleapis.com/css2?family=Material+Symbols+Outlined:opsz,wght,FILL,GRAD@48,400,0,0" />
    <meta charset="ISO 8859-1">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Clientes</title>
    <link rel="preconnect" href="https://fonts.gstatic.com" crossorigin>
    <link href="https://fonts.googleapis.com/css2?family=Poppins:wght@300;400;500;600&display=swap" rel="stylesheet">
    <link rel="stylesheet" href="../gw_mobile/css/list_cliente.css">
</head>
<body>
    <div class="header">
        <div class="cadastrar">
            <h3 class="logo">Clientes</h3>
            <div class="opcoes-cabecalho">
                <div class="buscar-cliente">
                    <input type="text" id="input-buscar" class="d-none" placeholder="Pesquisar">
                    <button id="botao-buscar">
                        <img src=" ../imagem/lupa-mobile.png"></img>
                    </button>
                </div>
                <a href="./cad_cliente.php">
                    <button><img src="../imagem/cadastrar.png" width="35px"></img></button>
                </a>
            </div>
        </div>
    </div>
    <div class="container">
        <?php
        $limiteClientes = 50;
        $ordemCliente = CLIENTE_RAZAO_SOCIAL == 'Sim' ? 'Razao_Social' : 'Titulo';
        $sql = "SELECT Razao_Social, Codigo, Titulo, Fone1 FROM cliente";
        if(VENDER_APENAS_CARTEIRA_CLIENTE == "Sim"){
            $sql .= " AND (Id_Vendedor1 = '{$_SESSION['Id_Funcionario']}' OR Id_Vendedor2 = '{$_SESSION['Id_Funcionario']}')";
        }
        $sql .= " ORDER BY $ordemCliente LIMIT $limiteClientes";
        $listarClientes = $con->query($sql);
        foreach ($listarClientes as $resultadoLista) { ?>
            <div class="card">
                <div class="imagem-card">
                    <img src="../imagem/cliente-mobile.png">
                </div>
                <div class="informacao-card">
                    <span class="negrito"><?= "{$resultadoLista["Codigo"]}: {$resultadoLista["$ordemCliente"]}"; ?></span>
                    <span><?= $resultadoLista["Fone1"]; ?></span>
                </div>
            </div>
            <?php
        }
        ?>
        <div id="carregandoClientes" class="d-none">
            <img src="../imagem/gif_loading.gif" alt="" width="55px">
        </div>
    </div>
    <input type="hidden" name="qtdClientesCarregados" value="<?=$limiteClientes;?>">
    <?php include './dashboard.php'; ?>
    <script src="../js/jquery-3.3.1.min.js"></script>
    <script src="./js/list_cliente.js"></script>
    <script src="./js/script.js"></script>
</body>
</html>