<?php
include_once '../include/conecta.php'; //Conecta com a nosso banco de dados MySQL
include_once '../include/ver_sessao.php'; //Verifica se a sesso est ativa
include_once '../include/funcoesPhp.php';
include_once '../menu_movimento.php';
?>
<?php
if (($_GET["Liquidado"]) || ($_GET["Aberto"]) || ($_GET["Cancelado"])) {

    $status = "AND (";
    $status2 = "AND (";

    if ($_GET["Liquidado"]) {
        $status .= " conta_receber.Status = 'Liquidado' OR";
        $status2 .= " conta_pagar.Status = 'Liquidado' OR";
    }
    if ($_GET["Aberto"]) {
        $status .= " conta_receber.Status = 'Aberto' OR";
        $status2 .= " conta_pagar.Status = 'Aberto' OR";
    }
    if ($_GET["Cancelado"]) {
        $status .= " conta_receber.Status = 'Cancelado' OR";
        $status2 .= " conta_pagar.Status = 'Cancelado' OR";
    }

    $status = substr($status, 0, -2);
    $status2 = substr($status2, 0, -2);
    $status .= ")";
    $status2 .= ")";
}

if ($_GET['Data_Filtro'] == 'Vencimento') {
    if ($_GET["De"]){
        $data .= "AND conta_receber.Data_Vencimento >= '" . data_banco($_GET["De"]) . " 00:00:00' ";
        $data2 .= "AND conta_pagar.Data_Vencimento >= '" . data_banco($_GET["De"]) . " 00:00:00' ";
    }
    if ($_GET["Ate"]){
        $data .= "AND conta_receber.Data_Vencimento <= '" . data_banco($_GET["Ate"]) . " 23:59:59' ";
        $data2 .= "AND conta_pagar.Data_Vencimento <= '" . data_banco($_GET["Ate"]) . " 23:59:59' ";
    }
}
if ($_GET['Data_Filtro'] == 'Pagamento') {
    if ($_GET["De"]){
        $data .= "AND conta_receber.Data_Pagamento >= '" . data_banco($_GET["De"]) . " 00:00:00' ";
        $data2 .= "AND conta_pagar.Data_Pagamento >= '" . data_banco($_GET["De"]) . " 00:00:00' ";
    }
    if ($_GET["Ate"]){
        $data .= "AND conta_receber.Data_Pagamento <= '" . data_banco($_GET["Ate"]) . " 23:59:59' ";
        $data2 .= "AND conta_pagar.Data_Pagamento <= '" . data_banco($_GET["Ate"]) . " 23:59:59' ";
    }
}
if ($_GET['Data_Filtro'] == 'Emissao') {
    if ($_GET["De"]){
        $data .= "AND conta_receber.Data_Emissao >= '" . data_banco($_GET["De"]) . " 00:00:00' ";
        $data2 .= "AND conta_pagar.Data_Emissao >= '" . data_banco($_GET["De"]) . " 00:00:00' ";
    }
    if ($_GET["Ate"]){
        $data .= "AND conta_receber.Data_Emissao <= '" . data_banco($_GET["Ate"]) . " 23:59:59' ";
        $data2 .= "AND conta_pagar.Data_Emissao <= '" . data_banco($_GET["Ate"]) . " 23:59:59' ";
    }
}

if ($_GET["Cliente"]) {

    $mystring = $_GET["Cliente"];
    $findme = " : ";

    $posicao = strpos($mystring, $findme);

    $cod_cli = substr($_GET["Cliente"], 0, $posicao);
    $nome_cli = substr($_GET["Cliente"], ($posicao + 3));

    if (CLIENTE_RAZAO_SOCIAL == 'Sim') {
        $nome = 'Razao_Social';
    } else {
        $nome = 'Titulo';
    }
    /* convertendo o nome do fornecedor, para o seu codigo */
    $Prodt = listar("SELECT Id FROM cliente WHERE " . $nome . " ='" . $nome_cli . "' AND Codigo = '" . $cod_cli . "' ");
    $_GET["Cliente"] = $Prodt[0]["Id"];

    $cliente .= "AND conta_receber.Id_Cliente = '" . $_GET["Cliente"] . "' ";
}

if ($_GET["Conta"]){
    $cliente .= "AND conta_receber.Id_Conta = '" . $_GET["Conta"] . "' ";
    $cliente .= "AND conta_pagar.Id_Conta = '" . $_GET["Conta"] . "' ";
}
if ($_GET["Atividade"]){
    $cliente .= "AND conta_receber.Id_Atividade = '" . $_GET["Atividade"] . "' ";
    $cliente .= "AND conta_pagar.Id_Atividade = '" . $_GET["Atividade"] . "' ";
}

if ($_GET["Unidade"]) {
    $Unidade = "AND conta_receber.Id_Unidade = '" . $_GET["Unidade"] . "' ";
    $Unidade2 = "AND conta_pagar.Id_Unidade = '" . $_GET["Unidade"] . "' ";
}
if ($_GET["Ok"]) {
    $produto = mysqli_query($con, "SELECT distinct conta_receber.Id,
                                    cliente.Titulo as 'Cliente',
                                    cliente.Razao_Social,
                                    cliente.Codigo,
                                    cliente.Cpf_Cnpj,
                                    portador.Titulo as Portador,
                                    conta_receber.Lancamento,
                                    conta_receber.Descricao,
                                    conta_receber.Data_Vencimento,
                                    conta_receber.Data_Emissao,
                                    conta_receber.Data_Pagamento,
                                    conta_receber.Valor_Original,
                                    conta_receber.Valor_Pago,
                                    conta_receber.Valor_Desconto,
                                    conta_receber.Origem,
                                    conta_receber.Fatura,
                                    conta_receber.Status,
                                    conta_receber.Boleto_Enviado,
                                    conta_receber.Id_Externo,
                                    tipo_pagamento.Titulo as 'Tipo_Pagamento',
                                    atividade.Titulo as 'Atividade',
                                    banco.Titular as Banco
                                    from conta_receber
                                    left join (SELECT Id,Codigo,Titulo,Razao_Social,Id_Cidade,Estado,Cpf_Cnpj FROM cliente) as cliente ON cliente.Id = conta_receber.Id_Cliente
                                    left join (SELECT Id, Titulo FROM portador) as portador ON portador.Id = conta_receber.Id_Portador
                                    left join (SELECT Id, Titulo,Id_Categoria_Tipo_Pagamento FROM tipo_pagamento) as tipo_pagamento ON tipo_pagamento.Id = conta_receber.Id_Tipo_Pagamento
                                    left join (SELECT Id, Titular FROM conta) as banco ON banco.Id = conta_receber.Id_Conta
                                    left join (SELECT Id, Titulo FROM atividade) as atividade ON atividade.Id = conta_receber.Id_Atividade
                                    where 1=1
                                    $data $status $cliente $Unidade $Situacao $Cheque
                                    order by conta_receber.Data_Vencimento,
                                    conta_receber.Data_Pagamento,
                                    conta_receber.Lancamento ");


    $produto2 = mysqli_query($con, "SELECT distinct conta_pagar.Id,
                                    fornecedor.Titulo as 'Fornecedor',
                                    fornecedor.Razao_Social,
                                    fornecedor.Codigo,
                                    fornecedor.Cpf_Cnpj,
                                    conta_pagar.Lancamento,
                                    conta_pagar.Descricao,
                                    conta_pagar.Data_Vencimento,
                                    conta_pagar.Data_Emissao,
                                    conta_pagar.Data_Pagamento,
                                    conta_pagar.Valor_Original,
                                    conta_pagar.Valor_Pago,
                                    conta_pagar.Valor_Desconto,
                                    conta_pagar.Origem,
                                    conta_pagar.Fatura,
                                    conta_pagar.Status,
                                    conta_pagar.Id_Externo,
                                    tipo_pagamento.Titulo as 'Tipo_Pagamento',
                                    atividade.Titulo as 'Atividade',
                                    banco.Titular as Banco
                                    from conta_pagar
                                    left join (SELECT Id,Codigo,Titulo,Razao_Social,Id_Cidade,Estado,Cpf_Cnpj FROM fornecedor) as fornecedor ON fornecedor.Id = conta_pagar.Id_Fornecedor
                                    left join (SELECT Id, Titulo,Id_Categoria_Tipo_Pagamento FROM tipo_pagamento) as tipo_pagamento ON tipo_pagamento.Id = conta_pagar.Id_Tipo_Pagamento
                                    left join (SELECT Id, Titular FROM conta) as banco ON banco.Id = conta_pagar.Id_Conta
                                    left join (SELECT Id, Titulo FROM atividade) as atividade ON atividade.Id = conta_pagar.Id_Atividade
                                    where 1=1
                                    $data2 $status2 $cliente2 $Unidade2 $Situacao2 $Cheque2
                                    order by conta_pagar.Data_Vencimento,
                                    conta_pagar.Data_Pagamento,
                                    conta_pagar.Lancamento ");
}
?>
<html>

<head>
    <title>Gw - Gesto Web</title>
    <link rel="stylesheet" type="text/css" href="../estilo/<?php echo SKIN; ?>/tabelas.css" />
    <link rel="stylesheet" type="text/css" href="../js/datePicker/datePicker.css" />
    <link rel="stylesheet" type="text/css" href="../js/autocomplete/jquery.autocomplete.css" />
    <link rel="stylesheet" type="text/css" href="../js/autocomplete/lib/thickbox.css" />
    <link rel="stylesheet" type="text/css" href="../js/tablesorter/dist/css/theme.default.min.css">
    <script type="text/javascript" language="javascript" src="../js/jquery.js"></script>
    <?php include '../include/script_cabeca.php'; ?>
    <script type="text/javascript" language="javascript" src="../js/script.js"></script>
    <script type="text/javascript" language="javascript" src="../js/meiomask/meiomask.js"></script>
    <script type="text/javascript" language="javascript" src="../js/meiomask/<?php
                                                                                if (PAIS == "USA") {
                                                                                    echo "mascaras-usa";
                                                                                } else {
                                                                                    echo "mascaras";
                                                                                }
                                                                                ?>.js"></script>
    <script type="text/javascript" language="javascript" src="../js/autocomplete/lib/jquery.bgiframe.min.js"></script>
    <script type="text/javascript" language="javascript" src="../js/autocomplete/lib/jquery.ajaxQueue.js"></script>
    <script type="text/javascript" language="javascript" src="../js/autocomplete/lib/thickbox-compressed.js"></script>
    <script type="text/javascript" language="javascript" src="../js/autocomplete/jquery.autocomplete.js"></script>
    <script type="text/javascript" language="javascript" src="../js/tablesorter/dist/js/jquery.tablesorter.min.js">
    </script>
    <!-- required plugins -->
    <script language="javascript" type="text/javascript" src="../js/datePicker/<?php
                                                                                if (PAIS == "USA") {
                                                                                    echo "date";
                                                                                } else {
                                                                                    echo "date-pt";
                                                                                }
                                                                                ?>.js"></script>
    <script type="text/javascript" src="../js/datePicker/jquery.datePicker.js"></script>
    <script type="text/javascript" language="javascript">
    Date.firstDayOfWeek = 0;
    <?php
        if (PAIS == "USA") {
            echo "Date.format='mm/dd/yyyy';";
        } else {
            echo "Date.format='dd/mm/yyyy';";
        }
        ?>
    $(function() {
        $('.date-pick').datePicker({
            startDate: '01/01/1990'
        })
    });
    </script>
    <script type="text/javascript" language="javascript">
    $(document).ready(function() {
        $("#Cliente").autocomplete("busca_cliente.php", {
            width: 340,
            selectFirst: true,
            scroll: false,
            cacheLength: 100,
            max: 100
        });
    });
    </script>
    <style type="text/css">
    thead {
        display: table-header-group;
    }

    tfoot {
        display: table-footer-group;
    }

    table>thead {
        background-color: #A4D3EE;
    }
    </style>
</head>

<body>
    <table width="100%" height="400px">
        <!-- TABELA Q ENVOLVE TODO O CONTEUDO -->
        <tr>
            <td>
                <table width="100%">
                    <tr>
                        <td align="left">
                            <font face="verdana" size="2"><i><b>Relatrio de Contas a Receber/Pagar</b></i></font>
                        </td>
                        <td align="center">
                            <a href='imp_excel_financeiro_ers.php?<?php echo $_SERVER["QUERY_STRING"] ?>'
                                title="Excel"><img src="../imagem/excelG.png" border="0" alt="Excel"
                                    title="Excel" /></a>
                            <br />
                            <font face="verdana" size="2"><i>Excel</i></font>
                        </td>
                    </tr>
                </table>
            </td>
        </tr>
        <tr>
            <td>
                <form action="" method="get">
                    <table width="100%" class="busca_rel">
                        <tr class="azul">
                            <td>De<input type="text" name="De" id="De" class="date-pick" size="10"
                                    value="<?php echo $_GET["De"]; ?>"></td>
                            <td>At<input type="text" name="Ate" id="Ate" class="date-pick" size="10"
                                    value="<?php echo $_GET["Ate"]; ?>"></td>
                            <?php
                            if ($_GET['Data_Filtro'] == 'Vencimento') {
                                $Vencimento = 'checked';
                            } else if ($_GET['Data_Filtro'] == 'Pagamento') {
                                $Pagamento = 'checked';
                            } else if ($_GET['Data_Filtro'] == 'Emissao') {
                                $Emissao = 'checked';
                            } else {
                                $Vencimento = 'checked';
                            }
                            ?>
                            <td>
                                <input type="radio" name="Data_Filtro" value='Vencimento' id="Data_Filtro"
                                    <?php echo $Vencimento; ?>><label class="label_radio"
                                    for="Vencimento">Vencimento</label>
                                <input type="radio" name="Data_Filtro" value='Pagamento' id="Data_Filtro"
                                    <?php echo $Pagamento; ?>><label class="label_radio"
                                    for="Pagamento">Pagamento</label>
                                <input type="radio" name="Data_Filtro" value='Emissao' id="Data_Filtro"
                                    <?php echo $Emissao; ?>><label class="label_radio" for="Emissao">Emisso</label>
                            </td>
                            <td>
                                <?php
                                //se o sistema for Multi Empresa
                                if (MULTI_EMPRESA == "Sim") {

                                    //se o usuario for de gerente acima ele escolhe pra quem vai
                                    if (ESCOLHER_EMPRESA == 'Sim') {
                                ?>

                                <?php
                                        echo select_banco2(
                                            "SELECT Id,Titulo FROM unidade WHERE Ativo='Sim' ORDER BY Titulo",
                                            "Unidade",
                                            "Unidade",
                                            "Empresa",
                                            $_GET["Unidade"],
                                            'style="width:200px"',
                                            ""
                                        );
                                        ?>

                                <?php
                                        //se no for, a unidade sempre ser a sua
                                    } else {
                                        echo "<input type='hidden' name='Unidade' id='Unidade' value='" . $_SESSION["Unidade"] . "' >";
                                    }
                                } else {
                                    echo "<input type='hidden' name='Unidade' id='Unidade' value='" . $_SESSION["Unidade"] . "' >";
                                }
                                ?>
                            </td>
                        </tr>
                        <tr class="azul">
                            <td>
                                <?php
                                if (CLIENTE_RAZAO_SOCIAL == 'Sim') {
                                    $nome = 'Razao_Social';
                                } else {
                                    $nome = 'Titulo';
                                }

                                $Produt = listar("SELECT CONCAT(Codigo,' : ', " . $nome . ") as Titulo FROM cliente WHERE Id='" . $_GET['Cliente'] . "'");
                                $_GET["Cliente"] = $Produt[0]["Titulo"];
                                ?>
                                <label for="Cliente"><b> * Cdigo / Cliente :</b></label>
                                <input style="width: 220px; height: 20px;" type="text" id="Cliente" name="Cliente"
                                    value="<?php echo $_GET['Cliente']; ?>" />
                            </td>
                            <td>
                                <input type="checkbox" name="Liquidado" value="Liquidado"
                                    <?php if ($_GET["Liquidado"]) echo "checked='checked' "; ?>>Liquidado
                                <input type="checkbox" name="Aberto" value="Aberto"
                                    <?php if ($_GET["Aberto"]) echo "checked='checked' "; ?>>Aberto
                                <input type="checkbox" name="Cancelado" value="Cancelado"
                                    <?php if ($_GET["Cancelado"]) echo "checked='checked' "; ?>>Cancelado

                                <input type="hidden" value="<?php echo $_GET["Liquidado"]; ?>" name="Liquidado_Rel"
                                    id="Liquidado_Rel">
                                <input type="hidden" value="<?php echo $_GET["Aberto"]; ?>" name="Aberto_Rel"
                                    id="Aberto_Rel">
                                <input type="hidden" value="<?php echo $_GET["Cancelado"]; ?>" name="Cancelado_Rel"
                                    id="Cancelado_Rel">
                            </td>
                            <td>
                                <?php
                                echo select_banco2(
                                    "SELECT DISTINCT conta.Id, CONCAT(conta.Titular,' - ',conta.Nome_Banco,' - ag.',conta.Agencia,' - cc.',conta.Conta) as Titulo
                                            from conta
                                            order by Titulo",
                                    "Conta",
                                    "Conta",
                                    "Banco",
                                    $_POST["Conta"],
                                    'style="width:200px"',
                                    ""
                                );
                                ?>
                            </td>
                            <td>
                                <input type="submit" value="Ok" name="Ok">
                            </td>
                        </tr>
                    </table>
                </form>
            </td>
        </tr>
        <tr>
            <td>
                <table width="100%" class="tabela">
                    <thead>
                        <tr bgcolor="#A4D3EE">
                            <td>&nbsp;</td>
                            <td>Lan</td>
                            <td>Fatura</td>
                            <td>Descr</td>
                            <td>Cliente</td>
                            <td>Cpf/Cnpj</td>
                            <td>Banco</td>
                            <td>Atividade</td>
                            <td>Tipo Pag.</td>
                            <td>Emisso</td>
                            <td>Vencimento</td>
                            <td>Valor Original</td>
                            <td>Valor Desconto</td>
                            <td>Pagamento</td>
                            <td>Valor Pagamento</td>
                            <td>Status</td>
                            <td>Tipo</td>
                        </tr>
                    </thead>
                    <tbody>
                        <?php
                        if ($_GET["Ok"]) {
                            $tValor_Original = '0';
                            $tValor_Pago = '0';
                            $tValor_Desconto = '0';
                            $y = 1;
                            $contador = 1;
                            $color = "#F5F5F5";
                            while ($chave = mysqli_fetch_assoc($produto)) {
                                if ($color == "#F5F5F5") {
                                    $color = "#E8E8E8";
                                } else {
                                    $color = "#F5F5F5";
                                }

                                $corStatus = "";
                                if ($chave['Status'] == 'Liquidado') {
                                    $corStatus = "color = '#228B22' ";
                                }
                                if ($chave['Status'] == 'Aberto') {
                                    $corStatus = "color = '#3A5FCD' ";
                                }
                                if ($chave['Status'] == 'Cancelado') {
                                    $corStatus = "color = '#CD2626' ";
                                }

                            $posicao = strpos($chave["Fatura"],"-");
                            $posicao = $posicao >=0 ? $posicao : strpos($chave["Fatura"],"/");
    
                        ?>
                        <tr bgcolor=<?php echo "$color"; ?>>
                            <td><?php echo $contador ?></td>
                            <td><?php echo $chave["Lancamento"] ?></td>
                            <td><?php echo $posicao > 0 ? substr($chave["Fatura"],0,$posicao) : $chave["Fatura"]; ?></td>
                            <td><?php echo $chave["Descricao"] ?></td>
                            <td>
                                <?php
                                if (CLIENTE_RAZAO_SOCIAL == 'Sim') {
                                    echo $chave["Codigo"] . " : " . $chave["Razao_Social"];
                                } else {
                                    echo $chave["Codigo"] . " : " . $chave["Cliente"];
                                }
                                ?>
                            </td>
                            <td><?php echo cnpj_exibir($chave["Cpf_Cnpj"]) ?></td>
                            <td><?php echo ($chave["Banco"]) ?></td>
                            <td><?php echo $chave["Atividade"] ?></td>
                            <td><?php echo $chave["Tipo_Pagamento"] ?></td>
                            <td><?php echo data_exibir($chave["Data_Emissao"]) ?></td>
                            <td><?php echo data_exibir($chave["Data_Vencimento"]) ?></td>
                            <td><?php echo valor_exibir($chave["Valor_Original"]) ?></td>
                            <td><?php echo valor_exibir($chave["Valor_Desconto"]) ?></td>
                            <td><?php echo data_exibir($chave["Data_Pagamento"]) ?></td>
                            <td>
                                <?php
                                if ($chave['Status'] == 'Aberto') {
                                    echo '0,00';
                                } else {
                                    echo valor_exibir($chave['Valor_Pago']);
                                }
                                ?>
                            </td>
                            <td>
                                <font <?php echo $corStatus ?>>
                                    <b><?php echo $chave["Status"] ?></b>
                                </font>
                            </td>
                            <td>Receber</td>
                            <?php
                            if ($chave["Status"] == 'Aberto') {
                                $Valor_Aberto += $chave["Valor_Original"];
                            }
                            if ($chave["Status"] == 'Liquidado') {
                                $Valor_Liqu += $chave["Valor_Pago"];
                            }
                            if ($chave["Status"] == "Cancelado") {
                                $Valor_Can += $chave["Valor_Pago"];
                            }
                            ?>
                        </tr>
                        <?php
                                $y++;
                                $contador++;
                                $tValor_Original += $chave["Valor_Original"];
                                $tValor_Pago += $chave["Valor_Pago"];
                                $tValor_Desconto += $chave["Valor_Desconto"];
                            }
                        }
                        ?>
<!-- CONTA PAGAR -->
                        <?php
                        if ($_GET["Ok"]) {
                            $tValor_Original = '0';
                            $tValor_Pago = '0';
                            $tValor_Desconto = '0';
                            $y = 1;
                            $contador = 1;
                            $color = "#F5F5F5";
                            while ($chave = mysqli_fetch_assoc($produto2)) {
                                if ($color == "#F5F5F5") {
                                    $color = "#E8E8E8";
                                } else {
                                    $color = "#F5F5F5";
                                }

                                $corStatus = "";
                                if ($chave['Status'] == 'Liquidado') {
                                    $corStatus = "color = '#228B22' ";
                                }
                                if ($chave['Status'] == 'Aberto') {
                                    $corStatus = "color = '#3A5FCD' ";
                                }
                                if ($chave['Status'] == 'Cancelado') {
                                    $corStatus = "color = '#CD2626' ";
                                }

                            $posicao = strpos($chave["Fatura"],"-");
                            $posicao = $posicao >=0 ? $posicao : strpos($chave["Fatura"],"/");

                        ?>
                        <tr bgcolor=<?php echo "$color"; ?>>
                            <td><?php echo $contador ?></td>
                            <td><?php echo $chave["Lancamento"] ?></td>
                            <td><?php echo $posicao > 0 ? substr($chave["Fatura"],0,$posicao) : $chave["Fatura"]; ?></td>
                            <td><?php echo $chave["Descricao"] ?></td>
                            <td>
                                <?php
                                if (CLIENTE_RAZAO_SOCIAL == 'Sim') {
                                    echo $chave["Codigo"] . " : " . $chave["Razao_Social"];
                                } else {
                                    echo $chave["Codigo"] . " : " . $chave["Cliente"];
                                }
                                ?>
                            </td>
                            <td><?php echo cnpj_exibir($chave["Cpf_Cnpj"]) ?></td>
                            <td><?php echo ($chave["Banco"]) ?></td>
                            <td><?php echo $chave["Atividade"] ?></td>
                            <td><?php echo $chave["Tipo_Pagamento"] ?></td>
                            <td><?php echo data_exibir($chave["Data_Emissao"]) ?></td>
                            <td><?php echo data_exibir($chave["Data_Vencimento"]) ?></td>
                            <td><?php echo valor_exibir($chave["Valor_Original"]) ?></td>
                            <td><?php echo valor_exibir($chave["Valor_Desconto"]) ?></td>
                            <td><?php echo data_exibir($chave["Data_Pagamento"]) ?></td>
                            <td>
                                <?php
                                if ($chave['Status'] == 'Aberto') {
                                    echo '0,00';
                                } else {
                                    echo valor_exibir($chave['Valor_Pago']);
                                }
                                ?>
                            </td>
                            <td>
                                <font <?php echo $corStatus ?>>
                                    <b><?php echo $chave["Status"] ?></b>
                                </font>
                            </td>
                            <td>Pagar</td>
                            <?php
                            if ($chave["Status"] == 'Aberto') {
                                $Valor_Aberto += $chave["Valor_Original"];
                            }
                            if ($chave["Status"] == 'Liquidado') {
                                $Valor_Liqu += $chave["Valor_Pago"];
                            }
                            if ($chave["Status"] == "Cancelado") {
                                $Valor_Can += $chave["Valor_Pago"];
                            }
                            ?>
                        </tr>
                        <?php
                                $y++;
                                $contador++;
                                $tValor_Original += $chave["Valor_Original"];
                                $tValor_Pago += $chave["Valor_Pago"];
                                $tValor_Desconto += $chave["Valor_Desconto"];
                            }
                        }
                        ?>
                    </tbody>
                </table>
            </td>
        </tr>
        <tr>
            <td>
                <div id="div_resposta"></div>
            </td>
        </tr>
    </table>
    <br>
    <!-- INICIO DA TELA MODAL ENVIO DE EMAIL-->
    <!-- No css existe um estilo para essas divs que as deixa invisivel - display:none; -->
    <?php include_once "../include/email_tabela.php"; ?>
    <!-- FIM DA TELA MODAL ENVIO DE EMAIL-->
</body>

</html>