<?php
include_once '../../include/conecta.php'; //Conecta com a nosso banco de dados MySQL
include_once '../../include/ver_sessao.php'; //Verifica se a sesso est ativa
include_once '../../include/funcoesPhp.php'; include_once '../../menu_movimento.php';


function data_exibirtxt($data){
	if (trim($data)!=''){
		$ano = substr($data,0,4);
		$mes = substr($data,5,2);
		$dia = substr($data,8,2);
		return $dia.$mes.$ano;
	}
}

function sequencial($i)
{
    if($i < 10)
    {
        return zeros(0,5).$i;
    }
    else if($i >= 10 && $i < 100)
    {
        return zeros(0,4).$i;
    }
    else if($i >= 100 && $i < 1000)
    {
        return zeros(0,3).$i;
    }
    else if($i >= 1000 && $i < 10000)
    {
        return zeros(0,2).$i;
    }
    else if($i >= 10000 && $i < 100000)
    {
        return zeros(0,1).$i;
    }
}

function zeros($min,$max)
{
    $zeros = '';
    $x = ($max - strlen($min));
    for($i = 0; $i < $x; $i++)
    {
        $zeros .= '0';
    }
    return $zeros.$min;
}

function complementoRegistro($int,$tipo)
{
    if($tipo == "zeros")
    {
        $space = '';
        for($i = 1; $i <= $int; $i++)
        {
            $space .= '0';
        }
    }
    else if($tipo == "brancos")
    {
        $space = '';
        for($i = 1; $i <= $int; $i++)
        {
            $space .= ' ';
        }
    }

    return $space;
}

ob_start();

$quebradelinha=chr(13).chr(10);

//9 - Numrico
//X - Alfanumrico
//Exemplos:
//9(005) = 00015
//9(003)V99 = 06015
//X(020) = JOAO


//produtos da compras
$produto = mysqli_query($con,"SElECT produto.Codigo,
                        produto.Descricao,
                        produto.Ncm,
                        produto.Medida,
                        produto.Peso_Bruto
                        FROM compra
                        LEFT JOIN (SELECT Id,Id_Produto,Id_Compra FROM compra_produto) as compra_produto ON compra_produto.Id_Compra = compra.Id
                        LEFT JOIN (SELECT Id,Codigo,Descricao,Ncm,Medida,Peso_Bruto FROM produto) as produto ON produto.Id = compra_produto.Id_Produto
                        WHERE compra.Data_Compra >= '".data_banco($_GET["De"])." 00:00:00' 
                        AND compra.Data_Compra <= '".data_banco($_GET["Ate"])." 23:59:59'
                        AND venda.Id_Unidade = '".$_GET["Unidade"]."'
                        GROUP BY compra_produto.Id_Produto
                        ORDER BY produto.Codigo ");

$y='1';
while($iten = mysqli_fetch_assoc($produto)){

echo str_pad($iten["Codigo"], 10,"0", STR_PAD_LEFT);
echo str_pad($iten["Descricao"], 40," ", STR_PAD_RIGHT);
echo str_pad($iten["Ncm"], 8,"0", STR_PAD_LEFT);
echo str_pad($iten["Medida"], 4," ", STR_PAD_RIGHT);

$iten["Peso_Bruto"]=  number_format($iten["Peso_Bruto"],3,",",".");
$iten["Peso_Bruto"]=str_replace('.','',$iten["Peso_Bruto"]);
$iten["Peso_Bruto"]=str_replace(',','',$iten["Peso_Bruto"]);
echo str_pad($iten["Peso_Bruto"], 9,"0", STR_PAD_LEFT);
echo str_pad($iten["Codigo"], 15," ", STR_PAD_RIGHT);
echo "99";
echo complementoRegistro(5,"brancos");
echo sequencial($y);

echo $quebradelinha;

$y++;

}



$pagina = ob_get_contents();
ob_end_clean();
//echo utf8_encode($pagina);
// Abre ou cria o arquivo bloco1.txt
// "a" representa que o arquivo  aberto para ser escrito
$fp = fopen("ITEM_TEMP.TXT", "w");

// Escreve "exemplo de escrita" no bloco1.txt
$escreve = fwrite($fp, $pagina);

// Fecha o arquivo
$finaliza = fclose($fp);

$aquivoNome = "ITEM_TEMP.TXT"; // nome do arquivo que ser enviado p/ download
$arquivoLocal = $aquivoNome; // caminho absoluto do arquivo

// Definimos o novo nome do arquivo
$novoNome = "ITEM.TXT";

// Configuramos os headers que sero enviados para o browser
header('Content-Description: File Transfer');
header('Content-Disposition: attachment; filename="'.$novoNome.'"');
header('Content-Type: application/octet-stream');
header('Content-Transfer-Encoding: binary');
header('Content-Length: ' . filesize($aquivoNome));
header('Cache-Control: must-revalidate, post-check=0, pre-check=0');
header('Pragma: public');
header('Expires: 0');

// Envia o arquivo para o cliente
readfile($aquivoNome);

//copiando e deletando o arquivo
//$origem = 'arquivo.txt';
//$destino = 'pasta/example.txt';
//copy($origem, $destino);
unlink($arquivoLocal);
?>