<?php
error_reporting(false);

define('PAIS', 'BRA');

include 'include/funcoesPhp.php'; //Inclue a pgina con todas as funes a ser usada.
//INDEX PARA A TELA DE CHAMADOS / LIMAX
if ($_SERVER['REQUEST_METHOD'] == "POST") {

    include 'include/conecta.php'; //Conecta com o banco de dados MySQL
    include 'include/pega_mobile.php'; //IF pra pegar mobile

    if ($_POST["Natureza"] == "PF") {
        $Cpf_Cnpj = $_POST["Cpf"];
    } else {
        $Cpf_Cnpj = $_POST["Cnpj"];
    }

    $Cpf_Cnpj = CaracteresEspeciais($Cpf_Cnpj, "Sim");

    $_POST['Senha'] = mysqli_real_escape_string($con,$_POST['Senha']);

    if (trim($Cpf_Cnpj)) {

        if ((CLIENTE_EMAIL == 'coffeebar') || (CLIENTE_EMAIL == 'spw')) {
            $sist = " AND Senha_Site = '" . $_POST['Senha'] . "' ";
        }

        /* PUXA TODOS OS DADOS PARA INICIAR A SESSAO */
        $sql = mysqli_query($con,"SELECT cliente.Id,
                                cliente.Titulo,
                                cliente.Email,
                                cliente.Cpf_Cnpj,
                                cliente.Natureza,
                                cliente.Razao_Social
				FROM cliente
				WHERE
                                cliente.Cpf_Cnpj = '" . $Cpf_Cnpj . "'
                                $sist
				AND cliente.Ativo = 'Sim' ");

        if (mysqli_num_rows($sql) > 0) {
            session_start(); //Inicializa uma sesso
            $verUsuario = mysqli_fetch_assoc($sql);
            $_SESSION["Id_Cliente"] = $verUsuario["Id"];
            $_SESSION["Titulo_Cliente"] = $verUsuario["Titulo"];
            $_SESSION["Email_Cliente"] = $verUsuario["Email"];
            $_SESSION["Cpf_Cnpj_Cliente"] = $verUsuario["Cpf_Cnpj"];
            $_SESSION["Natureza_Cliente"] = $verUsuario["Natureza"];
            $_SESSION["Razao_Social_Cliente"] = $verUsuario["Razao_Social"];
            $_SESSION["Sistema"] = CLIENTE_EMAIL;
            $_SESSION["Tipo"] = "Chamado";
            //seto para nao sair na ver_sessao
            $_SESSION["Login"] = "1";
            $_SESSION["Senha"] = "1";


            header("Location:principal.php"); //Redireciono para a pgina de opes
        } else {
            $msg = 'Cnpj ou Senha no conferem';
        }
    } else {
        $msg = 'Necessrio o Preenchimento';
    }
}
?>
<!DOCTYPE html>
<html lang="en">
<head>
    <title>Limax - Acesso Exclusivo de Clientes</title>
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <link href="http://www.limax.com.br/assets/site/img/favicon.ico" rel="shortcut icon" type="image/ico" />
    <link rel="stylesheet" href="limax_login/css/style_site.css" >
    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.4.1/css/bootstrap.min.css" integrity="sha384-Vkoo8x4CGsO3+Hhxv8T/Q5PaXtkKtu6ug5TOeNV6gBiFeWPGFN9MuhOf23Q9Ifjh" crossorigin="anonymous">
    <script src="https://code.jquery.com/jquery-3.4.1.slim.min.js" integrity="sha384-J6qa4849blE2+poT4WnyKhv5vZF5SrPo0iEjwBvKU7imGFAV0wwj1yYfoRSJoZ+n" crossorigin="anonymous"></script>
    <script src="https://cdn.jsdelivr.net/npm/popper.js@1.16.0/dist/umd/popper.min.js" integrity="sha384-Q6E9RHvbIyZFJoft+2mJbHaEWldlvI9IOYy5n3zV9zzTtmI3UksdQRVvoxMfooAo" crossorigin="anonymous"></script>
    <script src="https://stackpath.bootstrapcdn.com/bootstrap/4.4.1/js/bootstrap.min.js" integrity="sha384-wfSDF2E50Y2D1uUdj0O3uMBJnjuUD4Ih7YwaYd1iqfktj0Uod8GCExl3Og8ifwB6" crossorigin="anonymous"></script>
</head>
	<body>
		<div class="container align-middle" id="login">
			<div class="row" id="login">
				<div class="col">
					<img src="limax_login/img/logo-limax.png" alt="" class="imagem">
				</div>				
			</div>
			<div class="row" style="padding-top: 20px;">
				<div class="col text-center">
					<h4>rea do Cliente</h4>
				</div>				
			</div>
			<div class="row">
				<div class="col">
					<form name="formLogin" method="post" action="">
						<label for="Natureza">Tipo</label>
						<select name='Natureza' id='Natureza'  class="form-control" onchange='PfPj(this.value);'>
							<option value='PJ'>&nbsp;&nbsp; PJ &nbsp;&nbsp;</option>
							<option value='PF'>&nbsp;&nbsp; PF &nbsp;&nbsp;</option>
						</select>                                           
						<div style="display:none" id="P_F">
							<label for="Cpf">CPF</label>
							<input type="text" name="Cpf" id="Cpf" value="" class="input form-control">
						</div>
						<div style="display:block" id="P_J">
							<label for="Cnpj">CNPJ</label>
							<input type="text" name="Cnpj" id="Cnpj" value="" class="input form-control">
						</div>
						<input type="submit" name="entrar" value="Entrar" id="entrar" class="btn btn-success btn-lg btn-block">
					</form>
				</div>
			</div>

			<div class="row" style="margin-top: 20px;">
				<div class="col text-center">
					<h5>Dvidas</h5>
					<h6>contato@limax.com.br</h6>
					<h6>www.limax.com.br</h6>
				</div>
			</div>
			<div class="row" style="margin: 20px 0px;">
				<div class="col text-center">
					<a href="https://www.pontti.com.br/site/" target="_blank">
					<img src="limax_login/img/pontti.png" >
					</a>
				</div>
			</div>
		</div>

	</body>
	<script type="text/javascript" language="javascript" src="js/jquery.js"></script>
        <script type="text/javascript" language="javascript" src="js/script.js"></script>
        <script type="text/javascript" language="javascript" src="js/meiomask/meiomask.js"></script>
	<script type="text/javascript" language="javascript" >
            $(document).ready(function() {
                $("#Cnpj").focus();
            });
        </script>
        <script type="text/javascript" language="javascript" >
            $(document).ready(function() {
                $('input[name="Cpf"]').setMask('cpf'); // cpf
                $('input[name="Cnpj"]').setMask('cnpj'); // cnpj
            });
        </script>
</html>