<?php
namespace Bling\App\Config\Http;
use Bling\App\Config\Errors\ErroValidacao;

/**
 * @var string $type
 * @var string $message
 * @var string $description
 * @var ?ErroValidacao[] $fields 
 */
class ApiError {
    public $type;
    public $message;
    public $description;
    public $fields;
}

class Api {
    private static $urlBase = "https://www.bling.com.br/Api/";
    private static $versao;

    public static function getUrl() {
        if(!self::$versao) {
            self::$versao = "v3";
        }
        return self::$urlBase.self::$versao;
    }
}
?>