<?php
namespace Bling\App\Config\Utils;

class Numero {
    public static function cortar(float $numero, int $qtdCasasDecimais): float {
        $posicaoPonto = strpos("$numero", ".");
        if($posicaoPonto !== false) {
            $numero = substr("$numero", 0, $posicaoPonto + $qtdCasasDecimais);
        }
        return (float)$numero;
    }

    public static function arredondar(float $numero, int $qtdCasasDecimais, $separadorDecimal = ".", $separadorMilhar = "") {
        return number_format($numero, $qtdCasasDecimais, $separadorDecimal, $separadorMilhar);
    }
}
?>