<?php
namespace Bling\App\Model;

use Bling\App\Model\Estoque;
use Bling\App\Model\Type\Product\MidiaProduto;
use Bling\App\Model\Type\Product\Dimensao;
use Bling\App\Model\Produto;
use Bling\App\Model\CategoriaPaiProduto;
use Bling\App\Model\Tributacao;
use Bling\App\Model\Type\Product\LinhaProduto;
use Bling\App\Model\Type\Product\EstruturaProduto;
use Bling\App\Model\Type\Product\CampoCustomizadoProduto;
use Bling\App\Model\Type\Product\VariacaoProduto;

class ProdutoFilho Extends Produto {
    public $variacao;

    public function __construct(string $nome, string $tipo, string $situacao, string $formato, string $descricao = null, MidiaProduto $midia,
        float $pesoBruto, Dimensao $dimensoes, string $marca, string $gtin, int $idFabricante, string $descricaoFornecedor, VariacaoProduto $variacao,
        ?string $codigo = null, ?float $preco = null, ?CategoriaPaiProduto $categoria = null, ?Estoque $estoque = null, ?string $unidade = null,
        ?bool $freteGratis = null, ?float $pesoLiquido = null, ?string $condicao = null, ?string $observacoes = null, ?float $volumes = null,
        ?float $itensPorCaixa = null, ?string $dataValidade = null, ?string $descricaoComplementar = null, ?string $gtinEmbalagem = null,
        ?string $tipoProducao = null, ?Tributacao $tributacao = null, ?array $variacoes = null, ?string $actionEstoque = null, ?string $linkExterno = null,
        ?LinhaProduto $linhaProduto = null, ?EstruturaProduto $estrutura = null, ?CampoCustomizadoProduto $camposCustomizados = null)
    {
        parent::__construct(
            $nome,
            $tipo,
            $situacao,
            $formato,
            $descricao,
            $midia,
            $pesoBruto,
            $dimensoes,
            $marca,
            $gtin,
            $idFabricante,
            $descricaoFornecedor,
            $codigo,
            $preco,
            $categoria,
            $estoque,
            $unidade,
            $freteGratis,
            $pesoLiquido,
            $condicao,
            $observacoes,
            $volumes,
            $itensPorCaixa,
            $dataValidade,
            $descricaoComplementar,
            $gtinEmbalagem,
            $tipoProducao,
            $tributacao,
            $variacoes,
            $actionEstoque,
            $linkExterno,
            $linhaProduto,
            $estrutura,
            $camposCustomizados
        );
        $this->variacao = $variacao;
    }
}
?>