<?php
namespace Bling\App\Model\Type\Product;

class ProdutoComponenteProduto {
    public $id;

    public function __construct(int $id) {
        $this->id = $id;
    }
}

class ComponenteProduto {
    public $produto;
    public $quantidade;

    public function __construct(ProdutoComponenteProduto $produto, float $quantidade) {
        $this->produto = $produto;
        $this->quantidade = $quantidade;
    }
}

class EstruturaProduto {
    public $tipoEstoque;
    public $lancamentoEstoque;
    public $componentes;

    /**
     * @var string $tipoEstoque F - Físico | V - Virtual
     * @var string $lancamentoEstoque P - Produto | M - Componente | A - Produto e Componente
     * @var ComponenteProduto[] $componentes
     */
    public function __construct(string $tipoEstoque, string $lancamentoEstoque, array $componentes) {
        $this->tipoEstoque = $tipoEstoque;
        $this->lancamentoEstoque = $lancamentoEstoque;
        $this->componentes = $componentes;
    }
    
}
?>