<?php
namespace Bling\App\Model\Type\Product;

class FiltroDeposito {
    public $pagina;
    public $limite;
    public $descricao;
    public $situacao;

    /**
     * @param ?string $situacao 0- Inativo | 1- Ativo
     * 
     */
    public function __construct(int $pagina, ?int $limite = null, ?string $descricao = null, ?string $situacao = null) {
        $this->pagina = $pagina;
        $this->limite = $limite;
        $this->descricao = $descricao;
        $this->situacao = $situacao;
    }

    public function toUrlEncode() {
        $qtdParametrosInseridos = 0;
        $queryParams = "";

        foreach($this as $chave => $valor) {
            if($valor !== null) {
                $queryParams .= $qtdParametrosInseridos == 0 ? "?$chave=$valor" : "&$chave=$valor";
                $qtdParametrosInseridos++;
            }
        }
        return $queryParams;
    }
}
?>