<?php

namespace Bling;

class CarregaModelo
{
    public static function arquivos(string $diretorio)
    {
        $path = "$diretorio/app/model";
        $diretorios = dir($path);
        $arquivos = [];
        $tipos = [];

        while (($diretorio = $diretorios->read()) !== false) {
            if ($diretorio != "." && $diretorio != "..") {
                if (is_file("$path/$diretorio")) {
                    array_push($arquivos, "$path/$diretorio");
                } else {
                    $subdiretorios = dir("$path/$diretorio");

                    while (($subdiretorio = $subdiretorios->read()) !== false) {
                        $subdiretorio2 = dir("$path/$diretorio/$subdiretorio");

                        if ($subdiretorio != '.' && $subdiretorio != '..') {
                            while (($arquivo = $subdiretorio2->read()) !== false) {
                                if ($arquivo != '.' && $arquivo != '..') {
                                    array_push($tipos, "$path/$diretorio/$subdiretorio/$arquivo");
                                }
                            }
                        }
                    };
                }
            }
        }
        $diretorios->close();
        sort($arquivos);
        foreach ($tipos as $tipo) {
            array_push($arquivos, $tipo);
        }
        return $arquivos;
    }
}
