<?php
namespace LojaVirtual\App\Config;

use Throwable;

class ErroLoja
{
    private $throwable;
    public function __construct(Throwable $throwable)
    {
        global $ambiente;
        $this->throwable = $throwable;

        error_log($throwable->getMessage());

        if($ambiente == "Desenvolvimento") {
            die($this->exibirErro());
        }
        die("Erro na loja virtual.");
    }

    private function exibirErro()
    {
        $tracos = $this->throwable->getTrace();
        echo "<pre>";
        var_dump([
            "erro"=> $this->throwable->getMessage(),
            "arquivo"=> $tracos[0]["file"],
            "linha"=> $tracos[0]["line"],
            "origem"=> "{$tracos[0]['class']}{$tracos[0]['type']}{$tracos[0]['function']}"
        ]);
        echo "</pre>";
    }
}