<?php
namespace LojaVirtual\App\Model\Pagamento;

class ProcessamentoPagamento
{
    public $id;
    public $idInternoTipoPagamento;
    public $valorPago;
    public $status;
    public $dataCriacao;
    public $dataAprovacao;
    public $dataPagamentoInterno;
    public $tipoPagamento;
    public $valorTaxa;
    public $quantidadeParcelas;
    public $valorParcela;
    public $transacao;
    
    /**
     * Summary of __construct
     * @param string|int $id
     */
    public function __construct($id, int $idInternoTipoPagamento, float $valorPago, string $status, string $dataCriacao, string $dataAprovacao, string $dataPagamentoInterno,
        float $valorTaxa, int $quantidadeParcelas, float $valorParcela, string $tipoPagamento, ?object $transacao = null
    )
    {
        $this->id = $id;
        $this->idInternoTipoPagamento = $idInternoTipoPagamento;
        $this->valorPago = $valorPago;
        $this->status = $status;
        $this->dataCriacao = $dataCriacao;
        $this->dataAprovacao = $dataAprovacao;
        $this->dataPagamentoInterno = $dataPagamentoInterno;
        $this->valorTaxa = $valorTaxa;
        $this->quantidadeParcelas = $quantidadeParcelas;
        $this->valorParcela = $valorParcela;
        $this->tipoPagamento = $tipoPagamento;
        $this->transacao = $transacao;
    }
}