<?php
namespace LojaVirtual\App\Model;

use LojaVirtual\App\Config\Database\BancoDados;
use PDO;

class TipoPagamento
{
    public $id;
    public $nome;

    public function __construct(int $id, string $nome)
    {
        $this->id = $id;
        $this->nome = $nome;
    }

    public static function buscarTodos()
    {
        $consultarTiposPagamento = BancoDados::consultar(
            "SELECT Id, Titulo FROM tipo_pagamento WHERE Ativo = ? AND Site = ?",
            ["Sim", "Sim"]
        );
        $getTiposPagamento = $consultarTiposPagamento->fetchAll(PDO::FETCH_OBJ);

        $tiposPagamento = [];
        foreach ($getTiposPagamento as $tipoPagamento) {
            $tiposPagamento[] = new TipoPagamento((int)$tipoPagamento->Id, $tipoPagamento->Titulo);
        }
        return $tiposPagamento;
    }
}