<?php
namespace LojaVirtual\App\Rotas;

use LojaVirtual\App\Config\AuthMiddleware;
use LojaVirtual\App\Config\Rota;
use LojaVirtual\App\Controller\PedidoController;

class RotasPedidos
{
    public function __construct(Rota $rota)
    {
        $rota->post('/pedidos', function($rota){AuthMiddleware::validate($rota);}, function($rota) {
            PedidoController::cadastrarPedido($rota);
        });
        $rota->get('/pedidos/tiposPagamento', null, function($rota) {
            PedidoController::tiposPagamento();
        });
        $rota->post('/pedidos/frete', null, function($rota) {
            PedidoController::valoresFrete($rota);
        });
    }
}