<?php
namespace Sicacred\App\Model\Integration;

class SicaFmp {
    public $COD_FMP;
    public $NOM_FMP;

    /**
     * @param string $COD_FMP Codigo da Forma de Pagamento e/ou Tipo de Documento no SICA. (AV-CH-CD-DP-NP-CA-BL-DB-CT)
     * @param string $NOM_FMP Nome da Forma de Pagamento e/ou Tipo de Documento
     */
    public function __construct(string $COD_FMP, string $NOM_FMP) {
        $this->COD_FMP = substr($COD_FMP, 0, 2);
        $this->NOM_FMP = substr($NOM_FMP, 0, 30);
    }
}
?>