<?php
namespace Sicacred\App\Model\Integration;

class SicaPrm {
    public $CODFONTE;
    public $CodGrpEmp;
    public $DT_ATU;
    public $DT_INI;
    public $DT_FIM;

    /**
     * @param string $CODFONTE Codigo fonte da empresa
     * @param string $CodGrpEmp Codigo do grupo da empresa
     * @param string $DT_ATU Data da ultima atualizacao
     * @param string $DT_INI Data inicial do filtro ultilizado
     * @param string $DT_FIM Data final do filtro ultilizado, geralmente mesma data de atualizacao
     */
    public function __construct(string $CODFONTE, int $CodGrpEmp, string $DT_ATU, string $DT_INI, string $DT_FIM) {
        $this->CODFONTE = substr($CODFONTE, 0, 7);
        $this->CodGrpEmp = $CodGrpEmp;
        $this->DT_ATU = substr($DT_ATU, 0, 10);
        $this->DT_INI = substr($DT_INI, 0, 10);
        $this->DT_FIM = substr($DT_FIM, 0, 10);
    }
}