<?php
include_once '../include/conecta.php'; //Conecta com a nosso banco de dados MySQL
include_once '../include/ver_sessao.php'; //Verifica se a sesso est ativa
include_once '../include/funcoesPhp.php'; include_once '../menu_movimento.php';
?>
<html>
<head>
<title>Gw - Gesto Web</title>
<link rel="stylesheet" type="text/css" href="../estilo/<?php echo SKIN ;?>/tableless.css" />
<link rel="stylesheet" type="text/css" href="../estilo/<?php echo SKIN ;?>/tabela_imp.css" />
<style type="text/css">
    thead { display: table-header-group; }
    tfoot { display: table-footer-group; }
</style>
<?php include 'cabecalho.php'; ?>
</head>
<body>
<?php

    $sql_inventario = mysqli_query($con,"SELECT funcionario.Titulo as Responsavel,
                                    inventario.Status,
                                    DATE_FORMAT(inventario.Data_Cadastro, '%d/%m/%Y - %H:%i:%s') as Data_Cadastro
                                    FROM inventario
                                    LEFT JOIN (SELECT Id,Id_Funcionario FROM usuario) as usuario ON usuario.Id = inventario.Id_Usuario
                                    LEFT JOIN (SELECT Id,Titulo FROM funcionario) as funcionario ON funcionario.Id = usuario.Id_Funcionario
                                    WHERE inventario.Id='".$_GET["id_inventario"]."'")
    or die("ERRO no comando SQL:".mysqli_error($con));
    $array_inventario = mysqli_fetch_assoc($sql_inventario);

    $data_cadastro = $array_inventario["Data_Cadastro"];
    $responsavel   = $array_inventario["Responsavel"];
    $status        = $array_inventario["Status"];

?>
<?php
//se o status estiver aberto eu seto a variavel. Se no eu deixo a tabela original
//tabela mexida no select de baixo. inventario_produto ou inventario_produto_temp
if($status == "Aberto"){
    $tabela_produto = "inventario_produto_temp";
}else{
    $tabela_produto = "inventario_produto";
}

?>
    <fieldset class="envolve">
        
    <table width="100%">
            <tr>
                <td align="center">
                    Data : <b><?php echo $data_cadastro ?></b>
                </td>
                <td align="center">
                    Responsvel : <b><?php echo $responsavel ?></b>
                </td>
            </tr>
    </table>

<table width="100%" class="tabela">
    <tbody>

<tr class="azul-claro">
    <td>Cdigo</td>
    <td>Produto</td>
    <!--
    <td>Qtd</td>
    -->
    <td>Qtd Atual</td>
    <!--
    <td>Diferena</td>
    -->
    <td>Lote</td>
    <td>Validade</td>
    <td>Fabricao</td>
    <td>Custo</td>
    <td>Custo Total</td>
    <td>Categoria</td>
    <td>Local Estoque</td>
    <td>Unidade</td>
</tr>
	<?php
$prod = mysqli_query($con,"Select Id_Produto,
                    produto.Titulo as Nome_Produto,
                    produto.Codigo,
                    categoria_produto.Titulo as Categoria,
                    $tabela_produto.Qtd_Atual,
                    $tabela_produto.Qtd,
                    $tabela_produto.Diferenca,
                    $tabela_produto.Preco_Custo,
                    $tabela_produto.Lote,
                    $tabela_produto.Data_Validade,
                    $tabela_produto.Data_Fabricacao,
                    unidade.Titulo as Unidade,
                    local_estoque.Titulo as Local_Estoque
                    from $tabela_produto
                    LEFT JOIN (SELECT Id,Titulo,Codigo,Id_Categoria_Produto FROM produto) as produto ON produto.Id = $tabela_produto.Id_Produto
                    LEFT JOIN (SELECT Id,Titulo FROM categoria_produto) as categoria_produto ON produto.Id_Categoria_Produto = categoria_produto.Id
                    inner join (SELECT Id,Titulo FROM unidade) as unidade ON unidade.Id = $tabela_produto.Id_Unidade
                    LEFT join (SELECT Id,Titulo FROM local_estoque) as local_estoque ON local_estoque.Id = $tabela_produto.Id_Local_Estoque
                    where 1=1
                    and $tabela_produto.Id_Inventario = '".$_GET["id_inventario"]."'
                    order by $tabela_produto.Id_Local_Estoque,produto.Titulo ");

		$color = "#F5F5F5";
                $tCusto='0';
                $x=0;
                while($valor = mysqli_fetch_assoc($prod)){
		if ($color == "#F5F5F5") {
			$color = "#E8E8E8";
		} else {
			$color = "#F5F5F5";
		}
	?>
	<tr bgcolor=<?php echo "$color"; ?> >
                
                <td><?php echo $valor["Codigo"]?></td>
		<td><?php echo $valor["Nome_Produto"]?></td>
                <!--
                <td><?php echo $valor["Qtd_Atual"]?></td>
                -->
                <td><?php echo $valor["Qtd"]?></td>
                <!--
                <td><?php echo $valor["Diferenca"]?></td>
                -->
                <td><?php echo $valor["Lote"]?></td>
                <td><?php echo data_exibir($valor["Data_Validade"])?></td>
                <td><?php echo data_exibir($valor["Data_Fabricacao"])?></td>
                <td><?php echo valor_exibir($valor["Preco_Custo"])?></td>
                <td><?php echo valor_exibir($valor["Preco_Custo"]*$valor["Qtd"])?></td>
                <td><?php echo $valor["Categoria"]?></td>
                <td><?php echo $valor["Local_Estoque"]?></td>
                <td><?php echo $valor["Unidade"]?></td>
	</tr>

	<?php
        $x++;
        $qtd_total+=$valor["Qtd"];
        $tCusto+= ($valor["Preco_Custo"]*$valor["Qtd"]);
        }
        ?>

 </tbody>
<tr>
    <td><?php echo $x; ?></td>
    <td>Total</td>
    <td><?php echo $qtd_total; ?></td>
    <td colspan="4"></td>
    <td><?php echo valor_exibir($tCusto) ?></td>
    <td colspan="3">&nbsp;</td>
 </tr>
 
</table>
            
<br/>
<button class="botao_novo" type="button" value="Voltar" onclick="location.href='list_inventario.php';">Voltar</button>

</fieldset>

<?php
if($_GET['id_inventario']){
$tabela_criacao = "inventario";
$id_corrente = $_GET['id_inventario'];
include "../include/script_criacao.php";
/* ARQUIVO ONDE MOSTRA QUEM CRIOU E QUEM ATUALIZOU*/
}
?>
<div id="retorno"></div>
<?php include "../include/rodape.php";?>