function onbutton(){
    $('#btnSubmit').removeAttr('disabled');
    $("#btnSubmit").css('cursor', 'pointer');
}
function disableButton(){
    $("#btnSubmit").attr('disabled', true);
    $("#btnSubmit").css('cursor', 'not-allowed');
}

$(document).ready(function(){
    $("#btnSubmit").click(function(){
        setTimeout(function(){
            disableButton();
        },0);

    $('input,textarea,select').filter('[required]:visible').each(function() {
        if($(this).val()===''){
            setTimeout(function(){
                onbutton();
            },0);
        }
    });

    });
    
//buscando o endereo por cep
$("#Cep").blur(function() {

    var Rua = $("#Rua").val();
    
    //Nova varivel "cep" somente com dgitos.
    var cep = $(this).val().replace(/\D/g, '');

    if (Rua == '') {

    //Verifica se campo cep possui valor informado.
    if (cep != "") {

        //Expresso regular para validar o CEP.
        var validacep = /^[0-9]{8}$/;

        //Valida o formato do CEP.
        if(validacep.test(cep)) {

            //Preenche os campos com "..." enquanto consulta webservice.
            $("#Rua").val("...");
            $("#Bairro").val("...");
            $("#Cidade").val("...");
            $("#Estado").val("...");
            $("#Ibge").val("...");

            //Consulta o webservice viacep.com.br/
            $.getJSON("https://viacep.com.br/ws/"+ cep +"/json/?callback=?", function(dados) {

                if (!("erro" in dados)) {
                    //Atualiza os campos com os valores da consulta.
                    //$("#Cep").val(dados.cep);
                    $("#Rua").val(dados.logradouro);
                    $("#Complemento").val(dados.complemento);
                    $("#Bairro").val(dados.bairro);
                    $("#Cidade").val(dados.localidade);
                    $("#Estado").val(dados.uf);
                    $("#Ibge").val(dados.ibge);
                    
                    $("#Numero").focus();
                } else {
                    alert("CEP no encontrado.");//CEP pesquisado no foi encontrado.
                    $("#Rua").val("");
                    $("#Bairro").val("");
                    $("#Cidade").val("");
                    $("#Estado").val("");
                    $("#Ibge").val("");
                }
            });
        } else {
            alert("Formato de CEP invlido.");//cep  invlido.
        }
    }
    }
});
//fim buscando o endereo por cep

//buscando o endereo por Cnpj
$("#Buscar_Cnpj").click(function() {

    //Nova varivel "Cnpj" somente com dgitos.
    var Cnpj = $("#Cnpj").val().replace(/\D/g, '');
    var Cep = $("#Cep").val();
    var Rua = $("#Rua").val();
    var Numero = $("#Numero").val();

    //Verifica se campo cep possui valor informado.
    if (Cnpj != "") {
        
        if (Cep == "" && Rua == "" && Numero == "") {

        //Expresso regular para validar o Cnpj.
        var validacnpj = /^[0-9]{14}$/;

        //Valida o formato do Cnpj.
        if(validacnpj.test(Cnpj)) {

            //Preenche os campos com "..." enquanto consulta webservice.
            $("#Cep").val("...");
            $("#Rua").val("...");
            $("#Bairro").val("...");
            $("#Cidade").val("...");
            $("#Complemento").val("...");
            $("#Estado").val("...");
            $("#Ibge").val("...");

            $.ajax({

                url: '../include/buscar_cnpj.php?cnpj='+Cnpj,
                dataType: 'json',
                success: function(resposta){
                    if(resposta.status == "ERROR"){
                        alert(resposta.message + "\nPor favor, digite os dados manualmente.");
                        $("#Cep").focus().select();
                        return false;
                    }
                    $("#Razao_Social").val(resposta.nome);
                    $("#Titulo").val(resposta.fantasia);
                    //$("#Atividade").val(resposta.atividade_principal[0].text + " (" + resposta.atividade_principal[0].code + ")");
                    //$("#Nome_Responsavel").val(resposta.qsa[0].nome + " (" + resposta.qsa[0].qual + ")");
                    $("#Fone1").val(resposta.telefone);
                    $("#Email").val(resposta.email);
                    $("#Rua").val(resposta.logradouro);
                    $("#Complemento").val(resposta.complemento);
                    $("#Bairro").val(resposta.bairro);
                    //$("#Cidade").val(ucfirst(resposta.municipio));
                    $("#Estado").val(resposta.uf);
                    $("#Cep").val(resposta.cep);
                    $("#Numero").val(resposta.numero);

                    $.ajax({

                        url: '../include/buscar_municipio.php?municipio='+ucfirst(resposta.municipio)+'&uf='+resposta.uf,
                        dataType: 'json',
                        success: function(resposta){
                            $("#Ibge").val(resposta[0].value);
                        }
                    });

                }
            });
                        
        } else {
            alert("Formato de CNPJ invlido.");//Cnpj  invlido.
            $("#Rua").val("");
            $("#Bairro").val("");
            $("#Cidade").val("");
            $("#Estado").val("");
            $("#Ibge").val("");
        }
    }else {
            alert("Cep, End e Numero preenchido");
        }
    
    }
});
//fim buscando o endereo por Cnpj

//buscando o endereo por Cnpj
$("#Buscar_Cnpj2").click(function() {

    //Nova varivel "Cnpj" somente com dgitos.
    var Cnpj = $("#Cnpj").val().replace(/\D/g, '');
    var Cep = $("#Cep").val();
    var Rua = $("#Rua").val();
    var Numero = $("#Numero").val();

    //Verifica se campo cep possui valor informado.
    if (Cnpj != "") {
        
        if (Cep == "" && Rua == "" && Numero == "") {

        //Expresso regular para validar o Cnpj.
        var validacnpj = /^[0-9]{14}$/;

        //Valida o formato do Cnpj.
        if(validacnpj.test(Cnpj)) {

            //Preenche os campos com "..." enquanto consulta webservice.
            $("#Cep").val("...");
            $("#Rua").val("...");
            $("#Bairro").val("...");
            $("#Cidade").val("...");
            $("#Complemento").val("...");
            $("#Estado").val("...");
            $("#Ibge").val("...");

            $.ajax({

                url: '../../include/buscar_cnpj.php?cnpj='+Cnpj,
                dataType: 'json',
                success: function(resposta){
                    if(resposta.status == "ERROR"){
                        alert(resposta.message + "\nPor favor, digite os dados manualmente.");
                        $("#Cep").focus().select();
                        return false;
                    }
                    $("#Razao_Social").val(resposta.nome);
                    $("#Titulo").val(resposta.fantasia);
                    //$("#Atividade").val(resposta.atividade_principal[0].text + " (" + resposta.atividade_principal[0].code + ")");
                    //$("#Nome_Responsavel").val(resposta.qsa[0].nome + " (" + resposta.qsa[0].qual + ")");
                    $("#Fone1").val(resposta.telefone);
                    $("#Email").val(resposta.email);
                    $("#Rua").val(resposta.logradouro);
                    $("#Complemento").val(resposta.complemento);
                    $("#Bairro").val(resposta.bairro);
                    //$("#Cidade").val(ucfirst(resposta.municipio));
                    $("#Estado").val(resposta.uf);
                    $("#Cep").val(resposta.cep);
                    $("#Numero").val(resposta.numero);

                    $.ajax({

                        url: '../include/buscar_municipio.php?municipio='+ucfirst(resposta.municipio)+'&uf='+resposta.uf,
                        dataType: 'json',
                        success: function(resposta){
                            $("#Ibge").val(resposta[0].value);
                        }
                    });
                    
                }
            });
                        
        } else {
            alert("Formato de CNPJ invlido.");//Cnpj  invlido.
            $("#Rua").val("");
            $("#Bairro").val("");
            $("#Cidade").val("");
            $("#Estado").val("");
            $("#Ibge").val("");
        }
    }else {
            alert("Cep, End e Numero preenchido");
        }
    
    }
});
//fim buscando o endereo por Cnpj
    
});




function isDecimal(num) {
    if(isNaN(num)) { return false; }
    return parseInt(num) != parseFloat(num);
}



//onkeypress="return mask(this,event,'###.###.###-##');"
function mask(objeto, evt, mask){
	var LetrasU = 'ABCDEFGHIJKLMNOPQRSTUVWXYZ';
	var LetrasL = 'abcdefghijklmnopqrstuvwxyz';
	var Letras  = 'ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz';
        var Tudo  = 'ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz0123456789';
	var Numeros = '0123456789';
	var Fixos  = '().-:/ ';
	var Charset = " !\"#$%&\'()*+,-./0123456789:;<=>?@ABCDEFGHIJKLMNOPQRSTUVWXYZ[\]^_/`abcdefghijklmnopqrstuvwxyz{|}~";
	evt = (evt) ? evt : (window.event) ? window.event : "";
	var value = objeto.value;
	if (evt) {
	 var ntecla = (evt.which) ? evt.which : evt.keyCode;
	 tecla = Charset.substr(ntecla - 32, 1);
	 if (ntecla < 32) return true;
	 var tamanho = value.length;
	 if (tamanho >= mask.length) return false;
	 var pos = mask.substr(tamanho,1);
	 while (Fixos.indexOf(pos) != -1) {
	  value += pos;
	  tamanho = value.length;
	  if (tamanho >= mask.length) return false;
	  pos = mask.substr(tamanho,1);
	 }

	 switch (pos) {
	   case '#' : if (Numeros.indexOf(tecla) == -1) return false; break;
	   case 'A' : if (LetrasU.indexOf(tecla) == -1) return false; break;
	   case 'a' : if (LetrasL.indexOf(tecla) == -1) return false; break;
	   case 'Z' : if (Letras.indexOf(tecla) == -1) return false; break;
           case 'T' : if (Tudo.indexOf(tecla) == -1) return false; break;
	   case '*' : objeto.value = value; return true; break;
	   default : return false; break;
	 }
	}
	objeto.value = value;
	return true;
}


//onkeypress="return formatar_moeda(this,'.',',',event);"
function formatar_moeda(campo, separador_milhar, separador_decimal, tecla) {
	var sep = 0;
	var key = '';
	var i = j = 0;
	var len = len2 = 0;
	var strCheck = '0123456789';
	var aux = aux2 = '';
	var whichCode = (window.Event) ? tecla.which : tecla.keyCode;

	if (whichCode == 13) return true; // Tecla Enter
	if (whichCode == 8) return true; // Tecla Delete
	key = String.fromCharCode(whichCode); // Pegando o valor digitado
	if (strCheck.indexOf(key) == -1) return false; // Valor invlido (no inteiro)
	len = campo.value.length;
	for(i = 0; i < len; i++)
	if ((campo.value.charAt(i) != '0') && (campo.value.charAt(i) != separador_decimal)) break;
	aux = '';
	for(; i < len; i++)
	if (strCheck.indexOf(campo.value.charAt(i))!=-1) aux += campo.value.charAt(i);
	aux += key;
	len = aux.length;
	if (len == 0) campo.value = '';
	if (len == 1) campo.value = '0'+ separador_decimal + '0' + aux;
	if (len == 2) campo.value = '0'+ separador_decimal + aux;

	if (len > 2) {
		aux2 = '';

		for (j = 0, i = len - 3; i >= 0; i--) {
			if (j == 3) {
				aux2 += separador_milhar;
				j = 0;
			}
			aux2 += aux.charAt(i);
			j++;
		}

		campo.value = '';
		len2 = aux2.length;
		for (i = len2 - 1; i >= 0; i--)
		campo.value += aux2.charAt(i);
		campo.value += separador_decimal + aux.substr(len - 2, len);
	}

	return false;
}



//SOMENTE NUMERO onkeyup="somente_numero(this);"
function somente_numero(campo){
        var digits="0123456789"
        var campo_temp 
        for (var i=0;i<campo.value.length;i++){
          campo_temp=campo.value.substring(i,i+1)       
          if (digits.indexOf(campo_temp)==-1){
                        campo.value = campo.value.substring(0,i);
                        break;
           }
        }
}

//SOMENTE NUMERO onkeyup="numeroPontoVirgula(this);"
function numeroPontoVirgula(campo){
        var digits="0123456789,.-"
        var campo_temp
        for (var i=0;i<campo.value.length;i++){
          campo_temp=campo.value.substring(i,i+1)
          if (digits.indexOf(campo_temp)==-1){
                        campo.value = campo.value.substring(0,i);
                        break;
           }
        }
}




$(document).ready( function() {
	
	//Funo do menu principal. ACCORDION	
	$('ul#nav-menu > li > a').click(function() {
		$(this).next().slideToggle();
	});

	//Funo para mudar o hover da tr das tabelas de listagem
	$(".hoverLista").hover(function() {
     	$(this).addClass("tabelaLista");
   	  },function(){
     	$(this).removeClass("tabelaLista");
  	});
	
	
});



function deletar(codigo, pagina) {
	var deletar = confirm('Deseja deletar este registro?');
	if (deletar == true) {
		window.location.href=pagina+codigo;
	}
}


function alterar_tipo(codigo, pagina) {
	var deletar = confirm('Deseja converter este registro?');
	if (deletar == true) {
		window.location.href=pagina+codigo;
	}
}


function divMovimento(valor){
        div1 = document.getElementById("div_movimento");
        if (valor=='Banco'){
                div1.style.display = "block";
        }else{
                div1.style.display = "none";
        }
}
		
		
function statusPagamento(valor,idDiv){
	div = document.getElementById(idDiv);
	if (valor=='Liquidado'){
		div.style.display = 'block';
	}else{
		div.style.display = 'none';
	}

}

function mostrarDiv(valor,idDiv){
        div = document.getElementById(idDiv);
        if (valor=='No'){
                div.style.display = 'none';
        }else if (valor=='Sim'){
                div.style.display = "block";
        }
}
	
function StatusLiquidacao(valor){
        div1 = document.getElementById("P_F");
        div2 = document.getElementById("P_J");
        if (valor=='Liquidado'){
                div1.style.display = "block";
                div2.style.display = "none";
        }
        if (valor=='Pendente Liquidao'){
                div1.style.display = "block";
                div2.style.display = "none";
        }
        if (valor=='Cancelado'){
                div1.style.display = "none";
                div2.style.display = "block";
        }
        if (valor=='Aberto'){
                div1.style.display = "none";
                div2.style.display = "none";
        }
        if ((valor!='Aberto') && (valor!='Liquidado') && (valor!='Cancelado') && (valor!='Pendente Liquidao') ){
                div1.style.display = "none";
                div2.style.display = "none";
        }
}

function StatusLiquidacao2(valor){
        div2 = document.getElementById("P_J");
        if (valor=='Cancelado'){
                div2.style.display = "block";
        }
        if ((valor!='Aberto') && (valor!='Liquidado') && (valor!='Cancelado') ){
                div2.style.display = "none";
        }
}

function PfPj(valor){
        div1 = document.getElementById("P_F");
        div2 = document.getElementById("P_J");
        if (valor=='PF'){
                div1.style.display = "block";
                div2.style.display = "none";
        }
        if (valor=='PJ'){
                div1.style.display = "none";
                div2.style.display = "block";
        }
}

function regime(valor){
        div1 = document.getElementById("R_Normal");
        div2 = document.getElementById("R_Simples");
        if (valor=='Normal'){
                div1.style.display = "block";
                div2.style.display = "none";
        }
        if (valor=='Normal1'){
                div1.style.display = "block";
                div2.style.display = "none";
        }
        if (valor=='Simples'){
                div1.style.display = "none";
                div2.style.display = "block";
        }
}
	
function End_Cob(valor){
        div1 = document.getElementById("Div_End_Cob");
        if (valor=='No'){
                div1.style.display = "block";
        }else{
                div1.style.display = "none";
        }
}
	
function End_Ent(valor){
        div1 = document.getElementById("Div_End_Ent");
        if (valor=='No'){
                div1.style.display = "block";
        }else{
                div1.style.display = "none";
        }
}

function tipoPagamento(valor){
        div1 = document.getElementById("BoletoDiv");
        div2 = document.getElementById("ChequeDiv");		
        if (valor=='1'){
                div1.style.display = "none";
                div2.style.display = "block";
        }
        if (valor=='2'){
                div1.style.display = "block";
                div2.style.display = "none";
        }
        if ( (valor!='2') && (valor!='1') ){
                div1.style.display = "none";
                div2.style.display = "none";
        }
}


//Multiple select
function multipleSelect(formulario, selects, marcado){
    var selectObject = document.forms[formulario].elements[selects];
    var selectCount  = selectObject.length;
    for (var i = 0; i < selectCount; i++) {
        selectObject.options[i].selected = marcado;
    }
    return true;
}

function move(s1, s2) {
    i = s1.selectedIndex;
    if ( i != -1 ) {
      if ( s1.options[i].selected ) {
          for ( j = 0; j < s2.options.length; j++ ) {
            if ( s2.options[j].value == s1.options[i].value ) break;
            if ( s2.options[j].text > s1.options[i].text ) {
              for ( z = s2.options.length; z > j ; z-- ) {
                s2.options[z] = new Option(s2.options[z-1].text, s2.options[z-1].value, false, false);
              }
              break;
            }
          }
          s2.options[j] = new Option(s1.options[i].text, s1.options[i].value, false, true);
          s1.options[i] = null;
      }
    }
}

function moveall(s1, s2) {
    total =  s1.options.length;
    soma = s2.options.length;
    rodar = total+soma;
    for ( x = soma,y=0; x < rodar; x++,y++) {
     s2.options[x] = new Option(s1.options[y].text, s1.options[y].value, false, false);
    }
    s1.innerHTML = "";
}



function number_format (number, decimals, dec_point, thousands_sep) {
    number = (number + '').replace(/[^0-9+\-Ee.]/g, '');
    var n = !isFinite(+number) ? 0 : +number,
        prec = !isFinite(+decimals) ? 0 : Math.abs(decimals),        sep = (typeof thousands_sep === 'undefined') ? ',' : thousands_sep,
        dec = (typeof dec_point === 'undefined') ? '.' : dec_point,
        s = '',
        toFixedFix = function (n, prec) {
            var k = Math.pow(10, prec);            return '' + Math.round(n * k) / k;
        };
    // Fix for IE parseFloat(0.55).toFixed(0) = 0;
    s = (prec ? toFixedFix(n, prec) : '' + Math.round(n)).split('.');
    if (s[0].length > 3) {        s[0] = s[0].replace(/\B(?=(?:\d{3})+(?!\d))/g, sep);
    }
    if ((s[1] || '').length < prec) {
        s[1] = s[1] || '';
        s[1] += new Array(prec - s[1].length + 1).join('0');    }
    return s.join(dec);
}


function ucfirst (string) {
    const str = string.toLowerCase();

//split the above string into an array of strings 
//whenever a blank space is encountered

const arr = str.split(" ");

//loop through each element of the array and capitalize the first letter.


for (var i = 0; i < arr.length; i++) {
    arr[i] = arr[i].charAt(0).toUpperCase() + arr[i].slice(1);

}

//Join all the elements of the array back into a string 
//using a blankspace as a separator 
const str2 = arr.join(" ");
//console.log(str2);

//Outptut: I Have Learned Something New Today
    return str2;
}


function StatusFinalizacao(valor){
        div2 = document.getElementById("P_J");
        if (valor=='Cancelado'){
                div2.style.display = "block";
        }
        if ((valor!='Aberto') && (valor!='Finalizado') && (valor!='Cancelado') ){
                div2.style.display = "none";
        }
}
