<?php
include_once '../include/conecta.php'; //Conecta com a nosso banco de dados MySQL
include_once '../include/ver_sessao.php'; //Verifica se a sesso est ativa
include_once '../include/funcoesPhp.php'; include_once '../menu_movimento.php';


###<============ inicio gerando xml  ============>###
#==== dados do emitente  ====#
$menu2 = mysqli_query($con,"SELECT
            unidade.Id,
            unidade.Titulo,
            unidade.Razao_Social,
            unidade.Cnpj,
            unidade.Rua,
            unidade.Numero,
            unidade.Complemento,
            unidade.Cep,
            unidade.Bairro,
            unidade.Fone1,
            unidade.Email,
            unidade.Estadual,
            unidade.CRT,
            unidade.Ambiente,
            unidade.Codigo_Cidade,
            unidade.Cidade,
            unidade.Estado,
            unidade.Aliquota_Simples,
            unidade.Email_Copia
            FROM unidade
            left join (SELECT Id,Id_Unidade FROM mdfe) as mdfe ON mdfe.Id_Unidade = unidade.Id
            WHERE mdfe.Id='" . $_GET["id_mdfe"] . "'");
$dados_emitente_mdfe = mysqli_fetch_assoc($menu2);

$Email_Copia_Empresa = $dados_emitente_mdfe["Email_Copia"];

if (SITE_SISTEMA == 'localhost') {
    $caminho_absoluto = CAMINHO_LOCAL;
} else {
    $caminho_absoluto = CAMINHO_SERVIDOR_CLIENTE;
}

//tipo do ambiente
if ($dados_emitente_mdfe["Ambiente"] == '1') {
    $ambiente_mdfe = 'producao';
} else {
    $ambiente_mdfe = 'homologacao';
}

switch ($dados_emitente_mdfe["Estado"]) {
    case 'AC': $cUF = "12";
        break;
    case 'AL': $cUF = "27";
        break;
    case 'AP': $cUF = "16";
        break;
    case 'AM': $cUF = "13";
        break;
    case 'BA': $cUF = "29";
        break;
    case 'CE': $cUF = "23";
        break;
    case 'DF': $cUF = "53";
        break;
    case 'GO': $cUF = "52";
        break;
    case 'ES': $cUF = "32";
        break;
    case 'MA': $cUF = "21";
        break;
    case 'MT': $cUF = "51";
        break;
    case 'MS': $cUF = "50";
        break;
    case 'MG': $cUF = "31";
        break;
    case 'PA': $cUF = "15";
        break;
    case 'PB': $cUF = "25";
        break;
    case 'PR': $cUF = "41";
        break;
    case 'PE': $cUF = "26";
        break;
    case 'PI': $cUF = "22";
        break;
    case 'RJ': $cUF = "33";
        break;
    case 'RN': $cUF = "24";
        break;
    case 'RS': $cUF = "43";
        break;
    case 'RO': $cUF = "11";
        break;
    case 'RR': $cUF = "14";
        break;
    case 'SP': $cUF = "35";
        break;
    case 'SC': $cUF = "42";
        break;
    case 'SE': $cUF = "28";
        break;
    case 'TO': $cUF = "17";
        break;
}

#==== fim dados do emitente  ====#
#==== dados do cabeca mdfe  ====#
$menu3 = mysqli_query($con,"SELECT
            mdfe.Numero_Nota,
            mdfe.Natureza,
            mdfe.Tipo,
            mdfe.Serie,
            mdfe.Data_Mdfe,
            mdfe.Hora_Mdfe,
            mdfe.Tipo_Impressao,
            mdfe.Forma_Emissao,
            mdfe.Finalidade_Emissao,
            mdfe.Hora_Mdfe,
            mdfe.Info_Fisco,
            mdfe.Info_Contribuinte,
            mdfe.Ref_Mdfe,
            mdfe.Horario_Verao,
            mdfe.Operacao,
            mdfe.Data_Emissao,
            mdfe.Modal,
            mdfe.Tipo_Transporte,
            mdfe.Uf_Inicio,
            mdfe.Uf_Fim,
            mdfe.Data_Viagem,
            mdfe.Info_Contribuinte,
            mdfe.vCarga,
            mdfe.cUnid,
            mdfe.qCarga,
            mdfe.RNTRC,
            mdfe.Motorista,
            mdfe.Motorista_Cpf,
            mdfe.Veiculo_Codigo,
            mdfe.Veiculo_Placa,
            mdfe.Veiculo_Tara,
            mdfe.Veiculo_Kg,
            mdfe.Veiculo_M3,
            mdfe.Veiculo_Tipo,
            mdfe.Veiculo_Carroceria,
            mdfe.Veiculo_Uf,
            mdfe.Veiculo_Renavam,
            mdfe.Lacre,
            mdfe.Natureza_Contratante,
            mdfe.Cpf_Cnpj_Contratante,
            mdfe.Codigo_Porto,
            DATE_FORMAT(mdfe.Data_Cadastro, '%Y-%m-%d') as 'Data_Cadastro',
            unidade.Codigo_Cidade
            FROM mdfe
            left join (SELECT Id,Codigo_Cidade from unidade) as unidade ON mdfe.Id_Unidade = unidade.Id
            WHERE mdfe.Id='" . $_GET["id_mdfe"] . "' ");
$dados_mdfe = mysqli_fetch_assoc($menu3);


//horario verao = sim
if ($dados_mdfe["Horario_Verao"] == 'Sim') {
    $hora = '-02:00';
} else {
    $hora = '-03:00';
}

$data_mdfe = str_replace('-', '', $dados_mdfe["Data_Nfe"]);
$data_mdfe = substr($data_mdfe, 0, -2); //formato desejado YYYYMM

$data_emissao = str_replace('-', '', $dados_mdfe["Data_Emissao"]);
$data_emissao = substr($data_emissao, 0, -2); //formato desejado YYYYMM

$data_emissao_temp = date("Ym");
#==== fim dados do cabeca mdfe  ====#

//error_reporting(E_ALL);
error_reporting(E_ALL ^ E_NOTICE); //todos os erros, exceto notices
ini_set('display_errors', 'On');
require_once '../nfephp/bootstrap.php';
require_once '../mdfephp/bootstrap.php';
require_once '../nfephp/config/config.php';
require_once '../nfephp/config/certificado.php';

use NFePHP\MDFe\Make;
use NFePHP\MDFe\Tools;

use NFePHP\NFe\Convert;
use NFePHP\Common\Certificate;
use NFePHP\Common\Soap\SoapCurl;
use NFePHP\NFe\Common\Standardize;
use NFePHP\Common\Keys;


$mdfe = new Make();

$dados_cert = geraCertificado($dados_emitente_mdfe["Id"]);

//carrega o conteudo do certificado.
$content = file_get_contents($dados_cert['pathCertsFiles'].$dados_cert['certPfxName']);

$certificate = Certificate::readPfx($content, $dados_cert['certPassword']);

$tools = new Tools(geraConfig($dados_emitente_mdfe["Id"]), $certificate);


$dhEmi = $dados_mdfe["Data_Cadastro"] . "T" . date("H:i:s") . $hora;
$numeroMDFe = $dados_mdfe["Numero_Nota"];

####monta chave####
$cUF = $cUF;
$tpAmb = $dados_emitente_mdfe["Ambiente"];// 1-Producao(versao fiscal), 2-Homologacao(versao de teste)
$ano = date('y', strtotime($dados_mdfe["Data_Mdfe"]));
$mes = date('m', strtotime($dados_mdfe["Data_Mdfe"]));
$mod = '58';        // Modelo do documento fiscal: 58 para identificao do MDF-e
$serie = $dados_mdfe["Serie"];// Serie do MDFe
$cnpj = $tools->config->cnpj;
$tpEmis = $dados_mdfe["Forma_Emissao"];// Forma de emissao do MDFe: 1-Normal; 2- Contingencia
$cMDF = str_pad("9".$dados_mdfe["Numero_Nota"], 8, "0", STR_PAD_LEFT);
$chave = Keys::build(
    $cUF,
    $ano,
    $mes,
    $cnpj,
    $mod,
    $serie,
    $numero = $numeroMDFe,
    $tpEmis,
    $cMDF
);
####monta chave####

echo $chave;

mysqli_query($con,"UPDATE mdfe SET Chave='".$chave."' WHERE Id='".$_GET["id_mdfe"]."' AND Chave='' ");

/*
$aResposta = array();
$retorno = $tools->sefazConsultaChave($chave, $tpAmb, $aResposta);
echo '<pre>';
print_r($aResposta);
echo "</pre>";
*/
?>