<?php
include_once '../include/conecta.php'; //Conecta com a nosso banco de dados MySQL
include_once '../include/ver_sessao.php'; //Verifica se a sesso est ativa
include_once '../include/funcoesPhp.php'; include_once '../menu_movimento.php';
?>
<?php
    //error_reporting(E_ALL);
    //ini_set('display_errors', 'On');
    require_once '../nfephp/bootstrap.php';
    require_once '../mdfephp/bootstrap.php';
    require_once '../nfephp/config/config.php';
    require_once '../nfephp/config/certificado.php';
    
    use NFePHP\MDFe\Make;
    use NFePHP\MDFe\Common\Standardize;
    use NFePHP\MDFe\Tools;

    use NFePHP\Common\Certificate;
    use NFePHP\Common\Soap\SoapCurl;
    use NFePHP\Common\Keys;
    use NFePHP\DA\MDFe\Damdfe;
    use NFePHP\DA\Legacy\FilesFolders;
    
if($_SERVER['REQUEST_METHOD']=="POST"){

    
    if($_POST["Estado_Encerramento"] || $_POST["Cidade_Encerramento"]){
    
    
    //pegando alguns parametros
    if(SITE_SISTEMA=='localhost'){
        $caminho_absoluto = CAMINHO_LOCAL;
    }else{
        $caminho_absoluto = CAMINHO_SERVIDOR_CLIENTE;
    }

    //tipo do ambiente
    if($_POST["Ambiente"]=='1'){
        $ambiente_mdfe = 'producao';
    }else{
        $ambiente_mdfe = 'homologacao';
    }
    
switch ($_POST["Estado_Encerramento"]) {
    case 'AC': $cUF = "12";
        break;
    case 'AL': $cUF = "27";
        break;
    case 'AP': $cUF = "16";
        break;
    case 'AM': $cUF = "13";
        break;
    case 'BA': $cUF = "29";
        break;
    case 'CE': $cUF = "23";
        break;
    case 'DF': $cUF = "53";
        break;
    case 'GO': $cUF = "52";
        break;
    case 'ES': $cUF = "32";
        break;
    case 'MA': $cUF = "21";
        break;
    case 'MT': $cUF = "51";
        break;
    case 'MS': $cUF = "50";
        break;
    case 'MG': $cUF = "31";
        break;
    case 'PA': $cUF = "15";
        break;
    case 'PB': $cUF = "25";
        break;
    case 'PR': $cUF = "41";
        break;
    case 'PE': $cUF = "26";
        break;
    case 'PI': $cUF = "22";
        break;
    case 'RJ': $cUF = "33";
        break;
    case 'RN': $cUF = "24";
        break;
    case 'RS': $cUF = "43";
        break;
    case 'RO': $cUF = "11";
        break;
    case 'RR': $cUF = "14";
        break;
    case 'SP': $cUF = "35";
        break;
    case 'SC': $cUF = "42";
        break;
    case 'SE': $cUF = "28";
        break;
    case 'TO': $cUF = "17";
        break;
}

$caminho_cnpj='';
if (MULTI_EMPRESA == "Sim" || MULTI_EMPRESA == "Sim") {
    
$menu2 = mysqli_query($con,"SELECT Cnpj FROM unidade WHERE Id ='".$_POST["Id_Unidade"]."' ");
$dados_emitente_nfe = mysqli_fetch_assoc($menu2);
    
    $caminho_cnpj = CaracteresEspeciais($dados_emitente_nfe['Cnpj'],'Sim')."/";
    $arq_teste = $caminho_absoluto . "/nfe_arq/mdfe/{$caminho_cnpj}{$ambiente_mdfe}/assinadas";
    if(!is_dir($arq_teste)){
        mkdir($caminho_absoluto . "/nfe_arq/mdfe/{$caminho_cnpj}", 0777);
        mkdir($caminho_absoluto . "/nfe_arq/mdfe/{$caminho_cnpj}{$ambiente_mdfe}/", 0777);
        mkdir($caminho_absoluto . "/nfe_arq/mdfe/{$caminho_cnpj}{$ambiente_mdfe}/assinadas/", 0777);
        mkdir($caminho_absoluto . "/nfe_arq/mdfe/{$caminho_cnpj}{$ambiente_mdfe}/canceladas/", 0777);
        mkdir($caminho_absoluto . "/nfe_arq/mdfe/{$caminho_cnpj}{$ambiente_mdfe}/cartacorrecao/", 0777);
        mkdir($caminho_absoluto . "/nfe_arq/mdfe/{$caminho_cnpj}{$ambiente_mdfe}/consultadas/", 0777);
        mkdir($caminho_absoluto . "/nfe_arq/mdfe/{$caminho_cnpj}{$ambiente_mdfe}/dpec/", 0777);
        mkdir($caminho_absoluto . "/nfe_arq/mdfe/{$caminho_cnpj}{$ambiente_mdfe}/entradas/", 0777);
        mkdir($caminho_absoluto . "/nfe_arq/mdfe/{$caminho_cnpj}{$ambiente_mdfe}/enviadas/", 0777);
        mkdir($caminho_absoluto . "/nfe_arq/mdfe/{$caminho_cnpj}{$ambiente_mdfe}/enviadas/aprovadas/", 0777);
        mkdir($caminho_absoluto . "/nfe_arq/mdfe/{$caminho_cnpj}{$ambiente_mdfe}/enviadas/denegadas/", 0777);
        mkdir($caminho_absoluto . "/nfe_arq/mdfe/{$caminho_cnpj}{$ambiente_mdfe}/enviadas/reprovadas/", 0777);
        mkdir($caminho_absoluto . "/nfe_arq/mdfe/{$caminho_cnpj}{$ambiente_mdfe}/eventos/", 0777);
        mkdir($caminho_absoluto . "/nfe_arq/mdfe/{$caminho_cnpj}{$ambiente_mdfe}/inutilizadas/", 0777);
        mkdir($caminho_absoluto . "/nfe_arq/mdfe/{$caminho_cnpj}{$ambiente_mdfe}/pdf/", 0777);
        mkdir($caminho_absoluto . "/nfe_arq/mdfe/{$caminho_cnpj}{$ambiente_mdfe}/recebidas/", 0777);
        mkdir($caminho_absoluto . "/nfe_arq/mdfe/{$caminho_cnpj}{$ambiente_mdfe}/rejeitadas/", 0777);
        mkdir($caminho_absoluto . "/nfe_arq/mdfe/{$caminho_cnpj}{$ambiente_mdfe}/temporarias/", 0777);
        mkdir($caminho_absoluto . "/nfe_arq/mdfe/{$caminho_cnpj}{$ambiente_mdfe}/validadas/", 0777);
    }
}
    

    try {
        $dados_cert = geraCertificado($_POST["Id_Unidade"]);
        //carrega o conteudo do certificado.
        $content = file_get_contents($dados_cert['pathCertsFiles'].$dados_cert['certPfxName']);

        $certificate = Certificate::readPfx($content, $dados_cert['certPassword']);
        $tools = new Tools(geraConfig($_POST["Id_Unidade"]), $certificate);

        $tpAmb = $_POST["Ambiente"];
        $chave = trim($_POST["Chave"]);
        $nProt = $_POST["Protocolo"];
        $cUF = $cUF;
        $cMun = $_POST["Cidade_Encerramento"];
        $dtEnc = date('Y-m-d'); // Opcional, caso nao seja preenchido pegara HOJE
        
        $offset = timezone_offset_get(new DateTimeZone('America/Sao_Paulo'), new DateTime());
        $tz = sprintf("%s%02d:%02d", ( $offset >= 0 ) ? '+' : '-', abs($offset / 3600), abs($offset % 3600));
        $tools->config->tz = $tz;
        
        $resp = $tools->sefazEncerra($chave, $nProt, $cUF, $cMun, $dtEnc);
        
        $st = new Standardize();
        $std = $st->toStd($resp);

        
        ##SALVAR O PROTOTOCOLO NO BANCO DE DADOS ============
        if($std->infEvento->cStat=='135'){ //Evento registrado e vinculado ao MDF-e
        mysqli_query($con,"UPDATE mdfe SET Encerramento='Sim',
                Data_Encerramento='".substr($std->infEvento->dhRegEvento,0,10)." ".substr($std->infEvento->dhRegEvento,11,8)."',
                Protocolo_Encerramento = '".$std->infEvento->nProt."'
                WHERE Id='".$_POST["Id_Mdfe"]."' ")."<br>";
        
            echo $std->infEvento->chMDFe." : Encerrada com Sucesso!";
        }else{
            echo "Erro ao Encerrar... <br>";
            echo '<pre>';
            var_dump($std);
            echo "</pre>";
        }
        ##SALVAR O PROTOTOCOLO NO BANCO DE DADOS ============


        
    } catch (\Exception $e) {
        echo $e->getMessage();
    }


    
    
    echo "<script>window.opener.document.forms['ordenar'].submit();</script>";

    // fim imprimir
    }else{
        echo "<script>alert('Falta Preencher Estado ou Cidade!');</script>";
    }

}

?>
<html>
<head>
<title>Gw - Gesto Web</title>
<link rel="stylesheet" type="text/css" href="../estilo/<?php echo SKIN ;?>/tableless.css" />
<link rel="stylesheet" type="text/css" href="../estilo/<?php echo SKIN ;?>/tabelas.css" />
<script language="javascript" type="text/javascript" src="../js/jquery.js"></script>
<script language="javascript" type="text/javascript" src="../js/script.js"></script>
<script type="text/javascript" language="javascript" >
function comboEstadoEncerramento(valor){
    $.post("busca_cidade_encerramento.php", {Id: valor},
    function(data) {
        $("#divCidadeEncerramento").html(data);
    });
};
</script>
<script type="text/javascript" language="javascript" >
$(document).ready(function() {
    $("#Estado_Encerramento").focus();
});
</script>
</head>
<?php
$sql_del = mysqli_query($con,"Select unidade.Ambiente,
                        mdfe.Chave,
                        mdfe.Numero_Nota,
                        mdfe.Protocolo,
                        mdfe.Recibo,
                        mdfe.Data_Emissao,
                        mdfe.Data_Mdfe,
                        unidade.Id as Id_Unidade,
                        unidade.Cnpj
                        FROM mdfe
                        left join (SELECT Id,Ambiente,Cnpj FROM unidade) as unidade ON mdfe.Id_Unidade = unidade.Id
                        WHERE mdfe.Id='".$_GET["id_mdfe"]."' ");
$linha = mysqli_fetch_assoc($sql_del);

$linha["Data_Mdfe"] = str_replace('-','',$linha["Data_Mdfe"]);
$linha["Data_Mdfe"] = substr($linha["Data_Mdfe"],0,-2);//formato desejado YYYYMM

$linha["Data_Emissao"] = str_replace('-','',$linha["Data_Emissao"]);
$linha["Data_Emissao"] = substr($linha["Data_Emissao"],0,-2);//formato desejado YYYYMM
?>
<body>
    <form action="" method="post" name="historico" enctype="multipart/form-data">

        <fieldset class="envolve">
            <legend>Encerramento de MDFe</legend>

      <input type="hidden" name="Data_Emissao" value="<?php echo $linha["Data_Emissao"]?>">
      <input type="hidden" name="Data_Mdfe" value="<?php echo $linha["Data_Mdfe"]?>">
      <input type="hidden" name="Ambiente" value="<?php echo $linha["Ambiente"]?>">
      <input type="hidden" name="Chave" value="<?php echo $linha["Chave"]?>">
      <input type="hidden" name="Protocolo" value="<?php echo $linha["Protocolo"]?>">
      <input type="hidden" name="Recibo" value="<?php echo $linha["Recibo"]?>">
      <input type="hidden" name="Id_Unidade" value="<?php echo $linha["Id_Unidade"]?>">
      <input type="hidden" name="Cnpj" value="<?php echo CaracteresEspeciais($linha["Cnpj"],"Sim")?>">
      <input type="hidden" name="Id_Mdfe" value="<?php echo $_GET["id_mdfe"]?>">

      <div class="linhas_historico"> Nota Nmero : <b><?php echo $linha["Numero_Nota"];?></b></div>
      <br/>
      
            <fieldset class="grupo">
                <div class="campo">
                    <label for="Estado_Encerramento">Estado Encerramento</label>
                    <?php
                    $vetor = array(''=>'Estados','AC'=>'Acre','AL'=>'Alagoas','AP'=>'Amap','AM'=>'Amazonas','BA'=>'Bahia',
                                    'CE'=>'Cear','DF'=>'Distrito Federal','GO'=>'Gois','ES'=>'Esprito Santo',
                                    'MA'=>'Maranho','MT'=>'Mato Grosso','MS'=>'Mato Grosso do Sul',
                                    'MG'=>'Minas Gerais','PA'=>'Par','PB'=>'Paraba','PR'=>'Paran',
                                    'PE'=>'Pernambuco','PI'=>'Piau','RJ'=>'Rio de Janeiro',
                                    'RN'=>'Rio Grande do Norte','RS'=>'Rio Grande do Sul',
                                    'RO'=>'Rondnia','RR'=>'Rorima','SP'=>'So Paulo',
                                    'SC'=>'Santa Catarina','SE'=>'Sergipe','TO'=>'Tocantis');
                    select_tela("Estado_Encerramento","Estado_Encerramento",$_POST["Estado_Encerramento"],$vetor,'onchange="comboEstadoEncerramento(this.value);"',"");
                    ?>
                </div>
                <div class="campo">
                    <label for="Cidade_Encerramento">Cidade Encerramento</label>
                    <div id="divCidadeEncerramento">
                    <?php
                        echo select_banco("Select Codigo as Id,Titulo from cidade_ibge WHERE Uf='".$_POST["Estado_Encerramento"]."' order by Titulo",
                                          "Cidade_Encerramento","Cidade_Encerramento",$_POST["Cidade_Encerramento"],'',"");
                    ?>
                    </div>
                </div>
            </fieldset>
            
        </fieldset>

            <button class="bt_cadastro" type="submit" name="Cancelar" value="Cancelar">Encerrar Nota</button>

          </fieldset>

      </form>

<?php include "../include/rodape.php";?>
</body>
</html>