<?php
include_once "../include/conecta.php"; //Conecta com a nosso banco de dados MySQL
ini_set('session.gc_maxlifetime', 60 * 120);
session_start();
/* include_once "../include/ver_sessao.php"; //Verifica se a sesso est ativa */
include_once "../include/funcoesPhp.php"; //Inclue a pgina con todas as funes a ser usada.
?>
<?php
$venda = listar("Select negociacao_produto.Id,
                        negociacao_produto.Lancamento,
                        negociacao_produto.Titulo,
                        funcionario.Titulo as 'Funcionario'
                        FROM negociacao_produto
                        left join (SELECT Id,Titulo FROM funcionario) as funcionario ON funcionario.Id = negociacao_produto.Id_Funcionario
                        where negociacao_produto.Id = '" . $_GET["id_negociacao_produto"] . "'
                        order by negociacao_produto.Lancamento DESC");
?>
<html>
    <head>
        <title>Gw - Gesto Web</title>
        <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1" />
        <link rel="shortcut icon" href="../imagem/favi_gw.ico" type="image/x-icon" />
        <link rel="stylesheet" type="text/css" href="../estilo/<?php echo SKIN; ?>/tabela_imp.css" />
        <script type="text/javascript" language="javascript" src="../js/jquery.js"></script>
        <?php include '../include/script_cabeca.php'; ?>
        <script type="text/javascript" language="javascript" src="../js/script.js"></script>
        <script type="text/javascript" language="javascript" src="../js/meiomask/meiomask.js"></script>
        <script type="text/javascript" language="javascript" src="../js/meiomask/<?php
        if (PAIS == "USA") {
            echo "mascaras-usa";
        } else {
            echo "mascaras";
        }
        ?>.js"></script>
    </head>
    <body>

        <table width="98%" align="center"><!-- TABELA Q ENVOLVE TODO O CONTEUDO -->
            <tr>
                <td>
                    <?php include "../include/cabecalho_relatorio.php"; ?>
                </td>
            </tr>
            <tr>
                <td>
                    <table width="100%" align="center" class="tabela">
                        <tr>
                            <td>Titulo: <?php echo $venda[0]["Titulo"]; ?></td>
                        </tr>
                    </table>
                </td>
            </tr>
            <tr>
                <td>
                    <table width="100%" align="center" class="tabela">
                        <tr>
                            <td colspan="9"><i>Produto</i></td>
                        </tr>
                        <tr class="azul-claro">
                            <td>Fornecedor</td>
                            <td>Cd</td>
                            <td>Produto</td>
                            <td>Cd Cli</td>
                            <td>UN</td>
                            <td>Caixa</td>
                            <td>Valor</td>
                        </tr>
                        <?php
                        $venda_pro = listar("Select DISTINCT negociacao_produto_produto.Id,
                                        negociacao_produto_produto.Valor,
                                        negociacao_produto_produto.Periodo,
                                        negociacao_produto_produto.Data_Cadastro,
                                        negociacao_produto_produto.Codigo_Cliente,
                                        negociacao_produto_produto.Codigo_Danfe,
 					produto.Titulo as 'Produto',
                                        produto.Codigo,
                                        produto.Medida,
                                        produto.Qtd_Caixa,
                                        fornecedor.Titulo as Fornecedor
 					from negociacao_produto_produto
                                        INNER join (SELECT Id,Titulo,Codigo,Id_Fornecedor,Medida,Qtd_Caixa FROM produto) as produto ON produto.Id = negociacao_produto_produto.Id_Produto
                                        INNER join (SELECT Id,Titulo FROM fornecedor) as fornecedor ON fornecedor.Id = produto.Id_Fornecedor
 					where negociacao_produto_produto.Id_Negociacao_Produto = '" . $_GET["id_negociacao_produto"] . "'
                                        ORDER BY fornecedor.Titulo,produto.Titulo ");

                        $x = 1;
                        foreach ($venda_pro as $chave) {
                            ?>
                            <tr>
                                <td><?php echo $chave["Fornecedor"]; ?></td>
                                <td><?php echo $chave['Codigo']; ?></td>
                                <td><?php echo $chave["Produto"]; ?></td>
                                <td><?php echo $chave['Codigo_Danfe']; ?></td>
                                <td><?php echo $chave['Medida']; ?></td>
                                <td><?php echo $chave['Qtd_Caixa']; ?></td>
                                <td><?php echo valor_exibir($chave["Valor"]); ?></td>
                            </tr>
                            <?php
                            $x++;
                        }
                        ?>
                    </table>
                </td>
            </tr>
        </table>
    </body>
</html>
<?php include "../include/rodape.php"; ?>