<?php
include_once '../include/conecta.php'; //Conecta com a nosso banco de dados MySQL
include_once '../include/ver_sessao.php'; //Verifica se a sesso est ativa
include_once '../include/funcoesPhp.php'; include_once '../menu_movimento.php';
$modulo_lista = 'Venda';
include '../include/sessao_lista.php';

$Ordenar1 = " ORDER BY venda.Data_Venda ";

if($_GET['Ordem_Lista']=='Asc'){
    $Ordem_Lista1 = ' ASC ';
}else{
   $Ordem_Lista1 = ' DESC ';
}

$unidade = "AND venda.Id_Unidade = '1' ";
$vendedor = "AND venda.Id_Cliente = '".$_SESSION["Id_Cliente"]."' ";

/* Inicio dos parmetros da Paginao*/	

/*varivel com o cdigo SQL da consulta ao banco de dados*/
$_pagi_sql = "SELECT DISTINCT venda.Id,
                venda.Lancamento,
                venda.Data_Venda,
                venda.Valor_Pago,
                venda.Status,
                venda.Id_Cliente,
                venda.Id_Vendedor,
                venda.Id_Unidade,
                venda.Banco2,
                unidade.Titulo as Unidade
                FROM (SELECT Id,Lancamento,Data_Venda,Valor_Pago,Valor_Original,Status,Banco2,
                Id_Cliente,Id_Vendedor,Id_Unidade FROM venda) as venda
                $join_table
                inner join (SELECT Id, Titulo FROM unidade) as unidade ON unidade.Id = venda.Id_Unidade
                WHERE Status<>'Cancelado' $sp $Status_Lista1 $unidade $vendedor $data $situacao
                $pesquisa $Ordenar1 $Ordem_Lista1
                , venda.Lancamento DESC ";

/* pagina fora que contem todas as opcoes do paginator */
include_once '../include/paginator_opcao.php';
include_once '../include/paginator.inc.php'; //incluindo o script de paginao PAGINATOR

?>
<!DOCTYPE html> 
<html>
<head>
<title>Gw Mobile</title>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
<meta name="viewport" content="width=device-width, initial-scale=1">
<script src="../js/jquery-mobile/jquery-1.11.1.min.js" type="text/javascript"></script>
<script src="../js/jquery-mobile/jquery.mobile-1.4.5.min.js" type="text/javascript"></script>
<link href="../js/jquery-mobile/jquery.mobile.external-png-1.4.5.min.css" rel="stylesheet" type="text/css"/>
<link href="../js/jquery-mobile/jquery.mobile.icons-1.4.5.min.css" rel="stylesheet" type="text/css"/>
<link href="../js/jquery-mobile/jquery.mobile.inline-png-1.4.5.min.css" rel="stylesheet" type="text/css"/>
<link href="../js/jquery-mobile/jquery.mobile.inline-svg-1.4.5.min.css" rel="stylesheet" type="text/css"/>
<link href="../js/jquery-mobile/jquery.mobile.structure-1.4.5.min.css" rel="stylesheet" type="text/css"/>
<link href="../js/jquery-mobile/jquery.mobile.theme-1.4.5.min.css" rel="stylesheet" type="text/css"/>
<link href="../js/jquery-mobile/jquery.mobile-1.4.5.min.css" rel="stylesheet" type="text/css"/>

<link rel="stylesheet" type="text/css" href="../js/jquery-ui/jquery-ui.min.css" />
<link rel="stylesheet" type="text/css" href="../js/jquery-ui/jquery-ui.structure.min.css" />
<link rel="stylesheet" type="text/css" href="../js/jquery-ui/jquery-ui.theme.min.css" />
<script type="text/javascript" language="javascript" src="../js/jquery-ui/jquery-ui.min.js"></script>

<script type="text/javascript" language="javascript" src="../js/script.js"></script>
<script type='text/javascript'>
    $( document ).ready(function() {
        $(".aceite-proposta").click(function(){
            var Elem = $(this);
            let Id = $(this).attr("data-id");

            $.ajax({
                method: 'post',
                url: 'aceite_proposta.php',
                data: {
                    Id, Id
                },
                dataType: "json",
                success: function (response) {
                    //console.log(response.Status);
                    Elem.html('Feito');
                    //$('#retorno').html(response);
                },
            });
        });

    });
</script>
</head>
<body>
    <!-- transicao de paginas -->
    <?php
    if($form_pagina=="Sim"){
        echo "<script type='text/javascript'>$(location).attr('href', '".$link_pagina."');</script>";
    }
    ?>
    <!-- fim transicao de paginas -->
    
<!-- page -->
<div data-role="page" id="page">
    
  <!-- header -->
  <div data-role="header" data-theme="b">
        <h1>Propostas</h1>
  </div>
  <!-- header -->
  
<div data-role="content">

<!-- <a href="cad_os_tecnico2.php?acao=entrar" data-ajax="false" class="ui-btn ui-corner-all ui-shadow ui-icon-plus ui-btn-icon-left ui-btn-b">
    Novo
</a> -->

<table data-role="table" class="ui-responsive ui-shadow" id="table">
    <thead>
        <tr style="border-bottom: 1px solid lightgray;">
            <td>Id</td>
            <td>Data</td>
            <td>Cliente</td>
            <td>Tc</td>
            <td>Valor</td>
            <td>Status</td>
        </tr>
    </thead>
    <tfoot>
        <tr>
            <td colspan="5"><div id="paginacao"><p><?php echo $_pagi_navegacion; ?></p></div></td>
        </tr>
    </tfoot>
    <tbody>
        <?php	
                while ($linha = mysqli_fetch_assoc($_pagi_result)) {
                
                $corStatus = "";
                if($linha['Status']=='Finalizado'){
                        $corStatus = "color = '#228B22' ";
                }
                if($linha['Status']=='Aberto'){
                        $corStatus = "color = '#3A5FCD' ";
                }
                if($linha['Status']=='Cancelado'){
                        $corStatus = "color = '#CD2626' ";
                }
        ?>
        <tr style="border-bottom: 1px solid lightgray;">
        <td><?php echo $linha['Lancamento'];?></td>
        <td><?php echo data_exibir($linha['Data_Venda']);?></td>
        <?php
        if(CLIENTE_RAZAO_SOCIAL=='Sim'){
            $nome = "Razao_Social";
        }else{
            $nome = "Titulo";
        }
        $cliente = mysqli_query($con,"SELECT Id,$nome as Cliente FROM cliente WHERE Id = '".$linha['Id_Cliente']."' ");
        $nome_cliente = mysqli_fetch_assoc($cliente);

        $vend1 = mysqli_query($con, "SELECT Id,Titulo as Vendedor FROM funcionario WHERE Id = '" . $linha['Id_Vendedor'] . "' ");
        $nome_vend1 = mysqli_fetch_assoc($vend1);
        ?>
        <td><?php echo $nome_cliente["Cliente"];?></td>
        <td><?php echo $nome_vend1['Vendedor'];?></td>
        <td><?php echo valor_exibir($linha['Valor_Pago']); ?></td>
        <td>
            
            <div>
                <font <?php echo $corStatus?> ><b><?php echo $linha['Status']; ?></b></font>
            </div>
            
            <?php if($linha['Status']=='Aberto'){ ?>
                <button class="aceite-proposta ui-btn ui-corner-all ui-shadow ui-btn-inline ui-icon-check ui-btn-icon-left ui-btn-b" 
                    onclick="event.preventDefault();"
                    data-id="<?php echo $linha['Id']; ?>">
                    <?php echo $linha['Banco2']=='' ? 'Aceite' : 'Feito'; ?>
                </button>
            <?php } ?>

            <a href="javascript:void(0);" class="ui-btn ui-corner-all ui-shadow ui-icon-eye ui-btn-icon-left ui-btn-b"
            onclick="window.open('../venda/proposta_brgeradores.php?id_venda=<?php echo $linha['Id'];?>','Imprimir','width=700,height=800,top=0,left=0,scrollbars=yes');"
            >
                Prop
            </a>
        </td>
        </tr>
        <?php } ?>
    </tbody>
</table>
      
      
        <!-- container Alerta -->
        <?php if($form_erro=='Sim'){ ?>
        <script type="text/javascript">
            $(function(){
                $('#dlg-falha').dialog({
                    modal:true,
                    show: { effect: "blind", duration: 350 },
                    hide: { effect: "blind", duration: 350 },
                    buttons: {
                        "Ok": function(){
                            $(this).dialog("close");
                        }
                    }
                });
            });
        </script>
        <div id="dlg-falha" title="Erro" style="background-color:#FFF">
            <p><?php echo $msg_erro;?></p>
        </div>
        <?php } ?>
        <!-- container Alerta -->
        
  </div>
  
    <!-- footer -->
    <div data-role="footer" data-position="fixed" data-theme="b">
        <h4>
        <div data-role="navbar" data-iconpos="left">
            <ul>
                <li><a href="principal_mobile.php" target="_self" class="ui-btn ui-corner-all" data-icon="back" data-ajax="false">Voltar</a></li>
            </ul>
        </div>
        </h4>
    </div>
    <!-- footer -->
    <div id="retorno"></div>
</div>
<!-- fim page -->

</body>
</html>