<?php
include_once '../include/conecta.php'; //Conecta com a nosso banco de dados MySQL
include_once '../include/ver_sessao.php'; //Verifica se a sesso est ativa
include_once '../include/funcoesPhp.php';
include_once '../menu_movimento.php';
?>
<?php
//error_reporting(E_ALL);
//ini_set('display_errors', 'On');
require_once '../nfephp/bootstrap.php';
require_once '../nfephp/config/config.php';
require_once '../nfephp/config/certificado.php';

use NFePHP\NFe\Tools;
use NFePHP\Common\Certificate;
use NFePHP\Common\Soap\SoapCurl;
use NFePHP\NFe\Common\Standardize;
use NFePHP\NFe\Complements;
use NFePHP\DA\NFe\Danfce;
use NFePHP\DA\Legacy\FilesFolders;

if ($_SERVER['REQUEST_METHOD'] == "POST") {

    if (RESTAURANTE == 'Sim') {

        if ($_POST["Senha_Gerente"]) {

            $sql = mysqli_query($con, "SELECT Id,Senha FROM usuario WHERE Senha='" . md5($_POST['Senha_Gerente']) . "' 
                            AND Ativo='Sim' AND Id_Nivel<='10' ")
                or die("ERRO no comando SQL:" . mysqli_error($con));

            if (mysqli_num_rows($sql) != 0) {
                $liberaCancelamento = true;
            } else {
                $liberaCancelamento = false;
            }
        }else {
            $liberaCancelamento = false;
        }
        
    } else {
        $liberaCancelamento = true;
    }


    // verificando a qtd minima caractes
    $qtd_val = strlen($_POST["Cancelamento"]);
    if ($qtd_val > '15') {

        if ($_POST["Cancelamento"]) {

            if ($liberaCancelamento == true) {

                if ($_POST["Verao"]) {
                    $_POST["Verao"] = 'Sim';
                } else {
                    $_POST["Verao"] = 'No';
                }

                $mot_canc = quebra_linha(limpaNome(SoPalavrasEspeciais($_POST["Cancelamento"])));


                //pegando alguns parametros
                if (SITE_SISTEMA == 'localhost') {
                    $caminho_absoluto = CAMINHO_LOCAL;
                } else {
                    $caminho_absoluto = CAMINHO_SERVIDOR_CLIENTE;
                }

                //tipo do ambiente
                if ($_POST["Ambiente"] == '1') {
                    $ambiente_nfe = 'producao';
                } else {
                    $ambiente_nfe = 'homologacao';
                }

                $caminho_cnpj = '';
                if (MULTI_EMPRESA == "Sim" || MULTI_EMPRESA2 == "Sim") {

                    $menu2 = mysqli_query($con, "SELECT Cnpj FROM unidade WHERE Id ='" . $_POST["Id_Unidade"] . "'");
                    $dados_emitente_nfe = mysqli_fetch_assoc($menu2);

                    $caminho_cnpj = CaracteresEspeciais($dados_emitente_nfe['Cnpj'], 'Sim') . "/";
                    $arq_teste = $caminho_absoluto . "/nfe_arq/nfce/{$caminho_cnpj}{$ambiente_nfe}/assinadas";
                    if (!is_dir($arq_teste)) {
                        mkdir($caminho_absoluto . "/nfe_arq/nfce/{$caminho_cnpj}", 0777);
                        mkdir($caminho_absoluto . "/nfe_arq/nfce/{$caminho_cnpj}{$ambiente_nfe}/", 0777);
                        mkdir($caminho_absoluto . "/nfe_arq/nfce/{$caminho_cnpj}{$ambiente_nfe}/assinadas/", 0777);
                        mkdir($caminho_absoluto . "/nfe_arq/nfce/{$caminho_cnpj}{$ambiente_nfe}/canceladas/", 0777);
                        mkdir($caminho_absoluto . "/nfe_arq/nfce/{$caminho_cnpj}{$ambiente_nfe}/canceladas/proc", 0777);
                        mkdir($caminho_absoluto . "/nfe_arq/nfce/{$caminho_cnpj}{$ambiente_nfe}/cartacorrecao/", 0777);
                        mkdir($caminho_absoluto . "/nfe_arq/nfce/{$caminho_cnpj}{$ambiente_nfe}/consultadas/", 0777);
                        mkdir($caminho_absoluto . "/nfe_arq/nfce/{$caminho_cnpj}{$ambiente_nfe}/dpec/", 0777);
                        mkdir($caminho_absoluto . "/nfe_arq/nfce/{$caminho_cnpj}{$ambiente_nfe}/entradas/", 0777);
                        mkdir($caminho_absoluto . "/nfe_arq/nfce/{$caminho_cnpj}{$ambiente_nfe}/enviadas/", 0777);
                        mkdir($caminho_absoluto . "/nfe_arq/nfce/{$caminho_cnpj}{$ambiente_nfe}/enviadas/aprovadas/", 0777);
                        mkdir($caminho_absoluto . "/nfe_arq/nfce/{$caminho_cnpj}{$ambiente_nfe}/enviadas/denegadas/", 0777);
                        mkdir($caminho_absoluto . "/nfe_arq/nfce/{$caminho_cnpj}{$ambiente_nfe}/enviadas/reprovadas/", 0777);
                        mkdir($caminho_absoluto . "/nfe_arq/nfce/{$caminho_cnpj}{$ambiente_nfe}/eventos/", 0777);
                        mkdir($caminho_absoluto . "/nfe_arq/nfce/{$caminho_cnpj}{$ambiente_nfe}/inutilizadas/", 0777);
                        mkdir($caminho_absoluto . "/nfe_arq/nfce/{$caminho_cnpj}{$ambiente_nfe}/pdf/", 0777);
                        mkdir($caminho_absoluto . "/nfe_arq/nfce/{$caminho_cnpj}{$ambiente_nfe}/recebidas/", 0777);
                        mkdir($caminho_absoluto . "/nfe_arq/nfce/{$caminho_cnpj}{$ambiente_nfe}/rejeitadas/", 0777);
                        mkdir($caminho_absoluto . "/nfe_arq/nfce/{$caminho_cnpj}{$ambiente_nfe}/temporarias/", 0777);
                        mkdir($caminho_absoluto . "/nfe_arq/nfce/{$caminho_cnpj}{$ambiente_nfe}/validadas/", 0777);
                    }
                }


                try {
                    $dados_cert = geraCertificado($_POST["Id_Unidade"]);
                    //carrega o conteudo do certificado.
                    $content = file_get_contents($dados_cert['pathCertsFiles'] . $dados_cert['certPfxName']);

                    $certificate = Certificate::readPfx($content, $dados_cert['certPassword']);
                    $tools = new Tools(geraConfig($_POST["Id_Unidade"]), $certificate);
                    $tools->model('65');

                    $chave = $_POST["Chave"];
                    $xJust = $mot_canc;
                    $nProt = $_POST["Protocolo"];
                    $response = $tools->sefazCancela($chave, $xJust, $nProt);

                    //voc pode padronizar os dados de retorno atraves da classe abaixo
                    //de forma a facilitar a extrao dos dados do XML
                    //NOTA: mas lembre-se que esse XML muitas vezes ser necessrio, 
                    //      quando houver a necessidade de protocolos
                    $stdCl = new Standardize($response);
                    //nesse caso $std ir conter uma representao em stdClass do XML retornado
                    $std = $stdCl->toStd();
                    //nesse caso o $arr ir conter uma representao em array do XML retornado
                    //$arr = $stdCl->toArray();
                    //nesse caso o $json ir conter uma representao em JSON do XML retornado
                    //$json = $stdCl->toJson();

                    //verifique se o evento foi processado
                    if ($std->cStat != 128) {
                        //houve alguma falha e o evento no foi processado
                        //TRATAR
                        echo "<pre>";
                        var_dump($std);
                        echo "</pre>";
                    } else {
                        $cStat = $std->retEvento->infEvento->cStat;
                        if ($cStat == '101' || $cStat == '135' || $cStat == '155') {

                            logUsuario($_SERVER['REMOTE_ADDR'], $_SESSION['Login'], $_SESSION['Email'], $_POST['Unidade'], "NF-e", "Cancelamento", $_POST["Chave"]);

                            //SUCESSO PROTOCOLAR A SOLICITAO ANTES DE GUARDAR
                            $xml = Complements::toAuthorize($tools->lastRequest, $response);

                            $data_nfe = $_POST["Data_Nfe"];
                            $data_emissao = $_POST["Data_Emissao"];
                            $data_emissao_temp = date("Ym");

                            //grave o XML protocolado e prossiga com outras tarefas de seu aplicativo
                            $filename = $caminho_absoluto . "/nfe_arq/nfce/{$caminho_cnpj}{$ambiente_nfe}/canceladas/{$data_emissao_temp}/{$chave}-CancNFe-procEvento.xml"; // Ambiente Windows
                            if (!is_dir($caminho_absoluto . "/nfe_arq/nfce/{$caminho_cnpj}{$ambiente_nfe}/canceladas/{$data_emissao_temp}/")) {
                                mkdir($caminho_absoluto . "/nfe_arq/nfce/{$caminho_cnpj}{$ambiente_nfe}/canceladas/{$data_emissao_temp}/", 0777, true);
                            }
                            file_put_contents($filename, $xml);
                            chmod($filename, 0777);


                            try {
                                $xmlProt = $caminho_absoluto . "/nfe_arq/nfce/{$caminho_cnpj}{$ambiente_nfe}/enviadas/aprovadas/{$data_nfe}/{$chave}-protNFe.xml";
                                $docxml = FilesFolders::readFile($xmlProt);
                                $cancelamento = $xml;

                                $xml_cancel = Complements::cancelRegister($docxml, $cancelamento);
                                $filename = $caminho_absoluto . "/nfe_arq/nfce/{$caminho_cnpj}{$ambiente_nfe}/canceladas/{$data_emissao_temp}/{$chave}-protNFe.xml";
                                if (!is_dir($caminho_absoluto . "/nfe_arq/nfce/{$caminho_cnpj}{$ambiente_nfe}/canceladas/{$data_emissao_temp}/")) {
                                    mkdir($caminho_absoluto . "/nfe_arq/nfce/{$caminho_cnpj}{$ambiente_nfe}/canceladas/{$data_emissao_temp}/", 0777, true);
                                }
                                file_put_contents($filename, $xml_cancel);
                                chmod($filename, 0777);

                                //copiando o arquivo para a pasta de Proc Cancelados
                                copy(
                                    $caminho_absoluto . "/nfe_arq/nfce/{$caminho_cnpj}{$ambiente_nfe}/enviadas/aprovadas/{$data_nfe}/{$chave}-protNFe.xml",
                                    $caminho_absoluto . "/nfe_arq/nfce/{$caminho_cnpj}{$ambiente_nfe}/canceladas/proc/{$data_emissao_temp}/{$chave}-protNFe.xml"
                                );

                                unlink($caminho_absoluto . "/nfe_arq/nfce/{$caminho_cnpj}{$ambiente_nfe}/enviadas/aprovadas/{$data_nfe}/{$chave}-protNFe.xml");
                            } catch (\Exception $e) {
                                echo "Erro: " . $e->getMessage();
                            }



                            //salvando no banco do sistema
                            mysqli_query($con, "UPDATE nfe SET
                                Cancelamento = '" . $mot_canc . "',
                                Status = 'Cancelada',
                                " . $padraoUpd . "
                                WHERE Id='" . $_POST["Id_Nfe"] . "' ");

                            //apenas pra saber se  COMPRA ou VENDA
                            $tipo_venda = mysqli_query($con, "Select Tipo FROM nfe_pedido WHERE Id_Nfe = '" . $_POST["Id_Nfe"] . "'");
                            $tipo_venda = mysqli_fetch_assoc($tipo_venda);
                            $tipo_tabela = strtolower($tipo_venda["Tipo"]);

                            ##SALVAR O PROTOTOCOLO NO BANCO DE DADOS ============
                            $dtCancelamento = $std->retEvento->infEvento->dhRegEvento;
                            $dataCancelamento = substr($dtCancelamento, 0, 10);
                            $horaCancelamento = substr($dtCancelamento, 11, 8);

                            //salvando no banco do sistema
                            mysqli_query($con, "UPDATE nfe SET
                                Cancelamento = '" . $mot_canc . "',
                                Status = 'Cancelada',
                                Protocolo_Cancelamento = '" . $std->retEvento->infEvento->nProt . "',
                                Data_Cancelamento = '" . $dataCancelamento . " " . $horaCancelamento . "',
                                " . $padraoUpd . "
                                WHERE Id='" . $_POST["Id_Nfe"] . "' ");

                            if (!empty($_POST["Id_Pedido"])) {
                                mysqli_query($con, "UPDATE " . $tipo_tabela . " SET Status = 'Cancelado',
                            Protocolo_Cancelamento = '" . $std->retEvento->infEvento->nProt . "',
                            Data_Cancelamento = '" . $dataCancelamento . " " . $horaCancelamento . "'
                            WHERE Id='" . $_POST["Id_Pedido"] . "' ");

                                mysqli_query($con, "UPDATE estoque SET Concluido = 'Cancelado' WHERE Id_Externo = '" . $_POST["Id_Pedido"] . "' ");

                                //passando o financeiro do vendas para EF=Sim
                                $sql_del = mysqli_query($con, "Select Id FROM conta_receber WHERE Id_Externo = '" . $_POST["Id_Pedido"] . "'");
                                while ($linha = mysqli_fetch_assoc($sql_del)) {
                                    mysqli_query($con, "UPDATE conta_receber SET Status = 'Cancelado' WHERE Id = '" . $linha["Id"] . "' ");
                                    mysqli_query($con, "UPDATE caixa SET Tipo = 'Cancelado' WHERE Id_Externo = '" . $linha["Id"] . "' ");
                                }
                            }

                            ##SALVAR O PROTOTOCOLO NO BANCO DE DADOS ============


                            ##regerando o danfe em PDF
                            $danfce = new Danfce($xml_cancel);
                            $danfce->debugMode(true);
                            $danfce->creditsIntegratorFooter('Pontti Web - http://www.pontti.com.br');
                            $danfce->monta($tools->config->pathLogoFile, $tools->config->format);
                            $pdf = $danfce->render();

                            // Uso da nomeclatura '-danfe.pdf' para facilitar a diferenciação entre PDFs DANFE e DANFCE salvos na mesma pasta...
                            $filename = $caminho_absoluto . "/nfe_arq/nfce/{$caminho_cnpj}{$ambiente_nfe}/pdf/{$data_emissao_temp}/{$chave}-danfeCanc.pdf";
                            if (!is_dir($caminho_absoluto . "/nfe_arq/nfce/{$caminho_cnpj}{$ambiente_nfe}/pdf/{$data_emissao_temp}/")) {
                                mkdir($caminho_absoluto . "/nfe_arq/nfce/{$caminho_cnpj}{$ambiente_nfe}/pdf/{$data_emissao_temp}/");
                            }
                            file_put_contents($filename, $pdf);
                            chmod($filename, 0777);

                            header('Content-Type: application/pdf');
                            echo $pdf; //o pdf porde ser exibido como view no browser


                        } else {
                            //houve alguma falha no evento 
                            //TRATAR
                            echo "<pre>";
                            var_dump($std);
                            echo "</pre>";
                        }
                    }
                } catch (\Exception $e) {
                    echo $e->getMessage();
                }

                //echo "<script>window.opener.document.forms['ordenar'].submit(); window.close();</script>";
                echo "<script>window.opener.document.forms['ordenar'].submit();</script>";
            } else {
                echo "<script>alert('Senha Incorreta!');</script>";
            }
            // fim imprimir
        } else {
            echo "<script>alert('Falta Preencher Motivo!');</script>";
        }

        //validacao caracters
    } else {
        echo "<script>alert('Precisa ter minmo 15 caracters!');</script>";
    }
}

?>
<html>

<head>
    <title>Gw - Gesto Web</title>
    <link rel="stylesheet" type="text/css" href="../estilo/<?php echo SKIN; ?>/tableless.css" />
    <link rel="stylesheet" type="text/css" href="../estilo/<?php echo SKIN; ?>/tabelas.css" />
    <script language="javascript" type="text/javascript" src="../js/jquery.js"></script>
    <script language="javascript" type="text/javascript" src="../js/script.js"></script>
    <script type="text/javascript" language="javascript">
        //Funo para dar Foco no primeiro campo
        $(document).ready(function() {
            $("#Cancelamento").focus();
        });
    </script>
</head>
<?php
$sql_del = mysqli_query($con, "Select unidade.Ambiente,
                        nfe.Chave,
                        nfe.Numero_Nota,
                        nfe.Protocolo,
                        nfe.Recibo,
                        nfe.Data_Emissao,
                        nfe.Data_Nfe,
                        nfe.Id_Pedido,
                        unidade.Id as Id_Unidade,
                        unidade.Cnpj
                        FROM nfe
                        left join (SELECT Id,Id_Nfe,Id_Unidade FROM nfe_pedido) as nfe_pedido ON nfe_pedido.Id_Nfe = nfe.Id
                        left join (SELECT Id,Ambiente,Cnpj FROM unidade) as unidade ON nfe_pedido.Id_Unidade = unidade.Id
                        WHERE nfe.Id='" . $_GET["id_nfe"] . "' ");
$linha = mysqli_fetch_assoc($sql_del);

$linha["Data_Nfe"] = str_replace('-', '', $linha["Data_Nfe"]);
$linha["Data_Nfe"] = substr($linha["Data_Nfe"], 0, -2); //formato desejado YYYYMM

$linha["Data_Emissao"] = str_replace('-', '', $linha["Data_Emissao"]);
$linha["Data_Emissao"] = substr($linha["Data_Emissao"], 0, -2); //formato desejado YYYYMM
?>

<body>
    <form action="" method="post" name="historico" enctype="multipart/form-data">

        <fieldset class="envolve">
            <legend>Cancelamento de Nota NFCe</legend>

            <input type="hidden" name="Data_Emissao" value="<?php echo $linha["Data_Emissao"] ?>">
            <input type="hidden" name="Data_Nfe" value="<?php echo $linha["Data_Nfe"] ?>">
            <input type="hidden" name="Ambiente" value="<?php echo $linha["Ambiente"] ?>">
            <input type="hidden" name="Chave" value="<?php echo $linha["Chave"] ?>">
            <input type="hidden" name="Protocolo" value="<?php echo $linha["Protocolo"] ?>">
            <input type="hidden" name="Recibo" value="<?php echo $linha["Recibo"] ?>">
            <input type="hidden" name="Id_Unidade" value="<?php echo $linha["Id_Unidade"] ?>">
            <input type="hidden" name="Cnpj" value="<?php echo CaracteresEspeciais($linha["Cnpj"], "Sim") ?>">
            <input type="hidden" name="Id_Nfe" value="<?php echo $_GET["id_nfe"] ?>">
            <input type="hidden" name="Id_Pedido" value="<?php echo $linha["Id_Pedido"] ?>">

            <div class="linhas_historico"> Nota Nmero : <b><?php echo $linha["Numero_Nota"]; ?></b></div>
            <br />

            <fieldset class="grupo">
                <div class="campo">
                    <label for="Cancelamento">Motivo do Cancelamento da Nota</label>
                    <textarea rows="8" cols="100" name="Cancelamento" id="Cancelamento"><?php echo $_POST["Cancelamento"]; ?></textarea>
                    <font size="1" color="#CD2626">Quantidade minma de caracters 15.</font>
                </div>
            </fieldset>

            <fieldset class="grupo">

                <div class="campo">
                    <label for="Verao">Horrio de Vero</label>
                    <input type="checkbox" name="Verao" id="Verao" value="Verao" <?php if ($_POST["Verao"] == 'Sim') echo "checked='checked' "; ?>>
                </div>

                <?php if (RESTAURANTE == 'Sim') { ?>

                    <div class="campo">
                        <label for="Senha_Gerente">Senha Gerente</label>
                        <input type="password" name="Senha_Gerente" id="Senha_Gerente" value="">
                    </div>
                <?php } ?>

            </fieldset>

        </fieldset>

        <button class="bt_cadastro" type="submit" name="Cancelar" value="Cancelar">Cancelar Nota</button>

        </fieldset>

    </form>

    <?php include "../include/rodape.php"; ?>
</body>

</html>