<?php
include_once '../include/conecta.php'; //Conecta com a nosso banco de dados MySQL
include_once '../include/ver_sessao.php'; //Verifica se a sesso est ativa
include_once '../include/funcoesPhp.php';
include_once '../menu_movimento.php';

if (($_GET["Ativa"]) || ($_GET["Denegada"]) || ($_GET["Cancelada"])) {

    $status = "and (";

    if ($_GET["Ativa"]) {
        $status .= " nfe.Status = 'Ativa' OR";
    }
    if ($_GET["Denegada"]) {
        $status .= " nfe.Status = 'Denegada' OR";
    }
    if ($_GET["Cancelada"]) {
        $status .= " nfe.Status = 'Cancelada' OR";
    }

    $status = substr($status, 0, -2);
    $status .= ")";
}

if ($_GET['Data_Filtro'] == 'Data_NFe') {
    if ($_GET["De"])
        $data .= "AND nfe.Data_Nfe >= '" . data_banco($_GET["De"]) . " 00:00:00' ";
    if ($_GET["Ate"])
        $data .= "AND nfe.Data_Nfe <= '" . data_banco($_GET["Ate"]) . " 23:59:59' ";
}
if ($_GET['Data_Filtro'] == 'Data_Cadastro') {
    if ($_GET["De"])
        $data .= "AND nfe.Data_Cadastro >= '" . data_banco($_GET["De"]) . " 00:00:00' ";
    if ($_GET["Ate"])
        $data .= "AND nfe.Data_Cadastro <= '" . data_banco($_GET["Ate"]) . " 23:59:59' ";
}

if ($_GET["Unidade"]) {
    $Unidade = "AND nfe.Id_Unidade = '" . $_GET["Unidade"] . "' ";
}
if ($_GET["Serie"]) {
    $Serie = "AND nfe.Serie = '" . $_GET["Serie"] . "' ";
}
if ($_GET["EF"]) {
    $EF = "AND nfe.EF = '" . $_GET["EF"] . "' ";
}

if ($_GET["Ok"]) {
    $vendaA = mysqli_query($con, "SELECT nfe.Numero_Nota,
                                            nfe.Id as Id_Nfe,
                                            nfe.Serie,
                                            nfe.Id_Pedido,
                                            nfe.Data_Nfe,
                                            nfe.Data_Cadastro,
                                            nfe.Protocolo,
                                            nfe.Chave,
                                            nfe.vProd,
                                            nfe.vDesc,
                                            nfe.Status,
                                            nfe.Valor_Nfe AS Valor_Pago
                                            FROM nfe
                                            WHERE nfe.Tipo_Nfe='NFCe' 
                                            $filt 
                                            $Serie
                                            $dataV 
                                            $data 
                                            $usuario_v 
                                            $Cliente 
                                            $Unidade 
                                            $Usuario 
                                            $status
                                            $EF
                                            ORDER BY nfe.Numero_Nota,nfe.Data_Nfe");
}
?>
<?php ob_start(); /* Inicia o fluxo*/ ?>
<html>

<head>
    <link rel="stylesheet" type="text/css" href="../estilo/<?php echo SKIN; ?>/tabela_imp.css" />
    <script type="text/javascript" language="javascript" src="../js/jquery.js"></script>
    <?php include '../include/script_cabeca.php'; ?>
    <script type="text/javascript" language="javascript" src="../js/script.js"></script>
    <script type="text/javascript" language="javascript" src="../js/meiomask/meiomask.js"></script>
    <script type="text/javascript" language="javascript" src="../js/meiomask/<?php if (PAIS == "USA") {
        echo "mascaras-usa";
    } else {
        echo "mascaras";
    } ?>.js"></script>
</head>

<body>
    <?php include "../include/cabecalho_relatorio.php"; ?>
    <table width="100%">
        <tr>
            <td>
                <font face="verdana" size="2"><i>Relatrio de NFe</i></font>
            </td>
        </tr>
        <tr>
            <td>
                <font face="verdana" size="2">
                    <?php
                    if ($_GET["De"]) {
                        echo "Perodo: " . $_GET["De"];
                    }
                    if ($_GET["Ate"]) {
                        echo "  " . $_GET["Ate"];
                    }
                    if ($_GET["Funcionario"]) {
                        $achar = listar("Select Titulo from funcionario
			where Id = '" . $_GET["Funcionario"] . "' ");
                        echo " - " . $achar[0]["Titulo"];
                    }
                    if ($_GET["Cliente"]) {
                        if (CLIENTE_RAZAO_SOCIAL == 'Sim') {
                            $nome = 'Razao_Social';
                        } else {
                            $nome = 'Titulo';
                        }
                        $achar = listar("Select " . $nome . " as Titulo from cliente
			where Id = '" . $_GET["Cliente"] . "' ");
                        echo " - " . $achar[0]["Titulo"];
                    }
                    if ($_GET["Produto"]) {
                        $achar = listar("Select Titulo from produto
			where Id = '" . $_GET["Produto"] . "' ");
                        echo " - " . $achar[0]["Titulo"];
                    }
                    if ($_GET["Tipo"]) {
                        echo " - " . $_GET["Tipo"];
                    }
                    if ($_GET["Cancelado"]) {
                        echo " - " . $_GET["Cancelado"];
                    }
                    if ($_GET["Finalizado"]) {
                        echo " - " . $_GET["Finalizado"];
                    }
                    if ($_GET["Aberto"]) {
                        echo " - " . $_GET["Aberto"];
                    }
                    //se o sistema for Multi Empresa
                    if ((MULTI_EMPRESA == "Sim") && ($_SESSION["Id_Nivel"] == '1')) {

                        if ($_GET["Unidade"]) {
                            $achar = listar("Select Titulo from unidade
						where Id = '" . $_GET["Unidade"] . "' ");
                            echo " - " . $achar[0]["Titulo"];
                        }
                    }
                    ?>
                </font>
            </td>
        </tr>
    </table>
    <br>
    <table width="100%" class="tabela">
        <tr class="azul-claro">
            <td>Nota</td>
            <td>Srie</td>
            <td>Data</td>
            <td>Sada</td>
            <td>Protocolo</td>
            <td>Chave</td>
            <td>Valor Original</td>
            <td>Desconto</td>
            <td>Valor Itens</td>
            <td>Valor NFCe</td>
            <td>Origem</td>
            <td>Status</td>
        </tr>
        <?php
        $color = "#F5F5F5";
        while ($chave = mysqli_fetch_assoc($vendaA)) {
            $verificaNFeOrigem = mysqli_query($con, "SELECT Id FROM venda WHERE Id = '" . $chave['Id_Pedido'] . "' ");
            $retornoNfe = mysqli_fetch_assoc($verificaNFeOrigem);

            if (!empty($retornoNfe)) {
                $origemNfe = 'Venda';
            } else {
                $origemNfe = 'Pdv';
            }
            if ($color == "#F5F5F5") {
                $color = "#E8E8E8";
            } else {
                $color = "#F5F5F5";
            }

            if ($color == "#F5F5F5") {
                $color = "#E8E8E8";
            } else {
                $color = "#F5F5F5";
            }
            ?>
            <tr bgcolor=<?php echo "$color"; ?>>
                <td><?php echo $chave["Numero_Nota"] ?></td>
                <td><?php echo $chave["Serie"] ?></td>
                <td><?php echo data_exibir($chave["Data_Cadastro"]) ?></td>
                <td><?php echo data_exibir($chave["Data_Nfe"]) ?></td>
                <td><?php echo $chave["Protocolo"] ?></td>
                <td><?php echo $chave["Chave"] ?></td>
                <?php
                $cod_auto1 = mysqli_query($con, "SELECT nfe_pedido_produto.Preco,
                                            nfe_pedido_produto.Qtd,
                                            nfe_pedido_produto.Desconto,
                                            nfe_pedido_produto.Desconto_Real,
                                            nfe_pedido_produto.Desconto_Real_Pe_Nota
                                            FROM nfe_pedido_produto
                                            WHERE nfe_pedido_produto.Id_Nfe = '" . $chave['Id_Nfe'] . "' ");
                $totalvenda = '';
                $ex_fun = '';
                $desctotalPDV = '';
                $vendadesc = '';
                while ($valor = mysqli_fetch_assoc($cod_auto1)) {
                    $totalvenda += ($valor['Qtd'] * $valor['Preco']);
                    $ex_fun += ((($valor['Qtd'] * $valor['Preco']) - (($valor['Qtd'] * $valor['Preco']) * ($valor['Desconto'] / 100))) - ($valor['Desconto_Real'] + $valor['Desconto_Real_Pe_Nota']));
                    $vendadesc += (($valor['Qtd'] * $valor['Preco']) * ($valor['Desconto'] / 100)) + $valor['Desconto_Real'] + $valor['Desconto_Real_Pe_Nota'];
                    $desctotalPDV += $chave["vDesc"];
                    $vtotalPDV = $chave["Valor_Pago"];
                }

                ?>
                                                        <td><?php echo valor_exibir($totalvenda); ?></td>
                                                        <td><?php echo valor_exibir($vendadesc);?></td>
                                                        <td><?php echo valor_exibir($totalvenda - $vendadesc); ?></td>
                                                        <td><?php echo valor_exibir($ex_fun); ?></td>

                </td>

                <td><?php echo $origemNfe ?></td>
                <?php
                $corStatus = "";
                if ($chave['Status'] == 'Ativa') {
                    $corStatus = "color = '#228B22' ";
                }
                if ($chave['Status'] == 'Denegada') {
                    $corStatus = "color = '#FF6400' ";
                }
                if ($chave['Status'] == 'Cancelada') {
                    $corStatus = "color = '#CD2626' ";
                }
                ?>
                <td>
                    <font <?php echo $corStatus ?>>
                        <b><?php if ($chave['Status'] == 'Ativa') {
                            echo 'Aprovada';
                        } else {
                            echo $chave["Status"];
                        } ?></b>
                    </font>
                </td>
            </tr>
            <?php
            // $descontopdv = $desctotalPDV;
            // $vtotalacumPDV = $vtotalPDV;
        
            // $vDescTotal = $vendadesc;
            $vtotalacumVNF += $ex_fun;
            $vtotalacumANF += $ex_fun;

            $TGtotalvenda += $totalvenda;

            ?>
        <?php } ?>
        <tr>
            <td colspan="12">&nbsp;</td>
        </tr>
        <tr>
            <td colspan="4" align="right">
                <b>
                    Valores Finais:
                </b> &nbsp;
            </td>
            <td colspan="2" align="right">Total Original:
                <b>
                    <?php echo valor_exibir($TGtotalvenda); ?>
                </b>
            </td>
            <td colspan="2" align="right">Tota Desconto:
                <b>
                    <?php echo valor_exibir($TGtotalvenda - $vtotalacumANF); ?>
                </b>
            </td>
            <td colspan="2" align="right">
                Total NFe:
                <b>
                    <?php echo valor_exibir($vtotalacumANF); ?>
                </b>
            </td>
            <td colspan="2" align="right">
                Total Itens:
                <b>
                    <?php echo valor_exibir($vtotalacumANF); ?>
                </b>
            </td>
        </tr>
    </table>
</body>

</html>
<?php
$html = ob_get_contents();
ob_end_clean();

include_once "../include/excel_opcao.php";
?>