<?php
include_once '../include/conecta.php'; //Conecta com a nosso banco de dados MySQL
ini_set('session.gc_maxlifetime', 60 * 120);
session_start();
//include_once '../include/ver_sessao.php'; //Verifica se a sesso est ativa
include_once '../include/funcoesPhp.php';
include_once '../menu_movimento.php';
include '../mpdf/mpdf.php';


/*=========================================================================================
Desenvolvimento:
Luciano Lima
www.netdinamica.com.br/boleto
Suporte: boleto@netdinamica.com.br

Licena de uso:
A licena deste script  para uso prprio em seu site.
No  permitida a revenda do mesmo, estando sujeito s penas prevista em lei.
A netdinamica, no se responsabiliza por quaisquer prejuzos causados pelo uso deste script.
Bem como impercia ou alteraes indevidas no cdigo fonte do mesmo.
O mesmo segue os padres definidos por cada banco, cabendo ao comprador apenas a configurao e instalao do script em seu site, bem como fazer todos os testes, para verificao do correto funcionamento do sistema.
Caso necessite da licena para revenda entre em contato.

Instrues de Instalao do Script
Leia o arquivo Boleto Bancrio em PHP ou ASP que acompanha este script, antes de iniciar a instalao.
=============================================================================================*/
if ($_POST['layout_boleto']) {
    include("carnes/include/funcoes_bradesco_net.php");

    $mpdf = new mPDF();
    $mpdf->SetDisplayMode('fullpage');
    foreach ($_POST["Id"] as $idContaReceber) {

        ob_start();

        if ($idContaReceber) {


            //Se o email foi enviado e o cliente esta abrindo
            // if($_GET["Id_Unidade_Usuario"]){
            //     mysqli_query($con,"UPDATE conta_receber SET Boleto_Lido = 'Sim' WHERE Id = '".$idContaReceber."' ");
            // }
            // //informando que j imprimiu o boleto
            // mysqli_query($con,"UPDATE conta_receber SET Boleto_Enviado = 'Sim' WHERE Id = '".$idContaReceber."' ");

            //selecionando o conta a receber do cliente
            $esc_cr = "SELECT cliente.Razao_Social as 'Cliente',
                            cliente.Rua,
                            cliente.Numero,
                            cliente.Cep,
                            cliente.Bairro,
                            cliente.Cidade,
                            cliente.Natureza,
                            cliente.Cpf_Cnpj,
                            cliente.Endereco_Cobranca,
                            cliente.Cidade_Cobranca,
                            cliente.Bairro_Cobranca,
                            cliente.Estado_Cobranca,
                            cliente.Cep_Cobranca,
                            conta_receber.Lancamento,
                            conta_receber.Descricao,
                            conta_receber.Data_Vencimento,
                            conta_receber.Data_Emissao,
                            conta_receber.Valor_Original,
                            conta_receber.Fatura,
                            conta_receber.Id_Unidade,
                            banco.Titulo as 'Conta',
                            conta.Id as idConta
                            FROM conta_receber
                            INNER JOIN (SELECT Id, Titulo,Razao_Social, Rua, Numero, Cep, Bairro,Cidade,Natureza,Cpf_Cnpj,Endereco_Cobranca,Bairro_Cobranca,Cidade_Cobranca,Estado_Cobranca,Cep_Cobranca FROM cliente) as cliente ON cliente.Id = conta_receber.Id_Cliente
                            LEFT JOIN conta ON conta.Id = conta_receber.Id_Conta
                            LEFT JOIN banco ON banco.Id = conta.Id_Banco
                            WHERE
                            conta_receber.Id = '" . $idContaReceber . "' ";

            $sql_cr = mysqli_query($con, $esc_cr) or die("Erro no SQL:" . mysqli_error($con));
            $cr = mysqli_fetch_assoc($sql_cr);


            //selecionando o banco do cliente
            $esc_banco = "SELECT Agencia,
                    Agencia_Digito,
                    Conta,
                    Conta_Digito,
                    Convenio,
                    Contrato,
                    Carteira,
                    Variacao_Carteira,
                    Instrucao1,
                    Instrucao2,
                    Desc_Instrucao1,
                    Desc_Instrucao2,
                    Juros_Dia,
                    Juros_Real,
                    Dia_Instrucao,
                    Multa,
                    Tipo_Multa
                    FROM conta
                  where conta.Id = '" . $cr["idConta"] . "' ";

            $sql_banco = mysqli_query($con, $esc_banco) or die("Erro no SQL:" . mysqli_error($con));
            $banco = mysqli_fetch_assoc($sql_banco);

            if ($banco["Tipo_Multa"] == 'Perc') {
                $banco["Multa"] = $cr["Valor_Original"] * ($banco["Multa"] / 100);
                $banco["Multa"] = valor_exibir($banco["Multa"]);
                $banco["Multa"] = str_replace('.', '', $banco["Multa"]);
                $banco["Multa"] = str_replace(',', '.', $banco["Multa"]);
            }

            //=========Dados Do Beneficirio ==================
            $entra["agencia"] = $banco["Agencia"]; // Numero da Agncia 4 Digitos s/DAC
            $entra["conta"] = $banco["Conta"]; // Numero da Conta 7 Digitos s/ DAC
            $entra["digito_conta"] = $banco["Conta_Digito"]; // Digito da Conta Corrente 1 Digito
            $entra["carteira"] = str_pad($banco["Carteira"], 2, "0", STR_PAD_LEFT); // Cdigo da Carteira
            //=========Dados Obrigatrios para gerar o Boleto =================
            if ($_GET["data"]) {
                $data_venc = $_GET["data"]; //colocando a data se for atraso
            } else {
                $data_venc = data_exibir($cr["Data_Vencimento"]);
            }
            $entra["data_vencimento"] = $data_venc;    // Data de Vencimento do Boleto formato DD/MM/AAAA (Para Contra Apresentao deixa em branco)
            $entra["data_documento"] = date("d/m/Y"); // Data de emisso do Boleto  formato DD/MM/AAAA
            if ($cr["Fatura"] == '') $cr["Fatura"] = $cr["Lancamento"];
            $entra["numero_documento"] = $cr["Fatura"];    // Numero do Pedido (ou o mesmo valor do Nosso Numero)
            $entra["nosso_numero"] = $cr["Lancamento"]; // Nosso Numero S/ DAC ( por meio deste numero que voc idenficar o boleto pago)

            //calculando o valor de juros dos dias de atraso
            if ($_GET["data"]) {

                $dia_de_hoje = data_banco($_GET["data"]);
                $data_do_banco = $cr["Data_Vencimento"];

                $time1 = strtotime($dia_de_hoje);
                $time2 = strtotime($data_do_banco);
                $dias_timestamp = $time1 - $time2;
                $dias_atraso = (int)floor($dias_timestamp / (60 * 60 * 24));

                if ($banco["Juros_Real"] > '0') {
                    $valor_atraso = ($banco["Juros_Real"] * $dias_atraso);
                } else {
                    $valor_atraso = (($cr["Valor_Original"] * ($banco["Juros_Dia"] / 100)) * $dias_atraso);
                }
                $valor_boleto = $cr["Valor_Original"] + $banco["Multa"] + $valor_atraso;
            } else {
                $valor_boleto = $cr["Valor_Original"];
            }
            $entra["valor"] = number_format($valor_boleto + $taxa_boleto, 2, ',', ''); // Valor do Boleto (Utilizar virgula como separador decimal, no use pontos)

            //=============Dados do Titular da Conta===============

            //selecionando a empresa
            $esc_emp = "SELECT Titulo, Cnpj, Rua, Numero, Cidade, Estado, Razao_Social
            FROM unidade where Id = '" . $cr["Id_Unidade"] . "' ";

            $sql_emp = mysqli_query($con, $esc_emp) or die("Erro no SQL:" . mysqli_error($con));
            $emp = mysqli_fetch_assoc($sql_emp);

            $entra["cpf_cnpj_cedente"]     = $emp["Cnpj"];
            $entra["endereco"]         = $emp["Rua"] . " - " . $emp["Numero"];
            $entra["cidade"]         = $emp["Cidade"] . " - " . $emp["Estado"];
            $entra["cedente"]         = $emp["Titulo"] . " - " . $emp["Razao_Social"];

            //===Dados do seu Cliente (Opcional)===============

            if ($entra['Radio_Endereco_Cobranca'] == 'Nao') {
                $entra["sacado"]        = $cr["Cliente"] . " - " . $cr["Cpf_Cnpj"];
                $entra["endereco1"]         = $cr["Rua"] . ', ' . $cr["Numero"];
                $entra["endereco2"]         = $cr["Cidade"] . ' - ' . $cr["Estado"] . ' - ' . $cr["Cep"];
            } else {
                $entra["sacado"]        = $cr["Cliente"] . " - " . $cr["Cpf_Cnpj"];
                $entra["endereco1"]         = $cr["Endereco_Cobranca"];
                $entra["endereco2"]         = $cr["Cidade_Cobranca"] . ' - ' . $cr["Estado_Cobranca"] . ' - ' . $cr["Cep_Cobranca"];
            }


            //selecionando as informacoes nas opcaoes
            $esc_info = "SELECT Info_Cliente1,
                        Info_Cliente2,
                        Info_Cliente3,
                        Info_Caixa1,
                        Info_Caixa2,
                        Info_Caixa3,
                        Info_Caixa4
                        FROM opcao ";

            $sql_info = mysqli_query($con, $esc_info) or die("Erro no SQL:" . mysqli_error($con));
            $info = mysqli_fetch_assoc($sql_info);

            //if($cr["Fatura"]){
            //$men_fat = "<br/>".$cr["Fatura"];
            //}
            if (($banco["Desc_Instrucao1"]) && ($banco["Instrucao1"] !== '00')) {
                $men_desc1 = "<br/>" . $banco["Desc_Instrucao1"];
            }
            if (($banco["Desc_Instrucao2"]) && ($banco["Instrucao2"] !== '00')) {
                $men_desc2 = "<br/>" . $banco["Desc_Instrucao2"];
            }
            if ($banco["Multa"] > '0') {
                $mem_jur = "<br/>Aps o vencimento cobrar Multa por Atraso de R$ " . number_format($banco["Multa"], 2, ",", ".");
            }
            if ($banco["Juros_Dia"] > '0') {
                //o juros que  cadastrado  de % por dia
                $vJuros = ($cr["Valor_Original"] * ($banco["Juros_Dia"] / 100));
                // $vJuros=str_replace('.','',$vJuros);
                // $vJuros=str_replace(',','.',$vJuros);
                $mem_jur .= "<br/>Aps o vencimento cobrar juros R$ " . number_format($vJuros, 2, ",", ".") . " por dia.";
            }

            if (CLIENTE_EMAIL == 'spw') {
                $info["Info_Cliente1"] = $cr["Descricao"] . "<br>" . $info["Info_Cliente1"];
                $info["Info_Caixa1"] = $cr["Descricao"] . "<br>" . $info["Info_Caixa1"];
            }

            //==Os Campos Abaixo so Opcionais=================
            if ($info["Info_Cliente2"]) $info["Info_Cliente2"] = " <br>" . $info["Info_Cliente2"];

            $entra["instrucoes"]         = $info["Info_Cliente1"] . $info["Info_Cliente2"]; //info cliente
            $entra["instrucoes1"]         = $info["Info_Caixa1"]; //info caixa
            $entra["instrucoes2"]         = $info["Info_Caixa2"]; //info caixa
            $entra["instrucoes3"]         = $men_fat . $men_desc1 . $men_desc2 . $mem_jur;
            $entra["instrucoes4"]         = "";
            $entra["instrucoes5"]         = "";
            $entra["data_processamento"]    = date("d/m/Y");
            $entra["quantidade"]        = "";
            $entra["valor_unitario"]     = "";

            //==Dados com valores padres ===================
            $entra["aceite"]    = "N";
            $entra["uso_banco"]     = "";
            $entra["especie"]     = "R$";
            $entra["especie_doc"]     = "DM";
            
            $b = new boleto();
            $b->banco_bradesco($entra);
            if($entra["data_vencimento"]=="") $entra["data_vencimento"] = "Contra Apresentao";

            // NO ALTERAR!
            include("./carnes/include/layout_bradesco_net.php");

            $html = ob_get_contents();
            ob_end_clean();
            $mpdf->WriteHTML($html);
        }
    }
    // echo $html;
    $mpdf->Output('boleto.pdf', 'F');
}