<?php
include_once '../include/conecta.php'; //Conecta com a nosso banco de dados MySQL
include_once '../include/ver_sessao.php'; //Verifica se a sesso est ativa
include_once '../include/funcoesPhp.php';
include_once '../menu_movimento.php';
?>
<html>
    <head>
        <title>Gw - Gesto Web</title>
        <link rel="stylesheet" type="text/css" href="../estilo/<?php echo SKIN; ?>/tableless.css" />
        <link rel="stylesheet" type="text/css" href="../estilo/<?php echo SKIN; ?>/tabelas.css" />
        <link rel="stylesheet" type="text/css" href="../js/datePicker/datePicker.css" />
        <script language="javascript" type="text/javascript" src="../js/jquery.js"></script>
        <script language="javascript" type="text/javascript" src="../js/script.js"></script>
    </head>
    <body>

        <?php
        if ($_POST['Salvar']) {
            mysqli_query($con,"UPDATE conta_receber SET Id_Conta='" . $_POST['Conta'] . "' WHERE Id_Externo = '" . $_POST["Id_Venda"] . "'");
        }

        //se a conta for Caixa Empresa, pode escolher outra conta
        $conta = mysqli_query($con,"SELECT Id_Conta,Remessa FROM conta_receber WHERE Id_Externo = '" . $_GET["id_venda"] . "'");
        $conta = mysqli_fetch_assoc($conta);

        if ($_SERVER['REQUEST_METHOD'] == 'POST') {
            //if (($conta['Id_Conta'] != '1') && ($conta['Remessa'] == 'Sim')) {

            if ($_POST["Id_Venda"] == '') {
                $_POST["Id_Venda"] = $_GET["id_venda"];
            }

            $sql_historico = mysqli_query($con,"SELECT conta_receber.Id,
                                conta_receber.Lancamento,
                                conta_receber.Descricao,
                                conta_receber.Fatura,
                                conta_receber.Valor_Original,
                                conta_receber.Data_Vencimento,
                                conta_receber.Status,
                                conta_receber.Id_Conta,
                                banco.Codigo,
                                conta.Carteira,
                                conta.Tipo_Conta,
                                Factoring
                                FROM (SELECT Id,Lancamento,Descricao,Fatura,Valor_Original,Data_Vencimento,Status,Id_Externo,Id_Conta FROM conta_receber) as conta_receber
                                left join (SELECT Id,Id_Banco,Carteira,Tipo_Conta,Factoring FROM conta) as conta ON conta_receber.Id_Conta = conta.Id
                                left join (SELECT Id,Codigo FROM banco) as banco ON conta.Id_Banco = banco.Id
                                WHERE Id_Externo='" . $_POST["Id_Venda"] . "' ");
            ?>
            <fieldset class="envolve">
                <legend>Titulos</legend>
                <table width="100%" align="center" border="0" cellpadding="2" cellspacing="2">
                    <tr>
                        <td width="5%" class="table_prod_nome">Id: </td>
                        <td width="15%" class="table_prod_nome">Data: </td>
                        <td width="20%" class="table_prod_nome">Fatura: </td>
                        <td width="15%" class="table_prod_nome">Valor: </td>
                        <td width="5%" class="table_prod_nome"></td>
                    </tr>

                    <?php while ($hist = mysqli_fetch_assoc($sql_historico)) { ?>

                        <tr bgcolor=<?php echo "$color"; ?> >
                            <td class="table_prod_valor"><?php echo $hist['Lancamento']; ?></td>
                            <td class="table_prod_valor"><?php echo data_exibir($hist['Data_Vencimento']); ?></td>
                            <td class="table_prod_valor"><?php echo $hist['Fatura']; ?></td>
                            <td class="table_prod_valor"><?php echo number_format($hist['Valor_Original'], 2, ',', '.'); ?></td>
                            <?php
                            switch ($hist["Codigo"]) {
                                case '001' :
                                    if ($hist["Carteira"] == '18')
                                        $pagina_boleto = '../boletophp/boleto_bb.php';
                                    else
                                        $pagina_boleto = '../boletophp/boleto_bb_net.php';
                                    break;
                                case '004' : $pagina_boleto = '../boletophp/boleto_nordeste_net.php';
                                    break;
                                case '104' :
                                    if ($hist["Tipo_Conta"] == 'SIGCB 6Dig')
                                        $pagina_boleto = '../boletophp/boleto_cef_sigcb.php';
                                    else if($hist["Tipo_Conta"]=='SIGCB 7Dig')
                                        $pagina_boleto ='../boletophp/boleto_cef_sigcb_net.php';
                                    else if ($hist["Tipo_Conta"] == 'SINCO')
                                        $pagina_boleto = '../boletophp/boleto_cef_sinco.php';
                                    else if ($hist["Tipo_Conta"] == 'SICOB')
                                        $pagina_boleto = '../boletophp/boleto_cef.php';
                                    break;
                                case '237' :
                                    if (($hist["Carteira"] == '06') || ($hist["Carteira"] == '03'))
                                        $pagina_boleto = '../boletophp/boleto_bradesco.php';
                                    else
                                        $pagina_boleto = '../boletophp/boleto_bradesco_net.php';
                                    break;
                                case '341' : $pagina_boleto = '../boletophp/boleto_itau.php';
                                    break;
                                case '422' : $pagina_boleto = '../boletophp/boleto_safra.php';
                                    break;
                                case '077' : $pagina_boleto ='../boletophp/boleto_inter.php';
                                    break;
                                case '409' : $pagina_boleto = '../boletophp/boleto_unibanco.php';
                                    break;
                                case '356' : $pagina_boleto = '../boletophp/boleto_real.php';
                                    break;
                                case '033' :
                                    if ($hist["Carteira"] == '101')
                                        $pagina_boleto = '../boletophp/boleto_santander_banespa.php';
                                    else
                                        $pagina_boleto = '../boletophp/boleto_santander_banespa1.php';
                                    break;
                                case '399' : $pagina_boleto = '../boletophp/boleto_hsbc.php';
                                    break;
                                case '756' : $pagina_boleto = '../boletophp/boleto_bancoob.php';
                                    break;
                                case '748' : $pagina_boleto = '../boletophp/boleto_sicredi.php';
                                    break;
                                case '136' : $pagina_boleto = '../boletophp/boleto_unicred_net.php';
                                    break;
                                    default : 
                                    if($hist["Factoring"]=='Sim'){
                                        if($hist["Codigo"]=='961'){
                                            $pagina_boleto ='../boletophp/boleto_itau_factoring.php';
                                        }else{
                                            $pagina_boleto ='../boletophp/boleto_bradesco_net_factoring.php';
                                        }
                                    }else{
                                        $pagina_boleto = '#';
                                    }
                                    break;
                            }
                            ?>
                            <td class="table_prod_valor">
                                <a href="javascript:void();"
                                   onclick="window.open('<?php echo $pagina_boleto; ?>?id_conta_receber=<?php echo $hist['Id']; ?>&id_conta=<?php echo $hist['Id_Conta']; ?>', 'Boleto Parcela', 'width=700,height=800,top=0,left=0,scrollbars=yes')">
                                    <img border="0" src="../imagem/bt_boleto.png" title="Boleto Parcela" alt="Boleto Parcela"/></a>
                            </td>
                        </tr>

                    <?php } ?>
                </table>

            </fieldset>
            <?php
        } else {
            ?>
            <form action="" method="post" name="historico">

                <fieldset class="envolve">

                    <?php
                    $cliente_nome = mysqli_query($con,"SELECT Id_Unidade FROM venda WHERE Id = '" . $_GET["id_venda"] . "'");
                    $cliente_nome = mysqli_fetch_assoc($cliente_nome);

                    $unidade = "AND conta.Id_Unidade = '" . $cliente_nome["Id_Unidade"] . "' ";
                    ?>

                    <input type="hidden" name="Id_Venda" value="<?php echo $_GET["id_venda"] ?>">

                    <fieldset class="grupo">
                        <legend>Escolha de Conta</legend>
                        <div class="campo" style="width: 80%">
                            <label for="Conta">* Conta</label>
                            <?php
                            if ($_POST["Conta"] == '') {
                                $_POST["Conta"] = $conta['Id_Conta'];
                            }

                            echo select_banco("Select DISTINCT conta.Id, CONCAT(conta.Titular,' - ',conta.Nome_Banco,' - ag.',conta.Agencia,' - cc.',conta.Conta) as Titulo
                                            from conta
                                            WHERE conta.Ativo = 'Sim' $conta_c $unidade
                                            order by Titulo", "Conta", "Conta", $_POST["Conta"], '', "");
                            ?>
                        </div>
                    </fieldset>

                    <button class="bt_cadastro" type="submit" name="Salvar" value="Salvar">Salvar</button>

                </fieldset>

            </form>
        <?php } ?>
        <?php include "../include/rodape.php"; ?>
    </body>
</html>