<?php
include_once '../include/conecta.php'; //Conecta com a nosso banco de dados MySQL
include_once '../include/ver_sessao.php'; //Verifica se a sesso est ativa
include_once '../include/funcoesPhp.php';
include_once '../menu_movimento.php';
?>
<?php
if ($_GET['Data_Filtro'] == 'Data_NFe') {
    if ($_GET["De"])
        $data .= "AND nfe.Data_Nfe >= '" . data_banco($_GET["De"]) . " 00:00:00' ";
    if ($_GET["Ate"])
        $data .= "AND nfe.Data_Nfe <= '" . data_banco($_GET["Ate"]) . " 23:59:59' ";
}
if ($_GET['Data_Filtro'] == 'Data_Cadastro') {
    if ($_GET["De"])
        $data .= "AND nfe.Data_Cadastro >= '" . data_banco($_GET["De"]) . " 00:00:00' ";
    if ($_GET["Ate"])
        $data .= "AND nfe.Data_Cadastro <= '" . data_banco($_GET["Ate"]) . " 23:59:59' ";
}
if ($_GET["Cfop"]) {
    $cfop = "AND nfe.Cfop = '" . $_GET["Cfop"] . "' ";
}

if (($_GET["Ativa"]) || ($_GET["Denegada"]) || ($_GET["Sem_Emissao"]) || ($_GET["Cancelada"])) {

    $status = "AND (";

    if ($_GET["Sem_Emissao"]) {
        $status .= " nfe.Protocolo = '' OR";
    }
    if ($_GET["Ativa"]) {
        $status .= " (nfe.Protocolo != '' AND nfe.Status = 'Ativa') OR";
    }
    if ($_GET["Denegada"]) {
        $status .= " nfe.Status = 'Denegada' OR";
    }
    if ($_GET["Cancelada"]) {
        $status .= " nfe.Status = 'Cancelada' OR";
    }


    $status = substr($status, 0, -2);
    $status .= ")";
}


if ($_GET["Unidade"]) {
    $UnidadeCan = "AND nfe.Id_Unidade = '" . $_GET["Unidade"] . "' ";
}
if ($_GET["Serie"]) {
    $Serie = "AND nfe.Serie = '" . $_GET["Serie"] . "' ";
}
if ($_GET["Unidade"]) {
    $Unidade = "AND nfe.Id_Unidade = '" . $_GET["Unidade"] . "' ";
}

if ($_GET["Estado"]) {
    $Estado = "AND cliente.Estado = '" . $_GET["Estado"] . "' ";
}
if ($_GET["Ok"]) {
    $vendaA = mysqli_query($con, "SELECT nfe.Numero_Nota,
                                            nfe.Id as Id_Nfe,
                                            nfe.Serie,
                                            nfe.Status,
                                            venda.Lancamento as Venda,
                                            nfe.Data_Nfe,
                                            nfe.Data_Cadastro,
                                            nfe.Protocolo,
                                            nfe.Chave,
                                            nfe.Cfop,
                                            nfe.Valor_Nfe AS Valor_Pago,
                                            tipo_pagamento.Titulo as Pagamento,
                                            nfe.Id_Pedido,
                                            venda.Id as Id_Venda,
                                            venda.Id_Cliente,
                                            cliente.Estado
                                       FROM nfe
                                  LEFT JOIN (SELECT Id,Id_Tipo_Pagamento,Lancamento,Id_Cliente FROM venda) as venda ON venda.Id = nfe.Id_Pedido
                                  LEFT JOIN (SELECT Id,Titulo FROM tipo_pagamento) as tipo_pagamento ON tipo_pagamento.Id = venda.Id_Tipo_Pagamento
                                  LEFT JOIN (SELECT Id,Estado FROM cliente) as cliente ON cliente.Id = venda.Id_Cliente
                                       WHERE nfe.Tipo_Nfe='NFe'
                                            $filt $Serie $status $Usuario $cfop
                                            $dataV $data $usuario_v $Cliente $Unidade $Estado
                                            order by nfe.Numero_Nota,nfe.Data_Nfe");
}
?>
<?php ob_start(); /* Inicia o fluxo */ ?>
<html>

<head>
    <link rel="stylesheet" type="text/css" href="../estilo/<?php echo SKIN; ?>/tabela_imp.css" />
    <script type="text/javascript" language="javascript" src="../js/jquery.js"></script>
    <?php include '../include/script_cabeca.php'; ?>
    <script type="text/javascript" language="javascript" src="../js/script.js"></script>
    <script type="text/javascript" language="javascript" src="../js/meiomask/meiomask.js"></script>
    <script type="text/javascript" language="javascript" src="../js/meiomask/<?php if (PAIS == "USA") {
                                                                                    echo "mascaras-usa";
                                                                                } else {
                                                                                    echo "mascaras";
                                                                                } ?>.js"></script>
</head>

<body>
    <?php include "../include/cabecalho_relatorio.php"; ?>
    <table width="100%">
        <tr>
            <td>
                <font face="verdana" size="2"><i>Relatrio de NFe</i></font>
            </td>
        </tr>
        <tr>
            <td>
                <font face="verdana" size="2">
                    <?php
                    if ($_GET["De"]) {
                        echo "Perodo: " . $_GET["De"];
                    }
                    if ($_GET["Ate"]) {
                        echo "  " . $_GET["Ate"];
                    }
                    if ($_GET["Funcionario"]) {
                        $achar = listar("Select Titulo from funcionario
			where Id = '" . $_GET["Funcionario"] . "' ");
                        echo " - " . $achar[0]["Titulo"];
                    }
                    if ($_GET["Cliente"]) {
                        if (CLIENTE_RAZAO_SOCIAL == 'Sim') {
                            $nome = 'Razao_Social';
                        } else {
                            $nome = 'Titulo';
                        }
                        $achar = listar("Select " . $nome . " as Titulo from cliente
			where Id = '" . $_GET["Cliente"] . "' ");
                        echo " - " . $achar[0]["Titulo"];
                    }
                    if ($_GET["Produto"]) {
                        $achar = listar("Select Titulo from produto
			where Id = '" . $_GET["Produto"] . "' ");
                        echo " - " . $achar[0]["Titulo"];
                    }
                    if ($_GET["Tipo"]) {
                        echo " - " . $_GET["Tipo"];
                    }
                    if ($_GET["Cancelado"]) {
                        echo " - " . $_GET["Cancelado"];
                    }
                    if ($_GET["Finalizado"]) {
                        echo " - " . $_GET["Finalizado"];
                    }
                    if ($_GET["Aberto"]) {
                        echo " - " . $_GET["Aberto"];
                    }
                    //se o sistema for Multi Empresa
                    if ((MULTI_EMPRESA == "Sim") && ($_SESSION["Id_Nivel"] == '1')) {

                        if ($_GET["Unidade"]) {
                            $achar = listar("Select Titulo from unidade
						where Id = '" . $_GET["Unidade"] . "' ");
                            echo " - " . $achar[0]["Titulo"];
                        }
                    }
                    ?>
                </font>
            </td>
        </tr>
    </table>
    <br>
    <table width="100%" class="tabela">
        <tr class="azul-claro">
            <td></td>
            <td>Nota</td>
            <td>Srie</td>
            <td>Data</td>
            <td>Sada</td>
            <td>Protocolo</td>
            <td>Chave</td>
            <td>Valor NFe</td>
            <td>Cfop</td>
            <td>Status</td>
            <td>Venda</td>
            <td>Pagamento</td>
            <td>Valor Itens</td>
        </tr>
        <?php
        $color = "#F5F5F5";
        $contador = 1;
        while ($chave = mysqli_fetch_assoc($vendaA)) {

            $corStatus = "";
            if ($chave['Status'] == 'Ativa') {
                $corStatus = "color = '#228B22' ";
            }
            if ($chave['Status'] == 'Denegada') {
                $corStatus = "color = '#4B0082' ";
            }
            if ($chave['Status'] == 'Cancelada') {
                $corStatus = "color = '#CD2626' ";
            }
            if ($chave["Protocolo"] == '' && $chave["Status"] == 'Ativa') {
                $corStatus = "color = '#000' ";
            }

            if ($color == "#F5F5F5") {
                $color = "#E8E8E8";
            } else {
                $color = "#F5F5F5";
            }
        ?>
            <tr bgcolor=<?php echo "$color"; ?>>
                <td><?= $contador; ?></td>
                <td><?php echo $chave["Numero_Nota"] ?></td>
                <td><?php echo $chave["Serie"] ?></td>
                <td><?php echo data_exibir($chave["Data_Cadastro"]) ?></td>
                <td><?php echo data_exibir($chave["Data_Nfe"]) ?></td>
                <td><?php echo $chave["Protocolo"] ?></td>
                <td><?php echo $chave["Chave"] ?></td>
                <td><?php echo valor_exibir($chave["Valor_Pago"]); ?></td>
                <?php
                $cod_auto1 = mysqli_query($con, "SELECT nfe_pedido_produto.Preco,
                                            nfe_pedido_produto.Qtd,
                                            nfe_pedido_produto.Desconto,
                                            nfe_pedido_produto.Desconto_Real
                                            FROM nfe_pedido_produto
                                            WHERE nfe_pedido_produto.Id_Nfe = '" . $chave['Id_Nfe'] . "' ");
                $ex_fun = '';
                while ($valor = mysqli_fetch_assoc($cod_auto1)) {
                    $ex_fun += ((($valor['Qtd'] * $valor['Preco']) - (($valor['Qtd'] * $valor['Preco']) * ($valor['Desconto'] / 100))) - $valor['Desconto_Real']);
                }
                ?>
                <td><?php echo $chave["Cfop"] ?></td>
                <td>
                    <font <?php echo $corStatus ?>>
                        <b>
                            <?php
                            if ($chave["Protocolo"] == '' && $chave["Status"] != 'Denegada') {
                                echo 'Sem Emisso';
                            } elseif ($chave["Status"] == 'Ativa') {
                                echo 'Aprovada';
                            } else {
                                echo $chave["Status"];
                            }
                            ?>
                        </b>
                    </font>
                </td>

                <td><?php echo $chave["Venda"] ?></td>
                <td><?php echo $chave["Pagamento"] ?></td>
                <td><?php echo valor_exibir($ex_fun) ?></td>
            </tr>
            <?php
            if($chave["Protocolo"]!=''){
                $vtotalacumV += $chave["Valor_Pago"];
                $vtotalacumA += $chave["Valor_Pago"];

                $vtotalacumVNF += $ex_fun;
                $vtotalacumANF += $ex_fun;
            }
            ?>

            <?php
            $corStatus = "";
            if ($chave['Status'] == 'Ativa') {
                $corStatus = "color = '#228B22' ";
            }
            if ($chave['Status'] == 'Denegada') {
                $corStatus = "color = '#3A5FCD' ";
            }
            if ($chave['Status'] == 'Cancelada') {
                $corStatus = "color = '#CD2626' ";
            }

            if ($chave["Status"] == 'Ativa') {
                $chave["Status"] = "Ativa";
            }
            if ($chave["Status"] == 'Denegada') {
                $chave["Status"] = "Denegada";
            }
            if ($chave["Status"] == 'Cancelada') {
                $chave["Status"] = "Cancelada";
            }


            if($chave["Protocolo"]!=''){
                $vtotalacum[$chave["Status"]] += $chave["Valor_Pago"];
                $vtotalacumA += $chave["Valor_Pago"];
            }
            $contador++;
            ?>

        <?php } ?>
        <tr>
            <td colspan="12">&nbsp;</td>
        </tr>

        <tr>
            <!--                            <td colspan="8" align="right"><b>Valores Finais:</b> &nbsp;</td>
                            <td colspan="2" align="right">Total NFe: <b><?php echo valor_exibir($vtotalacumV); ?></b></td>
                            <td colspan="2" align="right">Total Itens: <b><?php echo valor_exibir($vtotalacumVNF); ?></b></td>-->
            <td colspan="12" align="center">
                <b>
                    Total Itens : <b><?php echo valor_exibir($vtotalacumVNF); ?></b>&nbsp;&nbsp;&nbsp;
                    Aprovada : <b><?php echo valor_exibir($vtotalacum["Ativa"]); ?></b>&nbsp;&nbsp;&nbsp;
                    Denegada : <b><?php echo valor_exibir($vtotalacum["Denegada"]); ?></b>&nbsp;&nbsp;&nbsp;
                    Cancelada : <b><?php echo valor_exibir($vtotalacum["Cancelada"]); ?></b>&nbsp;&nbsp;&nbsp;
                    Total Geral : <b><?php echo valor_exibir($vtotalacum["Ativa"] + $vtotalacum["Cancelada"] + $vtotalacum["Denegada"]); ?></b>
                </b>
            </td>
        </tr>

    </table>
</body>

</html>
<?php
$html = ob_get_contents();
ob_end_clean();

include_once "../include/pdf_opcao.php";
?>