<?php
include_once '../include/conecta.php'; //Conecta com a nosso banco de dados MySQL
include_once '../include/ver_sessao.php'; //Verifica se a sesso est ativa
include_once '../include/funcoesPhp.php';
include_once '../menu_movimento.php';

if(!empty($_GET["id_pedido"])){//funcao que vem das vendas
    $pedido = mysqli_query($con,"Select Id FROM nfe WHERE Id_Pedido = '" . $_GET["id_pedido"] . "'");
    $pedido = mysqli_fetch_assoc($pedido);
    $_GET["id_nfe"] = $pedido["Id"];
}

set_time_limit(20);

$menu2 = mysqli_query($con,"SELECT
            unidade.Id,
            unidade.Ambiente,
            unidade.Cnpj,
            nfe.Data_Emissao,
            nfe.Data_Nfe,
            nfe_pedido.Id as Id_Pedido,
            nfe.Numero_Nota,
            nfe.Tipo,
            nfe.Protocolo_Cancelamento,
            nfe.Status,
            nfe.Exibir_Pis_Danfe,
            nfe_pedido.Tipo as Tipo_Tabela
            FROM unidade
            left join (SELECT Id,Id_Unidade,Id_Nfe,Tipo FROM nfe_pedido) as nfe_pedido ON nfe_pedido.Id_Unidade = unidade.Id
            left join (SELECT Id,Data_Emissao,Data_Nfe,Numero_Nota,Tipo,Protocolo_Cancelamento,Status,Exibir_Pis_Danfe FROM nfe) as nfe ON nfe.Id = nfe_pedido.Id_Nfe
            WHERE nfe_pedido.Id_Nfe='" . $_GET["id_nfe"] . "'");

$dados_emitente_nfe = mysqli_fetch_assoc($menu2);

if($dados_emitente_nfe["Exibir_Pis_Danfe"]=='Sim'){
    $exibirPIS = TRUE;
}else{
    $exibirPIS = FALSE;
}

if (SITE_SISTEMA == 'localhost') {
    $caminho_absoluto = CAMINHO_LOCAL;
} else {
    $caminho_absoluto = CAMINHO_SERVIDOR_CLIENTE;
}

//tipo do ambiente
if ($dados_emitente_nfe["Ambiente"] == '1') {
    $ambiente_nfe = 'producao';
} else {
    $ambiente_nfe = 'homologacao';
}

$data_nfe = str_replace('-', '', $dados_emitente_nfe["Data_Nfe"]);
$data_nfe = substr($data_nfe, 0, -2); //formato desejado YYYYMM

$data_emissao = str_replace('-', '', $dados_emitente_nfe["Data_Emissao"]);
$data_emissao = substr($data_emissao, 0, -2); //formato desejado YYYYMM

$data_emissao_temp = date("Ym");


$caminho_cnpj='';
if (MULTI_EMPRESA == "Sim" || MULTI_EMPRESA2 == "Sim") {
    $caminho_cnpj = CaracteresEspeciais($dados_emitente_nfe['Cnpj'],'Sim')."/";
    $arq_teste = $caminho_absoluto . "/nfe_arq/nfe/{$caminho_cnpj}{$ambiente_nfe}/assinadas";
    if(!is_dir($arq_teste)){
        mkdir($caminho_absoluto . "/nfe_arq/nfe/{$caminho_cnpj}", 0777);
        mkdir($caminho_absoluto . "/nfe_arq/nfe/{$caminho_cnpj}{$ambiente_nfe}/", 0777);
        mkdir($caminho_absoluto . "/nfe_arq/nfe/{$caminho_cnpj}{$ambiente_nfe}/assinadas/", 0777);
        mkdir($caminho_absoluto . "/nfe_arq/nfe/{$caminho_cnpj}{$ambiente_nfe}/canceladas/", 0777);
        mkdir($caminho_absoluto . "/nfe_arq/nfe/{$caminho_cnpj}{$ambiente_nfe}/canceladas/proc", 0777);
        mkdir($caminho_absoluto . "/nfe_arq/nfe/{$caminho_cnpj}{$ambiente_nfe}/cartacorrecao/", 0777);
        mkdir($caminho_absoluto . "/nfe_arq/nfe/{$caminho_cnpj}{$ambiente_nfe}/consultadas/", 0777);
        mkdir($caminho_absoluto . "/nfe_arq/nfe/{$caminho_cnpj}{$ambiente_nfe}/dpec/", 0777);
        mkdir($caminho_absoluto . "/nfe_arq/nfe/{$caminho_cnpj}{$ambiente_nfe}/entradas/", 0777);
        mkdir($caminho_absoluto . "/nfe_arq/nfe/{$caminho_cnpj}{$ambiente_nfe}/enviadas/", 0777);
        mkdir($caminho_absoluto . "/nfe_arq/nfe/{$caminho_cnpj}{$ambiente_nfe}/enviadas/aprovadas/", 0777);
        mkdir($caminho_absoluto . "/nfe_arq/nfe/{$caminho_cnpj}{$ambiente_nfe}/enviadas/denegadas/", 0777);
        mkdir($caminho_absoluto . "/nfe_arq/nfe/{$caminho_cnpj}{$ambiente_nfe}/enviadas/reprovadas/", 0777);
        mkdir($caminho_absoluto . "/nfe_arq/nfe/{$caminho_cnpj}{$ambiente_nfe}/eventos/", 0777);
        mkdir($caminho_absoluto . "/nfe_arq/nfe/{$caminho_cnpj}{$ambiente_nfe}/inutilizadas/", 0777);
        mkdir($caminho_absoluto . "/nfe_arq/nfe/{$caminho_cnpj}{$ambiente_nfe}/pdf/", 0777);
        mkdir($caminho_absoluto . "/nfe_arq/nfe/{$caminho_cnpj}{$ambiente_nfe}/recebidas/", 0777);
        mkdir($caminho_absoluto . "/nfe_arq/nfe/{$caminho_cnpj}{$ambiente_nfe}/rejeitadas/", 0777);
        mkdir($caminho_absoluto . "/nfe_arq/nfe/{$caminho_cnpj}{$ambiente_nfe}/temporarias/", 0777);
        mkdir($caminho_absoluto . "/nfe_arq/nfe/{$caminho_cnpj}{$ambiente_nfe}/validadas/", 0777);
    }
}


error_reporting(E_ALL);
ini_set('display_errors', 'On');
require_once '../nfephp/bootstrap.php';
require_once '../nfephp/config/config.php';
require_once '../nfephp/config/certificado.php';

use NFePHP\NFe\Tools;
use NFePHP\Common\Certificate;
use NFePHP\Common\Soap\SoapCurl;
use NFePHP\NFe\Common\Standardize;
use NFePHP\NFe\Complements;
use NFePHP\DA\NFe\Danfe;
use NFePHP\DA\Legacy\FilesFolders;


$chave = $_GET["chave"];

##verificando se ja existe DANFE
if (($dados_emitente_nfe["Status"] == 'Cancelada') && isset($dados_emitente_nfe["Protocolo_Cancelamento"])) {
    $pathPdf = $caminho_absoluto."/nfe_arq/nfe/{$caminho_cnpj}{$ambiente_nfe}/pdf/{$data_emissao}/{$chave}-danfeCanc.pdf";
    $filename = "{$chave}-danfeCanc.pdf";
} else {
    $pathPdf = $caminho_absoluto."/nfe_arq/nfe/{$caminho_cnpj}{$ambiente_nfe}/pdf/{$data_emissao}/{$chave}-danfe.pdf";
    $filename = "{$chave}-danfe.pdf";
}

if (file_exists($pathPdf)) {
    
    ##Colocando o campo Fatura
    $id_pedido = $dados_emitente_nfe["Id_Pedido"];
    $_POST["Tipo"] = $dados_emitente_nfe["Tipo"];
    $_POST["Numero_Nota"] = $dados_emitente_nfe["Numero_Nota"];

    include "fatura_pedido.php";

    $tipo_tabela = strtolower($dados_emitente_nfe["Tipo_Tabela"]);
    
    mysqli_query($con,"UPDATE venda SET Chave_Nfe = '" . $chave . "',
            Data_Nfe = '".$dados_emitente_nfe["Data_Nfe"]."',
            EF = 'Sim'
            WHERE Id='" . $dados_emitente_nfe["Id_Pedido"] . "' ");
    
    ##exibe o PDF do DANFE
    header('Content-type: application/pdf');
    header('Content-Disposition: inline; filename="'.$filename.'"');

    @readfile($pathPdf);
    ##FIM exibe o PDF do DANFE
} else {
    ##regerar o PDF
    if (($dados_emitente_nfe["Status"] == 'Cancelada') && isset($dados_emitente_nfe["Protocolo_Cancelamento"])) {
        $file_proc = $caminho_absoluto."/nfe_arq/nfe/{$caminho_cnpj}{$ambiente_nfe}/canceladas/{$data_emissao}/{$chave}-protNFe.xml";
    } else {
        $file_proc = $caminho_absoluto."/nfe_arq/nfe/{$caminho_cnpj}{$ambiente_nfe}/enviadas/aprovadas/{$data_emissao}/{$chave}-protNFe.xml";
    }
    
    if (!file_exists($file_proc)) {
        $file_proc = $caminho_absoluto."/nfe_arq/nfe/{$caminho_cnpj}{$ambiente_nfe}/enviadas/denegadas/{$data_emissao}/{$chave}-protNFe.xml";
    }

    if (file_exists($file_proc)) {
        ##gerando o PDF do PROC
        try {

            $dados_cert = geraCertificado($dados_emitente_nfe["Id"]);
            //carrega o conteudo do certificado.
            $content = file_get_contents($dados_cert['pathCertsFiles'].$dados_cert['certPfxName']);

            $certificate = Certificate::readPfx($content, $dados_cert['certPassword']);
            $tools = new Tools(geraConfig($dados_emitente_nfe["Id"]), $certificate);
            $tools->model('55');

            ##regerando o danfe em PDF
            $xmlProt = $caminho_absoluto."/nfe_arq/nfe/{$caminho_cnpj}{$ambiente_nfe}/enviadas/aprovadas/{$data_emissao}/{$chave}-protNFe.xml";
            if (!file_exists($xmlProt)) {
                $xmlProt = $caminho_absoluto."/nfe_arq/nfe/{$caminho_cnpj}{$ambiente_nfe}/enviadas/denegadas/{$data_emissao}/{$chave}-protNFe.xml";
            }
            $docxml = FilesFolders::readFile($xmlProt);

            //header("Content-type: text/xml");exit($docxml);
            
            $danfe = new Danfe($docxml);
            $danfe->debugMode(true);
            $danfe->creditsIntegratorFooter('Pontti Web - http://www.pontti.com.br');
            $danfe->monta($tools->config->pathLogoFile, $tools->config->format, $exibirPIS);
            $pdf = $danfe->render();

            ##salvando o pdf
            //$filename = "/var/www/nfe/homologacao/assinadas/{$data_emissao}/{$chave}-nfe.xml"; // Ambiente Linux
            $filename = $caminho_absoluto."/nfe_arq/nfe/{$caminho_cnpj}{$ambiente_nfe}/pdf/{$data_emissao}/{$chave}-danfe.pdf"; // Ambiente Windows
            if(!is_dir($caminho_absoluto."/nfe_arq/nfe/{$caminho_cnpj}{$ambiente_nfe}/pdf/{$data_emissao}/")){
                mkdir($caminho_absoluto."/nfe_arq/nfe/{$caminho_cnpj}{$ambiente_nfe}/pdf/{$data_emissao}/", 0777, true);
            }
            file_put_contents($filename, $pdf);
            chmod($filename, 0777);

            header('Content-Type: application/pdf');
            echo $pdf;//o pdf porde ser exibido como view no browser

        } catch (\Exception $e) {
            echo $e->getMessage();
        }
        
        ##FIM gerando o PDF do PROC
    }else{
        ##regerar PROC e DANFE
        
        
try {

    $dados_cert = geraCertificado($dados_emitente_nfe["Id"]);
    
    //carrega o conteudo do certificado.
    $content = file_get_contents($dados_cert['pathCertsFiles'].$dados_cert['certPfxName']);

    $certificate = Certificate::readPfx($content, $dados_cert['certPassword']);
    $tools = new Tools(geraConfig($dados_emitente_nfe["Id"]), $certificate);
    $tools->model('55');

    
    $response = $tools->sefazConsultaChave($chave);

    //voc pode padronizar os dados de retorno atraves da classe abaixo
    //de forma a facilitar a extrao dos dados do XML
    //NOTA: mas lembre-se que esse XML muitas vezes ser necessrio, 
    //      quando houver a necessidade de protocolos
    $stdCl = new Standardize($response);
    //nesse caso $std ir conter uma representao em stdClass do XML
    $std = $stdCl->toStd();
    //nesse caso o $arr ir conter uma representao em array do XML
    //$arr = $stdCl->toArray();
    //nesse caso o $json ir conter uma representao em JSON do XML
    //$json = $stdCl->toJson();

} catch (\Exception $e) {
    echo $e->getMessage();
}

if ($std->cStat == '100') {//nfe autorizada, regerando o proc

##Colocando o campo Fatura
    $id_pedido = $dados_emitente_nfe["Id_Pedido"];
    $_POST["Tipo"] = $dados_emitente_nfe["Tipo"];
    $_POST["Numero_Nota"] = $dados_emitente_nfe["Numero_Nota"];

    include "fatura_pedido.php";

    $tipo_tabela = strtolower($dados_emitente_nfe["Tipo_Tabela"]);

##SALVAR O PROTOTOCOLO NO BANCO DE DADOS ============
    mysqli_query($con,"UPDATE nfe SET Chave='" . $chave . "',
            Protocolo='" .$std->protNFe->infProt->nProt. "',
            EF = 'Sim'
            WHERE Id='" . $_GET["id_nfe"] . "' ");

    mysqli_query($con,"UPDATE venda SET Chave_Nfe = '" . $chave . "',
            Data_Nfe = '".$dados_emitente_nfe["Data_Nfe"]."',
            Protocolo = '" .$std->protNFe->infProt->nProt. "',
            EF = 'Sim'
            WHERE Id='" . $dados_emitente_nfe["Id_Pedido"] . "' ");
//passando o financeiro do vendas para EF=Sim
    $sql_del = mysqli_query($con,"Select Id FROM conta_receber WHERE Id_Externo = '" . $dados_emitente_nfe["Id_Pedido"] . "'");
    while ($linha = mysqli_fetch_assoc($sql_del)) {
        mysqli_query($con,"UPDATE conta_receber SET EF = 'Sim' WHERE Id = '" . $linha["Id"] . "' ");
        mysqli_query($con,"UPDATE caixa SET EF = 'Sim' WHERE Id_Externo = '" . $linha["Id"] . "' ");
    }

    mysqli_query($con,"UPDATE compra SET Chave_Nfe = '" . $chave . "',
            Protocolo = '" .$std->protNFe->infProt->nProt. "',
            EF = 'Sim'
            WHERE Id='" . $dados_emitente_nfe["Id_Pedido"] . "' ");
//passando o financeiro do vendas para EF=Sim
    $sql_del = mysqli_query($con,"Select Id FROM conta_pagar WHERE Id_Externo = '" . $dados_emitente_nfe["Id_Pedido"] . "'");
    while ($linha = mysqli_fetch_assoc($sql_del)) {
        mysqli_query($con,"UPDATE conta_pagar SET EF = 'Sim' WHERE Id = '" . $linha["Id"] . "' ");
        mysqli_query($con,"UPDATE caixa SET EF = 'Sim' WHERE Id_Externo = '" . $linha["Id"] . "' ");
    }
##SALVAR O PROTOTOCOLO NO BANCO DE DADOS ============

    ##verificando se ja existe DANFE
    $file_teste = $caminho_absoluto."/nfe_arq/nfe/{$caminho_cnpj}{$ambiente_nfe}/enviadas/aprovadas/{$data_emissao}/{$chave}-protNFe.xml";

    if (file_exists($file_teste)) { //verificacao do DANFE ja assinado
//se o danfe existir no faz nada
    } else {

##colocando o PROTOCOLO no XML Assinado e salvando
        $pathNFefile = $caminho_absoluto."/nfe_arq/nfe/{$caminho_cnpj}{$ambiente_nfe}/assinadas/{$data_emissao}/{$chave}-nfe.xml";
        $xmlAssinado = FilesFolders::readFile($pathNFefile);

        $protocol = new NFePHP\NFe\Factories\Protocol();
        $xmlProtocolado = $protocol->add($xmlAssinado,$response);
        
        ##salvando o procNFe
        //$filename = "/var/www/nfe/homologacao/assinadas/{$data_emissao}/{$chave}-nfe.xml"; // Ambiente Linux
        $filename = $caminho_absoluto."/nfe_arq/nfe/{$caminho_cnpj}{$ambiente_nfe}/enviadas/aprovadas/{$data_emissao}/{$chave}-protNFe.xml"; // Ambiente Windows
        if(!is_dir($caminho_absoluto."/nfe_arq/nfe/{$caminho_cnpj}{$ambiente_nfe}/enviadas/aprovadas/{$data_emissao}/")){
            mkdir($caminho_absoluto."/nfe_arq/nfe/{$caminho_cnpj}{$ambiente_nfe}/enviadas/aprovadas/{$data_emissao}/", 0777, true);
        }
        file_put_contents($filename, $xmlProtocolado);
        chmod($filename, 0777);

    }//fim - verificacao DANFE
    
##regerando o danfe em PDF
    $xmlProt = $caminho_absoluto."/nfe_arq/nfe/{$caminho_cnpj}{$ambiente_nfe}/enviadas/aprovadas/{$data_emissao}/{$chave}-protNFe.xml";
    $docxml = FilesFolders::readFile($xmlProt);
    
    $danfe = new Danfe($docxml);
    $danfe->debugMode(true);
    $danfe->creditsIntegratorFooter('Pontti Web - http://www.pontti.com.br');
    $danfe->monta($tools->config->pathLogoFile, $tools->config->format, $exibirPIS);
    $pdf = $danfe->render();

    ##salvando o pdf
    //$filename = "/var/www/nfe/homologacao/assinadas/{$data_emissao}/{$chave}-nfe.xml"; // Ambiente Linux
    $filename = $caminho_absoluto."/nfe_arq/nfe/{$caminho_cnpj}{$ambiente_nfe}/pdf/{$data_emissao}/{$chave}-danfe.pdf"; // Ambiente Windows
    if(!is_dir($caminho_absoluto."/nfe_arq/nfe/{$caminho_cnpj}{$ambiente_nfe}/pdf/{$data_emissao}/")){
        mkdir($caminho_absoluto."/nfe_arq/nfe/{$caminho_cnpj}{$ambiente_nfe}/pdf/{$data_emissao}/", 0777, true);
    }
    file_put_contents($filename, $pdf);
    chmod($filename, 0777);
    
    header('Content-Type: application/pdf');
    echo $pdf;//o pdf porde ser exibido como view no browser

}


if ($std->cStat == '101') {//nfe cancelada

    //entrando no retorno para pegar o evento de cancelamento
    if ($std->procEventoNFe->evento->infEvento->tpEvento == '110111') {
        ##-- evento cancelamento --##

    ##SALVAR O PROTOTOCOLO NO BANCO DE DADOS ============
        $dtCancelamento = $std->procEventoNFe->retEvento->infEvento->dhRegEvento;
        $dataCancelamento = substr($dtCancelamento, 0, 10);
        $horaCancelamento = substr($dtCancelamento, 11, 8);
        $protocoloCancelamento = $std->procEventoNFe->retEvento->infEvento->nProt;

        mysqli_query($con,"UPDATE nfe SET Status = 'Cancelada',
            Protocolo_Cancelamento = '".$protocoloCancelamento."',
            Data_Cancelamento = '".$dataCancelamento." ".$horaCancelamento."'
            WHERE Id='".$_GET["id_nfe"]."' ");

        mysqli_query($con,"UPDATE venda SET Status = 'Cancelado',
            Protocolo_Cancelamento = '".$protocoloCancelamento."',
            Data_Cancelamento = '".$dataCancelamento." ".$horaCancelamento."'
            WHERE Id='".$dados_emitente_nfe["Id_Pedido"]."' ");

        if(!empty($dados_emitente_nfe["Id_Pedido"])){
            mysqli_query($con,"UPDATE estoque SET Concluido = 'Cancelado' WHERE Id_Externo = '".$dados_emitente_nfe["Id_Pedido"]."' ");

            //passando o financeiro do vendas para EF=Sim
                $sql_del = mysqli_query($con,"Select Id FROM conta_receber WHERE Id_Externo = '".$dados_emitente_nfe["Id_Pedido"]."'");
                while ($linha = mysqli_fetch_assoc($sql_del)) {
                    mysqli_query($con,"UPDATE conta_receber SET Status = 'Cancelado' WHERE Id = '".$linha["Id"]."' ");
                    mysqli_query($con,"UPDATE caixa SET Tipo = 'Cancelado' WHERE Id_Externo = '".$linha["Id"]."' ");
                }
        
                mysqli_query($con,"UPDATE compra SET Status = 'Cancelado',
                    Protocolo_Cancelamento = '".$protocoloCancelamento."',
                    Data_Cancelamento = '".$dataCancelamento." ".$horaCancelamento."'
                    WHERE Id='".$dados_emitente_nfe["Id_Pedido"]."' ");
        
                mysqli_query($con,"UPDATE estoque SET Concluido = 'Cancelado' WHERE Id_Externo = '".$dados_emitente_nfe["Id_Pedido"]."' ");
        
            //passando o financeiro do vendas para EF=Sim
                $sql_del = mysqli_query($con,"Select Id FROM conta_pagar WHERE Id_Externo = '".$dados_emitente_nfe["Id_Pedido"]."'");
                while ($linha = mysqli_fetch_assoc($sql_del)) {
                    mysqli_query($con,"UPDATE conta_pagar SET Status = 'Cancelado' WHERE Id = '".$linha["Id"]."' ");
                    mysqli_query($con,"UPDATE caixa SET Tipo = 'Cancelado' WHERE Id_Externo = '".$linha["Id"]."' ");
                }
        }
        


##verificando se ja existe DANFE
$file_teste = $caminho_absoluto."/nfe_arq/nfe/{$caminho_cnpj}{$ambiente_nfe}/enviadas/aprovadas/{$data_emissao}/{$chave}-protNFe.xml";

if (file_exists($file_teste)) { //verificacao do DANFE ja assinado
//se o danfe existir no faz nada
} else {

##colocando o PROTOCOLO no XML Assinado e salvando
    $pathNFefile = $caminho_absoluto."/nfe_arq/nfe/{$caminho_cnpj}{$ambiente_nfe}/assinadas/{$data_emissao}/{$chave}-nfe.xml";
    $xmlAssinado = FilesFolders::readFile($pathNFefile);

    $protocol = new NFePHP\NFe\Factories\Protocol();
    $xmlProtocolado = $protocol->add($xmlAssinado,$response);
    
    ##salvando o procNFe
    //$filename = "/var/www/nfe/homologacao/assinadas/{$data_emissao}/{$chave}-nfe.xml"; // Ambiente Linux
    $filename = $caminho_absoluto."/nfe_arq/nfe/{$caminho_cnpj}{$ambiente_nfe}/enviadas/aprovadas/{$data_emissao}/{$chave}-protNFe.xml"; // Ambiente Windows
    if(!is_dir($caminho_absoluto."/nfe_arq/nfe/{$caminho_cnpj}{$ambiente_nfe}/enviadas/aprovadas/{$data_emissao}/")){
        mkdir($caminho_absoluto."/nfe_arq/nfe/{$caminho_cnpj}{$ambiente_nfe}/enviadas/aprovadas/{$data_emissao}/", 0777, true);
    }
    file_put_contents($filename, $xmlProtocolado);
    chmod($filename, 0777);

}//fim - verificacao DANFE


//copiando o arquivo para a pasta de Proc Cancelados
if(!is_dir($caminho_absoluto."/nfe_arq/nfe/{$caminho_cnpj}{$ambiente_nfe}/canceladas/proc/{$data_emissao}/")){
    mkdir($caminho_absoluto."/nfe_arq/nfe/{$caminho_cnpj}{$ambiente_nfe}/canceladas/proc/{$data_emissao}/", 0777, true);
}
copy($caminho_absoluto."/nfe_arq/nfe/{$caminho_cnpj}{$ambiente_nfe}/enviadas/aprovadas/{$data_emissao}/{$chave}-protNFe.xml",
    $caminho_absoluto."/nfe_arq/nfe/{$caminho_cnpj}{$ambiente_nfe}/canceladas/proc/{$data_emissao}/{$chave}-protNFe.xml");

unlink($caminho_absoluto."/nfe_arq/nfe/{$caminho_cnpj}{$ambiente_nfe}/enviadas/aprovadas/{$data_emissao}/{$chave}-protNFe.xml");


        ##SALVAR O PROTOTOCOLO NO BANCO DE DADOS ============
        ##colocando o PROTOCOLO Cancelado no XML Assinado e salvando
        try {
            $xmlProt = $caminho_absoluto."/nfe_arq/nfe/{$caminho_cnpj}{$ambiente_nfe}/canceladas/proc/{$data_emissao}/{$chave}-protNFe.xml";
            $docxml = FilesFolders::readFile($xmlProt);
            $cancelamento = $response;

            $xml_cancel = Complements::cancelRegister($docxml, $cancelamento);
            $filename = $caminho_absoluto."/nfe_arq/nfe/{$caminho_cnpj}{$ambiente_nfe}/canceladas/{$data_emissao}/{$chave}-protNFe.xml";
            if(!is_dir($caminho_absoluto."/nfe_arq/nfe/{$caminho_cnpj}{$ambiente_nfe}/canceladas/{$data_emissao}/")){
                mkdir($caminho_absoluto."/nfe_arq/nfe/{$caminho_cnpj}{$ambiente_nfe}/canceladas/{$data_emissao}/", 0777, true);
            }
            file_put_contents($filename, $xml_cancel);
            chmod($filename, 0777);

        } catch (\Exception $e) {
            echo "Erro: " . $e->getMessage();
        }
        

        ##regerando o danfe em PDF
        $danfe = new Danfe($xml_cancel);
        $danfe->debugMode(true);
        $danfe->creditsIntegratorFooter('Pontti Web - http://www.pontti.com.br');
        $danfe->monta($tools->config->pathLogoFile, $tools->config->format, $exibirPIS);
        $pdf = $danfe->render();

        // Uso da nomeclatura '-danfe.pdf' para facilitar a diferenciação entre PDFs DANFE e DANFCE salvos na mesma pasta...
        $filename = $caminho_absoluto."/nfe_arq/nfe/{$caminho_cnpj}{$ambiente_nfe}/pdf/{$data_emissao}/{$chave}-danfeCanc.pdf";
        if(!is_dir($caminho_absoluto."/nfe_arq/nfe/{$caminho_cnpj}{$ambiente_nfe}/pdf/{$data_emissao}/")){
            mkdir($caminho_absoluto."/nfe_arq/nfe/{$caminho_cnpj}{$ambiente_nfe}/pdf/{$data_emissao}/");
        }
        file_put_contents($filename, $pdf);
        chmod($filename, 0777);

        header('Content-Type: application/pdf');
        echo $pdf;//o pdf porde ser exibido como view no browser
        ##-- evento cancelamento --##
    }
}//fim nfe cancelada

if ($std->cStat == '301' || $std->cStat == '302' || $std->cStat == '303') {//nfe denegada, regerando o proc

##Colocando o campo Fatura
    $id_pedido = $dados_emitente_nfe["Id_Pedido"];
    $_POST["Tipo"] = $dados_emitente_nfe["Tipo"];
    $_POST["Numero_Nota"] = $dados_emitente_nfe["Numero_Nota"];

    include "fatura_pedido.php";

    $tipo_tabela = strtolower($dados_emitente_nfe["Tipo_Tabela"]);

##SALVAR O PROTOTOCOLO NO BANCO DE DADOS ============
    mysqli_query($con,"UPDATE nfe SET Chave='" . $chave . "',
            Protocolo='" .$std->protNFe->infProt->nProt. "',
            EF = 'Sim',
            Status = 'Denegada'
            WHERE Id='" . $_GET["id_nfe"] . "' ");

    mysqli_query($con,"UPDATE venda SET Chave_Nfe = '" . $chave . "',
            Protocolo = '" .$std->protNFe->infProt->nProt. "',
            Data_Nfe = '".$dados_emitente_nfe["Data_Nfe"]."',
            EF = 'Sim'
            WHERE Id='" . $dados_emitente_nfe["Id_Pedido"] . "' ");
//passando o financeiro do vendas para EF=Sim
    $sql_del = mysqli_query($con,"Select Id FROM conta_receber WHERE Id_Externo = '" . $dados_emitente_nfe["Id_Pedido"] . "'");
    while ($linha = mysqli_fetch_assoc($sql_del)) {
        mysqli_query($con,"UPDATE conta_receber SET EF = 'Sim' WHERE Id = '" . $linha["Id"] . "' ");
        mysqli_query($con,"UPDATE caixa SET EF = 'Sim' WHERE Id_Externo = '" . $linha["Id"] . "' ");
    }

    mysqli_query($con,"UPDATE compra SET Chave_Nfe = '" . $chave . "',
            Protocolo = '" .$std->protNFe->infProt->nProt. "',
            EF = 'Sim'
            WHERE Id='" . $dados_emitente_nfe["Id_Pedido"] . "' ");
//passando o financeiro do vendas para EF=Sim
    $sql_del = mysqli_query($con,"Select Id FROM conta_pagar WHERE Id_Externo = '" . $dados_emitente_nfe["Id_Pedido"] . "'");
    while ($linha = mysqli_fetch_assoc($sql_del)) {
        mysqli_query($con,"UPDATE conta_pagar SET EF = 'Sim' WHERE Id = '" . $linha["Id"] . "' ");
        mysqli_query($con,"UPDATE caixa SET EF = 'Sim' WHERE Id_Externo = '" . $linha["Id"] . "' ");
    }
##SALVAR O PROTOTOCOLO NO BANCO DE DADOS ============

    ##verificando se ja existe DANFE
    $file_teste = $caminho_absoluto."/nfe_arq/nfe/{$caminho_cnpj}{$ambiente_nfe}/enviadas/denegadas/{$data_emissao}/{$chave}-protNFe.xml";

    if (file_exists($file_teste)) { //verificacao do DANFE ja assinado
//se o danfe existir no faz nada
    } else {

##colocando o PROTOCOLO no XML Assinado e salvando
        $pathNFefile = $caminho_absoluto."/nfe_arq/nfe/{$caminho_cnpj}{$ambiente_nfe}/assinadas/{$data_emissao}/{$chave}-nfe.xml";
        $xmlAssinado = FilesFolders::readFile($pathNFefile);

        $protocol = new NFePHP\NFe\Factories\Protocol();
        $xmlProtocolado = $protocol->add($xmlAssinado,$response);
        
        ##salvando o procNFe
        //$filename = "/var/www/nfe/homologacao/assinadas/{$data_emissao}/{$chave}-nfe.xml"; // Ambiente Linux
        $filename = $caminho_absoluto."/nfe_arq/nfe/{$caminho_cnpj}{$ambiente_nfe}/enviadas/denegadas/{$data_emissao}/{$chave}-protNFe.xml"; // Ambiente Windows
        if(!is_dir($caminho_absoluto."/nfe_arq/nfe/{$caminho_cnpj}{$ambiente_nfe}/enviadas/denegadas/{$data_emissao}/")){
            mkdir($caminho_absoluto."/nfe_arq/nfe/{$caminho_cnpj}{$ambiente_nfe}/enviadas/denegadas/{$data_emissao}/", 0777, true);
        }
        file_put_contents($filename, $xmlProtocolado);
        chmod($filename, 0777);

    }//fim - verificacao DANFE
    
##regerando o danfe em PDF
    $xmlProt = $caminho_absoluto."/nfe_arq/nfe/{$caminho_cnpj}{$ambiente_nfe}/enviadas/denegadas/{$data_emissao}/{$chave}-protNFe.xml";
    $docxml = FilesFolders::readFile($xmlProt);
    
    $danfe = new Danfe($docxml);
    $danfe->debugMode(true);
    $danfe->creditsIntegratorFooter('Pontti Web - http://www.pontti.com.br');
    $danfe->monta($tools->config->pathLogoFile, $tools->config->format, $exibirPIS);
    $pdf = $danfe->render();

    ##salvando o pdf
    //$filename = "/var/www/nfe/homologacao/assinadas/{$data_emissao}/{$chave}-nfe.xml"; // Ambiente Linux
    $filename = $caminho_absoluto."/nfe_arq/nfe/{$caminho_cnpj}{$ambiente_nfe}/pdf/{$data_emissao}/{$chave}-danfe.pdf"; // Ambiente Windows
    if(!is_dir($caminho_absoluto."/nfe_arq/nfe/{$caminho_cnpj}{$ambiente_nfe}/pdf/{$data_emissao}/")){
        mkdir($caminho_absoluto."/nfe_arq/nfe/{$caminho_cnpj}{$ambiente_nfe}/pdf/{$data_emissao}/", 0777, true);
    }
    file_put_contents($filename, $pdf);
    chmod($filename, 0777);
    
    header('Content-Type: application/pdf');
    echo $pdf;//o pdf porde ser exibido como view no browser

}

if ($std->cStat == '217') {//nfe cancelada
    echo "Rejeio (217): NF-e no consta na base de dados da SEFAZ <br>  retornada ao consultar uma NF-e inexistente ou caso a NF-e ainda no tenha sido sincronizada junto a Sefaz de origem, em momentos de emisso em contingncia.";
}
        
        
        ##regerar PROC e DANFE
    }
    
    

    
    ##fim de regerar o PDF
}
?>