<?php

/*
 * Funo criada para retornar os dados do cliente
 * em formato Json como pede no original
 *
 * @param Se no informar a unidade, entra a padro do sistema que  o 1
 */

function geraConfig($id_unidade = 1, $tipo='nfe') {
    
global $con;

    $reg_uni = mysqli_query($con,"SELECT Titulo,
                            Razao_Social,
                            Cnpj,
                            Estadual,
                            Iest,
                            Municipal,
                            Estado,
                            Cnae,
                            CRT,
                            Logo,
                            Certificado,
                            Senha_Certificado,
                            Ambiente,
                            Caminho_Foto,
                            Tipo_Impressao,
                            Csc,
                            Csc_Id_Token,
                            Csc_Homo,
                            Csc_Id_Token_Homo
                            FROM unidade WHERE Id = '" . $id_unidade . "' ");
    $reg = mysqli_fetch_assoc($reg_uni);

    if(empty($reg["Logo"])){
        $reg["Logo"] = '999.jpeg';
    }
    
    $reg["Logo"] = str_replace('png', 'jpeg', $reg["Logo"]);
    
    $caminho_cnpj='';
    if (SITE_SISTEMA == 'localhost') {
        if (MULTI_EMPRESA == "Sim" || MULTI_EMPRESA2 == "Sim") {
            $caminho_cnpj = CaracteresEspeciais($reg['Cnpj'],"Sim")."\/";
        }
        $caminho_absoluto = CAMINHO_LOCAL;
        $caminho_nfe = "\/nfe_arq\/".$tipo."\/";
        $caminho_cte = "\/nfe_arq\/cte\/";
        $caminho_mdfe = $caminho_absoluto."\/nfe_arq\/mdfe\/".$caminho_cnpj;
        $caminho_cle = "\/nfe_arq\/cle\/";
        $caminho_nfse = "\/nfe_arq\/nfse\/";
        $caminho_certs = "\/nfephp\/certs\/";
        $caminho_logo = "\/unidade\/foto\/" . $reg["Logo"];
        
        $caminho_mdfe = substr($caminho_mdfe,0,-2);
        
    } else {
        
        if (MULTI_EMPRESA == "Sim" || MULTI_EMPRESA2 == "Sim") {
            $caminho_cnpj = CaracteresEspeciais($reg['Cnpj'],"Sim")."/";
        }
        
        $caminho_absoluto = CAMINHO_SERVIDOR_CLIENTE;
        $caminho_nfe = "/nfe_arq/".$tipo."/";
        $caminho_cte = "/nfe_arq/cte/";
        $caminho_mdfe = $caminho_absoluto."/nfe_arq/mdfe/".$caminho_cnpj;
        $caminho_cle = "/nfe_arq/cle/";
        $caminho_nfse = "/nfe_arq/nfse/";
        $caminho_certs = "/nfephp/certs/";
        $caminho_logo = "/unidade/foto/" . $reg["Logo"];
        
        $caminho_mdfe = substr($caminho_mdfe,0,-1);
        
    }
    
    ##certificado
    $gConf["pathCertsFiles"] = $caminho_absoluto.$caminho_certs;
    $gConf["certPfxName"] = $reg["Certificado"];
    $gConf["certPassword"] = $reg["Senha_Certificado"];
    $gConf["certPhrase"] = "";

    $gConf["atualizacao"] = "2022-10-14 11:12:00";
    $gConf["tpAmb"] = (int)$reg["Ambiente"];
    $gConf["schemes"] = "PL_009_V4";//"PL_009_V4";
    $gConf["versao"] = "4.00";

    ##NFCe
    $gConf["tokenIBPT"] = "";
    if($reg["Ambiente"]=='1'){//producao
        $gConf["CSC"] = $reg["Csc"];
        $gConf["CSCid"] = $reg["Csc_Id_Token"];
    }else{//homologacao
        $gConf["CSC"] = $reg["Csc_Homo"];
        $gConf["CSCid"] = $reg["Csc_Id_Token_Homo"];
    }
    
    ##MDFe
    $gConf["versaoMDFe"] = "3.00";
    $gConf["pathMDFeFiles"] = $caminho_mdfe;
    $gConf["pathXmlUrlFileMDFe"] = 'wsmdfe_3.00.xml';
    $gConf["schemesMDFe"] = 'PL_MDFe_300a';

    ##empresa
    $gConf["razaosocial"] = CaracteresEspeciais(trim($reg["Razao_Social"]), "Sim");
    $gConf["siglaUF"] = $reg["Estado"];
    $gConf["cnpj"] = CaracteresEspeciais($reg["Cnpj"], "Sim");
    $gConf["nomefantasia"] = CaracteresEspeciais(trim($reg["Titulo"]), "Sim");
    $gConf["ie"] = CaracteresEspeciais(trim($reg["Estadual"]), "Sim");
    $gConf["iest"] = $reg["Iest"];
    $gConf["im"] = CaracteresEspeciais(trim($reg["Municipal"]), "Sim");
    $gConf["cnae"] = CaracteresEspeciais(trim($reg["Cnae"]), "Sim");
    $gConf["regime"] = $reg["CRT"];
    
    ##config impressao
    $gConf["format"] = $reg["Tipo_Impressao"]; // P - Retrato (1), L - Paisagem (2)
    $gConf["paper"] = "A4";
    $gConf["southpaw"] = "1";
    $gConf["pathLogoFile"] = $caminho_absoluto . $caminho_logo;
    $gConf["logoPosition"] = "L";
    $gConf["font"] = "Times";
    $gConf["printer"] = "hpteste";

    ##proxy
    $gConf["aProxyConf"]["proxyIp"] = "";
    $gConf["aProxyConf"]["proxyPort"] = "";
    $gConf["aProxyConf"]["proxyUser"] = "";
    $gConf["aProxyConf"]["proxyPass"] = "";

    return json_encode($gConf);
}

?>