<?php
include_once "../include/conecta.php"; //Conecta com a nosso banco de dados MySQL
ini_set('session.gc_maxlifetime', 60*120); session_start();
/* include_once "../include/ver_sessao.php"; //Verifica se a sesso est ativa */
include_once "../include/funcoesPhp.php"; //Inclue a pgina con todas as funes a ser usada.
?>
<?php 
                        $os = listar("Select os.Id,
                                        os.Lancamento,
                                        os.Status,
                                        os.Tipo_Movimentacao,
                                        os.Data_Os,
                                        os.Obs as 'Obs_Os',
                                        os.Valor_Original,
                                        os.Valor_Pago,
                                        os.Contato_Cliente,
                                        os.Id_Unidade,
                                        cliente.Titulo as 'Cliente',
                                        cliente.Email,
                                        cliente.Natureza,
                                        cliente.Cpf_Cnpj,
                                        cliente.Endereco,
                                        cliente.Cep,
                                        cliente.Bairro,
                                        cidade_ibge.Titulo as 'Cidade',
                                        cliente.Estado,
                                        cliente.Fone1,
                                        cliente.Obs as 'Obs_Cliente',
                                        funcionario.Titulo as 'Funcionario',
                                        tipo_pagamento.Titulo as Pagamento,
                                        usuario.Login
                                        from os
                                        left join (SELECT Id,Titulo,Email,Natureza,Cpf_Cnpj,Endereco,Cep,Bairro,Estado,Fone1,Obs,Id_Cidade FROM cliente) as cliente ON cliente.Id = os.Id_Cliente
                                        left join (SELECT Id,Titulo FROM cidade_ibge) as cidade_ibge ON cidade_ibge.Id = cliente.Id_Cidade
                                        left join (SELECT Id,Titulo FROM funcionario) as funcionario ON funcionario.Id = os.Id_Vendedor
                                        left join (SELECT Id,Login FROM usuario) as usuario ON usuario.Id = os.Id_Usuario
                                        left join (SELECT Id,Titulo FROM tipo_pagamento) as tipo_pagamento ON tipo_pagamento.Id = os.Id_Tipo_Pagamento
                                        where os.Id = '".$_GET["id_os"]."'
                                        order by os.Lancamento DESC");

$_GET["Unidade"] = $os[0]["Id_Unidade"];
?>
<html>
<head>
<title>Gw - Gesto Web</title>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1" />
<link rel="shortcut icon" href="../imagem/favi_gw.ico" type="image/x-icon" />
<link rel="stylesheet" type="text/css" href="../estilo/<?php echo SKIN ;?>/tabela_imp.css" />
<script type="text/javascript" language="javascript" src="../js/jquery.js"></script>
<?php include '../include/script_cabeca.php'; ?>
<script type="text/javascript" language="javascript" src="../js/script.js"></script>
<script type="text/javascript" language="javascript" src="../js/meiomask/meiomask.js"></script>
<script type="text/javascript" language="javascript" src="../js/meiomask/<?php if(PAIS=="USA"){ echo "mascaras-usa"; }else{ echo "mascaras"; }?>.js"></script>
</head>
<body text="#000000">
<br>

<table width="98%" align="center"><!-- TABELA Q ENVOLVE TODO O CONTEUDO -->
<tr>
	<td>
		<?php include "../include/cabecalho_pedido.php"; ?>
	</td>
</tr>
<tr>
	<td>
		<table width="100%" align="center">
			<tr>
                            <td colspan="2" align="center">
                                <font face="verdana" size="3">
                                    <b>
                                        <i>
                                Ordem de Servio - <?php echo $os[0]["Lancamento"];?>
                                        </i>
                                    </b>
                                </font></td>
			</tr>
		</table>
	</td>
</tr>
<tr>
	<td>
		<table width="100%" align="center" class="tabela">
			<tr>
				<td width="70%">Contato Cliente: <?php echo $os[0]["Contato_Cliente"];?></td>
                                <td width="30%">Emisso: <?php echo data_exibir($os[0]["Data_Os"]);?></td>
			</tr>
			<tr>
				<td width="70%">Cliente: <?php echo $os[0]["Cliente"];?></td>
				<td width="30%">Fone: <?php echo fone_exibir($os[0]["Fone1"]);?></td>
			</tr>
			<tr>
				<td width="70%">End: <?php echo $os[0]["Endereco"];?></td>
				<?php if($os[0]["Natureza"] == "PF"){?>
				<td width="30%">CPF: <?php echo cpf_exibir($os[0]["Cpf_Cnpj"]);?></td>
				<?php }else{?>
				<td width="30%">CNPJ: <?php echo cnpj_exibir($os[0]["Cpf_Cnpj"]);?></td>
				<?php }?>
			</tr>
			<tr>
				<td width="70%"><?php echo 'Bairro:'.$os[0]["Bairro"].' Cidade:'.$os[0]["Cidade"].' UF:'.
												$os[0]["Estado"];?></td>
				<td width="30%">CEP: <?php echo cep_exibir($os[0]["Cep"]);?></td>
			</tr>
			<tr>
				<td>Tipo Pagamento: <?php echo $os[0]["Pagamento"];?></td>
				<td>Tipo Movimentao: <?php echo $os[0]["Tipo_Movimentacao"];?></td>
			</tr>
			<tr>
				<td colspan="2">Obs: <?php echo $os[0]["Obs_Os"];?></td>
			</tr>
		</table>
	</td>
</tr>

<tr>
	<td>
		<table width="100%" align="center" class="tabela">
			<tr>
				<td colspan="9"><i>Produtos para Reparo</i></td>
			</tr>
			<tr class="azul-claro">
				<td>N</td>
				<td>Produto</td>
				<td>Defeito</td>
                <td>Soluo</td>
                <td>Qtd</td>
			</tr>
                    <?php
                        $os_prod = listar("Select os_produto_reparo.Id,
                                        os_produto_reparo.Qtd_Reparo,
                                        os_produto_reparo.Defeito_Reparo,
                                        os_produto_reparo.Solucao_Reparo,
                                        os_produto_reparo.Produto_Reparo
                                        from os_produto_reparo
                                        where os_produto_reparo.Id_Os = '".$_GET["id_os"]."' ");

                    ?>
			<?php $x=1; foreach($os_prod as $chave){?>
			<tr>
				<td><?php echo $x;?></td>
				<td><?php echo $chave["Produto_Reparo"];?></td>
				<td><?php echo $chave["Defeito_Reparo"];?></td>
                                <td><?php echo $chave["Solucao_Reparo"];?></td>
                                <td><?php echo $chave["Qtd_Reparo"];?></td>
			</tr>
			<?php
			$Qtd_Os+= $chave["Qtd_Reparo"];
			$x++; }
			?>
			<tr>
				<td colspan="3"></td>
				<td>Totais da Os:</td>
				<td><?php echo $Qtd_Os;?></td>
			</tr>
		</table>
	</td>
</tr>

<tr>
	<td>
		<table width="100%" align="center" class="tabela">
			<tr>
				<td colspan="9"><i>Servios</i></td>
			</tr>
			<tr class="azul-claro">
				<td width="3%">N</td>
				<td width="10%">Cdigo</td>
				<td width="22%">Produto</td>
				<td width="5%">Qtd</td>
				<td width="8%">Valor</td>
				<td width="8%">Desc %</td>
                                <td width="8%">Desc $</td>
				<td width="8%">Total</td>
			</tr>
			<?php
               $os_pro = listar("Select DISTINCT os_produto.Id,
                                        os_produto.Preco as 'Preco_Os',
 					os_produto.Qtd as 'Qtd_Os',
 					os_produto.Desconto as 'Desconto_Os',
                                        os_produto.Desconto_Real,
 					produto.Titulo as 'Produto',
 					produto.Descricao,
 					produto.Codigo,
                                        produto.Tipo_Produto
 					from os_produto
 					INNER join (SELECT Id,Titulo,Descricao,Codigo,Tipo_Produto FROM produto WHERE Tipo_Produto = 'S') as produto ON produto.Id = os_produto.Id_Produto
 					where os_produto.Id_Os = '".$_GET["id_os"]."'
                                        ORDER BY os_produto.Data_Cadastro");

                        $x=1;
                        $Qtd_Os = '0';
                        foreach($os_pro as $chave){?>

			<tr>
				<td><?php echo $x;?></td>
				<td><?php echo $chave["Codigo"];?></td>
				<td><?php echo $chave["Produto"];?></td>
				<td><?php echo $chave["Qtd_Os"];?></td>
				<td><?php echo number_format($chave["Preco_Os"],2,',','.');?></td>
				<td><?php echo number_format($chave["Desconto_Os"],2,',','.');?></td>
                                <td><?php echo number_format($chave["Desconto_Real"],2,',','.');?></td>
				<td>
                                    <?php echo number_format( ( ($chave['Qtd_Os']*$chave['Preco_Os']) - ( ($chave['Qtd_Os']*$chave['Preco_Os']) * ($chave['Desconto_Os']/100) ) ) - $chave['Desconto_Real'],2,',','.');?></td>
                                </td>
			</tr>
                        <?php if( ($chave["Descricao"]) && ($chave["Tipo_Produto"]=='S') ){ ?>
                        <tr>
                            <td colspan="8"><?php echo $chave["Descricao"];?></td>
			</tr>
                        <?php } ?>
			<?php
			$Qtd_Os+= $chave["Qtd_Os"];
			$Preco_Os+=$chave["Preco_Os"];
			$Desconto_Os+=$chave["Desconto_Os"];
                        $Desconto_Real+=$chave["Desconto_Real"];
			$Total+=( ($chave["Preco_Os"]*$chave["Qtd_Os"])-
					(($chave["Preco_Os"]*$chave["Qtd_Os"])*($chave["Desconto_Os"]/100)) ) - $chave['Desconto_Real'];
			$x++; }
			?>
			<tr>
				<td colspan="4"></td>
				<td colspan="3">Totais Servios:</td>
                                <!--
				<td><?php echo $Qtd_Os;?></td>
				<td><?php echo number_format($Preco_Os,2,',','.');?></td>
				<td><?php echo number_format($Desconto_Os/($x-1),2,',','.');?></td>
                                <td><?php echo number_format($Desconto_Real/($x-1),2,',','.');?></td>
                                -->
				<td><?php echo number_format($Total,2,',','.');?></td>
			</tr>
		</table>
	</td>
</tr>

<tr>
	<td>
		<table width="100%" align="center" class="tabela">
			<tr>
				<td colspan="9"><i>Produtos</i></td>
			</tr>
			<tr class="azul-claro">
				<td width="3%">N</td>
				<td width="10%">Cdigo</td>
				<td width="22%">Produto</td>
				<td width="5%">Qtd</td>
				<td width="8%">Valor</td>
				<td width="8%">Desc %</td>
                                <td width="8%">Desc $</td>
				<td width="8%">Total</td>
			</tr>
			<?php
               $os_pro = listar("Select DISTINCT os_produto.Id,
                                        os_produto.Preco as 'Preco_Os',
 					os_produto.Qtd as 'Qtd_Os',
 					os_produto.Desconto as 'Desconto_Os',
                                        os_produto.Desconto_Real,
 					produto.Titulo as 'Produto',
 					produto.Descricao,
 					produto.Codigo,
                                        produto.Tipo_Produto
 					from os_produto
 					INNER join (SELECT Id,Titulo,Descricao,Codigo,Tipo_Produto FROM produto WHERE Tipo_Produto = 'P') as produto ON produto.Id = os_produto.Id_Produto
 					where os_produto.Id_Os = '".$_GET["id_os"]."'
                                        ORDER BY os_produto.Data_Cadastro");

                        $x=1;
                        $Qtd_Os = '0';
                        foreach($os_pro as $chave){?>

			<tr>
				<td><?php echo $x;?></td>
				<td><?php echo $chave["Codigo"];?></td>
				<td><?php echo $chave["Produto"];?></td>
				<td><?php echo $chave["Qtd_Os"];?></td>
				<td><?php echo number_format($chave["Preco_Os"],2,',','.');?></td>
				<td><?php echo number_format($chave["Desconto_Os"],2,',','.');?></td>
                                <td><?php echo number_format($chave["Desconto_Real"],2,',','.');?></td>
				<td>
                                    <?php echo number_format( ( ($chave['Qtd_Os']*$chave['Preco_Os']) - ( ($chave['Qtd_Os']*$chave['Preco_Os']) * ($chave['Desconto_Os']/100) ) ) - $chave['Desconto_Real'],2,',','.');?></td>
                                </td>
			</tr>
			<?php
			$Qtd_Os+= $chave["Qtd_Os"];
			$Preco_Os+=$chave["Preco_Os"];
			$Desconto_Os+=$chave["Desconto_Os"];
                        $Desconto_Real+=$chave["Desconto_Real"];
			$Total2+=( ($chave["Preco_Os"]*$chave["Qtd_Os"])-
					(($chave["Preco_Os"]*$chave["Qtd_Os"])*($chave["Desconto_Os"]/100)) ) - $chave['Desconto_Real'];
			$x++; }
			?>
			<tr>
				<td colspan="4"></td>
				<td colspan="3">Totais Produto:</td>
                                <!--
				<td><?php echo $Qtd_Os;?></td>
				<td><?php echo number_format($Preco_Os,2,',','.');?></td>
				<td><?php echo number_format($Desconto_Os/($x-1),2,',','.');?></td>
                                <td><?php echo number_format($Desconto_Real/($x-1),2,',','.');?></td>
                                -->
				<td><?php echo number_format($Total2,2,',','.');?></td>
			</tr>
		</table>
	</td>
</tr>

<tr>
    <td>
        <br>
        <table width="100%" align="center" class="tabela">
            <?php if(CLIENTE_EMAIL=='nesul' || CLIENTE_EMAIL == 'israelgeradores'){ ?>
            <tr>
                    <td colspan="3">Tipo Pagamento: <?php echo $os[0]["Pagamento"];?></td>
                    <td colspan="4">Obs: <?php echo $os[0]["Obs_Os"];?></td>
            </tr>
            <?php } ?>
            <tr>
                    <td colspan="3"><b>Servios + Produtos</b></td>
                    <td colspan="3"><b>Total Geral:</b></td>
                    <td><b><?php echo number_format($Total + $Total2,2,',','.');?></b></td>
            </tr>
        </table>
    </td>
</tr>

</table>
<br/>
<table width="98%" align="center">
	<tr>
		<td align="center">________________________</td>
		<td align="center">________________________</td>
	</tr>
	<tr>
		<td align="center"><font face="verdana" size="2"><?php echo $os[0]["Cliente"];?></font></td>
		<td align="center"><font face="verdana" size="2">Representante: <?php echo $os[0]["Funcionario"];?></font></td>
	</tr>
</table>

<br>
</body>
</html>
<?php include "../include/rodape.php";?>