<?php
include_once '../../include/conecta.php'; //Conecta com a nosso banco de dados MySQL
ini_set('session.gc_maxlifetime', 60 * 120);
session_start();
include_once '../../include/ver_sessao.php'; //Verifica se a sess�o est� ativa
include_once '../../include/funcoesPhp.php';
include_once '../../menu_movimento.php';

$cliente = listar("SELECT cliente.Titulo,
                        cliente.Razao_Social,
                        cliente.Natureza,
                        cliente.Cpf_Cnpj,
                        cliente.Rua,
                        cliente.Numero,
                        cliente.Bairro,
                        cliente.Cidade,
                        cliente.Estado,
                        cliente.Cep,
                        os.Lancamento,
                        os.Data_Os,
                        os.Valor_Original,
                        os.Desconto,
                        os.Obs,
                        os.Contato_Cliente,
                        os.Tipo_Atendimento,
                        tipo_pagamento.Titulo as Tipo_Pagamento,
                        unidade.Email as Email_Empresa
                        from os
                        left join (SELECT Id,Email FROM unidade) as unidade ON unidade.Id = os.Id_Unidade
                        left join (SELECT Id,Titulo FROM tipo_pagamento) as tipo_pagamento ON tipo_pagamento.Id = os.Id_Tipo_Pagamento
                        left join (SELECT Id,Titulo,Razao_Social,Natureza,Cpf_Cnpj,Rua,Numero,Bairro,Cidade,Estado,Cep FROM cliente) as cliente on cliente.Id = os.Id_Cliente
 			WHERE os.Id = '" . $_GET["id_os"] . "' ");
?>
<html>

<head>
    <title>Gw - Gest�o Web</title>
    <link rel="stylesheet" type="text/css" href="../../estilo/tabela_imp.css" />
    <script type="text/javascript" language="javascript" src="../../js/jquery.js"></script>
    <?php include '../../include/script_cabeca.php'; ?>
    <script type="text/javascript" language="javascript" src="../../js/script.js"></script>
    <script type="text/javascript" language="javascript" src="../../js/editing/editing2.js"></script>
    <script type="text/javascript" language="javascript">
        //window.onload = function(){
        //window.print();
        //}
    </script>
    <style type="text/css" media="print">
        thead {
            display: table-header-group;
        }

        tfoot {
            display: table-footer-group;
        }

        thead th,
        thead td {
            position: static;
        }

        thead tr {
            position: static;
        }

        /*prevent problem if print after scrolling table*/
        table tfoot tr {
            position: static;
        }
    </style>
</head>

<body>
    <table width="98%" align="center">
        <!-- TABELA Q ENVOLVE TODO O CONTEUDO -->
        <tr>
            <td>
                <table width="100%">
                    <tr>
                        <td align="justify">
                            <span style="font-size: 14px">
                                <b>
                                    <font size="4">
                                        <span class="inlineEdit" id="1" style="cursor: pointer;" alt="Clique para Editar !" title="Clique para Editar !">
                                            <img src="../../unidade/foto/1.jpeg" width="auto" height="45px" style="float: left">
                                            <img src="../../unidade/foto/MWM Geradores_Autorizado_BRANCO.png" width="auto" height="45px" style="float: right">
                                            &nbsp;&nbsp; ISRAEL GRUPOS GERADORES <br>&nbsp;&nbsp; Proposta Comercial <br>
                                            ________________________________________________________________________________________
                                        </span>
                                    </font>
                                </b><br /><br />
                                �<br>
                                <?php echo $cliente[0]["Titulo"]; ?><br>
                                A/C <?php echo $cliente[0]["Contato_Cliente"]; ?><br>
                                <br>
                                <b>EQUIPAMENTOS</b><br />
                                <?php
                                $sql_os = mysqli_query($con, "SELECT DISTINCT os_produto_reparo.Id,
                                    os_produto_reparo.Id_Os,
                                    os_produto_reparo.Produto_Reparo,
                                    os_produto_reparo.Descricao_Produto_Reparo,
                                    os_produto_reparo.Defeito_Reparo,
                                    os_produto_reparo.Solucao_Reparo,
                                    os_produto_reparo.Qtd_Reparo
                                    FROM os_produto_reparo
                                    WHERE os_produto_reparo.Id_Os='" . $_GET["id_os"] . "'");
                                ?>
                                <?php
                                while ($linha = mysqli_fetch_assoc($sql_os)) {
                                ?>
                                    <?php echo $linha['Produto_Reparo']; ?><br>
                                    <!--
                    Qtd: <?php echo valor_exibir($linha['Qtd_Reparo']); ?><br>
                    <b>Defeito</b>: <?php echo $linha['Defeito_Reparo']; ?><br>
                    -->

                                <?php } ?>

                                <br>
                                Endere�o: <?php echo $cliente[0]["Rua"] . ", " . $cliente[0]["Numero"] . ", " . $cliente[0]["Bairro"] . " - " . $cliente[0]["Cidade"] . " - " . $cliente[0]["Estado"]; ?>,
                                CEP <?php echo $cliente[0]["Cep"] ?>.<br>
                                <br>
                                <b>PROPOSTA COMERCIAL</b><br>
                                <br>
                                Prezado cliente,<br>
                                Em atendimento �s suas especifica��es, a <b>ISRAEL GRUPOS GERADORES</b> apresenta sua proposta de
                                fornecimento de servi�os, para os equipamentos acima relacionados:<br>
                                <br>


                                <b>1. PRODUTO PRINCIPAL</b><br />
                                <br />
                                <?php echo $cliente[0]["Obs"] ?>, composto de:<br>
                                <br>
                                <b>1.1</b> Manuten��o Preventiva<br />
                                <br />
                                O servi�o de manuten��o preventiva <b>ISRAEL GRUPOS GERADORES</b> busca garantir a durabilidade, confiabilidade, disponibilidade e o
                                aumento da vida �til de seu equipamento, visando � redu��o de custos com manuten��es emergenciais e
                                inoper�ncia.<br>
                                <br />
                                Os servi�os propostos compreendem 01 visita mensal.<br>
                                <b>1.2</b> Manuten��o Corretiva<br>
                                <br />
                                Na proposta est�o previstas manuten��es corretivas emergenciais ilimitadas, a serem realizadas no local
                                instala��o do equipamento sem custos adicionais de m�o de obra.<br />
                                <br />
                                <b>1.3</b> Servi�os de Diagn�stico<br />
                                <br />
                                Suporte t�cnico 24 horas pelos telefones (81) 9.9626-8153 / (81) 9.8827-8153<br>
                                <br />
                                <b>2. REGIME DE OPERA��O</b><br />
                                <br />
                                O valor estipulado na proposta est� dimensionado de acordo com o regime de opera��o em
                                <b><?php echo $cliente[0]["Tipo_Atendimento"]; ?></b> do grupo gerador. Caso haja altera��o no regime de opera��o o valor da proposta ser�
                                renegociado entre as partes.<br>
                                <br />
                                <b>3. CONDI��ES COMERCIAIS</b><br />
                                <br />
                                <b>3.1</b> Valor mensal do fornecimento: R$ <?php echo valor_exibir($cliente[0]["Valor_Original"] / $cliente[0]["Desconto"]); ?><br />
                                (<?php echo valorPorExtenso($cliente[0]["Valor_Original"] / $cliente[0]["Desconto"], true) ?>)<br />
                                <br />
                                O valor desta proposta � baseado nas condi��es comerciais estabelecidas pela ISRAEL GRUPOS GERADORES,
                                caso as condi��es sejam alteradas, inclusive no que tange � inclus�o de multas contratuais, os valores ser�o
                                revistos.<br>
                                <br />
                                Para a execu��o dos servi�os propostos a <b>CONTRATANTE</b> pagar� a <b>CONTRATADA</b> o valor
                                total de R$ <?php echo valor_exibir($cliente[0]["Valor_Original"]); ?> (<?php echo valorPorExtenso($cliente[0]["Valor_Original"], true) ?>),
                                pago mensalmente em <?php echo $cliente[0]["Desconto"]; ?> parcelas no valor de R$ <?php echo valor_exibir($cliente[0]["Valor_Original"] / $cliente[0]["Desconto"]); ?>
                                (<?php echo valorPorExtenso($cliente[0]["Valor_Original"] / $cliente[0]["Desconto"], true) ?>), com deslocamento j� incluso.<br>
                                <br />
                                <b>3.2</b> Forma de Pagamento<br>
                                <br />
                                O valor mensal proposto poder� ser quitado atrav�s de <?php echo $cliente[0]["Tipo_Pagamento"]; ?>. Para tanto, dever�o ser encaminhados os dados banc�rios de sua empresa
                                para preenchimento na minuta contratual.<br>
                                A <b>CONTRATADA</b> emitir� at� o 5� dia do m�s da execu��o dos servi�os, a duplicata de cobran�a cujo pagamento
                                devera ser feito at� o dia 30 (Trinta) do respectivo m�s da emiss�o da Nota Fiscal.<br>
                                Endere�o de entrega da Nota Fiscal ser� no local da presta��o de servi�o: <?php echo $cliente[0]["Rua"] . ", " . $cliente[0]["Numero"] . ", " . $cliente[0]["Bairro"] . " - " . $cliente[0]["Cidade"] . " - " . $cliente[0]["Estado"]; ?>,
                                CEP <?php echo $cliente[0]["Cep"] ?>.<br>
                                <br />
                                <b>3.3</b> Vig�ncia do Contrato<br>
                                <br />
                                O contrato ter� vig�ncia de <?php echo $cliente[0]["Desconto"]; ?> m�s(es), contados a partir de sua assinatura, podendo ser renovado anualmente
                                conforme acordo entre as partes.<br>
                                <br />
                                <b>3.4</b> Impostos<br>
                                <br />
                                O valor acima proposto contempla impostos conforme legisla��o vigente. Eventuais altera��es tribut�rias e/ou
                                obriga��es legais que venham a ocorrer entre a aprova��o da cota��o e o faturamento efetivo dos servi�os e
                                pe�as contratadas poder�o alterar os pre�os apresentados.<br>
                                Esta medida visa garantir a integridade da negocia��o para o cliente e a <b>ISRAEL GRUPOS GERADORES</b>.<br>
                                <br />
                                <b>3.5</b> Proposta Condicionada � An�lise de Cr�dito<br>
                                <br />
                                Aprovada a proposta, a <b>ISRAEL GRUPOS GERADORES</b> se reserva o direito de validar a mesma ap�s realizada a an�lise de credito.<br>
                                <br />
                                <br />
                                <b>4. VALIDADE</b><br />
                                <br />
                                Esta Proposta tem validade de <span class="inlineEdit" id="2" style="cursor: pointer;" alt="Clique para Editar !" title="Clique para Editar !">30 (trinta)</span> dias a partir da data de sua emiss�o.<br>
                                <br />
                                <b>5. CONDI��ES GERAIS</b><br />
                                <br />
                                No valor acima mencionado n�o est� previsto o fornecimento de pe�as, bem como de �leo lubrificante, �leo diesel
                                e aditivos. Caso seja verificada a necessidade de substitui��o de componentes e/ou fornecimento de lubrificantes
                                ou aditivos, ser� apresentado or�amento;<br>
                                <br />
                                No caso de serem necess�rios consertos nas oficinas da <b>ISRAEL GRUPOS GERADORES</b>, tais como: cart�es eletr�nicos ou itens
                                mec�nicos correr� por conta do cliente o valor adicional relativo a estes consertos.<br>
                                <br />
                                A <b>ISRAEL GRUPOS GERADORES</b> somente executar� servi�os de conserto em oficina sempre que esta determina��o seja imperiosa,
                                t�cnica e estritamente necess�ria para o bom funcionamento do grupo gerador e quando os consertos realizados
                                em campo n�o derem uma perfeita garantia de boa operacionalidade. Em caso de remessa de equipamento ou
                                componentes consertados na oficina da <b>ISRAEL GRUPOS GERADORES</b>, o custo de frete, seguros e remo��o n�o est�o inclusos no valor
                                estipulado no item 3 CONDI��ES COMERCIAIS.<br>
                                <br />
                                � imprescind�vel a disponibilidade para realiza��o de teste com carga e simula��o de falta de rede no
                                equipamento a fim de que possamos comprovar o perfeito funcionamento das opera��es do grupo gerador ap�s
                                sua manuten��o . Estes testes fazem parte das manuten��es preventivas mensais.<br>
                                <br />
                        </td>
                    </tr>
                    <tr>
                        <td align="right">
                            <font size="2">
                                <?php
                                switch (date('F')) {
                                    case 'January':
                                        $Mes_Maiusculo = ' Janeiro';
                                        break;
                                    case 'February':
                                        $Mes_Maiusculo = ' Fevereiro';
                                        break;
                                    case 'March':
                                        $Mes_Maiusculo = ' Mar�o';
                                        break;
                                    case 'April':
                                        $Mes_Maiusculo = ' Abril';
                                        break;
                                    case 'May':
                                        $Mes_Maiusculo = ' Maio';
                                        break;
                                    case 'June':
                                        $Mes_Maiusculo = ' Junho';
                                        break;
                                    case 'July':
                                        $Mes_Maiusculo = ' Julho';
                                        break;
                                    case 'August':
                                        $Mes_Maiusculo = ' Agosto';
                                        break;
                                    case 'September':
                                        $Mes_Maiusculo = ' Setembro';
                                        break;
                                    case 'October':
                                        $Mes_Maiusculo = ' Outubro';
                                        break;
                                    case 'November':
                                        $Mes_Maiusculo = ' Novembro';
                                        break;
                                    case 'December':
                                        $Mes_Maiusculo = ' Dezembro';
                                        break;
                                }
                                ?>
                                <br /><br />Recife, <?php echo data_extenso($cliente[0]['Data_Os']) ?><br />
                            </font>
                        </td>
                    </tr>
                    <tr>
                        <td align="center">
                            <font size="2"><br />Atencionsamente,<br />
                                _______________________________________________________
                                <br />ISRAEL GRUPOS GERADORES<br>RECIFE/PE<br>Email: israel@israelgeradores.com.br
                            </font>
                        </td>
                    </tr>
                </table>

                <div style="page-break-before: always;"></div>

                <table width="100%">
                    <tr>
                        <td>
                            <br />
                            <br />
                            <br />
                            <br />
                            <br />
                            <br />
                            <b>ANEXO 1</b>
                            <br />
                            <br />
                            1. ROTEIRO DE MANUTEN��O PREVENTIVA - MOTOR
                            <br />
                            <br />
                            1.1 TANQUE DE COMBUST�VEL DE SERVI�O<br />
                            - Avaliar o estado e conserva��o do tanque;<br />
                            - Verificar o n�vel do combust�vel;<br />
                            - Verificar vazamentos pelas conex�es/tubula��es;<br />
                            - Drenar para retirar a �gua e impurezas;<br />
                            - Drenar �gua e sedimentos do filtro tipo RACOR;<br />
                            - Verificar respiro do tanque.<br />
                            1.2 SISTEMA DE COMBUSTIVEL E FILTROS<br />
                            - Verificar as mangueiras e as tubula��es de �leo combust�vel;<br />
                            - Controlar e registrar a necessidade de troca dos filtros em conformidade com as necessidades t�cnicas do equipamento.<br />
                            1.3 SISTEMA �LEO LUBRIFICANTE E FILTROS<br />
                            - Verificar o n�vel de �leo lubrificante;<br />
                            - Verificar vazamentos em juntas e buj�es ;<br />
                            - Realizar limpeza do respiro do c�rter;<br />
                            - Controlar e registrar a necessidade de troca de �leo do c�rter e dos filtros em conformidade com as necessidades t�cnicas do equipamento;<br />
                            - Controlar a necessidade de troca do elemento dofiltro de respiro do c�rter em conformidade com as necessidades t�cnicas do equipamento.<br />
                            1.4 SISTEMA DE ARREFECIMENTO<br />
                            - Radiador ou intercambiador;<br />
                            - Verificar n�vel da �gua de arrefecimento;<br />
                            - Controlar e registra a necessidade de troca da �gua e anticorrosivo de acordo com as normas do fabricante;<br />
                            - Verificar funcionamento e fixa��o;<br />
                            - Verificar as mangueiras do radiador ou intercambiador;<br />
                            - Verificar temperatura da �gua ou arrefecimento;<br />
                            - Verificar a exist�ncia de vazamentos na linha de arrefecimento;<br />
                            - Controlar e registrar a troca do filtro da �gua de arrefecimento;<br />
                            - Verificar a qualidade ( marca homologada) do filtro instalado.<br />
                            1.4.1 Bomba de �gua<br />
                            - Verificar vazamentos e funcionamento.<br />
                            1.4.2 Ventilador<br />
                            - Verificar tens�o da correia, fixa��o da grade de prote��o e estado das p�s e parafusos.<br />
                            1.4.3 Resfriador de �leo<br />
                            - Verificar a conserva��o, fixa��o e veda��o.<br />
                            1.5 BOMBA INJETORA E SISTEMA DE INJE��O<br />
                            - Verificar vazamentos externos e reaperto nos injetores;<br />
                            - Verificar a necessidade de ajustar v�lvulas de admiss�o e escape de acordo com as normas do fabricante;<br />
                            - Verificar a necessidade de ajustar bicos injetores de acordo com as normas do fabricante (somente motores Cummins Linhas N,K e VT);<br />
                            - Realizar limpeza do pick-up magn�tico;<br />
                            - Ajustar a rota��o do motor diesel;<br />
                            - Verificar a necessidade de limpeza do pr�-filtro da bomba alimentadora.<br />
                            1.6 FILTRO DE AR<br />
                            - Verificar conserva��o e fixa��o;<br />
                            - Realizar limpeza no filtro do pr�-filtro de ar e gamela coletora de p�;<br />
                            - Verificar o indicador de restri��o;<br />
                            - Controlar e registrar a necessidade de troca do elemento filtrante de acordo com as normas do fabricante;<br />
                            - Verificar a limpeza interna da tubula��o do p�s-filtro e anterior a turbina.<br />
                            1.7 TURBINAS<br />
                            - Verificar vazamentos externos, conserva��o e fixa��o;<br />
                            - Verificar folga do turbo compressor de acordo com periodicidade especifica;<br />
                            - Controlar e registrar a necessidade de revis�o das turbinas, em n�vel de oficina de acordo com as normas do fabricante.<br />
                            1.8 SISTEMA DE PARTIDAS<br />
                            - Verificar motor de partida;<br />
                            - Verificar chave de partida e contatos el�tricos;<br />
                            - Medir o n�vel de tens�o e densidade das baterias;<br />
                            - Revisar terminais de baterias;<br />
                            - Monitorar a necessidade de substitui��o das baterias ap�s 2 (dois ) anos de uso aproximadamente.<br />
                            1.9 PROTE��ES DO MOTOR<br />
                            - Simular eletricamente atua��o do termostato de desligamento por alta temperatura d'�gua;<br />
                            - Simular eletricamente a atua��o do pressostato de desligamento por baixa press�o do �leo;<br />
                            - Verificar a atua��o do sensor de sobrevelocidade( par�metro 65/66 HZ);<br />
                            - Verificar eletricamente a atua��o do sensor de baixo n�vel d'�gua do radiador / intercambiador, quando existente;<br />
                            - Verificar atua��o da v�lvula de fluxo d'�gua do intercambiadorquando existente.<br />
                            1.10 OUTRAS VERIFICA��ES<br />
                            - Verificar ru�dos estranhos e/ou anormais do motor;<br />
                            - Verificar tens�o, desgaste e vida �til das correias;<br />
                            - Verificar as condi��es de funcionamento dos instrumentos;<br />
                            - Verificar fia��o, estado do sensor e valor ajustado do sistema do pr�-aquecimento;<br />
                            - Verificar amortecedores de vibra��es;<br />
                            - Realizar limpeza do(s) grupo(s) gerador(es).<br />
                            1.11 ROTEIRO DE MANUTEN��O PREVENTIVA ? GERADOR<br />
                            - Verificar estado de conserva��o e realizar limpeza externa;<br />
                            - Verificar obstru��o de passagens de ar internas e externas;<br />
                            - Avaliar a temperatura da carca�a do estator;<br />
                            - Realizar aperto dos terminais de for�a e de comando na sa�da do gerador;<br />
                            - Verificar e avaliar vibra��es;<br />
                            - Verificar acoplamento, borrachas e apertos dos parafusos;<br />
                            - Realizar lubrifica��o dos rolamentos (de acordo com o modelo e tabela do fabricante).<br />
                            - Realizar megagem a cada 250 horas.<br />
                            1.12 ROTEIRO E MANUTEN��O PREVENTIVA ? QUADRO DE COMANDO<br />
                            1.12.1 REGULADOR DE TENS�O DO GERADOR<br />
                            - Verificar os ajustes de tens�o, ganho e estabilidade do regulador;<br />
                            - Verificar o comportamento din�mico com carga e sem carga do grupo gerador;<br />
                            - Verificar ajuste de compensa��o de reativo (quando aplicado em grupos paralelos).<br />
                            1.12.2 REGULADOR DE VELOCIDADE<br />
                            - Verificar ajustes de frequ�ncia, ganho e estabilidade;<br />
                            - Verificar comportamento din�mico com carga e sem carga;<br />
                            - Verificar medi��es do sinal emitido pelo sensor magn�tico (pick-up);<br />
                            - Realizar ajuste da faixa de atua��o de sobre velocidade do motor;<br />
                            - Verificar conex�es e contatos el�tricos.<br />
                            1.12.3 CARREGADOR DE BATERIAS ( RETIFICADOR)<br />
                            - Realizar medi��es de corrente em carga e flutua��o;<br />
                            - Realizar medi��es de tens�o em carga e flutua��o;<br />
                            - Realizar simula��o de defeitos no retificador;<br />
                            - Verificar conex�es e contatos el�tricos;<br />
                            1.12.4 PR�-AQUECIMENTO<br />
                            - Verificar aquecimento do bloco do motor;<br />
                            - Realizar medi��o da corrente de consumo da(s) resist�ncia(s);<br />
                            - Verificar conex�es e contatos el�tricos.<br />
                            1.12.6 PARALELISMO<br />
                            - Verificar os n�veis de reativos entre os grupos;<br />
                            - Analisar o funcionamento em conjunto dos grupos.<br />
                            1.12.7 ALTERNADOR CARREGADOR DE BATERIAS<br />
                            - Realizar teste de funcionamento;<br />
                            - Realizar medi��o da tens�o e corrente de carga das baterias.<br />
                            <br />
                            <br />
                        </td>
                    </tr>
                </table>
            </td>
        </tr>
    </table>
</body>

</html>
