<?php
include_once '../../include/conecta.php'; //Conecta com a nosso banco de dados MySQL
ini_set('session.gc_maxlifetime', 60 * 120);
session_start();
/*include_once '../../include/ver_sessao.php'; //Verifica se a sesso est ativa*/
include_once '../../include/funcoesPhp.php';
include_once '../../menu_movimento.php';


$cliente = listar("SELECT cliente.Titulo,
                        cliente.Fone1,
                        cliente.Email,
                        cliente.Cpf_Cnpj,
                        cliente.Natureza,
                        os.Lancamento,
                        os.Id,
                        os.Data_Os,
                        os.Contato_Cliente,
                        os.P_Assunto,
                        os.P_Pagamento,
                        os.Obs,
                        os.Id_Unidade,
                        os.Texto_Contrato1,
                        os.Texto_Contrato2,
                        os.Texto_Os1,
                        os.Texto_Os2,
                        tipo_pagamento.Titulo as Tipo_Pagamento,
                        CONCAT(vendedor.Titulo,' ',vendedor.Sobrenome) as Vendedor,
                        vendedor.Email as Vendedor_Email,
                        vendedor.Fone as Vendedor_Fone
                        from os
                        left join (SELECT Id,Titulo,Fone1,Email,Cpf_Cnpj,Natureza FROM cliente) as cliente on cliente.Id = os.Id_Cliente
                        left join (SELECT Id,Titulo FROM tipo_pagamento) as tipo_pagamento on tipo_pagamento.Id = os.Id_Tipo_Pagamento
                        left join (SELECT Id,Titulo,Sobrenome,Fone,Email FROM funcionario) as vendedor on vendedor.Id = os.Id_Vendedor
 			WHERE os.Id = '" . $_GET["id_os"] . "' ");
?>
<html>

<head>
    <title>Gw - Gesto Web</title>
    <script type="text/javascript" language="javascript" src="../../js/jquery.js"></script>
    <?php include '../../include/script_cabeca.php'; ?>
    <script type="text/javascript" language="javascript" src="../../js/script.js"></script>
    <script type="text/javascript" language="javascript">
        $(document).ready(function() {
            function slideout() {
                setTimeout(function() {
                        $("#response").slideUp("slow", function() {});
                    },
                    2000);
            }
            $(".inlineEdit").bind("click", updateText);
            var OrigText, NewText;
            $(".save").live("click", function() {
                $("#loading").fadeIn('slow');
                NewText = $(this).siblings("form").children(".edit").val();
                var id = $(this).parent().attr("id");
                //var data = '?id=' + id + '&text=' + NewText;
                var data = 'id=' + id + '&text=' + NewText;
                $.post("edit.php", data, function(response) {
                    $("#retorno").html(response);
                    $("#response").slideDown('slow');
                    slideout();
                    $("#loading").fadeOut('slow');
                });
                $(this).parent().html(NewText).removeClass("selected").bind("click", updateText);
                recarregar();
            });
            $(".revert").live("click", function() {
                $(this).parent().html(OrigText).removeClass("selected").bind("click", updateText);
            });

            function updateText() {
                $('li').removeClass("inlineEdit");
                OrigText = $(this).html();
                $(this).addClass("selected").html('<form><textarea class="edit" rows="3" cols="94">' + OrigText +
                    '</textarea></form><a href="#" class="save"><img src="../../js/editing/images/save.png" border="0" width="48" height="15"/></a> <a href="#" class="revert"><img src="../../js/editing/images/cancel.png" border="0" width="58" height="15"/></a>'
                ).unbind('click', updateText);
            }

            function recarregar() {
                setTimeout(function() {
                    location.reload();
                }, 1000);
            }

        });
    </script>
    <script type="text/javascript" language="javascript">
        //window.onload = function(){
        //window.print();
        //}
    </script>
</head>

<body>

    <!-- 1 folha -->
    <table width="100%" class="table1">
        <tr>
            <td>
                <?php if (CLIENTE_EMAIL == 'ciclovital') { ?>
                    <img src="ciclo.jpg" width="160px" height="auto">
                <?php } elseif (CLIENTE_EMAIL == 'ecoblend') { ?>
                    <img src="ecoblend.jpeg" width="160px" height="auto">
                <?php } ?>
                <br />
            </td>
        </tr>
        <tr>
            <td align="justify">
                <br />
                Proposta Comercial - N <?php echo $cliente[0]["Lancamento"] . "/" . date("Y"); ?>
            </td>
        </tr>
        <tr>
            <td align="right">
                Recife, <?php echo data_extenso($cliente[0]['Data_Os']) ?>
            </td>
        </tr>
        <tr>
            <td>
                <font style="font-size: 14px">
                    <b>A(o) Sr(a) <?php echo $cliente[0]["Contato_Cliente"]; ?></b>
                    <br>
                    <b><?php echo $cliente[0]["Titulo"]; ?></b>
                </font>
            </td>
        </tr>
        <tr>
            <td>
                <br />
                <font style="font-size: 12px">
                    <b>OBJETIVO</b>
                </font>
            </td>
        </tr>
        <tr>
            <td class="inlineEdit" id="C<?php echo $cliente[0]["Id"] . "-P_Assunto"; ?>" style="cursor: pointer;font-size: 18px" alt="Clique para Editar !" title="Clique para Editar !" align="justify">

                <?php
                if ($cliente[0]['P_Assunto'] == '')
                    echo $cliente[0]['Obs'];
                else
                    echo $cliente[0]['P_Assunto'];
                ?>

            </td>
        </tr>
        <tr>
            <td align="justify">
                <br />
                Prezado Senhor(a),
                <br />
                <br>1. Segue abaixo proposta para prestao de servios, nos seguintes termos:
            </td>
        </tr>
        <tr>
            <td align='justify'>
                <table width="100%" align="center" cellpadding="2" cellspacing="0">
                    <tr>
                        <td class="table_prod_nome" style="border: solid 1px #ccc" align="center" bgcolor="#ccc">
                            Atividade</td>
                        <td class="table_prod_nome" style="border: solid 1px #ccc" align="center" bgcolor="#ccc">
                            Descrio</td>
                        <td class="table_prod_nome" style="border: solid 1px #ccc" align="center" bgcolor="#ccc">Valor
                            Unitrio (R$)</td>
                        <td class="table_prod_nome" style="border: solid 1px #ccc" align="center" bgcolor="#ccc">Qtd
                        </td>
                        <td class="table_prod_nome" style="border: solid 1px #ccc" align="center" bgcolor="#ccc">UN</td>
                        <td class="table_prod_nome" style="border: solid 1px #ccc" align="center" bgcolor="#ccc">Valor
                            Total (R$)</td>
                    </tr>
                    <?php

                    $sql_comodato = mysqli_query($con, "SELECT os_produto.Id,
                produto.Titulo as Servico,
                produto.Descricao,
                produto.Medida,
                categoria_produto.Titulo as Categoria,
                os_produto.Preco,
                os_produto.Qtd,
                os_produto.Desconto,
                os_produto.Desconto_Real,
                os_produto.C_Descricao,
                os_produto.Obs
                FROM os_produto
                left join (SELECT Id,Titulo,Descricao,Id_Categoria_Produto,Medida FROM produto) as produto ON produto.Id = os_produto.Id_Produto
                left join (SELECT Id,Titulo FROM categoria_produto) as categoria_produto ON categoria_produto.Id = produto.Id_Categoria_Produto
                WHERE os_produto.Id_Os='" . $_GET["id_os"] . "'
                ORDER BY Categoria,os_produto.Data_Cadastro ");

                    ?>

                    <?php
                    $x = 0;
                    $vt = 0;
                    while ($linha = mysqli_fetch_assoc($sql_comodato)) {

                        $v = $linha['Preco'];

                        $Valor_Total += (($linha['Qtd'] * $linha['Preco']) - (($linha['Qtd'] * $linha['Preco']) * ($linha['Desconto'] / 100))) - $linha['Desconto_Real'];

                    ?>
                        <tr>
                            <td style="border: solid 1px #ccc; font-size:16px" align="center">
                                <?php echo $linha['Categoria']; ?></td>
                            <td style="border: solid 1px #ccc; font-size:16px" align="center" class="inlineEdit" id="P<?php echo $linha["Id"] . "-C_Descricao"; ?>" style="cursor: pointer;" alt="Clique para Editar !" title="Clique para Editar !">
                                <?php
                                if ($linha['C_Descricao'] == '')
                                    echo $linha['Descricao'];
                                else
                                    echo $linha['C_Descricao'];
                                ?>
                            </td>
                            <td style="border: solid 1px #ccc; font-size:12px" align="center">
                                R$ <?php echo valor_exibir($v); ?>
                            </td>
                            <td style="border: solid 1px #ccc; font-size:12px" align="center">
                                <?php echo $linha['Qtd']; ?>
                            </td>
                            <td style="border: solid 1px #ccc; font-size:12px" align="center">
                                <?php echo $linha['Medida']; ?>
                            </td>
                            <td style="border: solid 1px #ccc; font-size:12px" align="center">
                                R$ <?php echo valor_exibir($v * $linha['Qtd']); ?>
                            </td>
                        </tr>
                        <?php if (trim($linha['Obs']) != '') { ?>
                            <tr>
                                <td style="border: solid 1px #ccc; font-size:10px" colspan="6">Obs: <?php echo $linha['Obs']; ?>
                                </td>
                            </tr>
                        <?php } ?>

                    <?php
                        $x++;
                        $vt += $v * $linha['Qtd'];
                    }
                    ?>
                    <!--    <tr>
        <td style="border: solid 1px #ccc; font-size:12px" align="center" colspan="5">&nbsp;</td>
        <td style="border: solid 1px #ccc; font-size:12px" align="center">
            R$ <?php echo valor_exibir($vt); ?>
        </td>
    </tr>-->
                </table>
            </td>
        </tr>
        <tr>
            <td class="inlineEdit" id="C<?php echo $cliente[0]["Id"] . "-Texto_Contrato1"; ?>" style="cursor: pointer;font-size: 18px" alt="Clique para Editar !" title="Clique para Editar !" align="justify">
                <br />
                <?php
                if ($cliente[0]['Texto_Contrato1'] == '') {
                    echo "2. Os servios prestados, acima mencionados, sero faturados quinzenalmente e, 
                                os pagamentos referentes aos mesmos sero feitos mediante apresentao do boleto 
                                bancrio e nota fiscal de prestao de servios (Prazo de " . $cliente[0]["Tipo_Pagamento"] . " corridos). 
                                Em caso de atraso de pagamento, a CONTRATANTE estar automaticamente em mora, 
                                arcando com multa de 2 % e juros de 0,3% a.d. O tempo mximo de operao  de 2 horas. 
                                Para cada hora excedente sero cobrados 25% do valor da coleta; 
                                Para cada 2 horas excedentes sero cobrados 40% do valor da coleta; Para cada
                                3 horas sero cobrados 50% do valor da coleta e para cada 4 horas sero cobrados 100% do valor da coleta.";
                } else {
                    echo $cliente[0]['Texto_Contrato1'];
                }
                ?>
            </td>
        </tr>
        <tr>
            <td class="inlineEdit" id="C<?php echo $cliente[0]["Id"] . "-Texto_Os1"; ?>" style="cursor: pointer;font-size: 18px" alt="Clique para Editar !" title="Clique para Editar !" align="justify">
                <br />
                <?php
                if ($cliente[0]['Texto_Os1'] == '') {
                    echo "3. Os valores referentes ao tratamento dos resduos podem sofrer alteraes a qualquer momento, 
                                desde que haja reajuste por parte dos receptores. Caso tal fato ocorra, o reajuste ser repassado 
                                integralmente ao gerador do resduo.";
                } else {
                    echo $cliente[0]['Texto_Os1'];
                }
                ?>
            </td>
        </tr>

        <tr>
            <td align='justify'>
                <br />
                <table width="100%" align="center" cellpadding="2" cellspacing="0">
                    <?php

                    $sql_comodato = mysqli_query($con, "SELECT os_produto_reparo.Id,
                produto.Titulo as Produto,
                produto.Descricao,
                os_produto_reparo.Valor_Reparo,
                os_produto_reparo.Qtd_Reparo,
                os_produto_reparo.Solucao_Reparo
                FROM os_produto_reparo
                left join (SELECT Id,Titulo,Descricao FROM produto) as produto ON produto.Id = os_produto_reparo.Id_Produto
                WHERE os_produto_reparo.Id_Os='" . $_GET["id_os"] . "' ");
                    if (mysqli_num_rows($sql_comodato) > 0) {
                    ?>
                        <tr>
                            <td>
                                <br>
                                <b>Assunto 2: Proposta para compra de resduos reciclveis.</b>
                            </td>
                        </tr>
                        <tr>
                            <td class="table_prod_nome" style="border: solid 1px #ccc" align="center" bgcolor="#ccc">
                                Descrio</td>
                            <td class="table_prod_nome" style="border: solid 1px #ccc" align="center" bgcolor="#ccc">Valor
                                Unitrio (R$)</td>
                            <td class="table_prod_nome" style="border: solid 1px #ccc" align="center" bgcolor="#ccc">Qtd
                            </td>
                            <td class="table_prod_nome" style="border: solid 1px #ccc" align="center" bgcolor="#ccc">Valor
                                Total (R$)</td>
                        </tr>
                        <?php

                        $x = 0;
                        $vt = 0;
                        while ($linha = mysqli_fetch_assoc($sql_comodato)) {

                            $v = $linha['Valor_Reparo'];
                        ?>
                            <tr>
                                <td style="border: solid 1px #ccc; font-size:12px" align="center">
                                    <?php echo $linha['Descricao']; ?></td>
                                <td style="border: solid 1px #ccc; font-size:12px" align="center">
                                    R$ <?php echo valor_exibir($v); ?>
                                </td>
                                <td style="border: solid 1px #ccc; font-size:12px" align="center">
                                    <?php echo valor_exibir($linha['Qtd_Reparo']); ?>
                                </td>
                                <td style="border: solid 1px #ccc; font-size:12px" align="center">
                                    R$ <?php echo valor_exibir($v * $linha['Qtd_Reparo']); ?>
                                </td>
                            </tr>
                            <?php if (trim($linha['Solucao_Reparo']) != '') { ?>
                                <tr>
                                    <td style="border: solid 1px #ccc; font-size:12px" colspan="4">Obs:
                                        <?php echo $linha['Solucao_Reparo']; ?></td>
                                </tr>
                            <?php } ?>

                        <?php
                            $x++;
                            $vt += $v * $linha['Qtd_Reparo'];
                        }
                        ?>
                        <tr>
                            <td style="border: solid 1px #ccc; font-size:12px" align="center" colspan="3">&nbsp;</td>
                            <td style="border: solid 1px #ccc; font-size:12px" align="center">
                                R$ <?php echo valor_exibir($vt); ?>
                            </td>
                        </tr>
                    <?php } ?>
                </table>
            </td>
        </tr>
        <tr>
            <td class="inlineEdit" id="C<?php echo $cliente[0]["Id"] . "-Texto_Os2"; ?>" style="cursor: pointer;font-size: 18px" alt="Clique para Editar !" title="Clique para Editar !" align="justify">
                <br />
                <?php
                if ($cliente[0]['Texto_Os2'] == '') {
                    echo "4. Os valores referentes a compra dos resduos podem sofrer alteraes a qualquer momento, 
                                desde que haja reajuste por parte dos receptores. Caso tal fato ocorra, o reajuste ser repassado 
                                integralmente ao gerador do resduo.";
                } else {
                    echo $cliente[0]['Texto_Os2'];
                }
                ?>
            </td>
        </tr>
        <tr>
            <td class="inlineEdit" id="C<?php echo $cliente[0]["Id"] . "-Texto_Contrato2"; ?>" style="cursor: pointer;font-size: 18px" alt="Clique para Editar !" title="Clique para Editar !" align="justify">
                <br />
                <?php
                if ($cliente[0]['Texto_Contrato2'] == '') {
                    echo "5. Os pagamentos referentes aos materiais comprados sero efetuados na ocasio 
                                de fechamento quinzenal, onde o cliente pode optar por recebimento dos valores 
                                ou abatimento no saldo a pagar de sua fatura.";
                } else {
                    echo $cliente[0]['Texto_Contrato2'];
                }
                ?>
            </td>
        </tr>
        <tr>
            <td class="inlineEdit" id="C<?php echo $cliente[0]["Id"] . "-P_Pagamento"; ?>" style="cursor: pointer;font-size: 18px" alt="Clique para Editar !" title="Clique para Editar !">
                <br>
                <?php
                if ($cliente[0]['P_Pagamento'] == '') {
                    echo "6. A presente proposta possui prazo de validade de 15 (Quinze) dias corridos a contar 
                                da data de envio.";
                } else {
                    echo $cliente[0]['P_Pagamento'];
                }
                ?>
            </td>
        </tr>
        <tr>
            <td><br />
                <b>Atenciosamente,</b>
            </td>
        </tr>
        <tr>
            <td align='center'>
                <br /><br /><br />
                <font style="font-size: 12px">
                    <?php
                    echo $cliente[0]["Vendedor"] . "<br>";
                    echo "Consultor Comercial" . "<br>";
                    echo $cliente[0]["Vendedor_Email"] . "<br>";
                    echo $cliente[0]["Vendedor_Fone"] . "<br>";
                    ?>
                </font>
            </td>
        </tr>
        <?php
        $uni = mysqli_query($con, "SELECT Razao_Social,Rua,Numero,Bairro,Cidade,Estado,Cep,
                            Fone1,Fone2
                            FROM unidade
                            WHERE Id='" . $cliente[0]["Id_Unidade"] . "' ");
        $unid = mysqli_fetch_assoc($uni);
        ?>
        <tr>
            <td align="center">
                <font style="font-size: 12px">
                    <?php echo $unid["Razao_Social"]; ?><br>
                    <?php echo $unid["Rua"] . ", " . $unid["Numero"] . " - " . $unid["Bairro"] . " - " . $unid["Cidade"] . " - " . $unid["Estado"] . " - " . $unid["Cep"]; ?><br>
                    Fone <?php echo $unid["Fone1"] . " / " . $unid["Fone2"]; ?>
                </font>
            </td>
        </tr>
        <br><br><br>
        <tr>
            <td align="center">
                <font size="2"><br /><br />
                    _______________________________________________________
                    <br /><?php echo $cliente[0]["Titulo"]; ?><br>
                    Cnpj
                    <?php
                    if ($cliente[0]["Natureza"] == "PF") {
                        echo cpf_exibir($cliente[0]['Cpf_Cnpj']);
                    } else {
                        echo cnpj_exibir($cliente[0]['Cpf_Cnpj']);
                    }
                    ?>
                    <br>
                    Cliente
                </font>
            </td>
        </tr>
    </table>
    <!-- 5 folha fim -->


    <div id="retorno"></div>
</body>

</html>