<?php
include_once '../include/conecta.php'; //Conecta com a nosso banco de dados MySQL
include_once '../include/ver_sessao.php'; //Verifica se a sesso est ativa
include_once '../include/funcoesPhp.php';
include_once '../menu_movimento.php';
?>
<?php
if (($_GET["Finalizado"]) || ($_GET["Aberto"]) || ($_GET["Cancelado"])) {

    $status = "and (";

    if ($_GET["Finalizado"]) {
        $status .= " os.Status = 'Finalizado' OR";
    }
    if ($_GET["Aberto"]) {
        $status .= " os.Status = 'Aberto' OR";
    }
    if ($_GET["Cancelado"]) {
        $status .= " os.Status = 'Cancelado' OR";
    }

    $status = substr($status, 0, -2);
    $status .= ")";
}

if ($_GET['Data_Filtro'] == 'Data') {
    if ($_GET["De"])
        $data .= "AND os.Data_Os >= '" . data_banco($_GET["De"]) . " 00:00:00' ";
    if ($_GET["Ate"])
        $data .= "AND os.Data_Os <= '" . data_banco($_GET["Ate"]) . " 23:59:59' ";
}
if ($_GET['Data_Filtro'] == 'Conclusao') {
    if ($_GET["De"])
        $data .= "AND os.Data_Conclusao >= '" . data_banco($_GET["De"]) . " 00:00:00' ";
    if ($_GET["Ate"])
        $data .= "AND os.Data_Conclusao <= '" . data_banco($_GET["Ate"]) . " 23:59:59' ";
}

if ($_GET["Cliente"]) {

    $mystring = $_GET["Cliente"];
    $findme = " : ";

    $posicao = strpos($mystring, $findme);

    $cod_cli = substr($_GET["Cliente"], 0, $posicao);
    $nome_cli = substr($_GET["Cliente"], ($posicao + 3));


    if (CLIENTE_RAZAO_SOCIAL == 'Sim') {
        $nome = 'Razao_Social';
    } else {
        $nome = 'Titulo';
    }
    /* convertendo o nome do fornecedor, para o seu codigo */
    $Prodt = listar("SELECT Id FROM cliente WHERE " . $nome . " ='" . $nome_cli . "' AND Codigo = '" . $cod_cli . "' ");
    $_GET["Cliente"] = $Prodt[0]["Id"];

    $Cliente = "and os.Id_Cliente = '" . $_GET["Cliente"] . "' ";
}

if ($_GET["Usuario"])
    $Usuario = "and os.Id_Usuario = '" . $_GET["Usuario"] . "' ";

if ($_GET["Funcionario"])
    $usuario_p = "and os.Id_Funcionario = '" . $_GET["Funcionario"] . "' ";

if ($_GET["Produto"]) {

    $mystring = $_GET["Produto"];
    $findme = " : ";

    $posicao = strpos($mystring, $findme);

    $cod_cli = substr($_GET["Produto"], 0, $posicao);
    $nome_cli = substr($_GET["Produto"], ($posicao + 3));


    /* convertendo o nome do fornecedor, para o seu codigo */
    $Prodt = listar("SELECT Id FROM produto WHERE Titulo='" . $nome_cli . "' AND Codigo = '" . $cod_cli . "' ");
    $_GET["Produto"] = $Prodt[0]["Id"];

    $os_produto = "and os_produto.Id_Produto = '" . $_GET["Produto"] . "' ";
}

if ($_GET["Unidade"]) {
    $Unidade = "and os.Id_Unidade = '" . $_GET["Unidade"] . "' ";
}

if ($_GET["Supervisor"]) {
    $Supervisor = "and os.Id_Supervisor = '" . $_GET["Supervisor"] . "' ";
}

if ($_GET["Ok"]) {
    $os = mysqli_query($con, "Select os.Id, os.Lancamento,
                    os.Status,
                    os.Data_Os,
                    os.Data_Conclusao,
                    os.Desconto,
                    os.Desconto_Real,
                    os.Motivo,
                    cliente.Titulo as Cliente,
                    tipo_pagamento.Titulo as Tipo_Pagamento,
                    funcionario.Titulo as 'Funcionario',
                    DATE_FORMAT(os.Data_Liberado,'%d/%m/%Y %H:%i:%s') as Data_Liberado,
                    supervisor.Titulo as Supervisor
                    from os
                    left join os_produto ON os_produto.Id_Os = os.Id
                    LEFT JOIN (SELECT Id,Titulo FROM funcionario) as supervisor ON supervisor.Id = os.Id_Supervisor
                    LEFT JOIN (SELECT Id,Titulo FROM funcionario) as funcionario ON funcionario.Id = os.Id_Funcionario
                    LEFT JOIN (SELECT Id,Titulo FROM cliente) as cliente ON os.Id_Cliente = cliente.Id
                    LEFT JOIN (SELECT Id,Titulo FROM tipo_pagamento) as tipo_pagamento ON os.Id_Tipo_Pagamento = tipo_pagamento.Id
                    where Tipo_Os='1'
                    $data $status $usuario_p $Cliente $os_produto $Unidade $Usuario $Supervisor
                    group by os.Lancamento
                    order by os.Lancamento");
}
?>
<html>
    <head>
        <title>Gw - Gesto Web</title>
        <link rel="stylesheet" type="text/css" href="../estilo/<?php echo SKIN; ?>/tabelas.css" />
        <link rel="stylesheet" type="text/css" href="../js/datePicker/datePicker.css" />
        <link rel="stylesheet" type="text/css" href="../js/autocomplete/jquery.autocomplete.css" />
        <link rel="stylesheet" type="text/css" href="../js/autocomplete/lib/thickbox.css" />
        <script type="text/javascript" language="javascript" src="../js/jquery.js"></script>
<?php include '../include/script_cabeca.php'; ?>
        <script type="text/javascript" language="javascript" src="../js/script.js"></script>
        <script type="text/javascript" language="javascript" src="../js/meiomask/meiomask.js"></script>
        <script type="text/javascript" language="javascript" src="../js/meiomask/<?php if (PAIS == "USA") {
    echo "mascaras-usa";
} else {
    echo "mascaras";
} ?>.js"></script>
        <script type="text/javascript" language="javascript" src="../js/blockUI/blockUI.js"></script>
        <script type="text/javascript" language="javascript" src="../js/autocomplete/lib/jquery.bgiframe.min.js"></script>
        <script type="text/javascript" language="javascript" src="../js/autocomplete/lib/jquery.ajaxQueue.js"></script>
        <script type="text/javascript" language="javascript" src="../js/autocomplete/lib/thickbox-compressed.js"></script>
        <script type="text/javascript" language="javascript" src="../js/autocomplete/jquery.autocomplete.js"></script>
        <!-- required plugins -->
        <script language="javascript" type="text/javascript" src="../js/datePicker/<?php if (PAIS == "USA") {
    echo "date";
} else {
    echo "date-pt";
} ?>.js"></script>
        <!--[if IE]>
                <script type="text/javascript" src="../js/datePicker/jquery.bgiframe.js"></script>
                <![endif]-->
        <!-- jquery.datePicker.js -->
        <script type="text/javascript" src="../js/datePicker/jquery.datePicker.js"></script>
        <script type="text/javascript" language="javascript" >
            Date.firstDayOfWeek = 0;
<?php if (PAIS == "USA") {
    echo "Date.format='mm/dd/yyyy';";
} else {
    echo "Date.format='dd/mm/yyyy';";
} ?>
            $(function () {
                $('.date-pick').datePicker({startDate: '01/01/1990'})
            });
        </script>
        <script type="text/javascript" language="javascript" >
            $(document).ready(function () {
                $("#Cliente").autocomplete("os/busca_cliente.php", {
                    width: 340,
                    selectFirst: true,
                    scroll: false,
                    cacheLength: 100,
                    max: 100
                });
                $("#Produto").autocomplete("os/busca_produto.php", {
                    width: 340,
                    selectFirst: true,
                    scroll: false,
                    cacheLength: 100,
                    max: 100
                });
            });
        </script>
        <script type="text/javascript" language="javascript" >
            $(document).ready(function () {

                $('#bt_Enviar_Email').click(function () {
                    $.blockUI({message: $('#Tela_Email'), css: {width: '350px'}});
                    //setTimeout($.unblockUI, 6000);
                });


                $('#Enviar_Email').click(function () {
                    $.blockUI({message: "<h2>Enviando E-mail...</h2>"});

                    var nomeDestinatario = $("#Nome_Destinatario").val();
                    var emailDestinatario = $("#Email_Destinatario").val();
                    //var nomeCopia = $("#Nome_Copia").val();
                    //var emailCopia = $("#Email_Copia").val();
                    var de = $("#De").val();
                    var ate = $("#Ate").val();
                    var Funcionario = $("#Funcionario").val();
                    var Cliente = $("#Cliente").val();
                    var Produto = $("#Produto").val();
                    var Finalizado_rel = $("#Finalizado_Rel").val();
                    var cancelado_rel = $("#Cancelado_Rel").val();
                    var aberto_rel = $("#Aberto_Rel").val();
                    $.get("email_rel_os.php", {Nome_Destinatario: nomeDestinatario, Email_Destinatario: emailDestinatario,
                        De: de, Ate: ate, Funcionario: Funcionario,
                        Produto: Produto, Finalizado: Finalizado_rel,
                        Cancelado: cancelado_rel, Aberto: aberto_rel,
                        Cliente: Cliente},
                            function (data) {
                                $("#div_resposta").html(data);
                                $.unblockUI();
                                $("#Nome_Destinatario").val('');
                                $("#Email_Destinatario").val('');
                                $("#Nome_Copia").val('');
                                $("#Email_Copia").val('');
                            });

                });


                $('#Cancelar_Email').click(function () {
                    $.unblockUI();
                    return false;
                });


            });
        </script>
        <style type="text/css">
            thead { display: table-header-group; }
            tfoot { display: table-footer-group; }
        </style>
    </head>
    <body>
        <table width="100%" height="400px"><!-- TABELA Q ENVOLVE TODO O CONTEUDO -->
            <tr>
                <td>
                    <table width="100%">
                        <tr>
                            <td align="left">
                                <font face="verdana" size="2"><i><b>Relatrio de Propostas</b></i></font>
                            </td>
                            <td align="center">
                                <a href='imp_pdf_os.php?<?php echo $_SERVER["QUERY_STRING"] ?>' title="Pdf"><img src="../imagem/pdfG.png" border="0" alt="Pdf" title="Pdf"/></a>
                                <br/><font face="verdana" size="2"><i>Pdf</i></font>		
                            </td>
                            <td align="center">
                                <a href='imp_excel_os.php?<?php echo $_SERVER["QUERY_STRING"] ?>' title="Excel"><img src="../imagem/excelG.png" border="0" alt="Excel" title="Excel"/></a>
                                <br/><font face="verdana" size="2"><i>Excel</i></font>
                            </td>
                            <td align="center">
                                <a href='javascript:void(0);' id="bt_Enviar_Email" title="Email"><img src="../imagem/emailG.png" border="0" alt="E-mail" title="E-mail"/></a>
                                <br/><font face="verdana" size="2"><i>E-mail</i></font>		
                            </td>
                            <td align="center">
                                <a href="imp_rel_os.php?<?php echo $_SERVER["QUERY_STRING"] ?>" title="Imprimir" target="_blank"><img src="../imagem/imprimirG.png" border="0" alt="Imprimir" title="Imprimir"/></a>
                                <br/><font face="verdana" size="2"><i>Imprimir</i></font>		
                            </td>
                        </tr>
                    </table>
                </td>
            </tr>
            <tr>
                <td>
                    <form action="" method="get">
                        <table width="100%" class="busca_rel">
                            <tr class="azul">
                                <td>De<input type="text" name="De" id="De" class="date-pick" size="10" value="<?php echo $_GET["De"]; ?>" ></td>
                                <td>At<input type="text" name="Ate" id="Ate" class="date-pick" size="10" value="<?php echo $_GET["Ate"]; ?>" ></td>
<?php
if ($_GET['Data_Filtro'] == 'Data') {
    $Data = 'checked';
} else if ($_GET['Data_Filtro'] == 'Conclusao') {
    $Conclusao = 'checked';
} else {
    $Data = 'checked';
}
?>
                                <td>
                                    <input type="radio" name="Data_Filtro" value='Data' id="Data" <?php echo $Data; ?> ><label class="label_radio" for="Data">Data Abertura</label>
                                    <input type="radio" name="Data_Filtro" value='Conclusao' id="Conclusao" <?php echo $Conclusao; ?> ><label class="label_radio" for="Conclusao">Data Concluso</label>
                                </td>
                            </tr>
                            <tr class="azul">
                                <td>
                                    <?php
                                    if (CLIENTE_RAZAO_SOCIAL == 'Sim') {
                                        $nome = 'Razao_Social';
                                    } else {
                                        $nome = 'Titulo';
                                    }

                                    $Produt = listar("SELECT CONCAT(Codigo,' : ', " . $nome . ") as Titulo FROM cliente WHERE Id='" . $_GET['Cliente'] . "'");
                                    $_GET["Cliente"] = $Produt[0]["Titulo"];
                                    ?>
                                    <label for="Cliente"><b> * Cdigo / Cliente :</b></label>
                                    <input style="width: 220px; height: 20px;" type="text" id="Cliente" name="Cliente" value="<?php echo $_GET['Cliente']; ?>" />
                                </td>
                                    <?php
                                    //se o sistema for Multi Empresa
                                    if (MULTI_EMPRESA == "Sim") {

                                        //se o usuario master ele escolhe pra quem vai
                                        if (ESCOLHER_EMPRESA == 'Sim') {
                                            ?>
                                        <td>
                                        <?php
                                        echo select_banco2("SELECT Id,Titulo FROM unidade WHERE Ativo='Sim' ORDER BY Titulo",
                                                "Unidade", "Unidade", "Empresa", $_GET["Unidade"], "", "");
                                        ?>
                                        </td>
                                            <?php
                                            //se no for, a unidade sempre ser a sua
                                        } else {
                                            echo "<td><input type='hidden' name='Unidade' id='Unidade' value='" . $_SESSION["Unidade"] . "' ></td>";
                                        }
                                    } else {
                                        echo "<td><input type='hidden' name='Unidade' id='Unidade' value='" . $_SESSION["Unidade"] . "' ></td>";
                                    }
                                    ?>
                                <td>
                                    <?php
                                    echo select_banco2("Select distinct Id, Titulo from funcionario where Ativo = 'Sim' AND Vendedor = 'Sim' order by Titulo",
                                            "Funcionario", "Funcionario", "Responsvel", $_GET["Funcionario"]);
                                    ?>
                                    
                                    &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
                                    
                                    <?php
                                    echo select_banco2("Select distinct Id, Titulo from funcionario where Ativo = 'Sim' order by Titulo",
                                            "Supervisor", "Supervisor", "Supervisor", $_GET["Supervisor"]);
                                    ?>
                                </td>
                            </tr>
                            <tr class="azul">
                                <td>
<?php
/* convertendo o codigo do produto, para o seu nome */
$Produt = listar("SELECT CONCAT(Codigo,' : ', Titulo) as Titulo FROM produto WHERE Id='" . $_GET["Produto"] . "'");
$_GET["Produto"] = $Produt[0]["Titulo"];
?>
                                    <label for="Produto"><b> * Cdigo / Produto :</b></label>
                                    <input style="width: 200px; height: 20px;" type="text" name="Produto" id="Produto" value="<?php echo $_GET["Produto"] ?>">
                                </td>
                                <td>
                                    <input type="checkbox" name="Finalizado" value="Finalizado" <?php if ($_GET["Finalizado"]) echo "checked='checked' "; ?> >Finalizado
                                    <input type="checkbox" name="Aberto" value="Aberto" <?php if ($_GET["Aberto"]) echo "checked='checked' "; ?> >Aberto
                                    <input type="checkbox" name="Cancelado" value="Cancelado" <?php if ($_GET["Cancelado"]) echo "checked='checked' "; ?> >Cancelado

                                    <input type="hidden" value="<?php echo $_GET["Finalizado"]; ?>" name="Finalizado_Rel" id="Finalizado_Rel">
                                    <input type="hidden" value="<?php echo $_GET["Aberto"]; ?>" name="Aberto_Rel" id="Aberto_Rel">
                                    <input type="hidden" value="<?php echo $_GET["Cancelado"]; ?>" name="Cancelado_Rel" id="Cancelado_Rel">
                                </td>
                                <td align="center">
                                    <input type="submit" value="Ok" name="Ok">
                                </td>
                            </tr>
                        </table>
                    </form>
                </td>
            </tr>
            <tr>
                <td>
                    <table width="100%" class="tabela">
                        <tfoot>
                            <tr class="cinza"><td colspan="20">Relatrio de Propostas</td></tr>
                        </tfoot>
<?php
if ($_GET["Ok"]) {

    while ($chave = mysqli_fetch_assoc($os)) {
        ?>
                                <tr class="azul-claro">
                                    <td>Os N: <b><?php echo $chave["Lancamento"] ?></b></td>
                                    <td>Cliente: <b><?php echo $chave["Cliente"] ?></b></td>
                                    <td>Data: <b><?php echo data_exibir($chave["Data_Os"]) ?></b></td>
                                    <td>Liberado: <b><?php echo $chave["Supervisor"] . " " . $chave["Data_Liberado"]; ?></b></td>
                                </tr>

                                <?php
                                $os_prodr = mysqli_query($con, "Select os_produto_reparo.Id,
                                        os_produto_reparo.Qtd_Reparo,
                                        os_produto_reparo.Defeito_Reparo,
                                        os_produto_reparo.Solucao_Reparo,
                                        os_produto_reparo.Produto_Reparo
                                        from os_produto_reparo
                                        where os_produto_reparo.Id_Os = '" . $chave["Id"] . "' ");
                                ?>
        <?php $x = 1;
        while ($chave1 = mysqli_fetch_assoc($os_prodr)) { ?>
                                    <tr>
                                        <td><?php echo $x; ?></td>
                                        <td><?php echo $chave1["Produto_Reparo"]; ?></td>
                                        <td><?php echo $chave1["Defeito_Reparo"]; ?></td>
                                        <td><?php echo $chave1["Qtd_Reparo"]; ?></td>
                                    </tr>
                                    <tr>
                                        <td colspan="4">Soluo: <?php echo $chave1["Solucao_Reparo"]; ?></td>
                                    </tr>
                                    <?php $x++;
                                } ?>

                                <?php
                                $produto = mysqli_query($con, "Select produto.Titulo,
                                    produto.Codigo,
                                    os_produto.Preco,
                                    os_produto.Qtd,
                                    os_produto.Desconto,
                                    os_produto.Desconto_Real
                                    from os_produto
                                    left join (SELECT Id,Titulo,Codigo FROM produto) as produto ON produto.Id = os_produto.Id_Produto
                                    where os_produto.Id_Os = '" . $chave["Id"] . "'
                                    $os_produto
                                    ORDER BY os_produto.Data_Cadastro");
                                ?>
                                <?php
                                $color = "#F5F5F5";
                                $vtotal = '0';
                                while ($valor = mysqli_fetch_assoc($produto)) {

                                    if ($color == "#F5F5F5") {
                                        $color = "#E8E8E8";
                                    } else {
                                        $color = "#F5F5F5";
                                    }
                                    ?>
                                    <tr bgcolor=<?php echo "$color"; ?>>
                                        <td><?php echo $valor["Codigo"] . " : " . $valor["Titulo"] ?></td>
                                        <td><?php echo @valor_exibir(( ($valor["Preco"]) - ($valor["Preco"] * ($valor["Desconto"] / 100)) ) - $valor["Desconto_Real"]); ?></td>
                                        <td><?php echo valor_exibir($valor["Qtd"]) ?></td>
                                        <td><?php echo @valor_exibir(( ($valor["Preco"] * $valor["Qtd"]) - ( ($valor["Preco"] * $valor["Qtd"]) * ($valor["Desconto"] / 100) ) ) - $valor["Desconto_Real"]); ?></td>
                                    </tr>
                                    <?php
                                    $vtotal += ( ( ($valor["Preco"] * $valor["Qtd"]) - ( ($valor["Preco"] * $valor["Qtd"]) * ($valor["Desconto"] / 100) ) ) - $valor["Desconto_Real"]);
                                }
                                ?>
                                <tr>
                                    <td>&nbsp;</td>
                                    <td>Desconto %: <?php echo valor_exibir($chave["Desconto"]); ?></td>
                                    <td>Desconto Real: <?php echo valor_exibir($chave["Desconto_Real"]); ?></td>
                                    <td><b><?php echo valor_exibir(( ($vtotal) - ($vtotal * ($chave["Desconto"] / 100)) ) - $chave["Desconto_Real"]); ?></b></td>
                                </tr>
                                <?php
                                //$vtotalacum[$chave["Status"]]+= ( ($vtotal) - ($vtotal * ($chave["Desconto"]/100)) ) - $chave["Desconto_Real"];
                                $vtotalacum[$chave["Status"]] += 1;
                                $vtotalacumA += ( ($vtotal) - ($vtotal * ($chave["Desconto"] / 100)) ) - $chave["Desconto_Real"];
                                ?>
                                <?php
                                $corStatus = "";
                                if ($chave['Status'] == 'Finalizado') {
                                    $corStatus = "color = '#228B22' ";
                                }
                                if ($chave['Status'] == 'Aberto') {
                                    $corStatus = "color = '#3A5FCD' ";
                                }
                                if ($chave['Status'] == 'Cancelado') {
                                    $corStatus = "color = '#CD2626' ";
                                }
                                ?>
                                <tr class="cinza">
                                    <td>Status: 
                                        <font <?php echo $corStatus ?>>
                                        <b><?php echo $chave["Status"] ?></b>
                                        </font>
        <?php
        if ($chave["Status"] == 'Cancelado') {
            echo $chave["Motivo"];
        }
        ?>
                                    </td>
                                    <td>Tipo Pagamento: <?php echo $chave["Tipo_Pagamento"] ?></td>
                                    <td>Concluso: <?php echo data_exibir($chave["Data_Conclusao"]) ?></td>
                                    <td>Responsvel: <?php echo $chave["Funcionario"] ?></td>
                                </tr>
                                <tr>
                                    <td colspan="4">&nbsp;</td>
                                </tr>
    <?php }
} ?>

                        <tr>
                            <td align="right"><b>Valores Finais:</b> &nbsp;</td>
                            <td colspan="3" align="right">
                                Aberto : <b><?php echo valor_exibir($vtotalacum["Aberto"]); ?></b>&nbsp;&nbsp;&nbsp;
                                Finalizado : <b><?php echo valor_exibir($vtotalacum["Finalizado"]); ?></b>&nbsp;&nbsp;&nbsp;
                                Cancelado : <b><?php echo valor_exibir($vtotalacum["Cancelado"]); ?></b>&nbsp;&nbsp;&nbsp;
                                Total Geral : <b><?php echo valor_exibir($vtotalacum["Aberto"] + $vtotalacum["Finalizado"]); ?></b>
                            </td>
                        </tr>
                    </table>
                </td>
            </tr>
            <tr>
                <td>
                    <div id="div_resposta"></div>
                </td>
            </tr>
        </table>
        <!-- INICIO DA TELA MODAL ENVIO DE EMAIL-->
        <!-- No css existe um estilo para essas divs que as deixa invisivel - display:none; -->
<?php include_once "../include/email_tabela.php"; ?>
        <!-- FIM DA TELA MODAL ENVIO DE EMAIL-->
        <br>
    </body>
</html>