<?php
include_once '../include/conecta.php'; //Conecta com a nosso banco de dados MySQL
include_once '../include/ver_sessao.php'; //Verifica se a sesso est ativa
include_once '../include/funcoesPhp.php';
include_once '../menu_movimento.php';
?>
<?php
if (CLIENTE_RAZAO_SOCIAL == 'Sim') {
    $nome = 'Razao_Social';
} else {
    $nome = 'Titulo';
}
$conta_receber = listar("SELECT os.Valor_Original,
                                os.Valor_Pago,
                                os.Lancamento,
                                os.Status,
                                os.Id_Unidade,
                                cliente.$nome as 'Cliente',
                                funcionario.Titulo as 'Funcionario'
                                from os
                                LEFT JOIN (SELECT Id,Titulo,Razao_Social FROM cliente) as cliente ON os.Id_Cliente = cliente.Id
                                LEFT JOIN (SELECT Id,Titulo FROM funcionario) as funcionario ON os.Id_Funcionario = funcionario.Id
                                where os.Id = '" . $_GET["id_os"] . "' ");

?>
<html>

<head>
    <title>Gw - Gesto Web</title>
    <style type="text/css">
        * {
            margin: 0px;
            padding: 0px;
        }

        body {
            font: 10px Arial, Arial, Helvetica, sans-serif;
            background-color: #fff;
        }
    </style>
    <script type="text/javascript" language="javascript" src="../js/jquery.js"></script>
    <?php include '../include/script_cabeca.php'; ?>
    <script type="text/javascript" language="javascript" src="../js/script.js"></script>
    <script type="text/javascript" language="javascript" src="../js/editing/editing.js"></script>
</head>

<body>
    <table width="290px">
        <?php
        $empresa = listar("SELECT unidade.Titulo,
                                  unidade.Rua,
                                  unidade.Numero,
                                  unidade.Bairro,
                                  unidade.Cidade,
                                  unidade.Estado,
                                  unidade.Logo,
                                  unidade.Fone1
                             FROM unidade 
                            WHERE unidade.Id = '" . $conta_receber[0]["Id_Unidade"] . "' ");
        ?>

        <tr>
            <td>
                <table width="100%">
                    <tr>
                        <td align="center">
                            <?php
                            if (file_exists("../unidade/foto/" . $empresa[0]["Logo"] . "")) {
                                $cam_arq = "../unidade/foto/" . $empresa[0]["Logo"];
                            } else {
                                $cam_arq = "../../unidade/foto/" . $empresa[0]["Logo"];
                            }
                            ?>
                            <img src="<?php echo $cam_arq; ?>" title="Logo" alt="Logo" border="0" width="140px"
                                height="auto" />
                        </td>
                    </tr>
                </table>
            </td>
        </tr>
        <tr>
            <td align="center">
                <?php echo strtoupper($empresa[0]["Titulo"]); ?><br>
                <?php echo $empresa[0]["Rua"] . ", " . $empresa[0]["Numero"]; ?><br>
                <?php echo $empresa[0]["Cidade"] . ", " . $empresa[0]["Estado"] . " - " . $empresa[0]["Cep"]; ?><br>
                Fone: <?php echo $empresa[0]["Fone1"]; ?><br>
                <?php
                if ($empresa[0]["Fone2"]) {
                    echo "Fax: " . $empresa[0]["Fone2"];
                }
                ?>
            </td>
        </tr>
        <tr>
            <td>
                &nbsp;
            </td>
        </tr>
        <tr>
            <td align="center" style="background-color:#000000;">
                <font color="#FFFFFF">
                    Recibo
                </font>
            </td>
        </tr>

    <tr>
        <td colspan="2" align="justify">
            <table width="290px">
                <tr>
                    <td align="justify">
                        <?php
                        if ($conta_receber[0]["Status"] == 'Finalizado') {
                            $valorRec = $conta_receber[0]["Valor_Pago"];
                        } else {
                            $valorRec = $conta_receber[0]["Valor_Original"];
                        }
                        ?>
                        Recebi do Sr(a). <b><?php echo $conta_receber[0]["Cliente"]; ?></b>, a importncia de R$
                        <?php echo number_format($valorRec, 2, ",", "."); ?>
                        (<?php echo valorPorExtenso($valorRec); ?> ), referente ao pagamento da
                        Ordem de Servio n <?php echo $conta_receber[0]["Lancamento"]; ?>.
                    </td>
                </tr>
                <tr>
                    <td align="center">&nbsp;</td>
                </tr>
                <tr>
                    <td class="inlineEdit" id="2" style="cursor: pointer;text-align:center;" alt="Clique para Editar !"
                        title="Clique para Editar !" align="left">
                        <?php echo $empresa[0]["Cidade"]; ?>,
                        <?php $data = date("Y-m-d");
                        echo data_extenso($data) ?>.
                    </td>
                </tr>
                <tr>
                    <td align="center">&nbsp;</td>
                </tr>
                <tr>
                    <td align="center">________________________</td>
                </tr>
                <tr>
                    <td align="center">
                        <?php echo $conta_receber[0]["Funcionario"]; ?><br>
                        <b>Responsvel</b>
                </td>
                </tr>
                <tr>
                    <td align="center">________________________</td>
                </tr>
                <tr>
                    <td align="center">
                        <?php echo $conta_receber[0]["Cliente"]; ?>
                        <b>Cliente</b>
                    </td>
                </tr>
            </table>
        </td>
    </tr>
    </table>
</body>

</html>
<?php include "../include/rodape.php"; ?>