<?php
include_once '../include/conecta.php'; //Conecta com a nosso banco de dados MySQL
include_once '../include/ver_sessao.php'; //Verifica se a sesso est ativa
include_once '../include/funcoesPhp.php';
include_once '../menu_movimento.php';
?>
<?php
if (($_GET["Aberto"]) || ($_GET["Recebido_Pela_Assistencia"]) || ($_GET["Autorizado_processo"])
    || ($_GET["Sem_Solucao"]) || ($_GET["Nao_Autorizado"]) || ($_GET["Pronto_para_retirada_em_loja"])
    || ($_GET["Finalizado"]) || ($_GET["Cancelado"])
) {


    $status = "AND (";

    if ($_GET['Aberto'] == 'Aberto') {
        $status .= " os.Status = 'Aberto' OR"; //aberto
    }
    if ($_GET['Recebido_Pela_Assistencia'] == 'Recebido_Pela_Assistencia') {
        $status .= " os.Status = 'Recebido Pela Assistncia' OR"; //Recebido Pela Assistncia
    }
    if ($_GET['Autorizado_processo'] == 'Autorizado_processo') {
        $status .= " os.Status = 'Autorizado, em processo' OR"; //Autorizado, em processo
    }
    if ($_GET['Sem_Solucao'] == 'Sem_Solucao') {
        $status .= " os.Status = 'Sem Soluo' OR"; // Sem Soluo
    }
    if ($_GET['Nao_Autorizado'] == 'Nao_Autorizado') {
        $status .= " os.Status = 'No Autorizado' OR"; //No Autorizado
    }
    if ($_GET['Pronto_para_retirada_em_loja'] == 'Pronto_para_retirada_em_loja') {
        $status .= " os.Status = 'Pronto para retirada em loja' OR"; //Pronto para retirada em loja
    }
    if ($_GET['Finalizado'] == 'Finalizado') {
        $status .= " os.Status = 'Finalizado' OR"; //Finalizado
    }
    if ($_GET['Cancelado'] == 'Cancelado') {
        $status .= " os.Status = 'Cancelado' OR"; //Cancelado
    }

    $status = substr($status, 0, -2);
    $status .= ")";
}

if ($_GET['Data_Filtro'] == 'Data') {
    if ($_GET["De"])
        $data .= "AND os.Data_Os >= '" . data_banco($_GET["De"]) . " 00:00:00' ";
    if ($_GET["Ate"])
        $data .= "AND os.Data_Os <= '" . data_banco($_GET["Ate"]) . " 23:59:59' ";
}
if ($_GET['Data_Filtro'] == 'Conclusao') {
    if ($_GET["De"])
        $data .= "AND os.Data_Conclusao >= '" . data_banco($_GET["De"]) . " 00:00:00' ";
    if ($_GET["Ate"])
        $data .= "AND os.Data_Conclusao <= '" . data_banco($_GET["Ate"]) . " 23:59:59' ";
}

if ($_GET["Cliente"]) {

    $mystring = $_GET["Cliente"];
    $findme = " : ";

    $posicao = strpos($mystring, $findme);

    $cod_cli = substr($_GET["Cliente"], 0, $posicao);
    $nome_cli = substr($_GET["Cliente"], ($posicao + 3));


    if (CLIENTE_RAZAO_SOCIAL == 'Sim') {
        $nome = 'Razao_Social';
    } else {
        $nome = 'Titulo';
    }
    /* convertendo o nome do fornecedor, para o seu codigo */
    $Prodt = listar("SELECT Id FROM cliente WHERE " . $nome . " ='" . $nome_cli . "' AND Codigo = '" . $cod_cli . "' ");
    $_GET["Cliente"] = $Prodt[0]["Id"];

    $Cliente = "AND os.Id_Cliente = '" . $_GET["Cliente"] . "' ";
}

if ($_GET["Usuario"])
    $Usuario = "AND os.Id_Usuario = '" . $_GET["Usuario"] . "' ";

if ($_GET["Funcionario"])
    $usuario_p = "AND os.Id_Funcionario = '" . $_GET["Funcionario"] . "' ";

if ($_GET["Produto"]) {

    $mystring = $_GET["Produto"];
    $findme = " : ";

    $posicao = strpos($mystring, $findme);

    $cod_cli = substr($_GET["Produto"], 0, $posicao);
    $nome_cli = substr($_GET["Produto"], ($posicao + 3));


    /* convertendo o nome do fornecedor, para o seu codigo */
    $Prodt = listar("SELECT Id FROM produto WHERE Titulo='" . $nome_cli . "' AND Codigo = '" . $cod_cli . "' ");
    $_GET["Produto"] = $Prodt[0]["Id"];

    $os_produto = "AND os_produto.Id_Produto = '" . $_GET["Produto"] . "' ";
}

if ($_GET["Unidade"]) {
    $Unidade = "AND os.Id_Unidade = '" . $_GET["Unidade"] . "' ";
}
if ($_GET["Tecnico1"]) {
    $tecnico1 = "AND os.Id_Vendedor = '" . $_GET["Tecnico1"] . "' ";
}
if ($_GET["Tecnico2"]) {
    $tecnico2 = "AND os.Id_Vendedor2 = '" . $_GET["Tecnico2"] . "' ";
}

if ($_GET["Ok"]) {
    $os =  listar("SELECT os.Id, os.Lancamento,
                                os.Status,
                                os.Data_Os,
                                os.Data_Conclusao,
                                os.Desconto,
                                os.Desconto_Real,
                                cliente.Titulo as Cliente,
                                tipo_pagamento.Titulo as Tipo_Pagamento,
                                funcionario.Titulo as 'Funcionario',
                                vendedor.Titulo as 'Vendedor',
                                vendedor2.Titulo as 'Vendedor2'
                                from os
                                left join os_produto ON os_produto.Id_Os = os.Id
                                LEFT JOIN (SELECT Id,Titulo FROM funcionario) as funcionario ON funcionario.Id = os.Id_Funcionario
                                LEFT JOIN (SELECT Id,Titulo FROM funcionario) as vendedor ON vendedor.Id = os.Id_Vendedor
                                LEFT JOIN (SELECT Id,Titulo FROM funcionario) as vendedor2 ON vendedor2.Id = os.Id_Vendedor2
                                LEFT JOIN (SELECT Id,Titulo FROM cliente) as cliente ON os.Id_Cliente = cliente.Id
                                LEFT JOIN (SELECT Id,Titulo FROM tipo_pagamento) as tipo_pagamento ON os.Id_Tipo_Pagamento = tipo_pagamento.Id
                                where 1=1
                                $data $status $usuario_p $Cliente $os_produto $Unidade $Usuario $tecnico1 $tecnico2
                                group by os.Lancamento
                                order by os.Lancamento");
}

?>
<html>

<head>
    <title>Gw - Gesto Web</title>
    <link rel="stylesheet" type="text/css" href="../estilo/<?php echo SKIN; ?>/tabelas.css" />
    <link rel="stylesheet" type="text/css" href="../js/datePicker/datePicker.css" />
    <link rel="stylesheet" type="text/css" href="../js/autocomplete/jquery.autocomplete.css" />
    <link rel="stylesheet" type="text/css" href="../js/autocomplete/lib/thickbox.css" />
    <script type="text/javascript" language="javascript" src="../js/jquery.js"></script>
    <?php include '../include/script_cabeca.php'; ?>
    <script type="text/javascript" language="javascript" src="../js/script.js"></script>
    <script type="text/javascript" language="javascript" src="../js/meiomask/meiomask.js"></script>
    <script type="text/javascript" language="javascript" src="../js/meiomask/<?php if (PAIS == "USA") {
                                                                                    echo "mascaras-usa";
                                                                                } else {
                                                                                    echo "mascaras";
                                                                                } ?>.js">
    </script>
    <script type="text/javascript" language="javascript" src="../js/blockUI/blockUI.js"></script>
    <script type="text/javascript" language="javascript" src="../js/autocomplete/lib/jquery.bgiframe.min.js"></script>
    <script type="text/javascript" language="javascript" src="../js/autocomplete/lib/jquery.ajaxQueue.js"></script>
    <script type="text/javascript" language="javascript" src="../js/autocomplete/lib/thickbox-compressed.js"></script>
    <script type="text/javascript" language="javascript" src="../js/autocomplete/jquery.autocomplete.js"></script>
    <script language="javascript" type="text/javascript" src="../js/datePicker/<?php if (PAIS == "USA") {
                                                                                    echo "date";
                                                                                } else {
                                                                                    echo "date-pt";
                                                                                } ?>.js">
    </script>
    <script type="text/javascript" src="../js/datePicker/jquery.datePicker.js"></script>
    <script type="text/javascript" language="javascript">
        Date.firstDayOfWeek = 0;
        <?php if (PAIS == "USA") {
            echo "Date.format='mm/dd/yyyy';";
        } else {
            echo "Date.format='dd/mm/yyyy';";
        } ?>
        $(function() {
            $('.date-pick').datePicker({
                startDate: '01/01/1990'
            })
        });
    </script>
    <script type="text/javascript" language="javascript">
        $(document).ready(function() {
            $("#Cliente").autocomplete("os/busca_cliente.php", {
                width: 340,
                selectFirst: true,
                scroll: false,
                cacheLength: 100,
                max: 100
            });
            $("#Produto").autocomplete("os/busca_produto.php", {
                width: 340,
                selectFirst: true,
                scroll: false,
                cacheLength: 100,
                max: 100
            });
        });
    </script>
    <style type="text/css">
        thead {
            display: table-header-group;
        }

        tfoot {
            display: table-footer-group;
        }
    </style>
</head>

<body>
    <table width="100%" height="400px">
        <!-- TABELA Q ENVOLVE TODO O CONTEUDO -->
        <tr>
            <td>
                <table width="100%">
                    <tr>
                        <td align="left">
                            <font face="verdana" size="2"><i><b>Relatrio de Oss</b></i></font>
                        </td>
                        <td align="center">
                            <a href='imp_pdf_os.php?<?php echo $_SERVER["QUERY_STRING"] ?>' title="Pdf"><img
                                    src="../imagem/pdfG.png" border="0" alt="Pdf" title="Pdf" /></a>
                            <br />
                            <font face="verdana" size="2"><i>Pdf</i></font>
                        </td>
                        <td align="center">
                            <a href='imp_excel_os.php?<?php echo $_SERVER["QUERY_STRING"] ?>' title="Excel"><img
                                    src="../imagem/excelG.png" border="0" alt="Excel" title="Excel" /></a>
                            <br />
                            <font face="verdana" size="2"><i>Excel</i></font>
                        </td>
                        <td align="center">
                            <a href="imp_rel_os.php?<?php echo $_SERVER["QUERY_STRING"] ?>" title="Imprimir"
                                target="_blank"><img src="../imagem/imprimirG.png" border="0" alt="Imprimir"
                                    title="Imprimir" /></a>
                            <br />
                            <font face="verdana" size="2"><i>Imprimir</i></font>
                        </td>
                    </tr>
                </table>
            </td>
        </tr>
        <tr>
            <td>
                <form action="" method="get">
                    <table width="100%" class="busca_rel">
                        <tr class="azul">
                            <td width="25%">De<input type="text" name="De" id="De" class="date-pick" size="10"
                                    value="<?php echo $_GET["De"]; ?>"></td>
                            <td width="25%" colspan="2">At<input type="text" name="Ate" id="Ate" class="date-pick"
                                    size="10" value="<?php echo $_GET["Ate"]; ?>"></td>
                            <?php
                            if ($_GET['Data_Filtro'] == 'Data') {
                                $Data = 'checked';
                            } else if ($_GET['Data_Filtro'] == 'Conclusao') {
                                $Conclusao = 'checked';
                            } else {
                                $Data  = 'checked';
                            }
                            ?>
                            <td width="25%">
                                <input type="radio" name="Data_Filtro" value='Data' id="Data"
                                    <?php echo $Data; ?>><label class="label_radio" for="Data">Data Abertura</label>
                                <input type="radio" name="Data_Filtro" value='Conclusao' id="Conclusao"
                                    <?php echo $Conclusao; ?>><label class="label_radio" for="Conclusao">Data
                                    Concluso</label>
                            </td>
                            <td colspan="2">
                                <?php
                                if (CLIENTE_RAZAO_SOCIAL == 'Sim') {
                                    $nome = 'Razao_Social';
                                } else {
                                    $nome = 'Titulo';
                                }

                                $Produt = listar("SELECT CONCAT(Codigo,' : ', " . $nome . ") as Titulo FROM cliente WHERE Id='" . $_GET['Cliente'] . "'");
                                $_GET["Cliente"] = $Produt[0]["Titulo"];
                                ?>
                                <label for="Cliente"><b> * Cdigo / Cliente :</b></label>
                                <input style="width: 220px; height: 20px;" type="text" id="Cliente" name="Cliente"
                                    value="<?php echo $_GET['Cliente']; ?>" />
                            </td>
                        </tr>
                        <tr class="azul">
                            <td width="5%">
                                <input type="checkbox" name="Aberto" value="Aberto"
                                    <?php if ($_GET["Aberto"]) echo "checked='checked' "; ?>>Aberto

                                <input type="checkbox" name="Recebido_Pela_Assistencia" value="Recebido_Pela_Assistencia"
                                    <?php if ($_GET["Recebido_Pela_Assistencia"]) echo "checked='checked' "; ?>>Recebido Pela Assistncia

                                <input type="checkbox" name="Autorizado_processo" value="Autorizado_processo"
                                    <?php if ($_GET["Autorizado_processo"]) echo "checked='checked' "; ?>>Autorizado, em processo

                                <input type="checkbox" name="Sem_Solucao" value="Sem_Solucao"
                                    <?php if ($_GET["Sem_Solucao"]) echo "checked='checked' "; ?>>Sem Soluo

                                <input type="checkbox" name="Nao_Autorizado" value="Nao_Autorizado"
                                    <?php if ($_GET["Nao_Autorizado"]) echo "checked='checked' "; ?>>No Autorizado

                                <input type="checkbox" name="Pronto_para_retirada_em_loja" value="Pronto_para_retirada_em_loja"
                                    <?php if ($_GET["Pronto_para_retirada_em_loja"]) echo "checked='checked' "; ?>>Pronto para retirada em loja

                                <input type="checkbox" name="Finalizado" value="Finalizado"
                                    <?php if ($_GET["Finalizado"]) echo "checked='checked' "; ?>>Finalizado

                                <input type="checkbox" name="Cancelado" value="Cancelado"
                                    <?php if ($_GET["Cancelado"]) echo "checked='checked' "; ?>>Cancelado
                            </td>
                            <td width="40%">
                                <?php
                                echo select_banco2(
                                    "SELECT DISTINCT Id, Titulo from funcionario where Ativo = 'Sim' AND Vendedor = 'Sim' order by Titulo",
                                    "Funcionario",
                                    "Funcionario",
                                    "Responsvel",
                                    $_GET["Funcionario"]
                                );
                                ?>
                                <?php
                                echo select_banco2(
                                    "SELECT DISTINCT Id, Titulo from funcionario where Ativo = 'Sim' AND Vendedor = 'Sim' order by Titulo",
                                    "Tecnico1",
                                    "Tecnico1",
                                    "Tcnico 1",
                                    $_GET["Tecnico1"]
                                );
                                ?>
                                <?php
                                echo select_banco2(
                                    "SELECT DISTINCT Id, Titulo from funcionario where Ativo = 'Sim' AND Vendedor = 'Sim' order by Titulo",
                                    "Tecnico2",
                                    "Tecnico2",
                                    "Tcnico 2",
                                    $_GET["Tecnico2"]
                                );
                                ?>
                            </td>

                            <?php
                            //se o sistema for Multi Empresa
                            if (MULTI_EMPRESA == "Sim") {

                                //se o usuario master ele escolhe pra quem vai
                                if (ESCOLHER_EMPRESA == 'Sim') {
                            ?>
                                    <td>
                                        <?php echo select_banco2(
                                            "SELECT Id,Titulo FROM unidade WHERE Ativo='Sim' ORDER BY Titulo",
                                            "Unidade",
                                            "Unidade",
                                            "Empresa",
                                            $_GET["Unidade"],
                                            "style='width:200px'",
                                            ""
                                        );
                                        ?>
                                    </td>
                            <?php
                                    //se no for, a unidade sempre ser a sua
                                } else {
                                    echo "<td><input type='hidden' name='Unidade' id='Unidade' value='" . $_SESSION["Unidade"] . "' ></td>";
                                }
                            } else {
                                echo "<td><input type='hidden' name='Unidade' id='Unidade' value='" . $_SESSION["Unidade"] . "' ></td>";
                            }
                            ?>
                            <td>
                                <?php
                                echo select_banco2(
                                    "SELECT Id, Login from usuario order by Login",
                                    "Usuario",
                                    "Usuario",
                                    "Usurio",
                                    $_GET['Usuario']
                                );
                                ?>
                            </td>
                            <td>
                                <?php
                                /* convertendo o codigo do produto, para o seu nome */
                                $Produt = listar("SELECT CONCAT(Codigo,' : ', Titulo) as Titulo FROM produto WHERE Id='" . $_GET["Produto"] . "'");
                                $_GET["Produto"] = $Produt[0]["Titulo"];
                                ?>
                                <label for="Produto"><b> * Cdigo / Produto :</b></label>
                                <input style="width: 200px; height: 20px;" type="text" name="Produto" id="Produto"
                                    value="<?php echo $_GET["Produto"] ?>">
                            </td>
                            <td align="right">
                                <input type="submit" value="Ok" name="Ok">
                            </td>
                        </tr>
                    </table>
                </form>
            </td>
        </tr>
        <tr>
            <td>
                <table width="100%" class="tabela">
                    <tfoot>
                        <tr class="cinza">
                            <td colspan="20">Relatrio de Os</td>
                        </tr>
                    </tfoot>
                    <?php
                    if ($_GET["Ok"]) {
                        $a = '1';
                        foreach ($os as $chave) { ?>
                            <tr class="azul-claro">
                                <td>
                                    <?php echo $a; ?>&nbsp;&nbsp;&nbsp;&nbsp;|&nbsp;&nbsp;&nbsp;&nbsp;
                                    Os N: <b><?php echo $chave["Lancamento"] ?></b>
                                </td>
                                <td>Cliente: <b><?php echo $chave["Cliente"] ?></b></td>
                                <td>Data: <b><?php echo data_exibir($chave["Data_Os"]) ?></b></td>
                                <td>Cfop: <b><?php echo $chave["Cfop"] ?></b></td>
                            </tr>
                            <?php
                            $osProdutoReparo = $con->query("SELECT Produto_Reparo,Defeito_Reparo,Solucao_Reparo,Qtd_Reparo
                            FROM os_produto_reparo WHERE Id_Os='" . $chave["Id"] . "'");

                            $color = "#F5F5F5";
                            foreach ($osProdutoReparo as $produtoReparo) {

                                if ($color == "#F5F5F5") {
                                    $color = "#E8E8E8";
                                } else {
                                    $color = "#F5F5F5";
                                }

                            ?>
                                <tr bgcolor=<?php echo "$color"; ?>>
                                    <td colspan="2"><?php echo $produtoReparo["Produto_Reparo"] ?></td>
                                    <td colspan="2"><?php echo valor_exibir($produtoReparo["Qtd_Reparo"]) ?></td>
                                </tr>
                                <tr bgcolor=<?php echo "$color"; ?>>
                                    <td colspan="2"><?php echo $produtoReparo["Defeito_Reparo"] ?></td>
                                    <td colspan="2"><?php echo $produtoReparo["Solucao_Reparo"] ?></td>
                                </tr>

                            <?php } ?>

                            <tr>
                                <td colspan="4">&nbsp;</td>
                            </tr>

                            <?php
                            $produto = listar("SELECT produto.Titulo,
                                    produto.Codigo,
                                    os_produto.Preco,
                                    os_produto.Qtd,
                                    os_produto.Desconto,
                                    os_produto.Desconto_Real
                                    from os_produto
                                    left join (SELECT Id,Titulo,Codigo FROM produto) as produto ON produto.Id = os_produto.Id_Produto
                                    where os_produto.Id_Os = '" . $chave["Id"] . "'
                                    $os_produto
                                    ORDER BY os_produto.Data_Cadastro");

                            $color = "#F5F5F5";
                            $vtotal = '0';
                            foreach ($produto as $valor) {

                                if ($color == "#F5F5F5") {
                                    $color = "#E8E8E8";
                                } else {
                                    $color = "#F5F5F5";
                                }

                            ?>
                                <tr bgcolor=<?php echo "$color"; ?>>
                                    <td><?php echo $valor["Codigo"] . " : " . $valor["Titulo"] ?></td>
                                    <td><?php echo @valor_exibir((($valor["Preco"]) - ($valor["Preco"] * ($valor["Desconto"] / 100))) - $valor["Desconto_Real"]); ?>
                                    </td>
                                    <td><?php echo valor_exibir($valor["Qtd"]) ?></td>
                                    <td><?php echo @valor_exibir((($valor["Preco"] * $valor["Qtd"]) - (($valor["Preco"] * $valor["Qtd"]) * ($valor["Desconto"] / 100))) - $valor["Desconto_Real"]); ?>
                                    </td>
                                </tr>
                            <?php
                                $vtotal += ((($valor["Preco"] * $valor["Qtd"]) - (($valor["Preco"] * $valor["Qtd"]) * ($valor["Desconto"] / 100))) - $valor["Desconto_Real"]);
                            }
                            ?>
                            <tr>
                                <td>&nbsp;</td>
                                <td>Desconto %: <?php echo valor_exibir($chave["Desconto"]); ?></td>
                                <td>Desconto Real: <?php echo valor_exibir($chave["Desconto_Real"]); ?></td>
                                <td><b><?php echo valor_exibir((($vtotal) - ($vtotal * ($chave["Desconto"] / 100))) - $chave["Desconto_Real"]); ?></b>
                                </td>
                            </tr>
                            <?php
                            $vtotalacum[$chave["Status"]] += (($vtotal) - ($vtotal * ($chave["Desconto"] / 100))) - $chave["Desconto_Real"];
                            $vtotalacumA += (($vtotal) - ($vtotal * ($chave["Desconto"] / 100))) - $chave["Desconto_Real"];
                            ?>
                            <?php
                            $corStatus = "";

                            if ($chave['Status'] == 'Aberto') {
                                $corStatus = "color = '#EEAD2D' ";
                            }
                            if ($chave['Status'] == 'Recebido Pela Assistncia') {
                                $corStatus = "color = '#4169E1' ";
                            }
                            if ($chave['Status'] == 'Autorizado, em processo') {
                                $corStatus = "color = '#484D50' ";
                            }
                            if ($chave['Status'] == 'Sem Soluo') {
                                $corStatus = "color = '#CF0E0E' ";
                            }
                            if ($chave['Status'] == 'No Autorizado') {
                                $corStatus = "color = '#800000' ";
                            }
                            if ($chave['Status'] == 'Pronto para retirada em loja') {
                                $corStatus = "color = '#120A8F' ";
                            }
                            if ($chave['Status'] == 'Finalizado') {
                                $corStatus = "color = '#228B22' ";
                            }
                            if ($chave['Status'] == 'Cancelado') {
                                $corStatus = "color = '#B19CD9' ";
                            }
                            ?>
                            <tr class="cinza">
                                <td>
                                    <font <?php echo $corStatus ?>>
                                        <b><?php echo $chave['Status']; ?></b>
                                    </font>
                                </td>
                                <td>Tipo Pagamento:
                                    <?php
                                    $ex_tip = '';
                                    $tip = mysqli_query($con, "SELECT tipo_pagamento.Titulo
                                    FROM os_tipo_pagamento
                                    left join (SELECT Id,Titulo FROM tipo_pagamento) as tipo_pagamento ON tipo_pagamento.Id = os_tipo_pagamento.Id_Tipo_Pagamento
                                    WHERE os_tipo_pagamento.Id_Os='" . $chave['Id'] . "' ");

                                    while ($linha1 = mysqli_fetch_assoc($tip)) {
                                        $ex_tip .= $linha1['Titulo'] . ", ";
                                    }
                                    echo $ex_tip = substr($ex_tip, 0, -2);
                                    ?>
                                </td>
                                <td>Concluso: <?php echo data_exibir($chave["Data_Conclusao"]) ?></td>
                                <td>Responsvel: <?php echo $chave["Funcionario"] ?></td>
                            </tr>
                            <tr>
                                <td colspan="2"></td>
                                <td colspan="">Tcnico 1: <?php echo $chave["Vendedor"] ?></td>
                                <td colspan="">Tcnico 2: <?php echo $chave["Vendedor2"] ?></td>
                            </tr>

                            <tr>
                                <td colspan="4">&nbsp;</td>
                            </tr>
                    <?php $a++;
                        }
                    } ?>
                    <tr>
                        <td colspan="4" align="center"><b>Valores Finais:</b> &nbsp;</td>
                    </tr>
                    <tr>
                        <td colspan="4" align="right">
                            Aberto : <b><?php echo valor_exibir($vtotalacum["Aberto"]); ?></b>&nbsp;&nbsp;&nbsp;
                            Recebido Pela Assistncia :
                            <b><?php echo valor_exibir($vtotalacum["Recebido_Pela_Assistencia"]); ?></b>&nbsp;&nbsp;&nbsp;
                            Autorizado, em processo :
                            <b><?php echo valor_exibir($vtotalacum["Autorizado_processo"]); ?></b>&nbsp;&nbsp;&nbsp;
                            Sem Soluo : <b><?php echo valor_exibir($vtotalacum["Sem_Solucao"]); ?></b>&nbsp;&nbsp;&nbsp;
                            No Autorizado : <b><?php echo valor_exibir($vtotalacum["Nao_Autorizado"]); ?></b>&nbsp;&nbsp;&nbsp;
                            Pronto para retirada em loja :
                            <b><?php echo valor_exibir($vtotalacum["Pronto_para_retirada_em_loja"]); ?></b>&nbsp;&nbsp;&nbsp;
                            Finalizado : <b><?php echo valor_exibir($vtotalacum["Finalizado"]); ?></b>&nbsp;&nbsp;&nbsp;
                            Cancelado :
                            <b><?php echo valor_exibir($vtotalacum["Cancelado"]); ?></b>&nbsp;&nbsp;&nbsp;
                        </td>
                    </tr>
                    <tr>
                        <td colspan="4" align="center">Total Geral :
                            <b><?php echo valor_exibir($vtotalacum["Aberto"] +
                                    $vtotalacum["Recebido_Pela_Assistencia"] +
                                    $vtotalacum["Autorizado_processo"] +
                                    $vtotalacum["Sem_Solucao"] +
                                    $vtotalacum["Pronto_para_retirada_em_loja"] +
                                    $vtotalacum["Finalizado"]);
                                ?>
                            </b>
                        </td>
                    </tr>
                </table>
            </td>
        </tr>
        <tr>
            <td>
                <div id="div_resposta"></div>
            </td>
        </tr>
    </table>

</html>