<?php
include_once '../include/conecta.php'; //Conecta com a nosso banco de dados MySQL
include_once '../include/ver_sessao.php'; //Verifica se a sesso est ativa
include_once '../include/funcoesPhp.php';
include_once '../menu_movimento.php';
if ($_GET['tipo'] == 'preventiva') {
    $modulo_lista = 'Preventiva';
} else if ($_GET['tipo'] == 'aguardando') {
    $modulo_lista = 'Aguardando';
} else {
    $modulo_lista = 'Os3';
}
//include '../include/sessao_lista.php';

//se no houver nada na pesquisa da listagem
if (!$_GET['Pesq']) {
    //listagem padro
    if (!isset($_GET['Status_Lista']))
        $_GET['Status_Lista'] = 'Aberto';
}
?>
<?php
$menu = mysqli_query($con, "SELECT permissao.Relatorio,
                                    permissao.Cadastrar,
                                    permissao.Alterar,
                                    permissao.Deletar
                                    FROM permissao
                                    INNER JOIN menu_usuario ON menu_usuario.Id_Menu = permissao.Id_Menu
                                    WHERE menu_usuario.Id_Responsavel='" . $_SESSION["Id"] . "' 
                                    and permissao.Id_Responsavel='" . $_SESSION["Id"] . "'
                                    and permissao.Id_Menu = '321' ");
$menu = mysqli_fetch_assoc($menu);
?>
<?php
if ($_GET["Status_Lista"]) {
    $Status_Lista1 = " and os.Status = '" . $_GET["Status_Lista"] . "' ";
}
if ($_GET["Ordenar"]) {
    $Ordenar1 = " ORDER BY " . $_GET["Ordenar"] . " ";
} else {
    $Ordenar1 = " ORDER BY os.Data_Cadastro, os.Data_Os, os.Hora_Os";
}
if ($_GET['Ordem_Lista'] == 'Asc') {
    $Ordem_Lista1 = ' ASC ';
}
if ($_GET['Ordem_Lista'] == 'Desc') {
    $Ordem_Lista1 = ' DESC ';
}
//se o sistema for Multi Empresa
if (MULTI_EMPRESA == "Sim") {

    //se o usuario no for master ele vai para sua empresa
    if (ESCOLHER_EMPRESA == 'Sim') {

        if ($_GET["Unidade"])
            $unidade = "AND os.Id_Unidade = '" . $_GET["Unidade"] . "' ";
    } else {
        $unidade = "AND os.Id_Unidade = '" . $_SESSION["Unidade"] . "' ";
    }
} else {
    $unidade = "AND os.Id_Unidade = '" . $_SESSION["Unidade"] . "' ";
}


if ($_GET['Pesq']) {
    $pesquisa = " AND " . $_GET['Ordenar'] . " like '%" . $_GET['Pesq'] . "%' ";
}

if (CLIENTE_RAZAO_SOCIAL == 'Sim') {
    $nome = 'Razao_Social';
} else {
    $nome = 'Titulo';
}

/* Inicio dos parmetros da Paginao*/

//se o funcionario for Vendedor, aparecera s as suas OS
$funcionario = listar("SELECT funcionario.Vendedor
                                FROM funcionario
                                WHERE Id = '" . $_SESSION["Id_Funcionario"] . "' ");
if ($funcionario[0]["Vendedor"] == "Sim") {
    $id_funcio = "AND os.Id_Funcionario = '" . $_SESSION["Id_Funcionario"] . "' ";
}

if ($_GET['tipo'] == 'preventiva') {
    $Tipo_Os = " AND os.Tipo_Os = 'Preventiva' ";
    $tipoAcao = "&tipo=preventiva";
} else if ($_GET['tipo'] == 'aguardando') {
    $Tipo_Os = " AND os.Tipo_Os = 'Aguardando' ";
    $tipoAcao = "&tipo=aguardando";
} else {
    //$Tipo_Os = " AND (os.Tipo_Os <> 'Preventiva' OR os.Tipo_Os <> 'Aguardando') ";
    $Tipo_Os = " AND os.Tipo_Os NOT IN ('Preventiva','Aguardando') ";
}

/*varivel com o cdigo SQL da consulta ao banco de dados*/
$_pagi_sql = "SELECT os.Id,
                    os.Lancamento,
                    os.Data_Os,
                    os.Status,
                    os.Hora_Os,
                    os.Tipo_Os,
                    os.Os_Emprestada,
                    DATE_FORMAT(os.Data_Cadastro, '%d/%m/%Y %H:%i:%s') as Data_Cadastro,
                    DATE_FORMAT(os.Competencia, '%d/%m/%Y') as Competencia,
                    cliente.$nome as 'Cliente',
                    funcionario.Titulo as 'Funcionario',
                    unidade.Titulo as Unidade
                    FROM os
                    LEFT JOIN (SELECT Id,Titulo,Razao_Social FROM cliente) as cliente ON cliente.Id = os.Id_Cliente
                    LEFT JOIN (SELECT Id,Titulo FROM funcionario) as funcionario ON os.Id_Funcionario = funcionario.Id
                    INNER JOIN (SELECT Id, Titulo FROM unidade) as unidade ON unidade.Id = os.Id_Unidade
                    WHERE 1=1 $Status_Lista1 $id_funcio $Tipo_Os $unidade
                    $pesquisa $Ordenar1 $Ordem_Lista1";

include_once '../include/paginator_opcao.php';
include_once '../include/paginator.inc.php'; 

?>
<html>

<head>
    <title>Gw - Gesto Web</title>
    <link rel="stylesheet" type="text/css" href="../estilo/<?php echo SKIN; ?>/listless.css" />
    <script type="text/javascript" language="javascript" src="../js/jquery.js"></script>
    <?php include '../include/script_cabeca.php'; ?>
    <script type="text/javascript" language="javascript" src="../js/script.js"></script>
    <script type="text/javascript" language="javascript">
        function submeteFiltro(valor) {
            document.forms['ordenar'].submit();
        }
    </script>
</head>

<body>
    <!-- Centro -->
    <div id="centro">
        <!-- Contedo -->
        <div id="conteudo" class="ajustar">

            <div class="titulo">
                <?php if ($_GET['tipo'] == 'aguardando') { ?>
                    <span>Aguardando</span>
                <?php } else if ($_GET['tipo'] == 'preventiva') { ?>
                    <span>Preventivas</span>
                <?php } else { ?>
                    <span>Ordem Servio</span>
                <?php } ?>
                <form name="pesquisa" method="get" action="">
                    <span class="inputs">
                        <?php echo $_pagi_info; ?>
                    </span>
                </form>
            </div>
            <!-- Navegao -->
            <div class="botoes_cima">
                <a href="javascript:void(0);" class="voltar" alt="Voltar" title="Voltar" onclick="javascript:history.back(1);">Voltar</a>

                <?php if ($menu["Relatorio"] == "Sim") { ?>
                    <a href="rel_os.php" alt="Relatrio" title="Relatrio" class="relatorio">Relatrio</a>
                <?php } ?>

                <?php if ($menu["Cadastrar"] == "Sim") { ?>
                    <a href="os/cad_os.php?acao=entrar" alt="Cadastrar" title="Cadastrar" class="incluir">Cadastrar</a>
                <?php } ?>

                <a href="javascript:void();" alt="Quantidade Ordens" title="Quantidade Ordens"
                    onclick="window.open('escolha_ordem.php','Quantidade Ordens','width=850,height=800,top=0,left=0,scrollbars=yes');">
                    Quantidade Ordens</a>

                <form name="ordenar" method="get" action="">
                    <span class="ordenar_por">

                        <?php
                        if (MULTI_EMPRESA == "Sim") {
                            if (ESCOLHER_EMPRESA == 'Sim') {
                        ?>
                                <label for="Pesq">Empresa:</label>
                                <?php echo select_banco(
                                    "SELECT Id,Titulo FROM unidade WHERE Ativo='Sim' ORDER BY Titulo",
                                    "Unidade",
                                    "Unidade",
                                    $_GET["Unidade"],
                                    "onchange='submeteFiltro(this.value)'",
                                    ""
                                );
                                ?>
                        <?php
                            } else {
                                echo "<input type='hidden' name='Unidade' id='Unidade' value='" . $_SESSION["Unidade"] . "' >";
                            }
                        } else {
                            echo "<input type='hidden' name='Unidade' id='Unidade' value='" . $_SESSION["Unidade"] . "' >";
                        }
                        ?>
                        <label for="Pesq">Busca:</label>
                        <input type="text" name="Pesq" size="30" value="<?php echo $_GET['Pesq']; ?>">
                        <label for="Pesq">Ordenar Por:</label>
                        <?php
                        $vetor = array(
                            '' => 'Status',
                            'Aberto' => 'Aberto',
                            'Finalizado' => 'Finalizado',
                            'Cancelado' => 'Cancelado'
                        );
                        select_tela("Status_Lista", "Status_Lista", $_GET["Status_Lista"], $vetor, "onchange='submeteFiltro(this.value)'");
                        ?>

                        <?php
                        $vetor = array(
                            'os.Lancamento' => 'Lanamento',
                            'cliente.Titulo' => 'Cliente',
                            'os.Tipo_Os' => 'Tipo',
                            'os.Os_Emprestada' => 'Os Emprestada',
                            'funcionario.Titulo' => 'Tcnico',
                            'os.Data_Os' => 'Data Os'
                        );
                        select_tela("Ordenar", "Ordenar", $_GET["Ordenar"], $vetor, "onchange='submeteFiltro(this.value)'");
                        ?>
                        <?php
                        $vetor = array('Asc' => 'Crescente', 'Desc' => 'Decrescente');
                        select_tela("Ordem_Lista", "Ordem_Lista", $_GET["Ordem_Lista"], $vetor, "onchange='submeteFiltro(this.value)'");
                        ?>

                        <input type="hidden" name="tipo" value="<?php echo $_GET['tipo']; ?>">
                    </span>
                </form>
                <!-- Fim Navegao -->
            </div>

            <table id="lista">
                <thead>
                    <tr>
                        <td>Id</td>
                        <td>Data</td>
                        <td>Os Emprestada</td>
                        <td>Cliente</td>
                        <td>Tcnico</td>
                        <td>Situao</td>
                        <td>Status</td>
                        <td>Opes</td>
                    </tr>
                </thead>
                <tfoot>
                    <tr>
                        <td colspan="15">
                            <div id="paginacao">
                                <p><?php echo $_pagi_navegacion; ?></p>
                            </div>
                        </td>
                    </tr>
                </tfoot>
                <tbody>
                    <?php $color = "#F5F5F5";
                    while ($linha = mysqli_fetch_assoc($_pagi_result)) {
                        if ($color == "#F5F5F5") {
                            $color = "#E8E8E8";
                            $cass = "";
                        } else {
                            $color = "#F5F5F5";
                            $cass = "class='azul'";
                        }
                        $corStatus = "";
                        if ($linha['Status'] == 'Finalizado') {
                            $corStatus = "color = '#228B22' ";
                        }
                        if ($linha['Status'] == 'Aberto') {
                            $corStatus = "color = '#3A5FCD' ";
                        }
                        if ($linha['Status'] == 'Cancelado') {
                            $corStatus = "color = '#CD2626' ";
                        }

                        $corTipo = "";
                        if ($linha['Tipo_Os'] == 'Emergencial') {
                            $corTipo = "color = '#CD0000' ";
                        }
                        if ($linha['Tipo_Os'] == 'Agendamento') {
                            $corTipo = "color = '#00CD00' ";
                        }
                        if ($linha['Tipo_Os'] == 'Do Dia') {
                            $corTipo = "color = '#00CDCD' ";
                        }
                        if ($linha['Tipo_Os'] == 'Preventiva') {
                            $corTipo = "color = '#DAA520' ";
                        }
                        if ($linha['Tipo_Os'] == 'Aguardando') {
                            $corTipo = "color = '#00008B' ";
                        }

                       
                    ?>
                        <tr <?php echo "$cass"; ?>>
                            <td><?php echo $linha['Lancamento']; ?></td>
                            <td><?php echo data_exibir($linha['Data_Os']); ?></td>
                            <td><?php echo ($linha['Os_Emprestada']); ?></td>
                            <td><?php echo $linha['Cliente']; ?></td>
                            <td><?php echo $linha['Funcionario']; ?></td>
                            <td>
                                <font <?php echo $corTipo ?>><b><?php echo $linha['Tipo_Os']; ?></b></font>
                            </td>
                            <td>
                                <font <?php echo $corStatus ?>><b><?php echo $linha['Status']; ?></b></font>
                            </td>
                            <td>

                                <a href='ver_os.php?id_os=<?php echo $linha['Id']; ?>&acao=alterar&status=ver'><img src="../imagem/bt_visualizar.png" alt="Visualizar" border="0" title="Visualizar"></a>

                                <?php
                                if ($menu["Alterar"] == "Sim") {
                                    $link3 = "os/cad_os.php?id_os=" . $linha['Id'] . "&acao=alterar" . $tipoAcao;
                                    $figura3 = "../imagem/bt_editar.png";
                                ?>
                                    <a href='<?php echo $link3; ?>'><img src="<?php echo $figura3; ?>" title="Alterar" alt="Alterar" border="0" /></a>
                                <?php } ?>

                                <a href="javascript:void();"
                                    onclick="window.open('historico.php?id_os=<?php echo $linha['Id']; ?>','Historico','width=700,height=600,top=0,left=0,scrollbars=yes')">
                                    <img border="0" src="../imagem/bt_historico.png" title="Histrico" alt="Histrico" /></a>

                                <a href="javascript:void();"
                                    onclick="window.open('imp_os_entrada.php?id_os=<?php echo $linha['Id']; ?>','Imprimir','width=700,height=800,top=0,left=0,scrollbars=yes')">
                                    <img border="0" src="../imagem/bt_pedido.png" title="Ordem Servio" alt="Ordem Servio" /></a>
                                <a href="javascript:void();"
                                    onclick="window.open('laudo_mercantil.php?id_os=<?php echo $linha['Id']; ?>','Imprimir','width=700,height=800,top=0,left=0,scrollbars=yes')">
                                    <img border="0" src="../imagem/bt_pedido.png" title="Laudo Tcnico" alt="Laudo Tcnico" /></a>


                                <?php
                                if ($menu["Deletar"] == "Sim") {
                                    $link4 = "deletar('" . $linha["Id"] . "', 'del_os.php?id_os=');";
                                    $figura4 = "../imagem/bt_excluir.png";
                                ?>
                                    <a href='javascript:void(0);'><img src="<?php echo $figura4; ?>" alt="Excluir" border="0" title="Excluir"
                                            onclick="<?php echo $link4; ?>" /></a>
                                <?php } ?>
                            </td>
                        </tr>
                    <?php } ?>
                </tbody>
            </table>
            <!-- Navegao Inferior -->
            <div class="botoes_baixo">
                <a href="javascript:void(0);" class="voltar" alt="Voltar" title="Voltar" onclick="javascript:history.back(1);">Voltar</a>

                <?php if ($menu["Relatorio"] == "Sim") { ?>
                    <a href="rel_os.php" alt="Relatrio" title="Relatrio" class="relatorio">Relatrio</a>
                <?php } ?>

                <?php if ($menu["Cadastrar"] == "Sim") { ?>
                    <a href="os/cad_os.php?acao=entrar" alt="Cadastrar" title="Cadastrar" class="incluir">Cadastrar</a>
                <?php } ?>
                <!-- Fim Navegao Inferior -->
            </div>

        </div>
        <!-- Fim do Contedo -->
    </div>
    <!-- Fim de Centro -->

</body>

</html>