<?php
include_once "../include/conecta.php"; //Conecta com a nosso banco de dados MySQL
ini_set('session.gc_maxlifetime', 60 * 120);
session_start();
/* include_once "../include/ver_sessao.php"; //Verifica se a sesso est ativa */
include_once "../include/funcoesPhp.php"; //Inclue a pgina con todas as funes a ser usada.
?>
<?php
$os = listar("Select os.Id,
 					os.Lancamento,
 					os.Status,
 					os.Data_Os,
                                        os.Hora_Os,
                                        os.Data_Conclusao,
                                        os.Hora_Conclusao,
 					os.Obs as 'Obs_Os',
 					os.Valor_Original,
 					os.Valor_Pago,

                                        os.Tecnico_Retirada1,
                                        os.Tecnico_Retirada2,
                                        os.Id_Unidade,
 					cliente.Titulo as 'Cliente',
 					cliente.Email,
 					cliente.Natureza,
 					cliente.Cpf_Cnpj,
 					cliente.Rua,
                                        cliente.Numero,
 					cliente.Cep,
 					cliente.Bairro,
 					cliente.Estado,
 					cliente.Fone1,
 					cliente.Obs as 'Obs_Cliente',
                                        cidade_ibge.Titulo as Cidade,
 					vendedor.Titulo as 'Vendedor',
                    responsavel.Titulo as 'Responsavel',
                                        usuario.Login
 					from os
 					left join (SELECT Id,Titulo,Email,Natureza,Cpf_Cnpj,Estadual,Rua,Numero,Cep,Bairro,Estado,Fone1,Obs,Id_Cidade FROM cliente) as cliente ON cliente.Id = os.Id_Cliente
                                        left join (SELECT Id,Titulo FROM cidade_ibge) as cidade_ibge ON cidade_ibge.Id = cliente.Id_Cidade
 					left join (SELECT Id,Titulo FROM funcionario) as vendedor ON vendedor.Id = os.Id_Vendedor
                    left join (SELECT Id,Titulo FROM funcionario) as responsavel ON responsavel.Id = os.Id_Funcionario
                                        left join (SELECT Id,Login FROM usuario) as usuario ON usuario.Id = os.Id_Usuario
 					where os.Id = '" . $_GET["id_os"] . "'
					order by os.Lancamento DESC");

$_GET["Unidade"] = $os[0]["Id_Unidade"];
?>
<html>

<head>
    <title>Gw - Gesto Web</title>
    <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1" />
    <link rel="shortcut icon" href="../imagem/favi_gw.ico" type="image/x-icon" />
    <link rel="stylesheet" type="text/css" href="../estilo/<?php echo SKIN; ?>/tabela_imp.css" />
    <script type="text/javascript" language="javascript" src="../js/jquery.js"></script>
    <?php include '../include/script_cabeca.php'; ?>
    <script type="text/javascript" language="javascript" src="../js/script.js"></script>
    <script type="text/javascript" language="javascript" src="../js/meiomask/meiomask.js"></script>
    <script type="text/javascript" language="javascript" src="../js/meiomask/<?php if (PAIS == "USA") {
                                                                                    echo "mascaras-usa";
                                                                                } else {
                                                                                    echo "mascaras";
                                                                                } ?>.js"></script>
</head>

<body>

    <table width="98%" align="center">
        <!-- TABELA Q ENVOLVE TODO O CONTEUDO -->
        <tr>
            <td>
                <?php include "../include/cabecalho_pedido.php"; ?>
            </td>
        </tr>
        <tr>
            <td>
                <table width="100%" align="center">
                    <tr>
                        <td colspan="2" align="center">
                            <font face="verdana" size="3">
                                <b><i>Solicitao de Material - <?php echo $os[0]["Lancamento"]; ?></i></b>
                            </font>
                        </td>
                    </tr>
                </table>
            </td>
        </tr>
        <tr>
            <td>
                <table width="100%" align="center" class="tabela">
                    <tr>
                        <td width="70%">Sada: <?php echo data_exibir($os[0]["Data_Os"]) . " " . $os[0]["Hora_Os"]; ?></td>
                        <td width="30%">Entrada: <?php echo data_exibir($os[0]["Data_Conclusao"]) . " " . $os[0]["Hora_Conclusao"]; ?></td>
                    </tr>
                    <tr>
                        <td colspan="2">Cliente Destino: <?php echo $os[0]["Cliente"]; ?></td>
                    </tr>
                    <tr>
                        <td colspan="2">Tcnico Retirada: <?php echo $os[0]["Vendedor"]; ?></td>
                    </tr>
                </table>
            </td>
        </tr>
        <tr>
            <td>
                <table width="100%" align="center" class="tabela">
                    <tr>
                        <td colspan="10"><i>Matriais Solicitados</i></td>
                    </tr>
                    <tr>
                        <td colspan="10"><i>Sada</i></td>
                    </tr>
                    <tr class="azul-claro">
                        <td>N</td>
                        <td>Cdigo</td>
                        <td>Produto</td>
                        <td>Qtd</td>
                        <td>Srie</td>
                        <td>Data</td>
                        <td>Obs</td>
                    </tr>
                    <?php

                    $os_pro = listar("SELECT DISTINCT os_produto.Id,
                                        os_produto.Id_Produto,
                                        os_produto.Preco,
                                        os_produto.Qtd,
                                        os_produto.Obs,
                                        os_produto.Data_Entrega,
                                        os_produto.Micro,
                                        produto.Titulo as 'Produto',
                                        produto.Codigo
                                        FROM os_produto
                                        left join (SELECT Id,Codigo,Titulo,Armazenagem,Altura,Largura,Sf FROM produto) as produto ON produto.Id = os_produto.Id_Produto
 					where os_produto.Id_Os = '" . $_GET["id_os"] . "' AND Tipo='Saida' ");

                    $x = 1;
                    foreach ($os_pro as $chave) { ?>

                        <tr>
                            <td><?php echo $x; ?></td>
                            <td><?php echo $chave["Codigo"]; ?></td>
                            <td><?php echo $chave["Produto"]; ?></td>
                            <td><?php echo $chave["Qtd"]; ?></td>
                            <td><?php echo $chave["Micro"]; ?></td>
                            <td><?php echo data_exibir($chave["Data_Entrega"]); ?></td>
                            <td><?php echo $chave["Obs"]; ?></td>
                        </tr>
                    <?php
                        $x++;
                    }
                    ?>
                    <tr>
                        <td colspan="10"><i>Entrada</i></td>
                    </tr>
                    <tr class="azul-claro">
                        <td>N</td>
                        <td>Cdigo</td>
                        <td>Produto</td>
                        <td>Qtd</td>
                        <td>Srie</td>
                        <td>Data</td>
                        <td>Obs</td>
                    </tr>
                    <?php

                    $os_pro = listar("SELECT DISTINCT os_produto.Id,
                                        os_produto.Id_Produto,
                                        os_produto.Preco,
                                        os_produto.Qtd,
                                        os_produto.Obs,
                                        os_produto.Data_Entrega,
                                        os_produto.Micro,
                                        produto.Titulo as 'Produto',
                                        produto.Codigo
                                        FROM os_produto
                                        left join (SELECT Id,Codigo,Titulo,Armazenagem,Altura,Largura,Sf FROM produto) as produto ON produto.Id = os_produto.Id_Produto
 					where os_produto.Id_Os = '" . $_GET["id_os"] . "' AND Tipo='Entrada' ");

                    $x = 1;
                    foreach ($os_pro as $chave) { ?>

                        <tr>
                            <td><?php echo $x; ?></td>
                            <td><?php echo $chave["Codigo"]; ?></td>
                            <td><?php echo $chave["Produto"]; ?></td>
                            <td><?php echo $chave["Qtd"]; ?></td>
                            <td><?php echo $chave["Micro"]; ?></td>
                            <td><?php echo data_exibir($chave["Data_Entrega"]); ?></td>
                            <td><?php echo $chave["Obs"]; ?></td>
                        </tr>
                    <?php
                        $x++;
                    }
                    ?>
                </table>
            </td>
        </tr>
        <tr>
            <td>
                <table width="100%" align="center" class="tabela">
                    <tr>
                        <td colspan="2">Entrada dos Materiais Solicitados</td>
                    </tr>
                    <tr>
                        <td width="50%">
                            Data <br />
                            &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
                            &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
                            &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
                            ______/______/_________
                        </td>
                        <td width="50%">
                            Hora <br />
                            &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
                            &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
                            &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
                            &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
                            &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
                            &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
                            &nbsp;&nbsp;&nbsp; : &nbsp;&nbsp;&nbsp;
                        </td>
                    </tr>
                </table>
            </td>
        </tr>
    </table>
    <br />
    <table width="98%" align="center">
        <tr>
            <td align="center">________________________</td>
            <td align="center">________________________</td>
        </tr>
        <tr>
            <td align="center">
                <font face="verdana" size="2">Sada Autorizada<br /><?php echo $os[0]["Responsavel"]; ?><br><?php echo $empresa[0]["Titulo"]; ?></font>
            </td>
            <td align="center">
                <font face="verdana" size="2"><?php echo $os[0]["Vendedor"]; ?><br />Solicitante</font>
            </td>
        </tr>
    </table>

    <br>
</body>

</html>
<?php include "../include/rodape.php"; ?>
