<?php
include_once '../include/conecta.php'; //Conecta com a nosso banco de dados MySQL
include_once '../include/ver_sessao.php';
include "../integracao/bling/load.php";
use Bling\App\Model\CampoCustomizado;
use Bling\App\Model\Produto;
use Bling\App\Model\Type\Product\CategoriaProdutoLoja;
use Bling\App\Model\Type\Product\FiltroCategoriaProdutoLoja;

$marketplace = addslashes($_POST['marketplace']);
$buscarPor = addslashes($_POST['buscarPor']);
$categoria = addslashes($_POST['categoria']);
$codigoProduto = addslashes($_POST['codigoProduto']);
$nomeProduto = addslashes($_POST['nomeProduto']);
$camposCustomizados = [];

if($buscarPor == "categoria") {
    $modulos = CampoCustomizado::modulos();

    foreach ($modulos as $modulo) {
        if($modulo->modulo == "Produtos") {
            $camposCustomizadosProdutos = CampoCustomizado::camposModulos($modulo->id);
            $idsCamposCustomizados = array_column($camposCustomizadosProdutos, "id");
            $idCategoriaBling = $con->query("SELECT Id_Bling FROM categoria_produto WHERE Ativo = 'Sim' AND Marketplace = 'Sim' AND Id = '$categoria'");
            $idCategoriaBling = $idCategoriaBling->fetch_assoc()['Id_Bling'];
            $categoriasMarketplace = CategoriaProdutoLoja::buscarTodas(
                new FiltroCategoriaProdutoLoja(
                    1,
                    100,
                    (int)$marketplace,
                    $idCategoriaBling
                )
            );
            $categoriaLoja = $categoriasMarketplace[0];

            foreach ($idsCamposCustomizados as $idCampoCustomizado) {
                $campoCustomizado = CampoCustomizado::buscar($idCampoCustomizado);
                
                foreach($campoCustomizado->agrupadores as $agrupadorCampo) {
                    if($agrupadorCampo->id == $categoriaLoja->categoriaProduto->id) {
                        array_push($camposCustomizados, $campoCustomizado);
                        break;
                    }
                }
            }
            break;
        }
    }
}
else {
    $getProduto = $con->query("SELECT Id_Bling, (SELECT Id_Bling FROM categoria_produto WHERE Id = produto.Id_Categoria_Produto) Id_Categoria_Bling FROM produto
        WHERE Ativo = 'Sim' AND Marketplace = 'Sim' AND Codigo = '$codigoProduto' AND Titulo = '$nomeProduto'");
    $produto = $getProduto->fetch_assoc();
    $produtoBling = Produto::buscar((int)$produto['Id_Bling']);
    $categoriasMarketplace = CategoriaProdutoLoja::buscarTodas(
        new FiltroCategoriaProdutoLoja(
            1,
            100,
            (int)$marketplace,
            $produto['Id_Categoria_Bling']
        )
    );
    $categoriaLoja = $categoriasMarketplace[0];

    foreach($produtoBling->camposCustomizados as $campoCustomizadoProduto) {
        $campoCustomizado = CampoCustomizado::buscar($campoCustomizadoProduto->idCampoCustomizado);
        foreach($campoCustomizado->agrupadores as $agrupadorCampo) {
            if($agrupadorCampo->id == $categoriaLoja->categoriaProduto->id) {
                if(!empty($campoCustomizadoProduto->valor)) {
                    $campoCustomizado->placeholder = $campoCustomizadoProduto->valor;
                }
                array_push($camposCustomizados, $campoCustomizado);
            }
        }
    }
}
echo json_encode($camposCustomizados);
?>