<?php
include_once '../include/conecta.php'; //Conecta com a nosso banco de dados MySQL
include_once '../include/ver_sessao.php';
include_once '../menu_movimento.php';

if($_SERVER['REQUEST_METHOD'] == 'POST') {
    $tituloLoja = trim(addslashes($_POST['tituloLoja']));
    $codigoLoja = trim(addslashes($_POST['codigoLoja']));
    $unidadeLoja = ESCOLHER_EMPRESA == "Sim" && $_POST['unidadeLoja'] ? addslashes($_POST['unidadeLoja']) : $_SESSION['Unidade'];

    if(ESCOLHER_EMPRESA == "Sim" && $_POST['unidadeLoja'] == '') {
        echo json_encode([
            "status"=> "erro",
            "mensagem"=> "Nenhuma empresa selecionada"
        ]);
        exit;
    }
    if(strlen($tituloLoja) > 0 && strlen($codigoLoja) > 0) {
        $dataHora = date("Y-m-d H:i:s");
        $tituloUnidade = $con->query("SELECT Razao_Social FROM unidade WHERE Id = '$unidadeLoja'");
        $tituloLoja = $tituloUnidade->fetch_assoc()['Razao_Social'];
        $cadastrarLoja = $con->query("INSERT INTO bling_loja SET Titulo = '$tituloLoja', Codigo = '$codigoLoja', Id_Unidade = '$unidadeLoja',
            Data_Cadastro = '$dataHora', Id_Usuario = '{$_SESSION['Id']}'");

        if($cadastrarLoja) {
            echo json_encode([
                "status"=> "ok",
                "tituloLoja"=> mb_convert_encoding($tituloLoja, 'UTF-8', "ISO-8859-1"),
                "idLoja"=> $con->insert_id
            ]);

        }
        else {
            echo json_encode([
                "status"=> "erro",
                "mensagem"=> mb_convert_encoding("No foi possvel concluir o cadastro", "UTF-8", "ISO-8859-1")
            ]);
        }
        exit;
    }
}
elseif($_SERVER['REQUEST_METHOD'] == 'DELETE') {
    $idLoja = $_GET['idLoja'];
    $sql = "DELETE FROM bling_loja WHERE Id = '$idLoja'";
    
    if(ESCOLHER_EMPRESA == 'No') {
        $sql .= " AND Id_Unidade = '{$_SESSION['Unidade']}'";
    }
    $excluirLoja = $con->query($sql);

    echo json_encode([
        "status"=> $excluirLoja ? "ok" : "erro",
        "mensagem"=> $excluirLoja ? "" : mb_convert_encoding("No foi possvel excluir essa loja", "UTF-8", "ISO-8859-1")
    ]);
}
?>