<?php
include_once '../include/conecta.php'; //Conecta com a nosso banco de dados MySQL
include_once '../include/ver_sessao.php'; //Verifica se a sesso est ativa
include_once '../include/funcoesPhp.php';
include_once '../menu_movimento.php';
?>
<?php
if (($_GET["Finalizado"]) || ($_GET["Aberto"]) || ($_GET["Cancelado"])) {

    $status = "AND (";

    if ($_GET["Finalizado"]) {
        $status .= " pdv.Status = 'Finalizado' OR";
    }
    if ($_GET["Aberto"]) {
        $status .= " pdv.Status = 'Aberto' OR";
    }
    if ($_GET["Cancelado"]) {
        $status .= " pdv.Status = 'Cancelado' OR";
    }

    $status = substr($status, 0, -2);
    $status .= ")";
}

if ($_GET["De"])
    $data .= "AND pdv.Data_Pdv >= '" . data_banco($_GET["De"]) . " 00:00:00' ";
if ($_GET["Ate"])
    $data .= "AND pdv.Data_Pdv <= '" . data_banco($_GET["Ate"]) . " 23:59:59' ";

if ($_GET["Cliente"]) {

    $mystring = $_GET["Cliente"];
    $findme = " : ";

    $posicao = strpos($mystring, $findme);

    $cod_cli = substr($_GET["Cliente"], 0, $posicao);
    $nome_cli = substr($_GET["Cliente"], ($posicao + 3));


    if (CLIENTE_RAZAO_SOCIAL == 'Sim') {
        $nome = 'Razao_Social';
    } else {
        $nome = 'Titulo';
    }
    /* convertendo o nome do fornecedor, para o seu codigo */
    $Prodt = listar("SELECT Id FROM cliente WHERE " . $nome . " ='" . $nome_cli . "' AND Codigo = '" . $cod_cli . "' ");
    $_GET["Cliente"] = $Prodt[0]["Id"];

    $Cliente .= "AND pdv.Id_Cliente = '" . $_GET["Cliente"] . "' ";
}

if ($_GET["Categoria_Cliente"])
    $Cliente .= "AND cliente.Id_Categoria_Cliente = '" . $_GET["Categoria_Cliente"] . "' ";

if ($_GET["Usuario"])
    $Usuario = "AND pdv.Id_Usuario_Upd = '" . $_GET["Usuario"] . "' ";

if ($_GET["Funcionario"])
    $usuario_p .= "AND pdv.Id_Funcionario = '" . $_GET["Funcionario"] . "' ";

if ($_GET["Vendedor"])
    $usuario_p .= "AND pdv.Id_Vendedor = '" . $_GET["Vendedor"] . "' ";

if ($_GET["Tipo"])
    $usuario_p .= "AND pdv.Id_Vendedor2 = '" . $_GET["Tipo"] . "' ";

if ($_GET["Tipo_Pedido"])
    $T_pedido .= "AND pdv.Tipo_Pedido = '" . $_GET["Tipo_Pedido"] . "' ";

if ($_GET["Tipo_Pagamento"]) {
    $tipo_pagto = "AND pdv_tipo_pagamento.Id_Tipo_Pagamento = '" . $_GET["Tipo_Pagamento"] . "' ";
}

if ($_GET["Financeiro"]) {
    $financeiro = "AND pdv.Financeiro = '" . $_GET["Financeiro"] . "' ";
}

if ($_GET["Categoria_Tipo_Pagamento"]) {
    $Categoria_Tipo_Pagamento = "AND tipo_pagamento.Id_Categoria_Tipo_Pagamento = '" . $_GET["Categoria_Tipo_Pagamento"] . "' ";
}

if ($_GET["Produto"]) {

    $mystring = $_GET["Produto"];
    $findme = " : ";

    $posicao = strpos($mystring, $findme);

    $cod_cli = substr($_GET["Produto"], 0, $posicao);
    $nome_cli = substr($_GET["Produto"], ($posicao + 3));


    /* convertendo o nome do fornecedor, para o seu codigo */
    $Prodt = listar("SELECT Id FROM produto WHERE Titulo='" . $nome_cli . "' AND Codigo = '" . $cod_cli . "' ");
    $_GET["Produto"] = $Prodt[0]["Id"];

    $pdv_produto = "AND pdv_produto.Id_Produto = '" . $_GET["Produto"] . "' ";
}

if ($_GET["Unidade"]) {
    $Unidade = "AND pdv.Id_Unidade = '" . $_GET["Unidade"] . "' ";
}

if ($_GET["Devolucao"]) {
    $vendaDevolucao = "AND pdv.Devolucao = '" . $_GET["Devolucao"] . "' ";
}

if ($_GET["EF"]) {
    $EF = "AND pdv.EF = '" . $_GET["EF"] . "' ";
}

if ($_GET["Ok"]) {
    $pdv = mysqli_query($con, "SELECT DISTINCT pdv.Id, pdv.Lancamento,
                                  pdv.Status,
                                  pdv.Data_Pdv,
                                  pdv.Desconto_Total,
                                  pdv.Tipo_Desconto,
                                  pdv.Codigo_Paf,
                                  pdv.Acrescimo,
                                  pdv.Obs,
                                  pdv.Tipo_Pedido,
                                  cliente.Titulo as Cliente,
                                  funcionario.Titulo as 'Funcionario',
                                  vendedor.Titulo as Vendedor,
                                  pdv.Id_Vendedor
                             FROM pdv
                        LEFT JOIN (SELECT Id,Id_Produto,Id_Pdv FROM pdv_produto WHERE pdv_produto.Cancelado = 'No') as pdv_produto ON pdv_produto.Id_Pdv = pdv.Id
                        LEFT JOIN (SELECT Id,Titulo FROM funcionario) as funcionario ON funcionario.Id = pdv.Id_Funcionario
                        LEFT JOIN (SELECT Id,Titulo,Razao_Social FROM cliente) as cliente ON pdv.Id_Cliente = cliente.Id
                        LEFT JOIN (SELECT Id,Titulo FROM funcionario) as vendedor ON vendedor.Id = pdv.Id_Vendedor
                        LEFT JOIN (SELECT Id,Id_Pdv,Id_Tipo_Pagamento FROM pdv_tipo_pagamento) as pdv_tipo_pagamento ON pdv_tipo_pagamento.Id_Pdv = pdv.Id
                        LEFT JOIN (SELECT Id,Id_Categoria_Tipo_Pagamento FROM tipo_pagamento) as tipo_pagamento ON tipo_pagamento.Id = pdv_tipo_pagamento.Id_Tipo_Pagamento
                        WHERE 1=1
                        $tipo_pagto 
                        $data 
                        $status 
                        $usuario_p 
                        $Cliente 
                        $pdv_produto 
                        $Unidade 
                        $Usuario 
                        $T_pedido 
                        $vendaDevolucao 
                        $EF 
                        $Categoria_Tipo_Pagamento
                        $financeiro
                        GROUP BY pdv.Lancamento
                        ORDER BY pdv.Lancamento");
}
?>
<?php ob_start(); /* Inicia o fluxo*/ ?>
<html>

<head>
    <link rel="stylesheet" type="text/css" href="../estilo/<?php echo SKIN; ?>/tabela_imp.css" />
    <script type="text/javascript" language="javascript" src="../js/jquery.js"></script>
    <?php include '../include/script_cabeca.php'; ?>
    <script type="text/javascript" language="javascript" src="../js/script.js"></script>
    <script type="text/javascript" language="javascript" src="../js/meiomask/meiomask.js"></script>
    <script type="text/javascript" language="javascript" src="../js/meiomask/<?php if (PAIS == "USA") {
                                                                                    echo "mascaras-usa";
                                                                                } else {
                                                                                    echo "mascaras";
                                                                                } ?>.js"></script>
</head>

<body>
    <?php include "../include/cabecalho_relatorio.php"; ?>
    <table width="100%">
        <tr>
            <td>
                <font face="verdana" size="2"><i>Relatrio de Pdv</i></font>
            </td>
        </tr>
        <tr>
            <td>
                <font face="verdana" size="2">
                    <?php
                    if ($_GET["De"]) {
                        echo "Perodo: " . $_GET["De"];
                    }
                    if ($_GET["Ate"]) {
                        echo "  " . $_GET["Ate"];
                    }
                    if ($_GET["Funcionario"]) {
                        $achar = listar("Select Titulo from funcionario
			where Id = '" . $_GET["Funcionario"] . "' ");
                        echo " - " . $achar[0]["Titulo"];
                    }
                    if ($_GET["Cliente"]) {
                        $achar = listar("Select Titulo from cliente
			where Id = '" . $_GET["Cliente"] . "' ");
                        echo " - " . $achar[0]["Titulo"];
                    }
                    if ($_GET["Produto"]) {
                        $achar = listar("Select Titulo from produto
			where Id = '" . $_GET["Produto"] . "' ");
                        echo " - " . $achar[0]["Titulo"];
                    }
                    if ($_GET["Cancelado"]) {
                        echo " - " . $_GET["Cancelado"];
                    }
                    if ($_GET["Finalizado"]) {
                        echo " - " . $_GET["Finalizado"];
                    }
                    if ($_GET["Aberto"]) {
                        echo " - " . $_GET["Aberto"];
                    }
                    //se o sistema for Multi Empresa
                    if ((MULTI_EMPRESA == "Sim") && ($_SESSION["Id_Nivel"] == '1')) {

                        if ($_GET["Unidade"]) {
                            $achar = listar("Select Titulo from unidade
						where Id = '" . $_GET["Unidade"] . "' ");
                            echo " - " . $achar[0]["Titulo"];
                        }
                    }
                    ?>
                </font>
            </td>
        </tr>
    </table>
    <br>
    <table width="100%" class="tabela">
        <tfoot>
            <tr class="cinza">
                <td colspan="20">Relatrio de Pdv</td>
            </tr>
        </tfoot>
        <?php
        if ($_GET["Ok"]) {

            while ($chave = mysqli_fetch_assoc($pdv)) {
        ?>
                <tr class="azul-claro">
                    <td>N Pdv: <b><?php echo $chave["Lancamento"] ?></b></td>
                    <td>Cliente: <b><?php echo $chave["Cliente"] ?></b></td>
                    <td colspan="2">Data: <b><?php echo data_exibir($chave["Data_Pdv"]) . " " . $chave["Data_Cadastro"] ?></b>
                    </td>
                    <td>Cdigo Paf: <b><?php echo $chave["Codigo_Paf"] ?></b></td>
                </tr>
                <tr>
                    <td>Produto</td>
                    <td>Valor</td>
                    <td>Qtd</td>
                    <td>Desc</td>
                    <td>Total</td>
                </tr>
                <?php
                $produto = mysqli_query($con, "SELECT DISTINCT pdv_produto.Id,
                                    produto.Titulo,
                                    produto.Codigo,
                                    pdv_produto.Preco,
                                    pdv_produto.Qtd,
                                    pdv_produto.Desconto_Real
                                    FROM pdv_produto
                                    LEFT JOIN (SELECT Id,Titulo,Codigo FROM produto) as produto ON produto.Id = pdv_produto.Id_Produto
                                    WHERE pdv_produto.Id_Pdv = '" . $chave["Id"] . "'
                                    AND pdv_produto.Cancelado = 'No'
                                    $pdv_produto
                                    ORDER BY pdv_produto.Data_Cadastro ");
                ?>
                <?php
                $color = "#F5F5F5";
                $vtotal = '0';
                while ($valor = mysqli_fetch_assoc($produto)) {

                    if ($color == "#F5F5F5") {
                        $color = "#E8E8E8";
                    } else {
                        $color = "#F5F5F5";
                    }

                ?>
                    <tr bgcolor=<?php echo "$color"; ?>>
                        <td><?php echo $valor["Codigo"] . " : " . $valor["Titulo"] ?></td>
                        <td><?php echo valor_exibir($valor["Preco"]) ?></td>
                        <td><?php echo valor_exibir($valor["Qtd"]) ?></td>
                        <td><?php echo valor_exibir($valor["Desconto_Real"]) ?></td>
                        <td><?php echo valor_exibir(($valor["Preco"] * $valor["Qtd"]) - $valor["Desconto_Real"]); ?></td>
                    </tr>
                <?php
                    $vtotal += ($valor["Preco"] * $valor["Qtd"]) - $valor["Desconto_Real"];
                    $qitens += $valor["Qtd"];
                }
                ?>
                <tr>
                    <td colspan="5">
                        Observao: <?php echo $chave['Obs'] ?>
                    </td>
                </tr>
                <tr>
                    <td>Acrescimo : <?php echo valor_exibir($chave["Acrescimo"]); ?></td>
                    <td>Desconto : <?php echo valor_exibir($chave["Desconto_Total"]); ?></td>
                    <td colspan="2">Tipo: <?php echo ($chave["Tipo_Desconto"]); ?></td>
                    <td>
                        <b>
                            <?php
                            if ($chave["Tipo_Desconto"] == 'Real') {
                                echo valor_exibir($vtotal - $chave["Desconto_Total"] + ($vtotal * ($chave["Acrescimo"] / 100)));
                            } else {
                                echo valor_exibir(($vtotal) - ($vtotal * ($chave["Desconto_Total"] / 100)) + ($vtotal * ($chave["Acrescimo"] / 100)));
                            }
                            ?>
                        </b>
                    </td>
                </tr>
                <?php
                if ($chave["Tipo_Desconto"] == 'Real') {
                    $vtotalacum[$chave["Status"]] += $vtotal -  $chave["Desconto_Total"] + ($vtotal * ($chave["Acrescimo"] / 100));
                    $vtotalacumA += $vtotal -  $chave["Desconto_Total"] + ($vtotal * ($chave["Acrescimo"] / 100));
                } else {
                    $vtotalacum[$chave["Status"]] += ($vtotal) - ($vtotal * ($chave["Desconto_Total"] / 100)) + ($vtotal * ($chave["Acrescimo"] / 100));
                    $vtotalacumA += ($vtotal) - ($vtotal * ($chave["Desconto_Total"] / 100)) + ($vtotal * ($chave["Acrescimo"] / 100));
                }
                ?>
                <?php
                $corStatus = "";
                if ($chave['Status'] == 'Finalizado') {
                    $corStatus = "color = '#228B22' ";
                }
                if ($chave['Status'] == 'Aberto') {
                    $corStatus = "color = '#3A5FCD' ";
                }
                if ($chave['Status'] == 'Cancelado') {
                    $corStatus = "color = '#CD2626' ";
                }
                ?>
                <tr class="cinza">
                    <td>Status: <font <?php echo $corStatus ?>>
                            <b><?php echo $chave["Status"] ?></b>
                        </font>
                    </td>
                    <td>Tipo Pagamento:
                        <?php
                        $ex_tip = '';
                        $tip = mysqli_query($con, "SELECT tipo_pagamento.Titulo
                            FROM pdv_tipo_pagamento
                            left join (SELECT Id,Titulo FROM tipo_pagamento) as tipo_pagamento ON tipo_pagamento.Id = pdv_tipo_pagamento.Id_Tipo_Pagamento
                            WHERE pdv_tipo_pagamento.Id_Pdv='" . $chave['Id'] . "' ");

                        while ($linha1 = mysqli_fetch_assoc($tip)) {
                            $ex_tip .= $linha1['Titulo'] . ", ";
                        }
                        echo $ex_tip = substr($ex_tip, 0, -2);
                        ?>
                    </td>
                    <td>Concluso: <?php echo data_exibir($chave["Data_Pdv"]) ?></td>
                    <td> Tipo Pedido: <?php echo ($chave["Tipo_Pedido"]); ?></td>
                    <td>Vendedor: <?php echo $chave["Funcionario"] ?></td>
                </tr>
                <tr>
                    <td colspan="5">&nbsp;</td>
                </tr>
        <?php }
        } ?>

        <tr>
            <td align="right"><b>Valores Finais:</b> &nbsp;</td>
            <td colspan="4" align="right">
                Quantidade Itens: <b><?php echo valor_exibir($qitens); ?></b>&nbsp;&nbsp;&nbsp;
                Aberto : <b><?php echo valor_exibir($vtotalacum["Aberto"]); ?></b>&nbsp;&nbsp;&nbsp;
                Finalizado : <b><?php echo valor_exibir($vtotalacum["Finalizado"]); ?></b>&nbsp;&nbsp;&nbsp;
                Cancelado : <b><?php echo valor_exibir($vtotalacum["Cancelado"]); ?></b>&nbsp;&nbsp;&nbsp;
                Total Geral : <b><?php echo valor_exibir($vtotalacum["Aberto"] + $vtotalacum["Finalizado"]); ?></b>
            </td>
        </tr>
    </table>
    <br>
</body>

</html>
<?php
$html = ob_get_contents();
ob_end_clean();

include_once "../include/pdf_opcao.php";
?>