<?php
include_once '../include/conecta.php'; //Conecta com a nosso banco de dados MySQL
include_once './ver_cookie.php'; //Verifica se a sesso est ativa
include_once 'funcoesPhp.php'; //Inclue a pgina con todas as funes a ser usada.

$request = json_decode(file_get_contents("php://input"));

$idCliente = '';
$Id_Pdv = md5(microtime());
$ValorDevolucao = '';
$Id_Pdv_Devolucao = '';
$Id_Linha_Devolucao = '';
$idVendedor = '';
$idPdvTipoPagamento = md5($Id_Pdv . microtime());
$lancamentoPdvDevolucao = '';
$prazoCupom = '';
$data = date("Y-m-d");
$produtosZerados = 0;
$idVoucher = md5($Id_Pdv . microtime());


foreach ($request as $pdv_produto) {

    $prod_pdv = mysqli_query($con, "SELECT Qtd FROM pdv_produto WHERE Id = '$pdv_produto->id_produto_pdv'");
    $prod_pdv = mysqli_fetch_assoc($prod_pdv);

    if ($pdv_produto->qtd == 0) {
        $produtosZerados++;
    }


    if ($prod_pdv["Qtd"] < $pdv_produto->qtd) {
        echo json_encode(["status" => 'erro', "mensagem" => 'Existe produto com quantidade maior que o saldo']);
        exit();
    }

    $prazoCupom = $pdv_produto->prazoCupom;
}

if (sizeof($request) == $produtosZerados) {
    echo json_encode(["status" => 'erro', "mensagem" => mb_convert_encoding('No foi adicionado nenhum produto para devoluo!', 'UTF-8', 'iso-8859-1')]);
    exit();
}

foreach ($request as $pdv_produto) {

    $prod_pdv = mysqli_query($con, "SELECT DISTINCT pdv_produto.Id,pdv_produto.Id_Pdv,pdv_produto.Id_Produto,pdv_produto.Qtd,pdv_produto.Preco,
    pdv_produto.Desconto_Real,pdv_produto.Desconto_Real_Pe_Nota,pdv_produto.Preco_Custo,pdv_produto.Preco_Tabela,pdv_produto.Icms,pdv_produto.Icms_Sub,pdv_produto.Mva,
    pdv_produto.Reducao,pdv_produto.Id_Cfop,pdv_produto.ST_Icms,pdv_produto.Situacao_Tributaria,pdv_produto.C_Produto,pdv_produto.Aliquota,
    pdv_produto.Id_Local_Estoque,pdv_produto.Comissao,pdv_produto.Aliquota_Pis,pdv_produto.Aliquota_Cofins,pdv_produto.CST_Pis,pdv_produto.CST_Cofins,
    pdv_produto.motDesICMS,pdv_produto.Ipi,produto.Titulo as Produto,pdv.Lancamento,pdv.Id_Cliente,pdv.Id_Vendedor as Vendedor
                        FROM pdv_produto
                        LEFT JOIN (SELECT Id,Titulo FROM produto) as produto ON produto.Id = pdv_produto.Id_Produto
                        LEFT JOIN (SELECT Id,Lancamento,Id_Cliente,Id_Vendedor FROM pdv) as pdv ON pdv.Id = pdv_produto.Id_Pdv
                        WHERE pdv_produto.Id = '$pdv_produto->id_produto_pdv'
                        ORDER BY pdv_produto.Data_Cadastro DESC");

    $pdv_prod = mysqli_fetch_assoc($prod_pdv);
    $idCliente = $pdv_prod["Id_Cliente"];
    $idVendedor = $pdv_prod["Vendedor"];

    $qtdDevolvida = - ($pdv_produto->qtd);

    $descontoRateado = ($pdv_prod["Desconto_Real"] + $pdv_prod["Desconto_Real_Pe_Nota"]) / $pdv_prod["Qtd"];
    $descontoProduto = -1*($descontoRateado * $qtdDevolvida);
    $descontoProduto = valor_banco($descontoProduto);

    if ($qtdDevolvida < 0) {

        $Id_Pdv_Devolucao = $pdv_prod["Id_Pdv"];
        $Id_Linha_Devolucao = $pdv_prod["Id"];
        $ValorDevolucao +=  ($pdv_prod["Preco"] * $qtdDevolvida) - ($descontoRateado * $qtdDevolvida);
        $lancamentoPdvDevolucao = $pdv_prod["Lancamento"];

        $Codigo_Pdv_Produto = md5($pdv_prod["Id_Pdv"] . microtime());
        $con->query("INSERT INTO pdv_produto SET Id='$Codigo_Pdv_Produto', Id_Pdv='$Id_Pdv',Id_Pdv_Devolucao='$Id_Linha_Devolucao',Id_Produto='{$pdv_prod["Id_Produto"]}',
    Preco='{$pdv_prod["Preco"]}',Qtd='$qtdDevolvida',Desconto_Real='{$pdv_prod["Desconto_Real"]}',Preco_Custo='{$pdv_prod["Preco_Custo"]}',
    Id_Cliente='$idCliente',Id_Funcionario='" . $_COOKIE["Id_Funcionario"] . "',Data_Cadastro='" . date("Y-m-d H:i:s") . "',Cancelado='No',
    Preco_Tabela='{$pdv_prod["Preco_Tabela"]}',Icms='{$pdv_prod["Icms"]}',Icms_Sub='{$pdv_prod["Icms_Sub"]}',Mva='{$pdv_prod["Mva"]}',
    Reducao='{$pdv_prod["Reducao"]}',Id_Cfop='{$pdv_prod["Id_Cfop"]}',ST_Icms='{$pdv_prod["ST_Icms"]}',Situacao_Tributaria='{$pdv_prod["Situacao_Tributaria"]}',
    C_Produto='{$pdv_prod["C_Produto"]}',Aliquota='{$pdv_prod["Aliquota"]}',Aliquota_Pis='{$pdv_prod["Aliquota_Pis"]}',Aliquota_Cofins='{$pdv_prod["Aliquota_Cofins"]}',
    CST_Pis='{$pdv_prod["CST_Pis"]}',CST_Cofins='{$pdv_prod["CST_Cofins"]}',Id_Local_Estoque='{$pdv_prod["Id_Local_Estoque"]}',
    Comissao='{$pdv_prod["Comissao"]}',motDesICMS='{$pdv_prod["motDesICMS"]}'") or die($con->error);

        $con->query("UPDATE pdv_produto Set Qtd_Devolucao ='$pdv_produto->qtd' where Id = '$Id_Linha_Devolucao'");
        
    }
}

$ValorDevolucao = valor_banco($ValorDevolucao);

$pdvTipoPagamento = $con->query("SELECT Id as Id_Tipo_Pagamento FROM tipo_pagamento WHERE tipo_pagamento.DV_Pdv = 'Sim' LIMIT 1");
$pdvTipoPagamento = mysqli_fetch_assoc($pdvTipoPagamento);


//Criando o cabealho do PDV
$con->query("INSERT INTO pdv SET Id='$Id_Pdv',Data_Pdv='" . date("Y-m-d") . "',Data_Cadastro='" . date("Y-m-d H:i:s") . "',
Id_Funcionario='" . $_COOKIE["Id_Funcionario"] . "',Id_Usuario='" . $_COOKIE["Id"] . "',Id_Vendedor='$idVendedor',Id_Cliente='$idCliente',
Devolucao='S',Obs='Devoluo do pedido N $lancamentoPdvDevolucao',Financeiro='No',Prazo_Cupom='$prazoCupom',
Id_Tipo_Pagamento='{$pdvTipoPagamento["Id_Tipo_Pagamento"]}',Valor_Pago='$ValorDevolucao',Total_Pagar='$ValorDevolucao',
Id_Pdv_Devolucao='$Id_Pdv_Devolucao',Status='Finalizado',Id_Unidade='" . $_COOKIE["Unidade"] . "',Id_Cfop='" . $_COOKIE["Id_Cfop"] . "',
" . $padraoUpd) or die($con->error);

//Criando Pdv_Tipo_Pagamento
$con->query("INSERT INTO pdv_tipo_pagamento SET Id='$idPdvTipoPagamento', Id_Pdv='$Id_Pdv',
Id_Tipo_Pagamento='" . $pdvTipoPagamento['Id_Tipo_Pagamento'] . "', Total_Pagar='$ValorDevolucao',Valor_Pago='$ValorDevolucao',
Id_Cliente='$idCliente',Id_Funcionario='" . $_COOKIE["Id_Funcionario"] . "', Data_Cadastro=NOW(), Ordem='1'") or die($con->error);

$datetime = new DateTime($data);
$datetime->modify('+' . $prazoCupom . ' days');
$dataCriacaoVoucher = date("Y-m-d H:i:s");
$ValorDevolucao = -1 * $ValorDevolucao;
$ValorDevolucao = valor_banco($ValorDevolucao);

$numeroVoucher = date("His"). str_pad($lancamentoPdvDevolucao,6,'0',STR_PAD_LEFT);

//Criando o Voucher devoluo
$con->query("INSERT INTO pdv_voucher_devolucao SET Id='$idVoucher',Id_Pdv='$Id_Pdv', Valor_Credito='$ValorDevolucao',Utilizado='No', Numero_Voucher='$numeroVoucher',
Data_Limite='{$datetime->format('Y/m/d')}',Data_Cadastro='$dataCriacaoVoucher',Data_Cadastro_Upd='$dataCriacaoVoucher',
Id_Usuario='" . $_COOKIE["Id"] . "',Id_Usuario_Upd='" . $_COOKIE["Id"] . "'") or die($con->error);

logUsuario($_SERVER['REMOTE_ADDR'], $_COOKIE['Login'], $_COOKIE['Email'], $_COOKIE['Unidade'], "Pdv-Devolucao", "Cadastro");

//Verificando se teve uma devoluo total do PDV
$verificacaoDevolucaoTotal = $con->query("SELECT SUM(Qtd)AS Qtd, SUM(Qtd_Devolucao) AS Qtd_Devolucao FROM pdv_produto WHERE Id_pdv = '$Id_Pdv_Devolucao'");
$verificacaoDevolucaoTotal = mysqli_fetch_assoc($verificacaoDevolucaoTotal);

if ($verificacaoDevolucaoTotal['Qtd'] - $verificacaoDevolucaoTotal['Qtd_Devolucao'] == 0) {
    $con->query("UPDATE pdv SET Tipo_Devolucao ='Total' WHERE Id = '$Id_Pdv_Devolucao'");
} else {
    $con->query("UPDATE pdv SET Tipo_Devolucao ='Parcial' WHERE Id = '$Id_Pdv_Devolucao'");
}

$con->query("DELETE FROM estoque WHERE Id_Externo='$Id_Pdv'");

//inserindo os produtos
$pdvProdutoDevolucao = $con->query("SELECT pdv_produto.Id,pdv_produto.Id_Produto,pdv_produto.Qtd,pdv_produto.Preco,pdv_produto.Preco_Custo,
pdv_produto.Desconto,pdv_produto.Desconto_Real,pdv_produto.Id_Local_Estoque as Local,pdv_produto.Id_Cfop,pdv_produto.Icms,pdv_produto.Icms_Sub,
pdv_produto.Mva,pdv_produto.Reducao,pdv_produto.Origem_ST,pdv_produto.Ipi,pdv.Lancamento,pdv.Id_Cliente,pdv.EF,
pdv.Data_Pdv as Data,pdv.Id_Pdv_Devolucao,pdv_produto.Id_Unidade
            FROM pdv_produto
            INNER JOIN (SELECT Id,Lancamento,Data_Pdv,Id_Unidade,EF,Id_Cliente,Id_Pdv_Devolucao FROM pdv) as pdv ON pdv.Id = pdv_produto.Id_Pdv
            WHERE pdv_produto.Id_Pdv = '$Id_Pdv'
            ORDER BY pdv_produto.Data_Cadastro ") or die($con->error);

while ($linha = mysqli_fetch_assoc($pdvProdutoDevolucao)) {



    if ($linha["Id_Unidade"] <= 0) {
        if ($linha["Id_Unidade"] == '') {
            $linha["Id_Unidade"] = $_COOKIE["Unidade"];
        }
    }

    $qtd = -$linha["Qtd"];
    $qtd = valor_exibir($qtd);
    $qtd = str_replace('.', '', $qtd);
    $qtd = str_replace(',', '.', $qtd);
    //lancando o estoque deste produtos
    cadEstoque($linha["Id"], $linha["Id_Produto"], $qtd, '', '', '', '', $linha["Local"], $linha["Preco_Custo"], $linha["Preco"], $linha["Id_Cfop"],  $linha["Icms"], $linha["Ipi"], "Pdv Devoluo", "Sim", $Id_Pdv, $linha["Id_Unidade"], $linha["Data"], $linha["Lancamento"]);
}


echo json_encode(["status" => 'ok', "idPdv" => $Id_Pdv]);
