<?php
include_once '../include/conecta.php'; //Conecta com a nosso banco de dados MySQL
include_once '../include/ver_sessao.php'; //Verifica se a sesso est ativa
include_once 'funcoesPhp.php';
include_once '../menu_movimento.php';

$pro_pdv = mysqli_query($con, "SELECT DISTINCT pdv_produto.Id,
                            pdv_produto.Id_Produto,
                            pdv_produto.Preco,
                            pdv_produto.Qtd,
                            pdv_produto.Desconto_Real,
                            pdv_produto.Data_Cadastro,
                            produto.Codigo,
                            produto.Titulo as 'Produto',
                            produto.Medida,                            
                            funcionario.Titulo as Vendedor
                            FROM pdv_produto
                            LEFT JOIN (SELECT Id,Titulo,Codigo,Medida FROM produto) as produto ON produto.Id = pdv_produto.Id_Produto
                            LEFT JOIN (SELECT Id,Titulo FROM funcionario) as funcionario ON funcionario.Id = pdv_produto.Id_Funcionario
                            WHERE pdv_produto.Id_Pdv='" . $_GET["id_pdv"] . "'
                            AND Cancelado = 'No' ");

//ob_start();
?>
<html>
    <head>
        <title>Gw - Gesto Web</title>
        <style type="text/css">
            * {
                margin: 0px;
                padding: 0px;
                font-weight: bolder;
            }
            body {
                font: 12px Arial, Arial, Helvetica, sans-serif;
                background-color: #fff;
                margin-left: 2.5%;
            }
        </style>
        <script type="text/javascript" language="javascript" src="../js/jquery.js"></script>
        <?php include '../include/script_cabeca.php'; ?>
        <script type="text/javascript" language="javascript" src="../js/script.js"></script>
        <script type="text/javascript" language="javascript" src="../js/meiomask/meiomask.js"></script>
        <script type="text/javascript" language="javascript" src="../js/meiomask/<?php
        if (PAIS == "USA") {
            echo "mascaras-usa";
        } else {
            echo "mascaras";
        }
        ?>.js"></script>
        <script type="text/javascript" language="javascript">
            window.onload = function () {
                window.print();
            }
        </script>
    </head>
    <body>
        <table width="302">
            <tr>
                <td>
                    <table width="98%" class="razao">
                        <tr>
                            <td align="right" width="60%">
                                <a href="javascript:void();" onclick="window.print();">
                                    <img src="../imagem/imprima.png" alt="Imprimir" title="Imprimir">
                                </a>
                            </td>
                            <td align="right" width="20%">
                            <?php if (TIPO_PAF == 'Cupom') { ?>
                                <a href="javascript:void();"
                                   onclick="window.open('paf/gerar_txt_venda.php?id_pdv=<?php echo $_GET["id_pdv"]; ?>', 'Imprimir', 'width=400,height=800,top=0,left=0,scrollbars=yes')">
                                    <img src="../imagem/bt_cupom.png" alt="Cupom" title="Cupom">
                                </a>
                            <?php } else { ?>
                                <?php if(EMITIR_NFCE=='Sim'){ ?>
                                <a href="javascript:void();"
                                   onclick="window.open('gera_nfce.php?id_pdv=<?php echo $_GET["id_pdv"]; ?>', 'Imprimir', 'width=400,height=800,top=0,left=0,scrollbars=yes');window.close();">
                                    <img src="../imagem/bt_cupom.png" alt="Cupom" title="Cupom">
                                </a>
                                <?php } ?>
                            <?php } ?>
                            </td>
                        </tr>
                    </table>
                </td>
            </tr>
                <?php
                if (!$_GET["Id_Unidade_Usuario"]) {
                    $_GET["Id_Unidade_Usuario"] = $_COOKIE["Unidade"];
                }
                $empresa = listar("Select Titulo,Rua,Numero,
                                            Bairro,Cidade,Estado,Fone1,Site,Logo
                                            from unidade where Id = '" . $_GET["Id_Unidade_Usuario"] . "' ");
                ?>
                <tr>
                     <?php
                    if(file_exists("../unidade/foto/".$empresa[0]["Logo"]."")){
                        $cam_arq = "../unidade/foto/".$empresa[0]["Logo"];
                    }else{
                        $cam_arq = "../../unidade/foto/".$empresa[0]["Logo"];
                    }
                ?>
                <td width="10" align="center" class="razao">
                    <img src="<?php echo $cam_arq; ?>" title="Logo" alt="Logo" border="0" width="55px" height="auto"/>
                </td>
                
                <td width="226" align="left" class="razao" ><br>
                    <pre><?php echo strtoupper($empresa[0]["Titulo"]); ?><br>End: <?php echo $empresa[0]["Rua"] . ', ' . $empresa[0]["Numero"]; ?> <br><?php echo $empresa[0]["Bairro"]; ?> - <?php echo $empresa[0]["Cidade"]; ?> - <?php echo $empresa[0]["Estado"]; ?><br>
                Tel: <?php echo $empresa[0]["Fone1"]; ?></pre></td>
                <td width="68" align="left" class="razao" >&nbsp;</td>
            </tr>
            <tr>
                <td colspan="2">-----------------------------------------------------------------------</td>
            </tr>
            <tr>
                <td colspan="2" align="left">
                    <table width="98%" class="razao">
                        <?php
                        if (CLIENTE_RAZAO_SOCIAL == 'Sim') {
                            $nome = 'Razao_Social';
                        } else {
                            $nome = 'Titulo';
                        }
                        $data_pdv = listar("Select pdv.Lancamento,
                                                pdv.Total_Pagar,
                                                pdv.Valor_Pago,
                                                pdv.Troco,
                                                pdv.Desconto_Total,
                                                pdv.Tipo_Desconto,
                                                pdv.Obs,
                                                pdv.Data_Pdv,
                                                tipo_pagamento.Titulo as Tipo_Pagamento,
                                                cliente.Titulo as Cliente,
                                                funcionario.Titulo as Vendedor,
                                                cliente.Fone1,
                                                cliente.Rua,
                                                cliente.Numero,
                                                cliente.Bairro,
                                                cliente.Cidade,
                                                cliente.Estado,
                                                cliente.Complemento,
                                                cliente.Ponto_Referencia
                                                from pdv
                                                LEFT JOIN (SELECT Id,Titulo FROM tipo_pagamento) as tipo_pagamento ON tipo_pagamento.Id = pdv.Id_Tipo_Pagamento
                                                LEFT JOIN (SELECT Id,$nome as Titulo,Fone1,Rua,Numero,Bairro,Cidade,Estado,Ponto_Referencia,Complemento FROM cliente) as cliente ON cliente.Id = pdv.Id_Cliente
                                                LEFT JOIN (SELECT Id,Titulo FROM funcionario) as funcionario ON funcionario.Id = pdv.Id_Vendedor
                                                where pdv.Id = '" . $_GET["id_pdv"] . "' ");
                        ?>
                        <tr>
                            <td align="left">Vend: <?php echo $data_pdv[0]["Vendedor"]; ?></td>
                        </tr>
                        <tr>
                            <td align="left"><?php echo data_exibir($data_pdv[0]["Data_Pdv"])." ".date("H:i:s"); ?></td>
                        </tr>
                        <tr>
                            <td align="left"><b>COD. <?php echo sprintf("%06d", $data_pdv[0]["Lancamento"]); ?></b></td>
                        </tr>
                        <tr>
                            <td align="left"><pre><b><?php echo $data_pdv[0]["Cliente"]; ?></b></pre></td>
                        </tr>
                    <?php if (strtolower($data_pdv[0]["Cliente"]) != 'avulso') { ?>
                            <tr>
                                <td align="left"><pre><?php echo $data_pdv[0]["Rua"] . ", " . $data_pdv[0]["Numero"]; ?></pre></td>
                            </tr>
                            <tr>
                                <td align="left"><pre><?php echo $data_pdv[0]["Bairro"] . " - " . $data_pdv[0]["Cidade"] . " - " . $data_pdv[0]["Estado"]; ?></pre></td>
                            </tr>
                            <tr>
                                <td align="left"><pre>Compl. <?php echo $data_pdv[0]["Complemento"]; ?></pre></td>
                            </tr>
                            <tr>
                                <td align="left"><pre><?php echo $data_pdv[0]["Ponto_Referencia"]; ?></pre></td>
                            </tr>
                            <tr>
                                <td align="left"><pre><b><?php echo $data_pdv[0]["Fone1"]; ?></b></pre></td>
                            </tr>
                    <?php } ?>
                </table>
            </td>
        </tr>
        <tr>
            <td height="20" colspan="2">-----------------------------------------------------------------------</td>
        </tr>
        <tr>
            <td colspan="3">
                <table class="razao">
                    <tr>
                            <td width="12%"><pre>COD</pre></td>
                            <td colspan="5"><pre>DESCRICAO</pre></td>
                        </tr>
                        <tr>
                            <td><pre>QTD</pre></td>
                            <td><pre>UNI</pre></td>
                            <td><pre>VL.UNIT</pre></td>
                            <td><pre>DESC.</pre></td>
                            <td><pre>VL.ITEM</pre></td>
                            <td>&nbsp;&nbsp;</td>
                        </tr>
                        <tr>
                            <td height="5" colspan="6"><pre>-------------------------------------------------</pre></td>
                        </tr>
                        <?php
                        $y = '1';
                        while ($chave = mysqli_fetch_assoc($pro_pdv)) {
                            ?>
                            <tr>
                                <td><pre><?php echo $chave["Codigo"]; ?></pre></td>
                                <td colspan="5"><pre><?php echo SoPalavrasEspeciais($chave["Produto"]);//substr(SoPalavrasEspeciais($chave["Produto"]), 0, 21); ?></pre></td>
                            </tr>
                            <tr>
                                <td><pre><?php echo $chave["Qtd"]; ?></pre></td>
                                <td><pre><?php echo $chave["Medida"]; ?></pre></td>
                                <td><pre><?php echo number_format($chave["Preco"], 2, ",", "."); ?></pre></td>
                                <td><pre><?php echo number_format($chave["Desconto_Real"], 2, ",", "."); ?> -- </pre></td>
                                <td align="right"><pre><?php echo "R$ ".number_format(($chave["Qtd"]*$chave["Preco"] )- $chave["Desconto_Real"], 2, ",", "."); ?></pre></td>
                                <td>&nbsp;</td>
                            </tr>
                            <?php
                            $QtdItens += $chave["Qtd"];
                            $ValTotal += ($chave["Qtd"]*$chave["Preco"] )- $chave["Desconto_Real"];
                            $y++;
                        }
                        ?>
                    <tr>
                        <td height="5" colspan="6"><pre>-------------------------------------------------</pre></td>
                    </tr>
                    <tr>
                            <td colspan="4"><pre>QTD ITENS</pre></td>
                            <td align="right"><pre><?php echo $QtdItens; ?></pre></td>
                            <td>&nbsp;</td>
                    </tr>
                    <tr>
                            <td colspan="4"><pre>VL.PEDIDO</pre></td>
                            <td align="right"><pre><?php echo "R$ ".number_format($ValTotal, 2, ",", "."); ?></pre></td>
                            <td>&nbsp;</td>
                    </tr>
                    <tr>
                        <td colspan="4"><pre>DESCONTOS</pre></td>
                            <td align="right"><pre><?php
                                    if ($data_pdv[0]["Tipo_Desconto"] == 'Real') {
                                        echo "R$ ";
                                    } else {
                                        echo "% ";
                                    }
                                    echo number_format($data_pdv[0]["Desconto_Total"], 2, ",", "."); ?></pre></td>
                            <td>&nbsp;</td>
                    </tr>
                    <tr>
                        <td colspan="4"><pre>TOTAL</pre></td>
                        <td align="right"><pre><?php echo "R$ ".number_format($data_pdv[0]["Total_Pagar"], 2, ",", "."); ?></pre></td>
                        <td>&nbsp;</td>
                    </tr>
                    <tr>
                        <td height="5" colspan="6">-----------------------------------------------------------------------</td>
                    </tr>
                    <!--
                    <tr>
                        <td colspan="4">VL.PAGO</td>
                        <td align="right">
                                <?php
                                if ($data_pdv[0]["Troco"] > '0') {
                                    echo number_format($data_pdv[0]["Valor_Pago"], 2, ",", ".");
                                } else {
                                    echo number_format($data_pdv[0]["Total_Pagar"], 2, ",", ".");
                                }
                                ?>
                        </td>
                        <td>&nbsp;</td>
                    -->
                    </tr>
                </table>
            </td>
        </tr>
        <tr>
            <td colspan="2">
            <table width="100%" class="razao">
                <tr>
                    <td><pre>FORMA DE PAGAMENTO</pre></td>
                    <td align="right"><pre>VALOR</pre></td>
                    <td>&nbsp;&nbsp;</td>
                </tr>
                        <?php
                        //buscando todos os pagamentos do PDV
                        $pdv_tp = mysqli_query($con, "Select tipo_pagamento.Titulo as Tipo_Pagamento,
                                Pix,
                                IF( pdv_tipo_pagamento.Troco > '0',
                                    pdv_tipo_pagamento.Valor_Pago - pdv_tipo_pagamento.Troco,
                                    pdv_tipo_pagamento.Valor_Pago
                                ) as Valor_Pago
                                FROM pdv_tipo_pagamento
                                LEFT JOIN (SELECT Id,Titulo,Pix FROM tipo_pagamento) as tipo_pagamento ON tipo_pagamento.Id = pdv_tipo_pagamento.Id_Tipo_Pagamento
                                WHERE Id_Pdv='" . $_GET["id_pdv"] . "' 
                                ORDER BY pdv_tipo_pagamento.Data_Cadastro");

                        //WHILE PAGAMENTOS PDV
                        while ($pg_pdv = mysqli_fetch_assoc($pdv_tp)) {
                            if($pg_pdv["Pix"]=='Sim'){
                                $pix_valor+= $pg_pdv["Valor_Pago"];
                                $pix_descr= $pg_pdv["Tipo_Pagamento"];
                            }
                        ?>
                    <tr>
                        <td align="left" class="razao"><pre><?php echo $pg_pdv["Tipo_Pagamento"] ?></pre></td>
                        <td align="right" class="razao"><pre><?php echo "R$ ".number_format($pg_pdv["Valor_Pago"], 2, ",", "."); ?></pre></td>
                        <td>&nbsp;&nbsp;</td>
                    </tr>
                <?php } ?>
                <tr>
                    <td><pre>TOTAL PAGO</pre></td>
                    <td align="right"><pre><?php echo "R$ ".number_format($data_pdv[0]["Valor_Pago"], 2, ",", "."); ?></pre></td>
                    <td>&nbsp;&nbsp;</td>
                </tr>
                <tr>
                    <td><pre>TROCO</pre></td>
                    <td align="right"><pre><?php echo "R$ ".number_format($data_pdv[0]["Troco"], 2, ",", "."); ?></pre></td>
                    <td>&nbsp;&nbsp;</td>
                </tr>
            </table>
            </td>
        </tr>
        <tr>
            <td height="30" colspan="2">-----------------------------------------------------------------------</td>
        </tr>
        <tr>
            <td colspan="2" align="left" class="razao">
            <pre><?php
                        if ($data_pdv[0]["Obs"] != '') {
                            echo substr('OBS: ' . SoPalavrasEspeciais($data_pdv[0]["Obs"]), 0, 50);
                            echo "<br/>";
                            echo substr(SoPalavrasEspeciais($data_pdv[0]["Obs"]), 48, 100);
                        }
                        if (CLIENTE_EMAIL == 'unigames') {
                            echo "<br>";
                            echo "Obrigado por ter nos escolhido.<br>";
                            echo "7 dias para troca de produtos.<br>";
                            echo "S trocamos jogos pelo mesmo ttulo.<br>";
                            echo "No trocamos jogos arranhados.<br>";
                        }
                        if (CLIENTE_EMAIL == 'estilofeminino') {
                            echo "<br>";
                            echo "10 DIAS PARA TROCA,<br>";
                            echo "COM APRESENTAAO DO CUPOM.";
                        }
                        ?>
            <br>-------------------------------------------------</pre>
                </td>
            </tr>
            <tr>
                <td colspan="2" align="left" class="razao">
                    <pre>Documento Sem valor Fiscal.<br>
                    </pre></td>
            </tr>
            <?php if(!empty($pix_descr)){ ?>
            <tr>
                <td colspan="2"><br>-------------------------------------------------<br></td>
            </tr>
            <tr>
                <td colspan="3">
                    <pre>COD: <b><?php echo sprintf("%06d", $data_pdv[0]["Lancamento"])." - ".data_exibir($data_pdv[0]["Data_Pdv"])." ".date("H:i:s"); ?></b><br></pre>
                    <pre>Cliente: <b><?php echo $data_pdv[0]["Cliente"]; ?></b><br></pre>
                    <pre>Total: <?php echo "R$ ".number_format($data_pdv[0]["Total_Pagar"], 2, ",", "."); ?><br></pre>
                    <pre>Pgto: <?php echo $pix_descr; ?><br></pre>
                    <pre>Valor: <b><?php echo "R$ ".number_format($pix_valor, 2, ",", "."); ?></b><br></pre>
                </td>
            </tr>
            <?php } ?>
        </table>

        <br>
    </body>
</html>
<?php
/*
  $pagina = ob_get_contents();
  ob_end_clean();
  echo utf8_encode($pagina);
 */
?>