<?php
include_once '../include/conecta.php'; //Conecta com a nosso banco de dados MySQL
//ini_set('session.gc_maxlifetime', 60*120); session_start();
include_once '../include/ver_sessao.php'; //Verifica se a sesso est ativa
include_once 'funcoesPhp.php'; //Inclue a pgina con todas as funes a ser usada.

$usuario = listar("SELECT pdv.Id,
                        pdv.Lancamento,
                        pdv.Status,
                        pdv.Data_Pdv,
                        pdv.Total_Pagar,
                        pdv.Valor_Pago,
                        pdv.Desconto_Total,
                        pdv.Obs,
                        pdv.Id_Cliente,
                        pdv.Troco,
                        pdv.Data_Cadastro_Upd,
                        cliente.Titulo as 'Cliente',
                        cliente.Email,
                        cliente.Natureza,
                        cliente.Cpf_Cnpj,
                        cliente.Endereco,
                        cliente.Cep,
                        cliente.Bairro,
                        cliente.Cidade,
                        cliente.Estado,
                        cliente.Fone1,
                        cliente.Obs as 'Obs_Cliente',
                        funcionario.Titulo as 'Funcionario',
                        vendedor.Titulo as Vendedor,
                        pdv_voucher_devolucao.Numero_Voucher
                        FROM pdv
                        INNER JOIN pdv_voucher_devolucao ON pdv_voucher_devolucao.Id_Pdv = pdv.Id
                        LEFT JOIN cliente ON cliente.Id = pdv.Id_Cliente
                        LEFT JOIN funcionario ON funcionario.Id = pdv.Id_Funcionario
                        LEFT JOIN (SELECT Id,Titulo FROM funcionario) as vendedor ON vendedor.Id = pdv.Id_Vendedor
                        WHERE pdv.Id = '" . $_GET["idPdv"] . "'
                        order by pdv.Lancamento DESC");
?>
<html>

<head>
    <title>PDV - <?php echo $usuario[0]['Lancamento'] ?></title>
    <link rel="stylesheet" type="text/css" href="../estilo/<?php echo SKIN; ?>/tabela_imp.css" />
    <script type="text/javascript" language="javascript" src="../js/jquery.js"></script>
    <?php include '../include/script_cabeca.php'; ?>
    <script type="text/javascript" language="javascript" src="../js/script.js"></script>
    <script type="text/javascript" language="javascript">
        window.onload = function() {
            window.print();
        };
    </script>
    <style type="text/css">
        .razao {
            font-size: 12px;
        }
    </style>
</head>

<body>

    <table width="100%">
        <?php
        if (!$_GET["Id_Unidade_Usuario"]) {
            $_GET["Id_Unidade_Usuario"] = $_SESSION["Unidade"];
        }
        $empresa = listar("Select * from unidade where Id = '" . $_GET["Id_Unidade_Usuario"] . "' ");
        ?>
        <tr>
            <td align="right">
                <table width="100%">
                    <tr>
                        <td width="40%">
                            <?php
                            if (file_exists("../unidade/foto/" . $empresa[0]["Logo"] . "")) {
                                $cam_arq = "../unidade/foto/" . $empresa[0]["Logo"];
                            } else {
                                $cam_arq = "../../unidade/foto/" . $empresa[0]["Logo"];
                            }
                            ?>
                            <img src="<?php echo $cam_arq; ?>" title="Logo" alt="Logo" border="0" width="140px" height="auto" />
                        </td>
                        <td width="50%" class="razao" align="left">
                            <?php echo strtoupper($empresa[0]["Titulo"]); ?><br>
                            <?php echo $empresa[0]["Rua"] . ", " . $empresa[0]["Numero"]; ?><br>
                            <?php echo $empresa[0]["Cidade"] . ", " . $empresa[0]["Estado"] . " - " . $empresa[0]["Cep"]; ?><br>
                            Fone: <?php echo $empresa[0]["Fone1"]; ?><br>
                            <?php
                            if ($empresa[0]["Fone2"]) {
                                echo "Fax: " . $empresa[0]["Fone2"];
                            }
                            ?>
                        </td>
                    </tr>

                </table>
            </td>
        </tr>
        <tr>
            <td align="center" style="background-color:#000000;">
                <font color="#FFFFFF" size="5">
                    Devoluo
                </font>
            </td>
        </tr>

        <tr>
            <td align="">
                <table width="100%" class="razao">
                    <tr>
                        <td align="left"><b>N Pedido</b></td>
                        <td aling="rigth"><?php echo ($usuario[0]["Lancamento"]) ?></td>
                    </tr>
                    <tr>
                        <td aling="left"><b>Data Devoluo</b></td>
                        <td aling="rigth"><?php echo data_exibir($usuario[0]["Data_Pdv"]) ?></td>
                    </tr>
                </table>
            </td>
        </tr>
        <tr>
            <td align="">
                <table width="100%" class="razao">
                    <tr>
                        <td colspan="3" align="center" style="background-color:#000000;">
                            <font color="#FFFFFF">
                                Identificao do Cliente
                            </font>
                        </td>
                    </tr>
                    <tr>
                        <td><b>Cliente:</b> <?php
                                            if ($usuario[0]["Cliente"] == "") {
                                                $usuario[0]["Cliente"] = "Avulso";
                                            }
                                            echo ($usuario[0]["Cliente"]);
                                            ?></td>
                    </tr>
                    <tr>
                        <td><b>Fone:</b> <?php echo ($usuario[0]["Fone1"]); ?></td>
                    </tr>
                    <tr>
                        <td><b>End.:</b> <?php echo $usuario[0]["Endereco"] . ', ' . $usuario[0]["Cidade"] . ' - ' . $usuario[0]["Estado"] ?></td>
                    </tr>
                    <!-- <tr>
                        <td><b>Vendedor:</b> <?php echo ($usuario[0]["Vendedor"]); ?></td>
                        <td align="left">&nbsp;</td>
                    </tr> -->
                </table>
            </td>
        </tr>
        <tr>
            <td>
                <table width="100%" class="razao">
                    <tr>
                        <td colspan="8" width="100%" align="left" style="background-color:#000000;">
                            <font color="#FFFFFF">
                                Produtos
                            </font>
                        </td>
                    </tr>

                    <tr>
                        <td align="right" width="8%"><b>Cdigo</b></td>
                        <td colspan="4" align="center" width="68%"><b>Produto</b></td>
                    </tr>
                    <tr>
                        <td align="center"><b>Qtd</b></td>
                        <td align="center"><b>Med</b></td>
                        <td align="center"><b>Preo</b></td>
                        <td align="center"><b>Desc %</b></td>
                        <td align="center"><b>Desc R$</b></td>
                        <td align="center"><b>Total</b></td>
                    </tr>
                    <?php
                    $venda_pro = mysqli_query($con, "SELECT DISTINCT pdv_produto.Id,
                                        pdv_produto.Preco,
                                        pdv_produto.Qtd,
                                        pdv_produto.Desconto,
                                        pdv_produto.Desconto_Real,
                                        pdv.Id_Tipo_Pagamento,
                                        pagamento.Titulo as 'Pagamento',
                                        produto.Titulo as 'Produto',
                                        produto.Descricao,
                                        produto.Codigo,
                                        produto.Medida,
                                        produto.Codigo_Barras,
                                        produto.Gtin
                                        from pdv_produto
                                        left join (SELECT Id,Titulo,Codigo,Descricao,Medida,Codigo_Barras,Gtin FROM produto) as produto ON produto.Id = pdv_produto.Id_Produto
                                        LEFT JOIN (SELECT Id,Id_Tipo_Pagamento FROM pdv) as pdv ON pdv.Id = pdv_produto.Id_Pdv
                                        LEFT JOIN (SELECT Id,Titulo FROM tipo_pagamento) as pagamento ON pagamento.Id = pdv.Id_Tipo_Pagamento
                                        where pdv_produto.Id_Pdv = '" . $_GET["idPdv"] . "'
                                        AND Cancelado <> 'Sim' ");

                    $x = 0;
                    while ($chave = mysqli_fetch_assoc($venda_pro)) {

                        $ValorReal = ($chave["Preco"] * $chave["Qtd"] * $chave["Desconto"]) / 100;
                    ?>

                        <tr>
                            <td>
                                <?php echo $chave["Codigo"]; ?>
                            </td>
                            <td colspan="4"><?php echo $chave["Produto"]; ?></td>
                        </tr>
                        <tr>
                            <td align="center"><?php echo (-1 * $chave["Qtd"]); ?></td>
                            <td align="center"><?php echo $chave["Medida"]; ?></td>
                            <td align="center"><?php echo number_format($chave["Preco"], 2, ',', '.'); ?></td>
                            <td align="center"><?php echo number_format($chave["Desconto"], 2, ',', '.'); ?></td>
                            <td align="center"><?php echo number_format($chave["Desconto_Real"], 2, ',', '.'); ?></td>
                            <td align="center">
                                <?php echo number_format(-1 * ($chave["Qtd"] * ($chave["Preco"])) - ($chave["Desconto_Real"]) - $ValorReal, 2, ",", "."); ?>
                            </td>
                        </tr>
                    <?php
                        $x++;
                        $Qtd_Venda += $chave["Qtd"];
                        $Preco_Venda += $chave["Preco"] * $chave["Qtd"];
                        $Desconto_Real += $chave["Desconto_Real"] + $ValorReal;
                        // $Total += $Preco_Venda + $Desconto_Real;
                    }
                    ?>
                    <tr>
                        <td colspan="8" width="100%" align="left" style="background-color:#000000;">
                            <font color="#FFFFFF">
                                Totais Devoluo
                            </font>
                        </td>
                    </tr>

                    <tr>
                        <td colspan="5">Volumes:</td>
                        <td align="right"><?php echo (-1 * $Qtd_Venda); ?></td>
                    </tr>
                    <tr>
                        <td colspan="5">Sub Total:</td>
                        <td align="right"><?php echo number_format(-1 * $Preco_Venda, 2, ',', '.'); ?></td>
                    </tr>
                    <tr>
                        <td colspan="5">Desconto:</td>
                        <td align="right"><?php echo number_format($Desconto_Real + $usuario[0]['Desconto_Total'], 2, ',', '.'); ?></td>
                    </tr>
                    <tr>
                        <td colspan="5"><b>Total Devoluo (R$):</b></td>
                        <td align="right"><b><?php echo number_format(-1 * $Preco_Venda - $Desconto_Real - $usuario[0]['Desconto_Total'], 2, ',', '.'); ?></b></td>
                    </tr>
                    <tr>
                        <td>&nbsp;</td>
                    </tr>
                    <tr>
                        <td colspan="6" align="center" style="background-color:#000000;">
                            <font color="#FFFFFF">
                                VISTO CAIXA
                            </font>
                        </td>
                    </tr>

                    <tr>
                        <td colspan="6" align="center"><br><?php echo strtoupper($empresa[0]["Titulo"]); ?><br>
                            <?php echo $empresa[0]["Rua"] . ", " . $empresa[0]["Numero"]; ?><br>
                            <?php echo $empresa[0]["Cidade"] . ", " . $empresa[0]["Estado"] . " - " . $empresa[0]["Cep"]; ?><br>
                            Fone: <?php echo $empresa[0]["Fone1"]; ?><br>
                        </td>
                    </tr>
                    <tr>
                        <td colspan="6" width="100%" align="left">
                            <br><br> __________________________________________________
                        </td>
                    </tr>
                    <tr>
                        <td colspan="6" align="center" style="background-color:#000000;">
                            <font color="#FFFFFF">
                                N Voucher: <?= $usuario[0]["Numero_Voucher"] ?>
                            </font>
                        </td>
                    </tr>
                    <tr>
                        <td colspan="2" align="left"><b>N Pedido:</b></td>
                        <td aling="rigth"><?php echo ($usuario[0]["Lancamento"]) ?></td>
                        <td aling="left"><b>Data:</b></td>
                        <td aling="rigth"><?php echo data_exibir($usuario[0]["Data_Pdv"]) ?></td>
                    </tr>
                    <tr>
                        <td colspan="3" aling="left"><b>Prazo Cupom:</b></td>
                        <td colspan="3" aling="rigth"><?php echo $_GET["prazoCupom"] ?> Dias Corridos</td>
                    </tr>
                    <tr>
                        <?php
                        $datetime = DateTime::createFromFormat('d/m/Y', data_exibir($usuario[0]["Data_Pdv"]));
                        $datetime->modify('+' . $_GET["prazoCupom"] . ' days');
                        ?>
                        <td colspan="3" aling="left"><b>Prazo Limite Cupom:</b></td>
                        <td colspan="3" aling="rigth"> <?php echo $datetime->format('d/m/Y'); ?></td>
                    </tr>
                    <tr>
                        <td colspan="6"><br><b>Cliente:</b> <?php echo ($usuario[0]["Cliente"]); ?></td>
                    </tr>
                    <tr>
                        <td colspan="6" width="100%" align="left">
                            <br><br> __________________________________________________
                        </td>
                    </tr>
                    <tr>
                        <td colspan="6" align="center">Assinatura Caixa</td>
                    </tr>
                    <tr>
                        <td colspan="3">Valor de Crdito:</td>
                        <td colspan="3" align="right"><b><?php echo number_format(-1 * $Preco_Venda - $Desconto_Real - $usuario[0]['Desconto_Total'], 2, ',', '.'); ?></b></td>

                    </tr>
                    <tr>
                        <td>&nbsp;</td>
                    </tr>
                    <tr>
                        <td>&nbsp;</td>
                    </tr>
                    <tr>
                        <td colspan="6" align="center" class="razao">
                            <b> <?php if ($usuario[0]["Obs"] != '') echo 'Obs: ' . $usuario[0]["Obs"] ?></b>
                        </td>
                    </tr>
            </td>
        </tr>
    </table>
    </td>
    </tr>
    </table>

</body>

</html>