<?php

include_once '../include/conecta.php'; //Conecta com a nosso banco de dados MySQL
ini_set('session.gc_maxlifetime', 60 * 120);
session_start();
//include_once '../include/ver_sessao.php'; //Verifica se a sesso est ativa
include_once '../include/funcoesPhp.php';
include_once '../menu_movimento.php';

    if($_COOKIE["Id_Cfop"]=='' || $_COOKIE["Id_Cfop"]==0){
        $id_cfop = mysqli_query($con,"SELECT Id_Cfop,Vender_Estoque_Negativo FROM opcao ");
        $id_cfop = mysqli_fetch_assoc($id_cfop);
        
        $_COOKIE["Id_Cfop"] = $id_cfop["Id_Cfop"];
    }
    
//Atualizando o C_Produto dos itens
$conta = mysqli_query($con,"SELECT pdv_produto.Id,
                        produto.Descricao
                        FROM (SELECT Id,Id_Pdv,Id_Produto,Data_Cadastro FROM pdv_produto) as pdv_produto
                        INNER JOIN (SELECT Id,Descricao FROM produto) as produto ON produto.Id = pdv_produto.Id_Produto
                        WHERE pdv_produto.Id_Pdv = '" . $_GET["id_pdv"] . "'
                        ORDER BY pdv_produto.Data_Cadastro ");

while ($linha = mysqli_fetch_assoc($conta)) {
    mysqli_query($con,"UPDATE pdv_produto SET C_Produto='" . $linha["Descricao"] . "' WHERE Id='" . $linha["Id"] . "' ");
}

//deletando o registro da NFe se no tiver sido emitido.
if (CLIENTE_RAZAO_SOCIAL == 'Sim') {
    $nome = 'Razao_Social';
} else {
    $nome = 'Titulo';
}
$veri_venda = mysqli_query($con,"SELECT pdv.Id,pdv.Lancamento,pdv.Protocolo,pdv.Id_Unidade,pdv.Total_Pagar,
                            cliente.Destinatario,cfop.Cfop
                            FROM (SELECT Id,Lancamento,Protocolo,Id_Unidade,Id_Cliente,Id_Cfop,Total_Pagar FROM pdv) as pdv
                            LEFT JOIN (SELECT Id, " . $nome . " as Destinatario FROM cliente) as cliente ON cliente.Id = pdv.Id_Cliente
                            LEFT JOIN (SELECT Id,Cfop FROM cfop) as cfop ON cfop.Id = pdv.Id_Cfop
                            WHERE pdv.Id = '" . $_GET["id_pdv"] . "' ");
$veri_venda = mysqli_fetch_assoc($veri_venda);

//so entra se a nota nunca tiver side emitida
if ($veri_venda["Protocolo"] == '') {

    //pegando o  numero da nota se ja houver
    $veri_nfe = mysqli_query($con,"SELECT Id, Numero_Nota, Serie FROM nfe WHERE Id_Pedido = '" . $_GET["id_pdv"] . "' ");
    $veri_nfe = mysqli_fetch_assoc($veri_nfe);

    //verificando se ja tem numero de nota pra esta venda
    if ($veri_nfe["Numero_Nota"] != '') {
        $Numero_Nota = $veri_nfe["Numero_Nota"];
        $Serie = $veri_nfe["Serie"];
    } else {

        $ultimoNumero = mysqli_query($con,"Select Numero_Nfce, Serie_Nfce, Tipo_Impressao from unidade WHERE Id = '" . $veri_venda["Id_Unidade"] . "' ");
        $ultimoNumero = mysqli_fetch_assoc($ultimoNumero);

        $Serie = $ultimoNumero["Serie_Nfce"];

        if (!$ultimoNumero["Numero_Nfce"]) {
            $Numero_Nota = 1;
        } else {
            $Numero_Nota = $ultimoNumero["Numero_Nfce"] + 1;
        }

        //atualizando o cadastro
        mysqli_query($con,"UPDATE unidade SET Numero_Nfce = '" . $Numero_Nota . "' WHERE Id = '" . $veri_venda["Id_Unidade"] . "' ");
    } //FIM verificando se ja tem numero de nota pra esta venda
    //deletando pra gerar uma nfe com novos dados
    mysqli_query($con,"DELETE FROM nfe WHERE Id_Pedido = '" . $_GET["id_pdv"] . "' ");
    mysqli_query($con,"DELETE FROM nfe_pedido WHERE Id = '" . $_GET["id_pdv"] . "' ");
    mysqli_query($con,"DELETE FROM nfe_pedido_produto WHERE Id_Pedido = '" . $_GET["id_pdv"] . "' ");


    $id_nfe = md5($_GET["id_pdv"] . microtime());

    //gerando o cabecalho da NFCe
    mysqli_query($con,"INSERT INTO nfe ( Id,
                                    Serie,
                                    Numero_Nota,
                                    Natureza,
                                    Tipo,
                                    Data_Nfe,
                                    Hora_Nfe,
                                    Forma_Emissao,
                                    Finalidade_Emissao,
                                    Tipo_Impressao,
                                    Status,
                                    Id_Pedido,
                                    Lancamento,
                                    Info_Fisco,
                                    Info_Contribuinte,
                                    Frete,
                                    Id_Transportadora,
                                    Ref_Nfe,
                                    Horario_Verao,
                                    Exibir_Financeiro,
                                    Operacao,
                                    Consumidor_Final,
                                    Presenca,
                                    Natureza_Autorizacao,
                                    Cpf_Cnpj,
                                    Id_Unidade,
                                    modECF,
                                    nECF,
                                    nCOO,
                                    Valor_Nfe,
                                    Destinatario,
                                    Cfop,
                                    Tipo_Nfe,
                                    Base_Icms_Pis_Cofins,
                                    " . $padraoCampos . ")
                                   values('" . $id_nfe . "',
                                    '" . $Serie . "',
                                    '" . $Numero_Nota . "',
                                    '',
                                    '1',
                                    '" . date("Y-m-d") . "',
                                    '" . date("H:i") . "',
                                    '1',
                                    '1',
                                    '4',
                                    'Ativa',
                                    '" . $veri_venda["Id"] . "',
                                    '" . $veri_venda["Lancamento"] . "',
                                    '',
                                    '',
                                    '',
                                    '',
                                    '',
                                    'No',
                                    'No',
                                    '1',
                                    '1',
                                    '1',
                                    '',
                                    '',
                                    '" . $veri_venda["Id_Unidade"] . "',
                                    '',
                                    '',
                                    '',
                                    '" . $veri_venda['Total_Pagar'] . "',
                                    '" . $veri_venda['Destinatario'] . "',
                                    '" . $veri_venda['Cfop'] . "',
                                    'NFCe',
                                    '".BASE_ICMS_PIS_COFINS."',
                                    " . $padraoPost . ")");

    mysqli_query($con,"UPDATE pdv SET NF = 'Sim', Id_Cfop = '".$_COOKIE["Id_Cfop"]."' WHERE Id = '" . $_GET["id_pdv"] . "' ");

    /* inserindo agora os produtos relacionados */
    $delete = mysqli_query($con,"Select pdv.Id,
                                pdv.Id_Usuario,
                                pdv.Id_Usuario_Upd,
                                pdv.Data_Cadastro,
                                pdv.Data_Cadastro_Upd,
                                pdv.Data_Pdv,
                                pdv.Data_Pdv as Data_Conclusao,
                                pdv.Id_Funcionario,
                                pdv.Id_Cliente,
                                pdv.Id_Tipo_Pagamento,
                                pdv.Status,
                                pdv.Data_Pdv as Data_Pagamento,
                                pdv.Total_Pagar as Valor_Original,
                                pdv.Total_Pagar as Valor_Pago,
                                pdv.Lancamento,
                                pdv.Id_Unidade,
                                pdv.Id_Cfop,
                                pdv.Desconto_Total,
                                pdv.Tipo_Desconto,
                            pdv.Id_Vendedor,
                            pdv.Id_Vendedor2,
                            pdv.Obs_Danfe as Obs
                               from pdv
                               where pdv.Id = '" . $_GET["id_pdv"] . "' ")
            or die("Erro no SQL: " . mysqli_error($con));

    while ($chave = mysqli_fetch_assoc($delete)) {

        if($chave["Tipo_Desconto"]=="Perc"){
            $chave["Desconto"] = $chave["Desconto_Total"];
        }else{
            $chave["Desconto_Real"] = $chave["Desconto_Total"];
        }
        
        if($chave['Numero_Pedido']){
            $chave["Obs"] = $chave["Obs"].'<br> N Ped: '.$chave['Lancamento'];
        }
        if (VENDEDOR_NFE == 'Sim') {
        if($chave['Id_Vendedor']){
            $vend1 = mysqli_query($con,"Select Titulo from funcionario where Id='".$chave['Id_Vendedor']."' ");
            $vend1 = mysqli_fetch_assoc($vend1);
            $chave["Obs"] = $chave["Obs"].'<br> Vend: '.$vend1['Titulo'];
        }
        if($chave['Id_Vendedor2']){
            $vend2 = mysqli_query($con,"Select Titulo from funcionario where Id='".$chave['Id_Vendedor2']."' ");
            $vend2 = mysqli_fetch_assoc($vend2);
            $chave["Obs"] = $chave["Obs"].'<br> Vend2: '.$vend2['Titulo'];
        }
    }
        
        mysqli_query($con,"INSERT INTO nfe_pedido (Id,
                            Id_Usuario,
                            Id_Usuario_Upd,
                            Data_Cadastro,
                            Data_Cadastro_Upd,
                            Data_Pedido,
                            Data_Conclusao,
                            Id_Funcionario,
                            Id_Cliente,
                            Id_Tipo_Pagamento,
                            Status,
                            Data_Pagamento,
                            Valor_Original,
                            Valor_Pago,
                            Lancamento,
                            Id_Unidade,
                            Id_Cfop,
                            Desconto,
                            Desconto_Real,
                            Id_Nfe,
                            Id_Transportadora,
                            Valor_Frete,
                            Frete,
                            Tipo_Frete,
                            Despesa,
                            Qtd_Vol,
                            Especie_Vol,
                            Marca_Vol,
                            Numero_Vol,
                            Tipo,
                            Obs,
                            Endereco_Entrega,
                            Rua,
                            Num,
                            Complemento,
                            Bairro,
                            Id_Cidade,
                            Estado,
                            Peso_Bruto,
                            Peso_Liquido,
                            Placa,
                            Uf_Placa,
                            UFSaidaPais,
                            xLocEmbarq,
                            xLocDespacho)
                           values('" . $chave["Id"] . "',
                            '" . $chave["Id_Usuario"] . "',
                            '" . $chave["Id_Usuario_Upd"] . "',
                            '" . $chave["Data_Cadastro"] . "',
                            '" . $chave["Data_Cadastro_Upd"] . "',
                            '" . $chave["Data_Pdv"] . "',
                            '" . $chave["Data_Conclusao"] . "',
                            '" . $chave["Id_Funcionario"] . "',
                            '" . $chave["Id_Cliente"] . "',
                            '" . $chave["Id_Tipo_Pagamento"] . "',
                            '" . $chave["Status"] . "',
                            '" . $chave["Data_Pagamento"] . "',
                            '" . $chave["Valor_Original"] . "',
                            '" . $chave["Valor_Pago"] . "',
                            '" . $chave["Lancamento"] . "',
                            '" . $chave["Id_Unidade"] . "',
                            '" . $chave["Id_Cfop"] . "',
                            '" . $chave["Desconto"] . "',
                            '" . $chave["Desconto_Real"] . "',
                            '" . $id_nfe . "',
                            '" . $chave["Id_Transportadora"] . "',
                            '" . $chave["Valor_Frete"] . "',
                            '" . $chave["Frete"] . "',
                            '" . $chave["Tipo_Frete"] . "',
                            '" . $chave["Despesa"] . "',
                            '" . $chave["Qtd_Vol"] . "',
                            '" . $chave["Especie_Vol"] . "',
                            '" . $chave["Marca_Vol"] . "',
                            '" . $chave["Numero_Vol"] . "',
                            'Pdv',
                            '" . $chave["Obs"] . "',
                            '" . $chave["Endereco_Entrega"] . "',
                            '" . $chave["Rua"] . "',
                            '" . $chave["Num"] . "',
                            '" . $chave["Complemento"] . "',
                            '" . $chave["Bairro"] . "',
                            '" . $chave["Id_Cidade"] . "',
                            '" . $chave["Estado"] . "',
                            '" . $chave["Peso_Bruto"] . "',
                            '" . $chave["Peso_Liquido"] . "',
                            '" . $chave["Placa"] . "',
                            '" . $chave["Uf_Placa"] . "',
                            '" . $chave["UFSaidaPais"] . "',
                            '" . $chave["xLocEmbarq"] . "',
                            '" . $chave["xLocDespacho"] . "')")
                or die("Erro no comando SQL:" . mysqli_error($con));
    }

    /* inserindo agora os produtos relacionados */
    $delete = mysqli_query($con,"Select pdv_produto.Id,
                            pdv_produto.Id_Pdv,
                            pdv_produto.Id_Produto,
                            pdv_produto.Preco,
                            pdv_produto.Qtd,
                            pdv_produto.Preco_Custo,
                            pdv_produto.Ipi,
                            pdv_produto.Icms,
                            pdv_produto.Icms_Sub,
                            pdv_produto.Mva,
                            pdv_produto.Reducao,
                            pdv_produto.Id_Unidade,
                            pdv_produto.Id_Cfop,
                            pdv_produto.ST_Icms,
                            pdv_produto.Id_Unidade,
                            pdv_produto.Data_Cadastro,
                            pdv_produto.Ibpt,
                            pdv_produto.C_Produto,
                            pdv_produto.Aliquota_Pis,
                            pdv_produto.Aliquota_Cofins,
                            pdv_produto.CST_Pis,
                            pdv_produto.CST_Cofins,
                            pdv_produto.Desconto,
                            pdv_produto.Desconto_Real,
                            pdv_produto.Desconto_Real_Pe_Nota,
                            pdv_produto.motDesICMS,
                            pdv_produto.CST_Ipi,
                            produto.cProdANP,
                                    produto.descANP,
                                    produto.UFCons,
                                    produto.vPart,
                                    produto.pGLP,
                                    produto.pGNn,
                                    produto.pGNi,
                                    produto.qTemp
                            from pdv_produto
                            left join (SELECT Id, Tipo_Produto,cProdANP,
                                    descANP,UFCons,vPart,pGLP,pGNn,pGNi,qTemp FROM produto) as produto ON produto.Id = pdv_produto.Id_Produto
                            where pdv_produto.Id_Pdv = '" . $_GET["id_pdv"] . "'
                            AND produto.Tipo_Produto = 'P'
                            AND pdv_produto.Id_Unidade <> 'KIT'
                            AND pdv_produto.Cancelado <> 'Sim'
                            ORDER BY pdv_produto.Data_Cadastro ");

    while ($linha = mysqli_fetch_assoc($delete)) {

        mysqli_query($con,"INSERT INTO nfe_pedido_produto (Id,
                            Data_Cadastro,
                            Id_Pedido,
                            Id_Produto,
                            Preco,
                            Qtd,
                            Desconto,
                            Desconto_Real,
                            Preco_Custo,
                            Frete,
                            Despesa,
                            Icms,
                            Icms_Sub,
                            Mva,
                            Reducao,
                            Ipi,
                            CST_Ipi,
                            Id_Nfe,
                            Id_Cfop,
                            ST_Icms,
                            vBCSTRet,
                            vICMSSTRet,
                            vICMSDeson,
                            motDesICMS,
                            Id_Unidade,
                            Desconto_Real_Pe_Nota,
                            Ibpt,
                            C_Produto,
                            Lote,
                            Data_Validade,
                            Aliquota_Pis,
                            Aliquota_Cofins,
                            CST_Pis,
                            CST_Cofins,
                            xPed,
                            nItemPed,
                                        cProdANP,
                                        descANP,
                                        UFCons,
                                        vPart,
                                        pGLP,
                                        pGNn,
                                        pGNi,
                                        qTemp)
                           values('" . $linha["Id"] . "',
                            '" . $linha["Data_Cadastro"] . "',
                            '" . $linha["Id_Pdv"] . "',
                            '" . $linha["Id_Produto"] . "',
                            '" . $linha["Preco"] . "',
                            '" . $linha["Qtd"] . "',
                            '" . $linha["Desconto"] . "',
                            '" . $linha["Desconto_Real"] . "',
                            '" . $linha["Preco_Custo"] . "',
                            '" . $linha["Frete"] . "',
                            '" . $linha["Despesa"] . "',
                            '" . $linha["Icms"] . "',
                            '" . $linha["Icms_Sub"] . "',
                            '" . $linha["Mva"] . "',
                            '" . $linha["Reducao"] . "',
                            '" . $linha["Ipi"] . "',
                            '" . $linha["CST_Ipi"] . "',
                            '" . $id_nfe . "',
                            '" . $linha["Id_Cfop"] . "',
                            '" . $linha["ST_Icms"] . "',
                            '" . $linha["vBCSTRet"] . "',
                            '" . $linha["vICMSSTRet"] . "',
                            '" . $linha["vICMSDeson"] . "',
                            '" . $linha["motDesICMS"] . "',
                            '" . $linha["Id_Unidade"] . "',
                            '" . $linha["Desconto_Real_Pe_Nota"] . "',
                            '" . $linha["Ibpt"] . "',
                            '" . $linha["C_Produto"] . "',
                            '" . $linha["Lote"] . "',
                            '" . $linha["Data_Validade"] . "',
                            '" . $linha["Aliquota_Pis"] . "',
                            '" . $linha["Aliquota_Cofins"] . "',
                            '" . $linha["CST_Pis"] . "',
                            '" . $linha["CST_Cofins"] . "',
                            '" . $linha["xPed"] . "',
                            '" . $linha["nItemPed"] . "',
                                        '".$linha["cProdANP"]."',
                                        '".$linha["descANP"]."',
                                        '".$linha["UFCons"]."',
                                        '".$linha["vPart"]."',
                                        '".$linha["pGLP"]."',
                                        '".$linha["pGNn"]."',
                                        '".$linha["pGNi"]."',
                                        '".$linha["qTemp"]."')")
                or die("Erro no comando SQL:" . mysqli_error($con));
    }

    mysqli_query($con,"UPDATE nfe_pedido SET Endereco_Entrega='No' WHERE Endereco_Entrega='' AND Id_Nfe='".$id_nfe."' ");
    
    echo "<script>window.open('../nfce/gerar_xml_nfce.php?id_nfe=".$id_nfe."', 'Emitir', 'width=600,height=800,top=0,left=0,scrollbars=yes');</script>";
    logUsuario($_SERVER['REMOTE_ADDR'], $_SESSION['Login'], $_SESSION['Email'], $_SESSION['Unidade'], "NFCe", "Cadastro", $Numero_Nota);
} else {

##reimprimindo a NFCe
    $veri_nfe = mysqli_query($con,"SELECT Id FROM nfe WHERE Id_Pedido = '" . $_GET["id_pdv"] . "' ");
    $veri_nfe = mysqli_fetch_assoc($veri_nfe);

    echo "<script>window.open('../nfce/reimprimir_nfce.php?id_nfe=" . $veri_nfe["Id"] . "', 'Reimprimir', 'width=600,height=800,top=0,left=0,scrollbars=yes');</script>";
} //fim da verificacao de protocolo
//echo "<script>location.href = 'list_pdv.php?acao=entrar'</script>";
?>