<?php
include_once '../include/conecta.php'; //Conecta com a nosso banco de dados MySQL
//ini_set('session.gc_maxlifetime', 60*120); session_start();
/*include_once '../include/ver_sessao.php'; //Verifica se a sesso est ativa*/
include_once 'funcoesPhp.php'; //Inclue a pgina con todas as funes a ser usada.

$pro_pdv = mysqli_query($con, "SELECT DISTINCT pdv_produto.Id,
                            pdv_produto.Id_Produto,
                            pdv_produto.Preco,
                            pdv_produto.Qtd,
                            pdv_produto.Desconto,
                            pdv_produto.Desconto_Real,
                            pdv_produto.Data_Cadastro,
                            pdv_produto.Preco_Tabela,
                            produto.Codigo,
                            produto.Titulo as 'Produto',
                            produto.Medida,
                            funcionario.Titulo as Vendedor
                            FROM pdv_produto
                            LEFT JOIN (SELECT Id,Titulo,Codigo,Medida FROM produto) as produto ON produto.Id = pdv_produto.Id_Produto
                            LEFT JOIN (SELECT Id,Titulo FROM funcionario) as funcionario ON funcionario.Id = pdv_produto.Id_Funcionario
                            WHERE pdv_produto.Id_Pdv='" . $_POST["Id_Pdv"] . "'
                            AND Cancelado = 'No'
                            AND pdv_produto.Id_Pdv<>''
                            ORDER BY pdv_produto.Data_Cadastro");

ob_start();
?>
<html>

<head>
    <title>Gw - Gesto Web</title>
    <script>
        location.href = "#irfim";
        $("#Codigo").focus();
    </script>
</head>

<body>

    <div class="conteudoProdudo">
        <div width="100%" class="razao borderRadiusUnset" style="font-size:1.1em">

            <div class="borderRadiusUnset divDataHeader">
                <?php
                $data_pdv = mysqli_query($con, "Select Lancamento, DATE_FORMAT(Data_Cadastro, '%d/%m/%Y %H:%i:%s') as Data,
                                    Desconto_Total
                                    from pdv where Id = '" . $_POST["Id_Pdv"] . "' ");
                $data_pdv = mysqli_fetch_assoc($data_pdv);
                ?>
                <span><?php echo $data_pdv["Data"] ?></span>
            </div>
            <div class="borderRadiusUnset divNumVenda">
                <span><b>DOC N <?php echo $data_pdv["Lancamento"] ?></b></span>
            </div>
        </div>

        <div class="table-header">
            <div class="divTableHeader">
                <span class="spanColunaItem">Item</span>
                <span class="spanColunaProduto">Produto</span>
                <span class="spanColunaQtd">Qtd</span>
                <span class="spanColunaUn">Un</span>
                <span class="spanColunaVal">Valor</span>
                <span class="spanColunaDesc">Desc %</span>
                <span class="spanColunaDesc">Desc R$</span>
                <span class="spanColunaSubtotal">Subtotal</span>
                <span class="spanColunaTabelaPreco">Tbl</span>
            </div>

            <div class="tableProdutoPrincipal">
                <?php
                $y = '1';
                while ($chave = mysqli_fetch_assoc($pro_pdv)) {

                    $tabela_pr = mysqli_query($con, "Select Titulo from produto_tabela WHERE Id='" . $chave["Preco_Tabela"] . "' ");
                    $tabela_pr = mysqli_fetch_assoc($tabela_pr);

                    $ValorDescontoProduto = ($chave["Preco"] * $chave["Qtd"] * $chave["Desconto"]) / 100;

                ?>
                    <div class="divTableBodyPrincipal linhaBodyPrincipal">
                        <span class="spanColunaItem"><?php echo $y; ?></span>
                        <span class="spanColunaProduto displayAlinhamentoEsquerda"><?php echo $chave["Codigo"] . " : " . $chave["Produto"]; ?></span>
                        <span class="spanColunaQtd"><?php echo $chave["Qtd"]; ?></span>
                        <span class="spanColunaUn"><?php echo $chave["Medida"]; ?></span>
                        <span class="spanColunaVal"><?php echo valor_exibir($chave["Preco"], 2); ?></span>
                        <span class="spanColunaDesc"><?php echo valor_exibir($chave["Desconto"], 2); ?></span>
                        <span class="spanColunaDesc"><?php echo valor_exibir($chave["Desconto_Real"], 2); ?></span>
                        <span class="spanColunaSubtotal"><?php echo valor_exibir((($chave["Qtd"] * $chave["Preco"]) - $chave["Desconto_Real"]) - $ValorDescontoProduto, 2); ?></span>
                        <span class="spanColunaTabelaPreco"><?php echo $tabela_pr["Titulo"]; ?></span>
                    </div>
                <?php
                    $DescontoTotalItens += $chave["Desconto_Real"] + $ValorDescontoProduto;
                    $valorSemDesconto += valor_exibir($chave["Qtd"] * $chave["Preco"]);
                    $ValTotal += valor_banco(valor_exibir(($chave["Qtd"] * $chave["Preco"]) - $chave["Desconto_Real"] - $ValorDescontoProduto));
                    $y++;
                }
                ?>
            </div>
        </div>
        <div class="borderRadiusUnset divSubtotalTotal">
            <?php if ($data_pdv["Desconto_Total"] > '0' || $DescontoTotalItens > 0) { ?>
                <span>SUB TOTAL:</span>
                <span><?php echo valor_exibir($valorSemDesconto, 2); ?></span>
                <span>DESCONTO:</span>
                <span><?php echo valor_exibir($data_pdv["Desconto_Total"] + $DescontoTotalItens, 2); ?></span>
            <?php } ?>
            <span>VALOR TOTAL:</span>
            <span><?php echo valor_exibir($ValTotal - $data_pdv["Desconto_Total"], 2); ?></span>
        </div>
    </div>
    <!--ancora usada para que a pagina comee no fim-->
    <a name="irfim"></a>
</body>

</html>
<?php
$pagina = ob_get_contents();
ob_end_clean();
echo utf8_encode($pagina);
?>