<?php
include_once "../include/conecta.php"; //Conecta com a nosso banco de dados MySQL
ini_set('session.gc_maxlifetime', 60*120); session_start();
/* include_once "../include/ver_sessao.php"; //Verifica se a sesso est ativa */
include_once "../include/funcoesPhp.php"; //Inclue a pgina con todas as funes a ser usada.
?>
<?php 
               $pdv_entrega = listar("Select pdv_entrega.Id,
 					pdv_entrega.Lancamento,
 					pdv_entrega.Status,
 					pdv_entrega.Data_Pdv,
 					pdv_entrega.Obs as 'Obs_Pdv_Entrega',
 					pdv_entrega.Valor_Original,
 					pdv_entrega.Valor_Pago,
                                        pdv_entrega.Desconto,
                                        pdv_entrega.Desconto_Real,
                                        pdv_entrega.Id_Unidade,
 					cliente.Titulo as 'Cliente',
                                        cliente.Razao_Social,
 					cliente.Email,
 					cliente.Natureza,
 					cliente.Cpf_Cnpj,
 					cliente.Rua,
                                        cliente.Numero,
 					cliente.Cep,
 					cliente.Bairro,
                                        cliente.Cidade,
 					cliente.Estado,
 					cliente.Fone1,
                                        cliente.Complemento,
                                        cliente.Ponto_Referencia,
 					cliente.Obs as 'Obs_Cliente',
 					funcionario.Titulo as 'Funcionario',
                                        tipo_pagamento.Titulo as 'Tipo_Pagamento'
 					from pdv_entrega
 					left join (SELECT Id,Titulo,Email,Natureza,Cpf_Cnpj,Estadual,Rua,Numero,Cep,Bairro,Cidade,Estado,Fone1,Obs,Id_Cidade,Razao_Social,Contato,Complemento,Ponto_Referencia FROM cliente) as cliente ON cliente.Id = pdv_entrega.Id_Cliente
 					left join (SELECT Id,Titulo FROM funcionario) as funcionario ON funcionario.Id = pdv_entrega.Id_Vendedor
                                        left join (SELECT Id,Titulo FROM tipo_pagamento) as tipo_pagamento ON tipo_pagamento.Id = pdv_entrega.Id_Tipo_Pagamento
 					where pdv_entrega.Id = '".$_GET["id_pdv_entrega"]."'
					order by pdv_entrega.Lancamento DESC");

$_GET["Unidade"] = $pdv_entrega[0]["Id_Unidade"];
?>
<html>
<head>
<title>Gw - Gesto Web</title>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1" />
<link rel="shortcut icon" href="../imagem/favi_gw.ico" type="image/x-icon" />
<link rel="stylesheet" type="text/css" href="../estilo/<?php echo SKIN ;?>/tabela_imp.css" />
<script type="text/javascript" language="javascript" src="../js/jquery.js"></script>
<?php include '../include/script_cabeca.php'; ?>
<script type="text/javascript" language="javascript" src="../js/script.js"></script>
<script type="text/javascript" language="javascript" src="../js/meiomask/meiomask.js"></script>
<script type="text/javascript" language="javascript" src="../js/meiomask/<?php if(PAIS=="USA"){ echo "mascaras-usa"; }else{ echo "mascaras"; }?>.js"></script>
</head>
<body>

<table width="98%" align="center"><!-- TABELA Q ENVOLVE TODO O CONTEUDO -->
<tr>
	<td>
		<?php include "../include/cabecalho_pedido.php"; ?>
	</td>
</tr>
<tr>
	<td>
		<table width="100%" align="center">
			<tr>
                            <td colspan="2" align="center">
                                <font face="verdana" size="3">
                                    <b><i>Entregas - <?php echo $pdv_entrega[0]["Lancamento"];?></i></b>
                                </font>
                            </td>
			</tr>
		</table>
	</td>
</tr>
<tr>
	<td>
		<table width="100%" align="center" class="tabela" style="font-size: 12px">
			<tr>
				<td width="70%">Cliente: 
                                    <?php
                                    if(CLIENTE_RAZAO_SOCIAL=='Sim'){
                                        echo $pdv_entrega[0]["Razao_Social"];
                                    }else{
                                        echo $pdv_entrega[0]["Cliente"];
                                    }
                                    ?>
                                </td>
                                <td width="30%">Data: <?php echo data_exibir($pdv_entrega[0]["Data_Pdv"]);?></td>
			</tr>
			<tr>
				<td width="70%">End: <?php echo $pdv_entrega[0]["Rua"].', '.$pdv_entrega[0]["Numero"];?></td>
				<td width="30%">Fone: <?php echo $pdv_entrega[0]["Fone1"];?></td>
			</tr>
			<tr>
				<td width="70%"><?php echo 'Bairro:'.$pdv_entrega[0]["Bairro"].' Cidade:'.$pdv_entrega[0]["Cidade"].' UF:'.
                                                                                $pdv_entrega[0]["Estado"];?>
                                </td>
				<td width="30%">Compl: <?php echo $pdv_entrega[0]["Complemento"];?></td>
			</tr>
			<tr>
				<td width="70%">Pagamento: <?php echo $pdv_entrega[0]["Tipo_Pagamento"];?></td>
				<td width="30%">CEP: <?php echo $pdv_entrega[0]["Cep"];?></td>
			</tr>
                        <tr>
				<td colspan="2">Ref: <?php echo $pdv_entrega[0]["Ponto_Referencia"];?></td>
			</tr>
			<tr>
				<td colspan="2">Obs: <?php echo $pdv_entrega[0]["Obs_Pdv_Entrega"];?></td>
			</tr>
		</table>
	</td>
</tr>
<tr>
	<td>
		<table width="100%" align="center" class="tabela" style="font-size: 12px">
			<tr>
				<td colspan="8"><i>Produtos</i></td>
			</tr>
			<tr class="azul-claro">
				<td width="3%">N</td>
				<td width="10%">Cdigo</td>
				<td width="22%">Produto</td>
				<td width="5%">Qtd</td>
				<td width="8%">Valor</td>
                                <!--
				<td width="8%">Desc %</td>
                                <td width="8%">Desc $</td>
                                -->
				<td width="8%">Total</td>
			</tr>
			<?php

                        //pdv_entrega_produto.Desconto as 'Desconto_Pdv_Entrega',
                        //pdv_entrega_produto.Desconto_Real,
               $pdv_entrega_pro = listar("Select pdv_entrega_produto.Preco as 'Preco_Pdv_Entrega',
 					pdv_entrega_produto.Qtd as 'Qtd_Pdv_Entrega',
                                        pdv_entrega_produto.Desconto as Desconto_Pdv_Entrega,
                                        pdv_entrega_produto.Desconto_Real,
 					produto.Titulo as 'Produto',
 					produto.Codigo
 					from pdv_entrega_produto
 					left join (SELECT Id,Titulo,Codigo FROM produto) as produto ON produto.Id = pdv_entrega_produto.Id_Produto
 					where pdv_entrega_produto.Id_Pdv_Entrega = '".$_GET["id_pdv_entrega"]."'
                                        ORDER BY pdv_entrega_produto.Data_Cadastro");

                        $x=1; foreach($pdv_entrega_pro as $chave){?>
                        
			<tr>
				<td><?php echo $x;?></td>
				<td><?php echo $chave["Codigo"];?></td>
				<td><?php echo $chave["Produto"];?></td>
				<td><?php echo $chave["Qtd_Pdv_Entrega"];?></td>
				<td><?php echo number_format($chave["Preco_Pdv_Entrega"],2,',','.');?></td>
                                <!--
				<td><?php echo number_format($chave["Desconto_Pdv_Entrega"],2,',','.');?></td>
                                <td><?php echo number_format($chave["Desconto_Real"],2,',','.');?></td>
                                -->
				<td>
                                    <?php echo number_format( ( ($chave['Qtd_Pdv_Entrega']*$chave['Preco_Pdv_Entrega']) - ( ($chave['Qtd_Pdv_Entrega']*$chave['Preco_Pdv_Entrega']) * ($chave['Desconto_Pdv_Entrega']/100) ) ) - $chave['Desconto_Real'],2,',','.');?></td>
                                </td>
			</tr>
			<?php
			$Qtd_Pdv_Entrega+= $chave["Qtd_Pdv_Entrega"];
			$Preco_Pdv_Entrega+=$chave["Preco_Pdv_Entrega"];
			$Desconto_Pdv_Entrega+=$chave["Desconto_Pdv_Entrega"];
                        $Desconto_Real+=$chave["Desconto_Real"];
			$Total+=( ($chave["Preco_Pdv_Entrega"]*$chave["Qtd_Pdv_Entrega"])-
					(($chave["Preco_Pdv_Entrega"]*$chave["Qtd_Pdv_Entrega"])*($chave["Desconto_Pdv_Entrega"]/100)) ) - $chave['Desconto_Real'];
			$x++; }
			?>
                        <!--
			<tr>
                            <td colspan="3"></td>
                            <td>Totais da Pr-Venda:</td>
                            <td><?php echo $Qtd_Pdv_Entrega;?></td>
                            <td><?php echo number_format($Preco_Pdv_Entrega,2,',','.');?></td>
                            <td><?php echo number_format($Desconto_Pdv_Entrega/($x-1),2,',','.');?></td>
                            <td><?php echo number_format($Desconto_Real/($x-1),2,',','.');?></td>
                            <td><?php echo number_format($Total,2,',','.');?></td>
			</tr>
                        -->
                        <tr>
				<td colspan="2"></td>
				<td>Totais:</td>
                                <td><?php echo number_format($Qtd_Pdv_Entrega,2,',','.');?></td>
                                <td></td>
                                <!--
				<td><?php echo number_format($pdv_entrega[0]["Desconto"],2,',','.');?></td>
                                <td><?php echo number_format($pdv_entrega[0]["Desconto_Real"],2,',','.');?></td>
                                -->
				<td><?php echo number_format(( ( $Total - ( $Total*($pdv_entrega[0]["Desconto"]/100) ) ) - $pdv_entrega[0]["Desconto_Real"]),2,',','.');?></td>
                                
			</tr>
		</table>
	</td>
</tr>
</table>
<br/>
<table width="98%" align="center">
	<tr>
		<td align="center">________________________</td>
		<td align="center">
                    <?php if(CLIENTE_EMAIL=='atacadaodosrestaurantes'){ ?>
                    Atenciosamente,<br/>
                    <?php } ?>
                    ________________________
                </td>
	</tr>
	<tr>
		<td align="center">
                    <font face="verdana" size="2">
                    <?php
                    if(CLIENTE_RAZAO_SOCIAL=='Sim'){
                        echo $pdv_entrega[0]["Razao_Social"];
                    }else{
                        echo $pdv_entrega[0]["Cliente"];
                    }
                    ?>
                    </font>
                </td>
                <?php if(CLIENTE_EMAIL=='atacadaodosrestaurantes'){ ?>
		<td align="center">
                    <font face="verdana" size="2">Representante: 
                        <?php echo $pdv_entrega[0]["Funcionario"];?>
                    <br/>Departamento de Vendas.
                    </font>
                </td>
                <?php }else{ ?>
                <td align="center">
                    <font face="verdana" size="2">Representante: <?php echo $pdv_entrega[0]["Funcionario"];?></font>
                </td>
                <?php } ?>
	</tr>
</table>

<br>
</body>
</html>
<?php include "../include/rodape.php";?>