<?php
include_once '../include/conecta.php'; //Conecta com a nosso banco de dados MySQL
ini_set('session.gc_maxlifetime', 60*120); session_start();
/*include_once '../include/ver_sessao.php'; //Verifica se a sesso est ativa*/
include_once '../include/funcoesPhp.php'; include_once '../menu_movimento.php';

 $pro_pdv = mysqli_query($con,"SELECT DISTINCT pdv_entrega_produto.Id,
                            pdv_entrega_produto.Id_Produto,
                            pdv_entrega_produto.Preco,
                            pdv_entrega_produto.Qtd,
                            pdv_entrega_produto.Desconto_Real,
                            pdv_entrega_produto.Desconto,
                            produto.Codigo,
                            produto.Titulo as 'Produto',
                            produto.Medida,                            
                            funcionario.Titulo as Vendedor
                            FROM pdv_entrega_produto
                            LEFT JOIN (SELECT Id,Titulo,Codigo,Medida FROM produto) as produto ON produto.Id = pdv_entrega_produto.Id_Produto
                            LEFT JOIN (SELECT Id,Titulo FROM funcionario) as funcionario ON funcionario.Id = pdv_entrega_produto.Id_Funcionario
                            WHERE pdv_entrega_produto.Id_Pdv_Entrega='".$_GET["id_pdv_entrega"]."'
                            ORDER BY pdv_entrega_produto.Data_Cadastro");

 	//ob_start();
?>
<html>
<head>
<title>Gw - Gesto Web</title>
<style type="text/css">
* {
	margin: 0px;
	padding: 0px;
}
body {
	font: 10px Arial, Arial, Helvetica, sans-serif;
	background-color: #fff;
}
</style>
<script type="text/javascript" language="javascript" src="../js/jquery.js"></script>
<?php include '../include/script_cabeca.php'; ?>
<script type="text/javascript" language="javascript" src="../js/script.js"></script>
<script type="text/javascript" language="javascript" src="../js/meiomask/meiomask.js"></script>
<script type="text/javascript" language="javascript" src="../js/meiomask/<?php if(PAIS=="USA"){ echo "mascaras-usa"; }else{ echo "mascaras"; }?>.js"></script>
<script type="text/javascript" language="javascript" src="../js/editing/editing.js"></script>
<script type="text/javascript" language="javascript">
  window.onload = function(){
    //window.print();
  }
</script>
</head>
<body>
    <table width="290">
    <?php
                    if(!$_GET["Id_Unidade_Usuario"]){
                            $_GET["Id_Unidade_Usuario"] = $_SESSION["Unidade"];
                    }
                    $empresa = listar("Select Titulo,Rua,Numero,Logo,
                                        Bairro,Cidade,Estado,Fone1,Site
                                        from unidade where Id = '".$_GET["Id_Unidade_Usuario"]."' ");
    ?>
            <tr>
                    <td width="241" align="left" class="razao" ><pre><?php echo strtoupper($empresa[0]["Titulo"]);?><br>End: <?php echo $empresa[0]["Rua"] .', '. $empresa[0]["Numero"];?> <br><?php echo $empresa[0]["Bairro"];?> - <?php echo $empresa[0]["Cidade"];?> - <?php echo $empresa[0]["Estado"];?><br>
Tel: <?php echo $empresa[0]["Fone1"];?></pre></td>
                    <td width="37" align="left" class="razao" >&nbsp;</td>
            </tr>
         <tr>
            <td colspan="2">-----------------------------------------------</td>
        </tr>
        <tr>
            <td colspan="2" align="left">
                <table width="300px">
                        <?php
                        $data_pdv = listar("Select pdv_entrega.Lancamento,
                                    pdv_entrega.Valor_Pago,
                                    pdv_entrega.Obs,
                                    DATE_FORMAT(pdv_entrega.Data_Pdv, '%d/%m/%Y %H:%i:%s') as Data,
                                    pdv_entrega.Data_Pdv,
                                    pdv_entrega.Desconto,
                                    pdv_entrega.Desconto_Real,
                                    tipo_pagamento.Titulo as Tipo_Pagamento,
                                    cliente.Titulo as Cliente
                                    from pdv_entrega
                                    LEFT JOIN (SELECT Id,Titulo FROM tipo_pagamento) as tipo_pagamento ON tipo_pagamento.Id = pdv_entrega.Id_Tipo_Pagamento
                                    LEFT JOIN (SELECT Id,Titulo FROM cliente) as cliente ON cliente.Id = pdv_entrega.Id_Cliente
                                    where pdv_entrega.Id='".$_GET["id_pdv_entrega"]."' ");
                        ?>
                    <tr>
                        <td align="left"><pre><?php echo data_exibir($data_pdv[0]["Data_Pdv"]); ?></pre></td>
                    </tr>
                    <tr>
                        <td align="left"><pre><b>COD. <?php echo sprintf("%06d",$data_pdv[0]["Lancamento"]);?></b></pre></td>
                    </tr>
                </table>
            </td>
        </tr>
        <tr>
            <td height="20" colspan="2">
                -----------------------------------------------</td>
        </tr>
        <?php
        if(CLIENTE_RAZAO_SOCIAL=='Sim'){
            $nome = 'Razao_Social';
        }else{
            $nome = 'Titulo';
        }
 $conta_receber = listar("Select pdv_entrega.Valor_Original,
                                pdv_entrega.Valor_Pago,
                                pdv_entrega.Lancamento,
                                pdv_entrega.Status,
                                pdv_entrega.Id_Unidade,
                                cliente.$nome as 'Cliente',
                                funcionario.Titulo as 'Funcionario'
                                from pdv_entrega
                                LEFT JOIN (SELECT Id,Titulo,Razao_Social FROM cliente) as cliente ON pdv_entrega.Id_Cliente = cliente.Id
                                LEFT JOIN (SELECT Id,Titulo FROM funcionario) as funcionario ON pdv_entrega.Id_Funcionario = funcionario.Id
                                where pdv_entrega.Id = '".$_GET["id_pdv_entrega"]."' ");
        
            if($conta_receber[0]["Status"]=='Liquidado'){
                $valorRec = $conta_receber[0]["Valor_Pago"];
            }else{
                $valorRec = $conta_receber[0]["Valor_Original"];
            }
        ?>
        <tr>
            <td colspan="2">
                <table width="87%" class="razao">
                    <tr>
                        <td>
                            <pre><div class="inlineEdit" id="3" style="cursor: pointer;" alt="Clique para Editar !" title="Clique para Editar !">Recebi do Sr(a). <?php echo $conta_receber[0]["Cliente"];?>,<br>a importncia de R$ <?php echo number_format($valorRec,2,",",".");?><br>(<?php echo valorPorExtenso($valorRec);?> ),<br>referente ao pagamento da Venda n <?php if($conta_receber[0]["Fatura"]=="") echo $conta_receber[0]["Lancamento"]; else echo $conta_receber[0]["Fatura"];?>.
                            </div></pre>
                        </td>
                    </tr>
                    <tr>
                        <td height="5" colspan="8"><pre>-----------------------------</pre></td>
                    </tr>
                </table>
            </td>
        </tr>
        <tr>
            <td height="30" colspan="2">
        <table width="300px" class="razao">
        <tr>
            <td><pre><?php echo $data_pdv[0]["Tipo_Pagamento"] ?></pre></td>
        </tr>
        </table>
            </td>
        </tr>
        <tr>
            <td height="30" colspan="2">-----------------------------------------------</td>
        </tr>
        <tr>
            <td colspan="2" align="left" class="razao" style="width: 290px;">
            <pre>_________________________<br><?php echo $conta_receber[0]["Funcionario"];?>
            <br><br></pre>
            </td>
        </tr>
        <tr>
            <td colspan="2" align="left" class="razao">
            <pre>Documento Sem valor Fiscal.
            </pre></td>
        </tr>
    </table>

<br>
</body>
</html>
<?php
/*
	$pagina = ob_get_contents();
	ob_end_clean();
	echo utf8_encode($pagina);
 */
?>