<?php
include_once '../include/conecta.php'; //Conecta com a nosso banco de dados MySQL
include_once 'ver_cookie.php'; //Verifica se a sesso est ativa
include_once 'funcoesPhp.php'; //Inclue a pgina con todas as funes a ser usada.
?>
<html>
<head>
<title>Gw - Gesto Web</title>
<link rel="stylesheet" type="text/css" href="../estilo/<?php echo SKIN ;?>/tableless.css" />
<link rel="stylesheet" type="text/css" href="../estilo/<?php echo SKIN ;?>/tabelas.css" />
<script language="javascript" type="text/javascript" src="../js/jquery.js"></script>
<?php include '../include/script_cabeca.php'; ?>
<?php include '../include/script_campo.php'; ?>
<script language="javascript" type="text/javascript" src="../js/script.js"></script>
<script language="javascript" type="text/javascript">
function precoItem(Preco){
    window.opener.document.getElementById("Preco").value=number_format(Preco, 2, ',', '.'); window.close();
}
</script>
<style type="text/css">
input{
	margin:0 5px;
	width:150px;
	height:40px;
	font:25px Georgia, "Trebuchet MS", Tahoma, Times, serif;
	font-weight:bold;
}
.codigo{
	margin:0 5px;
	width:250px;
	height:40px;
	font:25px Georgia, "Trebuchet MS", Tahoma, Times, serif;
	font-weight:bold;
}
.descricao{
	margin:0 5px;
	width:250px;
	height:40px;
	font:25px Georgia, "Trebuchet MS", Tahoma, Times, serif;
	font-weight:bold;
}
.fornecedor{
	margin:0 5px;
	width:450px;
	height:40px;
	font:25px Georgia, "Trebuchet MS", Tahoma, Times, serif;
	font-weight:bold;
}
h1{
	font:30px "Trebuchet MS", Tahoma, Helvetica, sans-serif;
	color:#f4f4f4;
}
.buscarprodutos{
	font:20px "Trebuchet MS", Tahoma, Helvetica, sans-serif;
	color:#f4f4f4;
        font-weight:bold;
}
strong{
	margin:0 5px;
	font:18px "Trebuchet MS", Tahoma, Geneva, sans-serif;
	color:#000000;
	font-weight:bold;
}
span{
	font:14px "Trebuchet MS", Tahoma, Helvetica, sans-serif;
	font-weight:bold;
	color:#069;
}
.over{
	overflow:scroll;
	height:300px;
	padding:0;
        background-color: #FFFFFF;
}
.tr-1{
    background-color: #999999;
    height: 45px;
}
.tr-2{
    background-color: #225F93;
}
.tr-3{
    background-color: #cccccc;
}
.destaque {background: #00C5CD !important;}
</style>
<script type="text/javascript" language="javascript" >
    //funcao de trocar a cor da TR no listar
$(function(){
$('table tr').hover(
    function(){
        $(this).addClass('destaque');
    },
    function(){
        $(this).removeClass('destaque');
    }
    );
});
</script>
</head>
<body>
<?php
$_GET['codigo'] = utf8_decode($_GET['codigo']);

$busca = "SELECT Id FROM produto where Codigo = '".$_GET["codigo"]."' AND Ativo = 'Sim' ";
$qry = mysqli_query($con,$busca);

//se existir pelo codugo, para busca por aqui e ja retornar verdade
if(mysqli_num_rows($qry) != 0) {

$reg = mysqli_fetch_assoc($qry);
$Id_Pro = $reg["Id"];

}else{
//faco a busca pelo titulo
$busca = "SELECT Id FROM produto where Titulo = '".$_GET["codigo"]."' AND Ativo = 'Sim' ";
$qry = mysqli_query($con,$busca);

    if(mysqli_num_rows($qry) != 0) {

    $reg = mysqli_fetch_assoc($qry);
    $Id_Pro = $reg["Id"];

    }else{
        
        $consulta_c = ltrim($_GET["codigo"],"0");
        $busca = "SELECT Id FROM produto where Codigo_Barras = '".$consulta_c."' AND Ativo = 'Sim' ";
        $qry = mysqli_query($con,$busca);
        
            if(mysqli_num_rows($qry) != 0) {

            $reg = mysqli_fetch_assoc($qry);
            $Id_Pro = $reg["Id"];

            }else{
                
                $busca = "SELECT Id FROM produto where Gtin = '".$_GET["codigo"]."' AND Ativo = 'Sim' ";
                $qry = mysqli_query($con,$busca);
                
                if(mysqli_num_rows($qry) != 0) {

                $reg = mysqli_fetch_assoc($qry);
                $Id_Pro = $reg["Id"];

                }else{

                    $busca = "SELECT Id FROM produto where Codigo_Fornecedor = '".$_GET["codigo"]."' AND Ativo = 'Sim' ";
                    $qry = mysqli_query($con,$busca);
                    $reg = mysqli_fetch_assoc($qry);
                    $Id_Pro = $reg["Id"];

                }
                
            }
        
    }


}

 $pro_pdv = mysqli_query($con,"SELECT produto.Id,
                            produto.Codigo,
                            produto.Titulo as Produto,
                            produto.Preco1,
                            produto.Preco2,
                            produto.Preco3,
                            produto.Preco4,
                            produto.Preco5,
                            produto.Preco6,
                            produto.Preco7,
                            produto.Preco8,
                            produto.Preco9
                            FROM produto
                            WHERE Id = '".$Id_Pro."'
                            ORDER BY produto.Titulo");
 $linha = mysqli_fetch_assoc($pro_pdv);

?>
<table width="98%" border="0" cellpadding="2" cellspacing="1" id="tabela_pdv">
  <tr bgcolor="#225F93">
      <td><strong><font color="#FFF">Tabela</font></strong></td>
      <td><strong><font color="#FFF">Cdigo</font></strong></td>
      <td><strong><font color="#FFF">Descrio</font></strong></td>
      <td><strong><font color="#FFF">Preo</font></strong></td>
  </tr>
    <?php
    $tabela_pr = mysqli_query($con,"Select Id,Titulo,Valor from produto_tabela WHERE Ativo='Sim' ");
    
       while($reg = mysqli_fetch_assoc($tabela_pr)){
        $y = ltrim($reg["Valor"],"0");
    ?>
        <tr class="tr-1" ondblclick="precoItem('<?php echo $linha["Preco$y"];?>')" style="cursor:pointer" >
            <td><b><?php echo $reg["Titulo"]; ?></b></td>
            <td><b><?php echo $linha["Codigo"];?></b></td>
            <td><b><?php echo $linha["Produto"];?></b></td>
            <td><b><?php echo number_format($linha["Preco$y"],2,",",".");?></b></td>
        </tr>
    <?php
        }
    ?>
</table>

<?php include "../include/rodape.php";?>
</body>
</html>