<?php
include_once '../include/conecta.php'; //Conecta com a nosso banco de dados MySQL
//ini_set('session.gc_maxlifetime', 60*120); session_start();
/*include_once '../include/ver_sessao.php'; //Verifica se a sesso est ativa*/
include_once 'funcoesPhp.php'; //Inclue a pgina con todas as funes a ser usada.

$pro_pdv = mysqli_query($con, "SELECT DISTINCT pdv_produto.Id,
                            pdv_produto.Id_Produto,
                            pdv_produto.Preco,
                            pdv_produto.Qtd,
                            pdv_produto.Desconto_Real,
                            pdv_produto.Data_Cadastro,
                            produto.Codigo,
                            produto.Titulo as 'Produto',
                            produto.Medida,
                            funcionario.Titulo as Vendedor
                            FROM pdv_produto
                            LEFT JOIN (SELECT Id,Titulo,Codigo,Medida FROM produto) as produto ON produto.Id = pdv_produto.Id_Produto
                            LEFT JOIN (SELECT Id,Titulo FROM funcionario) as funcionario ON funcionario.Id = pdv_produto.Id_Funcionario
                            WHERE pdv_produto.Id_Pdv='" . $_POST["Id_Pdv"] . "'
                            AND Cancelado = 'No'
                            AND pdv_produto.Id_Pdv<>''
                            ORDER BY pdv_produto.Data_Cadastro");

ob_start();
?>
<html>

<head>
    <title>Gw - Gesto Web</title>
    <link rel="stylesheet" type="text/css" href="../estilo/<?php echo SKIN; ?>/tabela_imp.css" />
    <script type="text/javascript" language="javascript" src="../js/jquery.js"></script>
    <?php include '../include/script_cabeca.php'; ?>
    <script type="text/javascript" language="javascript" src="../js/script.js"></script>
    <script type="text/javascript" language="javascript" src="../js/meiomask/meiomask.js"></script>
    <script type="text/javascript" language="javascript" src="../js/meiomask/<?php if (PAIS == "USA") {
                                                                                    echo "mascaras-usa";
                                                                                } else {
                                                                                    echo "mascaras";
                                                                                } ?>.js"></script>
    <script>
        location.href = "#irfim";
        $("#Codigo").focus();
    </script>
</head>

<body>

    <div width="100%" style="font-size:1.1em">
        <div width="100%" class="razao borderRadiusUnset" style="font-size:1.1em">
            <div class="borderRadiusUnset divDataHeader">
                <?php
                $data_pdv = mysqli_query($con, "Select Lancamento, DATE_FORMAT(Data_Cadastro, '%d/%m/%Y %H:%i:%s') as Data from pdv where Id = '" . $_POST["Id_Pdv"] . "' ");
                $data_pdv = mysqli_fetch_assoc($data_pdv);
                ?>
                <span><?php echo $data_pdv["Data"] ?></span>
            </div>
            <div class="borderRadiusUnset divNumVenda">
                <span><b>DOC N <?php echo $data_pdv["Lancamento"] ?></b></span>
            </div>
        </div>
        <div class="table-header">
            <div class="divTableHeader">
                <span class="spanColunaItem">Item</span>
                <span class="spanColunaProduto">Produto</span>
                <span class="spanColunaQtd">Qtd</span>
                <span class="spanColunaUn">Un</span>
                <span class="spanColunaVal">Valor</span>
                <!-- <span class="spanColunaDesc">Desc</span> -->
                <span class="spanColunaSubtotal">Subtotal</span>
            </div>
            <div class="tableProdutoPrincipal">
                <?php
                $y = '1';
                while ($chave = mysqli_fetch_assoc($pro_pdv)) {
                ?>
                    <div class="divTableBodyPrincipal linhaBodyPrincipal">
                        <span class="spanColunaItem"><?php echo $y; ?></span>
                        <span class="spanColunaProduto displayAlinhamentoEsquerda"><?php echo $chave["Codigo"] . " : " . $chave["Produto"]; ?></span>
                        <span class="spanColunaQtd"><?php echo $chave["Qtd"]; ?></span>
                        <span class="spanColunaUn"><?php echo $chave["Medida"]; ?></span>
                        <span class="spanColunaVal"><?php echo valor_exibir($chave["Preco"], 2); ?></span>
                        <!-- <span class="spanColunaDesc"><?php echo valor_exibir($chave["Desconto_Real"], 2); ?></span> -->
                        <span class="spanColunaSubtotal"><?php echo valor_exibir($chave["Qtd"] * ($chave["Preco"] - ($chave["Desconto_Real"])), 2); ?></span>
                    </div>
                <?php
                    $ValTotal += valor_banco(valor_exibir($chave["Qtd"] * ($chave["Preco"] - ($chave["Desconto_Real"]))));
                    $y++;
                }
                ?>
            </div>
            <input type="hidden" id="Total_Itens" value="<?php echo valor_exibir($ValTotal, 2); ?>">
            <!-- <tr>
                <td colspan="6">VL.TOTAL</td>
                <td><?php echo valor_exibir($ValTotal, 2); ?></td>
            </tr>
            </tbody> -->
        </div>
    </div>
    <!--ancora usada para que a pagina comee no fim-->
    <a name="irfim"></a>
</body>

</html>
<?php
$pagina = ob_get_contents();
ob_end_clean();
echo utf8_encode($pagina);
?>