<?php
include_once '../include/conecta.php'; //Conecta com a nosso banco de dados MySQL
include_once '../include/ver_sessao.php'; //Verifica se a sesso est ativa
include_once '../include/funcoesPhp.php';
include_once '../menu_movimento.php';
$modulo_lista = 'Pedido';
include '../include/sessao_lista.php';

//se no houver nada na pesquisa da listagem
if (!$_GET['Pesq']) {
    //listagem padro
    if (!isset($_GET['Status_Lista']))
        $_GET['Status_Lista'] = 'Aberto';
}
?>
<?php
$menu = mysqli_query($con, "select permissao.Relatorio,
                                    permissao.Cadastrar,
                                    permissao.Alterar,
                                    permissao.Deletar
                                    from permissao
                                    inner join menu_usuario ON menu_usuario.Id_Menu = permissao.Id_Menu
                                    where menu_usuario.Id_Responsavel='" . $_SESSION["Id"] . "' 
                                    and permissao.Id_Responsavel='" . $_SESSION["Id"] . "'
                                    and permissao.Id_Menu = '305' ");
$menu = mysqli_fetch_assoc($menu);
?>
<?php

if (!$_GET['Pesq']) {
    if ($_GET["Status_Lista"]) {
        $Status_Lista1 = " and pedido.Status = '" . $_GET["Status_Lista"] . "' ";
    }
}
if ($_GET["Ordenar"]) {

    if ($_GET["Ordenar"] == 'fornecedor.Titulo') {
        if (FORNECEDOR_RAZAO_SOCIAL == 'Sim') {
            $_GET["Ordenar"] = 'fornecedor.Razao_Social';
        }
    }
    if ($_GET["Ordenar"] == 'pedido_produto.Rmes') {
        $join_table = " LEFT JOIN (SELECT Id,Rmes,Id_Pedido FROM pedido_produto) as pedido_produto ON pedido_produto.Id_Pedido = pedido.Id ";
    }

    $Ordenar1 = " ORDER BY " . $_GET["Ordenar"] . " ";
} else {
    $Ordenar1 = " ORDER BY pedido.Data_Pedido ";
}
if ($_GET['Ordem_Lista'] == 'Asc') {
    $Ordem_Lista1 = ' ASC ';
} else {
    $Ordem_Lista1 = ' DESC ';
}
//se o sistema for Multi Empresa
if (MULTI_EMPRESA == "Sim") {

    //se o usuario no for master ele vai para sua empresa
    if (ESCOLHER_EMPRESA == 'Sim') {

        if ($_GET["Unidade"])
            $unidade = "AND pedido.Id_Unidade = '" . $_GET["Unidade"] . "' ";
    } else {
        $unidade = "AND pedido.Id_Unidade = '" . $_SESSION["Unidade"] . "' ";
    }
} else {
    $unidade = "AND pedido.Id_Unidade = '" . $_SESSION["Unidade"] . "' ";
}


if ($_GET['Pesq']) {
    $pesquisa = " AND " . $_GET['Ordenar'] . " like '%" . $_GET['Pesq'] . "%' ";
}

/* Inicio dos parmetros da Paginao*/

/*varivel com o cdigo SQL da consulta ao banco de dados*/
$_pagi_sql = "SELECT pedido.Id,
                    pedido.Lancamento,
                    pedido.Data_Pedido,
                    pedido.Valor_Pago,
                    pedido.Valor_Original,
                    pedido.Status,
                    pedido.Entrega,
                    pedido.Pedido_Liberado,
                    pedido.Numero_Pedido_Fornecedor,
                    pedido.Lanc_Compra,
                    fornecedor.Titulo as 'Fornecedor',
                    fornecedor.Razao_Social,
                    unidade.Titulo as Unidade,
                    tipo_pagamento.Titulo as Tipo_Pagamento
                    FROM pedido
                    left join (SELECT Id,Titulo,Razao_Social FROM fornecedor) as fornecedor ON fornecedor.Id = pedido.Id_Fornecedor
                    LEFT JOIN (SELECT Id, Titulo FROM tipo_pagamento) as tipo_pagamento ON tipo_pagamento.Id = pedido.Id_Tipo_Pagamento
                    inner join (SELECT Id, Titulo FROM unidade) as unidade ON unidade.Id = pedido.Id_Unidade
                    $join_table
                    where 1=1 $Status_Lista1 $unidade
                    $pesquisa $Ordenar1 $Ordem_Lista1
                    , pedido.Lancamento DESC ";

/* pagina fora que contem todas as opcoes do paginator */
include_once '../include/paginator_opcao.php';
include_once '../include/paginator.inc.php'; //incluindo o script de paginao PAGINATOR
/*Paginao na listagem dos clientes. Apenas nos arquivos listar.
 * Inclue-se depois que passa os parmetros da funo
 * seus resultados so aparentementes satisfatrio
 * */
?>
<html>

<head>
    <title>Gw - Gesto Web</title>
    <link rel="stylesheet" type="text/css" href="../estilo/<?php echo SKIN; ?>/listless.css" />
    <script type="text/javascript" language="javascript" src="../js/jquery.js"></script>
    <?php include '../include/script_cabeca.php'; ?>
    <script type="text/javascript" language="javascript" src="../js/script.js"></script>
    <script type="text/javascript" language="javascript">
        function submeteFiltro(valor) {
            document.forms['ordenar'].submit();
        }
    </script>
</head>

<body>
    <!-- Centro -->
    <div id="centro">
        <!-- Contedo -->
        <div id="conteudo" class="ajustar">

            <div class="titulo">
                <span>Pedidos de Compra</span>
                <form name="pesquisa" method="get" action="">
                    <span class="inputs">
                        <?php echo $_pagi_info; ?>
                        <!--
					<label for="Pesq">Busca:</label>
					<input type="text" name="Pesq" size="30" value="<?php echo $_GET['Pesq']; ?>" >
                                        <input name="Pesquisar" type="image" value="Pesquisar" src="../imagem/seta-dir.png" alt="Ir" title="Ir" >
                                    -->
                    </span>
                </form>
            </div>
            <!-- Navegao -->
            <div class="botoes_cima">
                <a href="javascript:void(0);" class="voltar" alt="Voltar" title="Voltar" onclick="javascript:history.back(1);">Voltar</a>

                <?php if ($menu["Relatorio"] == "Sim") { ?>
                    <a href="list_relatorio.php" alt="Relatrio" title="Relatrio" class="relatorio">Relatrio</a>
                <?php } ?>

                <?php if ($menu["Cadastrar"] == "Sim") { ?>
                    <a href="pedido/cad_pedido.php?acao=entrar" alt="Cadastrar" title="Cadastrar" class="incluir">Cadastrar</a>
                <?php } ?>
                <form name="ordenar" method="get" action="">
                    <span class="ordenar_por">

                        <?php
                        if (MULTI_EMPRESA == "Sim") {
                            if (ESCOLHER_EMPRESA == 'Sim') {
                        ?>
                                <label for="Pesq">Empresa:</label>
                                <?php echo select_banco(
                                    "SELECT Id,Titulo FROM unidade WHERE Ativo='Sim' ORDER BY Titulo",
                                    "Unidade",
                                    "Unidade",
                                    $_GET["Unidade"],
                                    "onchange='submeteFiltro(this.value)'",
                                    ""
                                );
                                ?>
                        <?php
                            } else {
                                echo "<input type='hidden' name='Unidade' id='Unidade' value='" . $_SESSION["Unidade"] . "' >";
                            }
                        } else {
                            echo "<input type='hidden' name='Unidade' id='Unidade' value='" . $_SESSION["Unidade"] . "' >";
                        }
                        ?>
                        <label for="Pesq">Busca:</label>
                        <input type="text" name="Pesq" size="30" value="<?php echo $_GET['Pesq']; ?>">
                        <label for="Pesq">Ordenar Por:</label>
                        <?php
                        if (CLIENTE_EMAIL == 'remol') {
                            $vetor = array(
                                '' => 'Status',
                                'Cotao' => 'Cotao',
                                'Aberto' => 'Em Lanamento',
                                'Finalizado' => 'Finalizado',
                                'Cancelado' => 'Cancelado'
                            );
                        } else {
                            $vetor = array('' => 'Status', 
                                        'Aberto' => 'Em Lanamento', 
                                        'Finalizado' => 'Finalizado', 
                                        'Cancelado' => 'Cancelado');
                        }
                        select_tela("Status_Lista", "Status_Lista", $_GET["Status_Lista"], $vetor, "onchange='submeteFiltro(this.value)'");
                        ?>
                        <?php
                        if (CLIENTE_EMAIL == 'lac') {
                            $vetor = array(
                                'pedido.Numero_Pedido_Fornecedor' => 'Pedido Fornecedor',
                                'pedido.Lancamento' => 'Lanamento',
                                'fornecedor.Titulo' => 'Fornecedor',
                                'pedido.Valor_Original' => 'Valor Original',
                                'pedido.Valor_Pago' => 'Valor Pago',
                                'pedido.Cotacao' => 'Cotao',
                                'pedido.Data_Pedido' => 'Data Pedido'
                            );
                        } else {
                            $vetor = array(
                                'pedido.Lancamento' => 'Lanamento',
                                'fornecedor.Titulo' => 'Fornecedor',
                                'pedido_produto.Rmes' => 'RMES',
                                'pedido.Valor_Original' => 'Valor Original',
                                'pedido.Valor_Pago' => 'Valor Pago',
                                'pedido.Cotacao' => 'Cotao',
                                'pedido.Data_Pedido' => 'Data Pedido'
                            );
                        }
                        select_tela("Ordenar", "Ordenar", $_GET["Ordenar"], $vetor, "onchange='submeteFiltro(this.value)'");
                        ?>
                        <?php
                        $vetor = array('Desc' => 'Decrescente', 'Asc' => 'Crescente');
                        select_tela("Ordem_Lista", "Ordem_Lista", $_GET["Ordem_Lista"], $vetor, "onchange='submeteFiltro(this.value)'");
                        ?>
                    </span>
                </form>
                <!-- Fim Navegao -->
            </div>

            <table id="lista">
                <thead>
                    <tr>
                        <td>Id</td>
                        <?php if (CLIENTE_EMAIL == 'lac') { ?>
                            <td>Pedido</td>
                        <?php } ?>
                        <?php if (CLIENTE_EMAIL == 'gardenquimica') { ?>
                            <td>RMES</td>
                        <?php } ?>
                        <td>Data Pedido</td>
                        <td>Prazo Dias</td>
                        <td>Dif Dias</td>
                        <td>Fornecedor</td>
                        <td>Tipo Pagamento</td>
                        <td>Valor</td>
                        <td>Status</td>
                        <?php if (($_SESSION["Id_Nivel"] == '1') && (MULTI_EMPRESA == "Sim")) { ?>
                            <td>Unidade</td>
                        <?php } ?>
                        <td>Opes</td>
                    </tr>
                </thead>
                <tfoot>
                    <tr>
                        <td colspan="15">
                            <div id="paginacao">
                                <p><?php echo $_pagi_navegacion; ?></p>
                            </div>
                        </td>
                    </tr>
                </tfoot>
                <tbody>
                    <?php $color = "#F5F5F5";
                    while ($linha = mysqli_fetch_assoc($_pagi_result)) {
                        if ($color == "#F5F5F5") {
                            $color = "#E8E8E8";
                            $cass = "";
                        } else {
                            $color = "#F5F5F5";
                            $cass = "class='azul'";
                        }
                        $corStatus = "";
                        if ($linha['Status'] == 'Finalizado') {
                            $corStatus = "color = '#228B22' ";
                        }
                        if ($linha['Status'] == 'Aberto') {
                            $corStatus = "color = '#3A5FCD' ";
                        }
                        if ($linha['Status'] == 'Cancelado') {
                            $corStatus = "color = '#CD2626' ";
                        }

                        $Time1 = '';
                        $Time2 = '';
                        $corAnalise = '';

                        if ($linha['Status'] == 'Aberto') {
                            //se a data do Pedido passar da Data de Entrega/dias fica vermelho
                            $Time1 = strtotime(date("Y-m-d H:i:s"));
                            $Time2 = strtotime($linha['Data_Pedido']) + ($linha['Entrega'] * 86400);
                            //$Time2 = $Time2 + (2 * 86400);

                            //vendo os dias que falta
                            $dias = date("d", $Time2 - $Time1);

                            if ($Time1 > $Time2) {
                                $corAnalise = "color = '#CD2626' ";
                            }
                        }
                    ?>
                        <tr <?php echo "$cass"; ?>>
                            <td><?php echo $linha['Lancamento']; ?></td>
                            <?php if (CLIENTE_EMAIL == 'lac') { ?>
                                <td><?php echo $linha['Numero_Pedido_Fornecedor']; ?></td>
                            <?php } ?>
                            <?php if (CLIENTE_EMAIL == 'gardenquimica') { 
                            $cod_auto2 = mysqli_query($con, "SELECT DISTINCT pedido_produto.Rmes
                                    FROM (SELECT Id,Id_Pedido,Rmes,Data_Cadastro FROM pedido_produto) as pedido_produto
                                    WHERE pedido_produto.Id_Pedido = '" . $linha['Id'] . "'
                                    ORDER BY pedido_produto.Data_Cadastro");
                            $ex_tip = '';
                            while ($valor1 = mysqli_fetch_assoc($cod_auto2)) {
                                $ex_tip .= $valor1["Rmes"] . " ,";
                            }
                            $ex_tip = substr($ex_tip, 0, -2);    
                            ?>
                                <td><?php echo $ex_tip; ?></td>
                            <?php } ?>
                            <td>
                                <font <?php echo $corAnalise ?>><?php echo data_exibir($linha['Data_Pedido']); ?></font>
                            </td>
                            <td><?php echo $linha['Entrega']; ?></td>
                            <td><?php echo $dias; ?></td>
                            <td><?php
                                if (FORNECEDOR_RAZAO_SOCIAL == 'Sim') {
                                    echo $linha["Razao_Social"];
                                } else {
                                    echo $linha["Fornecedor"];
                                }
                                ?>
                            </td>
                            <td><?php echo $linha['Tipo_Pagamento']; ?></td>
                            <td><?php echo valor_exibir($linha['Valor_Pago']); ?></td>
                            <td>
                                <font <?php echo $corStatus ?>>
                                    <b>
                                        <?php
                                        if ($linha['Status'] == "Aberto") {
                                            echo "Em Lanamento";
                                        } else {
                                            echo $linha['Status'];
                                        }
                                        ?>
                                    </b>
                                    <?php
                                    if (($linha['Lanc_Compra'] > 0) && (CLIENTE_EMAIL == 'gardenquimica' || CLIENTE_EMAIL == 'testegarden' || CLIENTE_EMAIL == 'igq')) {
                                        echo " - Ped " . $linha['Lanc_Compra'];
                                    }
                                    ?>
                                </font>
                            </td>
                            <?php if (($_SESSION["Id_Nivel"] == '1') && (MULTI_EMPRESA == "Sim")) { ?>
                                <td><?php echo $linha['Unidade']; ?></td>
                            <?php } ?>
                            <td>
                                <?php
                                if (($_SESSION["Id_Nivel"] == '1') && (CLIENTE_EMAIL != 'atacadaodosrestaurantes')) {

                                    if ($linha['Pedido_Liberado'] == 'Sim')
                                        $figura03 = "../imagem/flag_liberada.png";
                                    else
                                        $figura03 = "../imagem/flag_negada.png";
                                ?>
                                    <a href='libera_pedido.php?id_pedido=<?php echo $linha['Id']; ?>&tipo=<?php echo $linha['Pedido_Liberado']; ?>'>
                                        <img src="<?php echo $figura03; ?>" alt="Liberar Pedido" border="0" title="Liberar Pedido" width="18px" height="auto">
                                    </a>
                                <?php } ?>

                                <?php
                                $cod_auto1 = mysqli_query($con, "SELECT produto.Titulo as Produto,
                                            pedido_produto.Qtd,
                                            produto.Codigo
                                            FROM (SELECT Id,Id_Pedido,Id_Produto,Qtd FROM pedido_produto) as pedido_produto
                                            LEFT JOIN (SELECT Id,Titulo,Codigo FROM produto) as produto ON produto.Id = pedido_produto.Id_Produto
                                            WHERE pedido_produto.Id_Pedido = '" . $linha['Id'] . "' ");
                                $ex_fun = 'Produtos:' . "\n";
                                while ($valor = mysqli_fetch_assoc($cod_auto1)) {
                                    $ex_fun .= $valor["Codigo"] . ' : ' . $valor["Produto"] . ' (' . $valor["Qtd"] . ")\n";
                                }
                                ?>
                                <img border="0" src="../imagem/estoque.png" title="<?php echo $ex_fun; ?>" alt="<?php echo $ex_fun; ?>" />

                                <a href='ver_pedido.php?id_pedido=<?php echo $linha['Id']; ?>&acao=alterar&status=ver'><img src="../imagem/bt_visualizar.png" alt="Visualizar" border="0" title="Visualizar"></a>

                                <?php
                                if ($menu["Alterar"] == "Sim") {
                                    $link3 = "pedido/cad_pedido.php?id_pedido=" . $linha['Id'] . "&acao=alterar";
                                    $figura3 = "../imagem/bt_editar.png";
                                ?>
                                    <a href='<?php echo $link3; ?>'><img src="<?php echo $figura3; ?>" title="Alterar" alt="Alterar" border="0" /></a>
                                <?php } ?>

                                <?php if (($linha['Pedido_Liberado'] == 'Sim') || ($_SESSION["Id_Nivel"] == '1')) { ?>
                                    <a href='pedido/finalizar_listagem.php?id_pedido=<?php echo $linha['Id']; ?>'><img src="../imagem/bt_lida.png" alt="Finalizar Pedido" border="0" title="Finalizar Pedido"></a>
                                <?php } ?>

                                <?php if (CLIENTE_EMAIL == 'nexco') { ?>
                                    <a href="javascript:void();" onclick="window.open('imp_pedido_nexco.php?id_pedido=<?php echo $linha['Id']; ?>','Imprimir','width=700,height=800,top=0,left=0,scrollbars=yes')">
                                        <img border="0" src="../imagem/bt_pedido.png" title="Imprimir Pedido" alt="Imprimir Pedido" /></a>
                                <?php } elseif (CLIENTE_EMAIL == 'gardenquimica') { ?>
                                    <a href="javascript:void();" onclick="window.open('imp_pedido_q.php?id_pedido=<?php echo $linha['Id']; ?>','Garden','width=700,height=800,top=0,left=0,scrollbars=yes')">
                                        <img border="0" src="../imagem/bt_pedido.png" title="Imprimir Pedido" alt="Imprimir Pedido" /></a>
                                <?php } elseif (CLIENTE_EMAIL == 'igq') { ?>
                                    <a href="javascript:void();" onclick="window.open('imp_pedido_qui.php?id_pedido=<?php echo $linha['Id']; ?>','Igq','width=700,height=800,top=0,left=0,scrollbars=yes')">
                                        <img border="0" src="../imagem/bt_pedido.png" title="Imprimir Pedido" alt="Imprimir Pedido" /></a>
                                <?php } else { ?>
                                    <a href="javascript:void();" onclick="window.open('imp_pedido.php?id_pedido=<?php echo $linha['Id']; ?>','Imprimir','width=700,height=800,top=0,left=0,scrollbars=yes')">
                                        <img border="0" src="../imagem/bt_pedido.png" title="Imprimir Pedido" alt="Imprimir Pedido" /></a>
                                <?php } ?>

                                <a href='clonar_pedido.php?id_pedido=<?php echo $linha['Id']; ?>'><img src="../imagem/clone.png" alt="Clonar Pedido" border="0" title="Clonar Pedido"></a>

                                <a href="javascript:void();" onclick="window.open('enviar_email.php?id_pedido=<?php echo $linha['Id']; ?>','Email','width=700,height=700,top=0,left=0,scrollbars=yes')">
                                    <img border="0" src="../imagem/enviar-email.png" title="Pedido Email" alt="Pedido Email" /></a>

                                <?php
                                if ($menu["Deletar"] == "Sim") {
                                    $link4 = "deletar('" . $linha["Id"] . "', 'del_pedido.php?id_pedido=');";
                                    $figura4 = "../imagem/bt_excluir.png";
                                ?>
                                    <a href='javascript:void(0);'><img src="<?php echo $figura4; ?>" alt="Excluir" border="0" title="Excluir" onclick="<?php echo $link4; ?>" /></a>
                                <?php } ?>
                            </td>
                        </tr>
                    <?php } ?>
                </tbody>
            </table>
            <!-- Navegao Inferior -->
            <div class="botoes_baixo">
                <a href="javascript:void(0);" class="voltar" alt="Voltar" title="Voltar" onclick="javascript:history.back(1);">Voltar</a>

                <?php if ($menu["Relatorio"] == "Sim") { ?>
                    <a href="list_relatorio.php" alt="Relatrio" title="Relatrio" class="relatorio">Relatrio</a>
                <?php } ?>

                <?php if ($menu["Cadastrar"] == "Sim") { ?>
                    <a href="pedido/cad_pedido.php?acao=entrar" alt="Cadastrar" title="Cadastrar" class="incluir">Cadastrar</a>
                <?php } ?>
                <!-- Fim Navegao Inferior -->
            </div>

        </div>
        <!-- Fim do Contedo -->
    </div>
    <!-- Fim de Centro -->

</body>

</html>