<?php
include_once '../include/conecta.php'; //Conecta com a nosso banco de dados MySQL
include_once '../include/ver_sessao.php'; //Verifica se a sesso est ativa
include_once '../include/funcoesPhp.php'; include_once '../menu_movimento.php';
?>
<?php
	$sql_produto = mysqli_query($con,"SELECT pedido.Lancamento,
                            pedido.Data_Pedido,
                            fornecedor.Titulo as Fornecedor,
                            fornecedor.Razao_Social,
                            funcionario.Titulo as Funcionario,
                            cfop.Cfop as Cfop,
                            pedido.Frete,
                            transportadora.Titulo as Transportadora,
                            pedido.Obs,
                            pedido.Desconto_Real,
                            pedido.Desconto,
                            pedido.Valor_Pago,
                            tipo_pagamento.Titulo as Tipo_Pagamento,
                            pedido.Data_Conclusao
                            FROM pedido
                            LEFT JOIN (SELECT Id,Titulo,Razao_Social FROM fornecedor) as fornecedor ON pedido.Id_Fornecedor = fornecedor.Id
                            LEFT JOIN (SELECT Id,Titulo FROM funcionario) as funcionario ON pedido.Id_Funcionario = funcionario.Id
                            LEFT JOIN (SELECT Id,Cfop FROM cfop) as cfop ON pedido.Id_Cfop = cfop.Id
                            LEFT JOIN (SELECT Id,Titulo FROM fornecedor WHERE Tipo = 'T') as transportadora ON pedido.Id_Transportadora = transportadora.Id
                            LEFT JOIN (SELECT Id,Titulo FROM tipo_pagamento) as tipo_pagamento ON pedido.Id_Tipo_Pagamento = tipo_pagamento.Id
                            WHERE pedido.Id='".$_GET["id_pedido"]."'")
	or die("ERRO no comando SQL:".mysqli_error($con));
	$array_produto = mysqli_fetch_assoc($sql_produto);

	$_POST["Lancamento"] 	= $array_produto["Lancamento"];
	$_POST["Data_Pedido"]  	= $array_produto["Data_Pedido"];
	$_POST["Obs"]           = stripslashes($array_produto["Obs"]);
	$_POST["Fornecedor"]    = $array_produto["Fornecedor"];
        $_POST["Razao_Social"]  = $array_produto["Razao_Social"];
	$_POST["Funcionario"]  	= $array_produto["Funcionario"];
        $_POST["Cfop"]          = $array_produto["Cfop"];
        $_POST["Frete"]         = $array_produto["Frete"];
        $_POST["Transportadora"]= $array_produto["Transportadora"];
        $_POST["Desconto_Real"] = valor_exibir($array_produto["Desconto_Real"]);
        $_POST["Desconto"]      = valor_exibir($array_produto["Desconto"]);
        $_POST["Valor_Pago"]    = valor_exibir($array_produto["Valor_Pago"]);
	$_POST["Tipo_Pagamento"]= $array_produto["Tipo_Pagamento"];
	$_POST["Data_Conclusao"]= $array_produto["Data_Conclusao"];
        

?>
<html>
<head>
<title>Gw - Gesto Web</title>
<link rel="stylesheet" type="text/css" href="../estilo/<?php echo SKIN ;?>/tableless.css" />
<link rel="stylesheet" type="text/css" href="../estilo/<?php echo SKIN ;?>/tabela_imp.css" />
</head>
<body>
    
        <fieldset class="envolve">
            
 <table width="100%" align="center" border="0" cellpadding="2" cellspacing="2">
     <tr>
         <td class="azul-claro" width="20%">Lanamento</td>
         <td class="cinza"><?php echo $_POST["Lancamento"];?></td>
     </tr>
     <tr>
         <td class="azul-claro" width="20%">Data</td>
         <td class="cinza"><?php echo data_exibir($_POST["Data_Pedido"]);?></td>
     </tr>
     <tr>
         <td class="azul-claro" width="20%">Responsvel</td>
         <td class="cinza"><?php echo $_POST["Funcionario"];?></td>
     </tr>
     <tr>
         <td class="azul-claro" width="20%">Fornecedor</td>
         <td class="cinza">
             <?php
             if(FORNECEDOR_RAZAO_SOCIAL=='Sim')
                echo $_POST["Razao_Social"];
             else
                echo $_POST["Fornecedor"];
             ?>
         </td>
     </tr>
     <tr>
         <td class="azul-claro" width="20%">Cfop</td>
         <td class="cinza"><?php echo $_POST["Cfop"];?></td>
     </tr>
     <tr>
         <td class="azul-claro" width="20%">Frete</td>
         <td class="cinza"><?php echo $_POST["Frete"];?></td>
     </tr>
     <tr>
         <td class="azul-claro" width="20%">Transportadora</td>
         <td class="cinza"><?php echo $_POST["Transportadora"];?></td>
     </tr>
     <tr>
         <td class="azul-claro" width="20%">Obs</td>
         <td class="cinza"><?php echo $_POST["Obs"];?></td>
     </tr>
     <tr>
         <td class="azul-claro" width="20%">Tipo Pagamento</td>
         <td class="cinza"><?php echo $_POST["Tipo_Pagamento"];?></td>
     </tr>
     <tr>
         <td class="azul-claro" width="20%">Desconto</td>
         <td class="cinza"><?php echo $_POST["Desconto"];?></td>
     </tr>
     <tr>
         <td class="azul-claro" width="20%">Desconto</td>
         <td class="cinza"><?php echo $_POST["Desconto_Real"];?></td>
     </tr>
     <tr>
         <td class="azul-claro" width="20%">Valor</td>
         <td class="cinza"><?php echo $_POST["Valor_Pago"];?></td>
     </tr>
     <tr>
         <td class="azul-claro" width="20%">Data Concluso</td>
         <td class="cinza"><?php echo data_exibir($_POST["Data_Conclusao"]);?></td>
     </tr>
 </table>

 <table width="100%" align="center" border="0" cellpadding="2" cellspacing="2">
     <tr>
         <td colspan="2">&nbsp;&nbsp;&nbsp;</td>
     </tr>
     <tr>
         <td class="azul-claro" width="2%">x</td>
         <td class="azul-claro" width="20%">Cdigo</td>
         <td class="azul-claro" width="30%">Produto</td>
         <td class="azul-claro" width="10%">Preo</td>
         <td class="azul-claro" width="10%">Qtd</td>
         <td class="azul-claro" width="10%">Total</td>
     </tr>
<?php
    
$usuario = mysqli_query($con,"Select produto.Titulo as Produto,
                            produto.Codigo,
                            pedido_produto.Preco,
                            pedido_produto.Qtd,
                            pedido_produto.Desconto,
                            pedido_produto.Desconto_Real
                            from pedido_produto
                            INNER JOIN (SELECT Id,Titulo,Codigo FROM produto) as produto ON produto.Id = pedido_produto.Id_Produto
                            where 1=1
                            AND pedido_produto.Id_Pedido = '".$_GET["id_pedido"]."'
                            ORDER by pedido_produto.Data_Cadastro ");
$x='1';
while ($chave = mysqli_fetch_assoc($usuario)) {
?>

     <tr>
         <td class="cinza"><?php echo $x;?></td>
         <td class="cinza"><?php echo $chave["Codigo"];?></td>
         <td class="cinza"><?php echo $chave["Produto"];?></td>
         <td class="cinza"><?php echo @valor_exibir( ( ($chave["Preco"]) - ($chave["Preco"] * ($chave["Desconto"]/100)) ) - $chave["Desconto_Real"]);?></td>
         <td class="cinza"><?php echo valor_exibir($chave["Qtd"]);?></td>
         <td class="cinza"><?php echo @valor_exibir( ( ($chave["Preco"]*$chave["Qtd"]) - ( ($chave["Preco"]*$chave["Qtd"])*($chave["Desconto"]/100) ) ) - $chave["Desconto_Real"]);?></td>
     </tr>
     
<?php $x++; } ?>
     
 </table>
            
        <br/>
        <button class="botao_novo" type="button" value="Voltar" onclick="location.href='list_pedido.php';">Voltar</button>
            
        </fieldset>