<?php
include_once "../include/conecta.php"; //Conecta com a nosso banco de dados MySQL
ini_set('session.gc_maxlifetime', 60*120); session_start();
/* include_once "../include/ver_sessao.php"; //Verifica se a sesso est ativa */
include_once "../include/funcoesPhp.php"; //Inclue a pgina con todas as funes a ser usada.
?>
<?php 
$pedido = listar("Select pedido.Id,
                         pedido.Lancamento,
                         pedido.Status,
                         pedido.Data_Pedido,
                         pedido.Obs as 'Obs_Pedido',
                         pedido.Valor_Original,
                         pedido.Valor_Pago,
                         pedido.Desconto,
                         pedido.Desconto_Real,
                         pedido.Frete,
                         pedido.Id_Unidade,
                         fornecedor.Titulo as 'Fornecedor',
                         fornecedor.Razao_Social,
                         fornecedor.Email,
                         fornecedor.Natureza,
                         fornecedor.Cpf_Cnpj,
                         fornecedor.Rua,
                         fornecedor.Numero,
                         fornecedor.Cep,
                         fornecedor.Bairro,
                         fornecedor.Estado,
                         fornecedor.Fone1,
                         fornecedor.Obs as 'Obs_Fornecedor',
                         cidade_ibge.Titulo as Cidade,
                         funcionario.Titulo as 'Funcionario',
                         tipo_pagamento.Titulo as 'Tipo_Pagamento',
                         centro_custo.Titulo as Centro_Custo,
                         atividade.Titulo as Atividade,
                         transportadora.Titulo as Transportadora
                         from pedido
                         left join (SELECT Id,Titulo,Email,Natureza,Cpf_Cnpj,Rua,Numero,Cep,Bairro,Estado,Fone1,Obs,Id_Cidade,Razao_Social FROM fornecedor) as fornecedor ON fornecedor.Id = pedido.Id_Fornecedor
                         left join (SELECT Id,Titulo FROM cidade_ibge) as cidade_ibge ON cidade_ibge.Id = fornecedor.Id_Cidade
                         left join (SELECT Id,Titulo FROM funcionario) as funcionario ON funcionario.Id = pedido.Id_Funcionario
                         left join (SELECT Id,Titulo FROM tipo_pagamento) as tipo_pagamento ON tipo_pagamento.Id = pedido.Id_Tipo_Pagamento
                         LEFT JOIN (SELECT Id,Titulo FROM centro_custo) as centro_custo ON centro_custo.Id = pedido.Id_Centro_Custo
                         LEFT JOIN (SELECT Id,Titulo FROM atividade) as atividade ON atividade.Id = pedido.Id_Atividade
                         LEFT JOIN (SELECT Id,Titulo FROM fornecedor) as transportadora ON transportadora.Id = pedido.Id_Transportadora
                         where pedido.Id = '".$_GET["id_pedido"]."'
                         order by pedido.Lancamento DESC");

$_GET["Unidade"] = $pedido[0]["Id_Unidade"];
?>
<html>
<head>
<title>Gw - Gesto Web</title>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1" />
<link rel="shortcut icon" href="../imagem/favi_gw.ico" type="image/x-icon" />
<link rel="stylesheet" type="text/css" href="../estilo/<?php echo SKIN ;?>/tabela_imp.css" />
<script type="text/javascript" language="javascript" src="../js/jquery.js"></script>
<?php include '../include/script_cabeca.php'; ?>
<script type="text/javascript" language="javascript" src="../js/script.js"></script>
<script type="text/javascript" language="javascript" src="../js/meiomask/meiomask.js"></script>
<script type="text/javascript" language="javascript" src="../js/meiomask/<?php if(PAIS=="USA"){ echo "mascaras-usa"; }else{ echo "mascaras"; }?>.js"></script>
</head>
<body>

<table width="98%" align="center"><!-- TABELA Q ENVOLVE TODO O CONTEUDO -->
<tr>
	<td>
		<?php include "../include/cabecalho_pedido.php"; ?>
	</td>
</tr>
<tr>
	<td>
		<table width="100%" align="center">
			<tr>
                            <td colspan="2" align="center">
                                <font face="verdana" size="3">
                                    <?php
                                    if((CLIENTE_EMAIL=='maxqualy')||(CLIENTE_EMAIL=='gw')){
                                        if($pedido[0]["Status"]=='Cotao'){
                                            echo "<b><i>Cotao - ".$pedido[0]["Lancamento"]."</i></b>";
                                        }else{
                                            echo "<b><i>Requisio de Material - ".$pedido[0]["Lancamento"]."</i></b>";
                                        }
                                    }else{
                                        echo "<b><i>Pedido de Compra - ".$pedido[0]["Lancamento"]."</i></b>";
                                    }
                                    ?>
                                </font>
                            </td>
			</tr>
		</table>
	</td>
</tr>
<?php
 $funcionario = listar("Select funcionario.Titulo from funcionario where Id = '".$_SESSION["Id_Funcionario"]."' ");
?>
<tr>
	<td>
		<table width="100%" align="center" class="tabela">
			<tr>
				<td width="70%">Fornecedor: 
                                    <?php
                                    if(FORNECEDOR_RAZAO_SOCIAL=='Sim'){
                                        echo $pedido[0]["Razao_Social"];
                                    }else{
                                        echo $pedido[0]["Fornecedor"];
                                    }
                                    ?>
                                </td>
                                <td width="30%">Frete: <?php echo $pedido[0]["Frete"];?></td>
			</tr>
			<tr>
				<td width="70%">End: <?php echo $pedido[0]["Rua"].', '.$pedido[0]["Numero"];?></td>
				<td width="30%">Fone: <?php echo $pedido[0]["Fone1"];?></td>
			</tr>
			<tr>
				<td width="70%"><?php echo 'Bairro:'.$pedido[0]["Bairro"].' Cidade:'.$pedido[0]["Cidade"].' UF:'.
                                                                                $pedido[0]["Estado"];?>
                                </td>
				<?php if($pedido[0]["Natureza"] == "PF"){?>
				<td width="30%">CPF: <?php echo $pedido[0]["Cpf_Cnpj"];?></td>
				<?php }else{?>
				<td width="30%">CNPJ: <?php echo $pedido[0]["Cpf_Cnpj"];?></td>
				<?php }?>
			</tr>
			<tr>
				<td width="70%">Pagamento: <?php echo $pedido[0]["Tipo_Pagamento"];?></td>
				<td width="30%">CEP: <?php echo $pedido[0]["Cep"];?></td>
			</tr>
                        <?php if(CLIENTE_EMAIL=='ersind'){ ?>
                        <tr>
				<td width="70%">Atividade: <?php echo $pedido[0]["Atividade"];?></td>
                                <td width="30%">Centro Custo: <?php echo $pedido[0]["Centro_Custo"];?></td>
			</tr>
                        <?php } ?>
			<tr>
                                <td width="70%">Obs: <?php echo $pedido[0]["Obs_Pedido"];?></td>
                                <td width="30%">Transp: <?php echo $pedido[0]["Transportadora"];?></td>
			</tr>
		</table>
	</td>
</tr>
<tr>
	<td>
		<table width="100%" align="center" class="tabela">
			<tr>
				<td colspan="9"><i>Produtos</i></td>
			</tr>
			<tr class="azul-claro">
				<td width="3%">N</td>
				<td width="10%">Cdigo</td>
				<td width="22%">Cd Fornecedor</td>
				<td width="36%">Produto</td>
				<td width="5%">Qtd</td>
				<td width="8%">Valor</td>
                                <td width="8%">Ipi</td>
                                <!--
				<td width="8%">Desc %</td>
                                <td width="8%">Desc $</td>
                                -->
                                <?php if((CLIENTE_EMAIL=='maxqualy') || (CLIENTE_EMAIL=='gw')){ ?>
                                <td>Status</td>
                                <?php }?>
                                <td width="8%">Total</td>
			</tr>
			<?php

               $pedido_pro = listar("Select pedido_produto.Preco as 'Preco_Pedido',
 					pedido_produto.Liberado as 'Qtd_Pedido',
 					pedido_produto.Desconto as 'Desconto_Pedido',
                                        pedido_produto.Desconto_Real,
                                        pedido_produto.Ipi,
                                        pedido_produto.Status_Produto,
 					produto.Titulo as 'Produto',
 					produto.Descricao,
                                        produto.Codigo_Fornecedor,
 					produto.Codigo
 					from pedido_produto
 					left join (SELECT Id,Titulo,Descricao,Codigo,Codigo_Fornecedor FROM produto) as produto ON produto.Id = pedido_produto.Id_Produto
 					where pedido_produto.Id_Pedido = '".$_GET["id_pedido"]."'
                                        ORDER BY pedido_produto.Data_Cadastro");

                        $x=1; foreach($pedido_pro as $chave){?>
                        
			<tr>
				<td><?php echo $x;?></td>
				<td><?php echo $chave["Codigo"];?></td>
				<td><?php echo $chave["Codigo_Fornecedor"];?></td>
				<td><?php echo $chave["Produto"];?></td>
				<td><?php echo $chave["Qtd_Pedido"];?></td>
				<td><?php echo number_format($chave["Preco_Pedido"],2,',','.');?></td>
                                <td><?php echo number_format($chave["Ipi"],2,',','.');?></td>
                                <!--
				<td><?php echo number_format($chave["Desconto_Pedido"],2,',','.');?></td>
                                <td><?php echo number_format($chave["Desconto_Real"],2,',','.');?></td>
                                -->
                                <?php if((CLIENTE_EMAIL=='maxqualy') || (CLIENTE_EMAIL=='gw')){ ?>
                                <td><?php echo $chave["Status_Produto"];?></td>
                                <?php }?>
				<td>
                                    <?php echo number_format( ( ($chave['Qtd_Pedido']*$chave['Preco_Pedido'])
                                               + ( ($chave['Qtd_Pedido']*$chave['Preco_Pedido'])*($chave['Ipi']/100) )
                                               - ( ($chave['Qtd_Pedido']*$chave['Preco_Pedido']) * ($chave['Desconto_Pedido']/100) ) ) - $chave['Desconto_Real'],2,',','.');?>
                                </td>
			</tr>
			<?php
			$Qtd_Pedido+= $chave["Qtd_Pedido"];
			$Preco_Pedido+=$chave["Preco_Pedido"];
			$Desconto_Pedido+=$chave["Desconto_Pedido"];
                        $Desconto_Real+=$chave["Desconto_Real"];
			$Total+=( ($chave["Preco_Pedido"]*$chave["Qtd_Pedido"])
                                + ( ($chave['Qtd_Pedido']*$chave['Preco_Pedido'])*($chave['Ipi']/100) )
				-(($chave["Preco_Pedido"]*$chave["Qtd_Pedido"])*($chave["Desconto_Pedido"]/100)) ) - $chave['Desconto_Real'];
			$x++; }
			?>
                        <tr>
				<td colspan="3"></td>
				<td>Totais da Compra:</td>
                                <td><?php echo number_format($Qtd_Pedido,2,',','.');?></td>
                                <td colspan="3"></td>
                                <!--
				<td><?php echo number_format($pedido[0]["Desconto"],2,',','.');?></td>
                                <td><?php echo number_format($pedido[0]["Desconto_Real"],2,',','.');?></td>
                                -->
				<td><?php echo number_format(( ( $Total - ( $Total*($pedido[0]["Desconto"]/100) ) ) - $pedido[0]["Desconto_Real"]),2,',','.');?></td>
                                
			</tr>
		</table>
	</td>
</tr>
</table>
<br/>
<table width="98%" align="center">
	<tr>
		<td align="center">________________________</td>
		<td align="center">________________________</td>
	</tr>
	<tr>
		<td align="center"><font face="verdana" size="2"><?php echo $pedido[0]["Fornecedor"];?></font></td>
		<td align="center"><font face="verdana" size="2">Representante: <?php echo $pedido[0]["Funcionario"];?></font></td>
	</tr>
</table>
</body>
</html>
<?php include "../include/rodape.php";?>