<?php
include_once '../include/conecta.php'; //Conecta com a nosso banco de dados MySQL
include_once '../include/ver_sessao.php'; //Verifica se a sesso est ativa
include_once '../include/funcoesPhp.php'; include_once '../menu_movimento.php';

    // Importar o modulo
    require("phplot.php");
    // Instanciar o grafico com tamanho pre-definido
    // Deixar em branco faz com que o grafico encaixe na janela
    $grafico = new PHPlot(1200,600);
    // Definindo o formato final da imagem
    $grafico->SetFileFormat("png");
    // Definindo o titulo do grafico
    #$grafico->SetTitle("Posts mais acessados");
    // Tipo do grafico
    // Por ser: lines, bars, boxes, bubbles, candelesticks, candelesticks2, linepoints, ohlc, pie, points, squared, stackedarea, stackedbars, thinbarline
    $grafico->SetPlotType("bars");
    # Tamanho da fonte que varia de 1-5
    $grafico->SetXLabelFontSize(5);
    $grafico->SetAxisFontSize(5);
    #Margem do grafico ([$lm], [$rm], [$tm], [$bm])
    $grafico->SetMarginsPixels(NULL, NULL, 80, NULL);
 
    //Aqui nos temos a propriedades da class phplot, podemos definir a cor dos textos de nosso grfico
    #$grafico->SetTextColor('blue');
    #$grafico->SetTickLabelColor('red');
    //Aqui nos temos a propriedades da class phplot, podemos definir a cor do ttulo de nosso grfico
    #$grafico->SetTitleColor('blue');
    #$grafico->SetDataLabelColor('red');
    //aqui nos definimos a cor da exibio da quantidade de votos, coloquei vermelho
    #$grafico->SetDataValueLabelColor('red');
    //tipo da borda da imagem
    #$grafico->SetImageBorderType('plain');
    
    # ajuste eixo X ----------
    // Titulo dos dados no eixo X
    #$grafico->SetXTitle("Meses");
    # Seta os traos (grid) do eixo X para invisvel
    #$grafico->SetXTickLabelPos('none');
    $grafico->SetXDataLabelPos('plotdown');
    $grafico->SetXDataLabelAngle('45');
    $grafico->SetXTickPos('none');
    # Texto abaixo do eixo X
    #$grafico->SetXLabel("ULTIMAS LEITURAS");
    # Qtd de amostragens
    //$grafico->SetNumXTicks(4);
    
    # ajuste eixo Y ----------
    // Titulo dos dados no eixo Y
    $grafico->SetYTitle("Faturamento Vendedor");
    // Preciso de uma casa decimal
    $grafico->SetPrecisionY(0);
    # Coloca nos pontos os valores de Y
    $grafico->SetYDataLabelPos('plotin');
    $grafico->SetYDataLabelAngle('45');
    # Qtd de amostragens
    $grafico->SetNumYTicks(4);
    
    // setar o valores no eixo Y no formato moeda
    // este metodo aceita uma funo quando o parametro custom  setado
    $grafico->SetYLabelType('custom', 'valor_exibir');
    
    /*
    // dados do grafico
    $resultado = $pdo->select("SELECT DISTINCT id_post, qntAcesso FROM `post` order by qntAcesso DESC LIMIT 5");
    //cria um array vazio
    $dados = array();
    //percorre o loop preenchendo o array
    foreach($resultado as $res){
        //cria um array auxiliar para que a cada linha ele comece um novo, pois eh varios array dentro de um array
        $aux = array();
        $idPost = $res['id_post'];
        //armazena o ID do post e concatena abaixo para melhorar o visual
        array_push($aux, "post-$idPost" , $res['qntAcesso']);
        //add o array novo dentro do array unico criado antes do loop
        array_push($dados, $aux);
    }
    */
    
    
######

if($_GET['Data_Filtro']=='Data'){
        
    if($_GET["De"]){
        $data_v.= "AND venda.Data_Venda >= '".data_banco($_GET["De"])." 00:00:00' ";
        $data_a.= "AND venda.Data_Venda >= '".data_banco(DiminuirData($_GET["De"],'360'))." 00:00:00' ";
    }
    if($_GET["Ate"]){
        $data_v.= "AND venda.Data_Venda <= '".data_banco($_GET["Ate"])." 23:59:59' ";
        $data_a.= "AND venda.Data_Venda <= '".data_banco($_GET["Ate"])." 23:59:59' ";
    }
        
}
if($_GET['Data_Filtro']=='Conclusao'){
        
    if($_GET["De"]){
        $data_v.= "AND venda.Data_Conclusao >= '".data_banco($_GET["De"])." 00:00:00' ";
        $data_a.= "AND venda.Data_Conclusao >= '".data_banco(DiminuirData($_GET["De"],'360'))." 00:00:00' ";
    }
    if($_GET["Ate"]){
        $data_v.= "AND venda.Data_Conclusao <= '".data_banco($_GET["Ate"])." 23:59:59' ";
        $data_a.= "AND venda.Data_Conclusao <= '".data_banco($_GET["Ate"])." 23:59:59' ";
    }
        
}


if($_GET["Cliente"]){
    
$mystring = $_GET["Cliente"];
$findme = " : ";

$posicao = strpos($mystring, $findme);

$cod_cli = substr($_GET["Cliente"], 0, $posicao);
$nome_cli = substr($_GET["Cliente"], ($posicao + 3) );


    if(CLIENTE_RAZAO_SOCIAL=='Sim'){
        $nome = 'Razao_Social';
    }else{
        $nome = 'Titulo';
    }
/* convertendo o nome do fornecedor, para o seu codigo */
$Prodt = listar("SELECT Id FROM cliente WHERE ".$nome." ='".$nome_cli."' AND Codigo = '".$cod_cli."' ");
$_GET["Cliente"] = $Prodt[0]["Id"];

$cliente_v.= "and venda.Id_Cliente = '".$_GET["Cliente"]."' ";
    
}

if($_GET["Fornecedor"]){
    
$mystring = $_GET["Fornecedor"];
$findme = " : ";

$posicao = strpos($mystring, $findme);

$cod_cli = substr($_GET["Fornecedor"], 0, $posicao);
$nome_cli = substr($_GET["Fornecedor"], ($posicao + 3) );


    if(FORNECEDOR_RAZAO_SOCIAL=='Sim'){
        $nome = 'Razao_Social';
    }else{
        $nome = 'Titulo';
    }
/* convertendo o nome do fornecedor, para o seu codigo */
$Prodt = listar("SELECT Id FROM fornecedor WHERE ".$nome." ='".$nome_cli."' AND Codigo = '".$cod_cli."' ");
$_GET["Fornecedor"] = $Prodt[0]["Id"];

$id_for = $Prodt[0]["Id"];
$for_v.= "and venda.Id_Fornecedor = '".$_GET["Fornecedor"]."' ";
    
}

if($_GET["Produto"]){
        
$mystring = $_GET["Produto"];
$findme = " : ";

$posicao = strpos($mystring, $findme);

$cod_cli = substr($_GET["Produto"], 0, $posicao);
$nome_cli = substr($_GET["Produto"], ($posicao + 3) );


/* convertendo o nome do fornecedor, para o seu codigo */
$Prodt = listar("SELECT Id FROM produto WHERE Titulo='".$nome_cli."' AND Codigo = '".$cod_cli."' ");
$_GET["Produto"] = $Prodt[0]["Id"];
        
$venda_produto_v = " and venda_produto.Id_Produto = '".$_GET["Produto"]."' ";
        
}

if($_GET["Vendedor"]){
        $vend_v.= "AND venda.Id_Vendedor = '".$_GET["Vendedor"]."' ";
}

if($_GET["Unidade"]){
        $unidade_v = "AND venda.Id_Unidade = '".$_GET["Unidade"]."' ";
}
if($_GET["Categoria_Cliente"]){
	$natureza.= "and cliente.Id_Categoria_Cliente = '".$_GET["Categoria_Cliente"]."' ";
}
if($_GET["Categoria_Cliente_Filho"]){
	$natureza.= "and cliente.Id_Categoria_Cliente_Filho = '".$_GET["Categoria_Cliente_Filho"]."' ";
}
if ($_GET["Estado"]) {
    $natureza .= "and cliente.Estado = '" . $_GET["Estado"] . "' ";
}
//gabiarra
if($natureza!=''){
    $total_cliente = mysql_query("SELECT Id FROM cliente WHERE 1=1 $natureza ");
    $id_cliente = "AND (";
    while($reg = mysql_fetch_assoc($total_cliente)){
        $id_cliente.= " venda.Id_Cliente = '".$reg["Id"]."' OR ";
    }
    $id_cliente = substr($id_cliente,0,-3);
    $id_cliente = $id_cliente." ) ";
    
}

//nao pode ter os 2. Se tiver cliente, no pode ter por categoria.
if($cliente_v !=''){
    $id_cliente = '';
}








if($_GET["Ok"]){
    
$vendas = mysql_query("SELECT vendedor.Id as Id_Vendedor,
                    vendedor.Titulo as Vendedor
                    FROM (SELECT Id,Data_Venda,Data_Conclusao,Status,Id_Cliente,Id_Vendedor,Id_Unidade 
                    FROM venda 
                    WHERE Status <> 'Cancelado' $data_v $vend_v $unidade_v $id_cliente $cliente_v $for_v) as venda
                    INNER JOIN (SELECT Id,Titulo FROM funcionario) as vendedor ON vendedor.Id = venda.Id_Vendedor
                    where 1=1 
                    GROUP BY venda.Id_Vendedor
                    ORDER BY vendedor.Titulo ");

}

        $valorFinal = '0';
        
                //inicio da validacao de campos
		if($_GET["Ok"]){

                    
//fatura total
$vendas_tot = mysql_query("SELECT venda.Id,
                    venda_produto.Id_Produto,
                    SUM(venda_produto.Qtd_Faturado) as Qtd_Faturado,
                    SUM( (venda_produto.Preco * venda_produto.Qtd_Faturado) - ( (venda_produto.Preco * venda_produto.Qtd_Faturado) * (venda_produto.Desconto/100) ) - venda_produto.Desconto_Real ) as Valor_Faturado
                    FROM (SELECT Id,Data_Venda,Data_Conclusao,Status,Id_Cliente,Id_Vendedor,Id_Unidade 
                    FROM venda WHERE Status <> 'Cancelado' 
                    $data_v $vend_v $unidade_v $id_cliente $cliente_v $for_v) as venda
                    inner join (SELECT Id,Id_Venda,Preco,Qtd,Qtd_Faturado,Desconto,Desconto_Real,Id_Produto 
                    FROM venda_produto
                    WHERE 1=1 $venda_produto_v ) as venda_produto ON venda_produto.Id_Venda = venda.Id
                    where 1=1 
                    GROUP BY venda_produto.Id_Produto
                    ORDER BY Qtd DESC");
while ($linha3 = mysql_fetch_assoc($vendas_tot)) {
                
$produ = mysql_query("SELECT Id,Titulo,Codigo,Medida,Id_Fornecedor,Peso_Bruto,Id_Categoria_Produto 
            FROM produto WHERE Id = '".$linha3['Id_Produto']."' ");
$prod = mysql_fetch_assoc($produ);

$kgFaturadoTot+=($linha3['Qtd_Faturado']*$prod['Peso_Bruto']);
$realFaturadoTot+=($linha3['Valor_Faturado']);

}
                    
                    
                    
                    
                $x=0;
                $tVendas = '0';
		$color = "#F5F5F5";
                $g = '0';
                while ($linha = mysql_fetch_assoc($vendas)) {

		if ($color == "#F5F5F5") {
			$color = "#E8E8E8";
		} else {
			$color = "#F5F5F5";
		}

                
$vendas2 = mysql_query("SELECT venda.Id,
                    venda_produto.Id_Produto,
                    SUM(venda_produto.Qtd_Faturado) as Qtd_Faturado,
                    SUM( (venda_produto.Preco * venda_produto.Qtd_Faturado) - ( (venda_produto.Preco * venda_produto.Qtd_Faturado) * (venda_produto.Desconto/100) ) - venda_produto.Desconto_Real ) as Valor_Faturado
                    FROM (SELECT Id,Data_Venda,Data_Conclusao,Status,Id_Cliente,Id_Vendedor,Id_Unidade 
                    FROM venda WHERE Status <> 'Cancelado' 
                    AND venda.Id_Vendedor='".$linha['Id_Vendedor']."'
                    $data_v $vend_v $unidade_v $id_cliente $cliente_v $for_v) as venda
                    inner join (SELECT Id,Id_Venda,Preco,Qtd,Qtd_Faturado,Desconto,Desconto_Real,Id_Produto 
                    FROM venda_produto
                    WHERE 1=1 $venda_produto_v ) as venda_produto ON venda_produto.Id_Venda = venda.Id
                    where 1=1 
                    GROUP BY venda_produto.Id_Produto
                    ORDER BY Qtd DESC");

$kgFaturado='0';
$realFaturado='0';
while ($linha2 = mysql_fetch_assoc($vendas2)) {
                
$produ = mysql_query("SELECT Id,Titulo,Codigo,Medida,Id_Fornecedor,Peso_Bruto,Id_Categoria_Produto 
            FROM produto WHERE Id = '".$linha2['Id_Produto']."' ");
$prod = mysql_fetch_assoc($produ);

$kgFaturado+=($linha2['Qtd_Faturado']*$prod['Peso_Bruto']);
$realFaturado+=($linha2['Valor_Faturado']);

}

$metas = mysql_query("SELECT Meta,Peso FROM fornecedor_meta 
            WHERE Id_Funcionario = '".$linha['Id_Vendedor']."' 
            AND Id_Fornecedor = '".$id_for."' ");
$metas = mysql_fetch_assoc($metas);


$perc_kg = ($kgFaturado/$kgFaturadoTot)*100;

$perc_real = ($realFaturado/$realFaturadoTot)*100;

$arrData = array();
$arrData[$g][1] = CaracteresEspeciais($linha['Vendedor'],'Sim');
$arrData[$g][2] = number_format($kgFaturado,2,".","");
$arrData[$g][3] = number_format($perc_kg,2,".","");
$arrData[$g][4] = number_format($realFaturado,2,".","");
$arrData[$g][5] = number_format($perc_real,2,".","");


        $g++;
        $x++;
        }
        
        //fim validacao de campos
        }








    
    
    //cria um array vazio
    $dados = array();
    foreach ($arrData as $arSubData) {
        //cria um array auxiliar para que a cada linha ele comece um novo, pois eh varios array dentro de um array
        $aux = array();
        //armazena o ID do post e concatena abaixo para melhorar o visual
        array_push($aux, $arSubData[1] , $arSubData[2], $arSubData[3], $arSubData[4], $arSubData[5]);
        //add o array novo dentro do array unico criado antes do loop
        array_push($dados, $aux);
    }
    
    # Tipo de dados que preenchero o Grfico text(label dos anos) e data (valores de porcentagem)
    $grafico->SetDataType("text-data");
    //seta os dados
    $grafico->SetDataValues($dados);
    //Exibimos o grfico
    $grafico->DrawGraph();
    
?>