<?php
include_once '../include/conecta.php'; //Conecta com a nosso banco de dados MySQL
include_once '../include/ver_sessao.php'; //Verifica se a sesso est ativa
include_once '../include/funcoesPhp.php'; include_once '../menu_movimento.php';

    // Importar o modulo
    require("phplot.php");
    // Instanciar o grafico com tamanho pre-definido
    // Deixar em branco faz com que o grafico encaixe na janela
    $grafico = new PHPlot(1200,600);
    // Definindo o formato final da imagem
    $grafico->SetFileFormat("png");
    // Definindo o titulo do grafico
    #$grafico->SetTitle("Posts mais acessados");
    // Tipo do grafico
    // Por ser: lines, bars, boxes, bubbles, candelesticks, candelesticks2, linepoints, ohlc, pie, points, squared, stackedarea, stackedbars, thinbarline
    $grafico->SetPlotType("bars");
    # Tamanho da fonte que varia de 1-5
    $grafico->SetXLabelFontSize(5);
    $grafico->SetAxisFontSize(5);
    #Margem do grafico ([$lm], [$rm], [$tm], [$bm])
    $grafico->SetMarginsPixels(NULL, NULL, 20, NULL);
 
    //Aqui nos temos a propriedades da class phplot, podemos definir a cor dos textos de nosso grfico
    #$grafico->SetTextColor('blue');
    #$grafico->SetTickLabelColor('red');
    //Aqui nos temos a propriedades da class phplot, podemos definir a cor do ttulo de nosso grfico
    #$grafico->SetTitleColor('blue');
    #$grafico->SetDataLabelColor('red');
    //aqui nos definimos a cor da exibio da quantidade de votos, coloquei vermelho
    #$grafico->SetDataValueLabelColor('red');
    //tipo da borda da imagem
    #$grafico->SetImageBorderType('plain');
    
    # ajuste eixo X ----------
    // Titulo dos dados no eixo X
    #$grafico->SetXTitle("Meses");
    # Seta os traos (grid) do eixo X para invisvel
    #$grafico->SetXTickLabelPos('none');
    //$grafico->SetXLabelAngle('45');
    $grafico->SetXDataLabelPos('plotdown');
    $grafico->SetXDataLabelAngle('0');
    $grafico->SetXTickPos('none');
    # Texto abaixo do eixo X
    #$grafico->SetXLabel("ULTIMAS LEITURAS");
    # Qtd de amostragens
    //$grafico->SetNumXTicks(4);

    
    # ajuste eixo Y ----------
    // Titulo dos dados no eixo Y
    $grafico->SetYTitle("Desempenho Produo");
    // Preciso de uma casa decimal
    $grafico->SetPrecisionY(0);
    # Coloca nos pontos os valores de Y
    $grafico->SetYDataLabelPos('plotin');
    # Qtd de amostragens
    $grafico->SetNumYTicks(4);
    
    // setar o valores no eixo Y no formato moeda
    // este metodo aceita uma funo quando o parametro custom  setado
    $grafico->SetYLabelType('custom', 'valor_exibir');
    
    # Set a 3 line legend, and position it in the upper left corner:
    $grafico->SetLegend(array('Qty'));
    $grafico->SetLegendPosition(0, 0, 'plot', 0.5, 0);
    
    /*
    // dados do grafico
    $resultado = $pdo->select("SELECT DISTINCT id_post, qntAcesso FROM `post` order by qntAcesso DESC LIMIT 5");
    //cria um array vazio
    $dados = array();
    //percorre o loop preenchendo o array
    foreach($resultado as $res){
        //cria um array auxiliar para que a cada linha ele comece um novo, pois eh varios array dentro de um array
        $aux = array();
        $idPost = $res['id_post'];
        //armazena o ID do post e concatena abaixo para melhorar o visual
        array_push($aux, "post-$idPost" , $res['qntAcesso']);
        //add o array novo dentro do array unico criado antes do loop
        array_push($dados, $aux);
    }
    */
    
    
######
$ultDia = date("t", mktime(0, 0, 0, $_GET["Mes"], 1, $_GET["Ano"]));
$data .= "AND venda_producao.Data_Produzido >= '".($_GET["Ano"].'-'.$_GET["Mes"].'-01')."' ";
$data .= "AND venda_producao.Data_Produzido <= '".($_GET["Ano"].'-'.$_GET["Mes"].'-'.$ultDia)."' ";

if($_GET["Unidade"]){
    $Unidade = "and venda.Id_Unidade = '".$_GET["Unidade"]."' ";
}

$produto = mysql_query("Select cortador.Login as Cortador,
                        COUNT(venda_producao.Id) as Qtd
                        from (SELECT Id FROM venda WHERE Tipo_Movimentacao = 'Invoice' $Unidade) as venda 
                        INNER JOIN (SELECT Id,Id_Venda,Id_Usuario_Produzido,Data_Produzido FROM venda_producao WHERE Id_Usuario_Produzido<>'') as venda_producao ON venda_producao.Id_Venda = venda.Id
                        LEFT JOIN (SELECT Id,Login FROM usuario) as cortador ON cortador.Id = venda_producao.Id_Usuario_Produzido
                        where 1=1 $data
                        GROUP BY venda_producao.Id_Usuario_Produzido
                        ORDER BY Cortador");
    
    
    //cria um array vazio
    $dados = array();
    //percorre o loop preenchendo o array
    while($res = mysql_fetch_assoc($produto)){
        //cria um array auxiliar para que a cada linha ele comece um novo, pois eh varios array dentro de um array
        $aux = array();
        //armazena o ID do post e concatena abaixo para melhorar o visual
        array_push($aux, $res['Cortador'] , $res['Qtd']);
        //add o array novo dentro do array unico criado antes do loop
        array_push($dados, $aux);
    }
    
    # Tipo de dados que preenchero o Grfico text(label dos anos) e data (valores de porcentagem)
    $grafico->SetDataType("text-data");
    //seta os dados
    $grafico->SetDataValues($dados);
    //Exibimos o grfico
    $grafico->DrawGraph();
    
?>