<?php
include_once '../include/conecta.php'; //Conecta com a nosso banco de dados MySQL
include_once '../include/ver_sessao.php'; //Verifica se a sesso est ativa
include_once '../include/funcoesPhp.php'; include_once '../menu_movimento.php';

    // Importar o modulo
    require("phplot.php");
    // Instanciar o grafico com tamanho pre-definido
    // Deixar em branco faz com que o grafico encaixe na janela
    $grafico = new PHPlot(1200,600);
    // Definindo o formato final da imagem
    $grafico->SetFileFormat("png");
    // Definindo o titulo do grafico
    #$grafico->SetTitle("Posts mais acessados");
    // Tipo do grafico
    // Por ser: lines, bars, boxes, bubbles, candelesticks, candelesticks2, linepoints, ohlc, pie, points, squared, stackedarea, stackedbars, thinbarline
    $grafico->SetPlotType("bars");
    # Tamanho da fonte que varia de 1-5
    $grafico->SetXLabelFontSize(5);
    $grafico->SetAxisFontSize(5);
    #Margem do grafico ([$lm], [$rm], [$tm], [$bm])
    $grafico->SetMarginsPixels(NULL, NULL, 20, NULL);
 
    //Aqui nos temos a propriedades da class phplot, podemos definir a cor dos textos de nosso grfico
    #$grafico->SetTextColor('blue');
    #$grafico->SetTickLabelColor('red');
    //Aqui nos temos a propriedades da class phplot, podemos definir a cor do ttulo de nosso grfico
    #$grafico->SetTitleColor('blue');
    #$grafico->SetDataLabelColor('red');
    //aqui nos definimos a cor da exibio da quantidade de votos, coloquei vermelho
    #$grafico->SetDataValueLabelColor('red');
    //tipo da borda da imagem
    #$grafico->SetImageBorderType('plain');
    
    # ajuste eixo X ----------
    // Titulo dos dados no eixo X
    #$grafico->SetXTitle("Meses");
    # Seta os traos (grid) do eixo X para invisvel
    #$grafico->SetXTickLabelPos('none');
    $grafico->SetXTickPos('none');
    # Texto abaixo do eixo X
    #$grafico->SetXLabel("ULTIMAS LEITURAS");
    # Qtd de amostragens
    //$grafico->SetNumXTicks(4);
    
    
    # ajuste eixo Y ----------
    // Titulo dos dados no eixo Y
    $grafico->SetYTitle("Categoria Produto");
    // Preciso de uma casa decimal
    $grafico->SetPrecisionY(0);
    # Coloca nos pontos os valores de Y
    $grafico->SetYDataLabelPos('plotin');
    # Qtd de amostragens
    $grafico->SetNumYTicks(4);
    
    
    // setar o valores no eixo Y no formato moeda
    // este metodo aceita uma funo quando o parametro custom  setado
    $grafico->SetYLabelType('custom', 'valor_exibir');
    
    /*
    // dados do grafico
    $resultado = $pdo->select("SELECT DISTINCT id_post, qntAcesso FROM `post` order by qntAcesso DESC LIMIT 5");
    //cria um array vazio
    $dados = array();
    //percorre o loop preenchendo o array
    foreach($resultado as $res){
        //cria um array auxiliar para que a cada linha ele comece um novo, pois eh varios array dentro de um array
        $aux = array();
        $idPost = $res['id_post'];
        //armazena o ID do post e concatena abaixo para melhorar o visual
        array_push($aux, "post-$idPost" , $res['qntAcesso']);
        //add o array novo dentro do array unico criado antes do loop
        array_push($dados, $aux);
    }
    */
    
    
######

if( ($_GET["Finalizado"]) || ($_GET["Aberto"]) || ($_GET["Cancelado"]) || ($_GET["Faturado_Parcial"]) ){

        $status = "and (";
    
if($_GET["Finalizado"]){
	$status.= " venda.Status = 'Finalizado' OR";
}
if($_GET["Aberto"]){
	$status.= " venda.Status = 'Aberto' OR";
}
if($_GET["Cancelado"]){
	$status.= " venda.Status = 'Cancelado' OR";
}
    
    $status = substr($status, 0, -2);
    $status.=")";

}

if($_GET['Data_Filtro']=='Data'){
	if($_GET["De"]){
		$data .= "AND venda.Data_Venda >= '".data_banco($_GET["De"])." 00:00:00' ";
        }
	if($_GET["Ate"]){
		$data .= "AND venda.Data_Venda <= '".data_banco($_GET["Ate"])." 23:59:59' ";
        }
}
if($_GET['Data_Filtro']=='Conclusao'){
	if($_GET["De"]){
		$data .= "AND venda.Data_Conclusao >= '".data_banco($_GET["De"])." 00:00:00' ";
        }
	if($_GET["Ate"]){
		$data .= "AND venda.Data_Conclusao <= '".data_banco($_GET["Ate"])." 23:59:59' ";
        }
}
	
if($_GET["Cliente"]){
    
$mystring = $_GET["Cliente"];
$findme = " : ";

$posicao = strpos($mystring, $findme);

$cod_cli = substr($_GET["Cliente"], 0, $posicao);
$nome_cli = substr($_GET["Cliente"], ($posicao + 3) );


    if(CLIENTE_RAZAO_SOCIAL=='Sim'){
        $nome = 'Razao_Social';
    }else{
        $nome = 'Titulo';
    }
/* convertendo o nome do fornecedor, para o seu codigo */
$Prodt = listar("SELECT Id FROM cliente WHERE ".$nome." ='".$nome_cli."' AND Codigo = '".$cod_cli."' ");
$_GET["Cliente"] = $Prodt[0]["Id"];

$Cliente.= "and venda.Id_Cliente = '".$_GET["Cliente"]."' ";
    
}

if($_GET["Categoria"]){
	$cate.= "and venda_produto.Id_Categoria_Produto = '".$_GET["Categoria"]."' ";
}

if($_GET["Funcionario"]){
	$usuario_p.= "and venda.Id_Funcionario = '".$_GET["Funcionario"]."' ";
}
	
if($_GET["Unidade"]){
	$Unidade = "and venda.Id_Unidade = '".$_GET["Unidade"]."' ";
}

#######
    
$resultado = mysql_query("Select SUM( 
                                    IF(
                                        venda_produto.Sf='0',
                                        (venda_produto.Preco * venda_produto.Qtd),
                                        ( (venda_produto.Preco * venda_produto.Sf) * venda_produto.Qtd)
                                       )
                                    
                                    - ( 
                                        (
                                        IF(
                                            venda_produto.Sf='0',
                                            (venda_produto.Preco * venda_produto.Qtd),
                                            ( (venda_produto.Preco * venda_produto.Sf) * venda_produto.Qtd)
                                           )
                                        ) * (venda_produto.Desconto/100) 
                                       ) 
                                    - venda_produto.Desconto_Real - Desconto_Real_Pe_Nota 
                                ) as Valor,
                        venda_produto.Id_Categoria_Produto
                        FROM (SELECT Id FROM venda where 1=1
                        $data $status $usuario_p $Cliente $Unidade
                        order by venda.Lancamento) as venda
                        INNER JOIN 
                        (SELECT venda_produto.Id,
                                venda_produto.Id_Produto,
                                venda_produto.Id_Venda,
                                venda_produto.Preco,
                                venda_produto.Qtd,
                                venda_produto.Sf,
                                venda_produto.Desconto,
                                venda_produto.Desconto_Real,
                                venda_produto.Desconto_Real_Pe_Nota,
                                venda_produto.Id_Categoria_Produto
                        FROM venda_produto WHERE 1=1 $cate
                        ) 
                        as venda_produto ON venda_produto.Id_Venda = venda.Id
                        WHERE venda_produto.Id_Categoria_Produto<>''
                        GROUP BY venda_produto.Id_Categoria_Produto
                        ORDER BY Valor DESC ");
    
    
    //cria um array vazio
    $dados = array();
    //percorre o loop preenchendo o array
    while($res = mysql_fetch_assoc($resultado)){ 
        
        $c_produto = mysql_query("Select Titulo as Categoria FROM categoria_produto where Id = '".$res["Id_Categoria_Produto"]."' ");
        $c_valor = mysql_fetch_assoc($c_produto);
        
        
        //cria um array auxiliar para que a cada linha ele comece um novo, pois eh varios array dentro de um array
        $aux = array();
        $mes = data_exibir($c_valor['Categoria']);
        //armazena o ID do post e concatena abaixo para melhorar o visual
        array_push($aux, $c_valor["Categoria"] , $res["Valor"]);
        //add o array novo dentro do array unico criado antes do loop
        array_push($dados, $aux);
    }
    
    
    # Tipo de dados que preenchero o Grfico text(label dos anos) e data (valores de porcentagem)
    $grafico->SetDataType("text-data");
    //seta os dados
    $grafico->SetDataValues($dados);
    # Gera uma legenda
    //$grafico->SetLegend(array('Pedro', 'Paulo'));
    //Exibimos o grfico
    $grafico->DrawGraph();
    
?>