<?php
include_once "../include/conecta.php"; //Conecta com a nosso banco de dados MySQL
ini_set('session.gc_maxlifetime', 60 * 120);
session_start();
/* include_once "../include/ver_sessao.php"; //Verifica se a sesso est ativa */
include_once "../include/funcoesPhp.php"; //Inclue a pgina con todas as funes a ser usada.
?>
<?php
$pedido=listar("SELECT pre_venda.Id, 					
                         pre_venda.Status,
                         pre_venda.Lancamento,
                         pre_venda.Data_Pre_Venda,
                         pre_venda.Obs as 'Obs_Venda',
                         pre_venda.Valor_Original,
                         pre_venda.Valor_Pago,
                         pre_venda.Id_Unidade,
                         cliente.Titulo as 'Cliente',
                         cliente.Razao_Social as 'Razao',
                         cliente.Codigo,
                         cliente.Email,
                         cliente.Natureza,
                         cliente.Cpf_Cnpj,
                         cliente.Rua,
                         cliente.Numero,
                         cliente.Cep,
                         cliente.Bairro,
                         cliente.Estado,
                         cliente.Fone1,
                         cliente.Ponto_Referencia,
                         cliente.Obs as 'Obs_Cliente',
                         cliente.Cidade,
                         cliente.Fax,
                         funcionario.Titulo as 'Funcionario',
                         transportadora.Titulo as Transportadora
                         FROM pre_venda
                         LEFT JOIN (SELECT Id,Codigo,Titulo,Razao_Social,Email,Natureza,Cpf_Cnpj,Rua,Numero,Cep,Bairro,Estado,Fone1,Ponto_Referencia,Obs,Cidade,Fax FROM cliente) as cliente ON cliente.Id = pre_venda.Id_Cliente
                         LEFT JOIN (SELECT Id,Titulo FROM funcionario) as funcionario ON funcionario.Id = pre_venda.Id_Vendedor
                         LEFT JOIN (SELECT Id,Titulo FROM fornecedor) as transportadora ON pre_venda.Id_Transportadora = transportadora.Id
                         WHERE pre_venda.Id = '" . $_GET["id_pre_venda"] . "' ");

$_GET["Unidade"] = $pedido[0]["Id_Unidade"];
?>
<html>

<head>
    <title>Gw - Gesto Web</title>
    <link rel="stylesheet" type="text/css" href="../estilo/<?php echo SKIN; ?>/tabela_imp.css" />
    <script type="text/javascript" language="javascript" src="../js/jquery.js"></script>
    <?php include '../include/script_cabeca.php'; ?>
    <script type="text/javascript" language="javascript" src="../js/script.js"></script>
    <script type="text/javascript" language="javascript" src="../js/meiomask/meiomask.js"></script>
    <script type="text/javascript" language="javascript" src="../js/meiomask/<?php if (PAIS == "USA") {
                                                                                    echo "mascaras-usa";
                                                                                } else {
                                                                                    echo "mascaras";
                                                                                } ?>.js"></script>
</head>

<body>

    <table width="98%" align="center">
        <!-- TABELA Q ENVOLVE TODO O CONTEUDO -->
        <tr>
            <td>
                <table width="90%" align="center">
                    <?php
                    $empresa = listar("SELECT unidade.Logo,
                                              unidade.Titulo,
                                              unidade.Cnpj,
                                              unidade.Rua,
                                              unidade.Numero,
                                              unidade.Complemento,
                                              unidade.Bairro,
                                              unidade.Cidade,
                                              unidade.Estado,
                                              unidade.Cep,
                                              unidade.Fone1,
                                              unidade.Fone2,
                                              unidade.Email,
                                              unidade.Site
                                         FROM unidade 
                                        WHERE unidade.Id = '" . $pedido[0]["Id_Unidade"] . "' ");
                    ?>
                    <tr>
                        <td width="40%">
                            <?php
                            if (file_exists("../unidade/foto/" . $empresa[0]["Logo"] . "")) {
                                $cam_arq = "../unidade/foto/" . $empresa[0]["Logo"];
                            } else {
                                $cam_arq = "../../unidade/foto/" . $empresa[0]["Logo"];
                            }
                            ?>
                            <img src="<?php echo $cam_arq; ?>" title="Logo" alt="Logo" border="0" width="140px" height="auto" />
                        </td>
                        <td width="60%" class="razao">
                            <b>
                                <font face="verdana" size="3">
                                    <?php echo $empresa[0]["Titulo"]; ?>
                                </font>
                            </b><br>
                            <?php
                            if ($empresa[0]["Complemento"]) {
                                $compl = " - " . $empresa[0]["Complemento"];
                            }
                            ?>
                            Cnpj: <?php echo $empresa[0]["Cnpj"]; ?><br>
                            End: <?php echo $empresa[0]["Rua"] . ", " . $empresa[0]["Numero"] . $compl; ?> |
                            <?php echo $empresa[0]["Bairro"]; ?> |
                            <?php echo $empresa[0]["Cidade"]; ?> | <?php echo $empresa[0]["Estado"]; ?> -
                            CEP <?php echo $empresa[0]["Cep"]; ?><br>
                            Fone: <?php echo $empresa[0]["Fone1"]; ?>
                            <?php
                            if ($empresa[0]["Fone2"]) {
                                echo " - " . $empresa[0]["Fone2"];
                            }
                            ?>
                            <br>
                            E-mail: <?php echo $empresa[0]["Email"]; ?><br>
                            <?php
                            if ($empresa[0]["Site"]) {
                                echo 'Site: ' . $empresa[0]["Site"];
                            }
                            ?>
                        </td>
                    </tr>
                </table>
            </td>
        </tr>
        <tr>
            <td>
                <br />
                <table width="100%" align="center">
                    <tr>
                        <td colspan="2" align="center">
                            <font face="verdana" size="3">
                                <b><i>Mapa Separao</i></b>
                            </font>
                        </td>
                    </tr>
                    <tr>
                        <td width="55%">
                            <font face="verdana" size="2">
                                Pedido:
                            </font>
                            <b>
                                <font face="verdana" size="3">
                                    <?php echo $pedido[0]["Lancamento"]; ?>
                                </font>
                            </b>
                        </td>
                        <td width="45%">
                            <font face="verdana" size="2">
                                Vendedor: <?php echo $pedido[0]["Funcionario"]; ?>
                            </font>
                        </td>
                    </tr>
                </table>
            </td>
        </tr>
        <tr>
            <td>
                <table width="100%" align="center" class="tabela">
                    <tr>
                        <td width="70%">Razo: <?php echo $pedido[0]["Codigo"] . " - " . $pedido[0]["Razao"]; ?></td>
                        <td width="30%">Emisso: <?php echo data_exibir($pedido[0]["Data_Venda"]); ?></td>
                    </tr>
                    <tr>
                        <td width="70%">Fantasia: <?php echo $pedido[0]["Cliente"]; ?></td>
                        <td width="30%">Fone: <?php echo $pedido[0]["Fone1"] . " / " . $pedido[0]["Fax"]; ?></td>
                    </tr>
                    <tr>
                        <td width="70%">End: <?php echo $pedido[0]["Rua"] . ', ' . $pedido[0]["Numero"]; ?></td>
                        <?php if ($pedido[0]["Natureza"] == "PF") { ?>
                            <td width="30%">CPF: <?php echo $pedido[0]["Cpf_Cnpj"]; ?></td>
                        <?php } else { ?>
                            <td width="30%">CNPJ: <?php echo $pedido[0]["Cpf_Cnpj"]; ?></td>
                        <?php } ?>
                    </tr>
                    <tr>
                        <td width="70%"><?php echo 'Bairro:' . $pedido[0]["Bairro"] . ' Cidade:' . $pedido[0]["Cidade"] . ' UF:' .
                                            $pedido[0]["Estado"]; ?></td>
                        <td width="30%">CEP: <?php echo $pedido[0]["Cep"]; ?></td>
                    </tr>
                </table>
            </td>
        </tr>
        <tr>
            <td>
                <table width="100%" align="center" class="tabela">
                    <tr>
                        <td colspan="8"><i>Produtos</i></td>
                    </tr>
                    <tr class="azul-claro">
                        <td width="3%">N</td>
                        <td width="8%">Cdigo</td>
                        <td width="18%">Produto</td>
                        <td width="5%">UN</td>
                        <td width="5%">Qtd</td>
                        <td width="5%">Vol</td>
                        <td width="16%">Armz</td>
                        <td width="25%">Obs</td>
                    </tr>
                    <?php
                
                    $pedido_pro = listar("SELECT pre_venda_produto.Preco as 'Preco_Venda',
                                                 pre_venda_produto.Qtd as 'Qtd_Venda',
                                                 pre_venda_produto.Desconto as 'Desconto_Venda',
                                                 produto.Titulo as 'Produto',
                                                 produto.Descricao,
                                                 produto.Codigo,
                                                 produto.Qtd_Caixa,
                                                 produto.Medida,
                                                 produto.Armazenagem
                                                 FROM pre_venda_produto
                                                 LEFT JOIN (SELECT Id,Titulo,Descricao,Codigo,Qtd_Caixa,Medida,Armazenagem FROM produto) as produto ON produto.Id = pre_venda_produto.Id_Produto
                                                 WHERE pre_venda_produto.Id_Pre_Venda = '" . $pedido[0]["Id"] . "'
                                                 ORDER BY pre_venda_produto.Data_Cadastro ");
                    $x = 1;
                    foreach ($pedido_pro as $chave) { ?>

                        <tr>
                            <td><?php echo $x; ?></td>
                            <td><?php echo $chave["Codigo"]; ?></td>
                            <td><?php echo $chave["Produto"]; ?></td>
                            <td><?php echo $chave["Medida"]; ?></td>
                            <td><?php echo $chave["Qtd_Venda"]; ?></td>
                            <td><?php echo $chave["Qtd_Venda"] / $chave["Qtd_Caixa"]; ?></td>
                            <td><?php echo $chave["Armazenagem"]; ?></td>
                            <td></td>
                        </tr>
                    <?php
                        $Qtd_Venda += $chave["Qtd_Venda"];
                        $tVol += $chave["Qtd_Venda"] / $chave["Qtd_Caixa"];
                        $x++;
                    } ?>
                    <tr>
                        <td colspan="1"></td>
                        <td colspan="2">Totais:</td>
                        <td></td>
                        <td><?php echo $Qtd_Venda; ?></td>
                        <td><?php echo $tVol; ?></td>
                        <td></td>
                        <td></td>
                    </tr>
                </table>
            </td>
        </tr>
        <tr>
            <td>
                <table width="100%" align="center" class="tabela">
                    <tr>
                        <td><b>Obs:</b> <?php echo $pedido[0]["Obs_Venda"]; ?></td>
                    </tr>
                    <tr>
                        <td>Transportador: <?php echo $pedido[0]["Transportadora"]; ?></td>
                    </tr>
                </table>
            </td>
        </tr>
    </table>
    <br /><br />
    <table width="98%" align="center">
        <tr>
            <td align="center"></td>
            <td align="center"><br><br>_______/_______/___________<br><br><br></td>
        </tr>
        <tr>
            <td align="center">________________________</td>
            <td align="center">________________________</td>
        </tr>
        <tr>
            <td align="center">
                <font face="verdana" size="2">Transportador</font>
            </td>
            <td align="center">
                <font face="verdana" size="2">Conferente</font>
            </td>
        </tr>
    </table>

    <br>
</body>

</html>
<?php include "../include/rodape.php"; ?>