<?php
include_once "../include/conecta.php"; //Conecta com a nosso banco de dados MySQL
ini_set('session.gc_maxlifetime', 60 * 120);
session_start();
/* include_once "../include/ver_sessao.php"; //Verifica se a sesso est ativa */
include_once "../include/funcoesPhp.php"; //Inclue a pgina con todas as funes a ser usada.
?>
<?php
$venda = listar("SELECT pre_venda.Id,
                        pre_venda.Lancamento,
                        pre_venda.Status,
                        pre_venda.Data_Pre_Venda,
                        pre_venda.Data_Entrega,
                        pre_venda.Obs as 'Obs_Venda',
                        pre_venda.Valor_Original,
                        pre_venda.Valor_Pago,
                        pre_venda.Desconto,
                        pre_venda.Desconto_Real,
                        pre_venda.Frete,
                        pre_venda.Valor_Frete,
                        pre_venda.Id_Unidade,
                        pre_venda.Numero_Pedido as Romaneio,
                        pre_venda.Placa,
                        pre_venda.Endereco_Entrega,
                        pre_venda.Rua ruaEntrega,
                        pre_venda.Num numeroEntrega,
                        pre_venda.Complemento complementoEntrega,
                        pre_venda.Bairro bairroEntrega,
                        pre_venda.Estado estadoEntrega,
                        cliente.Titulo as 'Cliente',
                        cliente.Razao_Social,
                        cliente.Email,
                        cliente.Natureza,
                        cliente.Cpf_Cnpj,
                        cliente.Rua,
                        cliente.Numero,
                        cliente.Cep,
                        cliente.Bairro,
                        cliente.Estado,
                        cliente.Fone1,
                        cliente.Contato,
                        cliente.Endereco,
                        cliente.Ponto_Referencia,
                        cliente.Complemento,
                        cliente.Obs as 'Obs_Cliente',
                        cliente.Codigo,
                        cliente.Suframa,
                        cidade_ibge.Titulo as Cidade,
                        cidade_ibge_entrega.Titulo cidadeEntrega,
                        funcionario.Titulo as 'Funcionario',
                        vendedor.Titulo as 'Vendedor',
                        vendedor.Fone as 'FoneVendedor',
                        vendedor.Email as 'EmailVendedor',
                        tipo_pagamento.Titulo as 'Tipo_Pagamento'
                        FROM pre_venda
                        LEFT JOIN (SELECT Id,Titulo,Email,Natureza,Cpf_Cnpj,Estadual,Rua,Numero,Cep,Bairro,Estado,Fone1,Complemento,Obs,Id_Cidade,Razao_Social,Contato,Endereco,Ponto_Referencia,Codigo,Suframa FROM cliente) as cliente ON cliente.Id = pre_venda.Id_Cliente
                        LEFT JOIN (SELECT Id,Titulo FROM cidade_ibge) as cidade_ibge ON cidade_ibge.Id = cliente.Id_Cidade
                        LEFT JOIN (SELECT Id,Titulo FROM cidade_ibge) as cidade_ibge_entrega ON cidade_ibge_entrega.Id = pre_venda.Id_Cidade
 					    LEFT JOIN (SELECT Id,Titulo FROM funcionario) as funcionario ON funcionario.Id = pre_venda.Id_Funcionario
                        LEFT JOIN (SELECT Id,Titulo,Fone,Email FROM funcionario) as vendedor ON pre_venda.Id_Vendedor = vendedor.Id
                        LEFT JOIN (SELECT Id,Titulo FROM tipo_pagamento) as tipo_pagamento ON tipo_pagamento.Id = pre_venda.Id_Tipo_Pagamento
                        WHERE pre_venda.Id = '" . $_GET["id_pre_venda"] . "'
                        ORDER BY pre_venda.Lancamento DESC");

$_GET["Unidade"] = $venda[0]["Id_Unidade"];
?>
<html>

<head>
    <title>Gw - Gesto Web</title>
    <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1" />
    <link rel="shortcut icon" href="../imagem/favi_gw.ico" type="image/x-icon" />
    <link rel="stylesheet" type="text/css" href="../estilo/<?php echo SKIN; ?>/tabela_imp.css" />
    <script type="text/javascript" language="javascript" src="../js/jquery.js"></script>
    <?php include '../include/script_cabeca.php'; ?>
    <script type="text/javascript" language="javascript" src="../js/script.js"></script>
    <script type="text/javascript" language="javascript" src="../js/meiomask/meiomask.js"></script>
    <script type="text/javascript" language="javascript" src="../js/meiomask/<?php if (PAIS == "USA") {
                                                                                    echo "mascaras-usa";
                                                                                } else {
                                                                                    echo "mascaras";
                                                                                } ?>.js"></script>
</head>

<body>

    <table width="98%" align="center">
        <!-- TABELA Q ENVOLVE TODO O CONTEUDO -->
        <tr>
            <td>
                <table width="90%" align="center">
                    <?php

                    if (!$_GET["Unidade"]) {
                        $_GET["Unidade"] = $_SESSION["Unidade"];
                    }

                    $empresa = listar("SELECT unidade.Logo,
                                              unidade.Titulo,
                                              unidade.Cnpj,
                                              unidade.Rua,
                                              unidade.Numero,
                                              unidade.Complemento,
                                              unidade.Bairro,
                                              unidade.Cidade,
                                              unidade.Estado,
                                              unidade.Cep,
                                              unidade.Fone1,
                                              unidade.Fone2,
                                              unidade.Email,
                                              unidade.Site
                                         FROM unidade
                                        WHERE unidade.Id = '" . $_GET["Unidade"] . "' ");
                    ?>
                    <tr>
                        <td width="40%">
                            <?php
                            if (file_exists("../unidade/foto/" . $empresa[0]["Logo"] . "")) {
                                $cam_arq = "../unidade/foto/" . $empresa[0]["Logo"];
                            } else {
                                $cam_arq = "../../unidade/foto/" . $empresa[0]["Logo"];
                            }
                            ?>
                            <img src="<?php echo $cam_arq; ?>" title="Logo" alt="Logo" border="0" width="140px"
                                height="auto" />
                        </td>
                        <td width="60%" class="razao">
                            <b>
                                <font face="verdana" size="3">
                                    <?php echo $empresa[0]["Titulo"]; ?>
                                </font>
                            </b><br>
                            <?php
                            if ($empresa[0]["Complemento"]) {
                                $compl = " - " . $empresa[0]["Complemento"];
                            }
                            ?>
                            Cnpj: <?php echo $empresa[0]["Cnpj"]; ?><br>
                            End: <?php echo $empresa[0]["Rua"] . ", " . $empresa[0]["Numero"] . $compl; ?> |
                            <?php echo $empresa[0]["Bairro"]; ?> |
                            <?php echo $empresa[0]["Cidade"]; ?> | <?php echo $empresa[0]["Estado"]; ?> -
                            CEP <?php echo $empresa[0]["Cep"]; ?><br>
                            Fone: <?php echo $empresa[0]["Fone1"]; ?>
                            <?php
                            if ($empresa[0]["Fone2"]) {
                                echo " - " . $empresa[0]["Fone2"];
                            }
                            ?>
                            <br>
                            E-mail: <?php echo $empresa[0]["Email"]; ?><br>
                            <?php
                            if ($empresa[0]["Site"]) {
                                echo 'Site: ' . $empresa[0]["Site"];
                            }
                            ?>
                        </td>
                    </tr>
                </table>
            </td>
        </tr>
        <tr>
            <td>
                <table width="100%" align="center">
                    <tr>
                        <td colspan="2" align="center">
                            <font face="verdana" size="3">
                                <b>
                                    <i>
                                        <?php
                                        echo "Pr Venda - " . $venda[0]["Lancamento"];
                                        ?>
                                    </i>
                                </b>
                            </font>
                        </td>
                    </tr>
                </table>
            </td>
        </tr>
        <tr>
            <td>
                <table width="100%" align="center" class="tabela">
                    <tr>
                        <td width="70%">Cliente:
                            <?php
                            if (CLIENTE_RAZAO_SOCIAL == 'Sim') {
                                echo $venda[0]["Codigo"] . " - " . $venda[0]["Razao_Social"];
                            } else {
                                echo $venda[0]["Codigo"] . " - " . $venda[0]["Cliente"];
                            }
                            ?>
                        </td>
                        <td width="30%">Data: <?php echo data_exibir($venda[0]["Data_Pre_Venda"]); ?></td>
                    </tr>
                    <tr>
                        <td width="70%">End: <?php echo $venda[0]["Endereco"]; ?></td>
                        <td width="30%">Fone: <?php echo $venda[0]["Fone1"]; ?></td>
                    </tr>
                    <tr>
                        <td width="70%"><?php
                                        echo 'Bairro:' . $venda[0]["Bairro"] . ' Cidade:' .
                                            $venda[0]["Cidade"] . ' UF:' .
                                            $venda[0]["Estado"];
                                        ?>
                        </td>
                        <?php if ($venda[0]["Natureza"] == "PF") { ?>
                            <td width="30%">CPF: <?php echo $venda[0]["Cpf_Cnpj"]; ?></td>
                        <?php } else { ?>
                            <td width="30%">CNPJ: <?php echo $venda[0]["Cpf_Cnpj"]; ?></td>
                        <?php } ?>
                    </tr>
                    <tr>
                        <td width="70%">Referncia:
                            <?php echo $venda[0]["Ponto_Referencia"] . ' | Complemento: ' . $venda[0]["Complemento"]; ?>
                        </td>
                        <td width="30%">E-mail: <?php echo $venda[0]["Email"]; ?></td>
                    </tr>
                    <tr>
                        <td width="70%">Pagamento: <?php echo $venda[0]["Tipo_Pagamento"]; ?></td>
                        <td width="30%">CEP: <?php echo $venda[0]["Cep"]; ?></td>
                    </tr>
                    <tr>
                        <td width="70%">Contato: <?php echo $venda[0]["Contato"]; ?></td>
                        <td width="30%">Data Entrega: <?php echo data_exibir($venda[0]["Data_Entrega"]); ?></td>
                    </tr>
                    <tr>
                        <td width="70%">Obs: <?php echo $venda[0]["Obs_Venda"]; ?></td>
                        <td width="30%">Frete: <?php echo valor_exibir($venda[0]["Valor_Frete"]); ?></td>
                    </tr>
                </table>
            </td>
        </tr>
        <?php if ($venda[0]["Endereco_Entrega"] == 'Sim') { ?>
            <tr>
                <td>
                    <table width="100%" align="center" class="tabela">
                        <tr>
                            <td colspan="2"><i>Endereo Entrega</i></td>
                        </tr>
                        <tr>
                            <td width="70%">End: <?php echo $venda[0]["ruaEntrega"]; ?></td>
                            <td width="30%">Nmero: <?php echo $venda[0]["numeroEntrega"]; ?></td>

                        </tr>
                        <tr>
                            <td width="70%">Bairro: <?php echo $venda[0]["bairroEntrega"] ?></td>
                            <td width="30%">Cidade: <?= $venda[0]["cidadeEntrega"] . ' UF:' . $venda[0]["estadoEntrega"] ?>
                            </td>
                        </tr>
                        <tr>
                            <td colspan="2" width="70%">Complemento:<?php echo $venda[0]["complementoEntrega"]; ?></td>
                        </tr>
                    </table>
                </td>
            </tr>
        <?php } ?>
        <tr>
            <td>
                <table width="100%" align="center" class="tabela">
                    <tr>
                        <td colspan="15"><i>Produtos</i></td>
                    </tr>
                    <?php
                    $venda_pro = listar("SELECT DISTINCT pre_venda_produto.Id,
                                                         pre_venda_produto.Preco,
                                                         pre_venda_produto.Qtd,
                                                         pre_venda_produto.Ipi,
                                                         pre_venda_produto.CST_Ipi,
                                                         pre_venda_produto.Desconto,
                                                         pre_venda_produto.Desconto_Real,
                                                         pre_venda_produto.Desconto_Real_Pe_Nota,
                                                         pre_venda_produto.Lote,
                                                         pre_venda_produto.ST_Icms,
                                                         pre_venda_produto.Icms,
                                                         pre_venda_produto.Icms_Sub,
                                                         pre_venda_produto.Mva,
                                                         pre_venda_produto.Reducao,
                                                         pre_venda_produto.ReducaoBC,
                                                         pre_venda_produto.Data_Validade,
                                                         pre_venda_produto.Data_Fabricacao,
                                                         pre_venda_produto.FCP,
                                                         pre_venda_produto.Valor_Pauta,
                                                         produto.Titulo as 'Produto',
                                                         produto.Descricao,
                                                         produto.Medida,
                                                         produto.Codigo,
                                                         produto.Gtin as Codigo_Barras,
                                                         produto.Qtd_Caixa,
                                                         produto.Medida as Medida2,
                                                         produto.Cesta_Basica,
                                                         produto.Peso_Bruto,
                                                         cliente.Ipi as Ipi_Cliente,
                                                         cliente.Consumidor_Final,
                                                         cliente.Nao_Contribuinte_Icms,
                                                         cliente.Estado as Estado_Cliente,
                                                         cliente.Cliente_FCP,
                                                         cfop.Cfop,
                                                         cfop.Bonificacao,
                                                         local_estoque.Titulo as Local_Estoque
                                                         FROM pre_venda_produto
                                                         LEFT JOIN (SELECT Id,Titulo,Descricao,Codigo,Medida,Regime_ST,Qtd_Caixa,FCP,Valor_Pauta,Cesta_Basica,Gtin,Peso_Bruto FROM produto) as produto ON produto.Id = pre_venda_produto.Id_Produto
                                                         LEFT JOIN (SELECT Id,Cfop,Bonificacao FROM cfop) as cfop ON cfop.Id = pre_venda_produto.Id_Cfop
                                                         LEFT JOIN (SELECT Id,Titulo FROM local_estoque) as local_estoque ON local_estoque.Id = pre_venda_produto.Id_Local_Estoque
                                                         LEFT JOIN (SELECT Id,Consumidor_Final,Nao_Contribuinte_Icms,Estado,Ipi,Cliente_FCP FROM cliente) as cliente ON cliente.Id = pre_venda_produto.Id_Cliente
                                                         WHERE pre_venda_produto.Id_Pre_Venda = '" . $_GET["id_pre_venda"] . "'
                                                         ORDER BY pre_venda_produto.Data_Cadastro");

                    $x = 0;
                    $VICMSST = '0';
                    $tVICMS = '0';
                    ?> 
                    <tr class="azul-claro">
                        <td width="3%">N</td>
                        <td width="10%">Cdigo</td>
                        <td width="25%">Produto</td>
                        <td width="5%">Medida</td>
                        <td width="5%">Qtd</td>
                        <td width="8%">Valor</td>
                        <td width="8%">Total</td>
                    </tr>
                    <?php
                    foreach ($venda_pro as $chave) {


                        $desc_perc = valor_banco(valor_exibir((($chave['Qtd'] * $chave['Preco']) * ($chave['Desconto'] / 100)), 2));

                        $Valor_Total += valor_banco(valor_exibir((($chave['Qtd'] * $chave['Preco']) - $desc_perc) - $chave['Desconto_Real'], 2));
                        $qtd_volume += $chave['Qtd'] / $chave['Qtd_Caixa'];
                        $total_bruto += $chave['Qtd'] * $chave['Peso_Bruto'];
                        $total_liquido += $chave['Qtd'] * $chave['Peso_Liquido'];

                        $Qtd_Venda += $chave["Qtd"];
                        $Preco_Venda += $chave["Preco"];
                        $Desconto_Venda += $chave["Desconto"];
                        $Desconto_Real += $chave["Desconto_Real"];
                        $Total += (($chave["Preco"] * $chave["Qtd"]) - ($desc_perc)) - $chave['Desconto_Real'];
                        $totalProdutos += ($chave['Qtd'] * $chave['Preco']);
                        $Sub_Total += ((($chave['Qtd'] * $chave['Preco']) - (($chave['Qtd'] * $chave['Preco']) * ($chave['Desconto'] / 100))) - ($chave['Desconto_Real'] + $chave['Desconto_Real_Pe_Nota']));

                        $x++;

                        if (
                            $chave['Ipi'] != '0' &&
                            (
                                ($chave['CST_Ipi'] === '00') || ($chave['CST_Ipi'] == '49') ||
                                ($chave['CST_Ipi'] == '50') || ($chave['CST_Ipi'] == '99')
                            )
                        ) {
                            $VBC = (($chave['Qtd'] * $chave['Preco']) - ($desc_perc)) - $chave['Desconto_Real'];
                            $VBC = $VBC + $chave['Frete'] + $chave['Despesa'];

                            if ($chave['ReducaoBC'] > '0') {
                                $VBC = $VBC - ($VBC * ($chave['ReducaoBC'] / 100));
                            }
                            $vIpi = number_format(($VBC * ($chave['Ipi'] / 100)), 2, '.', '');
                            $VIPI += number_format(($VBC * ($chave['Ipi'] / 100)), 2, '.', '');
                        }

                        if (($chave["Consumidor_Final"] == 'Sim') && ($chave["Ipi_Cliente"] == 'Sim')) {
                            $bcIpi = $vIpi;
                        }
                        if ($chave["Ipi_Cliente"] == 'Sim') {
                            $bcstIpi = $vIpi;
                        }

                        $valor_st = '0';
                        //calculando o valor do ICMS ST
                        if ($chave['ST_Icms'] == '10' || $chave['ST_Icms'] == '70' || $chave['ST_Icms'] == '90') {

                            if ($chave['Bonificacao'] == 'Sim') {
                                $desc_perc = '0';
                                $chave['Desconto_Real'] = '0';
                            }

                            $VBC = number_format((($chave['Qtd'] * $chave['Preco']) - $desc_perc) - $chave['Desconto_Real'] + ($chave['Frete'] + $chave['Despesa']), 2, '.', '');

                            if ($chave["ReducaoBC"] > '0') {
                                $VBCicms = $VBC - ($VBC * ($chave['ReducaoBC'] / 100));
                            } else {
                                $VBCicms = $VBC;
                            }

                            $VICMS = ($VBCicms * ($chave['Icms'] / 100));


                            $vBCST = ($VBC + $bcstIpi) * (1 + (($chave['Mva'] / 100)));
                            $vBCST = $vBCST - ($vBCST * ($chave['Reducao'] / 100));
                            $valor_st = number_format($vBCST * ($chave['Icms_Sub'] / 100), 2, '.', '') - number_format($VICMS, 2, '.', '');

                            //calculo com o valor de pauta
                            if ($chave['Preco'] < $chave['Valor_Pauta']) {
                                if ($chave['Estado_Cliente'] == 'RN' || $chave['Estado_Cliente'] == 'PB' || $chave['Estado_Cliente'] == 'AL') {

                                    $chave['Preco'] = $chave['Valor_Pauta'];

                                    $VBCp = (($chave['Qtd'] * $chave['Preco']) - $desc_perc) - $chave['Desconto_Real'] + ($chave['Frete'] + $chave['Despesa']);
                                    $VICMS = ($VBCp * ($chave['Icms'] / 100));
                                    $vBCST = ($VBCp + $bcstIpi) * (1 + (($chave['Mva'] / 100)));
                                    $vBCST = $vBCST - ($vBCST * ($chave['Reducao'] / 100));
                                    $valor_st = ($vBCST * ($chave['Icms_Sub'] / 100)) - ($VBC * ($chave['Icms'] / 100));
                                }
                            }

                            if (($chave["Estado_Cliente"] == $chave["Estado_Empresa"]) && $chave["Cesta_Basica"] == 'Sim') {
                                $VBC = (($chave['Qtd'] * $chave['Preco']) - $desc_perc) - $chave['Desconto_Real'];
                                $VBC = $VBC + $chave['Frete'] + $chave['Despesa'];
                                if ($chave['ReducaoBC'] > '0') {
                                    $VBC = $VBC - ($VBC * ((100 - $chave['ReducaoBC']) / 100)); //reversa
                                }
                                $VICMS = ($VBC * ($chave['Icms'] / 100));

                                $VBC = (($chave['Qtd'] * $chave['Preco']) - $desc_perc) - $chave['Desconto_Real'];
                                $VBC = $VBC + $chave['Frete'] + $chave['Despesa'];
                                $vBCST = ($VBC + $bcstIpi) * (1 + (($chave['Mva'] / 100)));
                                $vBCST = $vBCST - ($vBCST * ($chave['Reducao'] / 100));
                                $valor_st = ($vBCST * ($chave['Icms_Sub'] / 100));
                            }

                            $VICMSST += number_format($valor_st, 2, ".", "");
                        }

                        //calculando o valor do ICMS ST - simples
                        if (($chave['ST_Icms'] == '201') || ($chave['ST_Icms'] == '202') || ($chave['ST_Icms'] == '900')) {

                            if ($chave['Bonificacao'] == 'Sim') {
                                $desc_perc = '0';
                                $chave['Desconto_Real'] = '0';
                            }

                            $VBC = (($chave['Qtd'] * $chave['Preco']) - (($chave['Qtd'] * $chave['Preco']) * ($chave['Desconto'] / 100))) - $chave['Desconto_Real'];
                            $VBC = $VBC + $chave['Frete'] + $chave['Despesa'];
                            $VICMS = ($VBC * ($chave['Icms'] / 100));
                            $vBCST = ($VBC + $bcstIpi) * (1 + (($chave['Mva'] / 100)));
                            $vBCST = $vBCST - ($vBCST * ($chave['Reducao'] / 100));
                            $VICMSST += number_format(($vBCST * ($chave['Icms_Sub'] / 100)) - ($VBC * ($chave['Icms'] / 100)), 2, ".", "");
                        }

                        //calculo FCPST
                        if (($chave['ST_Icms'] == '201') || ($chave['ST_Icms'] == '202') || ($chave['ST_Icms'] == '900') ||
                            $chave['ST_Icms'] == '10' || $chave['ST_Icms'] == '70' || $chave['ST_Icms'] == '90'
                        ) {
                            if (($chave["Cliente_FCP"] == 'Sim') &&
                                ($chave["Estado_Cliente"] != $chave["Estado_Unidade"]) &&
                                ($chave["FCP"] > '0')
                            ) {
                                $vtFCPST = $vBCST;
                                $vtFCPST = str_replace('.', '', $vtFCPST);
                                $vtFCPST = str_replace(',', '.', $vtFCPST);

                                $vtFCPSTItem += number_format($vtFCPST * ($chave["FCP"] / 100), 2, ".", "");
                            }
                        }

                        if ($venda[0]["Suframa"] != '' && $chave['ST_Icms'] == '40') {
                            $suframa += $chave['Desconto_Real'];
                        }
                        ?>
                        <tr>
                            <td><?php echo $x; ?></td>
                            <td><?php echo $chave["Codigo"]; ?></td>
                            <td><?php echo $chave["Produto"]; ?></td>
                            <td><?php echo $chave["Medida2"]; ?></td>
                            <td><?php echo $chave["Qtd"]; ?></td>
                            <?php
                            $novoPrecoUnitario = ($chave["Preco"] - (($chave["Preco"]) * ($chave['Desconto'] / 100) + ($chave['Desconto_Real'] / $chave['Qtd']) + ($chave['Desconto_Real_Pe_Nota'] / $chave['Qtd'])));
                            ?>
                            <td><?php echo number_format($novoPrecoUnitario, 2, ',', '.'); ?></td>
                            <td><?php echo number_format((($chave['Qtd'] * $novoPrecoUnitario)), 2, ',', '.'); ?>
                            </td>
                        </tr>

                    <?php
                    }

                    $VICMSST = number_format($VICMSST, 2, ",", ".");
                    $VICMSST = str_replace('.', '', $VICMSST);
                    $VICMSST = str_replace(',', '.', $VICMSST);

                    $VIPI = number_format($VIPI, 2, ",", ".");
                    $VIPI = str_replace('.', '', $VIPI);
                    $VIPI = str_replace(',', '.', $VIPI);

                    $vtFCPSTItem = number_format($vtFCPSTItem, 2, ",", ".");
                    $vtFCPSTItem = str_replace('.', '', $vtFCPSTItem);
                    $vtFCPSTItem = str_replace(',', '.', $vtFCPSTItem);
                    ?>
                    <tr>
                        <td colspan="4">&nbsp;</td>
                        <td colspan="2">Total</td>
                        <td>
                            <?php echo number_format($Sub_Total + $VIPI + $VICMSST + $suframa, 2, ',', '.'); ?>
                        </td>
                    </tr>
                </table>
            </td>
        </tr>
        <?php
        $venda_parcela = listar("SELECT financeiro_pedido.*,
                                            tipo_pagamento.Titulo as 'Tipo_Pagamento'
                                       FROM financeiro_pedido
                                  LEFT JOIN (SELECT Id,Titulo FROM tipo_pagamento) as tipo_pagamento ON tipo_pagamento.Id = financeiro_pedido.Id_Tipo_Pagamento
                                      WHERE financeiro_pedido.Id_Externo = '" . $_GET["id_pre_venda"] . "'
                                        AND financeiro_pedido.Id_Tipo_Pagamento <> '0'
                                   ORDER BY financeiro_pedido.Ordem ");
        ?>
        <tr>
            <td>
                <table width="100%" align="center" class="tabela">
                    <tr>
                        <td colspan="5"><i>Parcelas</i></td>
                    </tr>
                    <tr class="azul-claro">
                        <td>N</td>
                        <td>Vencimento</td>
                        <td>Valor</td>
                        <td>Tipo</td>
                    </tr>
                    <?php
                    for ($i = 1; $i <= 31; $i++) {
                        $campo_tp .= " Taxa" . str_pad($i, 2, "0", STR_PAD_LEFT) . ", Prazo" . str_pad($i, 2, "0", STR_PAD_LEFT) . ", ";
                    }
                    $campo_tp = substr($campo_tp, 0, -2);

                    foreach ($venda_parcela as $chave) {

                        $tip = mysqli_query($con, "SELECT $campo_tp
                                                           FROM tipo_pagamento
                                                          WHERE Id = '{$chave["Id_Tipo_Pagamento"]}'  ")
                            or die("ERRO no comando SQL:" . mysqli_error($con));
                        $array_tipo = mysqli_fetch_assoc($tip);


                        $z = 1;
                        for ($x = 1; $x <= 31; $x++) {

                            if ($x < 10) {
                                $z = '0' . $x;
                            }

                            if ($array_tipo["Prazo" . $z] == "") {
                                break;
                            }
                    ?>
                            <tr>
                                <td><?php echo $x; ?></td>
                                <td><?php echo data_exibir($chave["Data$z"]) ?></td>
                                <td><?php if (($chave["Valor$z"]) === '0' && $chave["Valor02"] > '0' && $chave['Ordem'] === '1') {
                                        echo valor_exibir($chave["Valor02"]);
                                    } else {
                                        echo number_format($chave["Valor$z"], 2, ',', '.');
                                    } ?>
                                </td>
                                <td><?php echo $chave["Tipo_Pagamento"] ?></td>
                            </tr>
                    <?php
                            $z++;
                        }
                    }
                    ?>
                </table>
            </td>
        </tr>
    </table>
    <br />
    <table width="98%" align="center">
        <tr>
            <td align="center">________________________</td>
            <td align="center">________________________</td>
        </tr>
        <tr>
            <td align="center">
                <font face="verdana" size="2">
                    <?php
                    if (CLIENTE_RAZAO_SOCIAL == 'Sim') {
                        echo $venda[0]["Razao_Social"];
                    } else {
                        echo $venda[0]["Cliente"];
                    }
                    ?>
                </font>
            </td>
            <td align="center">
                <font face="verdana" size="2">
                    Vendedor: <?php echo $venda[0]["Vendedor"]; ?><br>
                    Fone: <?php echo $venda[0]["FoneVendedor"]; ?><br>
                    Email: <?php echo $venda[0]["EmailVendedor"]; ?><br>

                </font>
            </td>
        </tr>
    </table>
</body>

</html>
<?php include "../include/rodape.php"; ?>