<?php
include_once "../../include/conecta.php"; //Conecta com a nosso banco de dados MySQL
ini_set('session.gc_maxlifetime', 60*120); session_start();
/* include_once "../include/ver_sessao.php"; //Verifica se a sesso est ativa */
include_once "../../include/funcoesPhp.php"; //Inclue a pgina con todas as funes a ser usada.

?>
<?php 
               $pre_venda = listar("Select pre_venda.Id,
 					pre_venda.Lancamento,
 					pre_venda.Status,
 					pre_venda.Data_Pre_Venda,
 					pre_venda.Obs as 'Obs_Pre_Venda',
 					pre_venda.Valor_Original,
 					pre_venda.Valor_Pago,
                                        pre_venda.Desconto,
                                        pre_venda.Desconto_Real,
                                        pre_venda.Frete,
                                        pre_venda.C_Condicoes,
                                        pre_venda.C_Forma,
                                        pre_venda.C_Entrega,
                                        pre_venda.C_Proposta,
 					cliente.Titulo as 'Cliente',
                                        cliente.Razao_Social,
 					cliente.Email,
 					cliente.Natureza,
 					cliente.Cpf_Cnpj,
 					cliente.Rua,
                                        cliente.Numero,
 					cliente.Cep,
 					cliente.Bairro,
 					cliente.Estado,
 					cliente.Fone1,
 					cliente.Obs as 'Obs_Cliente',
                                        cidade_ibge.Titulo as Cidade,
 					funcionario.Titulo as 'Funcionario',
                                        tipo_pagamento.Titulo as 'Tipo_Pagamento'
 					from pre_venda
 					left join (SELECT Id,Titulo,Email,Natureza,Cpf_Cnpj,Estadual,Rua,Numero,Cep,Bairro,Estado,Fone1,Obs,Id_Cidade,Razao_Social FROM cliente) as cliente ON cliente.Id = pre_venda.Id_Cliente
                                        left join (SELECT Id,Titulo FROM cidade_ibge) as cidade_ibge ON cidade_ibge.Id = cliente.Id_Cidade
 					left join (SELECT Id,Titulo FROM funcionario) as funcionario ON funcionario.Id = pre_venda.Id_Vendedor
                                        left join (SELECT Id,Titulo FROM tipo_pagamento) as tipo_pagamento ON tipo_pagamento.Id = pre_venda.Id_Tipo_Pagamento
 					where pre_venda.Id = '".$_GET["id_pre_venda"]."'
					order by pre_venda.Lancamento DESC");

?>
<html>
<head>
<title>Gw - Gesto Web</title>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1" />
<link rel="shortcut icon" href="../../imagem/favi_gw.ico" type="image/x-icon" />
<link rel="stylesheet" type="text/css" href="../../estilo/<?php echo SKIN ;?>/tabela_imp.css" />
<script type="text/javascript" language="javascript" src="../../js/jquery.js"></script>
<?php include '../../include/script_cabeca.php'; ?>
<script type="text/javascript" language="javascript" src="../../js/script.js"></script>
<script type="text/javascript" language="javascript" src="../../js/meiomask/meiomask.js"></script>
<script type="text/javascript" language="javascript" src="../../js/meiomask/<?php if(PAIS=="USA"){ echo "mascaras-usa"; }else{ echo "mascaras"; }?>.js"></script>
<?php
    //se a variavel existir, entao  o cliente acessando
    if(!$_GET["Id_Unidade_Usuario"]){
?>
<script type="text/javascript" language="javascript">
$(document).ready(function () {
function slideout() {
   setTimeout(function () {
    $("#response").slideUp("slow", function () {});
   },
   2000);
}
$(".inlineEdit").bind("click", updateText);
var OrigText, NewText;
$(".save").live("click", function () {
  $("#loading").fadeIn('slow');
  NewText = $(this).siblings("form").children(".edit").val();
   var id = $(this).parent().attr("id");
   //var data = '?id=' + id + '&text=' + NewText;
   var data = 'id=' + id + '&text=' + NewText;
  $.post("edit.php", data, function (response) {
     $("#retorno").html(response);
     $("#response").slideDown('slow');
     slideout();
     $("#loading").fadeOut('slow');
  });
  $(this).parent().html(NewText).removeClass("selected").bind("click", updateText);
  recarregar();
});
$(".revert").live("click", function () {
  $(this).parent().html(OrigText).removeClass("selected").bind("click", updateText);
});
function updateText() {
  $('li').removeClass("inlineEdit");
  OrigText = $(this).html();
  $(this).addClass("selected").html('<form><textarea class="edit" rows="3" cols="64">' + OrigText + '</textarea></form><a href="#" class="save"><img src="../../js/editing/images/save.png" border="0" width="48" height="15"/></a> <a href="#" class="revert"><img src="../../js/editing/images/cancel.png" border="0" width="58" height="15"/></a>').unbind('click', updateText);
}
function recarregar() {
  setTimeout(function() {
        location.reload();
      }, 1000);
}

});
</script>
<?php } ?>
</head>
<body>

<table width="90%" align="center"><!-- TABELA Q ENVOLVE TODO O CONTEUDO -->
<tr>
	<td>
		<?php include "../../include/cabecalho_pedido.php"; ?>
	</td>
</tr>
<tr>
	<td>
		<table width="100%" align="center">
			<tr>
                            <td colspan="2" align="center">
                                <font face="verdana" size="3">
                                    <b><i>Proposta - <?php echo $pre_venda[0]["Lancamento"];?></i></b>
                                </font>
                            </td>
			</tr>
		</table>
	</td>
</tr>
<tr>
	<td>
		<table width="100%" align="center" class="tabela" style="font-size: 12px">
                        <tr>
				<td width="70%">Cliente: <?php echo $pre_venda[0]["Cliente"];?></td>
                                <td width="30%">Data: <?php echo data_exibir($pre_venda[0]["Data_Pre_Venda"]);?></td>
			</tr>
			<tr>
				<td width="70%">Contato: <?php echo $pre_venda[0]["Contato"];?></td>
				<td width="30%">Fone: <?php echo $pre_venda[0]["Fone1"];?></td>
			</tr>
			<tr>
				<td width="70%">End: <?php echo $pre_venda[0]["Rua"].', '.$pre_venda[0]["Numero"];?></td>
				<?php if($pre_venda[0]["Natureza"] == "PF"){?>
				<td width="30%">CPF: <?php echo $pre_venda[0]["Cpf_Cnpj"];?></td>
				<?php }else{?>
				<td width="30%">CNPJ: <?php echo $pre_venda[0]["Cpf_Cnpj"];?></td>
				<?php }?>
			</tr>
			<tr>
				<td width="70%"><?php echo 'Bairro:'.$pre_venda[0]["Bairro"].' Cidade:'.$pre_venda[0]["Cidade"].' UF:'.
                                                                                $pre_venda[0]["Estado"];?>
                                </td>
				<td width="30%">CEP: <?php echo $pre_venda[0]["Cep"];?></td>
			</tr>
			<tr>
				<td colspan="2">Obs: <?php echo $pre_venda[0]["Obs_Pre_Venda"];?></td>
			</tr>
		</table>
	</td>
</tr>
<tr>
	<td>
		<table width="100%" align="center" class="tabela" style="font-size: 12px">
			<tr>
				<td colspan="8"><i>Produtos</i></td>
			</tr>
			<tr class="azul-claro">
				<td width="3%">N</td>
				<td width="10%">Cdigo</td>
				<td width="22%">Produto</td>
				<td width="5%">Qtd</td>
				<td width="8%">Valor</td>
                                <!--
                                <td width="8%">Desc $</td>
                                -->
				<td width="8%">Total</td>
			</tr>
			<?php

                        //pre_venda_produto.C_Desconto_Real,
               $pre_venda_pro = listar("Select pre_venda_produto.Id,
                                        pre_venda_produto.Preco as 'Preco_Pre_Venda',
 					pre_venda_produto.Qtd as 'Qtd_Pre_Venda',
 					pre_venda_produto.Desconto as 'Desconto_Pre_Venda',
                                        pre_venda_produto.Desconto_Real,
                                        pre_venda_produto.C_Codigo,
                                        pre_venda_produto.C_Produto,
                                        pre_venda_produto.C_Qtd,
                                        pre_venda_produto.C_Valor,
                                        pre_venda_produto.C_Total_Item,
                                        pre_venda_produto.C_Total_Desconto,
                                        pre_venda_produto.C_Total_Valor
 					from pre_venda_produto
 					where pre_venda_produto.Id_Pre_Venda = '".$_GET["id_pre_venda"]."'
                                        ORDER BY pre_venda_produto.Data_Cadastro");

                        $x=1; foreach($pre_venda_pro as $chave){?>
                        
			<tr>
				<td><?php echo $x;?></td>
				<td class="inlineEdit" id="P<?php echo $chave["Id"]."-C_Codigo";?>" style="cursor: pointer;" alt="Clique para Editar !" title="Clique para Editar !">
                                    <?php echo $chave["C_Codigo"];?>
                                </td>
				<td class="inlineEdit" id="P<?php echo $chave["Id"]."-C_Produto";?>" style="cursor: pointer;" alt="Clique para Editar !" title="Clique para Editar !">
                                    <?php echo $chave["C_Produto"];?>
                                </td>
				<td class="inlineEdit" id="P<?php echo $chave["Id"]."-C_Qtd";?>" style="cursor: pointer;" alt="Clique para Editar !" title="Clique para Editar !">
                                    <?php echo $chave["C_Qtd"];?>
                                </td>
				<td class="inlineEdit" id="P<?php echo $chave["Id"]."-C_Valor";?>" style="cursor: pointer;" alt="Clique para Editar !" title="Clique para Editar !">
                                    <?php echo number_format($chave["C_Valor"],2,',','.');?>
                                </td>
                                <!--
                                <td class="inlineEdit" id="P<?php echo $chave["Id"]."-C_Desconto_Real";?>" style="cursor: pointer;" alt="Clique para Editar !" title="Clique para Editar !">
                                    <?php echo number_format($chave["C_Desconto_Real"],2,',','.');?>
                                </td>
                                -->
				<td>
                                    <?php echo number_format( ( ($chave['C_Qtd']*$chave['C_Valor']) ) - $chave['C_Desconto_Real'],2,',','.');?></td>
                                </td>
			</tr>
			<?php
			$Qtd_Pre_Venda+= $chave["C_Qtd"];
			$Preco_Pre_Venda+=$chave["C_Valor"];
                        $Desconto_Real+=$chave["C_Desconto_Real"];
			$Total+=( ($chave["C_Valor"]*$chave["C_Qtd"]) ) - $chave['C_Desconto_Real'];
			$x++; }
			?>
                        <tr>
				<td colspan="2"></td>
				<td colspan="3">Totais da Compra:</td>
                                <!--
                                <td>
                                    <?php echo number_format($pre_venda[0]["Desconto_Real"],2,',','.');?>
                                </td>
                                -->
				<td>
                                    <?php echo number_format(( ( $Total  ) - $pre_venda[0]["Desconto_Real"]),2,',','.');?>
                                </td>
                                
			</tr>
		</table>
	</td>
</tr>
</table>

<tr><td>
<table width="650" align="center" style="font-family: verdana">
        <tr>
            <td align="center" colspan="2" style="font-size: 12px"></td>
	</tr>
	<tr>
            <td class="inlineEdit" id="C<?php echo $_GET["id_pre_venda"]."-C_Condicoes";?>" style="cursor: pointer;" alt="Clique para Editar !" title="Clique para Editar !" align="center" colspan="2" style="font-size: 18px">
                <?php
                    if($pre_venda[0]["C_Condicoes"]){
                        echo $pre_venda[0]["C_Condicoes"];
                    }else{
                        echo "Condies Comerciais";
                    }
                ?>
            </td>
	</tr>
	<tr>
            <td class="inlineEdit" id="C<?php echo $_GET["id_pre_venda"]."-C_Forma";?>" style="cursor: pointer;" alt="Clique para Editar !" title="Clique para Editar !" align="center" colspan="2" style="font-size: 12px">
                <?php
                    if($pre_venda[0]["C_Forma"]){
                        echo $pre_venda[0]["C_Forma"];
                    }else{
                        echo "Forma de Pagamento : ".$pre_venda[0]["Tipo_Pagamento"];
                    }
                ?>
            </td>
	</tr>
        <tr>
            <td class="inlineEdit" id="C<?php echo $_GET["id_pre_venda"]."-C_Entrega";?>" style="cursor: pointer;" alt="Clique para Editar !" title="Clique para Editar !" align="center" colspan="2" style="font-size: 12px">
                <?php
                    if($pre_venda[0]["C_Entrega"]){
                        echo $pre_venda[0]["C_Entrega"];
                    }else{
                        echo "Entrega : Imediata de acordo com o Estoque.";
                    }
                ?>
            </td>
	</tr>
        <tr>
            <td align="center" colspan="2" style="font-size: 12px"></td>
	</tr>
        <tr>
            <td class="inlineEdit" id="C<?php echo $_GET["id_pre_venda"]."-C_Proposta";?>" style="cursor: pointer;" alt="Clique para Editar !" title="Clique para Editar !" align="center" colspan="2" style="font-size: 12px">
                
                <?php
                    if($pre_venda[0]["C_Proposta"]){
                        echo $pre_venda[0]["C_Proposta"];
                    }else{
                        echo "Proposta Valida 5 Dias.";
                    }
                ?>
            </td>
	</tr>
</table>
    </td>
</tr>
    <br/>
<table width="650" align="center" >
	<tr>
		<td align="center">Atenciosamente, <br/>________________________</td>
	</tr>
	<tr>
		<td align="center">
                        <?php echo $pre_venda[0]["Funcionario"];?><br/>
                        Departamento de Vendas
                </td>
	</tr>
</table>
<div id="retorno"></div>
<br>
</body>
</html>
<?php include "../include/rodape.php";?>