<?php
include_once '../include/conecta.php'; //Conecta com a nosso banco de dados MySQL
include_once '../include/ver_sessao.php'; //Verifica se a sesso est ativa
include_once '../include/funcoesPhp.php'; include_once '../menu_movimento.php';
        
$alert = '';

$clien = mysqli_query($con,"SELECT Id,Limite_Credito FROM cliente WHERE Id = '".$linha['Id_Cliente']."' ");
$dados_cli = mysqli_fetch_assoc($clien);
        
$vencidos = mysqli_query($con,"SELECT Id_Cliente
                        FROM conta_receber
                        WHERE Status = 'Aberto'
                        AND Data_Vencimento < '".date('Y-m-d')."'
                        AND Id_Cliente = '".$dados_cli["Id"]."' ");
$vencido = mysqli_fetch_assoc($vencidos);

if($vencido["Id_Cliente"]!=''){
    
    //$alert.= 'Cliente Inadimplente!'."\n";
    $alert.= '- Faturas em Aberto!'."\n";
    $ciente_liberado = 'No';
}

//se o cliente tiver limite, entra para validao
if($dados_cli["Limite_Credito"]>'0'){
//AND Data_Vencimento >= '".date('Y-m-d')."'
$limite = mysqli_query($con,"SELECT SUM(Valor_Original) as Valor
                        FROM conta_receber
                        INNER JOIN (SELECT Id FROM tipo_pagamento WHERE Limite_Credito='Sim') as tipo_pagamento ON tipo_pagamento.Id = conta_receber.Id_Tipo_Pagamento
                        WHERE Status = 'Aberto'
                        
                        AND Id_Cliente = '".$dados_cli["Id"]."' ");
$limites = mysqli_fetch_assoc($limite);

//o saldo de limite  composto por Valor em aberto + Valor desta venda.
$saldo_limite = ($limites["Valor"]+$linha['Valor_Pago']);
$saldo_limite = number_format($saldo_limite,2,",",".");
$saldo_limite =str_replace('.','',$saldo_limite);
$saldo_limite =str_replace(',','.',$saldo_limite);

$lim = number_format($dados_cli["Limite_Credito"] - $saldo_limite,2,",",".");
if($lim > '0'){
    $alert.= '- Limite Disponvel: '.$lim."\n";
}

if($saldo_limite>$dados_cli["Limite_Credito"]){
    //se o cliente no tiver sem limites
    $alert.= '- Cliente sem Limite de Crdito!'."\n";
    $ciente_liberado = 'No';
}

}


$pega_valor = mysqli_query($con,"SELECT * FROM financeiro_pedido
                            WHERE Id_Externo = '".$linha['Id']."'
                            AND Ordem = '1' ");
$pega_valor = mysqli_fetch_assoc($pega_valor);

$ult_data = '';
$y = 1;
for ($i=1;$i<=PARCELA_PAGAMENTO;$i++){

    if($i < 10){
        $y = '0'.$i;
    }
    
    // se o prazo for vazio entao sai do loop
    if($pega_valor["Valor".$y]=="0"){
        break;
    }else{
        $ult_data = $pega_valor["Data".$y];
    }

$y++;
}

//verificando se a ultima data  maior que o limite de prazo
$Limite_Prazo= mysqli_query($con,"SELECT Limite_Prazo,Limite_Margem_Lucro FROM opcao ");
$Limite_Prazo = mysqli_fetch_assoc($Limite_Prazo);

//se a data do Ultimo vencimento passar da Data Venda + Limite Prazo, avisa erro
$Time1 = strtotime($ult_data).'-';
$Time2 = strtotime($linha['Data_Pre_Venda']) + ($Limite_Prazo['Limite_Prazo'] * 86400);

if($Time1 > $Time2){
    $alert.= '- Prazo Maior que o Limite!'."\n";
    $ciente_liberado = 'No';
}


//validando a margem de lucro por produto
$sql_pre_venda = mysqli_query($con,"SELECT estoque.Preco_Venda,
                            estoque.Preco_Custo,
                            estoque.Id_Produto as Id_Produto_Estoque,
                            estoque.Nome_Produto
                            FROM estoque
                            WHERE Id_Externo='".$linha['Id']."'
                            ORDER BY Data_Cadastro");

while($linha5 = mysqli_fetch_assoc($sql_pre_venda)){
    $lucro_bruto = number_format(( ($linha5["Preco_Venda"]-$linha5["Preco_Custo"]) / $linha5["Preco_Venda"]) * 100 ,2,",",".");//achando o percentual
    $lucro_bruto=str_replace('.','',$lucro_bruto);
    $lucro_bruto=str_replace(',','.',$lucro_bruto);
    
    if($Limite_Prazo['Limite_Margem_Lucro']>=$lucro_bruto){
        $alert.= '- Produto: '.strtoupper($linha5["Nome_Produto"]).'. Abaixo da Margem de Lucro  !'."\n";
        $ciente_liberado = 'No';
    }
}
?>