<?php
include_once "../include/conecta.php"; //Conecta com a nosso banco de dados MySQL
ini_set('session.gc_maxlifetime', 60 * 120);
session_start();
/* include_once "../include/ver_sessao.php"; //Verifica se a sesso est ativa */
include_once "../include/funcoesPhp.php"; //Inclue a pgina con todas as funes a ser usada.
?>
<?php
$venda = listar("SELECT pre_venda.Id,
                                pre_venda.Lancamento,
                                pre_venda.Status,
                                pre_venda.Data_Pre_Venda,
                                pre_venda.Data_Entrega,
                                pre_venda.Obs as 'Obs_Pre_Venda',
                                pre_venda.Valor_Original,
                                pre_venda.Valor_Pago,
                                pre_venda.Desconto,
                                pre_venda.Desconto_Real,
                                pre_venda.Frete,
                                pre_venda.Id_Unidade,
                                pre_venda.Embalagem,
                                pre_venda.Dolar,
 					            cliente.Titulo as 'Cliente',
                                cliente.Codigo,
                                cliente.Razao_Social,
                                cliente.Email,
                                cliente.Endereco,
                                cliente.Cpf_Cnpj,
                                cliente.Rua,
                                cliente.Numero,
                                cliente.Cep,
                                cliente.Bairro,
                                cliente.Estado,
                                cliente.Fone1,
                                cliente.Contato,
                                cliente.Complemento,
 					            cliente.Obs as 'Obs_Cliente',
                                cliente.Cidade,
 					            funcionario.Titulo as 'Vendedor',
                                tipo_pagamento.Titulo as 'Tipo_Pagamento',
                                transportadora.Razao_Social as Transportadora
                                from pre_venda
                                left join (SELECT Id,Codigo,Titulo,Email,Natureza,Endereco,Cpf_Cnpj,Estadual,Rua,Complemento,Numero,Cep,Bairro,Estado,Fone1,Obs,Cidade,Razao_Social,Contato FROM cliente) as cliente ON cliente.Id = pre_venda.Id_Cliente
                                left join (SELECT Id,Titulo FROM funcionario) as funcionario ON funcionario.Id = pre_venda.Id_Vendedor
                                left join (SELECT Id,Titulo FROM tipo_pagamento) as tipo_pagamento ON tipo_pagamento.Id = pre_venda.Id_Tipo_Pagamento
                                left join (SELECT Id,Titulo,Razao_Social FROM fornecedor) as transportadora ON transportadora.Id = pre_venda.Id_Transportadora
                                where pre_venda.Id = '" . $_GET["id_pre_venda"] . "'
                                order by pre_venda.Lancamento DESC");

$_GET["Unidade"] = $venda[0]["Id_Unidade"];
?>
<html>

<head>
    <title>Gw - Gesto Web</title>
    <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1" />
    <link rel="shortcut icon" href="../imagem/favi_gw.ico" type="image/x-icon" />
    <link rel="stylesheet" type="text/css" href="../estilo/<?php echo SKIN; ?>/tabela_imp.css" />
    <script type="text/javascript" language="javascript" src="../js/jquery.js"></script>
    <?php include '../include/script_cabeca.php'; ?>
    <script type="text/javascript" language="javascript" src="../js/script.js"></script>
    <script type="text/javascript" language="javascript" src="../js/meiomask/meiomask.js"></script>
    <script type="text/javascript" language="javascript" src="../js/meiomask/<?php if (PAIS == "USA") {
                                                                                    echo "mascaras-usa";
                                                                                } else {
                                                                                    echo "mascaras";
                                                                                } ?>.js"></script>
    <script type="text/javascript" language="javascript">
    $(document).ready(function() {
        function slideout() {
            setTimeout(function() {
                    $("#response").slideUp("slow", function() {});
                },
                2000);
        }
        $(".inlineEdit").bind("click", updateText);
        var OrigText, NewText;
        $(".save").live("click", function() {
            $("#loading").fadeIn('slow');
            NewText = $(this).siblings("form").children(".edit").val();
            var id = $(this).parent().attr("id");
            //var data = '?id=' + id + '&text=' + NewText;
            var data = 'id=' + id + '&text=' + NewText;
            $.post("proposta/edit.php", data, function(response) {
                $("#retorno").html(response);
                $("#response").slideDown('slow');
                slideout();
                $("#loading").fadeOut('slow');
            });
            $(this).parent().html(NewText).removeClass("selected").bind("click", updateText);
            recarregar();
        });
        $(".revert").live("click", function() {
            $(this).parent().html(OrigText).removeClass("selected").bind("click", updateText);
        });

        function updateText() {
            $('li').removeClass("inlineEdit");
            OrigText = $(this).html();
            $(this).addClass("selected").html('<form><textarea class="edit" rows="3" cols="64">' + OrigText +
                '</textarea></form><a href="#" class="save"><img src="../js/editing/images/save.png" border="0" width="48" height="15"/></a> <a href="#" class="revert"><img src="../js/editing/images/cancel.png" border="0" width="58" height="15"/></a>'
                ).unbind('click', updateText);
        }

        // function recarregar() {
        //     setTimeout(function() {
        //         location.reload();
        //     }, 1000);
        // }

    });
    </script>
    <script type="text/javascript" language="javascript">
    //window.onload = function(){
    //window.print();
    //};
    </script>
</head>

<body>
    <table width="98%" align="center">
        <!-- TABELA Q ENVOLVE TODO O CONTEUDO -->
        <?php

        $empresa = listar("SELECT Logo,
                                      Titulo,
                                      Razao_Social,
                                      Cnpj,
                                      Rua,
                                      Numero,
                                      Bairro,
                                      Cidade,
                                      Estado,
                                      Cep,
                                      Fone1,
                                      Fone2,
                                      Email,
                                      Site
                                 from unidade
                                where Id = '" . $_GET["Unidade"] . "' ");
        ?>
        <tr>
            <td>
                <table width="100%" align="center">
                    <tr>
                        <td rowspan="2" style='font-variant:small-caps; border-top: 2px solid #363636;' width="20%">
                            <?php
                            if (file_exists("../unidade/foto/" . $empresa[0]["Logo"] . "")) {
                                $cam_arq = "../unidade/foto/" . $empresa[0]["Logo"];
                            } else {
                                $cam_arq = "../../unidade/foto/" . $empresa[0]["Logo"];
                            }
                            ?>
                            <img src="<?php echo $cam_arq; ?>" title="Logo" alt="Logo" border="0" width="160px"
                                height="auto" />
                        </td>
                        <td style='font-variant:small-caps; border-top: 2px solid #363636;' align="center">
                            <span style='font-variant:small-caps;font-size: 14px'>
                                <?php echo $empresa[0]["Razao_Social"] ?><br>
                                <?php echo $empresa[0]["Cnpj"] ?><br>
                                <?php echo $empresa[0]["Rua"] . ", " . $empresa[0]["Numero"] . " - " . $empresa[0]["Bairro"] . " - " . $empresa[0]["Cidade"] . " - " . $empresa[0]["Estado"]; ?>
                                | <br>
                                | <?php echo $empresa[0]["Fone1"]; ?> | <?php echo $empresa[0]["Email"]; ?> |
                            </span>
                        </td>
                        <td rowspan="2" style='border-top: 2px solid #363636;font-size: 12px; background-color: #ccc'
                            align="center">
                            <span style='font-variant:small-caps;font-size: 10px'>Pr Venda <br /></span>
                            <span style='font-size: 24px'>
                                <b><?php echo str_pad($venda[0]["Lancamento"], 5, "0", STR_PAD_LEFT); ?></b>
                            </span>
                            <br />
                        </td>
                    </tr>
                </table>
            </td>
        </tr>
        <tr>
            <td>
                <table width="100%" align="center">
                    <tr>
                        <td rowspan="2" style='font-variant:small-caps; border-top: 2px solid #363636;' width="20%">
                            <center>
                                <h2><?php echo $venda[0]["Status"]; ?></h2>
                            </center>
                        </td>
                    </tr>
                </table>
            </td>
        </tr>
        <tr>
            <td heigth="10"></td>
        </tr>
        <tr>
            <td>
                <table width="100%" align="center" style="font-family: verdana">
                    <tr>
                        <td colspan="2" style='font-variant:small-caps; border-bottom: 2px solid #363636;'>
                            <b>Cliente</b>
                            <span style="float: right;font-size: 12px">
                                <?php
                                if ($venda[0]["Os_Fornecedor"]) {
                                    echo "OS Fornecedor: " . $venda[0]["Os_Fornecedor"];
                                }
                                ?>
                            </span>
                        </td>
                    </tr>
                    <tr>
                        <td width="70%"
                            style='border-bottom: 1px solid #737373;border-right: 1px solid #737373;font-size: 12px'>
                            <span style='font-variant:small-caps;font-size: 10px'>Fantasia / Razo Social <br /></span>
                            <?php echo $venda[0]["Codigo"] . " / " . $venda[0]["Cliente"] . " / " . $venda[0]["Razao_Social"]; ?>
                        </td>
                        <td width="30%" style='border-bottom: 1px solid #737373;font-size: 12px'>
                            <span style='font-variant:small-caps;font-size: 10px'>Data <br /></span>
                            <?php echo data_exibir($venda[0]["Data_Pre_Venda"]); ?>
                        </td>
                    </tr>
                    <tr>
                        <td width="70%"
                            style='border-bottom: 1px solid #737373;border-right: 1px solid #737373;font-size: 12px'>
                            <span style='font-variant:small-caps;font-size: 10px'>Ponto Referncia <br /></span>
                            <?php echo ($venda[0]["Ponto_Referencia"] != '') ? $venda[0]["Ponto_Referencia"] : "-"; ?>
                        </td>
                        <td width="30%" style='border-bottom: 1px solid #737373;font-size: 12px'>
                            <span style='font-variant:small-caps;font-size: 10px'>Fone <br /></span>
                            <?php
                            echo $venda[0]["Fone1"];
                            if ($venda[0]["Fone2"]) {
                                echo " / " . $venda[0]["Fone2"];
                            }
                            ?>
                        </td>
                    </tr>
                    <tr>
                        <td width="70%"
                            style='border-bottom: 1px solid #737373;border-right: 1px solid #737373;font-size: 12px'>
                            <span style='font-variant:small-caps;font-size: 10px'>Endereo <br /></span>
                            <?php echo $venda[0]["Endereco"] . ", " . $venda[0]["Complemento"]; ?>
                        </td>

                        <?php if ($venda[0]["Natureza"] == "PF") { ?>
                        <td width="30%" style='border-bottom: 1px solid #737373;font-size: 12px'>
                            <span style='font-variant:small-caps;font-size: 10px'>CPF <br /></span>
                            <?php echo cpf_exibir($venda[0]["Cpf_Cnpj"]); ?>
                        </td>
                        <?php } else { ?>
                        <td width="30%" style='border-bottom: 1px solid #737373;font-size: 12px'>
                            <span style='font-variant:small-caps;font-size: 10px'>CNPJ <br /></span>
                            <?php echo cnpj_exibir($venda[0]["Cpf_Cnpj"]); ?>
                        </td>
                        <?php } ?>
                    </tr>
                    <tr>
                        <td width="70%"
                            style='border-bottom: 1px solid #737373;border-right: 1px solid #737373;font-size: 12px'>
                            <span style='font-variant:small-caps;font-size: 10px'>Bairro / Cidade / UF <br /></span>
                            <?php echo $venda[0]["Bairro"] . " / " . $venda[0]["Cidade"] . " / " . $venda[0]["Estado"]; ?>
                        </td>
                        <td width="30%" style='border-bottom: 1px solid #737373;font-size: 12px'>
                            <span style='font-variant:small-caps;font-size: 10px'>CEP <br /></span>
                            <?php echo cep_exibir($venda[0]["Cep"]); ?>
                        </td>
                    </tr>
                    <tr>
                        <td width="70%"
                            style='border-bottom: 1px solid #737373;border-right: 1px solid #737373;font-size: 12px'>
                            <span style='font-variant:small-caps;font-size: 10px'>&nbsp; <br /></span>

                        </td>
                        <td width="30%" style='border-bottom: 1px solid #737373;font-size: 12px'>
                            <span style='font-variant:small-caps;font-size: 10px'>PTax <br /></span>
                            <?php echo $venda[0]["Dolar"]; ?>
                        </td>
                    </tr>
                    <tr>
                        <td width="70%"
                            style='border-bottom: 1px solid #737373;border-right: 1px solid #737373;font-size: 12px'>
                            <span style='font-variant:small-caps;font-size: 10px'>Vendedor <br /></span>
                            <b><?php echo $venda[0]["Vendedor"]; ?></b>
                        </td>
                        <td width="30%" style='border-bottom: 1px solid #737373;font-size: 12px'>
                            <span style='font-variant:small-caps;font-size: 10px'>Entrega <br /></span>
                            <b><?php echo data_exibir($venda[0]["Data_Entrega"]); ?></b>
                        </td>
                    </tr>
                </table>
            </td>
        </tr>
        <tr>
            <td>
                <table width="100%" align="center" style="font-family: verdana">
                    <tr>
                        <td colspan="4" style='font-variant:small-caps; border-bottom: 2px solid #363636;'>
                            <b>Observaes</b></td>
                    </tr>
                    <tr>
                        <td width="25%"
                            style='border-bottom: 1px solid #737373;border-right: 1px solid #737373;font-size: 12px'>
                            <!--<span style='font-variant:small-caps;font-size: 10px'>Tcnico <br/></span>-->
                            <?php echo $venda[0]["Obs_Pre_Venda"]; ?>
                        </td>
                    </tr>
                </table>
            </td>
        </tr>
        <tr>
            <td>
                <table width="100%" align="center" style="font-family: verdana">
                    <tr>
                        <td colspan="4" style='font-variant:small-caps; border-bottom: 2px solid #363636;'>
                            <b>Transportadora</b></td>
                    </tr>
                    <tr>
                        <td width="25%"
                            style='border-bottom: 1px solid #737373;border-right: 1px solid #737373;font-size: 12px'>
                            <span style='font-variant:small-caps;font-size: 10px'>Transportadora<br /></span>
                            <?php echo $venda[0]["Transportadora"]; ?>
                        </td>
                    </tr>
                </table>
            </td>
        </tr>
        <tr>
            <td>
                <table width="100%" align="center" style="font-family: verdana">
                    <tr>
                        <td colspan="13" style='font-variant:small-caps; border-bottom: 2px solid #363636;'>
                            <b>Produto</b></td>
                    </tr>

                    <?php
                    $venda_pro = mysqli_query($con, "Select pre_venda_produto.Preco,
 					                pre_venda_produto.Qtd,
                                    pre_venda_produto.Liberado,
                                    pre_venda_produto.Desconto,
                                    pre_venda_produto.Desconto_Real,
                                    pre_venda_produto.Lote,
                                    pre_venda_produto.CST_Ipi,
                                    pre_venda_produto.Ipi,
                                    pre_venda_produto.Icms,
                                    pre_venda_produto.Icms_Sub,
                                    pre_venda_produto.nItemPed,
                                    pre_venda_produto.Lote2,
                                    pre_venda_produto.Dolar,
                                    pre_venda_produto.Valor_Pauta,
                                    produto.Titulo as 'Produto',
                                    produto.Codigo,
                                    produto.Medida
                                    from pre_venda_produto
                                    left join (SELECT Id,Titulo,Codigo,Medida FROM produto) as produto ON produto.Id = pre_venda_produto.Id_Produto
                                    where pre_venda_produto.Id_Pre_Venda = '" . $_GET["id_pre_venda"] . "'
                                    ORDER BY pre_venda_produto.Data_Cadastro");

                    $x = 1;
                    while ($chave = mysqli_fetch_assoc($venda_pro)) {

                        $chave["Qtd"] = $chave["Liberado"];
                    ?>

                    <tr>
                        <!--                    <td width="3%" style='border-bottom: 1px solid #737373;border-right: 1px solid #737373;font-size: 12px'>
                        <span style='font-variant:small-caps;font-size: 10px'>N <br/></span>
                        <?php echo $x; ?>
                    </td>-->
                        <td width="15%"
                            style='border-bottom: 1px solid #737373;border-right: 1px solid #737373;font-size: 12px'>
                            <span style='font-variant:small-caps;font-size: 10px'>Item Cliente <br /></span>
                            <?php
                                if ($chave["nItemPed"] != '') {
                                    echo $chave["nItemPed"];
                                } else {
                                    echo $chave["Codigo"];
                                };
                                ?>
                        </td>
                        <td width="10%"
                            style='border-bottom: 1px solid #737373;border-right: 1px solid #737373;font-size: 12px'>
                            <span style='font-variant:small-caps;font-size: 10px'>Item <br /></span>
                            <?php echo $chave["Codigo"]; ?>
                        </td>
                        <td colspan="2"
                            style='border-bottom: 1px solid #737373;border-right: 1px solid #737373;font-size: 12px'>
                            <span style='font-variant:small-caps;font-size: 10px'>Descrio <br /></span>
                            <?php echo $chave["Produto"]; ?>
                        </td>
                        <td width="5%"
                            style='border-bottom: 1px solid #737373;border-right: 1px solid #737373;font-size: 12px'>
                            <span style='font-variant:small-caps;font-size: 10px'>Qtd <br /></span>
                            <?php echo $chave["Qtd"]; ?>
                        </td>
                        <td width="5%"
                            style='border-bottom: 1px solid #737373;border-right: 1px solid #737373;font-size: 12px'>
                            <span style='font-variant:small-caps;font-size: 10px'>UN <br /></span>
                            <?php echo $chave["Medida"]; ?>
                        </td>
                        <td width="10%"
                            style='border-bottom: 1px solid #737373;border-right: 1px solid #737373;font-size: 12px'>
                            <span style='font-variant:small-caps;font-size: 10px'>R$ Unit <br /></span>
                            R$ <?php echo number_format($chave["Preco"], 2, ',', '.'); ?>
                        </td>
                        <td width="10%"
                            style='border-bottom: 1px solid #737373;border-right: 1px solid #737373;font-size: 12px'>
                            <span style='font-variant:small-caps;font-size: 10px'>$ Unit <br /></span>
                            $ <?php echo number_format($chave["Dolar"], 2, '.', ','); ?>
                        </td>
                        <td width="8%"
                            style='border-bottom: 1px solid #737373;border-right: 1px solid #737373;font-size: 12px'>
                            <span style='font-variant:small-caps;font-size: 10px'>ICMS <br /></span>
                            % <?php echo number_format($chave["Icms"], 2, ',', '.'); ?>
                        </td>
                        <!--                    <td width="8%" style='border-bottom: 1px solid #737373;border-right: 1px solid #737373;font-size: 12px'>
                        <span style='font-variant:small-caps;font-size: 10px'>ICMS Sub<br/></span>
                        %  <?php echo number_format($chave["Icms_Sub"], 2, ',', '.'); ?>
                    </td>-->
                        <td width="8%"
                            style='border-bottom: 1px solid #737373;border-right: 1px solid #737373;font-size: 12px'>
                            <span style='font-variant:small-caps;font-size: 10px'>IPI<br /></span>
                            % <?php echo number_format($chave["Ipi"], 2, ',', '.'); ?>
                        </td>
                        <!--                    <td width="8%" style='border-bottom: 1px solid #737373;border-right: 1px solid #737373;font-size: 12px'>
                        <span style='font-variant:small-caps;font-size: 10px'>Iss   <br/></span>
                        %  <?php echo number_format($chave["Iss"], 2, ',', '.'); ?>
                    </td>-->
                        <td width="8%" style='border-bottom: 1px solid #737373;font-size: 12px'>
                            <span style='font-variant:small-caps;font-size: 10px'>Total R$<br /></span>
                            <?php echo number_format((($chave['Qtd'] * $chave['Preco']) - (($chave['Qtd'] * $chave['Preco']) * ($chave['Desconto'] / 100))) - $chave['Desconto_Real'], 2, ',', '.'); ?>
                        </td>
                    </tr>

                    <?php
                        $Qtd += $chave["Qtd"];
                        $Preco += $chave["Preco"];
                        
                        $tdesc+= valor_banco(valor_exibir(( ($chave['Qtd']*$chave['Preco'])*($chave['Desconto']/100) ) + $chave['Desconto_Real'],2));
                        $Ipi += $chave["Ipi"] / 100;
                        $Icms += $chave["Icms"] / 100;
                        $Icms_Sub += $chave["Icms_Sub"] / 100;
                        $Total += (($chave["Preco"] * $chave["Qtd"]) -
                            (($chave["Preco"] * $chave["Qtd"]) * ($chave["Desconto"] / 100))) - $chave['Desconto_Real'];
                        
                        $desc_perc = valor_banco(valor_exibir(( ($chave['Qtd']*$chave['Preco'])*($chave['Desconto']/100) ),2));

                        $VBaseCalc+= number_format((($chave['Qtd']*$chave['Preco'])-$desc_perc ) -$chave['Desconto_Real'] + ($chave['Frete'] + $chave['Despesa']),2, '.', '');
                        $Valor_Total+= valor_banco(valor_exibir((($chave['Qtd']*$chave['Preco'])-$desc_perc ) -$chave['Desconto_Real'],2));
                        $qtd_volume+=$chave['Qtd']/$chave['Qtd_Caixa'];
                        $total_bruto+=$chave['Qtd']*$chave['Peso_Bruto'];
                        $total_liquido+=$chave['Qtd']*$chave['Peso_Liquido'];

                        //calculo icms so para garden
                        $VBC = number_format((($chave['Qtd'] * $chave['Preco']) - $desc_perc) - $chave['Desconto_Real'] + ($chave['Frete'] + $chave['Despesa']), 2, '.', '');
                    
                        if ($chave["ReducaoBC"] > '0') {
                            $VBCicms = $VBC - ($VBC * ($chave['ReducaoBC'] / 100));
                        } else {
                            $VBCicms = $VBC;
                        }
                        
                        $VICMSF+= ($VBCicms * ($chave['Icms'] / 100));
                        //calculo icms so para garden

                        
                        if($chave['Ipi']!='0' && 
                        (
                            ($chave['CST_Ipi'] === '00') || ($chave['CST_Ipi'] == '49') ||
                            ($chave['CST_Ipi'] == '50') || ($chave['CST_Ipi'] == '99')
                        )){
                            $VBC = number_format((($chave['Qtd']*$chave['Preco'])-$desc_perc ) -$chave['Desconto_Real'],2, '.', '');
                            $VBC = $VBC + $chave['Frete'] + $chave['Despesa'];
                            if($chave['ReducaoBC']>'0'){
                                $VBC = $VBC - ($VBC * ($chave['ReducaoBC'] / 100));
                            }
                            $vIpi = number_format(( $VBC * ($chave['Ipi']/100) ),2, '.', '');
                            $VIPI+= number_format(( $VBC * ($chave['Ipi']/100) ),2, '.', '');
                            }
                        
                        if (($chave["Consumidor_Final"] == 'Sim') && ($chave["Ipi_Cliente"] == 'Sim')) {
                            $bcIpi = $vIpi;
                        }
                        if ($chave["Ipi_Cliente"] == 'Sim') {
                            $bcstIpi = $vIpi;
                        }
                        
                        $valor_st='0';
                        //calculando o valor do ICMS ST
                        if ($chave['ST_Icms'] == '10' || $chave['ST_Icms'] == '70' || $chave['ST_Icms'] == '90') {

                            if ($chave['Bonificacao'] == 'Sim') {
                                $desc_perc = '0';
                                $chave['Desconto_Real'] = '0';
                            }
                    
                            $VBC = number_format((($chave['Qtd'] * $chave['Preco']) - $desc_perc) - $chave['Desconto_Real'] + ($chave['Frete'] + $chave['Despesa']), 2, '.', '');
                    
                            if ($chave["ReducaoBC"] > '0') {
                                $VBCicms = $VBC - ($VBC * ($chave['ReducaoBC'] / 100));
                            } else {
                                $VBCicms = $VBC;
                            }
                    
                            $VICMS = ($VBCicms * ($chave['Icms'] / 100));
                    
                    
                            $vBCST = ($VBC + $bcstIpi) * (1 + (($chave['Mva'] / 100)));
                            $vBCST = $vBCST - ($vBCST * ($chave['Reducao'] / 100));
                            $valor_st = number_format($vBCST * ($chave['Icms_Sub'] / 100), 2, '.', '') - number_format($VICMS, 2, '.', '');
                    
                            //calculo com o valor de pauta
                            if ($chave['Preco'] < $chave['Valor_Pauta']) {
                                if ($chave['Estado_Cliente'] == 'RN' || $chave['Estado_Cliente'] == 'PB' || $chave['Estado_Cliente'] == 'AL') {
                    
                                    $chave['Preco'] = $chave['Valor_Pauta'];
                    
                                    $VBCp = (($chave['Qtd'] * $chave['Preco']) - $desc_perc) - $chave['Desconto_Real'] + ($chave['Frete'] + $chave['Despesa']);
                                    $VICMS = ($VBCp * ($chave['Icms'] / 100));
                                    $vBCST = ($VBCp + $bcstIpi) * (1 + (($chave['Mva'] / 100)));
                                    $vBCST = $vBCST - ($vBCST * ($chave['Reducao'] / 100));
                                    $valor_st = ($vBCST * ($chave['Icms_Sub'] / 100)) - ($VBC * ($chave['Icms'] / 100));
                                }
                            }
                    
                            if (($chave["Estado_Cliente"] == $chave["Estado_Empresa"]) && $chave["Cesta_Basica"] == 'Sim') {
                                $VBC = (($chave['Qtd'] * $chave['Preco']) - $desc_perc) - $chave['Desconto_Real'];
                                $VBC = $VBC + $chave['Frete'] + $chave['Despesa'];
                                if ($chave['ReducaoBC'] > '0') {
                                    $VBC = $VBC - ($VBC * ((100 - $chave['ReducaoBC']) / 100)); //reversa
                                }
                                $VICMS = ($VBC * ($chave['Icms'] / 100));
                    
                                $VBC = (($chave['Qtd'] * $chave['Preco']) - $desc_perc) - $chave['Desconto_Real'];
                                $VBC = $VBC + $chave['Frete'] + $chave['Despesa'];
                                $vBCST = ($VBC + $bcstIpi) * (1 + (($chave['Mva'] / 100)));
                                $vBCST = $vBCST - ($vBCST * ($chave['Reducao'] / 100));
                                $valor_st = ($vBCST * ($chave['Icms_Sub'] / 100));
                            }
                    
                            $VICMSST += number_format($valor_st, 2, ".", "");
                        }
                        
                        //calculando o valor do ICMS ST - simples
                        if( ($chave['ST_Icms']=='201') || ($chave['ST_Icms']=='202') || ($chave['ST_Icms']=='900') ){
                        $VBC = (($chave['Qtd']*$chave['Preco'])-$desc_perc ) -$chave['Desconto_Real'];
                        $VBC = $VBC + $chave['Frete'] + $chave['Despesa'];
                        $VICMS = ( $VBC * ($chave['Icms']/100) );
                        //$ValorICMSProprioparaST = $VBC * ($chave['Icms_Sub']/100);//calc diferente
                        $vBCST = ($VBC + $bcstIpi) * (1+(($chave['Mva'] / 100)));
                        $vBCST = $vBCST - ($vBCST * ($chave['Reducao']/100));
                        $VICMSST+=number_format( $vBCST * ($chave['Icms_Sub']/100)  , 2, '.', '') - ( $VICMS );
                        }
                        
                        //calculo FCPST
                        if (($chave['ST_Icms'] == '201') || ($chave['ST_Icms'] == '202') || ($chave['ST_Icms'] == '900') ||
                            $chave['ST_Icms'] == '10' || $chave['ST_Icms'] == '70' || $chave['ST_Icms'] == '90' ) {
                        if (($chave["Cliente_FCP"] == 'Sim') &&
                            ($chave["Estado_Cliente"] != $chave["Estado_Unidade"]) &&
                            ($chave["FCP"] > '0')
                        ) {
                            $vtFCPST = $vBCST;
                            $vtFCPST = str_replace('.', '', $vtFCPST);
                            $vtFCPST = str_replace(',', '.', $vtFCPST);

                            $vtFCPSTItem += number_format($vtFCPST * ($chave["FCP"] / 100), 2, ".", "");
                        }
                        }

                        $x++;
                    }

                    $VICMSST = number_format($VICMSST,2,",",".");
                    $VICMSST=str_replace('.','',$VICMSST);
                    $VICMSST=str_replace(',','.',$VICMSST);
                    
                    $VIPI = number_format($VIPI,2,",",".");
                    $VIPI=str_replace('.','',$VIPI);
                    $VIPI=str_replace(',','.',$VIPI);
                    
                    $vtFCPSTItem = number_format($vtFCPSTItem,2,",",".");
                    $vtFCPSTItem=str_replace('.','',$vtFCPSTItem);
                    $vtFCPSTItem=str_replace(',','.',$vtFCPSTItem);
                    ?>
                    <tr>
                        <td colspan="8"
                            style='border-bottom: px solid #737373;border-right: 1px solid #737373;font-size: 12px'>
                            &nbsp;
                        </td>
                        <td colspan="2"
                            style='border-bottom: 1px solid #737373;border-right: 1px solid #737373;font-size: 12px'>
                            ICMS
                        </td>
                        <td align="right" style='border-bottom: 1px solid #737373;font-size: 12px'>
                            <b><?php echo number_format($VICMSF, 2, ',', '.'); ?></b>
                        </td>
                    </tr>
                    <tr>
                        <td colspan="8"
                            style='border-bottom: px solid #737373;border-right: 1px solid #737373;font-size: 12px'>
                            &nbsp;
                        </td>
                        <td colspan="2"
                            style='border-bottom: 1px solid #737373;border-right: 1px solid #737373;font-size: 12px'>
                            IPI
                        </td>
                        <td align="right" style='border-bottom: 1px solid #737373;font-size: 12px'>
                            <b><?php echo number_format($VIPI, 2, ',', '.'); ?></b>
                        </td>
                    </tr>
                    <tr>
                        <td colspan="8"
                            style='border-bottom: px solid #737373;border-right: 1px solid #737373;font-size: 12px'>
                            &nbsp;
                        </td>
                        <td colspan="2"
                            style='border-bottom: 1px solid #737373;border-right: 1px solid #737373;font-size: 12px'>
                            Valor Lquido
                        </td>
                        <td align="right" style='border-bottom: 1px solid #737373;font-size: 12px'>
                            <b><?php echo number_format($Valor_Total, 2, ',', '.'); ?></b>
                        </td>
                    </tr>
                    <tr>
                        <td colspan="8"
                            style='border-bottom: px solid #737373;border-right: 1px solid #737373;font-size: 12px'>
                            &nbsp;
                        </td>
                        <td colspan="2"
                            style='border-bottom: 1px solid #737373;border-right: 1px solid #737373;font-size: 12px'>
                            Desconto
                        </td>
                        <td align="right" style='border-bottom: 1px solid #737373;font-size: 12px'>
                            <b><?php echo number_format($tdesc, 2, ',', '.'); ?></b>
                        </td>
                    </tr>
                    <tr>
                        <td colspan="8"
                            style='border-bottom: 1px solid #737373;border-right: 1px solid #737373;font-size: 12px'>
                            &nbsp;
                        </td>
                        <td colspan="2"
                            style='border-bottom: 1px solid #737373;border-right: 1px solid #737373;font-size: 12px'>
                            Valor Total
                        </td>
                        <td align="right" style='border-bottom: 1px solid #737373;font-size: 12px'>
                            <b><?php echo number_format($Valor_Total + $VIPI, 2, ',', '.'); ?></b>
                        </td>
                    </tr>

                </table>
            </td>
        </tr>


        <?php
    $venda_parcela = listar("SELECT financeiro_pedido.*,
                                            tipo_pagamento.Titulo as 'Tipo_Pagamento'
                                       FROM financeiro_pedido
                                  LEFT JOIN (SELECT Id,Titulo FROM tipo_pagamento) as tipo_pagamento ON tipo_pagamento.Id = financeiro_pedido.Id_Tipo_Pagamento
                                      WHERE financeiro_pedido.Id_Externo = '" . $_GET["id_pre_venda"] . "' 
                                        AND financeiro_pedido.Id_Tipo_Pagamento <> '0'
                                   ORDER BY financeiro_pedido.Ordem ");
    ?>
        <tr>
            <td>
                <table width="100%" align="center" style="font-family: verdana">
                    <tr>
                        <td colspan="11" style='font-variant:small-caps; border-bottom: 2px solid #363636;'><b>Condies
                                de Pagamento</b> <span style='font-size:12px; '> -
                                <?php echo $venda[0]["Tipo_Pagamento"]; ?></span></td>
                    </tr>
                    <?php
                for ($i=1; $i<=PARCELA_PAGAMENTO; $i++) {
                    $campo_tp.=" Taxa".str_pad($i, 2,"0", STR_PAD_LEFT).", Prazo".str_pad($i, 2,"0", STR_PAD_LEFT).", ";
                }
                $campo_tp = substr($campo_tp,0,-2);

                foreach ($venda_parcela as $chave) {

                    $tip = mysqli_query($con, "SELECT $campo_tp
                                                           FROM tipo_pagamento
                                                          WHERE Id = '{$chave["Id_Tipo_Pagamento"]}'  ")
                        or die("ERRO no comando SQL:" . mysqli_error($con));
                    $array_tipo = mysqli_fetch_assoc($tip);


                    $z = 1;
                    for ($x = 1; $x<=PARCELA_PAGAMENTO; $x++) {

                        if ($x < 10) {
                            $z = '0' . $x;
                        }

                        if ($array_tipo["Prazo" . $z] == "") {
                            break;
                        }
                ?>
                    <tr>
                        <td style='border-bottom: 1px solid #737373;border-right: 1px solid #737373;font-size: 12px'>
                            <span style='font-variant:small-caps;font-size: 10px'>N <br /></span>
                            <?php echo $x; ?>
                        </td>
                        <td style='border-bottom: 1px solid #737373;border-right: 1px solid #737373;font-size: 12px'>
                            <span style='font-variant:small-caps;font-size: 10px'>Vencimento <br /></span>
                            <?php echo data_exibir($chave["Data$z"]) ?>
                        </td>
                        <td style='border-bottom: 1px solid #737373;border-right: 1px solid #737373;font-size: 12px'>
                            <span style='font-variant:small-caps;font-size: 10px'>Valor <br /></span>
                            <?php echo number_format($chave["Valor$z"], 2, ',', '.') ?>
                        </td>
                        <td style='border-bottom: 1px solid #737373;border-right: 1px solid #737373;font-size: 12px'>
                            <span style='font-variant:small-caps;font-size: 10px'>Tipo <br /></span>
                            <?php echo $chave["Tipo_Pagamento"] ?>
                        </td>
                    </tr>
                    <?php
                        $z++;
                    }
                }
                ?>
                </table>
            </td>
        </tr>



        <tr>
            <td>
                <table width="100%" align="center" style="font-family: verdana">
                    <tr>
                        <td colspan="11" style='font-variant:small-caps; border-bottom: 2px solid #363636;'><b>Dados
                                Bancrios</b></td>
                    </tr>
                    <tr>
                        <td style='border-bottom: 1px solid #737373;border-right: 1px solid #737373;font-size: 12px'>
                            <span style='font-variant:small-caps;font-size: 10px'>Banco <br /></span>
                            BMP SCMEPP LTDA - 0274
                        </td>
                        <td style='border-bottom: 1px solid #737373;border-right: 1px solid #737373;font-size: 12px'>
                            <span style='font-variant:small-caps;font-size: 10px'>Agncia <br /></span>
                            0001
                        </td>
                        <td style='border-bottom: 1px solid #737373;border-right: 1px solid #737373;font-size: 12px'>
                            <span style='font-variant:small-caps;font-size: 10px'>C/c <br /></span>
                            08167833-6
                        </td>
                        <td style='border-bottom: 1px solid #737373;border-right: 1px solid #737373;font-size: 12px'>
                            <span style='font-variant:small-caps;font-size: 10px'>Chave Pix <br /></span>
                            67666834000101
                        </td>
                        <td style='border-bottom: 1px solid #737373;border-right: 1px solid #737373;font-size: 12px'>
                            <span style='font-variant:small-caps;font-size: 10px'>Identificao <br /></span>
                            67.666.834/0001-01 Matriz
                        </td>
                    </tr>
                    <tr>
                        <td style='border-bottom: 1px solid #737373;border-right: 1px solid #737373;font-size: 12px'>
                            <span style='font-variant:small-caps;font-size: 10px'>Banco <br /></span>
                            BMP SCMEPP LTDA - 0274
                        </td>
                        <td style='border-bottom: 1px solid #737373;border-right: 1px solid #737373;font-size: 12px'>
                            <span style='font-variant:small-caps;font-size: 10px'>Agncia <br /></span>
                            0001
                        </td>
                        <td style='border-bottom: 1px solid #737373;border-right: 1px solid #737373;font-size: 12px'>
                            <span style='font-variant:small-caps;font-size: 10px'>C/c <br /></span>
                            08153495-0
                        </td>
                        <td style='border-bottom: 1px solid #737373;border-right: 1px solid #737373;font-size: 12px'>
                            <span style='font-variant:small-caps;font-size: 10px'>Chave Pix <br /></span>
                            67666834000373
                        </td>
                        <td style='border-bottom: 1px solid #737373;border-right: 1px solid #737373;font-size: 12px'>
                            <span style='font-variant:small-caps;font-size: 10px'>Identificao <br /></span>
                            67.666.834/0003-73 Matriz
                        </td>
                    </tr>
                </table>
            </td>
        </tr>
        <tr>
            <td>
                <table width="100%" align="center" style="font-family: verdana">
                    <tr>
                        <td colspan="11" style='font-variant:small-caps; border-bottom: 2px solid #363636;'>
                            <b>Observaes</b></td>
                    </tr>
                    <tr>
                        <td width="100%"
                            style='border-bottom: 1px solid #737373;border-right: 1px solid #737373;font-size: 12px'>
                            <span style='font-variant:small-caps;font-size: 10px'>&nbsp; <br /></span>
                            <b>ATENO:</b> A Garden Qumica no faz reajuste da data de vencimento aps a emisso da
                            nota fiscal.
                            Orientamos que confirme a data de vencimento das duplicatas no fechamento do pedido.
                            A Proposta  valida at o final do dia.
                            A Cotao  realizada com o PTAX do dia anterior ao faturamento, nosso horrio de
                            faturamento ser encerrado s 16:00 hrs. Prazo de entregas de leos e extratos com at 15
                            dias teis.
                            O Nosso veiculo realiza entregas de 24 a 72HRs.
                        </td>
                    </tr>
                    <table width="100%" align="center" style="font-family: verdana">
                        <tr>
                            <td width="50%"
                                style='border-bottom: 1px solid #737373;border-right: 1px solid #737373;font-size: 12px'>
                                <p><b>FRETE</b></p>
                            </td>
                            <td width="50%"
                                style='border-bottom: 1px solid #737373;border-right: 1px solid #737373;font-size: 12px'>
                                <span
                                    style='font-variant:small-caps;font-size: 12px'><?php echo $venda[0]["Frete"];?></span>
                            </td>
                        </tr>
                        <tr>
                            <td
                                style='border-bottom: 1px solid #737373;border-right: 1px solid #737373;font-size: 12px'>
                                <span style='font-variant:small-caps;font-size: 12px'><b>EMBALAGENS</b></span>
                            </td>
                            <td class="inlineEdit" id="C<?php echo $_GET["id_pre_venda"] . "-Embalagem"; ?>"
                                alt="Clique para Editar !" title="Clique para Editar !"
                                style='border-bottom: 1px solid #737373;border-right: 1px solid #737373;font-size: 12px;cursor: pointer;'>
                                <?php
                                if ($venda[0]["Embalagem"] != '') {
                                    echo $venda[0]["Embalagem"];
                                } else {
                                    echo "INCLUSAS";
                                }
                                ?>
                            </td>
                        </tr>
                        <tr>
                            <td
                                style='border-bottom: 1px solid #737373;border-right: 1px solid #737373;font-size: 12px'>
                                <span style='font-variant:small-caps;font-size: 12px'><b>FATURAMENTO MNIMO
                                        FATURADO</b></span>
                            </td>
                            <td
                                style='border-bottom: 1px solid #737373;border-right: 1px solid #737373;font-size: 12px'>
                                <span style='font-variant:small-caps;font-size: 12px'>R$ 1.000,00</span>
                            </td>
                        </tr>
                        <tr>
                            <td
                                style='border-bottom: 1px solid #737373;border-right: 1px solid #737373;font-size: 12px'>
                                <span style='font-variant:small-caps;font-size: 12px'><b>FATURAMENTO MNIMO 
                                        VISTA</b></span>
                            </td>
                            <td
                                style='border-bottom: 1px solid #737373;border-right: 1px solid #737373;font-size: 12px'>
                                <span style='font-variant:small-caps;font-size: 12px'>R$ 800,00 - FOB</span>
                            </td>
                        </tr>
                        <tr>

                            <td>
                                <span style='font-variant:small-caps;font-size: 10px'>&nbsp; <br /></span>
                                <span style='font-variant:small-caps;font-size: 10px'>&nbsp; <br /></span>
                            </td>

                        </tr>

                        <tr>
                            <td
                                style='border-bottom: 1px solid #737373;border-right: 1px solid #737373;border-top: 1px solid #737373;font-size: 12px'>
                                <span style='font-variant:small-caps;font-size: 12px'><b>ICMS %</b></span>
                            </td>
                            <td
                                style='border-bottom: 1px solid #737373;border-right: 1px solid #737373;border-top: 1px solid #737373;font-size: 12px'>
                                <span style='font-size: 12px'>Incluso no preo</span>
                            </td>
                        </tr>
                        <tr>
                            <td
                                style='border-bottom: 1px solid #737373;border-right: 1px solid #737373;font-size: 12px'>
                                <span style='font-variant:small-caps;font-size: 12px'><b>VALIDADE DA PROPOSTA</b></span>
                            </td>
                            <td
                                style='border-bottom: 1px solid #737373;border-right: 1px solid #737373;font-size: 12px'>
                                <span style='font-variant:small-caps;font-size: 12px'>ATE O FINAL DO DIA</span>
                            </td>
                        </tr>
                    </table>
                </table>
            </td>
        </tr>


    </table>
</body>

</html>
<?php include "../include/rodape.php"; ?>