<?php
include_once '../include/conecta.php'; //Conecta com a nosso banco de dados MySQL
include_once '../include/ver_sessao.php'; //Verifica se a sesso est ativa
include_once '../include/funcoesPhp.php';
include_once '../menu_movimento.php';
?>
<?php
if (($_GET["Finalizado"]) || ($_GET["Aberto"]) || ($_GET["Cancelado"]) || ($_GET["Programao"]) || ($_GET["Analise"])) {

    $status = "and (";

    if ($_GET["Finalizado"]) {
        $status .= " pre_venda.Status = 'Finalizado' OR";
    }
    if ($_GET["Aberto"]) {
        $status .= " pre_venda.Status = 'Aberto' OR";
    }
    if ($_GET["Cancelado"]) {
        $status .= " pre_venda.Status = 'Cancelado' OR";
    }
    if ($_GET["Programao"]) {
        $status .= " pre_venda.Status = 'Programao' OR";
    }
    if ($_GET["Analise"]) {
        $status .= " pre_venda.Status = 'Analise' OR";
    }

    $status = substr($status, 0, -2);
    $status .= ")";
}

if ($_GET['Data_Filtro'] == 'Data') {
    if ($_GET["De"])
        $data .= "AND pre_venda.Data_Pre_Venda >= '" . data_banco($_GET["De"]) . " 00:00:00' ";
    if ($_GET["Ate"])
        $data .= "AND pre_venda.Data_Pre_Venda <= '" . data_banco($_GET["Ate"]) . " 23:59:59' ";
}
if ($_GET['Data_Filtro'] == 'Conclusao') {
    if ($_GET["De"])
        $data .= "AND pre_venda.Data_Conclusao >= '" . data_banco($_GET["De"]) . " 00:00:00' ";
    if ($_GET["Ate"])
        $data .= "AND pre_venda.Data_Conclusao <= '" . data_banco($_GET["Ate"]) . " 23:59:59' ";
}
if ($_GET['Data_Filtro'] == 'Entrega') {
    if ($_GET["De"])
        $data .= "AND pre_venda.Data_Entrega >= '" . data_banco($_GET["De"]) . " 00:00:00' ";
    if ($_GET["Ate"])
        $data .= "AND pre_venda.Data_Entrega <= '" . data_banco($_GET["Ate"]) . " 23:59:59' ";
}


if ($_GET["Cliente"]) {

    $mystring = $_GET["Cliente"];
    $findme = " : ";

    $posicao = strpos($mystring, $findme);

    $cod_cli = substr($_GET["Cliente"], 0, $posicao);
    $nome_cli = substr($_GET["Cliente"], ($posicao + 3));


    if (CLIENTE_RAZAO_SOCIAL == 'Sim') {
        $nome = 'Razao_Social';
    } else {
        $nome = 'Titulo';
    }
    /* convertendo o nome do fornecedor, para o seu codigo */
    $Prodt = listar("SELECT Id FROM cliente WHERE " . $nome . " ='" . $nome_cli . "' AND Codigo = '" . $cod_cli . "' ");
    $_GET["Cliente"] = $Prodt[0]["Id"];

    $cliente = "and pre_venda.Id_Cliente = '" . $_GET["Cliente"] . "' ";
}

if ($_GET["Funcionario"])
    $usuario_p .= "and pre_venda.Id_Funcionario = '" . $_GET["Funcionario"] . "' ";

if ($_GET["Vendedor"])
    $usuario_p .= "and pre_venda.Id_Vendedor = '" . $_GET["Vendedor"] . "' ";


if ($_GET["Produto"]) {

    $mystring = $_GET["Produto"];
    $findme = " : ";

    $posicao = strpos($mystring, $findme);

    $cod_cli = substr($_GET["Produto"], 0, $posicao);
    $nome_cli = substr($_GET["Produto"], ($posicao + 3));


    /* convertendo o nome do fornecedor, para o seu codigo */
    $Prodt = listar("SELECT Id FROM produto WHERE Titulo='" . $nome_cli . "' AND Codigo = '" . $cod_cli . "' ");
    $_GET["Produto"] = $Prodt[0]["Id"];

    $pre_venda_produto = "and pre_venda_produto.Id_Produto = '" . $_GET["Produto"] . "' ";
}

if ($_GET["Unidade"]) {
    $Unidade = "and pre_venda.Id_Unidade = '" . $_GET["Unidade"] . "' ";
    $Unidade_e = "and estoque.Id_Unidade = '" . $_GET["Unidade"] . "' ";
}

if ($_GET["Ok"]) {
    $pre_venda = mysqli_query($con, "Select pre_venda.Id,
                            pre_venda.Lancamento,
                            pre_venda.Status,
                            pre_venda.Data_Pre_Venda,
                            pre_venda.Data_Entrega,
                            pre_venda.Data_Conclusao,
                            pre_venda.Desconto,
                            pre_venda.Desconto_Real,
                            pre_venda.Cotacao,
                            pre_venda.Frete,
                            pre_venda.Motivo,
                            cliente.Titulo as Cliente,
                            cliente.Razao_Social,
                            vendedor.Titulo as 'Vendedor',
                            produto.Id as Id_Produto,
                            produto.Titulo,
                            produto.Codigo,
                            pre_venda_produto.Preco,
                            pre_venda_produto.Qtd,
                            pre_venda_produto.Desconto,
                            pre_venda_produto.Desconto_Real,
                            pre_venda_produto.Lote,
                            pre_venda_produto.Data_Validade,
                            pre_venda_produto.Data_Fabricacao
                            from pre_venda
                            left join (SELECT Id,Id_Produto,Id_Pre_Venda,Preco,Qtd,Desconto,Desconto_Real,Lote,Data_Validade,Data_Fabricacao FROM pre_venda_produto WHERE 1=1 $pre_venda_produto) as pre_venda_produto ON pre_venda_produto.Id_Pre_Venda = pre_venda.Id
                            left join (SELECT Id,Titulo,Codigo FROM produto) as produto ON produto.Id = pre_venda_produto.Id_Produto
                            LEFT JOIN (SELECT Id,Titulo FROM funcionario) as vendedor ON vendedor.Id = pre_venda.Id_Vendedor
                            LEFT JOIN (SELECT Id,Titulo,Razao_Social FROM cliente) as cliente ON pre_venda.Id_Cliente = cliente.Id
                            where 1=1
                            $data $status $cliente $usuario_p $pre_venda_produto $Unidade
                            order by produto.Titulo, Cliente");
}
?>
<html>

<head>
    <title>Gw - Gesto Web</title>
    <link rel="stylesheet" type="text/css" href="../estilo/<?php echo SKIN; ?>/tabelas.css" />
    <link rel="stylesheet" type="text/css" href="../js/datePicker/datePicker.css" />
    <link rel="stylesheet" type="text/css" href="../js/autocomplete/jquery.autocomplete.css" />
    <link rel="stylesheet" type="text/css" href="../js/autocomplete/lib/thickbox.css" />
    <script type="text/javascript" language="javascript" src="../js/jquery.js"></script>
    <?php include '../include/script_cabeca.php'; ?>
    <script type="text/javascript" language="javascript" src="../js/script.js"></script>
    <script type="text/javascript" language="javascript" src="../js/meiomask/meiomask.js"></script>
    <script type="text/javascript" language="javascript" src="../js/meiomask/<?php if (PAIS == "USA") {
                                                                                    echo "mascaras-usa";
                                                                                } else {
                                                                                    echo "mascaras";
                                                                                } ?>.js"></script>
    <script type="text/javascript" language="javascript" src="../js/blockUI/blockUI.js"></script>
    <script type="text/javascript" language="javascript" src="../js/autocomplete/lib/jquery.bgiframe.min.js"></script>
    <script type="text/javascript" language="javascript" src="../js/autocomplete/lib/jquery.ajaxQueue.js"></script>
    <script type="text/javascript" language="javascript" src="../js/autocomplete/lib/thickbox-compressed.js"></script>
    <script type="text/javascript" language="javascript" src="../js/autocomplete/jquery.autocomplete.js"></script>
    <!-- required plugins -->
    <script language="javascript" type="text/javascript" src="../js/datePicker/<?php if (PAIS == "USA") {
                                                                                    echo "date";
                                                                                } else {
                                                                                    echo "date-pt";
                                                                                } ?>.js"></script>
    <!--[if IE]>
	<script type="text/javascript" src="../js/datePicker/jquery.bgiframe.js"></script>
	<![endif]-->
    <!-- jquery.datePicker.js -->
    <script type="text/javascript" src="../js/datePicker/jquery.datePicker.js"></script>
    <script type="text/javascript" language="javascript">
        Date.firstDayOfWeek = 0;
        <?php if (PAIS == "USA") {
            echo "Date.format='mm/dd/yyyy';";
        } else {
            echo "Date.format='dd/mm/yyyy';";
        } ?>
        $(function() {
            $('.date-pick').datePicker({
                startDate: '01/01/1990'
            })
        });
    </script>
    <script type="text/javascript" language="javascript">
        $(document).ready(function() {
            $("#Cliente").autocomplete("pre_venda/busca_cliente2.php", {
                width: 340,
                selectFirst: true,
                scroll: false,
                cacheLength: 100,
                max: 100
            });
            $("#Produto").autocomplete("pre_venda/busca_produto2.php", {
                width: 340,
                selectFirst: true,
                scroll: false,
                cacheLength: 100,
                max: 100
            });
        });
    </script>
    <style type="text/css">
        thead {
            display: table-header-group;
        }

        tfoot {
            display: table-footer-group;
        }
    </style>
</head>

<body>
    <table width="100%" height="400px">
        <!-- TABELA Q ENVOLVE TODO O CONTEUDO -->
        <tr>
            <td>
                <table width="100%">
                    <tr>
                        <td align="left">
                            <font face="verdana" size="2"><i><b>Relatrio de Pr-Vendas Produo</b></i></font>
                        </td>
                        <td align="center">
                            <a href='imp_pdf_pre_venda_producao.php?<?php echo $_SERVER["QUERY_STRING"] ?>' title="Pdf"><img src="../imagem/pdfG.png" border="0" alt="Pdf" title="Pdf" /></a>
                            <br />
                            <font face="verdana" size="2"><i>Pdf</i></font>
                        </td>
                        <td align="center">
                            <a href='imp_excel_pre_venda_producao.php?<?php echo $_SERVER["QUERY_STRING"] ?>' title="Excel"><img src="../imagem/excelG.png" border="0" alt="Excel" title="Excel" /></a>
                            <br />
                            <font face="verdana" size="2"><i>Excel</i></font>
                        </td>
                        <td align="center">
                            <a href='javascript:void(0);' id="bt_Enviar_Email" title="Email"><img src="../imagem/emailG.png" border="0" alt="E-mail" title="E-mail" /></a>
                            <br />
                            <font face="verdana" size="2"><i>E-mail</i></font>
                        </td>
                        <td align="center">
                            <a href="imp_rel_pre_venda_producao.php?<?php echo $_SERVER["QUERY_STRING"] ?>" title="Imprimir" target="_blank"><img src="../imagem/imprimirG.png" border="0" alt="Imprimir" title="Imprimir" /></a>
                            <br />
                            <font face="verdana" size="2"><i>Imprimir</i></font>
                        </td>
                    </tr>
                </table>
            </td>
        </tr>
        <tr>
            <td>
                <form action="" method="get">
                    <table width="100%" class="busca_rel">
                        <tr class="azul">
                            <td>De<input type="text" name="De" id="De" class="date-pick" size="10" value="<?php echo $_GET["De"]; ?>"></td>
                            <td>At<input type="text" name="Ate" id="Ate" class="date-pick" size="10" value="<?php echo $_GET["Ate"]; ?>"></td>
                            <?php
                            if ($_GET['Data_Filtro'] == 'Data') {
                                $Data = 'checked';
                            } else if ($_GET['Data_Filtro'] == 'Conclusao') {
                                $Conclusao = 'checked';
                            } else if ($_GET['Data_Filtro'] == 'Entrega') {
                                $Entrega = 'checked';
                            } else {
                                $Data  = 'checked';
                            }
                            ?>
                            <td>
                                <input type="radio" name="Data_Filtro" value='Data' id="Data" <?php echo $Data; ?>><label class="label_radio" for="Data">Data Abertura</label>
                                <input type="radio" name="Data_Filtro" value='Entrega' id="Entrega" <?php echo $Entrega; ?>><label class="label_radio" for="Data">Data Entrega</label>
                                <input type="radio" name="Data_Filtro" value='Conclusao' id="Conclusao" <?php echo $Conclusao; ?>><label class="label_radio" for="Conclusao">Data Concluso</label>
                            </td>
                        </tr>
                        <tr class="azul">
                            <td>
                                <?php
                                if (CLIENTE_RAZAO_SOCIAL == 'Sim') {
                                    $nome = 'Razao_Social';
                                } else {
                                    $nome = 'Titulo';
                                }

                                $Produt = listar("SELECT CONCAT(Codigo,' : ', " . $nome . ") as Titulo FROM cliente WHERE Id='" . $_GET['Cliente'] . "'");
                                $_GET["Cliente"] = $Produt[0]["Titulo"];
                                ?>
                                <label for="Cliente"><b> * Cdigo / Cliente :</b></label>
                                <input style="width: 220px; height: 20px;" type="text" id="Cliente" name="Cliente" value="<?php echo $_GET['Cliente']; ?>" />
                            </td>
                            <td>
                                <?php
                                //se o sistema for Multi Empresa
                                if (MULTI_EMPRESA == "Sim") {

                                    //se o usuario master ele escolhe pra quem vai
                                    if (ESCOLHER_EMPRESA == 'Sim') {
                                ?>

                                        <?php echo select_banco2(
                                            "SELECT Id,Titulo FROM unidade WHERE Ativo='Sim' ORDER BY Titulo",
                                            "Unidade",
                                            "Unidade",
                                            "Empresa",
                                            $_GET["Unidade"],
                                            'style="width:200px"',
                                            ""
                                        );
                                        ?>

                                <?php
                                        //se no for, a unidade sempre ser a sua
                                    } else {
                                        echo "<input type='hidden' name='Unidade' id='Unidade' value='" . $_SESSION["Unidade"] . "' >";
                                    }
                                } else {
                                    echo "<input type='hidden' name='Unidade' id='Unidade' value='" . $_SESSION["Unidade"] . "' >";
                                }
                                ?>
                            </td>
                            <td>
                                <?php
                                echo select_banco2(
                                    "Select distinct Id, Titulo from funcionario where Ativo = 'Sim' AND Vendedor = 'Sim' order by Titulo",
                                    "Funcionario",
                                    "Funcionario",
                                    "Responsvel",
                                    $_GET["Funcionario"],
                                    'style="width:200px"'
                                );
                                ?>
                            </td>
                        </tr>
                        <tr class="azul">
                            <td>
                                <?php
                                /* convertendo o codigo do produto, para o seu nome */
                                $Produt = listar("SELECT CONCAT(Codigo,' : ', Titulo) as Titulo FROM produto WHERE Id='" . $_GET["Produto"] . "'");
                                $_GET["Produto"] = $Produt[0]["Titulo"];
                                ?>
                                <label for="Produto"><b> * Cdigo / Produto :</b></label>
                                <input style="width: 200px; height: 20px;" type="text" name="Produto" id="Produto" value="<?php echo $_GET["Produto"] ?>">
                            </td>
                            <td>
                                <?php if (CLIENTE_EMAIL == 'totalclean') { ?>
                                    <!-- <input type="checkbox" name="Programao" value="Programao" checked='checked' onclick="return false;">Programao -->
                                    <!-- <input type="checkbox" name="Analise" value="Analise" checked='checked' onclick="return false;">Analise -->
                                    <input type="checkbox" name="Programao" value="Programao" <?php if ($_GET["Programao"]) echo "checked='checked' "; ?>>Programao
                                    <input type="checkbox" name="Analise" value="Analise" <?php if ($_GET["Analise"]) echo "checked='checked' "; ?>>Analise
                                <?php } else { ?>
                                    <input type="checkbox" name="Programao" value="Programao" checked='checked' onclick="return false;">Programao
                                    <input type="checkbox" name="Analise" value="Analise" checked='checked' onclick="return false;">Analise
                                <?php } ?>
                                <!--
                                <input type="checkbox" name="Aberto" value="Aberto" <?php if ($_GET["Aberto"]) echo "checked='checked' "; ?> >
                                <?php
                                    if (CLIENTE_EMAIL == 'gardenquimica' || CLIENTE_EMAIL == 'testegarden' || CLIENTE_EMAIL == 'igq') {
                                        echo "Cotao";
                                    }else{
                                        echo "Em Lanamento";
                                    }
                                    ?>
                                <input type="checkbox" name="Finalizado" value="Finalizado" <?php if ($_GET["Finalizado"]) echo "checked='checked' "; ?> >Finalizado
                                <input type="checkbox" name="Cancelado" value="Cancelado" <?php if ($_GET["Cancelado"]) echo "checked='checked' "; ?> >Cancelado
                                -->
                            </td>
                            <td>
                                <?php
                                if (VER_APENAS_SUAS_VENDAS == 'Sim') {
                                    $func = "AND Id = '" . $_SESSION["Id_Funcionario"] . "' ";
                                    $_GET["Vendedor"] = $_SESSION["Id_Funcionario"];
                                    $dis = "disabled";
                                    echo "<input type='hidden' name='Vendedor' id='Vendedor' value='" . $_GET["Vendedor"] . "'>";
                                }
                                echo select_banco2(
                                    "Select Id, Titulo from funcionario where Ativo = 'Sim' AND Vendedor = 'Sim' $func order by Titulo",
                                    "Vendedor",
                                    "Vendedor",
                                    "Vendedor",
                                    $_GET["Vendedor"],
                                    'style="width:200px" ' . $dis . ' '
                                );
                                ?>
                                &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
                                <input type="submit" value="Ok" name="Ok">
                            </td>
                        </tr>
                    </table>
                </form>
            </td>
        </tr>
        <tr>
            <td>
                <table width="100%" class="tabela">
                    <?php
                    if ($_GET["Ok"]) {
                    ?>
                        <tr class="azul-claro">
                            <td><b>Lanc</b></td>
                            <td><b>Data</b></td>
                            <td><b>Entrega</b></td>
                            <td><b>Cliente</b></td>
                            <td><b>Vendedor</b></td>
                            <td><b>Cdigo</b></td>
                            <td><b>Produto</b></td>
                            <td><b>Qtd</b></td>
                            <td><b>Lote</b></td>
                            <td><b>Valid</b></td>
                            <td><b>Fab</b></td>
                            <td><b>Estoque</b></td>
                            <td><b>Saldo</b></td>
                        </tr>
                        <?php
                        $color = "#F5F5F5";
                        while ($chave = mysqli_fetch_assoc($pre_venda)) {
                            if ($color == "#F5F5F5") {
                                $color = "#E8E8E8";
                            } else {
                                $color = "#F5F5F5";
                            }

                            $est = mysqli_query($con, "SELECT estoque.Lote,
                    estoque.Data_Validade,
                    estoque.Data_Fabricacao,
                    SUM(estoque.Qtd) as Estoque_Atual
                    FROM estoque
                    WHERE estoque.Concluido = 'Sim'
                    $Unidade_e 
                    AND Id_Produto = '" . $chave["Id_Produto"] . "' ");
                            $linha = mysqli_fetch_assoc($est);

                            //se a data do Pedido passar da Data de Entrega/dias fica vermelho
                            $Time1 = strtotime(date("Y-m-d H:i:s"));
                            $Time2 = strtotime($chave['Data_Entrega']);

                            //vendo os dias que falta
                            $dias = date("d", $Time2 - $Time1);

                            if ($Time1 > $Time2) {
                                $corAnalise = "color = '#CD2626' ";
                            }
                        ?>
                            <tr bgcolor=<?php echo "$color"; ?>>
                                <td><?php echo $chave["Lancamento"] ?></td>
                                <td><?php echo data_exibir($chave["Data_Pre_Venda"]) ?></td>
                                <td><font <?php echo $corAnalise ?>><?php echo data_exibir($chave['Data_Entrega']); ?></font></td>
                                <td><?php echo $chave["Cliente"] ?></td>
                                <td><?php echo $chave["Vendedor"] ?></td>
                                <td><?php echo $chave["Codigo"] ?></td>
                                <td><?php echo $chave["Titulo"] ?></td>
                                <td><?php echo valor_exibir($chave["Qtd"]) ?></td>
                                <td><?php echo $chave["Lote"] ?></td>
                                <td><?php echo data_exibir($chave["Data_Validade"]) ?></td>
                                <td><?php echo data_exibir($chave["Data_Fabricacao"]) ?></td>
                                <td><?php echo valor_exibir($linha["Estoque_Atual"], 6) ?></td>
                                <td><?php echo valor_exibir($linha["Estoque_Atual"] - $chave["Qtd"], 6) ?></td>
                            </tr>
                    <?php }
                    } ?>
                </table>
            </td>
        </tr>
        <tr>
            <td>
                <div id="div_resposta"></div>
            </td>
        </tr>
    </table>
    <!-- INICIO DA TELA MODAL ENVIO DE EMAIL-->
    <!-- No css existe um estilo para essas divs que as deixa invisivel - display:none; -->
    <?php include_once "../include/email_tabela.php"; ?>
    <!-- FIM DA TELA MODAL ENVIO DE EMAIL-->
    <br>
</body>

</html>