<?php
include_once 'include/conecta.php'; //Conecta com a nosso banco de dados MySQL
include_once 'include/ver_sessao.php'; //Verifica se a sesso est ativa
include_once 'include/funcoesPhp.php'; //Inclue a pgina con todas as funes a ser usada.

if ($_GET["Escolha_Empresa"]) {//o cookie da INDEX no funciona, martelada para corrigir
    setcookie('Escolha_Empresa', $_GET["Escolha_Empresa"]);
}
?>
<!DOCTYPE html>
<html>

<head>
    <title>Gw Mobile</title>
    <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <script src="js/jquery-mobile/jquery-1.11.1.min.js" type="text/javascript"></script>
    <script src="js/jquery-mobile/jquery.mobile-1.4.5.min.js" type="text/javascript"></script>
    <link href="js/jquery-mobile/jquery.mobile.external-png-1.4.5.min.css" rel="stylesheet" type="text/css" />
    <link href="js/jquery-mobile/jquery.mobile.icons-1.4.5.min.css" rel="stylesheet" type="text/css" />
    <link href="js/jquery-mobile/jquery.mobile.inline-png-1.4.5.min.css" rel="stylesheet" type="text/css" />
    <link href="js/jquery-mobile/jquery.mobile.inline-svg-1.4.5.min.css" rel="stylesheet" type="text/css" />
    <link href="js/jquery-mobile/jquery.mobile.structure-1.4.5.min.css" rel="stylesheet" type="text/css" />
    <link href="js/jquery-mobile/jquery.mobile.theme-1.4.5.min.css" rel="stylesheet" type="text/css" />
    <link href="js/jquery-mobile/jquery.mobile-1.4.5.min.css" rel="stylesheet" type="text/css" />
    <?php include 'include/script_cabeca.php'; ?>
    <script type="text/javascript" language="javascript" src="js/script.js"></script>
    <style>
        a {
            color: #000;
        }
    </style>
</head>

<body>

    <!-- page -->
    <div data-role="page" id="page">

        <!-- header -->
        <div data-role="header" data-theme="b">
            <h1>Ol: <?php echo $_SESSION["Titulo"]; ?></h1>
        </div>
        <!-- header -->

        <?php
        $menu_operacao = mysqli_query($con, "select menu.Chamada
                            from menu_usuario
                            inner join
                            (SELECT Id, Chamada, Id_Pai, Ordem FROM menu WHERE menu.Ativo = 'Sim') as menu
                            ON menu_usuario.Id_Menu = menu.Id
                            inner join
                            (SELECT Id FROM menu WHERE menu.Id = '3') as menu_pai
                            ON menu_pai.Id = menu.Id_Pai
                            where menu_usuario.Id_Responsavel='" . $_SESSION["Id"] . "'
                            order by menu.Chamada ");

        $Pre_Venda = '';
        $Venda_Aberta = '';
        $Venda_L = '';
        $Venda_Finalizada = '';
        $Venda_Finalizada2 = '';
        $Produto = '';
        $CR = '';
        $Cliente = '';
        $Troca = '';

        while ($linha = mysqli_fetch_assoc($menu_operacao)) {

            if ($linha['Chamada'] == "Pre_Venda_Mobile") {
                $Pre_Venda = 'Sim';
            }
            if ($linha['Chamada'] == "Venda_Pre_Mobile") {
                $Venda_Aberta = 'Sim';
            }
            if ($linha['Chamada'] == "Venda_Mobile") {
                $Venda_Finalizada = 'Sim';
            }
            if ($linha['Chamada'] == "Venda_L_Mobile") {
                $Venda_L = 'Sim';
            }
            if ($linha['Chamada'] == "Venda_Mobile_Compart") {
                $Venda_Compart = 'Sim';
            }
            if ($linha['Chamada'] == "Produto_Mobile") {
                $Produto = 'Sim';
            }
            if ($linha['Chamada'] == "Produto_Lote_Mobile") {
                $Produto_Lote = 'Sim';
            }
            if ($linha['Chamada'] == "Conta_Receber_Mobile") {
                $CR = 'Sim';
            }
            if ($linha['Chamada'] == "Cliente_Mobile") {
                $Cliente = 'Sim';
            }
            if ($linha['Chamada'] == "Troca_Mobile") {
                $Troca = 'Sim';
            }
            if ($linha['Chamada'] == "Venda_Mobile_2") {
                $Venda_Finalizada2 = 'Sim';
            }
        }

        ?>
        <div data-role="content">
            <div class="ui-grid-a">
                <?php if ($Venda_Finalizada2 == 'Sim') { ?>
                    <div class="ui-block-a">
                        <div class="ui-bar ui-bar-a" style="background-color:#0000CD">
                            <a href="pre_venda_mobile2/list_venda_f.php?acao=entrar" data-ajax="false">
                                <img src="imagem/list_sales.png" width="50" height="auto" />
                                <br />Vendas
                            </a>
                        </div>
                    </div>
                <?php } ?>

            </div>
            <div class="ui-grid-a">
                <?php if ($Pre_Venda == 'Sim') { ?>
                    <div class="ui-block-a">
                        <div class="ui-bar ui-bar-a" style="background-color:#0099FF">
                            <a href="pre_venda_mobile/list_pre_venda.php?acao=entrar" data-ajax="false">
                                <img src="imagem/sales.png" width="50" height="auto" />
                                <br />Pr-Vendas
                            </a>
                        </div>
                    </div>
                <?php }
                if ($Troca == 'Sim') { ?>
                    <div class="ui-block-b">
                        <div class="ui-bar ui-bar-a" style="background-color:#000000">
                            <a href="pre_venda_mobile/list_troca.php" data-ajax="false">
                                <img src="imagem/list_produtos.png" width="50" height="auto" />
                                <br />Troca
                            </a>
                        </div>
                    </div>
                <?php }
                if ($Venda_Compart == 'Sim') { ?>
                    <div class="ui-block-a">
                        <div class="ui-bar ui-bar-a" style="background-color:#0099FF">
                            <a href="pre_venda_mobile/list_venda_compart.php?acao=entrar" data-ajax="false">
                                <img src="imagem/sales.png" width="50" height="auto" />
                                <br />Vendas
                            </a>
                        </div>
                    </div>
                <?php } ?>
                <?php if ($Venda_Aberta == 'Sim') { ?>
                    <div class="ui-block-b">
                        <div class="ui-bar ui-bar-a" style="background-color:#99CC00">
                            <a href="pre_venda_mobile/list_venda_a.php?acao=entrar" data-ajax="false">
                                <img src="imagem/list_sales.png" width="50" height="auto" />
                                <br />Pr-Vendas
                            </a>
                        </div>
                    </div>
                <?php } ?>
            </div>

            <div class="ui-grid-a">
                <?php if ($Venda_Finalizada == 'Sim') { ?>
                    <div class="ui-block-a">
                        <div class="ui-bar ui-bar-a" style="background-color:#0000CD">
                            <a href="pre_venda_mobile/list_venda_f.php?acao=entrar" data-ajax="false">
                                <img src="imagem/list_sales.png" width="50" height="auto" />
                                <br />Vendas
                            </a>
                        </div>
                    </div>
                <?php } ?>
                <?php if ($Produto == 'Sim') { ?>
                    <div class="ui-block-b">
                        <div class="ui-bar ui-bar-a" style="background-color:#FF9900">
                            <a href="pre_venda_mobile/list_produto.php" data-ajax="false">
                                <img src="imagem/list_produtos.png" width="50" height="auto" />
                                <br />Estoque
                            </a>
                        </div>
                    </div>
                <?php } ?>
            </div>

            <div class="ui-grid-a">
                <?php if ($CR == 'Sim') { ?>
                    <div class="ui-block-a">
                        <div class="ui-bar ui-bar-a" style="background-color:#008000">
                            <a href="pre_venda_mobile/list_conta_receber.php?acao=entrar" data-ajax="false">
                                <img src="imagem/list_sales.png" width="50" height="auto" />
                                <br />Cobranas
                            </a>
                        </div>
                    </div>
                <?php } ?>
                <?php if ($Produto_Lote == 'Sim') { ?>
                    <div class="ui-block-b">
                        <div class="ui-bar ui-bar-a" style="background-color:#FF9900">
                            <a href="pre_venda_mobile/list_produto_lote.php" data-ajax="false">
                                <img src="imagem/list_produtos.png" width="50" height="auto" />
                                <br />Estoque
                            </a>
                        </div>
                    </div>
                <?php } ?>
            </div>

            <div class="ui-grid-a">
                <?php if ($Cliente == 'Sim') { ?>
                    <div class="ui-block-a">
                        <div class="ui-bar ui-bar-a" style="background-color:#333">
                            <a href="pre_venda_mobile/cliente_novo.php?acao=new" data-ajax="false">
                                <img src="imagem/novo_cliente.png" width="50" height="auto" />
                                <br />Novo Cliente
                            </a>
                        </div>
                    </div>
                <?php } ?>
                <div class="ui-block-b">
                    <?php if ($Venda_L == 'Sim') { ?>
                        <div class="ui-bar ui-bar-a" style="background-color:#333">
                            <a href="pre_venda_mobile/list_venda_l.php?acao=entrar" data-ajax="false">
                                <img src="imagem/list_sales.png" width="50" height="auto" />
                                <br />Pr-Vendas
                            </a>
                        </div>
                </div>
            <?php } ?>
            </div>

        </div>

        <!-- footer -->
        <div data-role="footer" data-position="fixed" data-theme="b">
            <h4>
                <div data-role="navbar" data-iconpos="left">
                    <ul>
                        <li>
                            <a href="include/sair_mobile.php" target="_self" class="ui-btn ui-corner-all" data-icon="back" data-ajax="false">Sair</a>
                        </li>
                    </ul>
                </div>
            </h4>
        </div>
        <!-- footer -->

    </div>
    <!-- fim page -->

</body>

</html>