<?php
if($_SERVER['REQUEST_METHOD'] == 'POST') {
    $host = "www.ponttierp.com";
    $dbname = "pontti5_pontti";
    $usuario = "pontti5_pontti";
    $password = "pontti";
    $conecta = mysqli_connect($host,$usuario,$password,$dbname);
    
    $codigoEmpresa = addslashes($_POST['codigoEmpresa']);
    $login = trim(addslashes($_POST['login']));
    $senha = trim(addslashes($_POST['senha']));
    // $sistemaCliente = $conecta->query("SELECT Foto7 FROM cliente WHERE Codigo = '$codigoEmpresa' AND Tipo_Cliente = 'Cliente' AND Ativo = 'Sim'");
    // $sistemaCliente = $sistemaCliente->fetch_assoc()['Foto7'];
    $sistemaCliente = "https://www.ponttierp2.com.br/comercial2";

    if($sistemaCliente && $sistemaCliente != "") {
        $curl = curl_init();

        curl_setopt_array($curl, [
            CURLOPT_URL => "$sistemaCliente/gw_mobile/",
            CURLOPT_RETURNTRANSFER => true,
            CURLOPT_ENCODING => '',
            CURLOPT_MAXREDIRS => 10,
            CURLOPT_TIMEOUT => 0,
            CURLOPT_FOLLOWLOCATION => true,
            CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
            CURLOPT_CUSTOMREQUEST => 'POST',
            CURLOPT_POSTFIELDS => json_encode([
                "login"=> $login,
                "senha"=> $senha
            ]),
            CURLOPT_HTTPHEADER => [
                'Content-Type: application/json',
            ],
        ]);

        $response = curl_exec($curl);
        $codigoStatus = curl_getinfo($curl)['http_code'];
        curl_close($curl);
        $jsonResponse = json_decode($response);

        if($jsonResponse->status == 'ok') {
            header("location: $sistemaCliente/gw_mobile/list_cliente.php?token=$jsonResponse->token");
        }
        else {
            $jsonResponse->mensagem = mb_convert_encoding($jsonResponse->mensagem, "ISO-8859-1", "UTF-8");
            echo "<script>alert('$jsonResponse->mensagem');</script>";
        }
    }
}
?>
<!DOCTYPE html>
<html>
<head>
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <style>
        * {
            font-family:  'Segoe UI', Tahoma, Geneva, Verdana, sans-serif;
        }

        body {
            background-image: url("./imagem/fundo-login-mobile1.jpg");
            /* background-color: rgb(227, 227, 227); */
            background-size: cover;
            background-position: center;
            background-attachment: fixed;
            background-repeat: no-repeat;
        }

        .box {
            display: flex;
            justify-content: center;
            align-items: center;
            min-height: 90vh;
        }

        .container {
            width: 350px;
            display: flex;
            flex-direction: column;
            padding: 0 15px 0 15px;
            background-color: #fff;
            border-radius: 5px;
            gap: .7rem;
            padding: 15px 40px;
            box-shadow: 0 .5rem 1rem rgba(0, 0, 0, .15) !important;
        }

        span {
            color: #fff;
            font-size: small;
            display: flex;
            justify-content: center;
            padding: 10px 0 10px 0;
        }

        header {
            color: #fff;
            font-size: 30px;
            display: flex;
            justify-content: center;
            padding: 10px 0 10px 0;
        }

        header img {
            width: 250px;
        }
        .input-field {
            position: relative;
        }
        .input-field .input {
            height: 45px;
            width: 87%;
            border: solid 1px #d6d7d7;
            border-radius: 10px;
            font-size: 15px;
            padding: 0 0 0 45px;
            background: #ebeeef;
            outline: none;
        }

        .imagem {
            position: absolute;
            top: 14px;
            left: 17px;
        }
        .imagem img {
            width: 20px;
            color: #fff;
        }

        ::-webkit-input-placeholder {
            color: #fff;
        }

        .submit {
            border: none;
            border-radius: 10px;
            font-size: 15px;
            height: 45px;
            outline: none;
            width: 100%;
            color: #fff;
            background: #1d75bc;
            cursor: pointer;
            transition: .3s;
        }

        .submit:hover {
            box-shadow: 1px 5px 7px 1px rgba(0, 0, 0, 0.2);
        }

        .two-col {
            display: flex;
            flex-direction: row;
            justify-content: space-between;
            color: #fff;
            font-size: small;
            margin-top: 10px;
        }

        .one {
            display: flex;
        }

        label a {
            text-decoration: none;
            color: #fff;
        }
    </style>
    <link href="https://unpkg.com/boxicons@2.1.4/css/boxicons.min.css" rel="stylesheet">
    <title>Login</title>
</head>
<body>
    <div class="box">
        <form class="container" method="post">
            <div class="top">
                <span></span>
                <header><img src="./imagem/login-logo-mobile.png" alt=""></header>
            </div>
            <div class="input-field">
                <input type="text" class="input" placeholder="Usurio" id="usuario" name="login">
                <div class="imagem"><img src="./imagem/cliente.png"></img></div>
            </div>
            <div class="input-field">
                <input type="Password" class="input" placeholder="Senha" id="senha" name="senha">
                <div class="imagem"><img src="./imagem/fechadura.png"></img></div>
            </div>
            <div class="input-field">
                <input type="text" class="input" placeholder="Cdigo" id="codigo" name="codigoEmpresa">
                <div class="imagem"><img src="./imagem/chave-inteligente.png"></img></div>
            </div>
            <div class="input-field">
                <button class="submit">Entrar</button>
            </div>
            <div class="top">
                <span></span>
                <header><img src="./imagem/login-logo-mobile.png" alt=""></header>
            </div>
        </form>
    </div>
</body>
</html>