<?php
include_once '../include/conecta.php'; //Conecta com a nosso banco de dados MySQL
include_once '../include/ver_sessao.php'; //Verifica se a sesso est ativa
include_once '../include/funcoesPhp.php';
include_once '../menu_movimento.php';

$sql_compra = mysqli_query($con, "SELECT DISTINCT producao_produto.Id,
                                produto.Titulo as Produto,
                                produto.Codigo,
                                produto.Qtd_Caixa,
                                producao_produto.Id_Produto,
                                producao_produto.Qtd,
                                producao_produto.Qtd2,
                                producao_produto.Medida,
                                producao_produto.Custo,
                                producao_produto.Lote,
                                producao_produto.Data_Validade,
                                producao_produto.Data_Fabricacao,
                                producao_produto.Composto,
                                producao_produto.Percentual_Composto,
                                local_estoque.Titulo as Local_Estoque
                                FROM producao_produto
                                inner join (SELECT Id,Titulo,Codigo,Qtd_Caixa,Id_Categoria_Produto FROM produto) as produto ON producao_produto.Id_Produto = produto.Id
                                left join (SELECT Id,Titulo FROM local_estoque) as local_estoque ON producao_produto.Id_Local_Estoque = local_estoque.Id
                                WHERE producao_produto.Id_Producao='" . $_POST["Codigo_Producao"] . "'
                                AND producao_produto.Tipo = 'Saida' 
                                AND producao_produto.Nivel = 'Ativacao'
                                ORDER BY producao_produto.Ordem,produto.Id_Categoria_Produto,produto.Titulo ");

$sql_entrada = mysqli_query($con, "SELECT SUM(producao_produto.Qtd2) as Qtd_Total
                                FROM producao_produto
                                WHERE producao_produto.Id_Producao='" . $_POST["Codigo_Producao"] . "'
                                AND producao_produto.Tipo = 'Entrada' ");
$reg = mysqli_fetch_assoc($sql_entrada);

ob_start();

$x = 0;
?>

<table width="100%" align="center" border="0" cellpadding="2" cellspacing="2">
    <?php if ($x == '0') { ?>
        <tr>
            <td class="table_prod_nome">Cdigo</td>
            <td class="table_prod_nome">Produto</td>
            <td class="table_prod_nome">Medida</td>
            <td class="table_prod_nome">Vol</td>
            <td class="table_prod_nome">Qtd Prev</td>
            <td class="table_prod_nome">Qtd Real</td>
            <td class="table_prod_nome">% Comp</td>
            <td class="table_prod_nome">Lote</td>
            <td class="table_prod_nome">Fabricao</td>
            <td class="table_prod_nome">Validade</td>
            <td class="table_prod_nome">Local</td>
            <td class="table_prod_nome">Custo</td>
            <td class="table_prod_nome">Total Custo</td>
            <td class="table_prod_nome">Alterar</td>
            <td class="table_prod_nome">Remover</td>
        </tr>
    <?php } ?>
    <?php
    while ($linha = mysqli_fetch_assoc($sql_compra)) {

        if ($color == "#F5F5F5") {
            $color = "#E8E8E8";
        } else {
            $color = "#F5F5F5";
        }

        if ($linha['Composto'] == 'Sim') {
            $perc_comp = $linha['Percentual_Composto'];
            $perc_compT += $perc_comp;
        } else {
            $perc_compT += $perc_comp = '0';
        }

    ?>
        <tr bgcolor=<?php echo "$color"; ?>>
            <td class="table_prod_valor"><?php echo $linha['Codigo']; ?></td>
            <td class="table_prod_valor"><?php echo $linha['Produto']; ?></td>
            <td class="table_prod_valor"><?php echo $linha['Medida']; ?></td>
            <td class="table_prod_valor"><?php echo valor_exibir_producao($linha['Qtd'] / $linha['Qtd_Caixa']); ?></td>
            <td class="table_prod_valor"><?php echo valor_exibir_producao($linha['Qtd2']); ?></td>
            <td class="table_prod_valor"><?php echo valor_exibir_producao($linha['Qtd']); ?></td>
            <td class="table_prod_valor"><?php echo valor_exibir_producao($perc_comp); ?></td>
            <td class="table_prod_valor"><?php echo $linha['Lote']; ?></td>
            <td class="table_prod_valor"><?php echo data_exibir($linha['Data_Fabricacao']); ?></td>
            <td class="table_prod_valor"><?php echo data_exibir($linha['Data_Validade']); ?></td>
            <td class="table_prod_valor"><?php echo $linha['Local_Estoque']; ?></td>
            <td class="table_prod_valor"><?php echo valor_exibir_producao($linha['Custo']); ?></td>
            <td class="table_prod_valor"><?php echo valor_exibir_producao($linha['Custo'] * $linha['Qtd']); ?></td>
            <td class="table_prod_valor">
                <?php
                if (PRODUCAOL11_ALTERAR == 'Sim') { ?>
                    <input class="botao_novo" type="button" value="Alterar" onclick="window.open('tabela_alterar_saida.php?id_linha=<?php echo $linha['Id']; ?>','Alterar','width=600,height=550,top=0,left=0,scrollbars=yes')">
                <?php } ?>
            </td>
            <td class="table_prod_valor">
                <?php
                if (PRODUCAOL11_REMOVER == 'Sim') { ?>
                    <input class="botao_novo" type="button" value="Remover" onclick="ApagarLinhaFormulaMateriaPrimaSaida('<?php echo $linha['Id']; ?>');">
                <?php } ?>
            </td>
        </tr>
    <?php
        $tCusto += $linha['Custo'] * $linha['Qtd'];
        $x++;
    }
    ?>
    <tr bgcolor=<?php echo "$color"; ?>>
        <td class="table_prod_valor" colspan="6"></td>
        <td class="table_prod_valor"><?php echo valor_exibir_producao($perc_compT); ?></td>
        <td class="table_prod_valor" colspan="4"></td>
        <td class="table_prod_valor">Total : </td>
        <td class="table_prod_valor"><?php echo valor_exibir_producao($tCusto); ?></td>
        <td class="table_prod_valor" colspan="2">
            <input type="hidden" name="Total_Custo" id="Total_Custo" value="<?php echo valor_exibir_producao($tCusto); ?>">
        </td>
    </tr>
</table>
<?php
$pagina = ob_get_contents();
ob_end_clean();
echo utf8_encode($pagina);
?>