<?php
include_once '../include/conecta.php'; //Conecta com a nosso banco de dados MySQL
ini_set('session.gc_maxlifetime', 60 * 120);
session_start();
/* include_once '../include/ver_sessao.php'; //Verifica se a sesso est ativa */
include_once '../include/funcoesPhp.php';
include_once '../menu_movimento.php';
// include_once 'geraCodigoBarra.php';

?>
<?php
$producao = listar("SELECT producao_produto.Id_Produto, 
                                producao_produto.Qtd,
                                produto.Descricao,
                                producao.Data_Producao, 
                                producao.Numero_Venda, 
                                venda.Fatura, venda.Id, 
                                producao_produto.Altura, 
                                producao_produto.Comprimento, 
                                producao_produto.Nome_Produto, 
                                cliente.Titulo, 
                                cliente.Razao_Social, 
                                cliente.Natureza 
                                FROM producao_produto 
                                LEFT JOIN (SELECT Id,Id_Cliente,Id_Producao,Fatura FROM venda) as venda ON venda.Id_Producao = producao_produto.Id_Producao 
                                LEFT JOIN (SELECT Id,Titulo,Razao_Social,Natureza FROM cliente)as cliente ON cliente.Id = venda.Id_Cliente 
                                LEFT JOIN (SELECT Id,Titulo,Descricao FROM produto) as produto ON produto.Id = producao_produto.Id_Produto 
                                LEFT JOIN (SELECT Id,Data_Producao,Numero_Venda FROM producao WHERE Status!='Cancelado') as producao ON producao.Id = producao_produto.Id_Producao 
                    WHERE producao_produto.Id_Producao='" . $_GET["id_producao"] . "'
                    AND tipo='Entrada'
                    GROUP BY producao_produto.Id_Produto,producao_produto.Id_Producao");

?>
<html>

<head>
    <title>Gw - Gesto Web</title>
    <style>
        * {
            margin: 0px;
            padding: 0px;
        }

        #tab {
            margin: 0px 0px 0px 0px;
            font-size: 10px;
            /*font-weight: bold;
                letter-spacing: 1px;*/
        }



        .d-flex {
            display: flex;
            gap: 1em;
        }

        .div-logo {
            display: flex;
            align-items: center;
        }

        /* .img-logo {
            height: 60px;
        } */

        .div-cabecalho {
            display: flex;
            flex-direction: column;
            align-items: baseline;
        }

        .div-centralizar {
            justify-content: center;
            display: flex;
        }

        .div-corpo {
            display: flex;
            flex-direction: column;
            padding-top: 5px;
            padding-bottom: 15px;
            align-items: baseline;
        }

        .padding-bottom {
            padding-bottom: 5px;
            display: flex;
            flex-direction: column;
            text-align: left;
        }

        .flex-direction-line {
            margin-left: 1%;
            margin-right: 1%;
            display: flex;
            flex-direction: line;
            text-align: left;
            width: 98%;
        }
        .flex-direction-line2 {
            margin-left: 1%;
            margin-right: 1%;
            display: flex;
            flex-direction: line;
            text-align: left;
            width: 98%;
        }

        .flex-direction-line>span:first-child {
            width: 50%;

        }

        .flex-direction-line>span:nth-child(2) {
            width: 50%;
        }
        .flex-direction-line2>span:first-child {
            width: 100%;

        }

        .flex-direction-line2>span:nth-child(2) {
            width: 100%;
        }

        .flex-direction-line>span {
            border: 1px solid #000;
        }
        .flex-direction-line2>span {
            border: 1px solid #000;
        }

        @media print {
            table {
                page-break-inside: avoid;
            }

            /* #print {
                transform: rotate(90deg);
                min-height: 100vh;
                min-width: 100vw;
            } */
        }
    </style>
    <script type="text/javascript" language="javascript" src="../js/jquery.js"></script>
    <?php include '../include/script_cabeca.php'; ?>
    <script type="text/javascript" language="javascript" src="../js/script.js"></script>
    <script src="../js/JsBarcode.all.min.js"></script>
</head>

<body>
    <?php
    //variavel $_GET["Unidade"], vem de todos os filtros de relatorios.
    if (!$_GET["Unidade"]) {
        $_GET["Unidade"] = $_SESSION["Unidade"];
    }
    $empresa = listar("SELECT Logo,
                                  Titulo,
                                  Razao_Social,
                                  Cnpj,
                                  Rua,
                                  Numero,
                                  Complemento,
                                  Bairro,
                                  Cidade,
                                  Id_Cidade,
                                  Estado,
                                  Cep,
                                  Fone1,
                                  Fone2,
                                  Email,
                                  Site
                             FROM unidade
                            WHERE Id = '" . $_GET["Unidade"] . "' ");

    $ab = 1;
    $y = 1;
    $x = 1;



    $num_rows = count($producao);



    foreach($producao as $chave){

        while($x <= 1){

            

            ?>
            <div id="print" <?php echo $estilo; ?>>
                <div class="div-corpo">
                    <div class="flex-direction-line" >
                        <span style="padding:20px 20px 10px 10px"><b>PEDIDO: </b> <b style=" margin-left:5px; padding:3px;  font-size: 25px;"><?= $chave["Fatura"] ?></b></span>
                        <span><b style="font-size: 12px; margin-left:35%;"><?= data_exibir($chave["Data_Producao"]) ?></b></span>
                    </div>
                    <div class="flex-direction-line2">
                        <span style="padding:10px"><b>NOME: <br></b>
                        <?php 
                            if($chave["Natureza"] == 'PF'){ 
                                echo $chave["Titulo"];
                            }
                            else{ 
                                echo $chave["Razao_Social"];
                            } 
                        ?>
                            </span>
                    </div>
                    <div class="flex-direction-line2">
                        <span style="padding:10px; font-size:12px;"><b>ITEM: <br></b>
                            <?php
                                    echo $chave["Descricao"];
                                if ($chave["Comprimento"] OR $chave["Altura"]  > 0) {
                                    echo ' ('. number_format($chave["Comprimento"],2,) . 'x'. number_format($chave["Altura"],2,) . ')'; 
                                } 
                            ?>
                        </span>
                    </div>
                </div>

            </div>
            
            <?php
                $x++;
                $y++;
            }
            $x = 1;
        } 
        ?>
</body>
</html>