<?php

use App\Controller\Cliente\Cliente;

include_once '../include/conecta.php'; //Conecta com a nosso banco de dados MySQL
include_once '../include/ver_sessao.php'; //Verifica se a sesso est ativa
include_once '../include/funcoesPhp.php';
include_once '../menu_movimento.php';
$modulo_lista = 'Producao';
include '../include/sessao_lista.php';

if (!$_GET['Pesq']) {
    //listagem padro
    if (!isset($_GET['Status_Lista']))
        $_GET['Status_Lista'] = 'Aberto';
}
?>
<?php
$menu = mysqli_query($con, "SELECT permissao.Relatorio,
                                            permissao.Cadastrar,
                                            permissao.Alterar,
                                            permissao.Deletar
                                            from permissao
                                            inner join menu_usuario ON menu_usuario.Id_Menu = permissao.Id_Menu
                                            where menu_usuario.Id_Responsavel='" . $_SESSION["Id"] . "'
                                            and permissao.Id_Responsavel='" . $_SESSION["Id"] . "'
                                            and permissao.Id_Menu = '3189' ");
$menu = mysqli_fetch_assoc($menu);
?>
<?php
if (!$_GET['Pesq']) {
    if ($_GET["Status_Lista"]) {

        if ($_GET["Status_Lista"] == "Aberto") {
            $Status_Lista1 = " AND (producao.Status = 'Pre Disposicao'
                                    OR producao.Status = 'Moagem'
                                    OR producao.Status = 'Diluio'
                                    OR producao.Status = 'Reviso' ) ";
        } else {
            $Status_Lista1 = " AND producao.Status = '" . $_GET["Status_Lista"] . "' ";
        }
    }
}
if ($_GET["Ordenar"]) {
    $Ordenar1 = " ORDER BY " . $_GET["Ordenar"] . " ";
} else {
    $Ordenar1 = " ORDER BY producao.Data_Cadastro ";
}
if ($_GET['Ordem_Lista'] == 'Asc') {
    $Ordem_Lista1 = ' ASC ';
} else {
    $Ordem_Lista1 = ' DESC ';
}
//se o sistema for Multi Empresa
if (MULTI_EMPRESA == "Sim") {

    //se o usuario no for master ele vai para sua empresa
    if (ESCOLHER_EMPRESA == 'Sim') {

        if ($_GET["Unidade"])
            $unidade = "AND producao.Id_Unidade = '" . $_GET["Unidade"] . "' ";
    } else {
        $unidade = "AND producao.Id_Unidade = '" . $_SESSION["Unidade"] . "' ";
    }
} else {
    $unidade = "AND producao.Id_Unidade = '" . $_SESSION["Unidade"] . "' ";
}

if ($_GET["De"])
    $data .= "AND producao.Data_Producao >= '" . data_banco($_GET["De"]) . "' ";
if ($_GET["Ate"])
    $data .= "AND producao.Data_Producao <= '" . data_banco($_GET["Ate"]) . "' ";

if ($_GET['Pesq']) {
    $pesquisa = " AND " . $_GET['Ordenar'] . " like '%" . $_GET['Pesq'] . "%' ";
}

/* Inicio dos parmetros da Paginao */

/* varivel com o cdigo SQL da consulta ao banco de dados */
$_pagi_sql = "SELECT producao.Id,
                    producao.Data_Producao,
                    producao.Status,
                    producao.Custo,
                    producao.Lancamento,
                    producao.Numero_Venda,
                    producao.Numero_Nota,
                    producao.Obs,
                    producao.Texto_Produto_Entrada,
                    producao.Qtd_Total_Revisao_Final,
                    produto.Id_Categoria_Produto,
                    produto.Titulo as Produto,
                    produto.Codigo,
                    produto.Id_Categoria_Produto,
                    produto.Titulo as Produto,
                    produto.Codigo,
                    unidade.Titulo as Unidade,
                    usuario.Login as Responsavel
                    FROM producao
                    LEFT join (SELECT Id,Titulo FROM unidade) as unidade ON producao.Id_Unidade = unidade.Id
                    LEFT join (SELECT Id,Login FROM usuario) as usuario ON producao.Id_Usuario = usuario.Id
                    LEFT JOIN (SELECT Id,Id_Producao,Tipo, Id_Produto FROM producao_produto WHERE Tipo= 'Entrada') as producao_produto ON producao_produto.Id_Producao = producao.Id
                    LEFT JOIN (SELECT Id, Titulo,Id_Categoria_Produto,Codigo FROM produto) as produto ON produto.Id = producao_produto.Id_Produto
                    $join_table
                    where 1=1 $Status_Lista1 $data $unidade $pesquisa $Ordenar1 $Ordem_Lista1";

/* pagina fora que contem todas as opcoes do paginator */
include_once '../include/paginator_opcao.php';
include_once '../include/paginator.inc.php'; //incluindo o script de paginao PAGINATOR
/* Paginao na listagem dos clientes. Apenas nos arquivos listar.
 * Inclue-se depois que passa os parmetros da funo
 * seus resultados so aparentementes satisfatrio
 * */
?>
<html>

<head>
    <title>Gw - Gesto Web</title>
    <link rel="stylesheet" type="text/css" href="../estilo/<?php echo SKIN; ?>/listless.css" />
    <script type="text/javascript" language="javascript" src="../js/jquery.js"></script>
    <?php include '../include/script_cabeca.php'; ?>
    <script type="text/javascript" language="javascript" src="../js/script.js"></script>
    <script type="text/javascript" language="javascript" src="../js/meiomask/meiomask.js"></script>
    <script type="text/javascript" language="javascript">
        $(document).ready(function() {
            $('input[name="De"]').setMask('date'); // data
            $('input[name="Ate"]').setMask('date'); // data
        });
    </script>
    <script type="text/javascript" language="javascript">
        function submeteFiltro(valor) {
            document.forms['ordenar'].submit();
        }
    </script>
</head>

<body>
    <!-- Centro -->
    <div id="centro">
        <!-- Contedo -->
        <div id="conteudo" class="ajustar">

            <div class="titulo">
                <span>Produo de Produtos</span>
                <form name="pesquisa" method="get" action="">
                    <span class="inputs">
                        <?php echo $_pagi_info; ?>
                        <!--
                                <label for="Pesq">Busca:</label>
                                <input type="text" name="Pesq" size="30" value="<?php echo $_GET['Pesq']; ?>" >
                                <input name="Pesquisar" type="image" value="Pesquisar" src="../imagem/seta-dir.png" alt="Ir" title="Ir" >
                            -->
                    </span>
                </form>
            </div>
            <!-- Navegao -->
            <div class="botoes_cima">
                <a href="javascript:void(0);" class="voltar" alt="Voltar" title="Voltar" onclick="javascript:history.back(1);">Voltar</a>

                <?php if ($menu["Relatorio"] == "Sim") { ?>
                    <a href="list_relatorio.php" alt="Relatrio" title="Relatrio" class="relatorio tr" key="Relatorio">Relatrio</a>
                <?php } ?>

                <?php if ($menu["Cadastrar"] == "Sim") { ?>
                    <a href="cad_producao.php?acao=entrar" alt="Cadastrar" title="Cadastrar" class="incluir">Cadastrar</a>
                <?php } ?>

                <a href="javascript:void();" alt="Requisio de Insumos" title="Requisio de Insumos" onclick="window.open('imp_mapa_separacao.php', 'Requisio de Insumos', 'width=700,height=800,top=0,left=0,scrollbars=yes');">
                    Requisio de Insumos
                </a>

                <a href="javascript:void();" alt="Necessidade" title="Necessidade" onclick="window.open('imp_necessidade.php?id_unidade=<?php echo $_GET['Unidade'] ?>', 'Necessidade', 'width=700,height=800,top=0,left=0,scrollbars=yes');">
                    Necessidade
                </a>


                <form name="ordenar" method="get" action="">

                    <span style="float: right;">
                        <span style="float: left">
                            &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
                            Buscar por :
                            &nbsp;&nbsp;
                            <?php
                            $vetor = array('Data_Producao' => 'Data');
                            select_tela("Data_Busca", "Data_Busca", $_GET["Data_Busca"], $vetor, "");
                            ?>
                            &nbsp;&nbsp;
                        </span>
                        <input type="text" name="De" id="De" value="<?php echo $_GET["De"]; ?>" style="width: 80px;">&nbsp;De
                        <input type="text" name="Ate" id="Ate" value="<?php echo $_GET["Ate"]; ?>" style="width: 80px;">&nbsp;At
                        <input type="submit" name="Ok" value="Ok" style="margin-left: 10px" alt="Ok" title="Ok">
                    </span>

                    <span class="ordenar_por">

                        <?php
                        if (MULTI_EMPRESA == "Sim") {
                            if (ESCOLHER_EMPRESA == 'Sim') {
                        ?>
                                <label for="Pesq">Empresa:</label>
                                <?php
                                echo select_banco(
                                    "SELECT Id,Titulo FROM unidade WHERE Ativo='Sim' ORDER BY Titulo",
                                    "Unidade",
                                    "Unidade",
                                    $_GET["Unidade"],
                                    "onchange='submeteFiltro(this.value)'",
                                    ""
                                );
                                ?>
                        <?php
                            } else {
                                echo "<input type='hidden' name='Unidade' id='Unidade' value='" . $_SESSION["Unidade"] . "' >";
                            }
                        } else {
                            echo "<input type='hidden' name='Unidade' id='Unidade' value='" . $_SESSION["Unidade"] . "' >";
                        }
                        ?>
                        <label for="Pesq">Busca:</label>
                        <input type="text" name="Pesq" size="30" value="<?php echo $_GET['Pesq']; ?>">
                        <label for="Pesq">Ordenar Por:</label>
                        <?php
                        $vetor = array(
                            '' => 'Status',
                            'Pre Disposicao' =>  'Pr Dispero',
                            'Moagem'    =>  'Moagem',
                            'Diluio'    =>  'Diluio',
                            'Reviso'    =>  'Reviso',
                            'Finalizado'    =>  'Finalizado',
                            'Cancelado'     =>  'Cancelado'
                        );
                        select_tela("Status_Lista", "Status_Lista", $_GET["Status_Lista"], $vetor, "onchange='submeteFiltro(this.value)'");
                        ?>
                        <?php
                        /* EXISTE NO INICIO UMA FLAG DO STATUS */
                        $vetor = array(
                            'producao.Lancamento' => 'Lanamento',
                            'producao.Numero_Venda' => 'Venda',
                            'producao.Texto_Produto_Entrada' => 'Produto / Lote',
                            'producao.Data_Cadastro' => 'Data Cadastro'
                        );
                        select_tela("Ordenar", "Ordenar", $_GET["Ordenar"], $vetor, "onchange='submeteFiltro(this.value)'");
                        ?>
                        <?php
                        $vetor = array('Desc' => 'Decrescente', 'Asc' => 'Crescente');
                        select_tela("Ordem_Lista", "Ordem_Lista", $_GET["Ordem_Lista"], $vetor, "onchange='submeteFiltro(this.value)'");
                        ?>
                    </span>
                </form>
                <!-- Fim Navegao -->
            </div>

            <table id="lista">
                <thead>
                    <tr>
                        <td>Id</td>
                        <td>Data</td>
                        <td>Produto Produzindo</td>
                        <td>Qtd Prevista</td>
                        <td>Qtd Real</td>
                        <td>Pedidos</td>
                        <td>Status</td>
                        <td>Resp</td>
                        <?php if (($_SESSION["Id_Nivel"] == '1') && (MULTI_EMPRESA == "Sim")) { ?>
                            <td>Unidade</td>
                        <?php } ?>
                        <td>Opes</td>
                    </tr>
                </thead>
                <tfoot>
                    <tr>
                        <td colspan="10">
                            <div id="paginacao">
                                <p><?php echo $_pagi_navegacion; ?></p>
                            </div>
                        </td>
                    </tr>
                </tfoot>
                <tbody>
                    <?php
                    $color = "#F5F5F5";
                    while ($linha = mysqli_fetch_assoc($_pagi_result)) {

                        $cat = mysqli_query($con, "SELECT Id,Titulo as Categoria,Exibir_Titulo FROM categoria_produto WHERE Id = '" . $linha['Id_Categoria_Produto'] . "' ");
                        $nome_cat = mysqli_fetch_assoc($cat);
                        
                        if ($color == "#F5F5F5") {
                            $color = "#E8E8E8";
                            $cass = "";
                        } else {
                            $color = "#F5F5F5";
                            $cass = "class='azul'";
                        }

                        $corStatus = "";
                        if ($linha['Status'] == 'Finalizado') {
                            $corStatus = "color = '#228B22' ";
                        }
                        if ($linha['Status'] == 'Pre Disposicao') {
                            $corStatus = "color = '#3A5FCD' ";
                        }
                        if ($linha['Status'] == 'Diluio') {
                            $corStatus = "color = '#800000' ";
                        }
                        if ($linha['Status'] == 'Moagem') {
                            $corStatus = "color = '#993399' ";
                        }
                        if ($linha['Status'] == 'Cancelado') {
                            $corStatus = "color = '#CD2626' ";
                        }

                        $frase = '';
                        $pedacos = '';
                        $partes = [];

                        $frase = $linha['Texto_Produto_Entrada'];
                        $pedacos = explode("-;", $frase);
                        $pedacos = array_filter($pedacos);

                        for ($i = 0; $i < count($pedacos); $i++) {
                            $partes[] = explode("-,", $pedacos[$i]);
                        }

                        $titulo = '';
                        $qtd_real = '';
                        // $qtd_prev = '';
                        $lote = '';
                        for ($i = 0; $i < count($partes); $i++) {
                            $titulo .= $partes[$i][0] . "<br>";
                            $qtd_real .= $partes[$i][1] . "<br>";
                            // $qtd_prev .= $partes[$i][2] . "<br>";
                            $lote .= $partes[$i][3] . "<br>";
                        }
                        $titulo = substr($titulo, 0, -4);


                        $produtoProducao = $con->query("SELECT producao_produto.Qtd,producao_produto.Tipo,producao_produto.Id_Produto,producao_produto.Composto
                                                FROM producao_produto WHERE Id_Producao='" . $linha["Id"] . "'")
                            or die("ERRO no comando SQL:" . mysqli_error($con));
                        $quantidadeTotal = 0;
                        $quantidadeTotal2 = 0;
                        while ($quantidadeProduto = mysqli_fetch_assoc($produtoProducao)) {
                            if (!empty($quantidadeProduto['Id_Produto']) && ($quantidadeProduto['Tipo'] == 'Moagem' || $quantidadeProduto['Tipo'] == 'Diluicao' || $quantidadeProduto['Tipo'] == 'Revisao' || $quantidadeProduto['Tipo'] == 'Saida')) {
                                $quantidadeTotal += $quantidadeProduto['Qtd'];
                            }
                        }
                        $produtoProducao2 = $con->query("SELECT producao_produto.Qtd,producao_produto.Tipo,producao_produto.Id_Produto,producao_produto.Composto
                                                FROM producao_produto WHERE Id_Producao='" . $linha["Id"] . "'")
                        or die("ERRO no comando SQL:" . mysqli_error($con));

                        while ($quantidadeProduto2 = mysqli_fetch_assoc($produtoProducao2)) {
                            if (!empty($quantidadeProduto2['Id_Produto']) && ($quantidadeProduto2['Tipo'] == 'Entrada')) {
                                $quantidadeTotal2 += $quantidadeProduto2['Qtd'];
                            }
                        }

                    ?>
                        <tr <?php echo "$cass"; ?>>
                            <td><?php echo $linha['Lancamento']; ?></td>
                            <td><?php echo data_exibir($linha['Data_Producao']); ?></td>
                            <?php if ((VER_NOME_PRODUTO == 'Sim') || ($nome_cat["Exibir_Titulo"] == 'Sim')) { ?>
                                <td><?php echo $linha["Codigo"] . ': ' . $linha["Produto"] ?></td>
                            <?php } else { ?>
                                <td><?php echo $linha["Codigo"] . ': ' . 'Segredo de Produo'; ?></td>
                            <?php } ?>
                            <td><?php echo valor_exibir($quantidadeTotal2); ?></td>
                            <td><?php echo valor_exibir($quantidadeTotal); ?></td>
                            <td><?php echo str_replace(", ", ", <br>", $linha['Numero_Venda']); ?></td>
                            <td>
                                <font <?php echo $corStatus ?>>
                                    <b>
                                        <?php if ($linha['Status'] == 'Pre Disposicao') {
                                            echo 'Pr Dispero';
                                        } else {
                                            echo $linha['Status'];
                                        }
                                        ?>
                                    </b>
                                </font>

                            </td>
                            <td><?php echo $linha['Responsavel']; ?></td>
                            <?php if (($_SESSION["Id_Nivel"] == '1') && (MULTI_EMPRESA == "Sim")) { ?>
                                <td><?php echo $linha['Unidade']; ?></td>
                            <?php } ?>
                            <td>
                                <a href='ver_producao.php?id_producao=<?php echo $linha['Id']; ?>'><img src="../imagem/bt_visualizar.png" alt="Visualizar" border="0" title="Visualizar"></a>

                                <a href="javascript:void();" onclick="window.open('imp_producao_spectracolor.php?id_producao=<?php echo $linha['Id']; ?>', 'Produo', 'width=700,height=800,top=0,left=0,scrollbars=yes')">
                                    <img border="0" src="../imagem/bt_pedido.png" title="Produo" alt="Produo" />
                                </a>

                                <?php
                                if ($menu["Alterar"] == "Sim") {
                                    $link3 = "cad_producao.php?id_producao=" . $linha['Id'] . "&acao=alterar";
                                    $figura3 = "../imagem/bt_editar.png";
                                ?>
                                    <a href='<?php echo $link3; ?>'><img src="<?php echo $figura3; ?>" title="Alterar" alt="Alterar" border="0" /></a>
                                <?php }
                                ?>

                                <?php
                                if ($menu["Deletar"] == "Sim") {
                                    $link4 = "deletar('" . $linha["Id"] . "', 'del_producao.php?id_producao=');";
                                    $figura4 = "../imagem/bt_excluir.png";
                                ?>
                                    <a href='javascript:void(0);'><img src="<?php echo $figura4; ?>" alt="Excluir" title="Excluir" border="0" onclick="<?php echo $link4; ?>" /></a>
                                <?php } ?>
                            </td>
                        </tr>
                    <?php } ?>
                </tbody>
            </table>
            <!-- Navegao Inferior -->
            <div class="botoes_baixo">
                <a href="javascript:void(0);" class="voltar" alt="Voltar" title="Voltar" onclick="javascript:history.back(1);">Voltar</a>

                <?php if ($menu["Cadastrar"] == "Sim") { ?>
                    <a href="cad_producao.php?acao=entrar" alt="Cadastrar" title="Cadastrar" class="incluir">Cadastrar</a>
                <?php } ?>
                <!-- Fim Navegao Inferior -->
            </div>

        </div>
        <!-- Fim do Contedo -->
    </div>
    <!-- Fim de Centro -->
</body>

</html>