<?php
include_once '../include/conecta.php'; //Conecta com a nosso banco de dados MySQL
include_once '../include/ver_sessao.php'; //Verifica se a sesso est ativa
include_once '../include/funcoesPhp.php';
include_once '../menu_movimento.php';

$sql_compra = mysqli_query($con, "SELECT DISTINCT producao_produto.Id,
                                produto.Titulo as Produto,
                                produto.Codigo,
                                produto.Qtd_Caixa,
                                produto.Id_Categoria_Produto,
                                produto.Id_Categoria_Produto,
                                producao_produto.Id_Produto,
                                producao_produto.Qtd,
                                producao_produto.Medida,
                                producao_produto.Custo,
                                producao_produto.Data_Validade,
                                producao_produto.Data_Fabricacao,
                                producao_produto.Lote,
                                producao_produto.Composto,
                                producao_produto.Percentual_Composto,
                                producao_produto.Obs_Revisao,
                                producao_produto.Lab_Revisao,
                                local_estoque.Titulo as Local_Estoque
                                FROM producao_produto
                                INNER JOIN (SELECT Id,Titulo,Codigo,Qtd_Caixa,Id_Categoria_Produto FROM produto) as produto ON producao_produto.Id_Produto = produto.Id
                                LEFT JOIN (SELECT Id,Titulo FROM local_estoque) as local_estoque ON producao_produto.Id_Local_Estoque = local_estoque.Id
                                WHERE producao_produto.Id_Producao='" . $_POST["Codigo_Producao"] . "'
                                AND producao_produto.Tipo = 'Revisao'
                                ORDER BY producao_produto.Data_Cadastro,produto.Codigo,Id_Categoria_Produto ");

ob_start();

$x = 0;
?>

<table width="100%" align="center" border="0" cellpadding="2" cellspacing="2">
    <?php if ($x == '0') { ?>
    <tr>
        <td class="table_prod_nome">Cdigo</td>
        <td class="table_prod_nome">Produto</td>
        <td class="table_prod_nome">Medida</td>
        <td class="table_prod_nome">Vol</td>
        <td class="table_prod_nome">Qtd Real</td>
        <td class="table_prod_nome">Lote</td>
        <td class="table_prod_nome">Fabricao</td>
        <td class="table_prod_nome">Validade</td>
        <td class="table_prod_nome">Local</td>
        <td class="table_prod_nome">Obs</td>
        <td class="table_prod_nome">Lab</td>
        <?php if ((CLIENTE_EMAIL == 'spectracolor') || (CLIENTE_EMAIL == 'gw')) {
                if ($_SESSION['Id_Nivel'] == '1') { ?>
        <td class="table_prod_nome">Custo</td>
        <td class="table_prod_nome">Total Custo</td>
        <?php }
            } else { ?>
        <td class="table_prod_nome">Custo</td>
        <td class="table_prod_nome">Total Custo</td>
        <?php } ?>
        <td class="table_prod_nome">Alterar</td>
        <td class="table_prod_nome">Remover</td>
    </tr>
    <?php } ?>
    <?php
    while ($linha = mysqli_fetch_assoc($sql_compra)) {

        $cat = mysqli_query($con, "SELECT Id,Titulo as Categoria,Exibir_Titulo FROM categoria_produto WHERE Id = '" . $linha['Id_Categoria_Produto'] . "' ");
        $nome_cat = mysqli_fetch_assoc($cat);

        if ($color == "#F5F5F5") {
            $color = "#E8E8E8";
        } else {
            $color = "#F5F5F5";
        }

        if ($linha['Composto'] == 'Sim') {
            $perc_comp = $linha['Percentual_Composto'];
            $perc_compT += $perc_comp;
        } else {
            $perc_compT += $perc_comp = '0';
        }

    ?>
    <tr bgcolor=<?php echo "$color"; ?>>
        <td class="table_prod_valor"><?php echo $linha['Codigo']; ?></td>
        <?php if ((VER_NOME_PRODUTO == 'Sim') || ($nome_cat["Exibir_Titulo"] == 'Sim')) { ?>
            <td class="table_prod_valor"><?php echo stripslashes($linha['Produto']); ?></td>
        <?php } else { ?>
            <td class="table_prod_valor"><?php echo 'Segredo de Produo'; ?></td>
        <?php } ?>
        <td class="table_prod_valor"><?php echo $linha['Medida']; ?></td>
        <td class="table_prod_valor"><?php echo valor_exibir_producao($linha['Qtd'] / $linha['Qtd_Caixa']); ?></td>
        <td class="table_prod_valor"><?php echo valor_exibir_producao($linha['Qtd']); ?></td>
        <td class="table_prod_valor"><?php echo $linha['Lote']; ?></td>
        <td class="table_prod_valor"><?php echo data_exibir($linha['Data_Fabricacao']); ?></td>
        <td class="table_prod_valor"><?php echo data_exibir($linha['Data_Validade']); ?></td>
        <td class="table_prod_valor"><?php echo $linha['Local_Estoque']; ?></td>
        <td class="table_prod_valor"><?php echo $linha['Obs_Revisao']; ?></td>
        <td class="table_prod_valor"><?php echo $linha['Lab_Revisao']; ?></td>
        <?php if (CLIENTE_EMAIL == 'spectracolor' || CLIENTE_EMAIL == 'gw') {
                if ($_SESSION['Id_Nivel'] == '1') { ?>
        <td class="table_prod_valor"><?php echo valor_exibir_producao($linha['Custo']); ?></td>
        <td class="table_prod_valor"><?php echo valor_exibir_producao($linha['Custo'] * $linha['Qtd']); ?></td>
        <?php }
            } else { ?>
        <td class="table_prod_valor"><?php echo valor_exibir_producao($linha['Custo']); ?></td>
        <td class="table_prod_valor"><?php echo valor_exibir_producao($linha['Custo'] * $linha['Qtd']); ?></td>
        <?php }
            if (PRODUCAOL7_ALTERAR == 'Sim') { ?>
        <td class="table_prod_valor">
            <input class="botao_novo" type="button" value="Alterar"
                onclick="window.open('tabela_alterar_revisao.php?id_linha=<?php echo $linha['Id']; ?>','Alterar','width=600,height=550,top=0,left=0,scrollbars=yes')">
        </td>
        <?php }
            if (PRODUCAOL7_REMOVER == 'Sim') { ?>
        <td class="table_prod_valor">
            <input class="botao_novo" type="button" value="Remover"
                onclick="ApagarLinhaRevisao('<?php echo $linha['Id']; ?>');">
        </td>
        <?php } ?>
    </tr>
    <?php
        $tCusto += $linha['Custo'] * $linha['Qtd'];
        $x++;
    }
    ?>
    <tr bgcolor=<?php echo "$color"; ?>>
        <td class="table_prod_valor" colspan="5"></td>
        <td class="table_prod_valor">Total : </td>
        <td class="table_prod_valor"><?php echo valor_exibir_producao($perc_compT); ?></td>
        <td class="table_prod_valor" colspan="7"></td>
        <?php if (CLIENTE_EMAIL == 'spectracolor' || CLIENTE_EMAIL == 'gw') {
            if ($_SESSION['Id_Nivel'] == '1') { ?>
        <td class="table_prod_valor"><?php echo valor_exibir_producao($tCusto); ?></td>
        <?php }
        } else { ?>
        <td class="table_prod_valor"><?php echo valor_exibir_producao($tCusto); ?></td>
        <?php } ?>

        <td class="table_prod_valor" colspan="3">
            <input type="hidden" name="Total_Custo" id="Total_Custo"
                value="<?php echo valor_exibir_producao($tCusto); ?>">
        </td>
    </tr>
</table>
<?php
$pagina = ob_get_contents();
ob_end_clean();
echo utf8_encode($pagina);
?>