<?php
include_once '../include/conecta.php'; //Conecta com a nosso banco de dados MySQL
ini_set('session.gc_maxlifetime', 60*120); session_start();
/*include_once '../include/ver_sessao.php'; //Verifica se a sesso est ativa*/
include_once '../include/funcoesPhp.php'; include_once '../menu_movimento.php';

function data_exibirtxt($data){
	if (trim($data)!=''){
		$ano = substr($data,0,4);
                //$ano = substr($data,2,2);
		$mes = substr($data,5,2);
		$dia = substr($data,8,2);
		//return $ano.$mes.$dia;
                return $dia.$mes.$ano;
	}
}

function limit($palavra,$limite)
{
    if(strlen($palavra) >= $limite)
    {
        $var = substr($palavra, 0,$limite);
    }
    else
    {
        $max = (int)($limite-strlen($palavra));
        $var = $palavra.complementoRegistro($max,"brancos");
    }
    return $var;
}

function sequencial($i)
{
    if($i < 10)
    {
        return zeros(0,5).$i;
    }
    else if($i >= 10 && $i < 100)
    {
        return zeros(0,4).$i;
    }
    else if($i >= 100 && $i < 1000)
    {
        return zeros(0,3).$i;
    }
    else if($i >= 1000 && $i < 10000)
    {
        return zeros(0,2).$i;
    }
    else if($i >= 10000 && $i < 100000)
    {
        return zeros(0,1).$i;
    }
}

function zeros($min,$max)
{
    $zeros = '';
    $x = ($max - strlen($min));
    for($i = 0; $i < $x; $i++)
    {
        $zeros .= '0';
    }
    return $zeros.$min;
}

function complementoRegistro($int,$tipo)
{
    if($tipo == "zeros")
    {
        $space = '';
        for($i = 1; $i <= $int; $i++)
        {
            $space .= '0';
        }
    }
    else if($tipo == "brancos")
    {
        $space = '';
        for($i = 1; $i <= $int; $i++)
        {
            $space .= ' ';
        }
    }

    return $space;
}

#formatando datas#
$data_1 = $_GET["De"];
$partes = explode("/", $data_1);
$dia_de = $partes[0];
$mes_de = $partes[1];
$ano_de = $partes[2];

$data_1 = $_GET["Ate"];
$partes = explode("/", $data_1);
$dia_ate = $partes[0];
$mes_ate = $partes[1];
$ano_ate = $partes[2];


$reg = '0';
$reg2 = '0';
//$conteudo .= '|';

//Registro 0000 - Identificao do contribuinte

$sql_0000 = mysqli_query($con,"Select unidade.Id,
                         unidade.Razao_Social,
                         unidade.Cnpj,
                         unidade.Estado,
                         unidade.Estadual,
                         cidade_ibge.Codigo as Cidade_Ibge
                         FROM unidade
                         LEFT JOIN (SELECT Id,Codigo FROM cidade_ibge) as cidade_ibge ON cidade_ibge.Id = unidade.Id_Cidade
                         WHERE unidade.Id='".$_GET["Unidade"]."'");
$linha0000 = mysqli_fetch_assoc($sql_0000);

$conteudo .= '0000'.'|'; // TIPO_REGISTRO
$conteudo .= CaracteresEspeciais($linha0000["Cnpj"],"Sim").'|'; // CNPJ_CONTRIBUINTE
$conteudo .= substr($linha0000["Razao_Social"],0,254).'|'; // NOME_CONTRIBUINTE
$conteudo .= '1.0'.'|'; // VERSAO_LEIAUTE
$conteudo .= chr(13).chr(10); //essa  a quebra de linha
$reg+=1;
$reg2+=1;
$totalBloco["0000"]+=1;


//Registro 0001 ? Identificao do inicio do Bloco

//$conteudo .= '|';
$conteudo .= '0001'.'|'; //TIPO_REGISTRO
$conteudo .= "Texto em caracteres UTF-8: (dgrafo BR)'o',(dgrafo espanhol-enhe)'',(trema)'',(ordinais)'',(ligamento s+z alemo)''.".'|'; // TEXTO_PADRAO_UTF8
$conteudo .= chr(13).chr(10); //essa  a quebra de linha
$reg+=1;
$reg2+=1;
$totalBloco["0001"]+=1;


//Registro 0010 ? Informaes do estabelecimento/Contribuinte informante
$sql_0010 = mysqli_query($con,"Select unidade.Id,
                         unidade.Titulo,
                         unidade.Cep,
                         unidade.Rua,
                         unidade.Numero,
                         unidade.Complemento,
                         unidade.Bairro,
                         unidade.Fone1,
                         unidade.Fone2,
                         unidade.Email,
                         unidade.Razao_Social,
                         unidade.Cnpj,
                         unidade.Estado,
                         unidade.Estadual,
                         cidade_ibge.Codigo as Cidade_Ibge
                         FROM unidade
                         WHERE Id='".$_GET["Unidade"]."'");
$linha0010 = mysqli_fetch_assoc($sql_0010);

//$conteudo .= '|';
$conteudo .= '0010'.'|'; // TIPO_REGISTRO
$conteudo .= CaracteresEspeciais($linha0010["Cnpj"],"Sim").'|'; // CNPJ_CONTRIBUINTE
$conteudo .= substr($linha0010["Razao_Social"],0,254).'|'; // NOME_RAZAO_SOCIAL
$conteudo .= CaracteresEspeciais($linha0010["Estadual"],"Sim").'|'; // INSCRIO_ESTADUAL
$conteudo .= $linha0010["Rua"].", ".$linha0010["Numero"].'|'; // ENDEREO_ESTABELECIMENTO
$conteudo .= CaracteresEspeciais($linha0010["Cep"],"Sim").'|'; // CEP
$conteudo .= substr($linha0010["Bairro"],0,59).'|'; // MUNICPIO
$conteudo .= $linha0010["Estado"].'|'; // UF
$conteudo .= chr(13).chr(10); //essa  a quebra de linha
$reg+=1;
$reg2+=1;
$totalBloco["0010"]+=1;


//Registro 0990 ? Finalizao do Bloco 0

//$conteudo .= '|';
$conteudo .= '0990'.'|'; //TIPO_REGISTRO
$conteudo .= '4'.'|'; // QUANTIDADE_LINHAS
$conteudo .= chr(13).chr(10); //essa  a quebra de linha
$reg+=1;
$reg2+=1;
$totalBloco["0990"]+=1;



//Registro 5001 ? Inicio do bloco de produtos e mercadorias.

//$conteudo .= '|';
$conteudo .= '5001'.'|'; //TIPO_REGISTRO
$conteudo .= chr(13).chr(10); //essa  a quebra de linha
$reg+=1;
$reg2+=1;
$totalBloco["5001"]+=1;




//Registro 5020: abertura dos registros de mercadoria
$sql_5020 = mysqli_query($con,"Select DISTINCT produto.Id,
                        produto.Codigo,
                        produto.Titulo,
                        produto.Ncm,
                        Gtin,
                        Medida
                        FROM produto
                        WHERE Ativo='Sim'
                        ORDER BY produto.Titulo ");

$z='1';
while ($linha5020 = mysqli_fetch_assoc($sql_5020)) {

//$conteudo .= '|';

$conteudo .= '5020'.'|'; // TIPO_REGISTRO
$conteudo .= substr($linha5020["Rua"],0,254).'|'; //NOME_MERCADORIA
$conteudo .= CaracteresEspeciais($linha5020["Ncm"],"Sim").'|'; // CODIGO_NCM
$conteudo .= $linha5020["Codigo"].'|'; // CODIGO_MERCADORIA
$conteudo .= $linha5020["Gtin"].'|'; // CODIGO_GTIN
$conteudo .= $linha5020["Medida"].'|'; // UNIDADE_MERCADORIA
$conteudo .= number_format($linha5020["Valor_Saida"],2,",",""); // VALOR_SAIDA_MERCADORIA_INTERESTADUAL
$conteudo .= number_format($linha5020["Valor_Mercado"],2,",","").'|'; // VALOR_PARCELA_IMPORTADA_EXTERIOR
$conteudo .= number_format($linha5020["Conteudo"],2,",","").'|'; // CONTEUDO_IMPORTACAO_CI
$conteudo .= chr(13).chr(10); //essa  a quebra de linha
$reg+=1;
$reg2+=1;
$totalBloco["5020"]+=1;

$z++;
}



//Registro Tipo 5990 ? FINALIZAO DO BLOCO 5

//$conteudo .= '|';
$conteudo .= '5990'.'|'; //TIPO_REGISTRO
$conteudo .= $z.'|'; // QUANTIDADE_LINHAS
$conteudo .= chr(13).chr(10); //essa  a quebra de linha
$reg+=1;
$reg2+=1;
$totalBloco["5990"]+=1;




//Registro 9001 ? Identificao do inicio do Bloco

//$conteudo .= '|';
$conteudo .= '9001'.'|'; //TIPO_REGISTRO
$conteudo .= chr(13).chr(10); //essa  a quebra de linha
$reg+=1;
$reg2+=1;
$totalBloco["9001"]+=1;



//Registro Tipo 9900 - Bloco 9

//$conteudo .= '|';
$conteudo .= '9900'.'|'; //TIPO_REGISTRO
$conteudo .= '0000'.'|'; //TIPO_REGISTRO_SER_TOTALIZADO
$conteudo .= '1'.'|'; //QUANTIDADE_LINHAS_REGISTRO_ANTERIOR
$conteudo .= chr(13).chr(10); //essa  a quebra de linha
$reg+=1;
$reg2+=1;
$totalBloco["9900"]+=1;

//$conteudo .= '|';
$conteudo .= '9900'.'|'; //TIPO_REGISTRO
$conteudo .= '0010'.'|'; //TIPO_REGISTRO_SER_TOTALIZADO
$conteudo .= '1'.'|'; //QUANTIDADE_LINHAS_REGISTRO_ANTERIOR
$conteudo .= chr(13).chr(10); //essa  a quebra de linha
$reg+=1;
$reg2+=1;
$totalBloco["9900"]+=1;

//$conteudo .= '|';
$conteudo .= '9900'.'|'; //TIPO_REGISTRO
$conteudo .= '5020'.'|'; //TIPO_REGISTRO_SER_TOTALIZADO
$conteudo .= $z.'|'; //QUANTIDADE_LINHAS_REGISTRO_ANTERIOR
$conteudo .= chr(13).chr(10); //essa  a quebra de linha
$reg+=1;
$reg2+=1;
$totalBloco["9900"]+=1;




//$conteudo .= '|';
$conteudo .= '9990'.'|'; //TIPO_REGISTRO
$conteudo .= '5'.'|'; //QUANTIDADE_LINHAS_BLOCO9
$conteudo .= chr(13).chr(10); //essa  a quebra de linha
$reg+=1;
$reg2+=1;
$totalBloco["9990"]+=1;



//REGISTRO 9999: ENCERRAMENTO DO ARQUIVO DIGITAL

$reg+=1;
$reg2+=1;
$totalBloco["9999"]+=1;
//$conteudo .= '|';

$conteudo .= '9999'.'|'; // TIPO_REGISTRO
$conteudo .= $reg.'|'; // QUANTIDADE_LINHAS_BLOCO9
$conteudo .= chr(13).chr(10); //essa  a quebra de linha





$Sequencial_Cobranca = "FCI - ".substr($linha0000["Razao_Social"],0,99)." - DE ".data_exibirtxt(data_banco($_GET["De"]))." ATE ".data_exibirtxt(data_banco($_GET["Ate"]));

$fp = fopen($Sequencial_Cobranca.".txt", "w");

// Escreve "exemplo de escrita" no bloco1.txt
$escreve = fwrite($fp, $conteudo);

// Fecha o arquivo
$finaliza = fclose($fp);

$aquivoNome = $Sequencial_Cobranca.".txt"; // nome do arquivo que ser enviado p/ download
$arquivoLocal = $aquivoNome; // caminho absoluto do arquivo

// Definimos o novo nome do arquivo
$novoNome = $Sequencial_Cobranca.".txt";

// Configuramos os headers que sero enviados para o browser
header('Content-Description: File Transfer');
header('Content-Disposition: attachment; filename="'.$novoNome.'"');
header('Content-Type: application/octet-stream');
header('Content-Transfer-Encoding: binary');
header('Content-Length: ' . filesize($aquivoNome));
header('Cache-Control: must-revalidate, post-check=0, pre-check=0');
header('Pragma: public');
header('Expires: 0');

// Envia o arquivo para o cliente
readfile($aquivoNome);

//copiando e deletando o arquivo
//$origem = 'arquivo.txt';
//$destino = 'pasta/example.txt';
//copy($origem, $destino);
unlink($arquivoLocal);
?>