<?php
include_once '../include/conecta.php'; //Conecta com a nosso banco de dados MySQL
include_once '../include/ver_sessao.php'; //Verifica se a sesso est ativa
include_once '../include/funcoesPhp.php';
include_once '../menu_movimento.php';
?>
<html>

<head>
    <title>Gw - Gesto Web</title>
    <link rel="stylesheet" type="text/css" href="../estilo/<?php echo SKIN; ?>/tableless.css" />
    <link rel="stylesheet" type="text/css" href="../js/datePicker/datePicker.css" />
    <script language="javascript" type="text/javascript" src="../js/jquery.js"></script>
    <script language="javascript" type="text/javascript" src="../js/script.js"></script>
    <?php include '../include/script_cabeca.php'; ?>
    <?php include '../include/script_campo.php'; ?>
</head>

<body>

    <fieldset>
        <?php
        $prod_nome = mysqli_query($con, "select Titulo from produto where Id = '" . $_GET["id_produto"] . "'");
        $prod_nome = mysqli_fetch_assoc($prod_nome);
        ?>
        <div> Nome : <?php echo $prod_nome["Titulo"] ?></div>
        <br />
        <td width="50%">
            <!-- tabela principal -->
            <table width="100%" border="0" cellpadding="2" cellspacing="2">
                <tr>
                    <!-- 1 tr -->

                    <!-- 1 divisao -->

                    <!-- compras -->
                    <?php
                    $sql_historico = mysqli_query($con, "SELECT DISTINCT compra.Id,
                                                                    compra.Data_Compra,
                                                                    compra.Lancamento,
                                                                    compra.Fatura,
                                                                    compra.Id_Fornecedor,
                                                                    compra.Id_Tipo_Pagamento,
                                                                    compra_produto.Preco,
                                                                    compra_produto.Qtd,
                                                                    compra_produto.Qtd_Conversao,
                                                                    compra_produto.Conversao,
                                                                    produto.Medida,
                                                                    compra_produto.Icms_Sub,
                                                                    compra_produto.Outros,
                                                                    compra_produto.Desconto_Real,
                                                                    compra_produto.Frete,
                                                                    compra_produto.Id_Produto,
                                                                    compra_produto.Lote,
                                                                    fornecedor.Titulo,
                                                                    fornecedor.Razao_Social
                                                                    FROM compra
                                                                    INNER JOIN (SELECT Id,Id_Produto,Id_Compra,Preco,Desconto_Real,Qtd,Icms_Sub,Outros,Frete,Qtd_Conversao,Conversao,Lote FROM compra_produto WHERE compra_produto.Id_Produto='" . $_GET["id_produto"] . "') as compra_produto ON compra.Id = compra_produto.Id_Compra
                                                                    LEFT JOIN (SELECT Id,Titulo,Razao_Social FROM fornecedor) as fornecedor ON fornecedor.Id = compra.Id_Fornecedor
                                                                    left join (SELECT Id,Titulo,Codigo,Custo,Codigo_Fornecedor,Medida FROM produto) as produto ON produto.Id = '" . $_GET["id_produto"] . "'
                                                                    WHERE compra.Status = 'Finalizado'
                                                                    ORDER BY compra.Data_Compra DESC
                                                                    LIMIT 10 ");
                    ?>
                    <fieldset class="grupo" style="float: left; width: 100%">
                        <legend>Compras</legend>

                        <table width="100%" align="center" border="0" cellpadding="2" cellspacing="2">
                            <tr bgcolor="#A4D3EE">
                                <td>Fornecedor</td>
                                <td>Data</td>
                                <td>Compra</td>
                                <td>NFe</td>
                                <td>Pagamento</td>
                                <td>$ Compra</td>
                                <td>$ Custo</td>
                                <td>Qtd</td>
                                <td>Med</td>
                                <td>Lote</td>
                                <td>Qtd Cvt</td>
                                <td>Med Cvt</td>
                                <td>Frete</td>
                                <td>Icms Sub</td>
                                <td>Outros</td>
                            </tr>
                            <?php
                            $color = "#F5F5F5";
                            while ($hist = mysqli_fetch_assoc($sql_historico)) {
                                if ($color == "#F5F5F5") {
                                    $color = "#E8E8E8";
                                } else {
                                    $color = "#F5F5F5";
                                }

                                $tp = mysqli_query($con, "SELECT Id,Titulo as Pagamento FROM tipo_pagamento WHERE Id = '" . $hist["Id_Tipo_Pagamento"] . "' LIMIT 1 ");
                                $tp = mysqli_fetch_assoc($tp);

                                $custo = mysqli_query($con, "SELECT Id,Preco_Custo as Custo FROM estoque WHERE Id_Externo = '" . $hist["Id"] . "'
                                                AND Id_Produto='" . $hist["Id_Produto"] . "' LIMIT 1 ");
                                $custo = mysqli_fetch_assoc($custo);
                            ?>
                            <tr bgcolor=<?php echo "$color"; ?>>
                                <td>
                                    <?php
                                        if (FORNECEDOR_RAZAO_SOCIAL == 'Sim') {
                                            echo $hist["Razao_Social"];
                                        } else {
                                            echo $hist["Titulo"];
                                        }
                                        ?>
                                </td>
                                <td><?php echo data_exibir($hist["Data_Compra"]) ?></td>
                                <td><?php echo $hist["Lancamento"] ?></td>
                                <td><?php echo $hist["Fatura"] ?></td>
                                <td><?php echo $tp["Pagamento"] ?></td>
                                <td><?php echo valor_exibir(($hist["Preco"] - ($hist["Desconto_Real"] / $hist["Qtd"]))) ?>
                                </td>
                                <td><?php echo valor_exibir($custo["Custo"]) ?></td>
                                <td><?php echo valor_exibir($hist["Qtd"]) ?></td>
                                <td><?php echo ($hist["Conversao"]) ?></td>
                                <td><?php echo ($hist["Lote"]) ?></td>
                                <td><?php echo valor_exibir($hist["Qtd_Conversao"]) ?></td>
                                <td><?php echo ($hist["Medida"]) ?></td>
                                <td><?php echo valor_exibir($hist["Frete"]) ?></td>
                                <td><?php echo valor_exibir($hist["Icms_Sub"]) ?></td>
                                <td><?php echo valor_exibir($hist["Outros"]) ?></td>
                            </tr>
                            <?php
                                if ($hist["Qtd"] > '0') {
                                    $entradas += $hist["Qtd"];
                                } else {
                                    $saidas += $hist["Qtd"];
                                }
                            }
                            ?>

                        </table>

                    </fieldset>
                    <!-- fim compras -->

        </td>
        <td width="100%">
            <!-- 2 divisao -->

            <!-- vendas -->
            <?php
            $sql_historico2 = mysqli_query($con, "SELECT venda.Id,
                            venda.Data_Venda,
                            venda.Lancamento,
                            venda.Id_cliente,
                            venda.Fatura,
                            venda.Frete,
                            venda_produto.Preco,
                            venda_produto.Qtd,
                            venda_produto.Id_Produto,
                            venda.Id_Tipo_Pagamento,
                            produto.Medida,
                            cliente.Titulo,
                            cliente.Razao_Social
                            FROM venda
                            INNER JOIN (SELECT Id,Id_Produto,Frete,Id_Venda,Preco,Qtd FROM venda_produto WHERE venda_produto.Id_Produto='" . $_GET["id_produto"] . "') as venda_produto ON venda.Id = venda_produto.Id_Venda
                            LEFT JOIN (SELECT Id,Titulo,Razao_Social FROM cliente) as cliente ON cliente.Id = venda.Id_cliente
                            LEFT JOIN (SELECT Id,Titulo,Medida FROM produto) as produto ON produto.Id = '" . $_GET["id_produto"] . "'
                            WHERE venda.Status = 'Finalizado'
                            ORDER BY venda.Data_Venda DESC
                            LIMIT 10 ");

            ?>
            <fieldset class="grupo">
                <legend>Vendas</legend>

                <table width="100%" align="center" border="0" cellpadding="2" cellspacing="2">
                    <tr bgcolor="#A4D3EE">
                        <td>Cliente</td>
                        <td>Data</td>
                        <td>Venda</td>
                        <td>NF-e</td>
                        <td>Pagamento</td>
                        <td>Valor</td>
                        <td>Qtd</td>
                        <td>Med</td>
                        <td>Lote</td>
                        <td>Frete</td>
                    </tr>
                    <?php
                    $color2 = "#F5F5F5";
                    while ($hist = mysqli_fetch_assoc($sql_historico2)) {
                        if ($color2 == "#F5F5F5") {
                            $color2 = "#E8E8E8";
                        } else {
                            $color2 = "#F5F5F5";
                        }

                        $tp = mysqli_query($con, "SELECT Id,Titulo as Pagamento FROM tipo_pagamento WHERE Id = '" . $hist["Id_Tipo_Pagamento"] . "' ");
                        $tp = mysqli_fetch_assoc($tp);

                        $custo = mysqli_query($con, "SELECT Id,Preco_Venda,Lote FROM estoque WHERE Id_Externo = '" . $hist["Id"] . "'
                                                AND Id_Produto='" . $hist["Id_Produto"] . "' LIMIT 1 ");
                        $custo = mysqli_fetch_assoc($custo);
                    ?>
                    <tr bgcolor=<?php echo "$color2"; ?>>
                        <td><?php
                                if (CLIENTE_RAZAO_SOCIAL == 'Sim') {
                                    echo $hist["Razao_Social"];
                                } else {
                                    echo $hist["Titulo"];
                                }
                                ?></td>
                        <td><?php echo data_exibir($hist["Data_Venda"]) ?></td>
                        <td><?php echo $hist["Lancamento"] ?></td>
                        <td><?php echo $hist["Fatura"] ?></td>
                        <td>
                            <?php
                                if (empty($tp["Tipo_Pagamento"])) {
                                    $cod_auto2 = mysqli_query($con, "SELECT tipo_pagamento.Titulo
                                            FROM venda_tipo_pagamento
                                            LEFT JOIN (SELECT Id,Titulo FROM tipo_pagamento) as tipo_pagamento ON tipo_pagamento.Id = venda_tipo_pagamento.Id_Tipo_Pagamento
                                            WHERE venda_tipo_pagamento.Id_Venda = '" . $hist['Id'] . "'
                                            ORDER BY Ordem");
                                    $ex_tip = '';
                                    while ($valor1 = mysqli_fetch_assoc($cod_auto2)) {
                                        $ex_tip .= $valor1["Titulo"] . " ,";
                                    }
                                    echo $ex_tip = substr($ex_tip, 0, -2);
                                } else {
                                    echo $tp["Tipo_Pagamento"];
                                }
                                ?>
                        </td>
                        <td><?php echo valor_exibir($custo["Preco_Venda"]) ?></td>
                        <td><?php echo valor_exibir($hist["Qtd"]) ?></td>
                        <td><?php echo ($hist["Medida"]) ?></td>
                        <td><?php echo ($hist["Lote"]) ?></td>
                        <td><?php echo valor_exibir($hist["Frete"]) ?></td>
                    </tr>
                    <?php
                        if ($hist["Qtd"] > '0') {
                            $saidas += $hist["Qtd"];
                        } else {
                            $entradas += $hist["Qtd"];
                        }
                    }
                    ?>

                </table>

            </fieldset>

        </td>
        </tr>
        <tr>
            <!-- 3 tr -->
            <td width="50%">
                <!-- 1 divisao -->

                <!-- pdv -->
                <?php
                $sql_historico2 = mysqli_query($con, "SELECT pdv.Id,
                            pdv.Data_Cadastro,
                            pdv.Id_Cliente,
                            pdv.Lancamento,
                            pdv.Fatura,
                            produto.Medida,
                            pdv.Fatura,
                            pdv_produto.Preco,
                            pdv_produto.Qtd,
                            pdv.Id_Tipo_Pagamento,
                            cliente.Titulo,
                            cliente.Razao_Social
                            FROM pdv
                            INNER JOIN (SELECT Id,Id_Produto,Data_Cadastro,Id_Pdv,Preco,Qtd FROM pdv_produto WHERE pdv_produto.Id_Produto='" . $_GET["id_produto"] . "') as pdv_produto ON pdv.Id = pdv_produto.Id_Pdv
                             LEFT JOIN (SELECT Id,Titulo,Razao_Social FROM cliente) as cliente ON cliente.Id = pdv.Id_cliente
                             LEFT JOIN (SELECT Id,Titulo,Medida FROM produto) as produto ON produto.Id = '" . $_GET["id_produto"] . "'
                            WHERE pdv.Status = 'Finalizado'
                            ORDER BY pdv.Data_Pdv DESC
                            LIMIT 10 ");
                ?>
                <fieldset class="grupo">
                    <legend>PDV</legend>

                    <table width="100%" align="center" border="0" cellpadding="2" cellspacing="2">
                        <tr bgcolor="#A4D3EE">
                            <td>Cliente</td>
                            <td>Data</td>
                            <td>PDV</td>
                            <td>NF-e</td>
                            <td>Pagamento</td>
                            <td>Valor</td>
                            <td>Qtd</td>
                            <td>Med</td>
                        </tr>
                        <?php
                        $color2 = "#F5F5F5";
                        while ($hist = mysqli_fetch_assoc($sql_historico2)) {
                            if ($color2 == "#F5F5F5") {
                                $color2 = "#E8E8E8";
                            } else {
                                $color2 = "#F5F5F5";
                            }

                            $tp = mysqli_query($con, "SELECT Id,Titulo as Pagamento FROM tipo_pagamento WHERE Id = '" . $hist["Id_Tipo_Pagamento"] . "' ");
                            $tp = mysqli_fetch_assoc($tp);
                        ?>
                        <tr bgcolor=<?php echo "$color2"; ?>>
                            <td><?php
                                    if (CLIENTE_RAZAO_SOCIAL == 'Sim') {
                                        echo $hist["Razao_Social"];
                                    } else {
                                        echo $hist["Titulo"];
                                    }
                                    ?></td>
                            <td><?php echo data_exibir($hist["Data_Cadastro"]) ?></td>
                            <td><?php echo $hist["Lancamento"] ?></td>
                            <td><?php echo $hist["Fatura"] ?></td>
                            <td><?php echo $tp["Pagamento"] ?></td>
                            <td><?php echo valor_exibir($hist["Preco"]) ?></td>
                            <td><?php echo valor_exibir($hist["Qtd"]) ?></td>
                            <td><?php echo ($hist["Medida"]) ?></td>

                        </tr>
                        <?php
                            if ($hist["Qtd"] > '0') {
                                $saidas += $hist["Qtd"];
                            } else {
                                $entradas += $hist["Qtd"];
                            }
                        }
                        ?>
                    </table>
                </fieldset>
            </td>
            <td width="50%">
                <!-- 2 divisao -->
                <!-- os -->
                <?php
                $sql_historico3 = mysqli_query($con, "SELECT os.Id,
                                                        os.Id_cliente,
                                                        os.Data_Os,
                                                        os.Lancamento,
                                                        os_produto.Preco,
                                                        os_produto.Qtd,
                                                        os.Id_Tipo_Pagamento
                                                        FROM os
                                                        INNER JOIN (SELECT Id,Id_Produto,Id_Os,Preco,Qtd FROM os_produto WHERE os_produto.Id_Produto='" . $_GET["id_produto"] . "') as os_produto ON os.Id = os_produto.Id_Os
                                                       LEFT JOIN (SELECT Id,Titulo,Medida FROM produto) as produto ON produto.Id = '" . $_GET["id_produto"] . "'
                                                       LEFT JOIN (SELECT Id,Titulo,Razao_Social FROM cliente) as cliente ON cliente.Id = os.Id_cliente
                                                       WHERE os.Status = 'Finalizado'
                                                        ORDER BY os.Data_Os DESC
                                                        LIMIT 10 ");
                ?>
                <fieldset class="grupo">
                    <legend>OS</legend>

                    <table width="100%" align="center" border="0" cellpadding="2" cellspacing="2">
                        <tr bgcolor="#A4D3EE">
                            <td>Cliente</td>
                            <td>Data</td>
                            <td>Os</td>
                            <td>Pagamento</td>
                            <td>Valor</td>
                            <td>Qtd</td>
                            <td>Med</td>
                        </tr>
                        <?php
                        $color3 = "#F5F5F5";
                        while ($hist = mysqli_fetch_assoc($sql_historico3)) {
                            if ($color3 == "#F5F5F5") {
                                $color3 = "#E8E8E8";
                            } else {
                                $color3 = "#F5F5F5";
                            }

                            $tp = mysqli_query($con, "SELECT Id,Titulo as Pagamento FROM tipo_pagamento WHERE Id = '" . $hist["Id_Tipo_Pagamento"] . "' ");
                            $tp = mysqli_fetch_assoc($tp);
                        ?>
                        <tr bgcolor=<?php echo "$color3"; ?>>
                            <td><?php
                                    if (CLIENTE_RAZAO_SOCIAL == 'Sim') {
                                        echo $hist["Razao_Social"];
                                    } else {
                                        echo $hist["Titulo"];
                                    }
                                    ?></td>
                            <td><?php echo data_exibir($hist["Data_Os"]) ?></td>
                            <td><?php echo $hist["Lancamento"] ?></td>
                            <td><?php echo $tp["Pagamento"] ?></td>
                            <td><?php echo valor_exibir($hist["Preco"]) ?></td>
                            <td><?php echo valor_exibir($hist["Qtd"]) ?></td>
                            <td><?php echo ($hist["Medida"]) ?></td>
                        </tr>
                        <?php
                            if ($hist["Qtd"] > '0') {
                                $saidas += $hist["Qtd"];
                            } else {
                                $entradas += $hist["Qtd"];
                            }
                        }
                        ?>

                    </table>

                </fieldset <!-- fim os -->

            </td>
        </tr>
        </table>
        <!-- fim tabela principal -->

    </fieldset>

    <?php include "../include/rodape.php"; ?>
</body>

</html>