<?php
include_once "../include/conecta.php"; //Conecta com a nosso banco de dados MySQL
ini_set('session.gc_maxlifetime', 60 * 120);
session_start();
/* include_once "../include/ver_sessao.php"; //Verifica se a sesso est ativa */
include_once "../include/funcoesPhp.php"; //Inclue a pgina con todas as funes a ser usada.
?>
<?php
$producao = listar("Select produto.Id,
                        produto.Titulo,
                        produto.Codigo,
                        produto.Ativo,
                        produto.Gtin,
                        Medida,
                        Custo,
                        Foto
                        from produto
                        where produto.Id = '" . $_GET["id"] . "' ");

$_GET["Unidade"] = $producao[0]["Id_Unidade"];
?>
<html>

<head>
    <title>Gw - Gesto Web</title>
    <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1" />
    <link rel="shortcut icon" href="../imagem/favi_gw.ico" type="image/x-icon" />
    <link rel="stylesheet" type="text/css" href="../estilo/<?php echo SKIN; ?>/tabela_imp.css" />
    <script type="text/javascript" language="javascript" src="../js/jquery.js"></script>
    <?php include '../include/script_cabeca.php'; ?>
    <script type="text/javascript" language="javascript" src="../js/script.js"></script>
    <script type="text/javascript" language="javascript" src="../js/meiomask/meiomask.js"></script>
    <script type="text/javascript" language="javascript" src="../js/meiomask/<?php
                                                                                if (PAIS == "USA") {
                                                                                    echo "mascaras-usa";
                                                                                } else {
                                                                                    echo "mascaras";
                                                                                }
                                                                                ?>.js"></script>
</head>

<body>

    <table width="98%" align="center"><!-- TABELA Q ENVOLVE TODO O CONTEUDO -->
        <tr>
            <td>
                <?php include "../include/cabecalho_relatorio.php"; ?>
            </td>
        </tr>
        <tr>
            <td>
                <table width="100%" align="center">
                    <tr>
                        <td colspan="2" align="center">
                            <font face="verdana" size="3">
                                <b><i>Ficha Tcnica</i></b>
                            </font>
                        </td>
                    </tr>
                </table>
            </td>
        </tr>
        <tr>
            <td>
                <table width="100%" align="center" class="tabela" style="font-size: 12px">
                    <tr>
                        <td style="font-size: 18px"><b><?php echo $producao[0]["Codigo"] . " " . $producao[0]["Titulo"]; ?></b></td>
                        <td style="font-size: 18px">Ativo: <?php echo $producao[0]["Ativo"]; ?></td>
                        <td>
                            <?php
                            if (file_exists("fotos/" . trim(espacos($producao[0]["Codigo"])) . "/original/" . trim($producao[0]["Foto"]))) {
                                echo '<img src="fotos/' . trim(espacos($producao[0]["Codigo"])) . '/original/' . trim($producao[0]["Foto"]) . '" width="100px" heigth="auto"/>';
                            }
                            ?>
                        </td>
                    </tr>
                </table>
            </td>
        </tr>
        <tr>
            <td>
                <table width="100%" align="center" class="tabela" style="font-size: 12px">
                    <tr>
                        <td colspan="9"><i>Matrias Primas</i></td>
                    </tr>
                    <tr class="azul-claro">
                        <td width="6%">Fase</td>
                        <td width="10%">Cdigo</td>
                        <td width="10%">Gtin</td>
                        <td width="22%">Produto</td>
                        <td width="7%">% Comp</td>
                        <td width="5%">Qtd</td>
                        <td width="5%">Un</td>
                        <td width="8%">Custo</td>
                        <td width="8%">Custo Total</td>
                    </tr>
                    <?php
                    $producao_pro = mysqli_query($con, "SELECT DISTINCT produto_producao.Id,
                                        produto.Titulo as Produto,
                                        produto.Codigo,
                                        produto.Custo,
                                        produto.Gtin,
                                        produto_producao.Qtd,
                                        produto_producao.Medida,
                                        produto_producao.Tipo,
                                        produto_producao.Peso_Produto_Pai,
                                        produto_producao.Percentual_Composto,
                                        produto_producao.Composto,
                                        produto_producao.Ordem
                                        FROM produto_producao
                                        inner join (SELECT Id,Titulo,Codigo,Preco1,Custo,Gtin FROM produto) as produto ON produto_producao.Id_Produto_Producao = produto.Id
                                        WHERE produto_producao.Id_Produto='" . $_GET["id"] . "'
                                        AND produto_producao.Composto='Sim'
                                        ORDER BY produto_producao.Ordem,produto.Titulo ");


                    $x = 1;
                    $Total = '0';
                    while ($chave = mysqli_fetch_assoc($producao_pro)) {
                    ?>
                        <tr>
                            <td><?php echo $chave["Ordem"]; ?></td>
                            <td><?php echo $chave["Codigo"]; ?></td>
                            <td><?php echo $chave["Gtin"]; ?></td>
                            <td><?php echo $chave["Produto"]; ?></td>
                            <td><?php echo $chave["Percentual_Composto"]; ?></td>
                            <td><?php echo $chave["Qtd"]; ?></td>
                            <td><?php echo $chave["Medida"]; ?></td>
                            <td><?php echo valor_exibir_producao($chave["Custo"]); ?></td>
                            <td><?php echo valor_exibir_producao(bcmul($chave["Custo"], $chave["Qtd"], 8)); ?></td>
                        </tr>
                    <?php
                        $tPer += $chave['Percentual_Composto'];
                        $tCusto += bcmul($chave['Custo'], $chave['Qtd'], 8);
                        $x++;
                    }
                    ?>

                    <tr>
                        <td colspan="4">Totais:</td>
                        <td><?php echo $tPer; ?> %</td>
                        <td colspan="3"></td>
                        <td><?php echo valor_exibir_producao($tCusto); ?></td>
                    </tr>
                </table>
            </td>
        </tr>
        <tr>
            <td>
                <table width="100%" align="center" class="tabela" style="font-size: 12px">
                    <tr>
                        <td colspan="9"><i>Embalagem</i></td>
                    </tr>
                    <tr class="azul-claro">
                        <td width="6%">Fase</td>
                        <td width="10%">Cdigo</td>
                        <td width="10%">Gtin</td>
                        <td width="22%">Produto</td>
                        <td width="7%">% Comp</td>
                        <td width="5%">Qtd</td>
                        <td width="5%">Un</td>
                        <td width="8%">Custo</td>
                        <td width="8%">Custo Total</td>
                    </tr>
                    <?php
                    $producao_pro = mysqli_query($con, "Select produto_producao.Id,
                                        produto_producao.Medida,
                                        produto_producao.Qtd,
                                        produto_producao.Ordem,
                                        produto_producao.Percentual_Composto,
 					produto.Titulo,
                                        produto.Codigo,
 					produto.Custo,
                                        produto.Gtin
 					from produto_producao
 					left join (SELECT Id,Titulo,Codigo,Custo,Gtin FROM produto) as produto ON produto.Id = produto_producao.Id_Produto_Producao
 					where produto_producao.Id_Produto = '" . $_GET["id"] . "'
                                        AND produto_producao.Composto='No'
                                        ORDER BY produto_producao.Ordem,produto.Titulo ");

                    $x = 1;
                    $Qtd_Venda = '0';
                    $Total = '0';
                    while ($chave = mysqli_fetch_assoc($producao_pro)) {
                    ?>

                        <tr>
                            <td><?php echo $chave["Ordem"]; ?></td>
                            <td><?php echo $chave["Codigo"]; ?></td>
                            <td><?php echo $chave["Gtin"]; ?></td>
                            <td><?php echo $chave["Titulo"]; ?></td>
                            <td><?php echo $chave["Percentual_Composto"]; ?></td>
                            <td><?php echo $chave["Qtd"]; ?></td>
                            <td><?php echo $chave["Medida"]; ?></td>
                            <td><?php echo valor_exibir_producao($chave["Custo"]); ?></td>
                            <td><?php echo valor_exibir_producao($chave["Custo"] * $chave["Qtd"]); ?></td>
                        </tr>
                    <?php
                        $Qtd_Venda += $chave["Qtd"];
                        $Total += ($chave["Custo"] * $chave["Qtd"]);
                        $x++;
                    }
                    ?>

                    <tr>
                        <td></td>
                        <td colspan="4">Totais:</td>
                        <td><?php echo $Qtd_Venda; ?></td>
                        <td colspan="2"></td>
                        <td><?php echo valor_exibir_producao($Total); ?></td>
                    </tr>
                </table>
            </td>
        </tr>
        <tr>
            <td>
                <table width="100%" align="center" class="tabela" style="font-size: 12px">
                    <tr>
                        <td colspan="10"><i>Produto Final</i></td>
                    </tr>
                    <tr class="azul-claro">
                        <td>Cod</td>
                        <td>Gtin</td>
                        <td>Produto</td>
                        <td>Qtd</td>
                        <td>Un</td>
                        <td>Custo</td>
                    </tr>
                    <tr>
                        <td><?php echo $producao[0]["Codigo"]; ?></td>
                        <td><?php echo $producao[0]["Gtin"]; ?></td>
                        <td><?php echo $producao[0]["Titulo"]; ?></td>
                        <td><?php echo '1'; ?></td>
                        <td><?php echo $producao[0]["Medida"]; ?></td>
                        <td><?php echo number_format($producao[0]["Custo"], 4, ',', '.'); ?></td>
                    </tr>
                    <tr>
                        <td></td>
                        <td colspan="4">Custo da Produo:</td>
                        <td><?php echo $producao[0]["Custo"]; ?></td>
                    </tr>

                </table>
            </td>
        </tr>



    </table>
</body>

</html>
<?php include "../include/rodape.php"; ?>