<?php
include_once '../include/conecta.php'; //Conecta com a nosso banco de dados MySQL
include_once '../include/ver_sessao.php'; //Verifica se a sesso est ativa
include_once '../include/funcoesPhp.php';
include_once '../menu_movimento.php';
?>
<html>
    <head>
        <title>Gw - Gesto Web</title>
        <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1" />
        <link rel="shortcut icon" href="imagem/favi_gw.ico" type="image/x-icon" />
        <link rel="stylesheet" type="text/css" href="../estilo/<?php echo SKIN; ?>/tableless.css" />
        <link rel="stylesheet" type="text/css" href="../estilo/<?php echo SKIN; ?>/tabelas.css" />
        <script language="javascript" type="text/javascript" src="../js/jquery.js"></script>
        <?php include '../include/script_cabeca.php'; ?>
        <?php include '../include/script_campo.php'; ?>
        <script language="javascript" type="text/javascript" src="../js/script.js"></script>
        <style type="text/css">
            .input{
                margin:0 5px;
                width:150px;
                height:40px;
                font:25px Georgia, "Trebuchet MS", Tahoma, Times, serif;
                font-weight:bold;
            }
            .codigo{
                margin:0 5px;
                width:250px;
                height:40px;
                font:25px Georgia, "Trebuchet MS", Tahoma, Times, serif;
                font-weight:bold;
            }
            .descricao{
                margin:0 5px;
                width:250px;
                height:40px;
                font:25px Georgia, "Trebuchet MS", Tahoma, Times, serif;
                font-weight:bold;
            }
            .fornecedor{
                margin:0 5px;
                width:80%;
                height:40px;
                font:25px Georgia, "Trebuchet MS", Tahoma, Times, serif;
                font-weight:bold;
            }
            h1{
                font:30px "Trebuchet MS", Tahoma, Helvetica, sans-serif;
                color:#f4f4f4;
            }
            .buscarprodutos{
                font:20px "Trebuchet MS", Tahoma, Helvetica, sans-serif;
                color:#f4f4f4;
                font-weight:bold;
            }
            strong{
                margin:0 5px;
                font:18px "Trebuchet MS", Tahoma, Geneva, sans-serif;
                color:#000000;
                font-weight:bold;
            }
            span{
                font:14px "Trebuchet MS", Tahoma, Helvetica, sans-serif;
                font-weight:bold;
                color:#069;
            }
            .over{
                overflow:scroll;
                height:300px;
                padding:0;
                background-color: #FFFFFF;
            }
            .tr-1{
                background-color: #E8E8E8;
            }
            .tr-2{
                background-color: #225F93;
            }
            .tr-3{
                background-color: #cccccc;
            }
            .destaque {background: #00C5CD !important;}
        </style>
        <script type="text/javascript" language="javascript" >
            //funcao de trocar a cor da TR no listar
            $(function() {
                $('table tr').hover(
                        function() {
                            $(this).addClass('destaque');
                        },
                        function() {
                            $(this).removeClass('destaque');
                        }
                );
            });
        </script>
    </head>
    <body>
        <?php
$pro_pdv = mysqli_query($con,"Select Id,Titulo,Descricao,Codigo,Preco1 from produto where Flag_Aceito='1' ORDER BY Titulo ");

if ($_SERVER['REQUEST_METHOD'] == "POST") {

if ($_POST["Salvar"]) {

    foreach ($_POST as $chave => $valor) {
        if ($chave != "todos") {
            if ($chave != "Salvar") {
                if ($chave != "Fornecedor_Geral") {
                    if ($chave != "Cor_Geral") {
                        if ($chave != "Categoria_Produto_Geral") {
                            if ($chave != "Categoria_Produto_Filho_Geral") {
                                if ($valor != "") {

                                    if ($valor["Id"]) {
                                        $Preco1 = valor_banco($valor["Preco1"]);
                                        $Preco2 = valor_banco($valor["Preco2"]);
                                        $Preco3 = valor_banco($valor["Preco3"]);
                                        $descricao = limpaNome($valor["Descricao"]);

                                        if ($_POST["Fornecedor_Geral"]) {
                                            $fornecedor = $_POST["Fornecedor_Geral"];
                                        } else {
                                            $fornecedor = $valor["Fornecedor"];
                                        }

                                        if ($_POST["Categoria_Produto_Geral"]) {
                                            $categ = $_POST["Categoria_Produto_Geral"];
                                        } else {
                                            $categ = $valor["Categoria_Produto"];
                                        }

                                        if ($_POST["Categoria_Produto_Filho_Geral"]) {
                                            $categ_filho = $_POST["Categoria_Produto_Filho_Geral"];
                                        } else {
                                            $categ_filho = $valor["Categoria_Produto_Filho"];
                                        }

                                        if ($_POST["Cor_Geral"]) {
                                            $cor = $_POST["Cor_Geral"];
                                        } else {
                                            $cor = $valor["Cor"];
                                        }

                                        mysqli_query($con,"UPDATE produto SET
                                            Preco1 = '" . $Preco1 . "',
                                            Preco2 = '" . $Preco2 . "',
                                            Preco3 = '" . $Preco3 . "',
                                            Id_Fornecedor = '" . $fornecedor . "',
                                            Id_Categoria_Produto = '" . $categ . "',
                                            Id_Categoria_Produto_Filho = '" . $categ_filho . "',
                                            Id_Cor = '" . $cor . "',
                                            Descricao = '" . $descricao . "',
                                            Flag_Aceito = 'BR*'
                                            WHERE Id='" . $valor["Id"] . "' ")
                                            or die("Erro no comando SQL:" . mysqli_error($con));
                                    }
                                }
                            }
                        }
                    }
                }
            }
        }
    }
    echo "<script>window.close();</script>";
}
        }
        ?>
        <form name="conta" id="conta" method="post" action="">
            <table width="100%" border="0" cellpadding="2" cellspacing="1" id="tabela_pdv">
                <tr bgcolor="#225F93">
                    <td style="width:25px"><b>Cd</b></td>
                    <td><b>Produto</b></td>
                    <td><b>Descrio</b></td>
                </tr>
                <?php
                $y = '1';
                while ($chave = mysqli_fetch_assoc($pro_pdv)) {
                    ?>
                    <tr class="tr-1">
                        <input type="hidden" name="<?php echo $chave["Id"] ?>[Id]" id="<?php echo $chave["Id"] ?>Id" value="<?php echo $chave["Id"]; ?>">
                        <td><b><?php echo $chave["Codigo"]; ?></b></td>
                        <td><b><?php echo $chave["Titulo"]; ?></b></td>
                        <td>
                        <textarea cols="50" rows="2" name="<?php echo $chave["Id"] ?>[Descricao]" id="<?php echo $chave["Id"] ?>Descricao" ><?php echo trim($chave["Descricao"]); ?></textarea>
                        </td>
                    </tr>
                    <tr class="tr-1">
                        <td>
                            <?php
                            echo select_banco2("Select Id, Titulo from fornecedor WHERE Tipo='F' order by Titulo",
                                    $chave['Id'] . "[Fornecedor]", "Fornecedor", "Fornecedor", $_POST["Fornecedor"], 'style="width:200px"', '');
                            ?>
                        </td>
                        <td>
                            <?php
                            echo select_banco2("Select Id, Titulo from categoria_produto WHERE Id_Pai='0' order by Titulo",
                                    $chave['Id'] . "[Categoria_Produto]", "Categoria_Produto", "Categoria", $_POST["Categoria_Produto"], 'style="width:200px"', '');
                            ?>
                        </td>
                        <td>
                            <?php
                            echo select_banco2("Select Id, Titulo from categoria_produto WHERE Id_Pai<>'0' order by Titulo",
                                    $chave['Id'] . "[Categoria_Produto_Filho]", "Categoria_Produto_Filho", "Sub Categoria", $_POST["Categoria_Produto_Filho"], 'style="width:200px"', '');
                            ?>
                        </td>
                    </tr>
                    
                    <?php if(CLIENTE_EMAIL=='mqgranitos'){ ?>
                    <tr class="tr-1">
                    <?php
                        echo select_banco2("Select Id, Titulo from cor order by Titulo",
                                            $chave['Id'] . "[Cor]", "Cor", "Cor", $_POST["Cor"], 'style="width:200px"', '');
                    ?>
                    </tr>
                    <?php } ?>
                    
                    <tr class="tr-1">
                        <td><b>Preo1</b>
                            <input size="8" type="text" name="<?php echo $chave["Id"] ?>[Preco1]"
                                   id="<?php echo $chave["Id"] ?>Preco1"
                                   value="<?php echo valor_exibir($chave["Preco1"]); ?>"
                                   class="money" onblur="fazerValor(this.value, '<?php echo $chave["Id"] ?>Preco1');">
                        </td>
                        <td><b>Preo2</b>
                            <input size="8" type="text" name="<?php echo $chave["Id"] ?>[Preco2]"
                                   id="<?php echo $chave["Id"] ?>Preco2"
                                   value="<?php echo valor_exibir($chave["Preco2"]); ?>"
                                   class="money" onblur="fazerValor(this.value, '<?php echo $chave["Id"] ?>Preco2');">
                        </td>
                        <td><b>Preo3</b>
                            <input size="8" type="text" name="<?php echo $chave["Id"] ?>[Preco3]"
                                   id="<?php echo $chave["Id"] ?>Preco3"
                                   value="<?php echo valor_exibir($chave["Preco3"]); ?>"
                                   class="money" onblur="fazerValor(this.value, '<?php echo $chave["Id"] ?>Preco3');">
                        </td>
                    </tr>
                    <tr class="tr-1" heigth="2">
                        <td colspan="3">&nbsp;</td>
                    </tr>
                    <?php $y++; } ?>
                <tr class="tr-1">
                    <td colspan="3" align="center"><b><br>Campos Gerais<br></b></td>
                </tr>
                <tr class="tr-1">
                    <td></td>
                    <td>Fornecedor:
                        <?php
                        echo select_banco('Select Id, Titulo from fornecedor WHERE Tipo="F" order by Titulo', "Fornecedor_Geral", "Fornecedor_Geral", "", 'style="width:250px"', "");
                        ?>
                    </td>
                    <td>
                        <?php if(CLIENTE_EMAIL=='mqgranitos'){ ?>
                        Cor: <br>
                        <?php
                        echo select_banco('Select Id, Titulo from cor order by Titulo', "Cor_Geral", "Cor_Geral", "", 'style="width:250px"', "");
                        ?>
                        <?php } ?>
                    </td>
                </tr>
                <tr class="tr-1">
                    <td>Categoria:
                        <?php
                        echo select_banco('Select Id, Titulo from categoria_produto WHERE Id_Pai="0" order by Titulo', "Categoria_Produto_Geral", "Categoria_Produto_Geral", "", 'style="width:250px"', "");
                        ?>
                    </td>
                    <td colspan="2">Sub Categoria:
                        <?php
                        echo select_banco('Select Id, Titulo from categoria_produto WHERE Id_Pai<>"0" order by Titulo', "Categoria_Produto_Filho_Geral", "Categoria_Produto_Filho_Geral", "", 'style="width:250px"', "");
                        ?>
                    </td>
                </tr>
                <tr>
                    <td colspan="3" align="center" bgcolor="#225F93">
                        <button type="submit" name="Salvar" value="Salvar" style="width: 400px; height: 40px"><span style="font-size: 20px;color: #000">Salvar</span></button>
                    </td>
                </tr>
            </table>
            <div id="retorno"></div>
        </form>
        <?php include "../include/rodape.php"; ?>
    </body>
</html>