<?php
include_once '../include/conecta.php'; //Conecta com a nosso banco de dados MySQL
include_once '../include/ver_sessao.php'; //Verifica se a sesso est ativa
include_once '../include/funcoesPhp.php';
include_once '../menu_movimento.php';
?>
<?php

$sql_recontagem = mysqli_query($con, "SELECT recontagem.Tipo,
                                        recontagem.Codigo,
                                        recontagem.Descricao,
                                        recontagem.Qtd,
                                        recontagem.Data_Cadastro,
                                        local_estoque.Titulo as Local_Estoque,
                                        CONCAT(produto.Titulo,' ',produto.Codigo) as Produto,
                                        funcionario.Titulo as Funcionario,
                                        recontagem.Lote,
                                        recontagem.Lote2,
                                        recontagem.Data_Validade,
                                        recontagem.Data_Fabricacao,
                                        produto.Id_Categoria_Produto
                                        FROM recontagem
                                        LEFT JOIN (SELECT Id,Titulo,Codigo,Id_Categoria_Produto FROM produto) as produto ON produto.Id = recontagem.Id_Produto
                                        LEFT JOIN (SELECT Id,Titulo FROM local_estoque) as local_estoque ON local_estoque.Id = recontagem.Id_Local_Estoque
                                        LEFT JOIN (SELECT Id,Titulo FROM funcionario) as funcionario ON funcionario.Id = recontagem.Id_Funcionario
                                        WHERE recontagem.Id='" . $_GET["id_recontagem"] . "'")
    or die("ERRO no comando SQL:" . mysqli_error($con));
$array_recontagem = mysqli_fetch_assoc($sql_recontagem);

$_POST["Tipo"]     = stripslashes($array_recontagem["Tipo"]);
$_POST["Codigo"]    = $array_recontagem["Codigo"];
$_POST["Descricao"] = $array_recontagem["Descricao"];
$_POST["Qtd"]       = $array_recontagem["Qtd"];
$_POST["Local_Estoque"] = $array_recontagem["Local_Estoque"];
$_POST["Produto"]   = $array_recontagem["Produto"];
$_POST["Funcionario"] = $array_recontagem["Funcionario"];
$_POST["Data_Cadastro"] = data_exibir($array_recontagem["Data_Cadastro"]);
$_POST["Lote"]      = $array_recontagem["Lote"];
$_POST["Lote2"]     = $array_recontagem["Lote2"];
$_POST["Data_Validade"] = $array_recontagem["Data_Validade"];
$_POST["Data_Fabricacao"] = $array_recontagem["Data_Fabricacao"];
$_POST["Categoria_Produto"] = $array_recontagem["Id_Categoria_Produto"];

?>
<html>

<head>
    <title>Gw - Gesto Web</title>
    <?php include 'cabecalho.php'; ?>
    <link rel="stylesheet" type="text/css" href="../estilo/<?php echo SKIN; ?>/tabela_imp.css" />
</head>

<body>

    <fieldset class="envolve">

        <table width="100%" align="center" border="0" cellpadding="2" cellspacing="2">
            <tr>
                <td class="azul-claro" width="20%">Tipo</td>
                <td class="cinza"><?php echo $_POST["Tipo"]; ?></td>
            </tr>
            <tr>
                <td class="azul-claro" width="20%">Cdigo</td>
                <td class="cinza"><?php echo $_POST["Codigo"]; ?></td>
            </tr>
            <tr>
                <td class="azul-claro" width="20%">Descrio</td>
                <?php if (CLIENTE_EMAIL == 'spectracolor' || CLIENTE_EMAIL == 'gw2') {

                    $cat = mysqli_query($con, "SELECT Id,Titulo as Categoria,Exibir_Titulo FROM categoria_produto WHERE Id = '" . $array_recontagem['Id_Categoria_Produto'] . "' ");
                    $nome_cat = mysqli_fetch_assoc($cat);

                    if ((VER_NOME_PRODUTO == 'Sim') || ($nome_cat["Exibir_Titulo"] == 'Sim')) { ?>
                        <td class="cinza"><?php echo stripslashes($_POST['Produto']); ?></td>
                    <?php } else { ?>
                        <td class="cinza"><?php echo 'Segredo de Produo'; ?></td>
                    <?php }
                } ?>
            </tr>
            <tr>
                <td class="azul-claro" width="20%">Quantidade</td>
                <td class="cinza"><?php echo $_POST["Qtd"]; ?></td>
            </tr>
            <tr>
                <td class="azul-claro" width="20%">Lote</td>
                <td class="cinza"><?php echo $_POST["Lote"]; ?></td>
            </tr>
            <tr>
                <td class="azul-claro" width="20%">Lote 2</td>
                <td class="cinza"><?php echo $_POST["Lote2"]; ?></td>
            </tr>
            <tr>
                <td class="azul-claro" width="20%">Validade</td>
                <td class="cinza"><?php echo data_exibir($_POST["Data_Validade"]); ?></td>
            </tr>
            <tr>
                <td class="azul-claro" width="20%">Fabricao</td>
                <td class="cinza"><?php echo data_exibir($_POST["Data_Fabricacao"]); ?></td>
            </tr>
            <tr>
                <td class="azul-claro" width="20%">Local Estoque</td>
                <td class="cinza"><?php echo $_POST["Local_Estoque"]; ?></td>
            </tr>
            <tr>
                <td class="azul-claro" width="20%">Produto</td>
                <td class="cinza">
                    <?php if (CLIENTE_EMAIL == 'spectracolor' || CLIENTE_EMAIL == 'gw2') {
    
                        if ((VER_NOME_PRODUTO == 'Sim') || ($nome_cat["Exibir_Titulo"] == 'Sim')) { ?>
                            <?php echo stripslashes($_POST['Produto']); ?>
                        <?php } else { ?>
                            <?php echo 'Segredo de Produo'; ?>
                        <?php } } ?>
                    
                </td>
            </tr>
            <tr>
                <td class="azul-claro" width="20%">Funcionrio</td>
                <td class="cinza"><?php echo $_POST["Funcionario"]; ?></td>
            </tr>
            <tr>
                <td class="azul-claro" width="20%">Data</td>
                <td class="cinza"><?php echo $_POST["Data_Cadastro"]; ?></td>
            </tr>
        </table>

        <br />
        <button class="botao_novo" type="button" value="Voltar" onclick="location.href='list_recontagem.php';">Voltar</button>

    </fieldset>