<?php
include_once '../include/conecta.php'; //Conecta com a nosso banco de dados MySQL
include_once '../include/ver_sessao.php'; //Verifica se a sesso est ativa
include_once '../include/funcoesPhp.php';
include_once '../menu_movimento.php';
?>
<?php
if (($_GET["Liquidado"]) || ($_GET["Aberto"]) || ($_GET["Cancelado"])) {

	$status = "AND (";

	if ($_GET["Liquidado"]) {
		$status .= " conta_receber.Status = 'Liquidado' OR";
	}
	if ($_GET["Aberto"]) {
		$status .= " conta_receber.Status = 'Aberto' OR";
	}
	if ($_GET["Cancelado"]) {
		$status .= " conta_receber.Status = 'Cancelado' OR";
	}

	$status = substr($status, 0, -2);
	$status .= ")";
}

if ($_GET['Data_Filtro'] == 'Vencimento') {
	if ($_GET["De"])
		$data .= "AND conta_receber.Data_Vencimento >= '" . data_banco($_GET["De"]) . " 00:00:00' ";
	if ($_GET["Ate"])
		$data .= "AND conta_receber.Data_Vencimento <= '" . data_banco($_GET["Ate"]) . " 23:59:59' ";
}
if ($_GET['Data_Filtro'] == 'Pagamento') {
	if ($_GET["De"])
		$data .= "AND conta_receber.Data_Pagamento >= '" . data_banco($_GET["De"]) . " 00:00:00' ";
	if ($_GET["Ate"])
		$data .= "AND conta_receber.Data_Pagamento <= '" . data_banco($_GET["Ate"]) . " 23:59:59' ";
}
if ($_GET['Data_Filtro'] == 'Emissao') {
	if ($_GET["De"])
		$data .= "AND conta_receber.Data_Emissao >= '" . data_banco($_GET["De"]) . " 00:00:00' ";
	if ($_GET["Ate"])
		$data .= "AND conta_receber.Data_Emissao <= '" . data_banco($_GET["Ate"]) . " 23:59:59' ";
}
if ($_GET['Data_Filtro'] == 'Fim_Contrato') {
	if ($_GET["De"])
		$data .= "AND contrato.Data_Fim_Contrato >= '" . data_banco($_GET["De"]) . " 00:00:00' ";
	if ($_GET["Ate"])
		$data .= "AND contrato.Data_Fim_Contrato <= '" . data_banco($_GET["Ate"]) . " 23:59:59' ";
}

if ($_GET["fCnpj"])
	$cliente = "AND cliente.Cpf_Cnpj = '" . $_GET["fCnpj"] . "' ";
if ($_GET["Cliente"])
	$cliente .= "AND cliente.Id = '" . $_GET["Cliente"] . "' ";
if ($_GET["Tipo_Pagamento"])
	$cliente .= "AND conta_receber.Id_Tipo_Pagamento = '" . $_GET["Tipo_Pagamento"] . "' ";
if ($_GET["Tipo_Movimento"])
	$cliente .= "AND conta_receber.Tipo_Movimentacao = '" . $_GET["Tipo_Movimento"] . "' ";
if ($_GET["Funcionario"])
	$cliente .= "AND conta_receber.Id_Funcionario = '" . $_GET["Funcionario"] . "' ";
if ($_GET["Conta"])
	$cliente .= "AND conta_receber.Id_Conta = '" . $_GET["Conta"] . "' ";
if ($_GET["Categoria_Tipo_Pagamento"])
	$cliente .= " AND tipo_pagamento.Id_Categoria_Tipo_Pagamento = '" . $_GET["Categoria_Tipo_Pagamento"] . "' ";
if ($_GET["Atividade"])
	$cliente .= "AND conta_receber.Id_Atividade = '" . $_GET["Atividade"] . "' ";
if ($_GET["Cidade"])
	$cidade = "AND cliente.Id_Cidade = '" . $_GET["Cidade"] . "' ";
if ($_GET["Estado"])
	$uf = "AND cliente.Estado = '" . $_GET["Estado"] . "' ";

if ($_GET["Unidade"]) {
	$Unidade = "AND conta_receber.Id_Unidade = '" . $_GET["Unidade"] . "' ";
}

if ($_GET["Ok"]) {
	$produto = listar("SELECT cliente.Titulo as 'Cliente',
                            cliente.Razao_Social,
                            cliente.Cpf_Cnpj,
                            conta_receber.Lancamento,
                            conta_receber.Id_Balancete,
                            conta_receber.Descricao,
                            conta_receber.Data_Vencimento,
                            conta_receber.Data_Emissao,
                            conta_receber.Data_Pagamento,
                            conta_receber.Valor_Original,
                            conta_receber.Valor_Pago,
                            conta_receber.Fatura,
                            conta_receber.Status,
                            contrato.Data_Inicio_Contrato,
                            contrato.Data_Fim_Contrato,
                            produto.Titulo as Id_Produto
                            from conta_receber
                            left join (SELECT Id, Titulo,Razao_Social,Id_Cidade,Cpf_Cnpj,Estado FROM cliente) as cliente ON cliente.Id = conta_receber.Id_Cliente
                            left join (SELECT Id, Id_Contrato,Id_Produto FROM contrato_produto) as contrato_produto ON contrato_produto.Id_Contrato = conta_receber.Id_Balancete
                            left join (SELECT Id, Data_Inicio_Contrato,Data_Fim_Contrato FROM contrato) as contrato ON contrato.Id = conta_receber.Id_Balancete
                            left join (SELECT Id,Titulo FROM produto) as produto ON produto.Id = contrato_produto.Id_Produto
                            where 1=1
                            $data $status $cliente $Unidade $uf $cidade
                            order by cliente.Titulo ");
}
?>
<?php ob_start(); /* Inicia o fluxo*/ ?>
<html>

<head>
    <script type="text/javascript" language="javascript" src="../js/jquery.js"></script>
    <?php include '../include/script_cabeca.php'; ?>
    <script type="text/javascript" language="javascript" src="../js/script.js"></script>
    <script type="text/javascript" language="javascript" src="../js/meiomask/meiomask.js"></script>
    <script type="text/javascript" language="javascript" src="../js/meiomask/<?php if (PAIS == "USA") {
																					echo "mascaras-usa";
																				} else {
																					echo "mascaras";
																				} ?>.js"></script>
</head>

<body>

    <table width="100%">
        <tr>
            <td>
                <font face="verdana" size="2"><i>Contrato</i></font>
            </td>
        </tr>
        <tr>
            <td>
                <font face="verdana" size="2">
                    <?php
					if ($_GET["De"]) {
						echo "Perodo: " . $_GET["De"];
					}
					if ($_GET["Ate"]) {
						echo "  " . $_GET["Ate"];
					}
					if ($_GET["Vendedor"]) {
						$achar = listar("Select Titulo from funcionario
			where Id = '" . $_GET["Vendedor"] . "' ");
						echo " - " . $achar[0]["Titulo"];
					}
					if ($_GET["Cliente"]) {
						$achar = listar("Select Titulo from cliente
			where Id = '" . $_GET["Cliente"] . "' ");
						echo " - " . $achar[0]["Titulo"];
					}
					if ($_GET["Fornecedor"]) {
						$achar = listar("Select Titulo from fornecedor
			where Id = '" . $_GET["Fornecedor"] . "' ");
						echo " - " . $achar[0]["Titulo"];
					}
					//se o sistema for Multi Empresa
					if ((MULTI_EMPRESA == "Sim") && ($_SESSION["Id_Nivel"] == '1')) {

						if ($_GET["Unidade"]) {
							$achar = listar("Select Titulo from unidade
						where Id = '" . $_GET["Unidade"] . "' ");
							echo " - " . $achar[0]["Titulo"];
						}
					}
					?>
                </font>
            </td>
        </tr>
    </table>
    <br>
    <table width="100%" class="tabela">
        <thead>
            <tr class="azul-claro">
                <td>Cliente</td>
                <td>Item</td>
                <td>Fatura</td>
                <td>Valor</td>
                <td>Valor Pago</td>
                <td>Inicio</td>
                <td>Fim</td>
                <td>Vencimento</td>
                <td>Status</td>
            </tr>
        </thead>
        <tfoot>
            <tr class="cinza">
                <td colspan="20">Relatrio Contratos</td>
            </tr>
        </tfoot>
        <tbody>
            <?php
			if ($_GET["Ok"]) {

				$y = 1;
				$color = "#F5F5F5";
				foreach ($produto as $chave) {
					if ($color == "#F5F5F5") {
						$color = "#E8E8E8";
					} else {
						$color = "#F5F5F5";
					}

					$corStatus = "";
					if ($chave['Status'] == 'Liquidado') {
						$corStatus = "color = '#228B22' ";
					}
					if ($chave['Status'] == 'Aberto') {
						$corStatus = "color = '#3A5FCD' ";
					}
					if ($chave['Status'] == 'Cancelado') {
						$corStatus = "color = '#CD2626' ";
					}
			?>
            <tr bgcolor=<?php echo "$color"; ?>>
                <td><?php
							if (CLIENTE_RAZAO_SOCIAL == 'Sim') {
								echo $chave["Razao_Social"];
							} else {
								echo $chave["Cliente"];
							}
							?>
                </td>
                <td><?php echo $chave["Id_Produto"] ?></td>
                <td><?php echo $chave["Fatura"] ?></td>
                <td><?php echo valor_exibir($chave["Valor_Original"]) ?></td>
                <td>
                    <?php
							if ($chave['Status'] == 'Aberto') {
								echo '0,00';
							} else {
								echo valor_exibir($chave['Valor_Pago']);
							}
							?>
                </td>
                <td><?php echo data_exibir($chave["Data_Inicio_Contrato"]) ?></td>
                <td><?php echo data_exibir($chave["Data_Fim_Contrato"]) ?></td>
                <td><?php echo data_exibir($chave["Data_Vencimento"]) ?></td>
                <td>
                    <font <?php echo $corStatus ?>>
                        <b><?php echo $chave["Status"] ?></b>
                    </font>
                </td>

                <?php
						if ($chave["Status"] == 'Aberto') {
							$Valor_Aberto += $chave["Valor_Original"];
						}
						if ($chave["Status"] == 'Liquidado') {
							$Valor_Liqu += $chave["Valor_Pago"];
						}
						if ($chave["Status"] == "Cancelado") {
							$Valor_Can += $chave["Valor_Pago"];
						}
						?>
            </tr>
            <?php $y++;
				}
			} ?>

            <tr>
                <td colspan="2"><b>Totais Valores : </b></td>
                <td colspan="8" align="right">
                    <font color="#3A5FCD"><b>Aberto</font>
                    <?php echo valor_exibir($Valor_Aberto); ?></b>&nbsp;&nbsp;&nbsp;
                    <font color="#228B22"><b>Liquidado</font>
                    <?php echo valor_exibir($Valor_Liqu); ?></b>&nbsp;&nbsp;&nbsp;
                    <font color="#CD2626"><b>Cancelado</font>
                    <?php echo valor_exibir($Valor_Can); ?></b>&nbsp;&nbsp;&nbsp;
                    = <b><?php echo valor_exibir($Valor_Aberto + $Valor_Liqu); ?></b>
                </td>
            </tr>
        </tbody>
    </table>
    <br>
</body>

</html>
<?php
$html = ob_get_contents();
ob_end_clean();

include_once "../include/excel_opcao.php";
?>