<?php
include_once '../include/conecta.php'; //Conecta com a nosso banco de dados MySQL
include_once '../include/ver_sessao.php'; //Verifica se a sesso est ativa
include_once '../include/funcoesPhp.php';
include_once '../menu_movimento.php';
?>
<?php
if (($_GET["Finalizado"]) || ($_GET["Aberto"]) || ($_GET["Cancelado"])) {

    $status = "AND (";
    $statusP = "AND (";
    $statusO = "AND (";

    if ($_GET["Finalizado"]) {
        $status .= " venda.Status = 'Finalizado' OR";
        $statusP .= " pdv.Status = 'Finalizado' OR";
        $statusO .= " os.Status = 'Finalizado' OR";
    }
    if ($_GET["Aberto"]) {
        $status .= " venda.Status = 'Aberto' OR";
        $statusP .= " pdv.Status = 'Aberto' OR";
        $statusO .= " os.Status = 'Aberto' OR";
    }
    if ($_GET["Cancelado"]) {
        $status .= " venda.Status = 'Cancelado' OR";
        $statusP .= " pdv.Status = 'Cancelado' OR";
        $statusO .= " os.Status = 'Cancelado' OR";
    }

    $status = substr($status, 0, -2);
    $statusP = substr($statusP, 0, -2);
    $statusO = substr($statusO, 0, -2);
    $status .= ")";
    $statusP .= ")";
    $statusO .= ")";
}

if ($_GET['Data_Filtro'] == 'Data') {
    $data .= "AND venda.Data_Venda >= '" . ($_GET["Ano"] . '-01-01') . " 00:00:00' ";
    $dataP .= "AND pdv.Data_Pdv >= '" . ($_GET["Ano"] . '-01-01') . " 00:00:00' ";
    $dataO .= "AND os.Data_Os >= '" . ($_GET["Ano"] . '-01-01') . " 00:00:00' ";

    $data .= "AND venda.Data_Venda <= '" . ($_GET["Ano"] . '-12-31') . " 23:59:59' ";
    $dataP .= "AND pdv.Data_Pdv <= '" . ($_GET["Ano"] . '-12-31') . " 23:59:59' ";
    $dataO .= "AND os.Data_Os <= '" . ($_GET["Ano"] . '-12-31') . " 23:59:59' ";

    $data_ev .= "Data_Venda";
    $data_ep .= "Data_Pdv";
    $data_eo .= "Data_Os";
}
if ($_GET['Data_Filtro'] == 'Conclusao') {
    $data .= "AND venda.Data_Conclusao >= '" . ($_GET["Ano"] . '-01-01') . " 00:00:00' ";
    $dataP .= "AND pdv.Data_Pdv >= '" . ($_GET["Ano"] . '-01-01') . " 00:00:00' ";
    $dataO .= "AND os.Data_Conclusao >= '" . ($_GET["Ano"] . '-01-01') . " 00:00:00' ";

    $data .= "AND venda.Data_Conclusao <= '" . ($_GET["Ano"] . '-12-31') . " 23:59:59' ";
    $dataP .= "AND pdv.Data_Pdv <= '" . ($_GET["Ano"] . '-12-31') . " 23:59:59' ";
    $dataO .= "AND os.Data_Conclusao <= '" . ($_GET["Ano"] . '-12-31') . " 23:59:59' ";

    $data_ev .= "Data_Conclusao";
    $data_ep .= "Data_Pdv";
    $data_eo .= "Data_Conclusao";
}

if ($_GET["Cliente"]) {

    $mystring = $_GET["Cliente"];
    $findme = " : ";

    $posicao = strpos($mystring, $findme);

    $cod_cli = substr($_GET["Cliente"], 0, $posicao);
    $nome_cli = substr($_GET["Cliente"], ($posicao + 3));


    if (CLIENTE_RAZAO_SOCIAL == 'Sim') {
        $nome = 'Razao_Social';
    } else {
        $nome = 'Titulo';
    }
    /* convertendo o nome do fornecedor, para o seu codigo */
    $Prodt = listar("SELECT Id FROM cliente WHERE " . $nome . " ='" . $nome_cli . "' AND Codigo = '" . $cod_cli . "' ");
    $_GET["Cliente"] = $Prodt[0]["Id"];

    $Cliente .= "AND venda.Id_Cliente = '" . $_GET["Cliente"] . "' ";
    $ClienteP .= "AND pdv.Id_Cliente = '" . $_GET["Cliente"] . "' ";
    $ClienteO .= "AND os.Id_Cliente = '" . $_GET["Cliente"] . "' ";
}


if ($_GET["Usuario"]) {
    $Usuario = "AND venda.Id_Usuario = '" . $_GET["Usuario"] . "' ";
    $UsuarioP = "AND pdv.Id_Usuario = '" . $_GET["Usuario"] . "' ";
    $UsuarioO = "AND os.Id_Usuario = '" . $_GET["Usuario"] . "' ";
}

if ($_GET["Funcionario"]) {
    $usuario_p .= "AND venda.Id_Funcionario = '" . $_GET["Funcionario"] . "' ";
    $usuario_pP .= "AND pdv.Id_Funcionario = '" . $_GET["Funcionario"] . "' ";
    $usuario_pO .= "AND os.Id_Funcionario = '" . $_GET["Funcionario"] . "' ";
}

if ($_GET["Vendedor"]) {
    $CampoSql = "vendedor.Id";
    include '../include/vendedor_gerente.php';

    $vendedor .= "AND (vendedor.Id = '" . $_GET["Vendedor"] . "' $carteira ) ";
}

if ($_GET["Unidade"]) {
    $Unidade = "AND venda.Id_Unidade = '" . $_GET["Unidade"] . "' ";
    $UnidadeP = "AND pdv.Id_Unidade = '" . $_GET["Unidade"] . "' ";
    $UnidadeO = "AND os.Id_Unidade = '" . $_GET["Unidade"] . "' ";
}
if ($_GET["Financeiro"]) {
    $faturamento = "AND venda.Financeiro = '" . $_GET["Financeiro"] . "' ";
    $faturamentoP = "AND pdv.Financeiro = '" . $_GET["Financeiro"] . "' ";
}

if ($_GET["EF"]) {
    $vEF .= "AND venda.EF = '" . $_GET["EF"] . "' ";
    $pdvEF .= "AND pdv.EF = '" . $_GET["EF"] . "' ";
    $osEF .= "AND os.EF = '" . $_GET["EF"] . "' ";
}
if ($_GET["DV"]) {
    $vDV .= "AND venda.DV = '" . $_GET["DV"] . "' ";
    $pdvDV .= "AND pdv.DV = '" . $_GET["DV"] . "' ";
    $osDV .= "AND os.DV = '" . $_GET["DV"] . "' ";
}

if ($_GET["Ok"]) {

    $venda1 = mysqli_query($con, "SELECT DISTINCT vendedor.Id as Id_Vendedor,
                    vendedor.Titulo as 'Vendedor',
                    vendedor.Comissao_Avista,
                    vendedor.Codigo,
                    SUM(pedido.Valor_Pago) as Valor
                    FROM funcionario as vendedor
                    INNER JOIN (
                    (SELECT Id,Id_Vendedor,Valor_Pago FROM venda WHERE 1=1 $vDV $vEF $data $status $Cliente $Unidade $Usuario $usuario_p $faturamento)
                        UNION
                    (SELECT Id,Id_Vendedor,Valor_Pago FROM pdv WHERE 1=1 $pdvEF $dataP $statusP $usuario_pP $ClienteP $UnidadeP $faturamentoP $UsuarioP)
                        UNION
                    (SELECT Id,Id_Vendedor,Valor_Pago FROM os WHERE 1=1 $osEF $dataO $statusO $usuario_pO $ClienteO $faturamentoO $UnidadeO $UsuarioO)
                    ) as pedido ON pedido.Id_Vendedor = vendedor.Id
                    where 1=1 $vendedor
                    AND Vendedor = 'Sim'
                    GROUP BY pedido.Id_Vendedor
                    order by Valor DESC,vendedor.Titulo ");


    $calculo_total = mysqli_query($con, "SELECT DISTINCT vendedor.Id as Id_Vendedor,
                    vendedor.Titulo as 'Vendedor',
                    vendedor.Comissao_Avista,
                    vendedor.Codigo
                    FROM funcionario as vendedor
                    INNER JOIN (
                    (SELECT Id,Id_Vendedor FROM venda WHERE 1=1 $vDV $vEF $data $status $Cliente $Unidade $Usuario $usuario_p $faturamento)
                        UNION
                    (SELECT Id,Id_Vendedor FROM pdv WHERE 1=1 $pdvEF $dataP $statusP $usuario_pP $ClienteP $UnidadeP $faturamentoP $UsuarioP)
                        UNION
                    (SELECT Id,Id_Vendedor FROM os WHERE 1=1 $osEF $dataO $statusO $usuario_pO $ClienteO $faturamentoO $UnidadeO $UsuarioO)
                    ) as pedido ON pedido.Id_Vendedor = vendedor.Id
                    where 1=1 $vendedor
                    AND Vendedor = 'Sim'
                    order by vendedor.Titulo ");
}
?>
<?php ob_start(); /* Inicia o fluxo */ ?>
<html>

<head>
    <link rel="stylesheet" type="text/css" href="../estilo/<?php echo SKIN; ?>/tabela_imp.css" />
    <script type="text/javascript" language="javascript" src="../js/jquery.js"></script>
    <?php include '../include/script_cabeca.php'; ?>
    <script type="text/javascript" language="javascript" src="../js/script.js"></script>
    <script type="text/javascript" language="javascript" src="../js/meiomask/meiomask.js"></script>
    <script type="text/javascript" language="javascript" src="../js/meiomask/<?php
                                                                                if (PAIS == "USA") {
                                                                                    echo "mascaras-usa";
                                                                                } else {
                                                                                    echo "mascaras";
                                                                                }
                                                                                ?>.js"></script>
</head>

<body>
    <?php include "../include/cabecalho_relatorio.php"; ?>
    <table width="100%">
        <tr>
            <td>
                <font face="verdana" size="2"><i>Relatrio de Ranking Vendedor</i></font>
            </td>
        </tr>
        <tr>
            <td>
                <font face="verdana" size="2">
                    <?php
                    if ($_GET["De"]) {
                        echo "Perodo: " . $_GET["De"];
                    }
                    if ($_GET["Ate"]) {
                        echo "  " . $_GET["Ate"];
                    }
                    if ($_GET["Funcionario"]) {
                        $achar = listar("Select Titulo from funcionario
			where Id = '" . $_GET["Funcionario"] . "' ");
                        echo " - " . $achar[0]["Titulo"];
                    }
                    if ($_GET["Cliente"]) {
                        $achar = listar("Select Titulo from cliente
			where Id = '" . $_GET["Cliente"] . "' ");
                        echo " - " . $achar[0]["Titulo"];
                    }
                    if ($_GET["Produto"]) {
                        $achar = listar("Select Titulo from produto
			where Id = '" . $_GET["Produto"] . "' ");
                        echo " - " . $achar[0]["Titulo"];
                    }
                    if ($_GET["Cancelado"]) {
                        echo " - " . $_GET["Cancelado"];
                    }
                    if ($_GET["Finalizado"]) {
                        echo " - " . $_GET["Finalizado"];
                    }
                    if ($_GET["Aberto"]) {
                        echo " - " . $_GET["Aberto"];
                    }
                    //se o sistema for Multi Empresa
                    if ((MULTI_EMPRESA == "Sim") && ($_SESSION["Id_Nivel"] == '1')) {

                        if ($_GET["Unidade"]) {
                            $achar = listar("Select Titulo from unidade
						where Id = '" . $_GET["Unidade"] . "' ");
                            echo " - " . $achar[0]["Titulo"];
                        }
                    }
                    ?>
                </font>
            </td>
        </tr>
    </table>
    <tr>
        <td>
        <table width="100%" class="tabela">
                    <tr class="azul-claro">
                        <td>Cdigo</td>
                        <td>Vendedor</td>
                        <td>Qtd Carteira</td>

                        <td>Valor Jan</td>
                        <td>Qtd Jan</td>
                        <td>Valor Fev</td>
                        <td>Qtd Fev</td>
                        <td>Valor Mar</td>
                        <td>Qtd Mar</td>
                        <td>Valor Abr</td>
                        <td>Qtd Abr</td>
                        <td>Valor Mai</td>
                        <td>Qtd Mai</td>
                        <td>Valor Jun</td>
                        <td>Qtd Jun</td>
                        <td>Valor Jul</td>
                        <td>Qtd Jul</td>
                        <td>Valor Ago</td>
                        <td>Qtd Ago</td>
                        <td>Valor Set</td>
                        <td>Qtd Set</td>
                        <td>Valor Out</td>
                        <td>Qtd Out</td>
                        <td>Valor Nov</td>
                        <td>Qtd Nov</td>
                        <td>Valor Dez</td>
                        <td>Qtd Dez</td>

                        <td>Valor Vendido</td>
                        <td>% Fatur</td>
                    </tr>
                    <?php
                    if ($_GET["Ok"]) {

                        while ($valor1 = mysqli_fetch_assoc($calculo_total)) { //calculo total
                    
                            $venda = mysqli_query($con, "SELECT venda.Id, 
                                    venda.Data_Venda,
                                    venda.Desconto,
                                    venda.Desconto_Real,
                                    venda.Valor_Pago
                                    FROM (SELECT Id,Lancamento,Status,Data_Venda,Valor_Pago,Id_Vendedor,
                                    Data_Conclusao,Id_Cliente,Id_Usuario,Id_Funcionario,Id_Unidade,
                                    Desconto,Desconto_Real
                                    FROM venda 
                                    WHERE 1=1 $vEF $vDV $data $status $faturamento $Cliente $Unidade $Usuario $usuario_p) as venda
                                    WHERE venda.Id_Vendedor = '" . $valor1["Id_Vendedor"] . "' ");

                            while ($chave = mysqli_fetch_assoc($venda)) {

                                $produto_v = mysqli_query($con, "Select venda_produto.Preco,
                                    venda_produto.Qtd,
                                    venda_produto.Desconto,
                                    venda_produto.Desconto_Real
                                    from venda_produto
                                    where venda_produto.Id_Venda = '" . $chave["Id"] . "'
                                    ORDER BY venda_produto.Data_Cadastro");

                                $vtotal = '';
                                while ($valor = mysqli_fetch_assoc($produto_v)) {
                                    $vtotal += ((($valor["Preco"] * $valor["Qtd"]) - (($valor["Preco"] * $valor["Qtd"]) * ($valor["Desconto"] / 100))) - $valor["Desconto_Real"]);
                                }

                                // $valorTAcum+= ($vtotal - ( ($vtotal)*($chave["Desconto"]/100) ) )- $chave["Desconto_Real"];
                                $valorTAcum += ($chave["Valor_Pago"]);

                            }//fim foreach venda
                    


                            $pdv = mysqli_query($con, "Select pdv.Id,
                                pdv.Data_Pdv,
                                pdv.Desconto_Total,
                                pdv.Acrescimo,
                                pdv.Tipo_Desconto
                                FROM (SELECT Id,Lancamento,Status,Data_Pdv,Valor_Pago,Id_Vendedor,
                                Id_Cliente,Id_Usuario,Id_Funcionario,Id_Unidade,
                                Desconto_Total,Acrescimo,Tipo_Desconto
                                FROM pdv
                                WHERE 1=1 $pdvEF $dataP $statusP $faturamentoP $usuario_pP $ClienteP $faturamentoP $UnidadeP $UsuarioP) as pdv
                                WHERE pdv.Id_Vendedor = '" . $valor1["Id_Vendedor"] . "' ");

                            while ($chave = mysqli_fetch_assoc($pdv)) {

                                $produto_v = mysqli_query($con, "SELECT DISTINCT pdv_produto.Id,
                                    pdv_produto.Preco,
                                    pdv_produto.Qtd,
                                    pdv_produto.Desconto_Real
                                    FROM pdv_produto
                                    WHERE pdv_produto.Id_Pdv = '" . $chave["Id"] . "'
                                    AND pdv_produto.Cancelado = 'No'
                                    ORDER BY pdv_produto.Data_Cadastro ");

                                $vtotal = '';
                                while ($valor = mysqli_fetch_assoc($produto_v)) {
                                    $vtotal += ($valor["Preco"] * $valor["Qtd"]) - $valor["Desconto_Real"];
                                }

                                if ($chave["Tipo_Desconto"] == 'Real') {
                                    $valorTAcum += $vtotal - $chave["Desconto_Total"] + ($vtotal * ($chave["Acrescimo"] / 100));
                                } else {
                                    $valorTAcum += ($vtotal) - ($vtotal * ($chave["Desconto_Total"] / 100)) + ($vtotal * ($chave["Acrescimo"] / 100));
                                }

                            }//fim foreach pdv
                    



                            $os = mysqli_query($con, "Select os.Id,
                                    os.Data_Os,
                                    os.Desconto,
                                    os.Desconto_Real
                                    FROM (SELECT Id,Lancamento,Status,Data_Os,Valor_Pago,Id_Vendedor,
                                    Id_Cliente,Id_Usuario,Id_Funcionario,Id_Unidade,
                                    Desconto,Desconto_Real
                                    FROM os
                                    WHERE 1=1 $osEF $dataO $statusO $usuario_pO $ClienteO $UnidadeO $UsuarioO) as os
                                    WHERE os.Id_Vendedor = '" . $valor1["Id_Vendedor"] . "' ");

                            while ($chave = mysqli_fetch_assoc($os)) {

                                $produto_v = mysqli_query($con, "Select os_produto.Preco,
                                    os_produto.Qtd,
                                    os_produto.Desconto,
                                    os_produto.Desconto_Real
                                    from os_produto
                                    where os_produto.Id_Os = '" . $chave["Id"] . "'
                                    ORDER BY os_produto.Data_Cadastro");

                                $vtotal = '';
                                while ($valor = mysqli_fetch_assoc($produto_v)) {
                                    $vtotal += ((($valor["Preco"] * $valor["Qtd"]) - (($valor["Preco"] * $valor["Qtd"]) * ($valor["Desconto"] / 100))) - $valor["Desconto_Real"]);
                                }

                                $valorTAcum += ($vtotal - (($vtotal) * ($chave["Desconto"] / 100))) - $chave["Desconto_Real"];
                            }//fim foreach os
                    
                        }//fim CALCULO TOTAL
                    
                        ?>

                        <tr>

                            <?php
                            //INICIO CALCULO POR VENDEDOR
                        
                            $y = 1;
                            $color = "#F5F5F5";
                            while ($valor1 = mysqli_fetch_assoc($venda1)) {

                                $carteira = mysqli_query($con, "SELECT COUNT(cliente.Id) as Carteira
                                        FROM cliente
                                        WHERE cliente.Id_Vendedor1 = '" . $valor1["Id_Vendedor"] . "' ");
                                $carteira = mysqli_fetch_assoc($carteira);

                                ?>
                                <td><?php echo $valor1["Codigo"]; ?></td>
                                <td><?php echo $valor1["Vendedor"]; ?></td>
                                <td><?php echo $carteira["Carteira"]; ?></td>
                                <?php
                                $venda_vendedor_mes = '';
                                for ($i = 1; $i <= 12; $i++) { //inicio do FOR por mes
                        
                                    if ($i < 10) {
                                        $k = '0' . $i;
                                    } else {
                                        $k = $i;
                                    }

                                    $ultDia = date("t", mktime(0, 0, 0, $k, 1, $_GET["Ano"]));

                                    $Qtd_Carteira_Mes = '';

                                    $carteira_mes = mysqli_query($con, "SELECT COUNT(DISTINCT Id_Cliente) as Qtd_Mes
                                FROM venda 
                                WHERE 1=1 $vEF $vDV $status $faturamento $Cliente $Unidade $Usuario $usuario_p 
                                AND venda.$data_ev >= '" . ($_GET["Ano"] . '-' . $k . '-01') . "' 
                                AND venda.$data_ev <= '" . ($_GET["Ano"] . '-' . $k . '-' . $ultDia) . "'
                                AND venda.Id_Vendedor = '" . $valor1["Id_Vendedor"] . "' ");
                                    $carteira_mes = mysqli_fetch_assoc($carteira_mes);

                                    $Qtd_Carteira_Mes += $carteira_mes["Qtd_Mes"];

                                    $carteira_mes = mysqli_query($con, "SELECT COUNT(DISTINCT Id_Cliente) as Qtd_Mes
                                FROM pdv
                                WHERE 1=1 $pdvEF $statusP $faturamentoP $usuario_pP $ClienteP $faturamentoP $UnidadeP $UsuarioP 
                                AND pdv.$data_ep >= '" . ($_GET["Ano"] . '-' . $k . '-01') . "' 
                                AND pdv.$data_ep <= '" . ($_GET["Ano"] . '-' . $k . '-' . $ultDia) . "'
                                AND pdv.Id_Vendedor = '" . $valor1["Id_Vendedor"] . "' ");
                                    $carteira_mes = mysqli_fetch_assoc($carteira_mes);

                                    $Qtd_Carteira_Mes += $carteira_mes["Qtd_Mes"];

                                    $carteira_mes = mysqli_query($con, "SELECT COUNT(DISTINCT Id_Cliente) as Qtd_Mes
                                    FROM os
                                    WHERE 1=1 $osEF $statusO $usuario_pO $ClienteO $UnidadeO $UsuarioO 
                                    AND os.$data_eo >= '" . ($_GET["Ano"] . '-' . $k . '-01') . "' 
                                    AND os.$data_eo <= '" . ($_GET["Ano"] . '-' . $k . '-' . $ultDia) . "'
                                    AND os.Id_Vendedor = '" . $valor1["Id_Vendedor"] . "' ");
                                    $carteira_mes = mysqli_fetch_assoc($carteira_mes);

                                    $Qtd_Carteira_Mes += $carteira_mes["Qtd_Mes"];


                                    $valorT = '';

                                    $venda = mysqli_query($con, "SELECT venda.Id, 
                                venda.Data_Venda,
                                venda.Desconto,
                                venda.Desconto_Real,
                                venda.Valor_Pago
                                FROM (SELECT Id,Lancamento,Status,Data_Venda,Valor_Pago,Id_Vendedor,
                                Data_Conclusao,Id_Cliente,Id_Usuario,Id_Funcionario,Id_Unidade,
                                Desconto,Desconto_Real
                                FROM venda 
                                WHERE 1=1 $vEF $vDV $status $faturamento $Cliente $Unidade $Usuario $usuario_p) as venda
                                WHERE venda.$data_ev >= '" . ($_GET["Ano"] . '-' . $k . '-01') . "' 
                                AND venda.$data_ev <= '" . ($_GET["Ano"] . '-' . $k . '-' . $ultDia) . "'
                                AND venda.Id_Vendedor = '" . $valor1["Id_Vendedor"] . "' ");

                                    while ($chave = mysqli_fetch_assoc($venda)) {

                                        $produto_v = mysqli_query($con, "SELECT venda_produto.Preco,
                                venda_produto.Qtd,
                                venda_produto.Desconto,
                                venda_produto.Desconto_Real
                                from venda_produto
                                where venda_produto.Id_Venda = '" . $chave["Id"] . "'
                                ORDER BY venda_produto.Data_Cadastro");

                                        $vtotal = '';
                                        while ($valor = mysqli_fetch_assoc($produto_v)) {
                                            $vtotal += ((($valor["Preco"] * $valor["Qtd"]) - (($valor["Preco"] * $valor["Qtd"]) * ($valor["Desconto"] / 100))) - $valor["Desconto_Real"]);
                                        }

                                        // $valorTMes[$k]+= ($vtotal - ( ($vtotal)*($chave["Desconto"]/100) ) )- $chave["Desconto_Real"];
                                        // $valorT+= ($vtotal - ( ($vtotal)*($chave["Desconto"]/100) ) )- $chave["Desconto_Real"];
                                        $valorTMes[$k] += ($chave["Valor_Pago"]);
                                        $valorT += ($chave["Valor_Pago"]);

                                    }//fim foreach venda
                        






                                    $pdv = mysqli_query($con, "Select pdv.Id,
                                pdv.Data_Pdv,
                                pdv.Desconto_Total,
                                pdv.Acrescimo,
                                pdv.Tipo_Desconto
                                FROM (SELECT Id,Lancamento,Status,Data_Pdv,Valor_Pago,Id_Vendedor,
                                Id_Cliente,Id_Usuario,Id_Funcionario,Id_Unidade,
                                Desconto_Total,Acrescimo,Tipo_Desconto
                                FROM pdv
                                WHERE 1=1 $pdvEF $statusP $faturamentoP $usuario_pP $ClienteP $faturamentoP $UnidadeP $UsuarioP) as pdv
                                WHERE pdv.$data_ep >= '" . ($_GET["Ano"] . '-' . $k . '-01') . "' 
                                AND pdv.$data_ep <= '" . ($_GET["Ano"] . '-' . $k . '-' . $ultDia) . "'
                                AND pdv.Id_Vendedor = '" . $valor1["Id_Vendedor"] . "' ");

                                    while ($chave = mysqli_fetch_assoc($pdv)) {

                                        $produto_v = mysqli_query($con, "SELECT DISTINCT pdv_produto.Id,
                                    pdv_produto.Preco,
                                    pdv_produto.Qtd,
                                    pdv_produto.Desconto_Real
                                    FROM pdv_produto
                                    WHERE pdv_produto.Id_Pdv = '" . $chave["Id"] . "'
                                    AND pdv_produto.Cancelado = 'No'
                                    ORDER BY pdv_produto.Data_Cadastro ");

                                        $vtotal = '';
                                        while ($valor = mysqli_fetch_assoc($produto_v)) {
                                            $vtotal += ($valor["Preco"] * $valor["Qtd"]) - $valor["Desconto_Real"];
                                        }

                                        if ($chave["Tipo_Desconto"] == 'Real') {
                                            $valorTMes[$k] += $vtotal - $chave["Desconto_Total"] + ($vtotal * ($chave["Acrescimo"] / 100));
                                            $valorT += $vtotal - $chave["Desconto_Total"] + ($vtotal * ($chave["Acrescimo"] / 100));
                                        } else {
                                            $valorTMes[$k] += ($vtotal) - ($vtotal * ($chave["Desconto_Total"] / 100)) + ($vtotal * ($chave["Acrescimo"] / 100));
                                            $valorT += ($vtotal) - ($vtotal * ($chave["Desconto_Total"] / 100)) + ($vtotal * ($chave["Acrescimo"] / 100));
                                        }

                                    }//fim foreach pdv
                        



                                    $os = mysqli_query($con, "Select os.Id,
                                    os.Data_Os,
                                    os.Desconto,
                                    os.Desconto_Real
                                    FROM (SELECT Id,Lancamento,Status,Data_Os,Valor_Pago,Id_Vendedor,
                                    Id_Cliente,Id_Usuario,Id_Funcionario,Id_Unidade,
                                    Desconto,Desconto_Real
                                    FROM os
                                    WHERE 1=1 $osEF $statusO $usuario_pO $ClienteO $UnidadeO $UsuarioO) as os
                                    WHERE os.$data_eo >= '" . ($_GET["Ano"] . '-' . $k . '-01') . "' 
                                    AND os.$data_eo <= '" . ($_GET["Ano"] . '-' . $k . '-' . $ultDia) . "'
                                    AND os.Id_Vendedor = '" . $valor1["Id_Vendedor"] . "' ");

                                    while ($chave = mysqli_fetch_assoc($os)) {

                                        $produto_v = mysqli_query($con, "Select os_produto.Preco,
                                    os_produto.Qtd,
                                    os_produto.Desconto,
                                    os_produto.Desconto_Real
                                    from os_produto
                                    where os_produto.Id_Os = '" . $chave["Id"] . "'
                                    ORDER BY os_produto.Data_Cadastro");

                                        $vtotal = '';
                                        while ($valor = mysqli_fetch_assoc($produto_v)) {
                                            $vtotal += ((($valor["Preco"] * $valor["Qtd"]) - (($valor["Preco"] * $valor["Qtd"]) * ($valor["Desconto"] / 100))) - $valor["Desconto_Real"]);
                                        }

                                        $valorTMes[$k] += ($vtotal - (($vtotal) * ($chave["Desconto"] / 100))) - $chave["Desconto_Real"];
                                        $valorT += ($vtotal - (($vtotal) * ($chave["Desconto"] / 100))) - $chave["Desconto_Real"];
                                    }//fim foreach os
                        

                                    $venda_vendedor_mes += $valorT;
                                    ?>


                                    <td><?php echo $valorT > 0 ? valor_exibir($valorT) : '0,00'; ?></td>
                                    <td><?php echo $Qtd_Carteira_Mes; ?></td>

                                <?php } //fim do FOR por mes ?>

                                <td><?php echo valor_exibir($venda_vendedor_mes); ?></td>
                                <td><?php echo valor_exibir(($venda_vendedor_mes / $valorTAcum) * 100); ?></td>

                            </tr>

                            <?php
                            }//fim foeach vendedor 1
                    
                    }//fim ok
                    ?>

                    <tr>
                        <td colspan="3"><b>Total Final : </b></td>
                        <td><b><?php echo valor_exibir($valorTMes['01']); ?></b></td>
                        <td></td>
                        <td><b><?php echo valor_exibir($valorTMes['02']); ?></b></td>
                        <td></td>
                        <td><b><?php echo valor_exibir($valorTMes['03']); ?></b></td>
                        <td></td>
                        <td><b><?php echo valor_exibir($valorTMes['04']); ?></b></td>
                        <td></td>
                        <td><b><?php echo valor_exibir($valorTMes['05']); ?></b></td>
                        <td></td>
                        <td><b><?php echo valor_exibir($valorTMes['06']); ?></b></td>
                        <td></td>
                        <td><b><?php echo valor_exibir($valorTMes['07']); ?></b></td>
                        <td></td>
                        <td><b><?php echo valor_exibir($valorTMes['08']); ?></b></td>
                        <td></td>
                        <td><b><?php echo valor_exibir($valorTMes['09']); ?></b></td>
                        <td></td>
                        <td><b><?php echo valor_exibir($valorTMes['10']); ?></b></td>
                        <td></td>
                        <td><b><?php echo valor_exibir($valorTMes['11']); ?></b></td>
                        <td></td>
                        <td><b><?php echo valor_exibir($valorTMes['12']); ?></b></td>
                        <td></td>
                        <td><b><?php echo valor_exibir($valorTAcum); ?></b></td>
                        <td></td>
                    </tr>
                </table>
        </td>
    </tr>
    <tr>
        <td>
            <div id="div_resposta"></div>
        </td>
    </tr>
    </table>
</body>

</html>
<?php
$html = ob_get_contents();
ob_end_clean();

include_once "../include/excel_opcao.php";
?>