<?php
include_once '../include/conecta.php'; //Conecta com a nosso banco de dados MySQL
include_once '../include/ver_sessao.php'; //Verifica se a sesso est ativa
include_once '../include/funcoesPhp.php';
include_once '../menu_movimento.php';
?>
<?php
if (($_GET["Finalizado"]) || ($_GET["Aberto"]) || ($_GET["Cancelado"])) {

    $status = "and (";

    if ($_GET["Finalizado"]) {
        $status .= " venda.Status = 'Finalizado' OR";
    }
    if ($_GET["Aberto"]) {
        $status .= " venda.Status = 'Aberto' OR";
    }
    if ($_GET["Cancelado"]) {
        $status .= " venda.Status = 'Cancelado' OR";
    }

    $status = substr($status, 0, -2);
    $status .= ")";
}

if ($_GET['Data_Filtro'] == 'Data') {

    if ($_GET["De"]) {
        $data_v .= "AND venda.Data_Venda >= '" . data_banco($_GET["De"]) . " 00:00:00' ";
    }
    if ($_GET["Ate"]) {
        $data_v .= "AND venda.Data_Venda <= '" . data_banco($_GET["Ate"]) . " 23:59:59' ";
    }
}
if ($_GET['Data_Filtro'] == 'Conclusao') {

    if ($_GET["De"]) {
        $data_v .= "AND venda.Data_Conclusao >= '" . data_banco($_GET["De"]) . " 00:00:00' ";
    }
    if ($_GET["Ate"]) {
        $data_v .= "AND venda.Data_Conclusao <= '" . data_banco($_GET["Ate"]) . " 23:59:59' ";
    }
}


if ($_GET["Cliente"]) {

    $mystring = $_GET["Cliente"];
    $findme = " : ";

    $posicao = strpos($mystring, $findme);

    $cod_cli = substr($_GET["Cliente"], 0, $posicao);
    $nome_cli = substr($_GET["Cliente"], ($posicao + 3));


    if (CLIENTE_RAZAO_SOCIAL == 'Sim') {
        $nome = 'Razao_Social';
    } else {
        $nome = 'Titulo';
    }
    /* convertendo o nome do fornecedor, para o seu codigo */
    $Prodt = listar("SELECT Id FROM cliente WHERE " . $nome . " ='" . $nome_cli . "' AND Codigo = '" . $cod_cli . "' ");
    $_GET["Cliente"] = $Prodt[0]["Id"];

    $cliente_v .= "and venda.Id_Cliente = '" . $_GET["Cliente"] . "' ";
}

if ($_GET["Fornecedor"]) {

    $mystring = $_GET["Fornecedor"];
    $findme = " : ";

    $posicao = strpos($mystring, $findme);

    $cod_cli = substr($_GET["Fornecedor"], 0, $posicao);
    $nome_cli = substr($_GET["Fornecedor"], ($posicao + 3));


    if (FORNECEDOR_RAZAO_SOCIAL == 'Sim') {
        $nome = 'Razao_Social';
    } else {
        $nome = 'Titulo';
    }
    /* convertendo o nome do fornecedor, para o seu codigo */
    $Prodt = listar("SELECT Id FROM fornecedor WHERE " . $nome . " ='" . $nome_cli . "' AND Codigo = '" . $cod_cli . "' ");
    $_GET["Fornecedor"] = $Prodt[0]["Id"];

    $for_v .= "and venda_produto.Id_Fornecedor = '" . $_GET["Fornecedor"] . "' ";
}

if ($_GET["Produto"]) {

    $mystring = $_GET["Produto"];
    $findme = " : ";

    $posicao = strpos($mystring, $findme);

    $cod_cli = substr($_GET["Produto"], 0, $posicao);
    $nome_cli = substr($_GET["Produto"], ($posicao + 3));


    /* convertendo o nome do fornecedor, para o seu codigo */
    $Prodt = listar("SELECT Id FROM produto WHERE Titulo='" . $nome_cli . "' AND Codigo = '" . $cod_cli . "' ");
    $_GET["Produto"] = $Prodt[0]["Id"];

    $venda_produto_v = " and venda_produto.Id_Produto = '" . $_GET["Produto"] . "' ";
}

if ($_GET["Vendedor"]) {
    $vend_v .= "AND venda.Id_Vendedor = '" . $_GET["Vendedor"] . "' ";
}

if ($_GET["Unidade"]) {
    $unidade_v = "AND venda.Id_Unidade = '" . $_GET["Unidade"] . "' ";
}

if ($_GET["Categoria"]) {
    $cat = "AND venda_produto.Id_Categoria_Produto = '" . $_GET["Categoria"] . "' ";
}

if ($_GET["Financeiro"]) {
    $Financeiro = "AND venda.Financeiro = '" . $_GET["Financeiro"] . "' ";
}

if ($_GET["Ok"]) {

    if (FORNECEDOR_RAZAO_SOCIAL == 'Sim') {
        $nome = 'Razao_Social';
    } else {
        $nome = 'Titulo';
    }

    $allForn = mysqli_query($con, "SELECT DISTINCT fornecedor.Titulo as Fornecedor,
                      fornecedor.Id as Id_Fornecedor
                      FROM (SELECT Id,Data_Venda,Data_Conclusao,Status,Id_Cliente,Id_Vendedor,Id_Unidade,Financeiro
                      FROM venda
                      WHERE 1=1 $status $data_v $vend_v $unidade_v $cliente_v
                      ) as venda
                      INNER JOIN (SELECT Id,Id_Venda,Preco,Qtd,Desconto,Desconto_Real,Id_Produto,Desconto_Real_Pe_Nota,Id_Fornecedor
                      FROM venda_produto
                      WHERE 1=1 $venda_produto_v $for_v $cat) as venda_produto ON venda_produto.Id_Venda = venda.Id
                      INNER JOIN (SELECT Id, $nome as Titulo FROM fornecedor) as fornecedor ON fornecedor.Id = venda_produto.Id_Fornecedor
                      WHERE 1=1
                      $Financeiro
                      ORDER BY fornecedor.Titulo ");
}
?>
<?php ob_start(); /* Inicia o fluxo*/ ?>
<html>

<head>
    <link rel="stylesheet" type="text/css" href="../estilo/<?php echo SKIN; ?>/tabela_imp.css" />
    <script type="text/javascript" language="javascript" src="../js/jquery.js"></script>
    <?php include '../include/script_cabeca.php'; ?>
    <script type="text/javascript" language="javascript" src="../js/script.js"></script>
    <script type="text/javascript" language="javascript" src="../js/meiomask/meiomask.js"></script>
    <script type="text/javascript" language="javascript" src="../js/meiomask/<?php if (PAIS == "USA") {
                                                                                    echo "mascaras-usa";
                                                                                } else {
                                                                                    echo "mascaras";
                                                                                } ?>.js"></script>
</head>

<body>
    <?php include "../include/cabecalho_relatorio.php"; ?>
    <table width="100%">
        <tr>
            <td>
                <font face="verdana" size="2"><i>Relatrio Venda por Produtos Agrupado Fornecedor/Vendedor</i></font>
            </td>
        </tr>
        <tr>
            <td>
                <font face="verdana" size="2">
                    <?php
                    if ($_GET["De"]) {
                        echo "Perodo: " . $_GET["De"];
                    }
                    if ($_GET["Ate"]) {
                        echo "  " . $_GET["Ate"];
                    }
                    if ($_GET["Funcionario"]) {
                        $achar = listar("Select Titulo from funcionario
			where Id = '" . $_GET["Funcionario"] . "' ");
                        echo " - " . $achar[0]["Titulo"];
                    }
                    if ($_GET["Cliente"]) {
                        if (CLIENTE_RAZAO_SOCIAL == 'Sim') {
                            $nome = 'Razao_Social';
                        } else {
                            $nome = 'Titulo';
                        }
                        $achar = listar("Select " . $nome . " as Titulo from cliente
			where Id = '" . $_GET["Cliente"] . "' ");
                        echo " - " . $achar[0]["Titulo"];
                    }
                    if ($_GET["Fornecedor"]) {
                        if (FORNECEDOR_RAZAO_SOCIAL == 'Sim') {
                            $nome = 'Razao_Social';
                        } else {
                            $nome = 'Titulo';
                        }
                        $achar = listar("Select " . $nome . " as Titulo from fornecedor
			where Id = '" . $_GET["Fornecedor"] . "' ");
                        echo " - " . $achar[0]["Titulo"];
                    }
                    if ($_GET["Produto"]) {
                        $achar = listar("Select Titulo from produto
			where Id = '" . $_GET["Produto"] . "' ");
                        echo " - " . $achar[0]["Titulo"];
                    }
                    if ($_GET["Categoria"]) {
                        $achar = listar("Select Titulo from categoria_produto
			where Id = '" . $_GET["Categoria"] . "' ");
                        echo " - " . $achar[0]["Titulo"];
                    }
                    if ($_GET["Cancelado"]) {
                        echo " - " . $_GET["Cancelado"];
                    }
                    if ($_GET["Finalizado"]) {
                        echo " - " . $_GET["Finalizado"];
                    }
                    if ($_GET["Aberto"]) {
                        echo " - " . $_GET["Aberto"];
                    }
                    //se o sistema for Multi Empresa
                    if ((MULTI_EMPRESA == "Sim") && ($_SESSION["Id_Nivel"] == '1')) {

                        if ($_GET["Unidade"]) {
                            $achar = listar("Select Titulo from unidade
						where Id = '" . $_GET["Unidade"] . "' ");
                            echo " - " . $achar[0]["Titulo"];
                        }
                    }
                    ?>
                </font>
            </td>
        </tr>
    </table>
    <!-- Lista de produtos -->

    <table width="100%" class="tabela">
        <tbody>
            <?php
            $valorFinal = '0';

            //inicio da validacao de campos
            if ($_GET["Ok"]) {

                $x = 0;
                $tVendas = '0';
                $color = "#F5F5F5";
                while ($vetor = mysqli_fetch_assoc($allForn)) {

            ?>
                    <tr style="background-color:#808080">
                        <td colspan="7"><?php echo $vetor['Fornecedor']; ?></td>
                    </tr>
                    <?php
                    $cliente = mysqli_query($con, "SELECT DISTINCT vendedor.Titulo as Vendedor,
                      vendedor.Id as Id_Vendedor,
                      SUM( (venda_produto.Preco * venda_produto.Qtd) - ( (venda_produto.Preco * venda_produto.Qtd) * (venda_produto.Desconto/100) ) - venda_produto.Desconto_Real - Desconto_Real_Pe_Nota ) as Valor
                      FROM (SELECT Id,Data_Venda,Data_Conclusao,Status,Id_Cliente,Id_Vendedor,Id_Unidade
                      FROM venda
                      WHERE 1=1 $status $data_v $vend_v $unidade_v $cliente_v $Financeiro
                      ) as venda
                      inner join (SELECT Id,Id_Venda,Preco,Qtd,Desconto,Desconto_Real,Id_Produto,Desconto_Real_Pe_Nota
                      FROM venda_produto
                      WHERE 1=1 $venda_produto_v $for_v $cat
                      AND Id_Fornecedor='" . $vetor["Id_Fornecedor"] . "' ) as venda_produto ON venda_produto.Id_Venda = venda.Id
                      INNER JOIN (SELECT Id,Titulo FROM funcionario) as vendedor ON vendedor.Id = venda.Id_Vendedor
                      where 1=1
                      GROUP BY venda.Id_Vendedor
                      ORDER BY Valor DESC ");


                    while ($reg = mysqli_fetch_assoc($cliente)) {
                    ?>
                        <tr class="cinza">
                            <td colspan="7"><?php echo $reg['Vendedor']; ?></td>
                        </tr>
                        <tr class="azul-claro">
                            <td>Cdigo</td>
                            <td>Produto</td>
                            <td>Un</td>
                            <td>Qtd</td>
                            <td>Valor Mdio</td>
                            <td>Total</td>
                            <?php if (CLIENTE_EMAIL == 'aciomec') { ?>
                                <td>Ncm</td>
                            <?php } ?>
                        </tr>
                        <?php


                        $vendas = mysqli_query($con, "SELECT venda_produto.Id_Produto,
                        SUM(venda_produto.Qtd) as Qtd,
                        SUM( (venda_produto.Preco * venda_produto.Qtd) - ( (venda_produto.Preco * venda_produto.Qtd) * (venda_produto.Desconto/100) ) - venda_produto.Desconto_Real - Desconto_Real_Pe_Nota ) as Valor
                        FROM (SELECT Id,Data_Venda,Data_Conclusao,Status,Id_Cliente,Id_Vendedor,Id_Unidade
                        FROM venda
                        WHERE 1=1 $status $data_v $vend_v $unidade_v $cliente_v $Financeiro
                        AND Id_Vendedor='" . $reg["Id_Vendedor"] . "'
                        ) as venda
                        inner join (SELECT Id,Id_Venda,Preco,Qtd,Desconto,Desconto_Real,Id_Produto,Desconto_Real_Pe_Nota
                        FROM venda_produto
                        WHERE 1=1 $venda_produto_v $for_v $cat
                        AND Id_Fornecedor='" . $vetor["Id_Fornecedor"] . "' ) as venda_produto ON venda_produto.Id_Venda = venda.Id
                        where 1=1
                        GROUP BY venda_produto.Id_Produto
                        ORDER BY Qtd DESC");

                        $tQtd = '0';
                        $valorFinal = '0';
                        while ($linha = mysqli_fetch_assoc($vendas)) {

                            if ($color == "#F5F5F5") {
                                $color = "#E8E8E8";
                            } else {
                                $color = "#F5F5F5";
                            }

                            $produ = mysqli_query($con, "SELECT Id,Titulo as Produto,Codigo,Medida,Id_Fornecedor,Peso_Bruto,Id_Categoria_Produto,
            Ncm
            FROM produto WHERE Id = '" . $linha['Id_Produto'] . "' ");
                            $prod = mysqli_fetch_assoc($produ);
                        ?>
                            <tr bgcolor=<?php echo "$color"; ?>>
                                <td><?php echo $prod['Codigo']; ?></td>
                                <td><?php echo $prod['Produto']; ?></td>
                                <td><?php echo $prod['Medida']; ?></td>
                                <td><?php echo number_format($linha['Qtd'], 2, ".", ""); ?></td>
                                <td><?php echo number_format($linha['Valor'] / $linha['Qtd'], 2, ",", "."); ?></td>
                                <td><?php echo number_format(($linha['Valor'] / $linha['Qtd']) * $linha['Qtd'], 2, ",", "."); ?></td>
                                <?php if (CLIENTE_EMAIL == 'aciomec') { ?>
                                    <td><?php echo $prod['Ncm']; ?></td>
                                <?php } ?>
                            </tr>
                        <?php
                            $x++;
                            $tQtd += $linha['Qtd'];
                            $valorFinal += $linha['Valor'];
                            $tQtdF += $linha['Qtd'];
                            $valorFinalF += $linha['Valor'];
                        }
                        ?>
                        <tr>
                            <td colspan="3">&nbsp;&nbsp; Totais:</td>
                            <td><b><?php echo  number_format($tQtd, 2, ",", "."); ?></b></td>
                            <td></td>
                            <td><b><?php echo  number_format($valorFinal, 2, ",", "."); ?></b></td>
                        </tr>
                        <tr>
                            <td colspan="7">&nbsp;</td>
                        </tr>
            <?php
                    }
                }

                //fim validacao de campos
            } ?>


            <tr>
                <td colspan="3">&nbsp;&nbsp; Totais:</td>
                <td><b><?php echo  number_format($tQtdF, 2, ",", "."); ?></b></td>
                <td></td>
                <td><b><?php echo  number_format($valorFinalF, 2, ",", "."); ?></b></td>
            </tr>
        </tbody>
    </table>
</body>

</html>
<?php
$html = ob_get_contents();
ob_end_clean();

include_once "../include/excel_opcao.php";
?>