<?php
include_once '../include/conecta.php'; //Conecta com a nosso banco de dados MySQL
include_once '../include/ver_sessao.php'; //Verifica se a sesso est ativa
include_once '../include/funcoesPhp.php';
include_once '../menu_movimento.php';
?>
<?php
if (($_GET["Finalizado"]) || ($_GET["Aberto"]) || ($_GET["Cancelado"]) || ($_GET["Produzindo"])) {

        $status = "AND (";

        if ($_GET["Finalizado"]) {
                $status .= " venda.Status = 'Finalizado' OR";
        }
        if ($_GET["Aberto"]) {
                $status .= " venda.Status = 'Aberto' OR";
        }
        if ($_GET["Cancelado"]) {
                $status .= " venda.Status = 'Cancelado' OR";
        }
        if ($_GET["Produzindo"]) {
                $status .= " venda.Status = 'Produzindo' OR";
        }

        $status = substr($status, 0, -2);
        $status .= ")";
}

if ($_GET['Data_Filtro'] == 'Data') {
        if ($_GET["De"])
                $data .= "AND venda.Data_Venda >= '" . data_banco($_GET["De"]) . " 00:00:00' ";
        if ($_GET["Ate"])
                $data .= "AND venda.Data_Venda <= '" . data_banco($_GET["Ate"]) . " 23:59:59' ";
}
if ($_GET['Data_Filtro'] == 'Conclusao') {
        if ($_GET["De"])
                $data .= "AND venda.Data_Conclusao >= '" . data_banco($_GET["De"]) . " 00:00:00' ";
        if ($_GET["Ate"])
                $data .= "AND venda.Data_Conclusao <= '" . data_banco($_GET["Ate"]) . " 23:59:59' ";
}

if ($_GET["Cliente"]) {

        $mystring = $_GET["Cliente"];
        $findme = " : ";

        $posicao = strpos($mystring, $findme);

        $cod_cli = substr($_GET["Cliente"], 0, $posicao);
        $nome_cli = substr($_GET["Cliente"], ($posicao + 3));


        if (CLIENTE_RAZAO_SOCIAL == 'Sim') {
                $nome = 'Razao_Social';
        } else {
                $nome = 'Titulo';
        }
        /* convertendo o nome do fornecedor, para o seu codigo */
        $Prodt = listar("SELECT Id FROM cliente WHERE " . $nome . " ='" . $nome_cli . "' AND Codigo = '" . $cod_cli . "' ");
        $_GET["Cliente"] = $Prodt[0]["Id"];

        $Cliente .= "AND venda.Id_Cliente = '" . $_GET["Cliente"] . "' ";
}


if ($_GET["Usuario"])
        $Usuario = "AND venda.Id_Usuario = '" . $_GET["Usuario"] . "' ";

if ($_GET["Vendedor"]) {
        $vendedor = " AND venda_produto.Id_Funcionario = '" . $_GET["Vendedor"] . "' ";
}


if ($_GET["Unidade"]) {
        $Unidade = "AND venda.Id_Unidade = '" . $_GET["Unidade"] . "' ";
}

if (!$_GET["Financeiro"]) {
        if ($_GET["Finalizado"]) {
                $join_cr = " LEFT JOIN (SELECT Id,Id_Externo FROM conta_receber) as conta_receber ON conta_receber.Id_Externo = venda.Id ";
        }
}
if ($_GET["Financeiro"]) {
    $faturamento = "AND venda.Financeiro = '" . $_GET["Financeiro"] . "' ";
}


?>
<?php ob_start(); /* Inicia o fluxo*/ ?>
<html>

<head>
    <link rel="stylesheet" type="text/css" href="../estilo/<?php echo SKIN; ?>/tabela_imp.css" />
    <script type="text/javascript" language="javascript" src="../js/jquery.js"></script>
    <?php include '../include/script_cabeca.php'; ?>
    <script type="text/javascript" language="javascript" src="../js/script.js"></script>
    <script type="text/javascript" language="javascript" src="../js/meiomask/meiomask.js"></script>
    <script type="text/javascript" language="javascript" src="../js/meiomask/<?php if (PAIS == "USA") {
                                                                                    echo "mascaras-usa";
                                                                                } else {
                                                                                    echo "mascaras";
                                                                                } ?>.js"></script>
</head>

<body>
    <?php include "../include/cabecalho_relatorio.php"; ?>
    <table width="100%">
        <tr>
            <td>
                <font face="verdana" size="2"><i>Relatrio de Comisses Escalonada Sobre Vendas</i></font>
            </td>
        </tr>
        <tr>
            <td>
                <font face="verdana" size="2">
                    <?php
                    if ($_GET["Ano"]) {
                        echo " Perodo: " . $_GET["Ano"];
                    }
                    if ($_GET["Cliente"]) {
                        $achar = listar("Select Titulo from cliente
			where Id = '" . $_GET["Cliente"] . "' ");
                        echo " - " . $achar[0]["Titulo"];
                    }
                    //se o sistema for Multi Empresa
                    if ((MULTI_EMPRESA == "Sim") && ($_SESSION["Id_Nivel"] == '1')) {

                        if ($_GET["Unidade"]) {
                            $achar = listar("Select Titulo from unidade
						where Id = '" . $_GET["Unidade"] . "' ");
                            echo " - " . $achar[0]["Titulo"];
                        }
                    }
                    ?>
                </font>
            </td>
        </tr>
    </table>
    <table width="100%" class="tabela"><br>
                <?php
                $venda = mysqli_query($con,"SELECT venda.Id,
                                            venda.Lancamento,
                                            venda.Status,
                                            venda.Data_Venda,
                                            venda.Data_Conclusao,
                                            venda.Valor_Pago,
                                            venda.Valor_Original,
                                            venda.Desconto,
                                            venda.Desconto_Real,
                                            venda.Id_Cliente,
                                            venda.Valor_Ipi,
                                            venda.Id_Tipo_Pagamento,
                                            venda.Desconto,
                                            venda.Desconto_Real,
                                            venda.Id_Cliente,
                                            venda.Id_Usuario,
                                            venda.Id_Tipo_Pagamento,
                                            venda.Id_Unidade,
                                            venda.Id_Vendedor,
                                            venda.Valor_Pago,
                                            venda.Valor_Ipi,
                                            venda.Valor_Original,
                                            venda.Financeiro
                                FROM venda 
                                $join_cr
                                LEFT JOIN (SELECT Id,Id_Venda,Id_Funcionario FROM venda_produto) as venda_produto ON venda_produto.Id_Venda = venda.Id
                                WHERE 1=1 AND venda.Status='Finalizado' $Cliente $data $status $Unidade $vendedor
                                group by venda.Lancamento
                                order by venda.Lancamento");
                $valorT = '0';
                $valorCT = '0';
                $valorCT2 = '0';
                $y = 1;
                $color = "#F5F5F5";
                while ($chave = mysqli_fetch_assoc($venda)) {

                    if ($color == "#F5F5F5") {
                        $color = "#E8E8E8";
                    } else {
                        $color = "#F5F5F5";
                    }

                    $nfe_venda = mysqli_query($con, "SELECT Id,Id_Pedido,Numero_Nota FROM nfe WHERE Id_Pedido='" . $chave["Id"] . "' ");
                    $nfe_venda = mysqli_fetch_assoc($nfe_venda);

                    $pgto_venda = mysqli_query($con, "SELECT Id,Titulo as Tipo_Pagamento FROM tipo_pagamento WHERE Id='" . $chave["Id_Tipo_Pagamento"] . "' ");
                    $pgto_venda = mysqli_fetch_assoc($pgto_venda);

                    if (empty($pgto_venda["Titulo"])) {
                        $cod_auto2 = mysqli_query($con, "SELECT tipo_pagamento.Titulo
                                                        FROM (SELECT Id,Id_Venda,Id_Tipo_Pagamento,Ordem FROM venda_tipo_pagamento) as venda_tipo_pagamento
                                                        LEFT JOIN (SELECT Id,Titulo FROM tipo_pagamento) as tipo_pagamento ON tipo_pagamento.Id = venda_tipo_pagamento.Id_Tipo_Pagamento
                                                        WHERE venda_tipo_pagamento.Id_Venda = '" . $chave['Id'] . "'
                                                        ORDER BY venda_tipo_pagamento.Ordem");
                        $ex_tip = '';
                        while ($valor1 = mysqli_fetch_assoc($cod_auto2)) {
                            $ex_tip .= $valor1["Titulo"] . " ,";
                        }
                        $ex_tip = substr($ex_tip, 0, -2);
                        $pgto_venda["Tipo_Pagamento"] = $ex_tip;
                    }

                    $clinte_venda = mysqli_query($con, "SELECT Id,Titulo as Cliente,Razao_Social FROM cliente WHERE Id='" . $chave["Id_Cliente"] . "' ");
                    $clinte_venda = mysqli_fetch_assoc($clinte_venda);

                ?>
                <tr class="azul-claro">
                    <td>Venda: <br><b><?php echo $chave["Lancamento"] ?></b></td>
                    <td>Data: <br><b><?php echo data_exibir($chave["Data_Venda"]) ?></b></td>
                    <td>Nota Fiscal:  <br><b><?php echo $nfe_venda["Numero_Nota"] ?></b></td>
                    <td colspan="2">Cliente: <br>   
                        <b>
                            <?php
                            if (CLIENTE_RAZAO_SOCIAL == 'Sim') {
                                echo $clinte_venda["Razao_Social"];
                            } else {
                                echo $clinte_venda["Cliente"];
                            }
                            ?>
                        </b>
                    </td>
                </tr>

                <tr>
                    <td><b>Profissional</b></td>
                    <td colspan="2"><b>Produto/Servio</b></td>
                    <td colspan="2"><b>Valor</b></td>
                </tr>

                <?php
                $venda_produto = mysqli_query($con, "SELECT venda_produto.Id,
                                                        venda_produto.Id_Venda,
                                                        venda_produto.Id_Produto,
                                                        venda_produto.Preco,
                                                        venda_produto.Id_Funcionario,
                                                        venda_produto.Desconto,
                                                        venda_produto.Desconto_Real,
                                                        venda_produto.Desconto_Real_Pe_Nota,
                                                        venda_produto.Qtd,
                                                        produto.Titulo as Prod,
                                                        funcionario.Titulo as Profissional,
                                                        funcionario.Salario
                                                        FROM venda_produto
                                                        LEFT JOIN (SELECT Id, Titulo FROM produto) as produto ON produto.Id = venda_produto.Id_Produto
                                                        LEFT JOIN (SELECT Id, Titulo,Salario FROM funcionario) as funcionario ON funcionario.Id = venda_produto.Id_funcionario
                                                        WHERE 1=1 $vendedor AND venda_produto.Id_Venda = '". $chave["Id"] ."'");
                $color = "#F5F5F5";
                while ($linhaProd = mysqli_fetch_assoc($venda_produto)) {
                        if ($color == "#F5F5F5") {
                            $color = "#E8E8E8";
                        } else {
                            $color = "#F5F5F5";
                        }

                        $desc_perc = valor_banco(valor_exibir((($linhaProd['Qtd'] * $linhaProd['Preco']) * ($linhaProd['Desconto'] / 100)), 2));
                ?>
                <tr bgcolor=<?php echo "$color"; ?>>
                    <td><?php echo $linhaProd["Profissional"]; ?></td>
                    <td colspan="3"><?php echo $linhaProd["Prod"]; ?></td>
                    <td><?php echo valor_exibir((($linhaProd['Qtd'] * $linhaProd['Preco']) - $desc_perc) - $linhaProd['Desconto_Real'] - $linhaProd['Desconto_Real_Pe_Nota'], 2); ?></td>
                </tr>

                <?php
                $valorT = '0';
                $salario = '0';
                        
                $valorTotalVenda += valor_banco(valor_exibir((($linhaProd['Qtd'] * $linhaProd['Preco']) - $desc_perc) - $linhaProd['Desconto_Real'] - $linhaProd['Desconto_Real_Pe_Nota'], 2));
                }
                ?>
                <!-- Espaamento entre vendas -->
                <tr style="height: 10px;"></tr>

                <?php
                
                }
                ?>
            </table>
        </td>
    </tr>
    <tr>
        <td colspan="9" align="center"><br/>
            <table class="tabela">
                <tr class="azul-claro">
                    <td width='150px' align='center'><b>Profissional</b></td>
                    <td width='150px' align='center'><b>Salrio</b></td>
                    <td width='150px' align='center'><b>Total de Produtos</b></td>
                    <td width='150px' align='center'><b>Total de Servios</b></td>
                    <td width='150px' align='center'><b>Total</b></td>
                    <td width='200px' align='center'><b>Escala de Comisses</b></td>
                    <td width='200px' align='center'><b>Total de Comisses</b></td>
                </tr>

                <?php 

                $totalizador2 = mysqli_query($con, "SELECT funcionario.Id as Id_Funcionario,
                    funcionario.Titulo,
                    funcionario.Salario,
                    SUM(
                    ((venda_produto.Preco * venda_produto.Qtd) 
                    - ( (venda_produto.Qtd*venda_produto.Preco) * (venda_produto.Desconto/100) ) )
                    - venda_produto.Desconto_Real - venda_produto.Desconto_Real_Pe_Nota
                    ) as total_vendas2
                    FROM venda
                    LEFT JOIN venda_produto ON venda_produto.Id_Venda = venda.Id
                    LEFT JOIN funcionario ON funcionario.Id = venda_produto.Id_Funcionario
                    LEFT JOIN produto ON produto.Id = venda_produto.Id_Produto
                    WHERE venda.Status='Finalizado' AND produto.Tipo_Produto ='P' $vendedor $Cliente $data $status $Unidade
                    GROUP BY funcionario.Id");

                    $totalVendasPorFuncionario = [];
                    while ($linha2 = mysqli_fetch_array($totalizador2)) {
                        $totalVendasPorFuncionario[$linha2['Id_Funcionario']] = $linha2['total_vendas2'];
                    }


                $totalizador = mysqli_query($con, "SELECT funcionario.Id as Id_Funcionario,
                    funcionario.Titulo,
                    funcionario.Salario,
                    SUM(
                    ((venda_produto.Preco * venda_produto.Qtd) 
                    - ( (venda_produto.Qtd*venda_produto.Preco) * (venda_produto.Desconto/100) ) )
                    - venda_produto.Desconto_Real - venda_produto.Desconto_Real_Pe_Nota
                    ) as total_vendas
                    FROM venda
                    LEFT JOIN venda_produto ON venda_produto.Id_Venda = venda.Id
                    LEFT JOIN funcionario ON funcionario.Id = venda_produto.Id_Funcionario
                    LEFT JOIN produto ON produto.Id = venda_produto.Id_Produto
                    WHERE venda.Status='Finalizado' AND produto.Tipo_Produto ='S' $vendedor $Cliente $data $status $Unidade
                    GROUP BY funcionario.Id");

                while ($linha = mysqli_fetch_array($totalizador)) {
                    $idFuncionario = $linha['Id_Funcionario'];
                    $totalVendas = $linha['total_vendas'];
                    $totalVendas2 = isset($totalVendasPorFuncionario[$idFuncionario]) ? $totalVendasPorFuncionario[$idFuncionario] : 0;
                    $total = ($totalVendas + $totalVendas2);

                    $buscaComissaoEscalonada = mysqli_query($con, "SELECT Comissao_Escalonada, Comissao_Escalonada2, Valor_Inicial, Valor_Final 
                        FROM comissao_escalonada 
                        WHERE Id_Funcionario = '" . $idFuncionario . "' 
                        AND Valor_Final > '" . $total . "'   
                        ORDER BY Valor_Final ASC LIMIT 1");
 
                    $comissao = mysqli_fetch_array($buscaComissaoEscalonada);
                    
                    $comissaoEscalonada = $comissao['Comissao_Escalonada'];
                    $comissaoEscalonada2 = $comissao['Comissao_Escalonada2'];
                    $valorInicial = $comissao['Valor_Inicial'];
                    $valorFinal = $comissao['Valor_Final'];
                    
                    if($comissaoEscalonada > 0 && $comissaoEscalonada2 > 0 ){
                        
                        
                        
                        $descontoProdutos = (($totalVendas2 / $total) * $linha["Salario"]);
                        
                        $descontoServicos = (($totalVendas / $total) * $linha["Salario"]);

                        
                        $totalProdutos = ($totalVendas2 - $descontoProdutos );
  
                        $totalServicos = ($totalVendas - $descontoServicos );

                    }else{
                        if($comissaoEscalonada > 0){
                            $totalProdutos = $totalVendas2 - ($linha["Salario"]);
                        }if($comissaoEscalonada2 > 0){
                            $totalServicos = $totalVendas - ($linha["Salario"]);
                        }
                    }
                    

                    $totalComissao1 = ($comissaoEscalonada / 100) * ($totalProdutos);
                    if($totalComissao1 < 0){
                        $totalComissao1 = 0;
                    }

                    $totalComissao2 = ($comissaoEscalonada2 / 100) * ($totalServicos);
                    if($totalComissao2 < 0){
                        $totalComissao2 = 0;
                    }
                    
                    $totalComissaoFinal = ($totalComissao1 + $totalComissao2);

                ?>
            <tr>
                <td width='150px' align='center'><b><?php echo $linha['Titulo']; ?></b></td>
                <td width='150px' align='center'><b><?php echo valor_exibir($linha['Salario']); ?></b></td>
                <td width='150px' align='center'><b><?php echo valor_exibir($totalVendas2); ?></b></td>
                <td width='150px' align='center'><b><?php echo valor_exibir($totalVendas); ?></b></td>
                <td width='150px' align='center'><b><?php echo valor_exibir($total); ?></b></td>
                <td width='200px' align='center'>
                    <?php 
                    echo "Comisso Produtos: " . "<b>" . valor_exibir($comissaoEscalonada) . "</b>" . "%<br>";
                    echo "Comisso Servios: " . "<b>" . valor_exibir($comissaoEscalonada2) . "</b>" . "%<br>";
                    echo "De: " . "<b>" . valor_exibir($valorInicial) . "</b>" .  " at " . "<b>" . valor_exibir($valorFinal) . "</b>";
                    ?>
                </td>
                <td width='150px' align='center'><b><?php echo valor_exibir($totalComissaoFinal); ?></b></td>
            </tr>
        <?php } ?>
        </table><br/>
    </td>
</tr>

</body>

</html>
<?php
$html = ob_get_contents();
ob_end_clean();

include_once "../include/pdf_opcao.php";
?>