<?php
include_once '../include/conecta.php'; //Conecta com a nosso banco de dados MySQL
include_once '../include/ver_sessao.php'; //Verifica se a sesso est ativa
include_once '../include/funcoesPhp.php';
include_once '../menu_movimento.php';
?>
<?php
if (($_GET["Finalizado"]) || ($_GET["Aberto"]) || ($_GET["Cancelado"])) {

    $status = "AND (";

    if ($_GET["Finalizado"]) {
        $status .= " venda.Status = 'Finalizado' OR";
    }
    if ($_GET["Aberto"]) {
        $status .= " venda.Status = 'Aberto' OR";
    }
    if ($_GET["Cancelado"]) {
        $status .= " venda.Status = 'Cancelado' OR";
    }

    $status = substr($status, 0, -2);
    $status .= ")";
}

if ($_GET['Data_Filtro'] == 'Data') {
    if ($_GET["De"])
        $data .= "AND nfe.Data_Nfe >= '" . data_banco($_GET["De"]) . " 00:00:00' ";
    if ($_GET["Ate"])
        $data .= "AND nfe.Data_Nfe <= '" . data_banco($_GET["Ate"]) . " 23:59:59' ";
}
if ($_GET['Data_Filtro'] == 'Conclusao') {
    if ($_GET["De"])
        $data .= "AND nfe.Data_Nfe >= '" . data_banco($_GET["De"]) . " 00:00:00' ";
    if ($_GET["Ate"])
        $data .= "AND nfe.Data_Nfe <= '" . data_banco($_GET["Ate"]) . " 23:59:59' ";
}

if ($_GET["Cliente"]) {

    $mystring = $_GET["Cliente"];
    $findme = " : ";

    $posicao = strpos($mystring, $findme);

    $cod_cli = substr($_GET["Cliente"], 0, $posicao);
    $nome_cli = substr($_GET["Cliente"], ($posicao + 3));


    if (CLIENTE_RAZAO_SOCIAL == 'Sim') {
        $nome = 'Razao_Social';
    } else {
        $nome = 'Titulo';
    }
    /* convertendo o nome do fornecedor, para o seu codigo */
    $Prodt = listar("SELECT Id FROM cliente WHERE " . $nome . " ='" . $nome_cli . "' AND Codigo = '" . $cod_cli . "' ");
    $_GET["Cliente"] = $Prodt[0]["Id"];

    $Cliente .= "AND nfe_pedido.Id_Cliente = '" . $_GET["Cliente"] . "' ";
}

if ($_GET["Produto"]) {

    $mystring = $_GET["Produto"];
    $findme = " : ";

    $posicao = strpos($mystring, $findme);

    $cod_cli = substr($_GET["Produto"], 0, $posicao);
    $nome_cli = substr($_GET["Produto"], ($posicao + 3));


    /* convertendo o nome do fornecedor, para o seu codigo */
    $Prodt = listar("SELECT Id FROM produto WHERE Titulo='" . $nome_cli . "' AND Codigo = '" . $cod_cli . "' ");
    $_GET["Produto"] = $Prodt[0]["Id"];

    $venda_produto = "AND nfe_pedido_produto.Id_Produto = '" . $_GET["Produto"] . "' ";
}

if ($_GET["Usuario"])
    $Usuario = "AND nfe.Id_Usuario = '" . $_GET["Usuario"] . "' ";

if ($_GET["Funcionario"])
    $usuario_p .= "AND nfe.Id_Funcionario = '" . $_GET["Funcionario"] . "' ";

if ($_GET["Vendedor"]) {
    $CampoSql = "venda.Id_Vendedor";
    include '../include/vendedor_gerente.php';

    $usuario_p .= "AND (venda.Id_Vendedor = '" . $_GET["Vendedor"] . "' $carteira ) ";
}

if ($_GET["EF"])
    $usuario_p .= "AND nfe.EF = '" . $_GET["EF"] . "' ";

if ($_GET["Unidade"]) {
    $Unidade = "AND nfe.Id_Unidade = '" . $_GET["Unidade"] . "' ";
}
if ($_GET["Financeiro"]) {
    $faturamento = "AND nfe.Financeiro = '" . $_GET["Financeiro"] . "' ";
}

if ($_GET["Ok"]) {
    $venda = mysqli_query($con, "SELECT nfe.Id,
                                        nfe.Numero_Nota,
                                        nfe.Data_Nfe
                                    FROM nfe
                                    WHERE 1=1
                                    AND EF='Sim'
                                    $data $Usuario $Usuario_p
                                    GROUP BY nfe.Numero_Nota
                                    ORDER BY nfe.Numero_Nota");
}
?>
<?php ob_start(); /* Inicia o fluxo*/ ?>
<html>

<head>
    <link rel="stylesheet" type="text/css" href="../estilo/<?php echo SKIN; ?>/tabela_imp.css" />
    <script type="text/javascript" language="javascript" src="../js/jquery.js"></script>
    <?php include '../include/script_cabeca.php'; ?>
    <script type="text/javascript" language="javascript" src="../js/script.js"></script>
    <script type="text/javascript" language="javascript" src="../js/meiomask/meiomask.js"></script>
    <script type="text/javascript" language="javascript" src="../js/meiomask/<?php if (PAIS == "USA") {
                                                                                    echo "mascaras-usa";
                                                                                } else {
                                                                                    echo "mascaras";
                                                                                } ?>.js"></script>
</head>

<body>
    <?php include "../include/cabecalho_relatorio.php"; ?>
    <table width="100%">
        <tr>
            <td>
                <font face="verdana" size="2"><i>Vendas Mensais por Cliente</i></font>
            </td>
        </tr>
        <tr>
            <td>
                <font face="verdana" size="2">
                    <?php
                    if ($_GET["Ano"]) {
                        echo " Perodo: " . $_GET["Ano"];
                    }
                    if ($_GET["Cliente"]) {
                        $achar = listar("Select Titulo from cliente
			where Id = '" . $_GET["Cliente"] . "' ");
                        echo " - " . $achar[0]["Titulo"];
                    }
                    if ($_GET["Vendedor"]) {
                        $achar = listar("Select Titulo from funcionario
			where Id = '" . $_GET["Vendedor"] . "' ");
                        echo " - " . $achar[0]["Titulo"];
                    }
                    if ($_GET["Fornecedor"]) {
                        $achar = listar("Select Titulo from fornecedor
			where Id = '" . $_GET["Fornecedor"] . "' ");
                        echo " - " . $achar[0]["Titulo"];
                    }
                    //se o sistema for Multi Empresa
                    if ((MULTI_EMPRESA == "Sim") && ($_SESSION["Id_Nivel"] == '1')) {

                        if ($_GET["Unidade"]) {
                            $achar = listar("Select Titulo from unidade
						where Id = '" . $_GET["Unidade"] . "' ");
                            echo " - " . $achar[0]["Titulo"];
                        }
                    }
                    ?>
                </font>
            </td>
        </tr>
    </table>
    <table width="100%" class="tabela">
        <tfoot>
            <tr class="cinza">
                <td colspan="14">Relatrio Nfce</td>
            </tr>
        </tfoot>
        <tr class="cinza">
            <td>Data Nota</td>
            <td>Nfe</td>
            <td>Cliente</td>
            <td>Produto</td>
            <td>Qtd</td>
            <td>Preo</td>
            <!-- <td>% Desconto</td>
                        <td>$ Desconto</td>
                        <td>$ Desc Rat</td> -->
            <td>Total</td>
            <td>Tipo Pagamento</td>
            <td>Cfop</td>
            <td>PIS</td>
            <td>Cofins</td>
            <td>Icms</td>
            <td>Ncm</td>
            <td>Cest</td>
        </tr>

        <?php
        if ($_GET["Ok"]) {


            while ($chave = mysqli_fetch_assoc($venda)) {

                $produto = mysqli_query($con, "SELECT produto.Titulo as Produto,
                                                                produto.Codigo,
                                                                produto.Ncm,
                                                                produto.Cest,
                                                                nfe.Data_Nfe,
                                                                nfe.Numero_Nota,
                                                                cliente.Titulo as Cliente,
                                                                cliente.Razao_Social,
                                                                nfe_pedido_produto.Qtd,
                                                                nfe_pedido_produto.ST_Icms,
                                                                nfe_pedido_produto.CST_Ipi,
                                                                nfe_pedido_produto.CST_Pis,
                                                                nfe_pedido_produto.CST_Cofins,
                                                                nfe_pedido_produto.Preco,
                                                                nfe_pedido_produto.Desconto,
                                                                nfe_pedido_produto.Desconto_Real,
                                                                nfe_pedido_produto.Desconto_Real_Pe_Nota,
                                                                tipo_pagamento.Titulo as Pagamento,
                                                                cfop.Cfop
                                                                from nfe_pedido_produto
                                                                left join (SELECT Id,Titulo,Codigo,Ncm,Cest FROM produto) as produto ON produto.Id = nfe_pedido_produto.Id_Produto
                                                                LEFT JOIN (SELECT Id,Data_Nfe,Numero_Nota FROM nfe) as nfe ON nfe.Id = nfe_pedido_produto.Id_Nfe
                                                                LEFT JOIN (SELECT Id,Id_Cliente,Id_Nfe,Id_Tipo_Pagamento FROM nfe_pedido) as nfe_pedido ON nfe.Id = nfe_pedido.Id_Nfe
                                                                LEFT JOIN (SELECT Id,Codigo,Razao_Social,Titulo FROM cliente) as cliente ON cliente.Id = nfe_pedido.Id_Cliente
                                                                LEFT JOIN (SELECT Id,Titulo FROM tipo_pagamento) as tipo_pagamento ON tipo_pagamento.Id = nfe_pedido.Id_Tipo_Pagamento
                                                                LEFT JOIN (SELECT Id,Cfop FROM cfop) as cfop ON cfop.Id = nfe_pedido_produto.Id_Cfop
                                                                WHERE nfe_pedido_produto.Id_Nfe = '" . $chave["Id"] . "'
                                                                $venda_produto $cliente
                                                                ORDER BY nfe_pedido_produto.Data_Cadastro");
        ?>
                <?php
                $color = "#F5F5F5";
                $vtotal = '0';
                $VICMSST = 0;
                while ($valor = mysqli_fetch_assoc($produto)) {

                    if ($color == "#F5F5F5") {
                        $color = "#E8E8E8";
                    } else {
                        $color = "#F5F5F5";
                    }

                ?>
                    <tr bgcolor=<?php echo "$color"; ?>>
                        <td><?php echo data_exibir($valor["Data_Nfe"]) ?></td>
                        <td><?php echo ($valor["Numero_Nota"]) ?></td>
                        <td>
                            <?php
                            if (CLIENTE_RAZAO_SOCIAL == 'Sim') {
                                echo $valor["Razao_Social"];
                            } else {
                                echo $valor["Cliente"];
                            }
                            ?>
                        </td>
                        <td><?php echo $valor["Codigo"] . ' : ' . $valor["Produto"] ?></td>
                        <td><?php echo valor_exibir($valor["Qtd"]) ?></td>
                        <td><?php echo valor_exibir($valor["Preco"]) ?></td>
                        <!-- <td><?php echo valor_exibir($valor["Desconto"]) ?></td>
                        <td><?php echo valor_exibir($valor["Desconto_Real"]) ?></td>
                        <td><?php echo valor_exibir($valor["Desconto_Real_Pe_Nota"]) ?></td> -->
                        <td><?php echo @valor_exibir((($valor["Preco"] * $valor["Qtd"]) - (($valor["Preco"] * $valor["Qtd"]) * ($valor["Desconto"] / 100))) - ($valor["Desconto_Real"] + $valor["Desconto_Real_Pe_Nota"]) + ($VICMSST + $vtFCPSTItem)); ?>
                        <td><?php echo $valor["Pagamento"] ?></td>
                        <td><?php echo $valor["Cfop"] ?></td>
                        <td><?php echo $valor["CST_Pis"] ?></td>
                        <td><?php echo $valor["CST_Cofins"] ?></td>
                        <td><?php echo $valor["ST_Icms"] ?></td>
                        <td><?php echo $valor["Ncm"] ?></td>
                        <td><?php echo $valor["Cest"] ?></td>
                        <td><?php echo ($chave["Tipo_Pagamento"]) ?></td>
                        </td>
                    </tr>
                <?php
                    $vtotal += ((($valor["Preco"] * $valor["Qtd"]) - (($valor["Preco"] * $valor["Qtd"]) * ($valor["Desconto"] / 100))) - $valor["Desconto_Real"]);
                }
                ?>

                <?php
                $vtotalacum[$chave["Status"]] += (($vtotal) - ($vtotal * ($chave["Desconto"] / 100))) - $chave["Desconto_Real"];
                $vtotalacumA += (($vtotal) - ($vtotal * ($chave["Desconto"] / 100))) - $chave["Desconto_Real"];
                ?>
                <?php
                $corStatus = "";
                if ($chave['Status'] == 'Finalizado') {
                    $corStatus = "color = '#228B22' ";
                }
                if ($chave['Status'] == 'Aberto') {
                    $corStatus = "color = '#3A5FCD' ";
                }
                if ($chave['Status'] == 'Cancelado') {
                    $corStatus = "color = '#CD2626' ";
                }
                ?>

        <?php }
        } ?>

    </table>
</body>

</html>
<?php
$html = ob_get_contents();
ob_end_clean();

include_once "../include/pdf_opcao.php";
?>