<?php
include_once '../include/conecta.php'; //Conecta com a nosso banco de dados MySQL
include_once '../include/ver_sessao.php'; //Verifica se a sesso est ativa
include_once '../include/funcoesPhp.php';
include_once '../menu_movimento.php';
?>
<?php
if (($_GET["Finalizado"]) || ($_GET["Aberto"]) || ($_GET["Cancelado"])) {

    $status = "AND (";

    if ($_GET["Finalizado"]) {
        $status .= " venda.Status = 'Finalizado' OR";
    }
    if ($_GET["Aberto"]) {
        $status .= " venda.Status = 'Aberto' OR";
    }
    if ($_GET["Cancelado"]) {
        $status .= " venda.Status = 'Cancelado' OR";
    }

    $status = substr($status, 0, -2);
    $status .= ")";
}

if ($_GET['Data_Filtro'] == 'Data') {
    if ($_GET["De"])
        $data .= "AND venda.Data_Venda >= '" . data_banco($_GET["De"]) . " 00:00:00' ";
    if ($_GET["Ate"])
        $data .= "AND venda.Data_Venda <= '" . data_banco($_GET["Ate"]) . " 23:59:59' ";
}
if ($_GET['Data_Filtro'] == 'Conclusao') {
    if ($_GET["De"])
        $data .= "AND venda.Data_Conclusao >= '" . data_banco($_GET["De"]) . " 00:00:00' ";
    if ($_GET["Ate"])
        $data .= "AND venda.Data_Conclusao <= '" . data_banco($_GET["Ate"]) . " 23:59:59' ";
}

if ($_GET["Cliente"]) {

    $mystring = $_GET["Cliente"];
    $findme = " : ";

    $posicao = strpos($mystring, $findme);

    $cod_cli = substr($_GET["Cliente"], 0, $posicao);
    $nome_cli = substr($_GET["Cliente"], ($posicao + 3));


    if (CLIENTE_RAZAO_SOCIAL == 'Sim') {
        $nome = 'Razao_Social';
    } else {
        $nome = 'Titulo';
    }
    /* convertendo o nome do fornecedor, para o seu codigo */
    $Prodt = listar("SELECT Id FROM cliente WHERE " . $nome . " ='" . $nome_cli . "' AND Codigo = '" . $cod_cli . "' ");
    $_GET["Cliente"] = $Prodt[0]["Id"];

    $Cliente .= "AND venda.Id_Cliente = '" . $_GET["Cliente"] . "' ";
}

if ($_GET["Categoria_Cliente"]) {
    $categoriaCliente .= "and cliente.Id_Categoria_Cliente = '" . $_GET["Categoria_Cliente"] . "' ";
}
if ($_GET["Area"]) {
    $area = "and cliente.Id_Area = '" . $_GET["Area"] . "' ";
}

if ($_GET["Tabela_Preco"]) {
    $tabelaPreco = "and venda_produto.Id_Tabela_Preco = '" . $_GET["Tabela_Preco"] . "' ";
}

if ($_GET["Usuario"])
    $Usuario = "AND venda.Id_Usuario = '" . $_GET["Usuario"] . "' ";

if ($_GET["Funcionario"])
    $usuario_p .= "AND venda.Id_Funcionario = '" . $_GET["Funcionario"] . "' ";

if ($_GET["Vendedor"]) {
    $CampoSql = "venda.Id_Vendedor";
    include '../include/vendedor_gerente.php';

    $usuario_p .= "AND (venda.Id_Vendedor = '" . $_GET["Vendedor"] . "' $carteira ) ";
}

if ($_GET["EF"])
    $usuario_p .= "AND venda.EF = '" . $_GET["EF"] . "' ";

if ($_GET["Unidade"]) {
    $Unidade = "AND venda.Id_Unidade = '" . $_GET["Unidade"] . "' ";
}
if ($_GET["Financeiro"]) {
    $faturamento = "AND venda.Financeiro = '" . $_GET["Financeiro"] . "' ";
}

if ($_GET["Categoria_Produto"]) {
    $categoriaProduto = "AND produto.Id_Categoria_Produto = '" . $_GET["Categoria_Produto"] . "' ";
}

if ($_GET["Ok"]) {
    $venda = mysqli_query($con, "SELECT venda.Id,
                                        venda.Lancamento,
                                        venda.Status,
                                        venda.Frete,
                                        venda.Qtd_Vol as Volume,
                                        venda.Data_Venda,
                                        venda.Desconto,
                                        venda.Desconto_Real,
                                        venda.Frete as Tipo_Frete,
                                        venda.Data_Nfe,
                                        MONTH(venda.Data_Venda) as Mes_Nfe,
                                        YEAR(venda.Data_Venda) as Ano_Nfe,
                                        nfe.Data_Emissao as Data_Nfe,
                                        nfe.Numero_Nota,
                                        cliente.Titulo as Cliente,
                                        cliente.Codigo as Cod_Cliente,
                                        categoria_cliente.Titulo as Categoria_Cliente,
                                        cliente.Razao_Social,
                                        cliente.Cpf_Cnpj,
                                        cliente.Endereco,
                                        cliente.Rua,
                                        cliente.Numero,
                                        cliente.Bairro,
                                        cliente.Cidade,
                                        cliente.Estado,
                                        cliente.Cep,
                                        cliente.Tabela_Preco,
                                        cliente.Cliente_FCP,
                                        vendedor.Titulo as 'Vendedor',
                                        transportadora.Titulo as 'Transportadora',
                                        unidade.Cnpj
                                    FROM venda
                                    LEFT JOIN (SELECT Id,Id_Produto,Id_Venda FROM venda_produto) as venda_produto ON venda_produto.Id_Venda = venda.Id
                                    LEFT JOIN (SELECT Id,Titulo FROM funcionario) as vendedor ON vendedor.Id = venda.Id_Vendedor
                                    LEFT JOIN (SELECT Id,Titulo FROM funcionario) as funcionario ON funcionario.Id = venda.Id_Funcionario
                                    LEFT JOIN (SELECT Id,Titulo FROM fornecedor) as transportadora ON transportadora.Id = venda.Id_Transportadora
                                    LEFT JOIN (SELECT Id,Titulo,Razao_Social,Id_Categoria_Cliente,Codigo,Endereco,Rua,Numero,Bairro,Cidade,Estado,Cep,Tabela_Preco,Cliente_FCP,Cpf_Cnpj FROM cliente $categoriaCliente $area) as cliente ON venda.Id_Cliente = cliente.Id
                                    LEFT JOIN (SELECT Id,Titulo FROM categoria_cliente)as categoria_cliente ON categoria_cliente.Id = cliente.Id_Categoria_Cliente
                                    LEFT JOIN (SELECT Id,Numero_Nota,Id_Pedido,Data_Emissao, Data_Nfe,Hora_Nfe FROM nfe)as nfe ON nfe.Id_Pedido = venda.Id
                                    LEFT JOIN (SELECT Id,Cnpj FROM unidade)as unidade ON unidade.Id = venda.Id_Unidade
                                    WHERE 1=1
                                    $faturamento
                                    $data
                                    $status
                                    $usuario_p
                                    $Cliente
                                    $venda_produto
                                    $Unidade
                                    $Usuario
                                    GROUP BY venda.Lancamento
                                    ORDER BY venda.Lancamento");
}
?>
<?php ob_start(); /* Inicia o fluxo*/ ?>
<html>

<head>
    <link rel="stylesheet" type="text/css" href="../estilo/<?php echo SKIN; ?>/tabela_imp.css" />
    <script type="text/javascript" language="javascript" src="../js/jquery.js"></script>
    <?php include '../include/script_cabeca.php'; ?>
    <script type="text/javascript" language="javascript" src="../js/script.js"></script>
    <script type="text/javascript" language="javascript" src="../js/meiomask/meiomask.js"></script>
    <script type="text/javascript" language="javascript" src="../js/meiomask/<?php if (PAIS == "USA") {
                                                                                    echo "mascaras-usa";
                                                                                } else {
                                                                                    echo "mascaras";
                                                                                } ?>.js"></script>
</head>

<body>
    <?php include "../include/cabecalho_relatorio.php"; ?>
    <table width="100%">
        <tr>
            <td>
                <font face="verdana" size="2"><i>Relatrio Sell Out</i></font>
            </td>
        </tr>
        <tr>
            <td>
                <font face="verdana" size="2">
                    <?php
                    if ($_GET["De"]) {
                        echo "Perodo: " . $_GET["De"];
                    }
                    if ($_GET["Ate"]) {
                        echo "  " . $_GET["Ate"];
                    }
                    if ($_GET["Funcionario"]) {
                        $achar = listar("Select Titulo from funcionario
			where Id = '" . $_GET["Funcionario"] . "' ");
                        echo " - " . $achar[0]["Titulo"];
                    }
                    if ($_GET["Cliente"]) {
                        if (CLIENTE_RAZAO_SOCIAL == 'Sim') {
                            $nome = 'Razao_Social';
                        } else {
                            $nome = 'Titulo';
                        }
                        $achar = listar("Select " . $nome . " as Titulo from cliente
			where Id = '" . $_GET["Cliente"] . "' ");
                        echo " - " . $achar[0]["Titulo"];
                    }
                    if ($_GET["Fornecedor"]) {
                        if (FORNECEDOR_RAZAO_SOCIAL == 'Sim') {
                            $nome = 'Razao_Social';
                        } else {
                            $nome = 'Titulo';
                        }
                        $achar = listar("Select " . $nome . " as Titulo from fornecedor
			where Id = '" . $_GET["Fornecedor"] . "' ");
                        echo " - " . $achar[0]["Titulo"];
                    }
                    if ($_GET["Produto"]) {
                        $achar = listar("Select Titulo from produto
			where Id = '" . $_GET["Produto"] . "' ");
                        echo " - " . $achar[0]["Titulo"];
                    }
                    if ($_GET["Categoria"]) {
                        $achar = listar("Select Titulo from categoria_produto
			where Id = '" . $_GET["Categoria"] . "' ");
                        echo " - " . $achar[0]["Titulo"];
                    }
                    if ($_GET["Cancelado"]) {
                        echo " - " . $_GET["Cancelado"];
                    }
                    if ($_GET["Finalizado"]) {
                        echo " - " . $_GET["Finalizado"];
                    }
                    if ($_GET["Aberto"]) {
                        echo " - " . $_GET["Aberto"];
                    }
                    //se o sistema for Multi Empresa
                    if ((MULTI_EMPRESA == "Sim") && ($_SESSION["Id_Nivel"] == '1')) {

                        if ($_GET["Unidade"]) {
                            $achar = listar("Select Titulo from unidade
						where Id = '" . $_GET["Unidade"] . "' ");
                            echo " - " . $achar[0]["Titulo"];
                        }
                    }
                    ?>
                </font>
            </td>
        </tr>
    </table>
    <!-- Lista de produtos -->

    <table width="100%" class="tabela">
        <tfoot>
            <tr class="cinza">
                <td colspan="43">Relatrio Sell Out</td>
            </tr>
        </tfoot>
        <tr class="cinza">
            <td>CNPJ Matriz</td>
            <td>CNPJ Emissor</td>
            <td>Cdigo Cliente</td>
            <td>Cliente</td>
            <td>Cnpj</td>
            <td>Endereo</td>
            <td>Bairro</td>
            <td>Cidade</td>
            <td>UF</td>
            <td>CEP</td>
            <td>Categoria Cliente</td>
            <td>Nfe</td>
            <td>Data Venda</td>
            <td>Cdigo SKU</td>
            <td>Volume</td>
            <td>Total</td>
            <td>Vendedor</td>
            <td>Tabela Preo</td>
        </tr>

        <?php
        if ($_GET["Ok"]) {


            while ($chave = mysqli_fetch_assoc($venda)) {

                $produto = mysqli_query($con, "SELECT produto.Titulo,
                                    produto.Codigo,
                                    venda_produto.Preco,
                                    venda_produto.Preco_Custo,
                                    venda_produto.Qtd,
                                    venda_produto.Volume,
                                    venda_produto.Preco_Tabela,
                                    venda_produto.Icms_Sub,
                                    venda_produto.ST_Icms,
                                    venda_produto.Icms,
                                    venda_produto.Mva,
                                    venda_produto.FCP,
                                    venda_produto.Frete as Valor_Frete,
                                    venda_produto.Desconto_Real_Pe_Nota,
                                    venda_produto.Despesa,
                                    venda_produto.ReducaoBC,
                                    venda_produto.Reducao,
                                    venda_produto.Valor_Faturado,
                                    produto.Medida,
                                    produto.Codigo,
                                    venda_produto.Desconto,
                                    venda_produto.Desconto_Real,
                                    categoria_produto.Titulo as Categoria_Produto,
                                    produto_tabela.Titulo as Tabela_Preco
                                    from venda_produto
                                    left join (SELECT Id,Titulo,Codigo,Id_Categoria_Produto,Medida FROM produto) as produto ON produto.Id = venda_produto.Id_Produto
                                    left join (SELECT Id,Titulo FROM categoria_produto)as categoria_produto ON categoria_produto.Id = produto.Id_Categoria_Produto
                                    left join (SELECT Id,Titulo FROM produto_tabela) as produto_tabela ON produto_tabela.Id = venda_produto.Id_Tabela_Preco
                                    WHERE venda_produto.Id_Venda = '" . $chave["Id"] . "'
                                    $venda_produto $tabelaPreco $categoriaProduto
                                    ORDER BY venda_produto.Data_Cadastro");

                $empresaMatriz = $con->query("SELECT Cnpj FROM unidade WHERE Sede = 'Matriz'");
                $empresaMatriz = mysqli_fetch_assoc($empresaMatriz);

        ?>
                <?php
                $color = "#F5F5F5";
                $vtotal = '0';
                $VICMSST = 0;
                while ($valor = mysqli_fetch_assoc($produto)) {


                    if ($color == "#F5F5F5") {
                        $color = "#E8E8E8";
                    } else {
                        $color = "#F5F5F5";
                    }

                ?>
                    <tr bgcolor=<?php echo "$color"; ?>>
                        <td><?php echo cnpj_exibir($empresaMatriz["Cnpj"]) ?></td>
                        <td><?php echo cnpj_exibir($chave["Cnpj"]) ?></td>
                        <td><?php echo ($chave["Cod_Cliente"]) ?></td>
                        <td>
                            <?php
                            if (CLIENTE_RAZAO_SOCIAL == 'Sim') {
                                echo $chave["Razao_Social"];
                            } else {
                                echo $chave["Cliente"];
                            }
                            ?>
                        </td>
                        <td><?php echo cnpj_exibir($chave["Cpf_Cnpj"]) ?></td>
                        <td><?php echo $chave["Endereco"] ?></td>
                        <td><?php echo $chave["Bairro"] ?></td>
                        <td><?php echo $chave["Cidade"] ?></td>
                        <td><?php echo $chave["Estado"] ?></td>
                        <td><?php echo cep_exibir($chave["Cep"]) ?></td>
                        <td><?php echo $chave["Categoria_Cliente"] ?></td>
                        <td><?php echo ($chave["Numero_Nota"]) ?></td>
                        <td><?php echo data_exibir($chave["Data_Venda"]) ?></td>
                        <td><?php echo $valor["Codigo"] ?></td>
                        <td><?php echo valor_exibir($valor["Volume"]) ?></td>
                        <?php

                        $v_unit_normal = valor_banco(valor_exibir($valor['Qtd'] * $valor['Preco'], 2));
                        $v_unit_fat = $valor['Valor_Faturado'];
                        $desc_perc = valor_banco(valor_exibir((($linha['Qtd'] * $linha['Preco']) * ($linha['Desconto'] / 100)), 2));


                        if (($v_unit_normal != $v_unit_fat) && ($valor['Valor_Faturado'] > 0)) {
                            $v_unit_calculo = $valor['Valor_Faturado'];
                        } else {
                            $v_unit_calculo = valor_banco(valor_exibir((($valor['Qtd'] * $valor['Preco']) - $desc_perc) - $valor['Desconto_Real'] - $valor['Desconto_Real_Pe_Nota'], 2));
                        }

                        if (($valor['ST_Icms'] == '201') || ($valor['ST_Icms'] == '202') || ($valor['ST_Icms'] == '900')) {
                            $VBC = number_format(($v_unit_calculo) + ($valor['Valor_Frete'] + $valor['Despesa']), 2, '.', '');
                            if ($valor['ReducaoBC'] > '0') {
                                $VBC = $VBC - ($VBC * ($valor['ReducaoBC'] / 100));
                            }
                            $VICMS = ($VBC * ($valor['Icms'] / 100));
                            //$ValorICMSProprioparaST = $VBC * ($valor['Icms_Sub']/100);//calc diferente
                            $vBCST = ($VBC + $bcstIpi) * (1 + (($valor['Mva'] / 100)));
                            $vBCST = $vBCST - ($vBCST * ($valor['Reducao'] / 100));

                            //$VICMSST += number_format($vBCST * ($valor['Icms_Sub'] / 100), 2, '.', '') - ($VICMS);
                            $VICMSST = ($vBCST * ($valor['Icms_Sub'] / 100)) - ($VICMS);
                        } else {
                            $VICMSST = '0.00';
                        }

                        //calculo FCPST
                        if (($valor['ST_Icms'] == '201') || ($valor['ST_Icms'] == '202') || ($valor['ST_Icms'] == '900') ||
                            $valor['ST_Icms'] == '10' || $valor['ST_Icms'] == '70' || $valor['ST_Icms'] == '90'
                        ) {
                            if (($chave["Cliente_FCP"] == 'Sim') &&
                                // ($chave["Estado"] != $valor["Estado_Unidade"]) &&
                                ($valor["FCP"] > '0')
                            ) {
                                $vtFCPST = $vBCST;
                                $vtFCPST = str_replace('.', '', $vtFCPST);
                                $vtFCPST = str_replace(',', '.', $vtFCPST);

                                $vtFCPSTItem = number_format($vtFCPST * ($valor["FCP"] / 100), 2, ".", "");
                            }
                        } else {
                            $vtFCPSTItem = '0.00';
                        }
                        ?>
                        <td><?php echo @valor_exibir((($valor["Preco"] * $valor["Qtd"]) - (($valor["Preco"] * $valor["Qtd"]) * ($valor["Desconto"] / 100))) - ($valor["Desconto_Real"] + $valor["Desconto_Real_Pe_Nota"]) + ($VICMSST + $vtFCPSTItem)); ?>
                        <td><?php echo ($chave["Vendedor"]) ?></td>
                        <td><?php echo ($valor["Tabela_Preco"]) ?></td>
                    </tr>
                <?php
                    $vtotal += ((($valor["Preco"] * $valor["Qtd"]) - (($valor["Preco"] * $valor["Qtd"]) * ($valor["Desconto"] / 100))) - $valor["Desconto_Real"]);
                }
                ?>

        <?php
                $vtotalacum[$chave["Status"]] += (($vtotal) - ($vtotal * ($chave["Desconto"] / 100))) - $chave["Desconto_Real"];
                $vtotalacumA += (($vtotal) - ($vtotal * ($chave["Desconto"] / 100))) - $chave["Desconto_Real"];
            }
        } ?>

    </table>
</body>

</html>
<?php
$html = ob_get_contents();
ob_end_clean();

include_once "../include/pdf_opcao.php";
?>