<?php
include_once '../include/conecta.php'; //Conecta com a nosso banco de dados MySQL
include_once '../include/ver_sessao.php'; //Verifica se a sesso est ativa
include_once '../include/funcoesPhp.php';
include_once '../menu_movimento.php';
?>
<?php
if (($_GET["Finalizado"]) || ($_GET["Aberto"]) || ($_GET["Cancelado"])) {

    $status = "AND (";

    if ($_GET["Finalizado"]) {
        $status .= " venda.Status = 'Finalizado' OR";
    }
    if ($_GET["Aberto"]) {
        $status .= " venda.Status = 'Aberto' OR";
    }
    if ($_GET["Cancelado"]) {
        $status .= " venda.Status = 'Cancelado' OR";
    }

    $status = substr($status, 0, -2);
    $status .= ")";
}

if ($_GET['Data_Filtro'] == 'Data') {
    if ($_GET["De"])
        $data .= "AND venda.Data_Venda >= '" . data_banco($_GET["De"]) . " 00:00:00' ";
    if ($_GET["Ate"])
        $data .= "AND venda.Data_Venda <= '" . data_banco($_GET["Ate"]) . " 23:59:59' ";
}
if ($_GET['Data_Filtro'] == 'Conclusao') {
    if ($_GET["De"])
        $data .= "AND venda.Data_Conclusao >= '" . data_banco($_GET["De"]) . " 00:00:00' ";
    if ($_GET["Ate"])
        $data .= "AND venda.Data_Conclusao <= '" . data_banco($_GET["Ate"]) . " 23:59:59' ";
}

if ($_GET["Cliente"]) {

    $mystring = $_GET["Cliente"];
    $findme = " : ";

    $posicao = strpos($mystring, $findme);

    $cod_cli = substr($_GET["Cliente"], 0, $posicao);
    $nome_cli = substr($_GET["Cliente"], ($posicao + 3));


    if (CLIENTE_RAZAO_SOCIAL == 'Sim') {
        $nome = 'Razao_Social';
    } else {
        $nome = 'Titulo';
    }
    /* convertendo o nome do fornecedor, para o seu codigo */
    $Prodt = listar("SELECT Id FROM cliente WHERE " . $nome . " ='" . $nome_cli . "' AND Codigo = '" . $cod_cli . "' ");
    $_GET["Cliente"] = $Prodt[0]["Id"];

    $Cliente .= "AND venda.Id_Cliente = '" . $_GET["Cliente"] . "' ";
}

if ($_GET["Produto"]) {

    $mystring = $_GET["Produto"];
    $findme = " : ";

    $posicao = strpos($mystring, $findme);

    $cod_cli = substr($_GET["Produto"], 0, $posicao);
    $nome_cli = substr($_GET["Produto"], ($posicao + 3));


    /* convertendo o nome do fornecedor, para o seu codigo */
    $Prodt = listar("SELECT Id FROM produto WHERE Titulo='" . $nome_cli . "' AND Codigo = '" . $cod_cli . "' ");
    $_GET["Produto"] = $Prodt[0]["Id"];

    $venda_produto = "AND venda_produto.Id_Produto = '" . $_GET["Produto"] . "' ";
}

if ($_GET["Usuario"])
    $Usuario = "AND venda.Id_Usuario = '" . $_GET["Usuario"] . "' ";

if ($_GET["Funcionario"])
    $usuario_p .= "AND venda.Id_Funcionario = '" . $_GET["Funcionario"] . "' ";

if ($_GET["Vendedor"]) {
    $CampoSql = "venda.Id_Vendedor";
    include '../include/vendedor_gerente.php';

    $usuario_p .= "AND (venda.Id_Vendedor = '" . $_GET["Vendedor"] . "' $carteira ) ";
}
if ($_GET["Vendedor2"]) {
    $CampoSql = "venda.Id_Vendedor2";
    include '../include/vendedor_gerente.php';

    $usuario_p .= "AND (venda.Id_Vendedor2 = '" . $_GET["Vendedor2"] . "' $carteira ) ";
}

if ($_GET["EF"])
    $usuario_p .= "AND venda.EF = '" . $_GET["EF"] . "' ";

if ($_GET["Unidade"]) {
    $Unidade = "AND venda.Id_Unidade = '" . $_GET["Unidade"] . "' ";
}
if ($_GET["Financeiro"]) {
    $faturamento = "AND venda.Financeiro = '" . $_GET["Financeiro"] . "' ";
}

if ($_GET["Ok"]) {
    $venda = mysqli_query($con, "SELECT venda.Id, venda.Lancamento,
                                venda.Status,
                                venda.Frete,
                                venda.Data_Venda,
                                venda.Data_Cadastro,
                                venda.Data_Conclusao,
                                venda.Desconto,
                                venda.Desconto_Real,
                                venda.Fatura,
                                cliente.Titulo as Cliente,
                                cliente.Razao_Social,
                                cliente.Codigo,
                                funcionario.Titulo as 'Funcionario',
                                vendedor.Titulo as 'Vendedor',
                                vendedor2.Titulo as 'Vendedor2',
                                unidade.Estado AS UF_Empresa,
                                cliente.Estado as UF_Cliente
                                FROM venda
                                LEFT JOIN (SELECT Id,Id_Produto,Id_Venda FROM venda_produto) as venda_produto ON venda_produto.Id_Venda = venda.Id
                                LEFT JOIN (SELECT Id,Titulo FROM funcionario) as vendedor ON vendedor.Id = venda.Id_Vendedor
                                LEFT JOIN (SELECT Id,Titulo FROM funcionario) as vendedor2 ON vendedor2.Id = venda.Id_Vendedor2
                                LEFT JOIN (SELECT Id,Titulo FROM funcionario) as funcionario ON funcionario.Id = venda.Id_Funcionario
                                LEFT JOIN (SELECT Id,Titulo,Razao_Social,Id_Categoria_Cliente,Codigo,Estado FROM cliente) as cliente ON venda.Id_Cliente = cliente.Id
                                LEFT JOIN (SELECT Id,Estado FROM unidade) as unidade ON unidade.Id = venda.Id_Unidade
                                WHERE 1=1 $faturamento
                                $data $status $usuario_p $Cliente $venda_produto $Unidade $Usuario
                                GROUP BY venda.Lancamento
                                ORDER BY venda.Lancamento");
}

?>
<?php ob_start(); /* Inicia o fluxo*/ ?>
<html>

<head>
    <link rel="stylesheet" type="text/css" href="../estilo/<?php echo SKIN; ?>/tabela_imp.css" />
    <script type="text/javascript" language="javascript" src="../js/jquery.js"></script>
    <?php include '../include/script_cabeca.php'; ?>
    <script type="text/javascript" language="javascript" src="../js/script.js"></script>
    <script type="text/javascript" language="javascript" src="../js/meiomask/meiomask.js"></script>
    <script type="text/javascript" language="javascript" src="../js/meiomask/<?php if (PAIS == "USA") {
                                                                                    echo "mascaras-usa";
                                                                                } else {
                                                                                    echo "mascaras";
                                                                                } ?>.js"></script>
</head>

<body>
    <?php include "../include/cabecalho_relatorio.php"; ?>
    <table width="100%" class="tabela">
        <tfoot>
            <tr class="cinza">
                <td colspan="20">Relatrio de Produtos Vendidos</td>
            </tr>
        </tfoot>
        <tr class="cinza">
            <td>Cdigo</td>
            <td>Produto</td>
            <td>Qtd</td>
            <td>Valor</td>
            <td>ICMS</td>
            <td>ICMS ST</td>
            <td>IPI</td>
            <td>Total</td>
            <td>Venda</td>
            <td>Abertura</td>
            <td>Concluso</td>
            <td>NF</td>
            <td>Cliente</td>
            <td>Vendedor</td>
            <td>Vendedor 2</td>
            <td>Tipo Operao</td>
        </tr>

        <?php
        if ($_GET["Ok"]) {


            while ($chave = mysqli_fetch_assoc($venda)) {

                $produto = mysqli_query($con, "SELECT produto.Titulo,
                                    produto.Codigo,
                                    venda_produto.Preco,
                                    venda_produto.Qtd,
                                    venda_produto.Desconto,
                                    venda_produto.Desconto_Real,
                                    venda_produto.Desconto_Real_Pe_Nota,
                                    venda_produto.ST_Icms,
                                    venda_produto.Icms,
                                    venda_produto.Icms_Sub,
                                    venda_produto.Mva,
                                    venda_produto.Reducao,
                                    venda_produto.ReducaoBC,
                                    venda_produto.CST_Ipi,
                                    venda_produto.Ipi,
                                    venda_produto.Frete,
                                    venda_produto.Despesa,
                                    venda_produto.Valor_Pauta,
                                    venda_produto.FCP,
                                    cliente.Ipi as Ipi_Cliente,
                                    cliente.Consumidor_Final,
                                    cliente.Nao_Contribuinte_Icms,
                                    cliente.Estado as Estado_Cliente,
                                    cliente.Cliente_FCP,
                                    unidade.Estado as Estado_Empresa,
                                    categoria_produto.Titulo as Categoria_Produto,
                                    sub_categoria.Titulo as Sub_Categoria
                                    FROM venda_produto
                                    LEFT JOIN (SELECT Id,Titulo,Codigo,Id_Categoria_Produto,Id_Categoria_Produto_Filho,Regime_ST,Qtd_Caixa,Peso_Bruto,Peso_Liquido,FCP,Valor_Pauta,Cesta_Basica FROM produto) as produto ON produto.Id = venda_produto.Id_Produto
                                    LEFT JOIN (SELECT Id,Estado FROM unidade) as unidade ON unidade.Id = venda_produto.Id_Unidade
                                    LEFT JOIN (SELECT Id,Consumidor_Final,Nao_Contribuinte_Icms,Estado,Ipi,Cliente_FCP FROM cliente) as cliente ON cliente.Id = venda_produto.Id_Cliente
                                    LEFT JOIN (SELECT Id,Titulo FROM categoria_produto)as categoria_produto ON categoria_produto.Id = produto.Id_Categoria_Produto
                                    LEFT JOIN (SELECT Id,Titulo FROM categoria_produto)as sub_categoria ON sub_categoria.Id = produto.Id_Categoria_Produto_Filho
                                    WHERE venda_produto.Id_Venda = '" . $chave["Id"] . "'
                                    $venda_produto
                                    ORDER BY venda_produto.Data_Cadastro");
        ?>
        <?php
                $color = "#F5F5F5";
                $vtotal = '0';
                while ($valor = mysqli_fetch_assoc($produto)) {

                    if ($color == "#F5F5F5") {
                        $color = "#E8E8E8";
                    } else {
                        $color = "#F5F5F5";
                    }

                    // Calculo Imposto

                    $Valor_Total_S += valor_banco(valor_exibir((($valor['Qtd'] * $valor['Preco']) - $desc_perc) - $valor['Desconto_Real'], 2));
                    $Valor_Total += valor_banco(valor_exibir((($valor['Qtd'] * $valor['Preco']) - $desc_perc) - $valor['Desconto_Real'] - $valor['Desconto_Real_Pe_Nota'], 2));
                    $qtd_volume += $valor['Volume'];
                    $qtdVol +=  $valor['Volume'];

                    $total_bruto += $valor['Qtd'] * $valor['Peso_Bruto'];
                    $total_liquido += $valor['Qtd'] * $valor['Peso_Liquido'];

                    if (
                        $valor['Ipi'] != '0' &&
                        (
                            ($valor['CST_Ipi'] === '00') || ($valor['CST_Ipi'] == '49') ||
                            ($valor['CST_Ipi'] == '50') || ($valor['CST_Ipi'] == '99')
                        )
                    ) {
                        $VBC = number_format((($valor['Qtd'] * $valor['Preco']) - $desc_perc) - $valor['Desconto_Real'] - $valor['Desconto_Real_Pe_Nota'], 2, '.', '');
                        $VBC = $VBC + $valor['Frete'] + $valor['Despesa'];
                        if ($valor['ReducaoBC'] > '0') {
                            $VBC = $VBC - ($VBC * ($valor['ReducaoBC'] / 100));
                        }
                        $vIpi = number_format(($VBC * ($valor['Ipi'] / 100)), 2, '.', '');
                        $VIPI += number_format(($VBC * ($valor['Ipi'] / 100)), 2, '.', '');
                    }

                    if (($valor["Consumidor_Final"] == 'Sim') && ($valor["Ipi_Cliente"] == 'Sim')) {
                        $bcIpi = $vIpi;
                    }
                    if ($valor["Ipi_Cliente"] == 'Sim') {
                        $bcstIpi = $vIpi;
                    }

                    $valor_st = '0';
                    //calculando o valor do ICMS ST
                    if ($valor['ST_Icms'] == '10' || $valor['ST_Icms'] == '70' || $valor['ST_Icms'] == '90') {

                        if ($valor['Bonificacao'] == 'Sim') {
                            $desc_perc = '0';
                            $valor['Desconto_Real'] = '0';
                        }

                        $VBC = number_format((($valor['Qtd'] * $valor['Preco']) - $desc_perc) - $valor['Desconto_Real'] - $valor['Desconto_Real_Pe_Nota'] + ($valor['Frete'] + $valor['Despesa']), 2, '.', '');

                        if ($valor["ReducaoBC"] > '0') {
                            $VBCicms = $VBC - ($VBC * ($valor['ReducaoBC'] / 100));
                        } else {
                            $VBCicms = $VBC;
                        }

                        $VICMS = ($VBCicms * ($valor['Icms'] / 100));


                        $vBCST = ($VBC + $bcstIpi) * (1 + (($valor['Mva'] / 100)));
                        $vBCST = $vBCST - ($vBCST * ($valor['Reducao'] / 100));
                        $valor_st = number_format($vBCST * ($valor['Icms_Sub'] / 100), 2, '.', '') - number_format($VICMS, 2, '.', '');

                        //calculo com o valor de pauta
                        if ($valor['Preco'] < $valor['Valor_Pauta']) {
                            if ($valor['Estado_Cliente'] == 'RN' || $valor['Estado_Cliente'] == 'PB' || $valor['Estado_Cliente'] == 'AL') {

                                $valor['Preco'] = $valor['Valor_Pauta'];

                                $VBCp = (($valor['Qtd'] * $valor['Preco']) - $desc_perc) - $valor['Desconto_Real'] - $valor['Desconto_Real_Pe_Nota'] + ($valor['Frete'] + $valor['Despesa']);
                                $VICMS = ($VBCp * ($valor['Icms'] / 100));
                                $vBCST = ($VBCp + $bcstIpi) * (1 + (($valor['Mva'] / 100)));
                                $vBCST = $vBCST - ($vBCST * ($valor['Reducao'] / 100));
                                $valor_st = ($vBCST * ($valor['Icms_Sub'] / 100)) - ($VBC * ($valor['Icms'] / 100));
                            }
                        }

                        if (($valor["Estado_Cliente"] == $valor["Estado_Empresa"]) && $valor["Cesta_Basica"] == 'Sim') {
                            $VBC = (($valor['Qtd'] * $valor['Preco']) - $desc_perc) - $valor['Desconto_Real'] - $valor['Desconto_Real_Pe_Nota'];
                            $VBC = $VBC + $valor['Frete'] + $valor['Despesa'];
                            if ($valor['ReducaoBC'] > '0') {
                                $VBC = $VBC - ($VBC * ((100 - $valor['ReducaoBC']) / 100)); //reversa
                            }
                            $VICMS = ($VBC * ($valor['Icms'] / 100));

                            $VBC = (($valor['Qtd'] * $valor['Preco']) - $desc_perc) - $valor['Desconto_Real'] - $valor['Desconto_Real_Pe_Nota'];
                            $VBC = $VBC + $valor['Frete'] + $valor['Despesa'];
                            $vBCST = ($VBC + $bcstIpi) * (1 + (($valor['Mva'] / 100)));
                            $vBCST = $vBCST - ($vBCST * ($valor['Reducao'] / 100));
                            $valor_st = ($vBCST * ($valor['Icms_Sub'] / 100));
                        }

                        $VICMSST += number_format($valor_st, 2, ".", "");
                    }

                    //calculando o valor do ICMS ST - simples
                    if (($valor['ST_Icms'] == '201') || ($valor['ST_Icms'] == '202') || ($valor['ST_Icms'] == '900')) {
                        $VBC = number_format((($valor['Qtd'] * $valor['Preco']) - $desc_perc) - $valor['Desconto_Real'] - $valor['Desconto_Real_Pe_Nota'] + ($valor['Frete'] + $valor['Despesa']), 2, '.', '');
                        if ($valor['ReducaoBC'] > '0') {
                            $VBC = $VBC - ($VBC * ($valor['ReducaoBC'] / 100));
                        }
                        $VICMS = number_format($VBC * ($valor['Icms'] / 100), 2, '.', '');
                        //$ValorICMSProprioparaST = $VBC * ($valor['Icms_Sub']/100);//calc diferente
                        $vBCST = ($VBC + $bcstIpi) * (1 + (($valor['Mva'] / 100)));
                        $vBCST = $vBCST - ($vBCST * ($valor['Reducao'] / 100));
                        $valor_st = number_format($vBCST * ($valor['Icms_Sub'] / 100), 2, '.', '') - ($VICMS);
                        $VICMSST += number_format($valor_st, 2, ".", "");
                    }

                    //calculo FCPST
                    if (($valor['ST_Icms'] == '201') || ($valor['ST_Icms'] == '202') || ($valor['ST_Icms'] == '900') ||
                        $valor['ST_Icms'] == '10' || $valor['ST_Icms'] == '70' || $valor['ST_Icms'] == '90'
                    ) {
                        if (($valor["Cliente_FCP"] == 'Sim') &&
                            ($valor["Estado_Cliente"] != $valor["Estado_Unidade"]) &&
                            ($valor["FCP"] > '0')
                        ) {
                            $vtFCPST = $vBCST;
                            $vtFCPST = str_replace('.', '', $vtFCPST);
                            $vtFCPST = str_replace(',', '.', $vtFCPST);

                            $vtFCPItem = number_format($VBC * ($valor["FCP"] / 100), 2, ".", "");
                            $vtFCPSTItem += number_format(($vBCST * ($valor["FCP"] / 100)), 2, ".", "");
                        }
                    }


                ?>
        <tr bgcolor=<?php echo "$color"; ?>>
            <td><?php echo $valor["Codigo"] ?></td>
            <td><?php echo $valor["Titulo"] ?></td>
            <td><?php echo valor_exibir($valor["Qtd"]) ?></td>
            <td><?php echo valor_exibir($valor["Preco"]); ?></td>
            <td><?php echo valor_exibir($VICMS); ?></td>
            <td><?php echo valor_exibir($VICMSST); ?></td>
            <td><?php echo valor_exibir($vIpi); ?></td>
            <td><?php echo @valor_exibir(((($valor["Preco"] * $valor["Qtd"]) - (($valor["Preco"] * $valor["Qtd"]) * ($valor["Desconto"] / 100))) - $valor["Desconto_Real"]) + $VICMSST + $vIpi); ?>
            </td>
            <td><?php echo $chave["Lancamento"] ?></td>
            <td><?php echo data_exibir($chave["Data_Venda"]) ?></td>
            <td><?php echo data_exibir($chave["Data_Conclusao"]) ?></td>
            <td><?php echo $chave["Fatura"] ?></td>
            <td>
                <?php
                            if (CLIENTE_RAZAO_SOCIAL == 'Sim') {
                                echo $chave["Codigo"] . ' : ' . $chave["Razao_Social"];
                            } else {
                                echo $chave["Codigo"] . ' : ' . $chave["Cliente"];
                            }
                            ?>
            </td>
            <td><?php echo $chave["Vendedor"] ?></td>
            <td><?php echo $chave["Vendedor2"] ?></td>
            <td><?php
                            if ($chave["UF_Empresa"] == $chave["UF_Cliente"]) {
                                echo "Dentro Estado";
                            } else {
                                echo "Fora Estado";
                            }
                            ?>
            </td>
        </tr>
        <?php
                    $vtotal += ((($valor["Preco"] * $valor["Qtd"]) - (($valor["Preco"] * $valor["Qtd"]) * ($valor["Desconto"] / 100))) - $valor["Desconto_Real"]);
                }
                ?>

        <?php
                $vtotalacum[$chave["Status"]] += (($vtotal) - ($vtotal * ($chave["Desconto"] / 100))) - $chave["Desconto_Real"];
                $vtotalacumA += (($vtotal) - ($vtotal * ($chave["Desconto"] / 100))) - $chave["Desconto_Real"];
                ?>
        <?php
                $corStatus = "";
                if ($chave['Status'] == 'Finalizado') {
                    $corStatus = "color = '#228B22' ";
                }
                if ($chave['Status'] == 'Aberto') {
                    $corStatus = "color = '#3A5FCD' ";
                }
                if ($chave['Status'] == 'Cancelado') {
                    $corStatus = "color = '#CD2626' ";
                }
                ?>

        <?php }
        } ?>

    </table>
</body>

</html>
<?php
$html = ob_get_contents();
ob_end_clean();

include_once "../include/pdf_opcao.php";
?>