<?php
include_once '../include/conecta.php'; //Conecta com a nvendaso banco de dadvenda MySQL
include_once '../include/ver_sessao.php'; //Verifica se a sesso est ativa
include_once '../include/funcoesPhp.php';
include_once '../menu_movimento.php';

if (!function_exists('arr')) {
    function arr($valor) {
        $float_arredondar=round($valor * 100) / 100;
        return $float_arredondar;
    }
}
?>
<?php
if (($_GET["Finalizado"]) || ($_GET["Aberto"]) || ($_GET["Cancelado"])) {

    $status = "AND (";

    if ($_GET["Finalizado"]) {
        $status .= " venda.Status = 'Finalizado' OR";
    }
    if ($_GET["Aberto"]) {
        $status .= " venda.Status = 'Aberto' OR";
    }
    if ($_GET["Cancelado"]) {
        $status .= " venda.Status = 'Cancelado' OR";
    }

    $status = substr($status, 0, -2);
    $status .= ")";
}

if ($_GET['Data_Filtro'] == 'Data') {
    if ($_GET["De"])
        $data .= "AND venda.Data_Venda >= '" . data_banco($_GET["De"]) . " 00:00:00' ";
    if ($_GET["Ate"])
        $data .= "AND venda.Data_Venda <= '" . data_banco($_GET["Ate"]) . " 23:59:59' ";
}
if ($_GET['Data_Filtro'] == 'Conclusao') {
    if ($_GET["De"])
        $data .= "AND venda.Data_Conclusao >= '" . data_banco($_GET["De"]) . " 00:00:00' ";
    if ($_GET["Ate"])
        $data .= "AND venda.Data_Conclusao <= '" . data_banco($_GET["Ate"]) . " 23:59:59' ";
}
if ($_GET['Data_Filtro'] == 'Faturado') {
    if ($_GET["De"])
        $data .= "AND venda.Data_Faturado >= '" . data_banco($_GET["De"]) . " 00:00:00' ";
    if ($_GET["Ate"])
        $data .= "AND venda.Data_Faturado <= '" . data_banco($_GET["Ate"]) . " 23:59:59' ";
}

if ($_GET["Cliente"])
    $Cliente = "AND venda.Id_Cliente = '" . $_GET["Cliente"] . "' ";

if ($_GET["Vendedor"]) {
    $vendedor1 .= "AND (venda_produto.Id_Funcionario = '" . $_GET["Vendedor"] . "' $carteira ) ";
    $vendedorVenda1 .= "AND (venda.Id_Vendedor = '" . $_GET["Vendedor"] . "' $carteira ) ";
}

if ($_GET["Vendedor2"]) {
    $vendedor2 .= "AND (venda_produto.Id_Vendedor2 = '" . $_GET["Vendedor2"] . "' $carteira ) ";
    $vendedorVenda2 .= "AND (venda.Id_Vendedor2 = '" . $_GET["Vendedor2"] . "' $carteira ) ";
}

if ($_GET["Produto"])
    $venda_produto = "AND venda_produto.Id_Produto = '" . $_GET["Produto"] . "' ";

if ($_GET["Unidade"]) {
    $Unidade = "AND venda.Id_Unidade = '" . $_GET["Unidade"] . "' ";
}

if ($_GET["Financeiro"]) {
    $faturamento = "AND venda.Financeiro = '" . $_GET["Financeiro"] . "' ";
}

if (CLIENTE_EMAIL != 'eletrojam') {
    $status = " AND (venda.Status = 'Finalizado' OR venda.Status = 'Faturado' OR venda.Status = 'Expedio') ";
}


if ($_GET["Ok"]) {
    $buscaVendedor = mysqli_query($con, "SELECT funcionario.Id,
                                               funcionario.Titulo as Vendedor
                                          FROM funcionario
                                          INNER JOIN(SELECT Id_Vendedor FROM venda WHERE 1=1 $data AND Status = 'Finalizado' $vendedorVenda1) as venda ON venda.Id_Vendedor = funcionario.Id
                                         WHERE funcionario.Vendedor = 'Sim' 
                                           AND funcionario.Ativo = 'Sim'
                                           GROUP BY funcionario.Id
                                           ORDER BY funcionario.Titulo ASC");
    $buscaVendedor2 = mysqli_query($con, "SELECT funcionario.Id,
                                               funcionario.Titulo as Vendedor2
                                          FROM funcionario
                                          INNER JOIN(SELECT Id_Vendedor2 FROM venda WHERE 1=1 $data AND Status = 'Finalizado' $vendedorVenda2) as venda ON venda.Id_Vendedor2 = funcionario.Id
                                         WHERE funcionario.Vendedor = 'Sim' 
                                           AND funcionario.Ativo = 'Sim'
                                           GROUP BY funcionario.Id
                                           ORDER BY funcionario.Titulo ASC");
}

?>
<html>

<head>
    <title>Gw - Gesto Web</title>
    <link rel="stylesheet" type="text/css" href="../estilo/<?php echo SKIN; ?>/tabela_imp.css" />
    <script type="text/javascript" language="javascript" src="../js/jquery.js"></script>
    <?php include '../include/script_cabeca.php'; ?>
    <script type="text/javascript" language="javascript" src="../js/script.js"></script>
    <script type="text/javascript" language="javascript" src="../js/meiomask/meiomask.js"></script>
    <script type="text/javascript" language="javascript" src="../js/meiomask/<?php if (PAIS == "USA") {
                                                                                    echo "mascaras-usa";
                                                                                } else {
                                                                                    echo "mascaras";
                                                                                } ?>.js"></script>
    <script type="text/javascript" language="javascript">
        window.onload = function() {
            window.print();
        }
    </script>
</head>

<body>
    <table width="98%" align="center">
        <!-- TABELA Q ENVOLVE TODO O CONTEUDO -->
        <tr>
            <td>
                <?php include "../include/cabecalho_relatorio.php"; ?>
            </td>
        </tr>
        <tr>
            <td>
                <font face="verdana" size="2"><i>Relatrio Comisso Sobre Produtos da Venda</i></font>
            </td>
        </tr>
        <tr>
            <td>
                <font face="verdana" size="2">
                    <?php
                    if ($_GET["De"]) {
                        echo "Perodo: " . $_GET["De"];
                    }
                    if ($_GET["Ate"]) {
                        echo "  " . $_GET["Ate"];
                    }
                    //se o sistema for Multi Empresa
                    if ((MULTI_EMPRESA == "Sim") && ($_SESSION["Id_Nivel"] == '1')) {

                        if ($_GET["Unidade"]) {
                            $achar = listar("Select Titulo from unidade
						where Id = '" . $_GET["Unidade"] . "' ");
                            echo " - " . $achar[0]["Titulo"];
                        }
                    }
                    ?>
                </font>
            </td>
        </tr>
    </table>
    <!-- Lista de produtos -->

    <tr>
        <td>
        <table width="100%" class="tabela">
        </tr>
        <tr style="margin-top: 2px;background-color: lightskyblue;text-align: center;">
            <td colspan="10">Vendedor 1</td>
        </tr>
        <tr>
            <td colspan="10">&nbsp;</td>
        </tr>
        <?php
        if ($_GET["Ok"]) {

            while ($retornoVendedor = mysqli_fetch_assoc($buscaVendedor)) {
        ?>

                <tr class="azul" style="color: aliceblue;">
                    <td colspan="10">Vendedor <b><?php echo $retornoVendedor["Vendedor"] ?></b></td>
                </tr>
                <?php
                $buscaVenda = mysqli_query($con, "SELECT venda.Id,
                                                            venda.Lancamento,
                                                            venda.Fatura,
                                                            venda.Data_Venda,
                                                            venda.Desconto_CR,
                                                            venda.Desconto_CR_Real,
                                                            cliente.Titulo as Cliente
                                                        FROM venda
                                                        LEFT JOIN (SELECT Id,Titulo,Razao_Social FROM cliente) as cliente ON cliente.Id = venda.Id_Cliente
                                                        WHERE venda.Id_Vendedor = '" . $retornoVendedor['Id'] . "'
                                                        AND venda.Status = 'Finalizado' 
                                                        $data");
                $totalVendedor = 0;
                $totalComissaoVendedor = 0;
                while ($retornoVenda = mysqli_fetch_assoc($buscaVenda)) {
                ?>

                    <tr class="azul-claro">
                        <td colspan="2">Venda N: <b><?php echo $retornoVenda["Lancamento"] ?></b></td>
                        <td colspan="2">Fatura N: <b><?php echo $retornoVenda["Fatura"] ?></b></td>
                        <td colspan="4">Cliente: <b><?php echo $retornoVenda["Cliente"] ?></b></td>
                        <td colspan="2">Data: <b><?php echo data_exibir($retornoVenda["Data_Venda"]) ?></b></td>
                    </tr>
                    <?php
                    $qtd_itens = mysqli_query($con, "SELECT COUNT(Id) as Id
                            FROM venda_produto
                            WHERE venda_produto.Id_Venda = '" . $retornoVenda["Id"] . "' $venda_produto $vendedor1 
                            GROUP BY venda_produto.Id
                            ORDER BY venda_produto.Data_Cadastro");
                    $qtd_itens = mysqli_fetch_assoc($qtd_itens);

                    $buscaVendaProduto = mysqli_query($con, "SELECT produto.Titulo,
                        venda_produto.Id_Venda,
                        venda_produto.Preco,
                        venda_produto.Qtd,
                        venda_produto.Desconto,
                        venda_produto.Desconto_Real,
                        venda_produto.Comissao,
                        venda_produto.Desconto_Real_Pe_Nota,
                        venda_produto.Id_Funcionario
                        FROM venda_produto
                        LEFT JOIN (SELECT Id,Titulo FROM produto) as produto ON produto.Id = venda_produto.Id_Produto
                        LEFT JOIN (SELECT Id,Titulo FROM funcionario) as funcionario ON funcionario.Id = venda_produto.Id_Funcionario
                        WHERE venda_produto.Id_Venda = '" . $retornoVenda["Id"] . "' $venda_produto $vendedor1 
                        ORDER BY venda_produto.Data_Cadastro");
                    ?>
                    <tr>
                        <td>Produto</td>
                        <td>Preo</td>
                        <td>Qtd</td>
                        <td>Desc $</td>
                        <td>Desc %</td>
                        <td>Desc CR %</td>
                        <td>Desc CR R$</td>
                        <td>Total</td>
                        <td>Comisso</td>
                        <td>Valor Comisso</td>
                    </tr>
                    <?php
                    $color = "#F5F5F5";
                    $gtVenda = 0;
                    $gtComissaoVenda = 0;
                    $DescCR = 0;
                    $z=1;
                    $valor_de_parc_desconto = 0;
                    while ($retornoVendaProduto = mysqli_fetch_assoc($buscaVendaProduto)) {

                        if ($color == "#F5F5F5") {
                            $color = "#E8E8E8";
                        } else {
                            $color = "#F5F5F5";
                        }

                        //saber quanto  cada parcela fixa
                        $valor_por_parc_desconto =  arr($retornoVenda["Desconto_CR_Real"] / ltrim($qtd_itens['Id'], '0'));
                        //saber quanto ficar o valor, para a ultima ser com o restante da operao
                        $montante_desconto = arr($valor_por_parc_desconto * (ltrim($qtd_itens['Id'], '0') - 1));
                        //valor final, com o a mais ou o a menos. para as parcelas ficarem divididas
                        $resto_desconto = ($retornoVenda["Desconto_CR_Real"] - $montante_desconto);

                        //saber qual o valor correto colocar nas parcelas
                        if($z < $qtd_itens['Id']){
                            $valor_de_parc_desconto = valor_banco($valor_por_parc_desconto);
                        }else{
                            $valor_de_parc_desconto = valor_banco($resto_desconto);
                        }

                        $DescCR = valor_banco(valor_exibir(((($retornoVendaProduto["Preco"]  * $retornoVendaProduto["Qtd"]) - (($retornoVendaProduto["Preco"]  * $retornoVendaProduto["Qtd"]) * ($retornoVendaProduto["Desconto"] / 100))) - ($retornoVendaProduto["Desconto_Real"] + $retornoVendaProduto["Desconto_Real_Pe_Nota"])) * ($retornoVenda["Desconto_CR"] / 100)));
                    ?>
                        <tr bgcolor=<?php echo "$color"; ?>>
                            <td><?php echo $retornoVendaProduto["Titulo"] ?></td>
                            <td><?php echo valor_exibir($retornoVendaProduto["Preco"]) ?></td>
                            <td><?php echo valor_exibir($retornoVendaProduto["Qtd"]) ?></td>
                            <td><?php echo valor_exibir($retornoVendaProduto["Desconto_Real"] + $retornoVendaProduto["Desconto_Real_Pe_Nota"]) ?></td>
                            <td><?php echo valor_exibir($retornoVendaProduto["Desconto"]) ?></td>
                            <td><?php echo valor_exibir($retornoVenda["Desconto_CR"]) ?></td>
                            <td><?php echo valor_exibir($valor_de_parc_desconto) ?></td>
                            <td><?php echo valor_exibir(((($retornoVendaProduto["Preco"]  * $retornoVendaProduto["Qtd"]) - (($retornoVendaProduto["Preco"]  * $retornoVendaProduto["Qtd"]) * ($retornoVendaProduto["Desconto"] / 100))) - ($retornoVendaProduto["Desconto_Real"] + $retornoVendaProduto["Desconto_Real_Pe_Nota"])) - $DescCR - $valor_de_parc_desconto); ?></td>
                            <td><?php echo valor_exibir($retornoVendaProduto["Comissao"]) ?> %</td>
                            <td><?php echo valor_exibir((((($retornoVendaProduto["Preco"]  * $retornoVendaProduto["Qtd"]) - (($retornoVendaProduto["Preco"]  * $retornoVendaProduto["Qtd"]) * ($retornoVendaProduto["Desconto"] / 100))) - ($retornoVendaProduto["Desconto_Real"] + $retornoVendaProduto["Desconto_Real_Pe_Nota"]))  - $DescCR - $valor_de_parc_desconto) * ($retornoVendaProduto["Comissao"] / 100), 2); ?></td>
                        </tr>

                    <?php
                        $gtVenda += (((($retornoVendaProduto["Preco"]  * $retornoVendaProduto["Qtd"]) - (($retornoVendaProduto["Preco"]  * $retornoVendaProduto["Qtd"]) * ($retornoVendaProduto["Desconto"] / 100))) - ($retornoVendaProduto["Desconto_Real"] + $retornoVendaProduto["Desconto_Real_Pe_Nota"]))) - $DescCR - $valor_de_parc_desconto;
                        $gtComissaoVenda += ((((($retornoVendaProduto["Preco"]  * $retornoVendaProduto["Qtd"]) - (($retornoVendaProduto["Preco"]  * $retornoVendaProduto["Qtd"]) * ($retornoVendaProduto["Desconto"] / 100))) - ($retornoVendaProduto["Desconto_Real"] + $retornoVendaProduto["Desconto_Real_Pe_Nota"])) - $DescCR - $valor_de_parc_desconto) * ($retornoVendaProduto["Comissao"] / 100));
                    }
                    ?>
                    <tr>
                        <td colspan="7" style="text-align: right;">Total Venda&nbsp;</td>
                        <td><?php echo valor_exibir($gtVenda) ?></td>
                        <td>&nbsp;</td>
                        <td><?php echo valor_exibir($gtComissaoVenda, 2) ?></td>
                    </tr>
                <?php
                    $totalVendedor += $gtVenda;
                    $totalComissaoVendedor += $gtComissaoVenda;
                }
                ?>
                <tr style="background-color: lightgray;">
                    <td colspan="7" style="text-align: right;">Total Vendedor&nbsp;</td>
                    <td><?php echo valor_exibir($totalVendedor) ?></td>
                    <td>&nbsp;</td>
                    <td><?php echo valor_exibir($totalComissaoVendedor, 2) ?></td>
                </tr>
                <tr>
                    <td colspan="10">&nbsp;</td>
                </tr>
        <?php }
        }
        ?>
        </table>
        <!-- Fim vendedor 1 -->
        <tr>
            <td colspan="10">&nbsp;</td>
        </tr>
        <table width="100%" class="tabela">
        <tr style="margin-top: 2px;background-color: lightskyblue;text-align: center;">
            <td colspan="10">Vendedor 2</td>
        </tr>
        <tr>
            <td colspan="10">&nbsp;</td>
        </tr>
            <?php
            if ($_GET["Ok"]) {

                while ($retornoVendedor2 = mysqli_fetch_assoc($buscaVendedor2)) {
            ?>
                    <tr class="azul" style="color: aliceblue;">
                        <td colspan="10">Vendedor <b><?php echo $retornoVendedor2["Vendedor2"] ?></b></td>
                    </tr>
                    <?php
                    $buscaVenda2 = mysqli_query($con, "SELECT venda.Id,
                                                            venda.Lancamento,
                                                            venda.Fatura,
                                                            venda.Data_Venda,
                                                            venda.Desconto_CR,
                                                            cliente.Titulo as Cliente
                                                        FROM venda
                                                        LEFT JOIN (SELECT Id,Titulo,Razao_Social FROM cliente) as cliente ON cliente.Id = venda.Id_Cliente
                                                        WHERE venda.Id_Vendedor2 = '" . $retornoVendedor2['Id'] . "'
                                                        AND venda.Status = 'Finalizado' 
                                                        $vendedorVenda2
                                                        $data");
                    $totalVendedor2 = 0;
                    $totalComissaoVendedor2 = 0;
                    while ($retornoVenda2 = mysqli_fetch_assoc($buscaVenda2)) {
                    ?>

                        <tr class="azul-claro">
                            <td colspan="2">Venda N: <b><?php echo $retornoVenda2["Lancamento"] ?></b></td>
                            <td colspan="2">Fatura N: <b><?php echo $retornoVenda2["Fatura"] ?></b></td>
                            <td colspan="4">Cliente: <b><?php echo $retornoVenda2["Cliente"] ?></b></td>
                            <td colspan="2">Data: <b><?php echo data_exibir($retornoVenda2["Data_Venda"]) ?></b></td>
                        </tr>
                        <?php
                        $qtd_itens = mysqli_query($con, "SELECT COUNT(Id) as Id
                                FROM venda_produto
                                WHERE venda_produto.Id_Venda = '" . $retornoVenda2["Id"] . "' $venda_produto
                                GROUP BY venda_produto.Id
                                ORDER BY venda_produto.Data_Cadastro");
                        $qtd_itens = mysqli_fetch_assoc($qtd_itens);

                        $buscaVendaProduto2 = mysqli_query($con, "SELECT produto.Titulo,
                        venda_produto.Id_Venda,
                        venda_produto.Preco,
                        venda_produto.Qtd,
                        venda_produto.Desconto,
                        venda_produto.Desconto_Real,
                        venda_produto.Comissao2 as Comissao,
                        venda_produto.Desconto_Real_Pe_Nota,
                        venda_produto.Id_Funcionario
                        FROM venda_produto
                        LEFT JOIN (SELECT Id,Titulo FROM produto) as produto ON produto.Id = venda_produto.Id_Produto
                        LEFT JOIN (SELECT Id,Titulo FROM funcionario) as funcionario ON funcionario.Id = venda_produto.Id_Funcionario
                        WHERE venda_produto.Id_Venda = '" . $retornoVenda2["Id"] . "' 
                        $venda_produto 
                        ORDER BY venda_produto.Data_Cadastro");
                        ?>
                        <tr>
                            <td>Produto</td>
                            <td>Preo</td>
                            <td>Qtd</td>
                            <td>Desc $</td>
                            <td>Desc %</td>
                            <td>Desc CR %</td>
                            <td>Desc CR R$</td>
                            <td>Total</td>
                            <td>Comisso</td>
                            <td>Valor Comisso</td>
                        </tr>
                        <?php
                        $color = "#F5F5F5";
                        $gtVenda2 = 0;
                        $gtComissaoVenda2 = 0;
                        $DescCR = 0;
                        $z=1;
                        $valor_de_parc_desconto = 0;
                        while ($retornoVendaProduto2 = mysqli_fetch_assoc($buscaVendaProduto2)) {

                            if ($color == "#F5F5F5") {
                                $color = "#E8E8E8";
                            } else {
                                $color = "#F5F5F5";
                            }

                            //saber quanto  cada parcela fixa
                            $valor_por_parc_desconto =  arr($retornoVenda2["Desconto_CR_Real"] / ltrim($qtd_itens['Id'], '0'));
                            //saber quanto ficar o valor, para a ultima ser com o restante da operao
                            $montante_desconto = arr($valor_por_parc_desconto * (ltrim($qtd_itens['Id'], '0') - 1));
                            //valor final, com o a mais ou o a menos. para as parcelas ficarem divididas
                            $resto_desconto = ($retornoVenda2["Desconto_CR_Real"] - $montante_desconto);

                            //saber qual o valor correto colocar nas parcelas
                            if($z < $qtd_itens['Id']){
                                $valor_de_parc_desconto = valor_banco($valor_por_parc_desconto);
                            }else{
                                $valor_de_parc_desconto = valor_banco($resto_desconto);
                            }

                            $DescCR = valor_banco(valor_exibir(((($retornoVendaProduto2["Preco"]  * $retornoVendaProduto2["Qtd"]) - (($retornoVendaProduto2["Preco"]  * $retornoVendaProduto2["Qtd"]) * ($retornoVendaProduto2["Desconto"] / 100))) - ($retornoVendaProduto2["Desconto_Real"] + $retornoVendaProduto2["Desconto_Real_Pe_Nota"])) * ($retornoVenda2["Desconto_CR"] / 100)));
                        ?>
                            <tr bgcolor=<?php echo "$color"; ?>>
                                <td><?php echo $retornoVendaProduto2["Titulo"] ?></td>
                                <td><?php echo valor_exibir($retornoVendaProduto2["Preco"]) ?></td>
                                <td><?php echo valor_exibir($retornoVendaProduto2["Qtd"]) ?></td>
                                <td><?php echo valor_exibir(($retornoVendaProduto2["Desconto_Real"] + $retornoVendaProduto2["Desconto_Real_Pe_Nota"])) ?></td>
                                <td><?php echo valor_exibir($retornoVendaProduto2["Desconto"]) ?></td>
                                <td><?php echo valor_exibir($retornoVenda2["Desconto_CR"]) ?></td>
                                <td><?php echo valor_exibir($valor_de_parc_desconto) ?></td>
                                <td><?php echo valor_exibir(((($retornoVendaProduto2["Preco"]  * $retornoVendaProduto2["Qtd"]) - (($retornoVendaProduto2["Preco"]  * $retornoVendaProduto2["Qtd"]) * ($retornoVendaProduto2["Desconto"] / 100))) - ($retornoVendaProduto2["Desconto_Real"] + $retornoVendaProduto2["Desconto_Real_Pe_Nota"])) - $DescCR - $valor_de_parc_desconto); ?></td>
                                <td><?php echo valor_exibir($retornoVendaProduto2["Comissao"]) ?> %</td>
                                <td><?php echo valor_exibir((((($retornoVendaProduto2["Preco"]  * $retornoVendaProduto2["Qtd"]) - (($retornoVendaProduto2["Preco"]  * $retornoVendaProduto2["Qtd"]) * ($retornoVendaProduto2["Desconto"] / 100))) - $retornoVendaProduto2["Desconto_Real"]) - $DescCR - $valor_de_parc_desconto) * ($retornoVendaProduto2["Comissao"] / 100), 2); ?></td>
                            </tr>

                        <?php
                            $gtVenda2 += (((($retornoVendaProduto2["Preco"]  * $retornoVendaProduto2["Qtd"]) - (($retornoVendaProduto2["Preco"]  * $retornoVendaProduto2["Qtd"]) * ($retornoVendaProduto2["Desconto"] / 100))) - ($retornoVendaProduto2["Desconto_Real"] + $retornoVendaProduto2["Desconto_Real_Pe_Nota"]))) - $DescCR - $valor_de_parc_desconto;
                            $gtComissaoVenda2 += ((((($retornoVendaProduto2["Preco"]  * $retornoVendaProduto2["Qtd"]) - (($retornoVendaProduto2["Preco"]  * $retornoVendaProduto2["Qtd"]) * ($retornoVendaProduto2["Desconto"] / 100))) - ($retornoVendaProduto2["Desconto_Real"] + $retornoVendaProduto2["Desconto_Real_Pe_Nota"])) - $DescCR - $valor_de_parc_desconto) * ($retornoVendaProduto2["Comissao"] / 100));
                        }
                        ?>
                        <tr>
                            <td colspan="7" style="text-align: right;">Total Venda&nbsp;</td>
                            <td><?php echo valor_exibir($gtVenda2) ?></td>
                            <td>&nbsp;</td>
                            <td><?php echo valor_exibir($gtComissaoVenda2, 2) ?></td>
                        </tr>
                    <?php
                        $totalVendedor2 += $gtVenda2;
                        $totalComissaoVendedor2 += $gtComissaoVenda2;
                    }
                    ?>
                    <tr style="background-color: lightgray;">
                        <td colspan="7" style="text-align: right;">Total Vendedor&nbsp;</td>
                        <td><?php echo valor_exibir($totalVendedor2) ?></td>
                        <td>&nbsp;</td>
                        <td><?php echo valor_exibir($totalComissaoVendedor2, 2) ?></td>
                    </tr>
                    <tr>
                        <td colspan="10">&nbsp;</td>
                    </tr>
            <?php }
            }
            ?>
        </table>
    </td>
    </tr>



    <tr>
        <td>
            <div id="div_respvendata"></div>
        </td>
    </tr>
    </table>
</body>

</html>