<?php
include_once '../include/conecta.php'; //Conecta com a nosso banco de dados MySQL
include_once '../include/ver_sessao.php'; //Verifica se a sesso est ativa
include_once '../include/funcoesPhp.php';
include_once '../menu_movimento.php';
?>
<?php
if (($_GET["Liquidado"]) || ($_GET["Aberto"]) || ($_GET["Cancelado"])) {

    $status = "and (";

    if ($_GET["Liquidado"]) {
        $status .= " conta_pagar.Status = 'Liquidado' OR";
    }
    if ($_GET["Aberto"]) {
        $status .= " conta_pagar.Status = 'Aberto' OR";
    }
    if ($_GET["Cancelado"]) {
        $status .= " conta_pagar.Status = 'Cancelado' OR";
    }

    $status = substr($status, 0, -2);
    $status .= ")";
}

if ($_GET['Data_Filtro'] == 'Vencimento') {
    if ($_GET["De"])
        $data .= "AND conta_pagar.Data_Vencimento >= '" . data_banco($_GET["De"]) . " 00:00:00' ";
    if ($_GET["Ate"])
        $data .= "AND conta_pagar.Data_Vencimento <= '" . data_banco($_GET["Ate"]) . " 23:59:59' ";
}
if ($_GET['Data_Filtro'] == 'Pagamento') {
    if ($_GET["De"])
        $data .= "AND conta_pagar.Data_Pagamento >= '" . data_banco($_GET["De"]) . " 00:00:00' ";
    if ($_GET["Ate"])
        $data .= "AND conta_pagar.Data_Pagamento <= '" . data_banco($_GET["Ate"]) . " 23:59:59' ";
}
if ($_GET['Data_Filtro'] == 'Emissao') {
    if ($_GET["De"])
        $data .= "AND conta_pagar.Data_Emissao >= '" . data_banco($_GET["De"]) . " 00:00:00' ";
    if ($_GET["Ate"])
        $data .= "AND conta_pagar.Data_Emissao <= '" . data_banco($_GET["Ate"]) . " 23:59:59' ";
}

if ($_GET["EF"])
    $data .= "and conta_pagar.EF = '" . $_GET["EF"] . "' ";

if ($_GET["Fornecedor"])
    $fornecedor = "and fornecedor.Id = '" . $_GET["Fornecedor"] . "' ";
if ($_GET["Tipo_Pagamento"])
    $fornecedor .= "and conta_pagar.Id_Tipo_Pagamento = '" . $_GET["Tipo_Pagamento"] . "' ";
if ($_GET["Tipo_Movimento"])
    $fornecedor .= "and conta_pagar.Tipo_Movimentacao = '" . $_GET["Tipo_Movimento"] . "' ";
if ($_GET["Funcionario"])
    $fornecedor .= "and conta_pagar.Id_Funcionario = '" . $_GET["Funcionario"] . "' ";
if ($_GET["Conta"])
    $fornecedor .= "and conta_pagar.Id_Conta = '" . $_GET["Conta"] . "' ";
if ($_GET["Categoria_Tipo_Pagamento"])
    $fornecedor .= " AND tipo_pagamento.Id_Categoria_Tipo_Pagamento = '" . $_GET["Categoria_Tipo_Pagamento"] . "' ";
if ($_GET["Atividade"])
    $fornecedor .= "and conta_pagar.Id_Atividade = '" . $_GET["Atividade"] . "' ";


if ($_GET["Unidade"]) {
    $Unidade = "and conta_pagar.Id_Unidade = '" . $_GET["Unidade"] . "' ";
}
if ($_GET["Situacao"]) {
    $Situacao = "and conta_pagar.Situacao = '" . $_GET["Situacao"] . "' ";
}
if ($_GET["Ok"]) {

    $cat_pagto = listar("Select DISTINCT unidade.Titulo,
                                        unidade.Razao_Social,
                                        unidade.Id
                                        FROM (SELECT Id,Titulo,Razao_Social,Ativo FROM unidade) as unidade
                                        INNER JOIN (SELECT * FROM conta_pagar) as conta_pagar ON conta_pagar.Id_Unidade = unidade.Id
                                        WHERE unidade.Ativo = 'Sim'
                                        $data $status $fornecedor $Situacao $Unidade
                                        GROUP BY unidade.Id
                                        order by unidade.Id");
}
?> 
<html>
    <head>
        <title>Gw - Gesto Web</title>
        <link rel="stylesheet" type="text/css" href="../estilo/<?php echo SKIN; ?>/tabela_imp.css" />
        <script type="text/javascript" language="javascript" src="../js/jquery.js"></script>
        <?php include '../include/script_cabeca.php'; ?>
        <script type="text/javascript" language="javascript" src="../js/script.js"></script>
        <script type="text/javascript" language="javascript" src="../js/meiomask/meiomask.js"></script>
        <script type="text/javascript" language="javascript" src="../js/meiomask/<?php
        if (PAIS == "USA") {
            echo "mascaras-usa";
        } else {
            echo "mascaras";
        }
        ?>.js"></script>
        <script type="text/javascript" language="javascript">
            window.onload = function () {
                window.print();
            }
        </script>
    </head>
    <body>
        <table width="100%" height="400px"><!-- TABELA Q ENVOLVE TODO O CONTEUDO -->
            <td>
                <?php include "../include/cabecalho_relatorio.php"; ?>
            </td>
            <tr>
                <td>
                    <table width="100%" class="tabela">
                        <?php
                        if ($_GET["Ok"]) {

                            foreach ($cat_pagto as $valor) {
                                ?>
                                <tr class="cinza">
                                    <td colspan="13"><b>Empresa : </b><?php echo $valor["Titulo"]; ?></td>
                                </tr>

                                <tr class="azul-claro">
                                    <td>Lan</td>
                                    <td>Fatura</td>
                                    <td>Descrio</td>
                                    <td>Fornecedor</td>
                                    <td>Atividade</td>
                                    <td>Tipo Pgto</td>
                                    <td>Tipo Baixa</td>
                                    <td>Emisso</td>
                                    <td>Vencimento</td>
                                    <td>Valor Original</td>
                                    <td>Pagamento</td>
                                    <td>Valor Pagamento</td>
                                    <td>Status</td>
                                </tr>
                                <?php
                                $venda = listar("Select fornecedor.Titulo as 'Fornecedor',
                                                        conta_pagar.Lancamento,
                                                        conta_pagar.Data_Vencimento,
                                                        conta_pagar.Data_Emissao,
                                                        conta_pagar.Data_Pagamento,
                                                        conta_pagar.Valor_Original,
                                                        conta_pagar.Valor_Pago,
                                                        conta_pagar.Fatura,
                                                        conta_pagar.Status,
                                                        conta_pagar.Descricao,
                                                        conta_pagar.Id_Atividade,
                                                        conta_pagar.Id_Unidade,
                                                        tipo_pagamento.Titulo as 'Tipo_Pagamento',
                                                        tipo_pagamento_baixa.Titulo as 'Tipo_Baixa',
                                                        fornecedor.Razao_Social
                                                        from conta_pagar
                                                        left join (SELECT Id,Titulo,Razao_Social FROM fornecedor) as fornecedor ON fornecedor.Id = conta_pagar.Id_Fornecedor
                                                        inner join (SELECT Id,Titulo,Id_Categoria_Tipo_Pagamento FROM tipo_pagamento) as tipo_pagamento ON tipo_pagamento.Id = conta_pagar.Id_Tipo_Pagamento
                                                        left join (SELECT Id,Titulo,Id_Categoria_Tipo_Pagamento FROM tipo_pagamento) as tipo_pagamento_baixa ON tipo_pagamento_baixa.Id = conta_pagar.Id_Tipo_Pagamento_Baixa
                                                  WHERE conta_pagar.Id_Unidade = '" . $valor['Id'] . "' 
                                                        $data $status $fornecedor $Situacao 
                                                        GROUP BY conta_pagar.Id
                                                        order by conta_pagar.Data_Vencimento");

                                $vCate = '0';
                                $Valor_Aberto = '0';
                                $Valor_Liqu = '0';
                                $Valor_Can = '0';
                                $color = "#F5F5F5";
                                foreach ($venda as $chave) {

                                    if ($color == "#F5F5F5") {
                                        $color = "#E8E8E8";
                                    } else {
                                        $color = "#F5F5F5";
                                    }
                                    ?>

                                    <tr bgcolor=<?php echo "$color"; ?> >
                                        <td><?php echo $chave["Lancamento"] ?></td>
                                        <td><?php echo $chave["Fatura"] ?></td>
                                        <td><?php echo $chave["Descricao"] ?></td>
                                        <td><?php
                                            if (FORNECEDOR_RAZAO_SOCIAL == 'Sim') {
                                                echo $chave["Razao_Social"];
                                            } else {
                                                echo $chave["Fornecedor"];
                                            }
                                            ?>
                                        </td>
                                        <td>
                                            <?php
                                            $Atividade = listar("SELECT Id,Titulo FROM atividade where Id = '" . $chave["Id_Atividade"] . "'");

                                            foreach ($Atividade as $chave1) {
                                                
                                            }
                                            echo $chave1["Titulo"];
                                            ?>
                                        </td>
                                        <td><?php echo $chave["Tipo_Pagamento"] ?></td>
                                        <td><?php echo $chave["Tipo_Baixa"] ?></td>
                                        <td><?php echo data_exibir($chave["Data_Emissao"]) ?></td>
                                        <td><?php echo data_exibir($chave["Data_Vencimento"]) ?></td>
                                        <td><?php echo valor_exibir($chave["Valor_Original"]) ?></td>
                                        <td><?php echo data_exibir($chave["Data_Pagamento"]) ?></td>
                                        <td>
                                            <?php
                                            if ($chave['Status'] == 'Aberto') {
                                                echo '0,00';
                                            } else {
                                                echo valor_exibir($chave['Valor_Pago']);
                                            }
                                            ?>
                                        </td>
                                        <td><font <?php echo $corStatus ?>>
                                            <b><?php echo $chave["Status"] ?></b>
                                            </font></td>
                                        <?php
                                        if ($chave["Status"] == 'Aberto') {
                                            $Valor_Aberto += $chave["Valor_Original"];
                                            $tValor_Aberto+=$chave["Valor_Original"];
                                        }
                                        if ($chave["Status"] == 'Liquidado') {
                                            $Valor_Liqu += $chave["Valor_Pago"];
                                            $tValor_Liqu+=$chave["Valor_Pago"];
                                        }
                                        if ($chave["Status"] == "Cancelado") {
                                            $Valor_Can += $chave["Valor_Original"];
                                            $tValor_Can+=$chave["Valor_Original"];
                                        }
                                        ?>
                                    </tr>

                                    <?php
                                    $vCate += $chave["Valor_Pago"];
                                    $vCateFinal += $chave["Valor_Pago"];
                                    ?>
                                <?php } ?>
                                <tr>
                                    <td></td>
                                    <td colspan="3"><b>Totais Valores : </b></td>
                                    <td colspan="6" align="right">
                                        <font color="#3A5FCD"><b>Aberto</font> <?php echo valor_exibir($Valor_Aberto); ?></b>&nbsp;&nbsp;&nbsp;
                                        <font color="#228B22"><b>Liquidado</font> <?php echo valor_exibir($Valor_Liqu); ?></b>&nbsp;&nbsp;&nbsp;
                                        <font color="#CD2626"><b>Cancelado</font> <?php echo valor_exibir($Valor_Can); ?></b>&nbsp;&nbsp;&nbsp;
                                        = <b><?php echo valor_exibir($Valor_Aberto + $Valor_Liqu); ?></b>
                                    </td>
                                </tr>
                                <tr>
                                    <td colspan="12" align="right">Valor Pago &nbsp;</td>
                                    <td><?php echo valor_exibir($vCate); ?></td>
                                </tr>
                                <tr>
                                    <td colspan="13">&nbsp;</td>
                                </tr>

                                <?php
                            }
                        }
                        ?>

                        <tr>
                            <td colspan="12" align="right"><b>Valores Finais:</b> &nbsp;</td>
                            <td><b><?php echo valor_exibir($vCateFinal); ?></b></td>
                        </tr>
                    </table>
                </td>
            </tr>
            <tr>
                <td>
                    <div id="div_resposta"></div>
                </td>
            </tr>
        </table>
    </body>
</html>