<?php
include_once '../include/conecta.php'; //Conecta com a nosso banco de dados MySQL
include_once '../include/ver_sessao.php'; //Verifica se a sesso est ativa
include_once '../include/funcoesPhp.php';
include_once '../menu_movimento.php';

if ($_GET['Data_Filtro'] == 'Data') {
	if ($_GET["De"])
		$data .= "AND compra.Data_Compra >= '" . data_banco($_GET["De"]) . " 00:00:00' ";
	if ($_GET["Ate"])
		$data .= "AND compra.Data_Compra <= '" . data_banco($_GET["Ate"]) . " 23:59:59' ";
}
if ($_GET['Data_Filtro'] == 'Nfe') {
	if ($_GET["De"])
		$data .= "AND compra.Data_Conclusao >= '" . data_banco($_GET["De"]) . " 00:00:00' ";
	if ($_GET["Ate"])
		$data .= "AND compra.Data_Conclusao <= '" . data_banco($_GET["Ate"]) . " 23:59:59' ";
}

if ($_GET["Produto"]) {
	$produto = "AND compra.Id_Produto = '" . $_GET["Produto"] . "' ";
}
if ($_GET["Unidade"]) {
	$Unidade = "AND compra.Id_Unidade = '" . $_GET["Unidade"] . "' ";
}
if ($_GET["Categoria_Produto"]) {
	$categoriaProduto = "AND produto.Id_Categoria_Produto = '" . $_GET["Categoria_Produto"] . "' ";
}
if ($_GET["Tipo_Ers"]) {
	$tipoErs = "AND produto.Tipo_Ers = '" . $_GET["Tipo_Ers"] . "' ";
}
if ($_GET["EF"]) {
	$EF = "AND compra.EF = '" . $_GET["EF"] . "' ";
}

if ($_GET["Ok"]) {

	$fatura = mysqli_query($con, "SELECT produto.Tipo_Ers,
                                         compra.Id,
                                         produto.Id as Id_Produto,
                                         categoria_produto.Titulo as Categoria_Produto
                                    FROM compra_produto
                               INNER JOIN compra ON compra.Id = compra_produto.Id_compra
                               LEFT JOIN produto ON produto.Id = compra_produto.Id_Produto
                               LEFT JOIN categoria_produto ON produto.Id_Categoria_Produto = categoria_produto.Id
                                    WHERE 1=1
                                    $data $categoriaProduto $tipoErs
                                    AND compra.Status = 'Finalizado'
                                    GROUP BY produto.Tipo_Ers
                                    order by produto.Tipo_Ers");
}
?>
<html>

<head>
    <title>Gw - Gesto Web</title>
    <link rel="stylesheet" type="text/css" href="../estilo/<?php echo SKIN; ?>/tabela_imp.css" />
    <script type="text/javascript" language="javascript" src="../js/jquery.js"></script>
    <?php include '../include/script_cabeca.php'; ?>
    <script type="text/javascript" language="javascript" src="../js/script.js"></script>
    <script type="text/javascript" language="javascript" src="../js/meiomask/meiomask.js"></script>
    <script type="text/javascript" language="javascript" src="../js/meiomask/<?php if (PAIS == "USA") {
																					echo "mascaras-usa";
																				} else {
																					echo "mascaras";
																				} ?>.js"></script>
    <script type="text/javascript" language="javascript">
    window.onload = function() {
        window.print();
    }
    </script>
</head>

<body>
    <table width="98%" align="center">
        <!-- TABELA Q ENVOLVE TODO O CONTEUDO -->
        <tr>
            <td>
                <?php include "../include/cabecalho_relatorio.php"; ?>
            </td>
        </tr>
        <tr>
            <td>
                <font face="verdana" size="2"><i> Produtos Comprados Agrupados por Tipo</i></font>
            </td>
        </tr>
        <tr>
            <td>
                <font face="verdana" size="2">
                    <?php
					if ($_GET["De"]) {
						echo "Perodo: " . $_GET["De"];
					}
					if ($_GET["Ate"]) {
						echo "  " . $_GET["Ate"];
					}
					if ($_GET["Vendedor"]) {
						$achar = listar("Select Titulo from funcionario
			where Id = '" . $_GET["Vendedor"] . "' ");
						echo " - " . $achar[0]["Titulo"];
					}
					if ($_GET["Cliente"]) {
						$achar = listar("Select Titulo from cliente
			where Id = '" . $_GET["Cliente"] . "' ");
						echo " - " . $achar[0]["Titulo"];
					}
					if ($_GET["Fornecedor"]) {
						$achar = listar("Select Titulo from fornecedor
			where Id = '" . $_GET["Fornecedor"] . "' ");
						echo " - " . $achar[0]["Titulo"];
					}
					//se o sistema for Multi Empresa
					if ((MULTI_EMPRESA == "Sim") && ($_SESSION["Id_Nivel"] == '1')) {

						if ($_GET["Unidade"]) {
							$achar = listar("Select Titulo from unidade
						where Id = '" . $_GET["Unidade"] . "' ");
							echo " - " . $achar[0]["Titulo"];
						}
					}
					?>
                </font>
            </td>
        </tr>
        <tr>
            <td>
                <br>
                <table width="100%" class="tabela">
                    <?php
					while ($chave = mysqli_fetch_assoc($fatura)) { ?>
                    <tr class="azul-claro">
                        <td colspan="5"><b>Tipo Produto:</b> <?php echo $chave["Tipo_Ers"] ?></td>
                    </tr>

                    <tr class="cinza">
                        <td>Produto</td>
                        <td>Qtd</td>
                        <!-- <td>Peso</td> -->
                        <td>Total</td>
                        <td>Valor Mdio</td>
                    </tr>
                    <?php
						$buscandoProdutos = mysqli_query($con, "SELECT  compra_produto.Id_Produto,
                                                                        produto.Codigo,
                                                                        produto.Titulo as Produto,
                                                                        SUM(compra_produto.Preco * compra_produto.Qtd - ((compra_produto.Preco * compra_produto.Qtd)*(compra_produto.Desconto/100))-compra_produto.Desconto_Real) as Valor,
                                                                        SUM(compra_produto.Qtd) as Qtd,
                                                                        produto.Peso_Liquido as Peso,
                                                                        compra.EF,
                                                                        compra.DV
                                                                        FROM compra_produto 
                                                                    LEFT JOIN compra ON  compra.Id = compra_produto.Id_compra
                                                                    left JOIN produto ON compra_produto.Id_Produto = produto.Id
                                                                    WHERE produto.Tipo_Ers = '" . $chave["Tipo_Ers"] . "'
                                                                    $data $categoriaProduto
                                                                    AND compra.Status = 'Finalizado'
                                                                    GROUP BY compra_produto.Id_Produto
                                                                    ORDER BY produto.Codigo
                                                            ");
						$vendido = '';
						$pesoTotal = 0;
						$qtdVendido = 0;
						while ($produtos = mysqli_fetch_assoc($buscandoProdutos)) {
						?>
                    <tr>
                        <td><?php echo $produtos["Codigo"] . ' : ' . $produtos["Produto"] ?></td>
                        <td><?php echo valor_exibir($produtos['Qtd']) ?></td>
                        <!-- <td><?php echo valor_exibir($produtos['Qtd'] * $produtos['Peso']) ?></td> -->
                        <td><?php echo valor_exibir($produtos['Valor']) ?></td>
                        <td><?php echo valor_exibir($produtos['Valor'] / $produtos['Qtd']) ?></td>
                    </tr>

                    <?php
							$vendido += $produtos['Valor'];
							$qtdVendido += $produtos['Qtd'];
							$pesoTotal += $produtos['Qtd'] * $produtos['Peso'];
							$medioVendido += $produtos['Valor'] / $produtos['Qtd'];
						}
						?>
                    <tr>
                        <td align="right">Total&nbsp;</td>
                        <td><?php echo valor_exibir($qtdVendido) ?></td>
                        <!-- <td><?php echo valor_exibir($pesoTotal) ?></td> -->
                        <td><?php echo valor_exibir($vendido) ?></td>
                        <td>&nbsp;</td>
                    </tr>
                    <tr>
                        <td colspan="5">&nbsp;</td>
                    </tr>
                    <?php
						$totalVendido += $vendido;
					}
					?>
                    <tr>
                        <td align="right" colspan="9"><b>Total: </b>
                            <?php echo valor_exibir($totalVendido) ?>&nbsp;</td>

                    </tr>
                </table>
            </td>
        </tr>
    </table>
    <br>
</body>

</html>