<?php
include_once '../include/conecta.php'; //Conecta com a nosso banco de dados MySQL
include_once '../include/ver_sessao.php'; //Verifica se a sesso est ativa
include_once '../include/funcoesPhp.php';
include_once '../menu_movimento.php';
?>
<?php
if ($_GET['Data_Filtro'] == 'Data') {

    if ($_GET["De"]) {
        $data_v .= "AND venda.Data_Venda >= '" . data_banco($_GET["De"]) . " 00:00:00' ";
    }
    if ($_GET["Ate"]) {
        $data_v .= "AND venda.Data_Venda <= '" . data_banco($_GET["Ate"]) . " 23:59:59' ";
    }
}
if ($_GET['Data_Filtro'] == 'Conclusao') {

    if ($_GET["De"]) {
        $data_v .= "AND venda.Data_Conclusao >= '" . data_banco($_GET["De"]) . " 00:00:00' ";
    }
    if ($_GET["Ate"]) {
        $data_v .= "AND venda.Data_Conclusao <= '" . data_banco($_GET["Ate"]) . " 23:59:59' ";
    }
}
if (($_GET["Finalizado"]) || ($_GET["Aberto"]) || ($_GET["Cancelado"])) {

    $status = "and (";

    if ($_GET["Finalizado"]) {
        $status .= " venda.Status = 'Finalizado' OR";
    }
    if ($_GET["Aberto"]) {
        $status .= " venda.Status = 'Aberto' OR";
    }
    if ($_GET["Cancelado"]) {
        $status .= " venda.Status = 'Cancelado' OR";
    }

    $status = substr($status, 0, -2);
    $status .= ")";
}

if ($_GET["Cliente"]) {

    $mystring = $_GET["Cliente"];
    $findme = " : ";

    $posicao = strpos($mystring, $findme);

    $cod_cli = substr($_GET["Cliente"], 0, $posicao);
    $nome_cli = substr($_GET["Cliente"], ($posicao + 3));


    if (CLIENTE_RAZAO_SOCIAL == 'Sim') {
        $nome = 'Razao_Social';
    } else {
        $nome = 'Titulo';
    }
    /* convertendo o nome do fornecedor, para o seu codigo */
    $Prodt = listar("SELECT Id FROM cliente WHERE " . $nome . " ='" . $nome_cli . "' AND Codigo = '" . $cod_cli . "' ");
    $_GET["Cliente"] = $Prodt[0]["Id"];

    $cliente_v .= "and venda.Id_Cliente = '" . $_GET["Cliente"] . "' ";
}

if ($_GET["Fornecedor"]) {

    $mystring = $_GET["Fornecedor"];
    $findme = " : ";

    $posicao = strpos($mystring, $findme);

    $cod_cli = substr($_GET["Fornecedor"], 0, $posicao);
    $nome_cli = substr($_GET["Fornecedor"], ($posicao + 3));


    if (FORNECEDOR_RAZAO_SOCIAL == 'Sim') {
        $nome = 'Razao_Social';
    } else {
        $nome = 'Titulo';
    }
    /* convertendo o nome do fornecedor, para o seu codigo */
    $Prodt = listar("SELECT Id FROM fornecedor WHERE " . $nome . " ='" . $nome_cli . "' AND Codigo = '" . $cod_cli . "' ");
    $_GET["Fornecedor"] = $Prodt[0]["Id"];

    $for_v .= "and venda_produto.Id_Fornecedor = '" . $_GET["Fornecedor"] . "' ";
}

if ($_GET["Produto"]) {

    $mystring = $_GET["Produto"];
    $findme = " : ";

    $posicao = strpos($mystring, $findme);

    $cod_cli = substr($_GET["Produto"], 0, $posicao);
    $nome_cli = substr($_GET["Produto"], ($posicao + 3));


    /* convertendo o nome do fornecedor, para o seu codigo */
    $Prodt = listar("SELECT Id FROM produto WHERE Titulo='" . $nome_cli . "' AND Codigo = '" . $cod_cli . "' ");
    $_GET["Produto"] = $Prodt[0]["Id"];

    $venda_produto_v = " and venda_produto.Id_Produto = '" . $_GET["Produto"] . "' ";
}

if ($_GET["Vendedor"]) {
    $vend_v .= "AND venda.Id_Vendedor = '" . $_GET["Vendedor"] . "' ";
}
if ($_GET["EF"]) {
    $vend_v .= "AND venda.EF = '" . $_GET["EF"] . "' ";
}

if ($_GET["Unidade"]) {
    $unidade_v = "AND venda.Id_Unidade = '" . $_GET["Unidade"] . "' ";
}

if ($_GET["Financeiro"]) {
    $faturamento = "and venda.Financeiro = '" . $_GET["Financeiro"] . "' ";
}

if ($_GET["Categoria_Produto"]) {
    $cat .= "AND venda_produto.Id_Categoria_Produto = '" . $_GET["Categoria_Produto"] . "' ";
}
if ($_GET["Categoria_Produto_Filho"]) {
    $cat .= "and venda_produto.Id_Categoria_Produto_Filho = '" . $_GET["Categoria_Produto_Filho"] . "' ";
}
if ($_GET["Cfop"]) {
    //    $cfop_v = "AND venda.Id_Cfop = '" . $_GET["Cfop"] . "' ";
    $cfop = "AND venda_produto.Id_Cfop = '" . $_GET["Cfop"] . "' ";
}

if ($_GET["Ok"]) {

    $vendas = mysqli_query($con, "SELECT venda_produto.Id_Produto,
                        SUM(venda_produto.Qtd) as Qtd
                        FROM (SELECT Id,Data_Venda,Data_Conclusao,Status,Id_Cliente,Id_Vendedor,Id_Unidade
                        FROM venda
                        WHERE 1=1 $status $data_v $vend_v $unidade_v $cliente_v $cfop_v $faturamento
                        ) as venda
                        inner join (SELECT Id,Id_Venda,Preco,Qtd,Desconto,Desconto_Real,Id_Produto,Desconto_Real_Pe_Nota
                        FROM venda_produto
                        WHERE 1=1 $venda_produto_v $for_v $cat $cfop) as venda_produto ON venda_produto.Id_Venda = venda.Id
                        where 1=1
                        GROUP BY venda_produto.Id_Produto
                        ORDER BY Qtd DESC");
}
?>
<html>

<head>
    <title>Gw - Gesto Web</title>
    <link rel="stylesheet" type="text/css" href="../estilo/<?php echo SKIN; ?>/tabela_imp.css" />
    <script type="text/javascript" language="javascript" src="../js/jquery.js"></script>
    <?php include '../include/script_cabeca.php'; ?>
    <script type="text/javascript" language="javascript" src="../js/script.js"></script>
    <script type="text/javascript" language="javascript" src="../js/meiomask/meiomask.js"></script>
    <script type="text/javascript" language="javascript" src="../js/meiomask/<?php if (PAIS == "USA") {
                                                                                    echo "mascaras-usa";
                                                                                } else {
                                                                                    echo "mascaras";
                                                                                } ?>.js"></script>
    <script type="text/javascript" language="javascript">
        window.onload = function() {
            window.print();
        }
    </script>
</head>

<body>
    <table width="98%" align="center">
        <!-- TABELA Q ENVOLVE TODO O CONTEUDO -->
        <tr>
            <td>
                <?php include "../include/cabecalho_relatorio.php"; ?>
            </td>
        </tr>
        <tr>
            <td>
                <font face="verdana" size="2"><i>Relatrio Movimentao - Qtd x Preo Vendido (Agrupado por Produto)</i></font>
            </td>
        </tr>
        <tr>
            <td>
                <font face="verdana" size="2">
                    <?php
                    if ($_GET["De"]) {
                        echo "Perodo: " . $_GET["De"];
                    }
                    if ($_GET["Ate"]) {
                        echo "  " . $_GET["Ate"];
                    }
                    if ($_GET["Funcionario"]) {
                        $achar = listar("Select Titulo from funcionario
			where Id = '" . $_GET["Funcionario"] . "' ");
                        echo " - " . $achar[0]["Titulo"];
                    }
                    if ($_GET["Cliente"]) {
                        if (CLIENTE_RAZAO_SOCIAL == 'Sim') {
                            $nome = 'Razao_Social';
                        } else {
                            $nome = 'Titulo';
                        }
                        $achar = listar("Select " . $nome . " as Titulo from cliente
			where Id = '" . $_GET["Cliente"] . "' ");
                        echo " - " . $achar[0]["Titulo"];
                    }
                    if ($_GET["Fornecedor"]) {
                        if (FORNECEDOR_RAZAO_SOCIAL == 'Sim') {
                            $nome = 'Razao_Social';
                        } else {
                            $nome = 'Titulo';
                        }
                        $achar = listar("Select " . $nome . " as Titulo from fornecedor
			where Id = '" . $_GET["Fornecedor"] . "' ");
                        echo " - " . $achar[0]["Titulo"];
                    }
                    if ($_GET["Produto"]) {
                        $achar = listar("Select Titulo from produto
			where Id = '" . $_GET["Produto"] . "' ");
                        echo " - " . $achar[0]["Titulo"];
                    }
                    if ($_GET["Categoria"]) {
                        $achar = listar("Select Titulo from categoria_produto
			where Id = '" . $_GET["Categoria"] . "' ");
                        echo " - " . $achar[0]["Titulo"];
                    }
                    if ($_GET["Cancelado"]) {
                        echo " - " . $_GET["Cancelado"];
                    }
                    if ($_GET["Finalizado"]) {
                        echo " - " . $_GET["Finalizado"];
                    }
                    if ($_GET["Aberto"]) {
                        echo " - " . $_GET["Aberto"];
                    }
                    //se o sistema for Multi Empresa
                    if ((MULTI_EMPRESA == "Sim") && ($_SESSION["Id_Nivel"] == '1')) {

                        if ($_GET["Unidade"]) {
                            $achar = listar("Select Titulo from unidade
						where Id = '" . $_GET["Unidade"] . "' ");
                            echo " - " . $achar[0]["Titulo"];
                        }
                    }
                    ?>
                </font>
            </td>
        </tr>
    </table>
    <!-- Lista de produtos -->

    <table width="100%" class="tabela">
        <tbody>
            <?php
            $valorFinal = '0';

            //inicio da validacao de campos
            if ($_GET["Ok"]) {

                $x = 0;
                $tVendas = '0';
                $color = "#F5F5F5";
                while ($linha = mysqli_fetch_assoc($vendas)) {

                    $produ = mysqli_query($con, "SELECT Id,Titulo as Produto,Codigo,Medida,Id_Fornecedor,Peso_Bruto,Id_Categoria_Produto,
                                                            Ncm
                                                            FROM produto WHERE Id = '" . $linha['Id_Produto'] . "' ");
                    $prod = mysqli_fetch_assoc($produ);
            ?>
                    <tr class="cinza">
                        <td align="center"><?php echo $prod['Codigo']; ?></td>
                        <td align="center"><b><?php echo $prod['Produto']; ?></b></td>
                        <td align="center"><?php echo $prod['Medida']; ?></td>
                    </tr>
                    <?php
                    $x++;
                    $tQtd += $linha['Qtd'];
                    $valorFinal += $linha['Valor'];


                    $venda_produto = mysqli_query($con, "SELECT Sum(venda_produto.Qtd) as Qtd,
                                                                                venda_produto.Preco,
                                                                                venda.Data_Conclusao,
                                                                                venda.Data_Venda
                                                                           FROM venda_produto
                                                                    LEFT JOIN (SELECT Id,Data_Conclusao,Data_Venda FROM venda)as venda ON venda_produto.Id_Venda = venda.Id 
                                                                          where venda_produto.Id_Produto='" . $linha['Id_Produto'] . "'
                                                                                $data_v 
                                                                                GROUP BY venda_produto.Id_Produto,venda_produto.Preco
                                                                                ORDER BY venda_produto.Preco DESC");
                    $y = 1;
                    $preco_total = 0;
                    $qtd_total = 0;
                    while ($linha2 = mysqli_fetch_assoc($venda_produto)) {
                        if ($color == "#F5F5F5") {
                            $color = "#E8E8E8";
                        } else {
                            $color = "#F5F5F5";
                        }
                    ?>
                        <?php if ($y == '1') { ?>
                            <tr class="azul-claro">
                                <td align="center">Qtd</td>
                                <td align="center">Preo</td>
                                <td align="center">Total</td>
                            </tr>
                        <?php } ?>
                        <tr bgcolor=<?php echo "$color"; ?>>
                            <td align="center"><?php echo $linha2['Qtd']; ?></td>
                            <td align="center"><?php echo valor_exibir($linha2['Preco']); ?></td>
                            <td align="center"><?php echo valor_exibir($linha2['Qtd'] * $linha2['Preco']); ?></td>
                        </tr>
                    <?php
                        $qtd_total += $linha2['Qtd'];
                        $preco_total += $linha2['Qtd'] * $linha2['Preco'];

                        $qtd_total_f += $linha2['Qtd'];
                        $preco_total_f += $linha2['Qtd'] * $linha2['Preco'];

                        $y++;
                    }
                    ?>
                    <tr>
                        <td align="center"><b><?php echo $qtd_total; ?></b></td>
                        <td align="center"></td>
                        <td align="center"><b><?php echo number_format($preco_total, 2, ",", "."); ?></b></td>
                    </tr>
                    <tr>
                        <td colspan="3"><br></td>
                    </tr>
            <?php

                }

                //fim validacao de campos
            }
            ?>
            <tr>
                <td align="center"><b><?php echo $qtd_total_f; ?></b></td>
                <td align="center"></td>
                <td align="center"><b><?php echo number_format($preco_total_f, 2, ",", "."); ?></b></td>
            </tr>
        </tbody>
    </table>
</body>

</html>