<?php
include_once '../include/conecta.php'; //Conecta com a nosso banco de dados MySQL
include_once '../include/ver_sessao.php'; //Verifica se a sesso est ativa
include_once '../include/funcoesPhp.php';
include_once '../menu_movimento.php';
?>
<?php
if (($_GET["Finalizado"]) || ($_GET["Aberto"]) || ($_GET["Cancelado"])) {

    $status = "and (";

    if ($_GET["Finalizado"]) {
        $status .= " venda.Status = 'Finalizado' OR";
    }
    if ($_GET["Aberto"]) {
        $status .= " venda.Status = 'Aberto' OR";
    }
    if ($_GET["Cancelado"]) {
        $status .= " venda.Status = 'Cancelado' OR";
    }

    $status = substr($status, 0, -2);
    $status .= ")";
}

if ($_GET['Data_Filtro'] == 'Data') {
    if ($_GET["De"])
        $data .= "AND venda.Data_Venda >= '" . data_banco($_GET["De"]) . " 00:00:00' ";
    $data_pdv .= "AND pdv.Data_Pdv >= '" . data_banco($_GET["De"]) . " 00:00:00' ";
    if ($_GET["Ate"])
        $data .= "AND venda.Data_Venda <= '" . data_banco($_GET["Ate"]) . " 23:59:59' ";
    $data_pdv .= "AND pdv.Data_Pdv <= '" . data_banco($_GET["Ate"]) . " 23:59:59' ";
}
if ($_GET['Data_Filtro'] == 'Conclusao') {

    if ($_GET["Aberto"]) {
        if ($_GET["De"]) {
            $data .= "AND venda.Data_Conclusao >= '" . data_banco($_GET["De"]) . " 00:00:00' ";
            $data_pdv .= "AND pdv.Data_Pdv >= '" . data_banco($_GET["Ate"]) . " 00:00:00' ";
        }
        if ($_GET["Ate"]) {
            $data .= "AND venda.Data_Conclusao <= '" . data_banco($_GET["Ate"]) . " 23:59:59'";
            $data_pdv .= "AND pdv.Data_Pdv <= '" . data_banco($_GET["Ate"]) . " 23:59:59' ";
        }
    } else {
        if ($_GET["De"])
            $data .= "AND venda.Data_Conclusao >= '" . data_banco($_GET["De"]) . " 00:00:00' ";
        $data_pdv .= "AND pdv.Data_Pdv >= '" . data_banco($_GET["Ate"]) . " 00:00:00' ";
        if ($_GET["Ate"])
            $data .= "AND venda.Data_Conclusao <= '" . data_banco($_GET["Ate"]) . " 23:59:59' ";
        $data_pdv .= "AND pdv.Data_Pdv <= '" . data_banco($_GET["Ate"]) . " 23:59:59' ";
    }
}

if ($_GET["Cliente"]) {

    $mystring = $_GET["Cliente"];
    $findme = " : ";

    $posicao = strpos($mystring, $findme);

    $cod_cli = substr($_GET["Cliente"], 0, $posicao);
    $nome_cli = substr($_GET["Cliente"], ($posicao + 3));


    if (CLIENTE_RAZAO_SOCIAL == 'Sim') {
        $nome = 'Razao_Social';
    } else {
        $nome = 'Titulo';
    }
    /* convertendo o nome do fornecedor, para o seu codigo */
    $Prodt = listar("SELECT Id FROM cliente WHERE " . $nome . " ='" . $nome_cli . "' AND Codigo = '" . $cod_cli . "' ");
    $_GET["Cliente"] = $Prodt[0]["Id"];

    $Cliente .= "and venda.Id_Cliente = '" . $_GET["Cliente"] . "' ";
}

if ($_GET["Produto"]) {

    $mystring = $_GET["Produto"];
    $findme = " : ";

    $posicao = strpos($mystring, $findme);

    $cod_cli = substr($_GET["Produto"], 0, $posicao);
    $nome_cli = substr($_GET["Produto"], ($posicao + 3));


    /* convertendo o nome do fornecedor, para o seu codigo */
    $Prodt = listar("SELECT Id FROM produto WHERE Titulo='" . $nome_cli . "' AND Codigo = '" . $cod_cli . "' ");
    $_GET["Produto"] = $Prodt[0]["Id"];

    $venda_produto = "and venda_produto.Id_Produto = '" . $_GET["Produto"] . "' ";
}

if ($_GET["Usuario"])
    $Usuario = "and venda.Id_Usuario = '" . $_GET["Usuario"] . "' ";

if ($_GET["Funcionario"])
    $usuario_p .= "and venda.Id_Funcionario = '" . $_GET["Funcionario"] . "' ";

if ($_GET["Vendedor"])
    $usuario_p .= "and venda.Id_Vendedor = '" . $_GET["Vendedor"] . "' ";

if ($_GET["EF"])
    $usuario_p .= "and venda.EF = '" . $_GET["EF"] . "' ";

if ($_GET["Financeiro"]) {
    $faturamento = "and venda.Financeiro = '" . $_GET["Financeiro"] . "' ";
}

if ($_GET["Unidade"]) {
    $Unidade = "and venda.Id_Unidade = '" . $_GET["Unidade"] . "' ";
}

if ($_GET["Ok"]) {
    $venda = mysqli_query($con, "Select venda.Id, venda.Lancamento,
                                        venda.Status,
                                        venda.Frete,
                                        venda.Data_Venda,
                                        venda.Valor_Pago,
                                        venda.Desconto,
                                        venda.Desconto_Real,
                                        cliente.Titulo as Cliente,
                                        cliente.Razao_Social,
                                        tipo_pagamento.Titulo as Tipo_Pagamento,
                                        vendedor.Titulo as 'Vendedor',
                                        venda.Fatura,
                                        venda.Numero_Pedido
                                        from venda
                                        left join (SELECT Id,Id_Produto,Id_Venda FROM venda_produto) as venda_produto ON venda_produto.Id_Venda = venda.Id
                                        LEFT JOIN (SELECT Id,Titulo FROM funcionario) as vendedor ON vendedor.Id = venda.Id_Vendedor
                                        LEFT JOIN (SELECT Id,Titulo,Razao_Social FROM cliente) as cliente ON venda.Id_Cliente = cliente.Id
                                        LEFT JOIN (SELECT Id,Titulo FROM tipo_pagamento) as tipo_pagamento ON venda.Id_Tipo_Pagamento = tipo_pagamento.Id
                                        WHERE 1=1
                                        $data $status $usuario_p $Cliente $venda_produto $Unidade $Usuario $faturamento
                                        group by venda.Lancamento
                                        order by venda.Lancamento");
}
?>
<html>

<head>
    <title>Gw - Gesto Web</title>
    <link rel="stylesheet" type="text/css" href="../estilo/<?php echo SKIN; ?>/tabela_imp.css" />
    <script type="text/javascript" language="javascript" src="../js/jquery.js"></script>
    <?php include '../include/script_cabeca.php'; ?>
    <script type="text/javascript" language="javascript" src="../js/script.js"></script>
    <script type="text/javascript" language="javascript" src="../js/meiomask/meiomask.js"></script>
    <script type="text/javascript" language="javascript" src="../js/meiomask/<?php
                                                                                if (PAIS == "USA") {
                                                                                    echo "mascaras-usa";
                                                                                } else {
                                                                                    echo "mascaras";
                                                                                }
                                                                                ?>.js"></script>
    <script type="text/javascript" language="javascript">
    window.onload = function() {
        window.print();
    }
    </script>
</head>

<body>
    <table width="98%" align="center">
        <!-- TABELA Q ENVOLVE TODO O CONTEUDO -->
        <tr>
            <td>
                <?php include "../include/cabecalho_relatorio.php"; ?>
            </td>
        </tr>
        <tr>
            <td>
                <font face="verdana" size="2"><i>Total de Vendas com PDV</i></font>
            </td>
        </tr>
        <tr>
            <td>
                <font face="verdana" size="2">
                    <?php
                    if ($_GET["De"]) {
                        echo "Perodo: " . $_GET["De"];
                    }
                    if ($_GET["Ate"]) {
                        echo "  " . $_GET["Ate"];
                    }
                    if ($_GET["Funcionario"]) {
                        $achar = listar("Select Titulo from funcionario
			where Id = '" . $_GET["Funcionario"] . "' ");
                        echo " - " . $achar[0]["Titulo"];
                    }
                    if ($_GET["Cliente"]) {
                        if (CLIENTE_RAZAO_SOCIAL == 'Sim') {
                            $nome = 'Razao_Social';
                        } else {
                            $nome = 'Titulo';
                        }
                        $achar = listar("Select " . $nome . " as Titulo from cliente
			where Id = '" . $_GET["Cliente"] . "' ");
                        echo " - " . $achar[0]["Titulo"];
                    }
                    if ($_GET["Produto"]) {
                        $achar = listar("Select Titulo from produto
			where Id = '" . $_GET["Produto"] . "' ");
                        echo " - " . $achar[0]["Titulo"];
                    }
                    if ($_GET["Cancelado"]) {
                        echo " - " . $_GET["Cancelado"];
                    }
                    if ($_GET["Finalizado"]) {
                        echo " - " . $_GET["Finalizado"];
                    }
                    if ($_GET["Aberto"]) {
                        echo " - " . $_GET["Aberto"];
                    }
                    //se o sistema for Multi Empresa
                    if ((MULTI_EMPRESA == "Sim") && ($_SESSION["Id_Nivel"] == '1')) {

                        if ($_GET["Unidade"]) {
                            $achar = listar("Select Titulo from unidade
						where Id = '" . $_GET["Unidade"] . "' ");
                            echo " - " . $achar[0]["Titulo"];
                        }
                    }
                    ?>
                </font>
            </td>
        </tr>
        <tr>
            <td>
        <tr>
            <td colspan="20">Vendas</td>
        </tr>
        <tr>
            <td>
                <table width="100%" class="tabela">
                    <tr class="azul-claro">
                        <td>N</td>
                        <td>NF</td>
                        <td>Data</td>
                        <td>Cliente</td>
                        <td>Valor</td>
                        <td>Status</td>
                    </tr>
                    <tfoot>
                        <tr class="cinza">
                            <td colspan="20">Relatrio de Vendas</td>
                        </tr>
                    </tfoot>
                    <?php
                    if ($_GET["Ok"]) {

                        $color = "#F5F5F5";
                        while ($chave = mysqli_fetch_assoc($venda)) {

                            if ($color == "#F5F5F5") {
                                $color = "#E8E8E8";
                            } else {
                                $color = "#F5F5F5";
                            }


                            $produto_v = mysqli_query($con, "Select produto.Peso_Liquido,
                                                                        produto.Peso_Bruto,
                                                                        venda_produto.Preco,
                                                                        venda_produto.Qtd,
                                                                        venda_produto.Desconto,
                                                                        venda_produto.Desconto_Real
                                                                        from venda_produto
                                                                        left join (SELECT Id,Peso_Liquido,Peso_Bruto FROM produto) as produto ON produto.Id = venda_produto.Id_Produto
                                                                        where venda_produto.Id_Venda = '" . $chave["Id"] . "'
                                                                        $venda_produto $categoria $lista_categoria
                                                                        ORDER BY venda_produto.Data_Cadastro");

                            $vtotal = '';
                            while ($valor = mysqli_fetch_assoc($produto_v)) {
                                $vtotal += ((($valor["Preco"] * $valor["Qtd"]) - (($valor["Preco"] * $valor["Qtd"]) * ($valor["Desconto"] / 100))) - $valor["Desconto_Real"]);
                            }

                            $vtotal = ($vtotal - (($vtotal) * ($chave["Desconto"] / 100))) - $chave["Desconto_Real"]
                    ?>
                    <tr bgcolor=<?php echo "$color"; ?>>
                        <td><?php echo $chave["Lancamento"] ?></td>
                        <td><?php echo $chave["Fatura"] ?></td>
                        <td><?php echo data_exibir($chave["Data_Venda"]) ?></td>
                        <td>
                            <?php
                                    if (CLIENTE_RAZAO_SOCIAL == 'Sim') {
                                        echo $chave["Razao_Social"];
                                    } else {
                                        echo $chave["Cliente"];
                                    }
                                    ?>
                        </td>
                        <td><?php echo valor_exibir($vtotal) ?></td>
                        <?php
                                $corStatus = "";
                                if ($chave['Status'] == 'Finalizado') {
                                    $corStatus = "color = '#228B22' ";
                                }
                                if ($chave['Status'] == 'Aberto') {
                                    $corStatus = "color = '#3A5FCD' ";
                                }
                                if ($chave['Status'] == 'Cancelado') {
                                    $corStatus = "color = '#CD2626' ";
                                }
                                ?>
                        <td>
                            <font <?php echo $corStatus ?>><?php echo $chave["Status"] ?></font>
                        </td>
                    </tr>
                    <?php
                            $vtotalacum[$chave["Status"]] += $vtotal;
                            $vtotalacumA += $vtotal;
                            ?>
                    <?php
                        }
                    }
                    ?>
                    <tr>
                        <td colspan="9">&nbsp;</td>
                    </tr>
                    <tr>
                        <td align="right"><b>Valores Finais:</b> &nbsp;</td>
                        <td colspan="8" align="right">
                            Em Lanamento : <b><?php echo valor_exibir($vtotalacum["Aberto"]); ?></b>&nbsp;&nbsp;&nbsp;
                            Finalizado : <b><?php echo valor_exibir($vtotalacum["Finalizado"]); ?></b>&nbsp;&nbsp;&nbsp;
                            Cancelado : <b><?php echo valor_exibir($vtotalacum["Cancelado"]); ?></b>&nbsp;&nbsp;&nbsp;
                            Total Geral :
                            <b><?php echo valor_exibir($vtotalacum["Aberto"] + $vtotalacum["Finalizado"]); ?></b>
                        </td>
                    </tr>
                </table>
            </td>
        </tr>
    </table>


    <?php
    $status = '';
    $Cliente = '';
    $pdv_produto = '';
    $Usuario = '';
    $usuario_p = '';
    $Unidade = '';

    if (($_GET["Finalizado"]) || ($_GET["Aberto"]) || ($_GET["Cancelado"])) {

        $status = "and (";

        if ($_GET["Finalizado"]) {
            $status .= " pdv.Status = 'Finalizado' OR";
        }
        if ($_GET["Aberto"]) {
            $status .= " pdv.Status = 'Aberto' OR";
        }
        if ($_GET["Cancelado"]) {
            $status .= " pdv.Status = 'Cancelado' OR";
        }

        $status = substr($status, 0, -2);
        $status .= ")";
    }



    if ($_GET["Cliente"]) {

        $mystring = $_GET["Cliente"];
        $findme = " : ";

        $posicao = strpos($mystring, $findme);

        $cod_cli = substr($_GET["Cliente"], 0, $posicao);
        $nome_cli = substr($_GET["Cliente"], ($posicao + 3));


        if (CLIENTE_RAZAO_SOCIAL == 'Sim') {
            $nome = 'Razao_Social';
        } else {
            $nome = 'Titulo';
        }
        /* convertendo o nome do fornecedor, para o seu codigo */
        $Prodt = listar("SELECT Id FROM cliente WHERE " . $nome . " ='" . $nome_cli . "' AND Codigo = '" . $cod_cli . "' ");
        $_GET["Cliente"] = $Prodt[0]["Id"];

        $Cliente .= "and pdv.Id_Cliente = '" . $_GET["Cliente"] . "' ";
    }

    if ($_GET["Produto"]) {

        $mystring = $_GET["Produto"];
        $findme = " : ";

        $posicao = strpos($mystring, $findme);

        $cod_cli = substr($_GET["Produto"], 0, $posicao);
        $nome_cli = substr($_GET["Produto"], ($posicao + 3));


        /* convertendo o nome do fornecedor, para o seu codigo */
        $Prodt = listar("SELECT Id FROM produto WHERE Titulo='" . $nome_cli . "' AND Codigo = '" . $cod_cli . "' ");
        $_GET["Produto"] = $Prodt[0]["Id"];

        $pdv_produto = "and pdv_produto.Id_Produto = '" . $_GET["Produto"] . "' ";
    }

    if ($_GET["Usuario"])
        $Usuario = "and pdv.Id_Usuario = '" . $_GET["Usuario"] . "' ";

    if ($_GET["Funcionario"])
        $usuario_p .= "and pdv.Id_Funcionario = '" . $_GET["Funcionario"] . "' ";

    if ($_GET["Vendedor"])
        $usuario_p .= "and pdv.Id_Vendedor = '" . $_GET["Vendedor"] . "' ";

    if ($_GET["EF"])
        $usuario_p .= "and pdv.EF = '" . $_GET["EF"] . "' ";

    if ($_GET["Unidade"]) {
        $Unidade = "and pdv.Id_Unidade = '" . $_GET["Unidade"] . "' ";
    }

    if ($_GET["Ok"]) {
        $pdv = mysqli_query($con, "SELECT DISTINCT pdv.Id, pdv.Lancamento,
                                  pdv.Status,
                                  pdv.Data_Pdv,
                                  pdv.Desconto_Total,
                                  pdv.Tipo_Desconto,
                                  pdv.Codigo_Paf,
                                  pdv.Acrescimo,
                                  cliente.Titulo as Cliente,
                                  funcionario.Titulo as 'Funcionario'
                             FROM pdv
                        LEFT JOIN (SELECT Id,Id_Produto,Id_Pdv FROM pdv_produto) as pdv_produto ON pdv_produto.Id_Pdv = pdv.Id
                        LEFT JOIN (SELECT Id,Titulo FROM funcionario) as funcionario ON funcionario.Id = pdv.Id_Funcionario
                        LEFT JOIN (SELECT Id,Titulo,Razao_Social FROM cliente) as cliente ON pdv.Id_Cliente = cliente.Id
                        WHERE 1=1
                        $data_pdv $status $usuario_p $Cliente $pdv_produto $Unidade $Usuario
                        GROUP BY pdv.Lancamento
                        ORDER BY pdv.Lancamento");
    }
    ?>

    <tr class="cinza">
        <td colspan="20">Pdv</td>
    </tr>


    <table width="100%" class="tabela">
        <tr class="azul-claro">
            <td>N</td>
            <td>Data</td>
            <td>Cliente</td>
            <td>Valor</td>
            <td>Status</td>
        </tr>
        <tfoot>
            <tr class="cinza">
                <td colspan="20">Relatrio de Pdv</td>
            </tr>
        </tfoot>
        <?php
        if ($_GET["Ok"]) {

            $color = "#F5F5F5";
            while ($chave1 = mysqli_fetch_assoc($pdv)) {

                if ($color == "#F5F5F5") {
                    $color = "#E8E8E8";
                } else {
                    $color = "#F5F5F5";
                }
        ?>
        <tr bgcolor=<?php echo "$color"; ?>>
            <td><?php echo $chave1["Lancamento"] ?></td>
            <td><?php echo data_exibir($chave1["Data_Pdv"]) ?></td>
            <td>
                <?php
                        if (CLIENTE_RAZAO_SOCIAL == 'Sim') {
                            echo $chave1["Razao_Social"];
                        } else {
                            echo $chave1["Cliente"];
                        }
                        ?>
            </td>
            <td><?php echo $chave1["Funcionario"] ?></td>
            <td><?php
                        $ex_tip = '';
                        $tip = mysqli_query($con, "SELECT tipo_pagamento.Titulo
                                FROM pdv_tipo_pagamento
                                LEFT JOIN (SELECT Id,Titulo FROM tipo_pagamento) as tipo_pagamento ON tipo_pagamento.Id = pdv_tipo_pagamento.Id_Tipo_Pagamento
                                WHERE pdv_tipo_pagamento.Id_Pdv='" . $chave1['Id'] . "' ");

                        while ($linha1 = mysqli_fetch_assoc($tip)) {
                            $ex_tip .= $linha1['Titulo'] . ", ";
                        }
                        echo $ex_tip = substr($ex_tip, 0, -2);
                        ?>
            </td>

            <?php
                    $produto = mysqli_query($con, "SELECT DISTINCT pdv_produto.Id,
                                    produto.Titulo,
                                    produto.Codigo,
                                    pdv_produto.Preco,
                                    pdv_produto.Qtd,
                                    pdv_produto.Desconto_Real
                                    FROM pdv_produto
                                    LEFT JOIN (SELECT Id,Titulo,Codigo FROM produto) as produto ON produto.Id = pdv_produto.Id_Produto
                                    WHERE pdv_produto.Id_Pdv = '" . $chave1["Id"] . "'
                                    AND pdv_produto.Cancelado = 'No'
                                    $pdv_produto
                                    ORDER BY pdv_produto.Data_Cadastro ");

                    $vtotal = '0';
                    while ($valor = mysqli_fetch_assoc($produto)) {
                        $vtotal += ($valor["Preco"] * $valor["Qtd"]) - $valor["Desconto_Real"];
                    }
                    ?>
            <td>
                <?php
                        if ($chave1["Tipo_Desconto"] == 'Real') {
                            echo valor_exibir($vtotal - $chave1["Desconto_Total"]);
                        } else {
                            echo valor_exibir($vtotal - ($vtotal * ($chave1["Desconto_Total"] / 100)));
                        }
                        ?>
            </td>
            <?php
                    $corStatus = "";
                    if ($chave1['Status'] == 'Finalizado') {
                        $corStatus = "color = '#228B22' ";
                    }
                    if ($chave1['Status'] == 'Aberto') {
                        $corStatus = "color = '#3A5FCD' ";
                    }
                    if ($chave1['Status'] == 'Cancelado') {
                        $corStatus = "color = '#CD2626' ";
                    }
                    ?>
            <td>
                <font <?php echo $corStatus ?>><?php echo $chave1["Status"] ?></font>
            </td>
        </tr>
        <?php
                if ($chave1["Tipo_Desconto"] == 'Real') {
                    $vtotalacum1[$chave1["Status"]] += $vtotal - $chave1["Desconto_Total"];
                } else {
                    $vtotalacum1[$chave1["Status"]] += ($vtotal - ($vtotal * ($chave1["Desconto_Total"] / 100)));
                }
                ?>
        <?php }
        } ?>
        <tr>
            <td colspan="8">&nbsp;</td>
        </tr>
        <tr>
            <td align="right"><b>Valores Finais:</b> &nbsp;</td>
            <td colspan="7" align="right">
                Em Lanamento : <b><?php echo valor_exibir($vtotalacum1["Aberto"]); ?></b>&nbsp;&nbsp;&nbsp;
                Finalizado : <b><?php echo valor_exibir($vtotalacum1["Finalizado"]); ?></b>&nbsp;&nbsp;&nbsp;
                Cancelado : <b><?php echo valor_exibir($vtotalacum1["Cancelado"]); ?></b>&nbsp;&nbsp;&nbsp;
                Total Geral : <b><?php echo valor_exibir($vtotalacum1["Aberto"] + $vtotalacum1["Finalizado"]); ?></b>
            </td>
        </tr>
    </table>

    <br>
    <table width="100%" class="tabela">
        <tr>
            <td colspan="8" align="center">
                Total Final :
                <b><?php echo valor_exibir(($vtotalacum["Aberto"] + $vtotalacum["Finalizado"]) + ($vtotalacum1["Aberto"] + $vtotalacum1["Finalizado"])); ?></b>
            </td>
        </tr>
    </table>

    <br>
</body>

</html>