<?php
include_once '../include/conecta.php'; //Conecta com a nosso banco de dados MySQL
include_once '../include/ver_sessao.php'; //Verifica se a sesso est ativa
include_once '../include/funcoesPhp.php';
include_once '../menu_movimento.php';
?>
<?php
if ($_GET["De"]) {
    $data_c .= "AND caixa.Data_Caixa >= '" . data_banco($_GET["De"]) . " 00:00:00' ";
}
if ($_GET["Ate"]) {
    $data_c .= "AND caixa.Data_Caixa <= '" . data_banco($_GET["Ate"]) . " 23:59:59' ";
}
if ($_GET["Tipo"]) {
    $tipo_atividade .= "and atividade.Tipo = '" . $_GET["Tipo"] . "' ";
}
if ($_GET["Unidade"]) {
    $unidade_c = "AND caixa.Id_Unidade = '" . $_GET["Unidade"] . "' ";
}
if ($_GET["Ok"]) {
    $atividade = mysqli_query($con, "Select DISTINCT categoria_atividade.Id,
                        categoria_atividade.Titulo as Categoria_Atividade,
                        categoria_atividade.Codigo,
                        REPLACE(categoria_atividade.Codigo,'.','') as Codigo_Categoria
                        FROM (SELECT Id,Titulo,Codigo FROM categoria_atividade) as categoria_atividade
                        LEFT JOIN (SELECT Id,Id_Categoria_Atividade FROM atividade WHERE 1=1 $tipo_atividade) as atividade ON atividade.Id_Categoria_Atividade = categoria_atividade.Id
                        LEFT JOIN (SELECT Id,Id_Atividade,Tipo FROM caixa WHERE 1=1 $unidade_c $data_c ) as caixa ON caixa.Id_Atividade = atividade.Id
                        where 1=1
                        order by REPLACE(categoria_atividade.Codigo,'.','') ");
}
?>
<html>

<head>
    <title>Gw - Gesto Web</title>
    <link rel="stylesheet" type="text/css" href="../estilo/<?php echo SKIN; ?>/tabelas.css" />
    <link rel="stylesheet" type="text/css" href="../js/datePicker/datePicker.css" />
    <script type="text/javascript" language="javascript" src="../js/jquery.js"></script>
    <?php include '../include/script_cabeca.php'; ?>
    <script type="text/javascript" language="javascript" src="../js/script.js"></script>
    <script type="text/javascript" language="javascript" src="../js/meiomask/meiomask.js"></script>
    <script type="text/javascript" language="javascript" src="../js/meiomask/<?php if (PAIS == "USA") {
                                                                                    echo "mascaras-usa";
                                                                                } else {
                                                                                    echo "mascaras";
                                                                                } ?>.js"></script>
    <!-- required plugins -->
    <script language="javascript" type="text/javascript" src="../js/datePicker/<?php if (PAIS == "USA") {
                                                                                    echo "date";
                                                                                } else {
                                                                                    echo "date-pt";
                                                                                } ?>.js"></script>
    <!--[if IE]>
                <script type="text/javascript" src="../js/datePicker/jquery.bgiframe.js"></script>
                <![endif]-->
    <!-- jquery.datePicker.js -->
    <script type="text/javascript" src="../js/datePicker/jquery.datePicker.js"></script>
    <script type="text/javascript" language="javascript">
    Date.firstDayOfWeek = 0;
    <?php if (PAIS == "USA") {
            echo "Date.format='mm/dd/yyyy';";
        } else {
            echo "Date.format='dd/mm/yyyy';";
        } ?>
    $(function() {
        $('.date-pick').datePicker({
            startDate: '01/01/1990'
        })
    });
    </script>
    <script type="text/javascript" language="javascript">
    $(document).ready(function() {

        $('#bt_Enviar_Email').click(function() {
            $.blockUI({
                message: $('#Tela_Email'),
                css: {
                    width: '350px'
                }
            });
            //setTimeout($.unblockUI, 6000);
        });


        $('#Enviar_Email').click(function() {
            $.blockUI({
                message: "<h2>Enviando E-mail...</h2>"
            });

            var nomeDestinatario = $("#Nome_Destinatario").val();
            var emailDestinatario = $("#Email_Destinatario").val();
            //var nomeCopia = $("#Nome_Copia").val();
            //var emailCopia = $("#Email_Copia").val();
            var de = $("#De").val();
            var ate = $("#Ate").val();
            var tipo = $("#Tipo_Rel").val();
            $.get("email_rel_grupo_atividade_descriminado.php", {
                    Nome_Destinatario: nomeDestinatario,
                    Email_Destinatario: emailDestinatario,
                    De: de,
                    Ate: ate,
                    Tipo: tipo
                },
                function(data) {
                    $("#div_resposta").html(data);
                    $.unblockUI();
                    $("#Nome_Destinatario").val('');
                    $("#Email_Destinatario").val('');
                    $("#Nome_Copia").val('');
                    $("#Email_Copia").val('');

                });

        });


        $('#Cancelar_Email').click(function() {
            $.unblockUI();
            return false;
        });


    });
    </script>
    <style type="text/css">
    thead {
        display: table-header-group;
    }

    tfoot {
        display: table-footer-group;
    }
    </style>
</head>

<body>
    <table width="100%" height="400px">
        <!-- TABELA Q ENVOLVE TODO O CONTEUDO -->
        <tr>
            <td>
                <table width="100%">
                    <tr>
                        <td align="left">
                            <font face="verdana" size="2"><i><b>Relatrio de Atividade Completo</b></i></font>
                        </td>
                        <td align="center">
                            <a href='imp_pdf_atividade_completo.php?<?php echo $_SERVER["QUERY_STRING"] ?>'
                                title="Pdf"><img src="../imagem/pdfG.png" border="0" alt="Pdf" title="Pdf" /></a>
                            <br />
                            <font face="verdana" size="2"><i>Pdf</i></font>
                        </td>
                        <td align="center">
                            <a href='imp_excel_atividade_completo.php?<?php echo $_SERVER["QUERY_STRING"] ?>'
                                title="Excel"><img src="../imagem/excelG.png" border="0" alt="Excel"
                                    title="Excel" /></a>
                            <br />
                            <font face="verdana" size="2"><i>Excel</i></font>
                        </td>
                        <!--
                            <td align="center">
                                <a href='javascript:void(0);' id="bt_Enviar_Email" title="Email"><img src="../imagem/emailG.png" border="0" alt="E-mail" title="E-mail"/></a>
                                <br/><font face="verdana" size="2"><i>E-mail</i></font>
                            </td>
                            -->
                        <td align="center">
                            <a href="imp_rel_atividade_completo.php?<?php echo $_SERVER["QUERY_STRING"] ?>"
                                title="Imprimir" target="_blank"><img src="../imagem/imprimirG.png" border="0"
                                    alt="Imprimir" title="Imprimir" /></a>
                            <br />
                            <font face="verdana" size="2"><i>Imprimir</i></font>
                        </td>
                    </tr>
                </table>
            </td>
        </tr>
        <tr>
            <td>
                <form action="" method="get">
                    <table width="100%" class="busca_rel">
                        <tr class="azul">
                            <td><input type="text" name="De" id="De" class="date-pick"
                                    value="<?php echo $_GET["De"]; ?>">&nbsp;&nbsp;&nbsp;De</td>
                            <td><input type="text" name="Ate" id="Ate" class="date-pick"
                                    value="<?php echo $_GET["Ate"]; ?>">&nbsp;&nbsp;&nbsp;At</td>
                            <td align="center">
                                <?php
                                $vetor = array('' => 'Tipo', 'Credito' => 'Crdito', 'Debito' => 'Dbito');
                                select_tela("Tipo", "Tipo", $_GET["Tipo"], $vetor, "");
                                ?>
                                <input type="hidden" value="<?php echo $_GET["Tipo"]; ?>" name="Tipo_Rel" id="Tipo_Rel">
                            </td>
                            <?php
                            //se o sistema for Multi Empresa
                            if (MULTI_EMPRESA == "Sim") {

                                //se o usuario master ele escolhe pra quem vai
                                if (ESCOLHER_EMPRESA == 'Sim') {
                            ?>
                            <td>
                                <?php
                                        echo select_banco2(
                                            "SELECT Id,Titulo FROM unidade WHERE Ativo='Sim' ORDER BY Titulo",
                                            "Unidade",
                                            "Unidade",
                                            "Empresa",
                                            $_GET["Unidade"],
                                            "style='width:200px'",
                                            ""
                                        );
                                        ?>
                            </td>
                            <?php
                                    //se no for, a unidade sempre ser a sua
                                } else {
                                    echo "<td><input type='hidden' name='Unidade' id='Unidade' value='" . $_SESSION["Unidade"] . "' ></td>";
                                }
                            } else {
                                echo "<td><input type='hidden' name='Unidade' id='Unidade' value='" . $_SESSION["Unidade"] . "' ></td>";
                            }
                            ?>
                            <td align="center">
                                <input type="submit" value="Ok" name="Ok">
                            </td>
                        </tr>
                    </table>
                </form>
            </td>
        </tr>
        <tr>
            <td>
                <table width="100%" class="tabela">
                    <thead>
                        <tr class="azul-claro">
                            <td>Cdigo</td>
                            <td colspan="2">Categoria</td>
                            <td>Valor</td>
                        </tr>
                    </thead>
                    <tfoot>
                        <tr class="cinza">
                            <td colspan="20">Relatrio de Atividade</td>
                        </tr>
                    </tfoot>

                    <?php
                    if ($_GET["Ok"]) {
                        $color = "#F5F5F5";
                        while ($chave = mysqli_fetch_assoc($atividade)) {
                            if ($color == "#F5F5F5") {
                                $color = "#E8E8E8";
                            } else {
                                $color = "#F5F5F5";
                            }


                            //valor da categoria Id_Categoria_Atividade = '".$chave["Id"]."'
                            //REPLACE(Codigo,'.','') like '" . $chave["Codigo_Categoria"] . "%'
                            $caixa_d = mysqli_query($con, "SELECT caixa.Tipo,
                            caixa.Valor,
                            caixa.Data_Caixa,
                            caixa.Obs
                            FROM caixa
                            INNER JOIN (SELECT Id,Titulo,Tipo,Codigo,Id_Categoria_Atividade
                            FROM atividade
                            WHERE REPLACE(Codigo,'.','') like '" . $chave["Codigo_Categoria"] . "%' $tipo_atividade) as atividade ON atividade.Id = caixa.Id_Atividade
                            where 1=1 $unidade_c $data_c
                            ORDER BY caixa.Data_Caixa,caixa.Obs ");


                            $valorCategoria = 0;
                            while ($linha3 = mysqli_fetch_assoc($caixa_d)) {

                                if ($linha3['Tipo'] == 'Entrada') {
                                    $valorCategoria += $linha3['Valor'];
                                }
                                if ($linha3['Tipo'] == 'Saida') {
                                    $valorCategoria -= $linha3['Valor'];
                                }
                                if ($linha3['Tipo'] == 'Cancelado') {
                                    $valorCategoria += '0';
                                }
                            }
                    ?>
                    <tr>
                        <td colspan="5"> &nbsp;</td>
                    </tr>
                    <tr bgcolor=<?php echo "$color"; ?>>
                        <td><b><?php echo $chave["Codigo"] ?></b></td>
                        <td colspan="2"><b><?php echo $chave["Categoria"] ?></b></td>
                        <td><b><?php echo valor_exibir($valorCategoria); ?></b></td>
                    </tr>

                    <tr class="azul-claro">
                        <td>Tipo</td>
                        <td>Cdigo</td>
                        <td>Titulo</td>
                        <td>Valor</td>
                    </tr>

                    <?php
                            //buscando o caixa pela atividade
                            $caixa_atividade = mysqli_query($con, "SELECT SUM(IF(caixa.Tipo='Entrada',caixa.Valor,(-caixa.Valor))) as Valor,
                                                caixa.Id_Atividade,
                                                atividade.Titulo as Atividade,
                                                atividade.Codigo,
                                                atividade.Tipo
                                                FROM caixa
                                                INNER JOIN (SELECT Id,Id_Categoria_Atividade,Titulo,Codigo,Tipo FROM atividade) as atividade ON caixa.Id_Atividade = atividade.Id
                                                INNER JOIN (SELECT Id FROM categoria_atividade) as categoria_atividade ON atividade.Id_Categoria_Atividade = categoria_atividade.Id
                                                where 1=1 $unidade_c $data_c
                                                AND categoria_atividade.Id = '" . $chave["Id"] . "'
                                                AND caixa.Tipo <> 'Cancelado'
                                                AND caixa.Transferencia = 'No'
                                                GROUP BY caixa.Id_Atividade
                                                ORDER BY atividade.Tipo,caixa.Data_Caixa");

                            $color1 = "#F5F5F5";
                            while ($linha1 = mysqli_fetch_assoc($caixa_atividade)) {

                                if ($color1 == "#F5F5F5") {
                                    $color1 = "#E8E8E8";
                                } else {
                                    $color1 = "#F5F5F5";
                                }

                                $corStatus = "";
                                if ($linha1["Tipo"] == 'Credito') {
                                    $corStatus = "color = '#228B22' ";
                                    $nStatus = 'Crdito';
                                }
                                if ($linha1["Tipo"] == 'Debito') {
                                    $corStatus = "color = '#CD2626' ";
                                    $nStatus = 'Dbito';
                                }
                            ?>
                    <tr bgcolor=<?php echo $color1; ?>>
                        <td>
                            <font <?php echo $corStatus ?>>
                                <?php echo $nStatus; ?>
                            </font>
                        </td>
                        <td><?php echo $linha1['Codigo']; ?></td>
                        <td><?php echo $linha1['Atividade']; ?></td>
                        <td><?php echo number_format($linha1['Valor'], 2, ",", "."); ?></td>
                    </tr>

                    <?php

                                //fim de caixa pela atividade
                            }

                            $x++;
                        }
                        ?>
                    <tr>
                        <td colspan="4">&nbsp;</td>
                    </tr>
                    <?php
                        $caixa_d = mysqli_query($con, "SELECT caixa.Tipo,
                    caixa.Valor,
                    caixa.Data_Caixa,
                    caixa.Obs
                    FROM caixa
                    INNER JOIN (SELECT Id,Titulo,Tipo,Codigo,Id_Categoria_Atividade
                    FROM atividade
                    WHERE REPLACE(Codigo,'.','') like '" . $chave["Codigo_Categoria"] . "%' $tipo_atividade) as atividade ON atividade.Id = caixa.Id_Atividade
                    where 1=1 $unidade_c $data_c
                    ORDER BY caixa.Data_Caixa,caixa.Obs ");


                        $valorCategoria = 0;
                        while ($linha3 = mysqli_fetch_assoc($caixa_d)) {

                            if ($linha3['Tipo'] == 'Entrada') {
                                $valorFinalCaixa[$linha3["Tipo"]] += $linha3['Valor'];
                            }
                            if ($linha3['Tipo'] == 'Saida') {
                                $valorFinalCaixa[$linha3["Tipo"]] += $linha3['Valor'];
                            }
                            if ($linha3['Tipo'] == 'Cancelado') {
                                $valorFinalCaixa[$linha3["Tipo"]] += '0';
                            }
                        }
                        //fim if categoria atividade
                    }
                    //fim validacao do Ok


                    ?>
                    <tr>
                        <td align="right">Totais : &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</td>
                        <td colspan="3" align="center">
                            <font color="#228B22"><b>Crditos</b></font> :
                            <?php echo valor_exibir($valorFinalCaixa["Entrada"]) ?> -
                            <font color="#CD2626"><b>Dbitos</b></font> :
                            <?php echo valor_exibir($valorFinalCaixa["Saida"]) ?> =
                            <b>Total</b> :
                            <?php echo valor_exibir($valorFinalCaixa["Entrada"] - $valorFinalCaixa["Saida"]) ?>
                        </td>
                    </tr>

                    </tbody>
                </table>
            </td>
        </tr>
        <tr>
            <td>
                <div id="div_resposta"></div>
            </td>
        </tr>
    </table>
    <br>
    <!-- INICIO DA TELA MODAL ENVIO DE EMAIL-->
    <!-- No css existe um estilo para essas divs que as deixa invisivel - display:none; -->
    <?php include_once "../include/email_tabela.php"; ?>
    <!-- FIM DA TELA MODAL ENVIO DE EMAIL-->
</body>

</html>