<?php
include_once '../include/conecta.php'; //Conecta com a nosso banco de dados MySQL
include_once '../include/ver_sessao.php'; //Verifica se a sesso est ativa
include_once '../include/funcoesPhp.php';
include_once '../menu_movimento.php';
?>
<?php
if (($_GET["Finalizado"]) || ($_GET["Aberto"]) || ($_GET["Cancelado"])) {

    $status = "AND (";

    if ($_GET["Finalizado"]) {
        $status .= " venda.Status = 'Finalizado' OR";
    }
    if ($_GET["Aberto"]) {
        $status .= " venda.Status = 'Aberto' OR";
    }
    if ($_GET["Cancelado"]) {
        $status .= " venda.Status = 'Cancelado' OR";
    }

    $status = substr($status, 0, -2);
    $status .= ")";
}

if ($_GET['Data_Filtro'] == 'Data') {
    if ($_GET["De"])
        $data .= "AND venda.Data_Venda >= '" . data_banco($_GET["De"]) . " 00:00:00' ";
    if ($_GET["Ate"])
        $data .= "AND venda.Data_Venda <= '" . data_banco($_GET["Ate"]) . " 23:59:59' ";
}
if ($_GET['Data_Filtro'] == 'Conclusao') {
    if ($_GET["De"])
        $data .= "AND venda.Data_Conclusao >= '" . data_banco($_GET["De"]) . " 00:00:00' ";
    if ($_GET["Ate"])
        $data .= "AND venda.Data_Conclusao <= '" . data_banco($_GET["Ate"]) . " 23:59:59' ";
}

if ($_GET["Cliente"]) {

    $mystring = $_GET["Cliente"];
    $findme = " : ";

    $posicao = strpos($mystring, $findme);

    $cod_cli = substr($_GET["Cliente"], 0, $posicao);
    $nome_cli = substr($_GET["Cliente"], ($posicao + 3));


    if (CLIENTE_RAZAO_SOCIAL == 'Sim') {
        $nome = 'Razao_Social';
    } else {
        $nome = 'Titulo';
    }
    /* convertendo o nome do fornecedor, para o seu codigo */
    $Prodt = listar("SELECT Id FROM cliente WHERE " . $nome . " ='" . $nome_cli . "' AND Codigo = '" . $cod_cli . "' ");
    $_GET["Cliente"] = $Prodt[0]["Id"];

    $Cliente .= "AND venda.Id_Cliente = '" . $_GET["Cliente"] . "' ";
}

if ($_GET["Produto"]) {

    $mystring = $_GET["Produto"];
    $findme = " : ";

    $posicao = strpos($mystring, $findme);

    $cod_cli = substr($_GET["Produto"], 0, $posicao);
    $nome_cli = substr($_GET["Produto"], ($posicao + 3));


    /* convertendo o nome do fornecedor, para o seu codigo */
    $Prodt = listar("SELECT Id FROM produto WHERE Titulo='" . $nome_cli . "' AND Codigo = '" . $cod_cli . "' ");
    $_GET["Produto"] = $Prodt[0]["Id"];

    $venda_produto = "AND venda_produto.Id_Produto = '" . $_GET["Produto"] . "' ";
}

if ($_GET["Usuario"])
    $Usuario = "AND venda.Id_Usuario = '" . $_GET["Usuario"] . "' ";

if ($_GET["Funcionario"])
    $usuario_p .= "AND venda.Id_Funcionario = '" . $_GET["Funcionario"] . "' ";

if ($_GET["Vendedor"]) {
    $CampoSql = "venda.Id_Vendedor";
    include '../include/vendedor_gerente.php';

    $usuario_p .= "AND (venda.Id_Vendedor = '" . $_GET["Vendedor"] . "' $carteira ) ";
}

if ($_GET["EF"])
    $usuario_p .= "AND venda.EF = '" . $_GET["EF"] . "' ";

if ($_GET["Unidade"]) {
    $Unidade = "AND venda.Id_Unidade = '" . $_GET["Unidade"] . "' ";
}
if ($_GET["Financeiro"]) {
    $faturamento = "AND venda.Financeiro = '" . $_GET["Financeiro"] . "' ";
}

if ($_GET["Ok"]) {
    $venda = mysqli_query($con, "SELECT venda.Id, 
                                        venda.Lancamento,
                                        venda.Status,
                                        venda.Frete,
                                        venda.Qtd_Vol as Volume,
                                        venda.Data_Venda,
                                        venda.Data_Cadastro,
                                        venda.Data_Conclusao,
                                        venda.Desconto,
                                        venda.Desconto_Real,
                                        venda.Frete as Tipo_Frete,
                                        venda.Data_Nfe,
                                        venda.Fatura,
                                        MONTH(venda.Data_Venda) as Mes_Nfe,
                                        YEAR(venda.Data_Venda) as Ano_Nfe,
                                        Id_Vendedor,
                                        Id_Funcionario,
                                        Id_Transportadora,
                                        Id_Cliente,
                                        Id_Tipo_Pagamento,
                                        Id_Cfop
                                    FROM venda
                                    WHERE 1=1 
                                    $faturamento
                                    $data 
                                    $status 
                                    $usuario_p 
                                    $Cliente 
                                    $Unidade 
                                    $Usuario
                                    GROUP BY venda.Lancamento
                                    ORDER BY venda.Lancamento");
}
?>
<html>

<head>
    <title>Gw - Gesto Web</title>
    <link rel="stylesheet" type="text/css" href="../estilo/<?php echo SKIN; ?>/tabelas.css" />
    <link rel="stylesheet" type="text/css" href="../js/datePicker/datePicker.css" />
    <link rel="stylesheet" type="text/css" href="../js/autocomplete/jquery.autocomplete.css" />
    <link rel="stylesheet" type="text/css" href="../js/autocomplete/lib/thickbox.css" />
    <script type="text/javascript" language="javascript" src="../js/jquery.js"></script>
    <?php include '../include/script_cabeca.php'; ?>
    <script type="text/javascript" language="javascript" src="../js/script.js"></script>
    <script type="text/javascript" language="javascript" src="../js/meiomask/meiomask.js"></script>
    <script type="text/javascript" language="javascript" src="../js/meiomask/<?php if (PAIS == "USA") {
                                                                                    echo "mascaras-usa";
                                                                                } else {
                                                                                    echo "mascaras";
                                                                                } ?>.js"></script>
    <script type="text/javascript" language="javascript" src="../js/autocomplete/lib/jquery.bgiframe.min.js"></script>
    <script type="text/javascript" language="javascript" src="../js/autocomplete/lib/jquery.ajaxQueue.js"></script>
    <script type="text/javascript" language="javascript" src="../js/autocomplete/lib/thickbox-compressed.js"></script>
    <script type="text/javascript" language="javascript" src="../js/autocomplete/jquery.autocomplete.js"></script>
    <!-- required plugins -->
    <script language="javascript" type="text/javascript" src="../js/datePicker/<?php if (PAIS == "USA") {
                                                                                    echo "date";
                                                                                } else {
                                                                                    echo "date-pt";
                                                                                } ?>.js">
    </script>
    <script type="text/javascript" src="../js/datePicker/jquery.datePicker.js"></script>
    <script type="text/javascript" language="javascript">
    Date.firstDayOfWeek = 0;
    <?php if (PAIS == "USA") {
            echo "Date.format='mm/dd/yyyy';";
        } else {
            echo "Date.format='dd/mm/yyyy';";
        } ?>
    $(function() {
        $('.date-pick').datePicker({
            startDate: '01/01/1990'
        });
    });
    </script>
    <script type="text/javascript" language="javascript">
    $(document).ready(function() {
        $("#Cliente").autocomplete("busca_cliente.php", {
            width: 340,
            SELECTFirst: true,
            scroll: false,
            cacheLength: 100,
            max: 100
        });
        $("#Produto").autocomplete("busca_produto.php", {
            width: 340,
            SELECTFirst: true,
            scroll: false,
            cacheLength: 100,
            max: 100
        });
    });
    </script>
    <script type="text/javascript" language="javascript">
    $(document).ready(function() {

        $('#bt_Enviar_Email').click(function() {
            $.blockUI({
                message: $('#Tela_Email'),
                css: {
                    width: '350px'
                }
            });
            //setTimeout($.unblockUI, 6000);
        });


        $('#Enviar_Email').click(function() {
            $.blockUI({
                message: "<h2>Enviando E-mail...</h2>"
            });

            var nomeDestinatario = $("#Nome_Destinatario").val();
            var emailDestinatario = $("#Email_Destinatario").val();
            //var nomeCopia = $("#Nome_Copia").val();
            //var emailCopia = $("#Email_Copia").val();
            var de = $("#De").val();
            var ate = $("#Ate").val();
            var Funcionario = $("#Funcionario").val();
            var Cliente = $("#Cliente").val();
            var Produto = $("#Produto").val();
            var Finalizado_rel = $("#Finalizado_Rel").val();
            var cancelado_rel = $("#Cancelado_Rel").val();
            var aberto_rel = $("#Aberto_Rel").val();
            $.get("email_rel_venda.php", {
                    Nome_Destinatario: nomeDestinatario,
                    Email_Destinatario: emailDestinatario,
                    De: de,
                    Ate: ate,
                    Funcionario: Funcionario,
                    Produto: Produto,
                    Finalizado: Finalizado_rel,
                    Cancelado: cancelado_rel,
                    Aberto: aberto_rel,
                    Cliente: Cliente
                },
                function(data) {
                    $("#div_resposta").html(data);
                    $.unblockUI();
                    $("#Nome_Destinatario").val('');
                    $("#Email_Destinatario").val('');
                    $("#Nome_Copia").val('');
                    $("#Email_Copia").val('');
                });

        });


        $('#Cancelar_Email').click(function() {
            $.unblockUI();
            return false;
        });


    });
    </script>
    <style type="text/css">
    thead {
        display: table-header-group;
    }

    tfoot {
        display: table-footer-group;
    }
    </style>
</head>

<body>
    <table width="140%" height="400px">
        <!-- TABELA Q ENVOLVE TODO O CONTEUDO -->
        <tr>
            <td>
                <table width="100%">
                    <tr>
                        <td align="left">
                            <font face="verdana" size="2"><i><b>Relatrio Business Intelligence</b></i></font>
                        </td>
                        <td align="center">
                            <a href='imp_pdf_bi_biowash.php?<?php echo $_SERVER["QUERY_STRING"] ?>' title="Pdf"><img
                                    src="../imagem/pdfG.png" border="0" alt="Pdf" title="Pdf" /></a>
                            <br />
                            <font face="verdana" size="2"><i>Pdf</i></font>
                        </td>
                        <td align="center">
                            <a href='imp_excel_bi_biowash.php?<?php echo $_SERVER["QUERY_STRING"] ?>' title="Excel"><img
                                    src="../imagem/excelG.png" border="0" alt="Excel" title="Excel" /></a>
                            <br />
                            <font face="verdana" size="2"><i>Excel</i></font>
                        </td>
                        <td align="center">
                            <a href="imp_rel_bi_biowash.php?<?php echo $_SERVER["QUERY_STRING"] ?>" title="Imprimir"
                                target="_blank"><img src="../imagem/imprimirG.png" border="0" alt="Imprimir"
                                    title="Imprimir" /></a>
                            <br />
                            <font face="verdana" size="2"><i>Imprimir</i></font>
                        </td>
                    </tr>
                </table>
            </td>
        </tr>
        <tr>
            <td>
                <form action="" method="get">
                    <table width="100%" class="busca_rel">
                        <tr class="azul">
                            <td>De<input type="text" name="De" id="De" class="date-pick" size="10"
                                    value="<?php echo $_GET["De"]; ?>"></td>
                            <td>At<input type="text" name="Ate" id="Ate" class="date-pick" size="10"
                                    value="<?php echo $_GET["Ate"]; ?>"></td>
                            <?php
                            if ($_GET['Data_Filtro'] == 'Data') {
                                $Data = 'checked';
                            } else if ($_GET['Data_Filtro'] == 'Conclusao') {
                                $Conclusao = 'checked';
                            } else {
                                $Data  = 'checked';
                            }
                            ?>
                            <td>
                                <input type="radio" name="Data_Filtro" value='Data' id="Data"
                                    <?php echo $Data; ?>><label class="label_radio" for="Data">Data Abertura</label>
                                <input type="radio" name="Data_Filtro" value='Conclusao' id="Conclusao"
                                    <?php echo $Conclusao; ?>><label class="label_radio" for="Conclusao">Data
                                    Concluso</label>
                            </td>
                        </tr>
                        <tr class="azul">
                            <td>
                                <?php
                                if (CLIENTE_RAZAO_SOCIAL == 'Sim') {
                                    $nome = 'Razao_Social';
                                } else {
                                    $nome = 'Titulo';
                                }

                                $Produt = listar("SELECT CONCAT(Codigo,' : ', " . $nome . ") as Titulo FROM cliente WHERE Id='" . $_GET['Cliente'] . "'");
                                $_GET["Cliente"] = $Produt[0]["Titulo"];
                                ?>
                                <label for="Cliente"><b> * Cdigo / Cliente :</b></label>
                                <input style="width: 220px; height: 20px;" type="text" id="Cliente" name="Cliente"
                                    value="<?php echo $_GET['Cliente']; ?>" />
                            </td>
                            <td>
                                <?php
                                //se o sistema for Multi Empresa
                                if (MULTI_EMPRESA == "Sim") {

                                    //se o usuario master ele escolhe pra quem vai
                                    if (ESCOLHER_EMPRESA == 'Sim') {
                                ?>

                                <?php echo SELECT_banco2(
                                            "SELECT Id,Titulo FROM unidade WHERE Ativo='Sim' ORDER BY Titulo",
                                            "Unidade",
                                            "Unidade",
                                            "Empresa",
                                            $_GET["Unidade"],
                                            'style="width:200px"',
                                            ""
                                        );
                                        ?>

                                <?php
                                        //se no for, a unidade sempre ser a sua
                                    } else {
                                        echo "<input type='hidden' name='Unidade' id='Unidade' value='" . $_SESSION["Unidade"] . "' >";
                                    }
                                } else {
                                    echo "<input type='hidden' name='Unidade' id='Unidade' value='" . $_SESSION["Unidade"] . "' >";
                                }
                                ?>
                                &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
                                <?php
                                $vetor = array('' => 'Com Financeiro', 'Sim' => 'Sim', 'No' => 'No');
                                SELECT_tela("Financeiro", "Financeiro", $_GET["Financeiro"], $vetor, '', "");
                                ?>
                            </td>
                            <td>
                                <?php
                                echo SELECT_banco2(
                                    "SELECT distinct Id, Titulo from funcionario where Ativo = 'Sim' AND Vendedor = 'Sim' order by Titulo",
                                    "Funcionario",
                                    "Funcionario",
                                    "Responsvel",
                                    $_GET["Funcionario"],
                                    'style="width:200px"'
                                );
                                ?>
                            </td>
                        </tr>
                        <tr class="azul">
                            <td>
                                <?php
                                /* convertendo o codigo do produto, para o seu nome */
                                $Produt = listar("SELECT CONCAT(Codigo,' : ', Titulo) as Titulo FROM produto WHERE Id='" . $_GET["Produto"] . "'");
                                $_GET["Produto"] = $Produt[0]["Titulo"];
                                ?>
                                <label for="Produto"><b> * Cdigo / Produto :</b></label>
                                <input style="width: 200px; height: 20px;" type="text" name="Produto" id="Produto"
                                    value="<?php echo $_GET["Produto"] ?>">
                            </td>
                            <td>
                                <input type="checkbox" name="Finalizado" value="Finalizado"
                                    <?php if ($_GET["Finalizado"]) echo "checked='checked' "; ?>>Finalizado
                                <input type="checkbox" name="Aberto" value="Aberto"
                                    <?php if ($_GET["Aberto"]) echo "checked='checked' "; ?>>Em Lanamento
                                <input type="checkbox" name="Cancelado" value="Cancelado"
                                    <?php if ($_GET["Cancelado"]) echo "checked='checked' "; ?>>Cancelado

                                <input type="hidden" value="<?php echo $_GET["Finalizado"]; ?>" name="Finalizado_Rel"
                                    id="Finalizado_Rel">
                                <input type="hidden" value="<?php echo $_GET["Aberto"]; ?>" name="Aberto_Rel"
                                    id="Aberto_Rel">
                                <input type="hidden" value="<?php echo $_GET["Cancelado"]; ?>" name="Cancelado_Rel"
                                    id="Cancelado_Rel">
                            </td>
                            <td>
                                <?php
                                include '../include/vendedor_gerente.php';

                                echo SELECT_banco2(
                                    "SELECT Id, Titulo from funcionario where Ativo = 'Sim' AND Vendedor = 'Sim' $grupoVend $func order by Titulo",
                                    "Vendedor",
                                    "Vendedor",
                                    "Vendedor",
                                    $_GET["Vendedor"],
                                    $dis,
                                    'form-control'
                                );

                                ?>
                                &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
                                <input type="submit" value="Ok" name="Ok">
                            </td>
                        </tr>
                    </table>
                </form>
            </td>
        </tr>
        <tr>
            <td>
                <table width="100%" class="tabela">
                    <tr class="cinza">
                        <td>Data Venda</td>
                        <td>Data Nfe</td>
                        <td>Nfe</td>
                        <td>Ms Pedido</td>
                        <td>Ano Pedido</td>
                        <td>N Pedido</td>
                        <td>Cdigo Cliente</td>
                        <td>Cliente</td>
                        <td>Cidade</td>
                        <td>Estado</td>
                        <td>CEP</td>
                        <td>Latitude</td>
                        <td>Longitude</td>
                        <td>Cadastro Cliente</td>
                        <td>Categoria Cliente</td>
                        <td>Sub Categoria Cliente</td>
                        <td>Cdigo</td>
                        <td>Produto</td>
                        <td>Custo</td>
                        <td>Categoria</td>
                        <td>Sub Categoria</td>
                        <td>Volume</td>
                        <td>Qtd</td>
                        <td>Medida</td>
                        <td>Valor Unitrio</td>
                        <td>Lote</td>
                        <td>Cfop</td>
                        <td>$ Icms ST</td>
                        <td>$ FCP</td>
                        <td>% Desconto</td>
                        <td>$ Desconto</td>
                        <td>$ Desc Rat</td>
                        <td>Transportadora</td>
                        <td>Tipo Frete</td>
                        <td>$ Frete</td>
                        <td>Peso Kg</td>
                        <td>Total</td>
                        <td>Vendedor</td>
                        <td>Tipo Pagamento</td>
                        <td>Data Pagamento</td>
                        <td>Tabela Preo</td>
                        <td>Preo Tabela</td>
                        <td>Moeda</td>
                        <td>Status</td>
                    </tr>

                    <?php
                    if ($_GET["Ok"]) {


                        while ($chave = mysqli_fetch_assoc($venda)) {
                            $produto = mysqli_query($con, "SELECT venda_produto.Id_Produto,
                                    venda_produto.Id_Cfop,
                                    venda_produto.Preco,
                                    venda_produto.Preco_Custo,
                                    venda_produto.Qtd,
                                    venda_produto.Volume,
                                    venda_produto.Lote,
                                    venda_produto.Preco_Tabela,
                                    venda_produto.Icms_Sub,
                                    venda_produto.ST_Icms,
                                    venda_produto.Icms,
                                    venda_produto.Mva,
                                    venda_produto.FCP,
                                    venda_produto.Frete as Valor_Frete,
                                    venda_produto.Desconto_Real_Pe_Nota,
                                    venda_produto.Despesa,
                                    venda_produto.ReducaoBC,
                                    venda_produto.Reducao,
                                    venda_produto.Valor_Faturado,
                                    venda_produto.Desconto,
                                    venda_produto.Desconto_Real
                                    from venda_produto
                                    WHERE venda_produto.Id_Venda = '" . $chave["Id"] . "'
                                    $venda_produto
                                    ORDER BY venda_produto.Data_Cadastro");
                    ?>
                    <?php
                            $color = "#F5F5F5";
                            $vtotal = '0';
                            $VICMSST = 0;
                            while ($valor = mysqli_fetch_assoc($produto)) {

                                if ($color == "#F5F5F5") {
                                    $color = "#E8E8E8";
                                } else {
                                    $color = "#F5F5F5";
                                }

                                $nome1 = mysqli_query($con, "SELECT Titulo as Vendedor FROM funcionario WHERE Id = '" . $chave['Id_Vendedor'] . "'");
                                $nome1 = mysqli_fetch_assoc($nome1);

                                $nome3 = mysqli_query($con, "SELECT Id,Titulo,Razao_Social,Id_Categoria_Cliente,Id_Categoria_Cliente_Filho,Codigo,Cidade,Estado,
                                        Cep,Latitude,Longitude,Data_Cadastro,Tabela_Preco,Cliente_FCP 
                                        FROM cliente WHERE Id = '" . $chave['Id_Cliente'] . "'");
                                $nome3 = mysqli_fetch_assoc($nome3);

                                $nome4 = mysqli_query($con, "SELECT Id,Titulo as Categoria_Cliente FROM categoria_cliente WHERE Id = '" . $nome3['Id_Categoria_Cliente'] . "'");
                                $nome4 = mysqli_fetch_assoc($nome4);

                                $nome5 = mysqli_query($con, "SELECT Id,Titulo as Categoria_Cliente_Filho FROM categoria_cliente WHERE Id = '" . $nome3['Id_Categoria_Cliente_Filho'] . "'");
                                $nome5 = mysqli_fetch_assoc($nome5);

                                $nome6 = mysqli_query($con, "SELECT Id,Titulo,Codigo,Id_Categoria_Produto,Id_Categoria_Produto_Filho,Medida,Peso_Liquido 
                                    FROM produto WHERE Id = '" . $valor['Id_Produto'] . "'");
                                $nome6 = mysqli_fetch_assoc($nome6);

                                $nome7 = mysqli_query($con, "SELECT Id,Titulo as Categoria_Produto FROM categoria_produto WHERE Id = '" . $nome6['Id_Categoria_Produto'] . "'");
                                $nome7 = mysqli_fetch_assoc($nome7);

                                $nome8 = mysqli_query($con, "SELECT Id,Titulo as Categoria_Produto_Filho FROM categoria_produto WHERE Id = '" . $nome6['Id_Categoria_Produto_Filho'] . "'");
                                $nome8 = mysqli_fetch_assoc($nome8);

                                $nome9 = mysqli_query($con, "SELECT Cfop FROM cfop WHERE Id = '" . $valor['Id_Cfop'] . "'");
                                $nome9 = mysqli_fetch_assoc($nome9);

                                $nome10 = mysqli_query($con, "SELECT Titulo as Transportadora FROM fornecedor WHERE Id = '" . $chave['Id_Transportadora'] . "'");
                                $nome10 = mysqli_fetch_assoc($nome10);

                                $nome11 = mysqli_query($con, "SELECT Titulo as Tipo_Pagamento FROM tipo_pagamento WHERE Id = '" . $chave['Id_Tipo_Pagamento'] . "'");
                                $nome11 = mysqli_fetch_assoc($nome11);

                                $nome12 = mysqli_query($con, "SELECT Data_Pagamento FROM conta_receber WHERE Id_Externo = '" . $chave['Id'] . "'");
                                $nome12 = mysqli_fetch_assoc($nome12);

                            ?>
                    <tr bgcolor=<?php echo "$color"; ?>>
                        <td><?php echo data_exibir($chave["Data_Venda"]) ?></td>
                        <td><?php echo data_exibir($chave["Data_Nfe"]) ?></td>
                        <td><?php echo ($chave["Fatura"]) ?></td>
                        <td><?php echo ($chave["Mes_Nfe"]) ?></td>
                        <td><?php echo ($chave["Ano_Nfe"]) ?></td>
                        <td><?php echo ($chave["Lancamento"]) ?></td>
                        <td><?php echo ($nome3["Codigo"]) ?></td>
                        <!-- <td><?php echo date('H:i:s', strtotime($chave["Data_Cadastro"])) ?></td> -->
                        <td>
                            <?php
                                        if (CLIENTE_RAZAO_SOCIAL == 'Sim') {
                                            echo $nome3["Razao_Social"];
                                        } else {
                                            echo $nome3["Titulo"];
                                        }
                                        ?>
                        </td>
                        <td><?php echo $nome3["Cidade"] ?></td>
                        <td><?php echo $nome3["Estado"] ?></td>
                        <td><?php echo $nome3["Cep"] ?></td>
                        <td><?php echo $nome3["Latitude"] ?></td>
                        <td><?php echo $nome3["Longitude"] ?></td>
                        <td><?php echo data_exibir($nome3["Data_Cadastro"]) ?></td>
                        <td><?php echo $nome4["Categoria_Cliente"] ?></td>
                        <td><?php echo $nome5["Categoria_Cliente_Filho"] ?></td>
                        <td><?php echo $nome6["Codigo"] ?></td>
                        <td><?php echo $nome6["Titulo"] ?></td>
                        <td><?php echo valor_exibir($valor["Preco_Custo"]) ?></td>
                        <td><?php echo $nome7["Categoria_Produto"] ?></td>
                        <td><?php echo $nome8["Categoria_Produto_Filho"] ?></td>
                        <td><?php echo valor_exibir($chave["Volume"]) ?></td>
                        <td><?php echo valor_exibir($valor["Qtd"]) ?></td>
                        <td><?php echo ($nome6["Medida"]) ?></td>
                        <td><?php echo valor_exibir($valor["Preco"]) ?></td>
                        <td><?php echo ($valor["Lote"]) ?></td>
                        <td><?php echo ($nome9["Cfop"]) ?></td>

                        <?php

                                    $v_unit_normal = valor_banco(valor_exibir($valor['Qtd'] * $valor['Preco'], 2));
                                    $v_unit_fat = $valor['Valor_Faturado'];
                                    $desc_perc = valor_banco(valor_exibir((($linha['Qtd'] * $linha['Preco']) * ($linha['Desconto'] / 100)), 2));


                                    if (($v_unit_normal != $v_unit_fat) && ($valor['Valor_Faturado'] > 0)) {
                                        $v_unit_calculo = $valor['Valor_Faturado'];
                                    } else {
                                        $v_unit_calculo = valor_banco(valor_exibir((($valor['Qtd'] * $valor['Preco']) - $desc_perc) - $valor['Desconto_Real'] - $valor['Desconto_Real_Pe_Nota'], 2));
                                    }

                                    if (($valor['ST_Icms'] == '201') || ($valor['ST_Icms'] == '202') || ($valor['ST_Icms'] == '900')) {
                                        $VBC = number_format(($v_unit_calculo) + ($valor['Valor_Frete'] + $valor['Despesa']), 2, '.', '');
                                        if ($valor['ReducaoBC'] > '0') {
                                            $VBC = $VBC - ($VBC * ($valor['ReducaoBC'] / 100));
                                        }
                                        $VICMS = ($VBC * ($valor['Icms'] / 100));
                                        //$ValorICMSProprioparaST = $VBC * ($valor['Icms_Sub']/100);//calc diferente
                                        $vBCST = ($VBC + $bcstIpi) * (1 + (($valor['Mva'] / 100)));
                                        $vBCST = $vBCST - ($vBCST * ($valor['Reducao'] / 100));

                                        //$VICMSST += number_format($vBCST * ($valor['Icms_Sub'] / 100), 2, '.', '') - ($VICMS);
                                        $VICMSST = ($vBCST * ($valor['Icms_Sub'] / 100)) - ($VICMS);
                                    } else {
                                        $VICMSST = '0.00';
                                    }
                                    ?>

                        <td><?php echo valor_exibir($VICMSST) ?>
                            <?php
                                        //calculo FCPST
                                        if (($valor['ST_Icms'] == '201') || ($valor['ST_Icms'] == '202') || ($valor['ST_Icms'] == '900') ||
                                            $valor['ST_Icms'] == '10' || $valor['ST_Icms'] == '70' || $valor['ST_Icms'] == '90'
                                        ) {
                                            if (($chave["Cliente_FCP"] == 'Sim') &&
                                                // ($chave["Estado"] != $valor["Estado_Unidade"]) &&
                                                ($valor["FCP"] > '0')
                                            ) {
                                                $vtFCPST = $vBCST;
                                                $vtFCPST = str_replace('.', '', $vtFCPST);
                                                $vtFCPST = str_replace(',', '.', $vtFCPST);

                                                $vtFCPSTItem = number_format($vtFCPST * ($valor["FCP"] / 100), 2, ".", "");
                                            }
                                        } else {
                                            $vtFCPSTItem = '0.00';
                                        }
                                        ?>

                        <td><?php echo valor_exibir($vtFCPSTItem) ?>
                        </td>
                        <td><?php echo valor_exibir($valor["Desconto"]) ?></td>
                        <td><?php echo valor_exibir($valor["Desconto_Real"]) ?></td>
                        <td><?php echo valor_exibir($valor["Desconto_Real_Pe_Nota"]) ?></td>
                        <td><?php echo ($nome10["Transportadora"]) ?></td>
                        <td><?php echo ($chave["Tipo_Frete"]) ?></td>
                        <td><?php echo valor_exibir($valor["Valor_Frete"]) ?></td>
                        <td><?php echo ($nome6["Peso_Liquido"] * $valor["Qtd"]) ?></td>
                        <td><?php echo @valor_exibir((($valor["Preco"] * $valor["Qtd"]) - (($valor["Preco"] * $valor["Qtd"]) * ($valor["Desconto"] / 100))) - ($valor["Desconto_Real"] + $valor["Desconto_Real_Pe_Nota"]) + ($VICMSST + $vtFCPSTItem)); ?>
                        <td><?php echo ($nome1["Vendedor"]) ?></td>
                        <td><?php echo ($nome11["Tipo_Pagamento"]) ?></td>
                        <td><?php echo data_exibir($nome12["Data_Pagamento"]) ?></td>
                        <td><?php echo ($nome3["Tabela_Preco"]) ?></td>
                        <td><?php echo valor_exibir($valor["Preco_Tabela"]) ?></td>
                        <td><?php echo 'Real' ?></td>
            </td>
            <?php
                                $corStatus = "";
                                if ($chave['Status'] == 'Finalizado') {
                                    $corStatus = "color = '#228B22' ";
                                }
                                if ($chave['Status'] == 'Aberto') {
                                    $corStatus = "color = '#3A5FCD' ";
                                }
                                if ($chave['Status'] == 'Cancelado') {
                                    $corStatus = "color = '#CD2626' ";
                                }
            ?>
            <td>
                <font <?php echo $corStatus ?>>
                    <b><?php echo $chave["Status"] ?></b>
                </font>
            </td>
        </tr>
        <?php
                            }
    ?>


        <?php }
                    } ?>

    </table>
    </td>
    </tr>
    <tr>
        <td>
            <div id="div_resposta"></div>
        </td>
    </tr>
    </table>
    <!-- INICIO DA TELA MODAL ENVIO DE EMAIL-->
    <!-- No css existe um estilo para essas divs que as deixa invisivel - display:none; -->
    <?php include_once "../include/email_tabela.php"; ?>
    <!-- FIM DA TELA MODAL ENVIO DE EMAIL-->
    <br>
</body>

</html>