<?php
include_once '../include/conecta.php'; //Conecta com a nosso banco de dados MySQL
include_once '../include/ver_sessao.php'; //Verifica se a sesso est ativa
include_once '../include/funcoesPhp.php';
include_once '../menu_movimento.php';
?>
<?php
if (($_GET["Finalizado"]) || ($_GET["Aberto"]) || ($_GET["Cancelado"])) {

    $status = "AND (";

    if ($_GET["Finalizado"]) {
        $status .= " compra.Status = 'Finalizado' OR";
    }
    if ($_GET["Aberto"]) {
        $status .= " compra.Status = 'Aberto' OR";
    }
    if ($_GET["Cancelado"]) {
        $status .= " compra.Status = 'Cancelado' OR";
    }

    $status = substr($status, 0, -2);
    $status .= ")";
}

if ($_GET['Data_Filtro'] == 'Data') {
    if ($_GET["De"])
        $data .= "AND compra.Data_compra >= '" . data_banco($_GET["De"]) . " 00:00:00' ";
    if ($_GET["Ate"])
        $data .= "AND compra.Data_compra <= '" . data_banco($_GET["Ate"]) . " 23:59:59' ";
}
if ($_GET['Data_Filtro'] == 'Conclusao') {
    if ($_GET["De"])
        $data .= "AND compra.Data_Conclusao >= '" . data_banco($_GET["De"]) . " 00:00:00' ";
    if ($_GET["Ate"])
        $data .= "AND compra.Data_Conclusao <= '" . data_banco($_GET["Ate"]) . " 23:59:59' ";
}

if ($_GET["Fornecedor"]) {

    $mystring = $_GET["forFornecedornecedor"];
    $findme = " : ";

    $posicao = strpos($mystring, $findme);

    $cod_cli = substr($_GET["Fornecedor"], 0, $posicao);
    $nome_cli = substr($_GET["Fornecedor"], ($posicao + 3));


    if (FORNECEDOR_RAZAO_SOCIAL == 'Sim') {
        $nome = 'Razao_Social';
    } else {
        $nome = 'Titulo';
    }
    /* convertendo o nome do fornecedor, para o seu codigo */
    $Prodt = listar("SELECT Id FROM fornecedor WHERE " . $nome . " ='" . $nome_cli . "' AND Codigo = '" . $cod_cli . "' ");
    $_GET["Fornecedor"] = $Prodt[0]["Id"];

    $fornecedor .= "AND compra.Id_Fornecedor = '" . $_GET["Fornecedor"] . "' ";
}

if ($_GET["Produto"]) {

    $mystring = $_GET["Produto"];
    $findme = " : ";

    $posicao = strpos($mystring, $findme);

    $cod_cli = substr($_GET["Produto"], 0, $posicao);
    $nome_cli = substr($_GET["Produto"], ($posicao + 3));


    /* convertendo o nome do fornecedor, para o seu codigo */
    $Prodt = listar("SELECT Id FROM produto WHERE Titulo='" . $nome_cli . "' AND Codigo = '" . $cod_cli . "' ");
    $_GET["Produto"] = $Prodt[0]["Id"];

    $compra_produto = "AND compra_produto.Id_Produto = '" . $_GET["Produto"] . "' ";
}

if ($_GET["Usuario"])
    $Usuario = "AND compra.Id_Usuario = '" . $_GET["Usuario"] . "' ";

if ($_GET["Funcionario"])
    $usuario_p .= "AND compra.Id_Funcionario = '" . $_GET["Funcionario"] . "' ";

if ($_GET["Vendedor"]) {
    $CampoSql = "compra.Id_Vendedor";
    include '../include/vendedor_gerente.php';

    $usuario_p .= "AND (compra.Id_Vendedor = '" . $_GET["Vendedor"] . "' $carteira ) ";
}

if ($_GET["EF"])
    $usuario_p .= "AND compra.EF = '" . $_GET["EF"] . "' ";

if ($_GET["Unidade"]) {
    $Unidade = "AND compra.Id_Unidade = '" . $_GET["Unidade"] . "' ";
}
if ($_GET["Financeiro"]) {
    $faturamento = "AND compra.Financeiro = '" . $_GET["Financeiro"] . "' ";
}

if ($_GET["Ok"]) {
    $compra = mysqli_query($con, "SELECT compra.Id, 
                                        compra.Lancamento,
                                        compra.Status,
                                        compra.Frete,
                                        compra.Qtd_Vol as Volume,
                                        compra.Data_Compra,
                                        compra.Data_Cadastro,
                                        compra.Data_Conclusao,
                                        compra.Fatura,
                                        compra.Desconto,
                                        compra.Desconto_Real,
                                        compra.Frete as Tipo_Frete,
                                        MONTH(compra.Data_compra) as Mes_Nfe,
                                        YEAR(compra.Data_compra) as Ano_Nfe,
                                        Id_Tipo_Pagamento,
                                        Id_Fornecedor,
                                        Id_Transportadora
                                    FROM compra
                                    WHERE 1=1 
                                    $faturamento
                                    $data 
                                    $status 
                                    $usuario_p 
                                    $fornecedor 
                                    $Unidade 
                                    $Usuario
                                    GROUP BY compra.Lancamento
                                    ORDER BY compra.Lancamento");
}
?>
<html>

<head>
    <title>Gw - Gesto Web</title>
    <link rel="stylesheet" type="text/css" href="../estilo/<?php echo SKIN; ?>/tabelas.css" />
    <link rel="stylesheet" type="text/css" href="../js/datePicker/datePicker.css" />
    <link rel="stylesheet" type="text/css" href="../js/autocomplete/jquery.autocomplete.css" />
    <link rel="stylesheet" type="text/css" href="../js/autocomplete/lib/thickbox.css" />
    <script type="text/javascript" language="javascript" src="../js/jquery.js"></script>
    <?php include '../include/script_cabeca.php'; ?>
    <script type="text/javascript" language="javascript" src="../js/script.js"></script>
    <script type="text/javascript" language="javascript" src="../js/meiomask/meiomask.js"></script>
    <script type="text/javascript" language="javascript" src="../js/meiomask/<?php if (PAIS == "USA") {
                                                                                    echo "mascaras-usa";
                                                                                } else {
                                                                                    echo "mascaras";
                                                                                } ?>.js"></script>
    <script type="text/javascript" language="javascript" src="../js/autocomplete/lib/jquery.bgiframe.min.js"></script>
    <script type="text/javascript" language="javascript" src="../js/autocomplete/lib/jquery.ajaxQueue.js"></script>
    <script type="text/javascript" language="javascript" src="../js/autocomplete/lib/thickbox-compressed.js"></script>
    <script type="text/javascript" language="javascript" src="../js/autocomplete/jquery.autocomplete.js"></script>
    <!-- required plugins -->
    <script language="javascript" type="text/javascript" src="../js/datePicker/<?php if (PAIS == "USA") {
                                                                                    echo "date";
                                                                                } else {
                                                                                    echo "date-pt";
                                                                                } ?>.js">
    </script>
    <script type="text/javascript" src="../js/datePicker/jquery.datePicker.js"></script>
    <script type="text/javascript" language="javascript">
    Date.firstDayOfWeek = 0;
    <?php if (PAIS == "USA") {
            echo "Date.format='mm/dd/yyyy';";
        } else {
            echo "Date.format='dd/mm/yyyy';";
        } ?>
    $(function() {
        $('.date-pick').datePicker({
            startDate: '01/01/1990'
        });
    });
    </script>
    <script type="text/javascript" language="javascript">
    $(document).ready(function() {
        $("#fornecedor").autocomplete("busca_fornecedor.php", {
            width: 340,
            SELECTFirst: true,
            scroll: false,
            cacheLength: 100,
            max: 100
        });
        $("#Produto").autocomplete("busca_produto.php", {
            width: 340,
            SELECTFirst: true,
            scroll: false,
            cacheLength: 100,
            max: 100
        });
    });
    </script>
    <script type="text/javascript" language="javascript">
    $(document).ready(function() {

        $('#bt_Enviar_Email').click(function() {
            $.blockUI({
                message: $('#Tela_Email'),
                css: {
                    width: '350px'
                }
            });
            //setTimeout($.unblockUI, 6000);
        });


        $('#Enviar_Email').click(function() {
            $.blockUI({
                message: "<h2>Enviando E-mail...</h2>"
            });

            var nomeDestinatario = $("#Nome_Destinatario").val();
            var emailDestinatario = $("#Email_Destinatario").val();
            //var nomeCopia = $("#Nome_Copia").val();
            //var emailCopia = $("#Email_Copia").val();
            var de = $("#De").val();
            var ate = $("#Ate").val();
            var Funcionario = $("#Funcionario").val();
            var fornecedor = $("#fornecedor").val();
            var Produto = $("#Produto").val();
            var Finalizado_rel = $("#Finalizado_Rel").val();
            var cancelado_rel = $("#Cancelado_Rel").val();
            var aberto_rel = $("#Aberto_Rel").val();
            $.get("email_rel_compra.php", {
                    Nome_Destinatario: nomeDestinatario,
                    Email_Destinatario: emailDestinatario,
                    De: de,
                    Ate: ate,
                    Funcionario: Funcionario,
                    Produto: Produto,
                    Finalizado: Finalizado_rel,
                    Cancelado: cancelado_rel,
                    Aberto: aberto_rel,
                    fornecedor: fornecedor
                },
                function(data) {
                    $("#div_resposta").html(data);
                    $.unblockUI();
                    $("#Nome_Destinatario").val('');
                    $("#Email_Destinatario").val('');
                    $("#Nome_Copia").val('');
                    $("#Email_Copia").val('');
                });

        });


        $('#Cancelar_Email').click(function() {
            $.unblockUI();
            return false;
        });


    });
    </script>
    <style type="text/css">
    thead {
        display: table-header-group;
    }

    tfoot {
        display: table-footer-group;
    }
    </style>
</head>

<body>
    <table width="140%" height="400px">
        <!-- TABELA Q ENVOLVE TODO O CONTEUDO -->
        <tr>
            <td>
                <table width="100%">
                    <tr>
                        <td align="left">
                            <font face="verdana" size="2"><i><b>Relatrio Business Intelligence</b></i></font>
                        </td>
                        <td align="center">
                            <a href='imp_pdf_bi_biowash2.php?<?php echo $_SERVER["QUERY_STRING"] ?>' title="Pdf"><img
                                    src="../imagem/pdfG.png" border="0" alt="Pdf" title="Pdf" /></a>
                            <br />
                            <font face="verdana" size="2"><i>Pdf</i></font>
                        </td>
                        <td align="center">
                            <a href='imp_excel_bi_biowash2.php?<?php echo $_SERVER["QUERY_STRING"] ?>'
                                title="Excel"><img src="../imagem/excelG.png" border="0" alt="Excel"
                                    title="Excel" /></a>
                            <br />
                            <font face="verdana" size="2"><i>Excel</i></font>
                        </td>
                        <td align="center">
                            <a href="imp_rel_bi_biowash2.php?<?php echo $_SERVER["QUERY_STRING"] ?>" title="Imprimir"
                                target="_blank"><img src="../imagem/imprimirG.png" border="0" alt="Imprimir"
                                    title="Imprimir" /></a>
                            <br />
                            <font face="verdana" size="2"><i>Imprimir</i></font>
                        </td>
                    </tr>
                </table>
            </td>
        </tr>
        <tr>
            <td>
                <form action="" method="get">
                    <table width="100%" class="busca_rel">
                        <tr class="azul">
                            <td>De<input type="text" name="De" id="De" class="date-pick" size="10"
                                    value="<?php echo $_GET["De"]; ?>"></td>
                            <td>At<input type="text" name="Ate" id="Ate" class="date-pick" size="10"
                                    value="<?php echo $_GET["Ate"]; ?>"></td>
                            <?php
                            if ($_GET['Data_Filtro'] == 'Data') {
                                $Data = 'checked';
                            } else if ($_GET['Data_Filtro'] == 'Conclusao') {
                                $Conclusao = 'checked';
                            } else {
                                $Data  = 'checked';
                            }
                            ?>
                            <td>
                                <input type="radio" name="Data_Filtro" value='Data' id="Data"
                                    <?php echo $Data; ?>><label class="label_radio" for="Data">Data Abertura</label>
                                <input type="radio" name="Data_Filtro" value='Conclusao' id="Conclusao"
                                    <?php echo $Conclusao; ?>><label class="label_radio" for="Conclusao">Data
                                    Concluso</label>
                            </td>
                        </tr>
                        <tr class="azul">
                            <td>
                                <?php
                                if (FORNECEDOR_RAZAO_SOCIAL == 'Sim') {
                                    $nome = 'Razao_Social';
                                } else {
                                    $nome = 'Titulo';
                                }

                                $Produt = listar("SELECT CONCAT(Codigo,' : ', " . $nome . ") as Titulo FROM fornecedor WHERE Id='" . $_GET['fornecedor'] . "'");
                                $_GET["fornecedor"] = $Produt[0]["Titulo"];
                                ?>
                                <label for="fornecedor"><b> * Cdigo / fornecedor :</b></label>
                                <input style="width: 220px; height: 20px;" type="text" id="fornecedor" name="fornecedor"
                                    value="<?php echo $_GET['fornecedor']; ?>" />
                            </td>
                            <td>
                                <?php
                                //se o sistema for Multi Empresa
                                if (MULTI_EMPRESA == "Sim") {

                                    //se o usuario master ele escolhe pra quem vai
                                    if (ESCOLHER_EMPRESA == 'Sim') {
                                ?>

                                <?php echo SELECT_banco2(
                                            "SELECT Id,Titulo FROM unidade WHERE Ativo='Sim' ORDER BY Titulo",
                                            "Unidade",
                                            "Unidade",
                                            "Empresa",
                                            $_GET["Unidade"],
                                            'style="width:200px"',
                                            ""
                                        );
                                        ?>

                                <?php
                                        //se no for, a unidade sempre ser a sua
                                    } else {
                                        echo "<input type='hidden' name='Unidade' id='Unidade' value='" . $_SESSION["Unidade"] . "' >";
                                    }
                                } else {
                                    echo "<input type='hidden' name='Unidade' id='Unidade' value='" . $_SESSION["Unidade"] . "' >";
                                }
                                ?>
                                &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
                                <?php
                                $vetor = array('' => 'Com Financeiro', 'Sim' => 'Sim', 'No' => 'No');
                                SELECT_tela("Financeiro", "Financeiro", $_GET["Financeiro"], $vetor, '', "");
                                ?>
                            </td>
                            <td>
                                <?php
                                echo SELECT_banco2(
                                    "SELECT distinct Id, Titulo from funcionario where Ativo = 'Sim' AND Vendedor = 'Sim' order by Titulo",
                                    "Funcionario",
                                    "Funcionario",
                                    "Responsvel",
                                    $_GET["Funcionario"],
                                    'style="width:200px"'
                                );
                                ?>
                            </td>
                        </tr>
                        <tr class="azul">
                            <td>
                                <?php
                                /* convertendo o codigo do produto, para o seu nome */
                                $Produt = listar("SELECT CONCAT(Codigo,' : ', Titulo) as Titulo FROM produto WHERE Id='" . $_GET["Produto"] . "'");
                                $_GET["Produto"] = $Produt[0]["Titulo"];
                                ?>
                                <label for="Produto"><b> * Cdigo / Produto :</b></label>
                                <input style="width: 200px; height: 20px;" type="text" name="Produto" id="Produto"
                                    value="<?php echo $_GET["Produto"] ?>">
                            </td>
                            <td>
                                <input type="checkbox" name="Finalizado" value="Finalizado"
                                    <?php if ($_GET["Finalizado"]) echo "checked='checked' "; ?>>Finalizado
                                <input type="checkbox" name="Aberto" value="Aberto"
                                    <?php if ($_GET["Aberto"]) echo "checked='checked' "; ?>>Em Lanamento
                                <input type="checkbox" name="Cancelado" value="Cancelado"
                                    <?php if ($_GET["Cancelado"]) echo "checked='checked' "; ?>>Cancelado

                                <input type="hidden" value="<?php echo $_GET["Finalizado"]; ?>" name="Finalizado_Rel"
                                    id="Finalizado_Rel">
                                <input type="hidden" value="<?php echo $_GET["Aberto"]; ?>" name="Aberto_Rel"
                                    id="Aberto_Rel">
                                <input type="hidden" value="<?php echo $_GET["Cancelado"]; ?>" name="Cancelado_Rel"
                                    id="Cancelado_Rel">
                            </td>
                            <td>
                                <?php
                                include '../include/vendedor_gerente.php';

                                echo SELECT_banco2(
                                    "SELECT Id, Titulo from funcionario where Ativo = 'Sim' AND Vendedor = 'Sim' $grupoVend $func order by Titulo",
                                    "Vendedor",
                                    "Vendedor",
                                    "Vendedor",
                                    $_GET["Vendedor"],
                                    $dis,
                                    'form-control'
                                );

                                ?>
                                &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
                                <input type="submit" value="Ok" name="Ok">
                            </td>
                        </tr>
                    </table>
                </form>
            </td>
        </tr>
        <tr>
            <td>
                <table width="100%" class="tabela">
                    <tr class="cinza">
                        <td>Data Compra</td>
                        <td>Data Nfe</td>
                        <td>Nfe</td>
                        <td>Ms Pedido</td>
                        <td>Ano Pedido</td>
                        <td>N Pedido</td>
                        <td>Cdigo Fornecedor</td>
                        <td>Fornecedor</td>
                        <td>Cidade</td>
                        <td>Estado</td>
                        <td>CEP</td>
                        <td>Cadastro Fornecedor</td>
                        <td>Categoria Fornecedor</td>
                        <td>Cdigo</td>
                        <td>Produto</td>
                        <td>Lote</td>
                        <td>Validade</td>
                        <td>Fabricao</td>
                        <td>Preo</td>
                        <td>$ + Impostos</td>
                        <td>Categoria</td>
                        <td>Sub Categoria</td>
                        <td>Volume</td>
                        <td>Qtd</td>
                        <td>Medida</td>
                        <td>Ncm</td>
                        <td>Cest</td>
                        <td>Valor Unitrio</td>
                        <td>Cfop</td>
                        <td>% Icms</td>
                        <td>$ Icms</td>
                        <td>$ Icms ST</td>
                        <td>$ FCP</td>
                        <td>% IPI</td>
                        <td>$ IPI</td>
                        <td>% PIS</td>
                        <td>$ PIS</td>
                        <td>% Cofins</td>
                        <td>$ Cofins</td>
                        <td>Outros</td>
                        <td>% Desconto</td>
                        <td>$ Desconto</td>
                        <td>$ Desc Rat</td>
                        <td>Transportadora</td>
                        <td>Tipo Frete</td>
                        <td>$ Frete</td>
                        <td>Peso Kg</td>
                        <td>Total Impostos</td>
                        <td>Total</td>
                        <td>Total + Impostos</td>
                        <td>Tipo Pagamento</td>
                        <td>Data Pagamento</td>
                        <td>Moeda</td>
                        <td>Status</td>
                    </tr>

                    <?php
                    if ($_GET["Ok"]) {


                        while ($chave = mysqli_fetch_assoc($compra)) {

                            $produto = mysqli_query($con, "SELECT compra_produto.Id_Produto,
                                    compra_produto.Id_Cfop,
                                    compra_produto.Preco,
                                    compra_produto.Qtd,
                                    compra_produto.Volume,
                                    compra_produto.Lote,
                                    compra_produto.Data_Fabricacao,
                                    compra_produto.Data_Validade,
                                    compra_produto.Preco_Tabela,
                                    compra_produto.Icms_Sub,
                                    compra_produto.Icms_Sub_Real,
                                    compra_produto.ST_Icms,
                                    compra_produto.Icms,
                                    compra_produto.Icms_Real,
                                    compra_produto.Aliquota_Cofins,
                                    compra_produto.Aliquota_Pis,
                                    compra_produto.Cofins_Real,
                                    compra_produto.Pis_Real,
                                    compra_produto.Ipi_Real,
                                    compra_produto.Ipi,
                                    compra_produto.Mva,
                                    compra_produto.FCP,
                                    compra_produto.Outros,
                                    compra_produto.Frete as Valor_Frete,
                                    compra_produto.Desconto_Real_Pe_Nota,
                                    compra_produto.Despesa,
                                    compra_produto.Desconto,
                                    compra_produto.Desconto_Real
                                    from compra_produto
                                    WHERE compra_produto.Id_Compra = '" . $chave["Id"] . "'
                                    $compra_produto
                                    ORDER BY compra_produto.Data_Cadastro");
                    ?>
                    <?php
                            $color = "#F5F5F5";
                            $vtotal = '0';
                            $VICMSST = 0;
                            while ($valor = mysqli_fetch_assoc($produto)) {

                                if ($color == "#F5F5F5") {
                                    $color = "#E8E8E8";
                                } else {
                                    $color = "#F5F5F5";
                                }

                                $nome1 = mysqli_query($con, "SELECT Titulo as Vendedor FROM funcionario WHERE Id = '" . $chave['Id_Vendedor'] . "'");
                                $nome1 = mysqli_fetch_assoc($nome1);

                                $nome3 = mysqli_query($con, "SELECT Id,Titulo,Razao_Social,Id_Categoria_Fornecedor,Id_Categoria_Fornecedor_Filho,Codigo,Cidade,Estado,
                                        Cep,Data_Cadastro 
                                        FROM fornecedor WHERE Id = '" . $chave['Id_Fornecedor'] . "'");
                                $nome3 = mysqli_fetch_assoc($nome3);

                                $nome4 = mysqli_query($con, "SELECT Id,Titulo as Categoria_Fornecedor FROM categoria_fornecedor WHERE Id = '" . $nome3['Id_Categoria_Fornecedor'] . "'");
                                $nome4 = mysqli_fetch_assoc($nome4);

                                $nome5 = mysqli_query($con, "SELECT Id,Titulo as Categoria_Fornecedor_Filho FROM categoria_fornecedor WHERE Id = '" . $nome3['Id_Categoria_Fornecedor_Filho'] . "'");
                                $nome5 = mysqli_fetch_assoc($nome5);

                                $nome6 = mysqli_query($con, "SELECT Id,Titulo,Codigo,Id_Categoria_Produto,Id_Categoria_Produto_Filho,Medida,Peso_Liquido,Ncm,Cest
                                    FROM produto WHERE Id = '" . $valor['Id_Produto'] . "'");
                                $nome6 = mysqli_fetch_assoc($nome6);

                                $nome7 = mysqli_query($con, "SELECT Id,Titulo as Categoria_Produto FROM categoria_produto WHERE Id = '" . $nome6['Id_Categoria_Produto'] . "'");
                                $nome7 = mysqli_fetch_assoc($nome7);

                                $nome8 = mysqli_query($con, "SELECT Id,Titulo as Categoria_Produto_Filho FROM categoria_produto WHERE Id = '" . $nome6['Id_Categoria_Produto_Filho'] . "'");
                                $nome8 = mysqli_fetch_assoc($nome8);

                                $nome9 = mysqli_query($con, "SELECT Cfop FROM cfop WHERE Id = '" . $valor['Id_Cfop'] . "'");
                                $nome9 = mysqli_fetch_assoc($nome9);

                                $nome10 = mysqli_query($con, "SELECT Titulo as Transportadora FROM fornecedor WHERE Id = '" . $chave['Id_Transportadora'] . "'");
                                $nome10 = mysqli_fetch_assoc($nome10);

                                $nome11 = mysqli_query($con, "SELECT Titulo as Tipo_Pagamento FROM tipo_pagamento WHERE Id = '" . $chave['Id_Tipo_Pagamento'] . "'");
                                $nome11 = mysqli_fetch_assoc($nome11);

                                $nome12 = mysqli_query($con, "SELECT Data_Pagamento FROM conta_pagar WHERE Id_Externo = '" . $chave['Id'] . "'");
                                $nome12 = mysqli_fetch_assoc($nome12);
                            ?>
                    <tr bgcolor=<?php echo "$color"; ?>>
                        <td><?php echo data_exibir($chave["Data_Compra"]) ?></td>
                        <td><?php echo data_exibir($chave["Data_Compra"]) ?></td>
                        <td><?php echo ($chave["Fatura"]) ?></td>
                        <td><?php echo ($chave["Mes_Nfe"]) ?></td>
                        <td><?php echo ($chave["Ano_Nfe"]) ?></td>
                        <td><?php echo ($chave["Lancamento"]) ?></td>
                        <td><?php echo ($nome3["Codigo"]) ?></td>
                        <!-- <td><?php echo date('H:i:s', strtotime($chave["Data_Cadastro"])) ?></td> -->
                        <td>
                            <?php
                                        if (FORNECEDOR_RAZAO_SOCIAL == 'Sim') {
                                            echo $nome3["Razao_Social"];
                                        } else {
                                            echo $nome3["Titulo"];
                                        }
                                        ?>
                        </td>
                        <td><?php echo $nome3["Cidade"] ?></td>
                        <td><?php echo $nome3["Estado"] ?></td>
                        <td><?php echo $nome3["Cep"] ?></td>
                        <td><?php echo data_exibir($nome3["Data_Cadastro"]) ?></td>
                        <td><?php echo $nome4["Categoria_Fornecedor"] ?></td>
                        <!-- <td><?php echo $nome5["Sub_Categoria_Fornecedor"] ?></td> -->
                        <td><?php echo $nome6["Codigo"] ?></td>
                        <td><?php echo $nome6["Titulo"] ?></td>
                        <td><?php echo ($valor["Lote"]) ?></td>
                        <td><?php echo data_exibir($valor["Data_Validade"]) ?></td>
                        <td><?php echo data_exibir($valor["Data_Fabricacao"]) ?></td>
                        <td><?php echo valor_exibir($valor["Preco"]) ?></td>
                        <!-- <td><?php echo valor_exibir($valor["Preco"] + ($valor['Icms_Sub_Real'] / $valor["Qtd"]) + ($valor['Cofins_Real'] / $valor["Qtd"]) + ($valor['Pis_Real'] / $valor["Qtd"]) + ($valor['Ipi_Real'] / $valor["Qtd"]) + ($valor['Icms_Real'] / $valor["Qtd"])) ?> </td> -->
                        <td><?php echo valor_exibir($valor["Preco"] + ($valor['Ipi_Real'] / $valor["Qtd"])) ?> </td>
                        <td><?php echo $nome7["Categoria_Produto"] ?></td>
                        <td><?php echo $nome8["Categoria_Produto_Filho"] ?></td>
                        <td><?php echo valor_exibir($chave["Volume"]) ?></td>
                        <td><?php echo valor_exibir($valor["Qtd"]) ?></td>
                        <td><?php echo ($nome6["Medida"]) ?></td>
                        <td><?php echo ($nome6["Ncm"]) ?></td>
                        <td><?php echo ($nome6["Cest"]) ?></td>
                        <td><?php echo valor_exibir($valor["Preco"]) ?></td>
                        <td><?php echo ($nome9["Cfop"]) ?></td>
                        <td><?php echo valor_exibir($valor['Icms']) ?> </td>
                        <td><?php echo valor_exibir($valor['Icms_Real']) ?> </td>
                        <td><?php echo valor_exibir($valor['Icms_Sub_Real']) ?> </td>
                        <td><?php echo valor_exibir($valor['FCP']) ?></td>
                        <td><?php echo valor_exibir($valor['Ipi']) ?></td>
                        <td><?php echo valor_exibir($valor['Ipi_Real']) ?></td>
                        <td><?php echo valor_exibir($valor['Aliquota_Pis']) ?></td>
                        <td><?php echo valor_exibir($valor['Pis_Real']) ?></td>
                        <td><?php echo valor_exibir($valor['Aliquota_Cofins']) ?></td>
                        <td><?php echo valor_exibir($valor['Cofins_Real']) ?></td>
                        <td><?php echo valor_exibir($valor['Outros']) ?></td>
                        <td><?php echo valor_exibir($valor["Desconto"]) ?></td>
                        <td><?php echo valor_exibir($valor["Desconto_Real"]) ?></td>
                        <td><?php echo valor_exibir($valor["Desconto_Real_Pe_Nota"]) ?></td>
                        <td><?php echo ($nome10["Transportadora"]) ?></td>
                        <td><?php echo ($chave["Tipo_Frete"]) ?></td>
                        <td><?php echo valor_exibir($valor["Valor_Frete"]) ?></td>
                        <td><?php echo ($valor["Peso_Liquido"] * $valor["Qtd"]) ?></td>
                        <td><?php echo valor_exibir(($valor['Icms_Sub_Real'] + $valor['Cofins_Real'] + $valor['Pis_Real'] + $valor['Ipi_Real'] + $valor['Icms_Real'])) ?>
                        </td>
                        <td><?php echo @valor_exibir((($valor["Preco"] * $valor["Qtd"]) - (($valor["Preco"] * $valor["Qtd"]) * ($valor["Desconto"] / 100))) - ($valor["Desconto_Real"] + $valor["Desconto_Real_Pe_Nota"])); ?>
                            <!-- <td><?php echo valor_exibir(((($valor["Preco"] * $valor["Qtd"]) - (($valor["Preco"] * $valor["Qtd"]) * ($valor["Desconto"] / 100))) - ($valor["Desconto_Real"] + $valor["Desconto_Real_Pe_Nota"])) + ($valor['Icms_Sub_Real'] + $valor['Cofins_Real'] + $valor['Pis_Real'] + $valor['Ipi_Real'] + $valor['Icms_Real'])) ?> </td> -->
                        <td><?php echo valor_exibir(((($valor["Preco"] * $valor["Qtd"]) - (($valor["Preco"] * $valor["Qtd"]) * ($valor["Desconto"] / 100))) - ($valor["Desconto_Real"] + $valor["Desconto_Real_Pe_Nota"])) + $valor['Ipi_Real']) ?>
                        </td>
                        <td><?php echo ($nome11["Tipo_Pagamento"]) ?></td>
                        <td><?php echo data_exibir($nome12["Data_Pagamento"]) ?></td>
                        <td><?php echo 'Real' ?></td>
            </td>
            <?php
                                $corStatus = "";
                                if ($chave['Status'] == 'Finalizado') {
                                    $corStatus = "color = '#228B22' ";
                                }
                                if ($chave['Status'] == 'Aberto') {
                                    $corStatus = "color = '#3A5FCD' ";
                                }
                                if ($chave['Status'] == 'Cancelado') {
                                    $corStatus = "color = '#CD2626' ";
                                }
            ?>
            <td>
                <font <?php echo $corStatus ?>>
                    <b><?php echo $chave["Status"] ?></b>
                </font>
            </td>
        </tr>
        <?php

                            }
    ?>


        <?php }
                    } ?>

    </table>
    </td>
    </tr>
    <tr>
        <td>
            <div id="div_resposta"></div>
        </td>
    </tr>
    </table>
    <!-- INICIO DA TELA MODAL ENVIO DE EMAIL-->
    <!-- No css existe um estilo para essas divs que as deixa invisivel - display:none; -->
    <?php include_once "../include/email_tabela.php"; ?>
    <!-- FIM DA TELA MODAL ENVIO DE EMAIL-->
    <br>
</body>

</html>