<?php
include_once '../include/conecta.php'; //Conecta com a nvendaso banco de dadvenda MySQL
include_once '../include/ver_sessao.php'; //Verifica se a sesso est ativa
include_once '../include/funcoesPhp.php';
include_once '../menu_movimento.php';
?>
<?php
if ($_GET["Finalizado"]) {
    $status .= "and venda.Status = 'Finalizado' ";
}
if ($_GET["Aberto"]) {
    $status .= "and venda.Status = 'Aberto' ";
}
if ($_GET["Cancelado"]) {
    $status .= "and venda.Status = 'Cancelado' ";
}

if ($_GET['Data_Filtro'] == 'Data') {
    if ($_GET["De"])
        $data .= "AND venda.Data_Venda >= '" . data_banco($_GET["De"]) . " 00:00:00' ";
    if ($_GET["Ate"])
        $data .= "AND venda.Data_Venda <= '" . data_banco($_GET["Ate"]) . " 23:59:59' ";
}
if ($_GET['Data_Filtro'] == 'Conclusao') {
    if ($_GET["De"])
        $data .= "AND venda.Data_Conclusao >= '" . data_banco($_GET["De"]) . " 00:00:00' ";
    if ($_GET["Ate"])
        $data .= "AND venda.Data_Conclusao <= '" . data_banco($_GET["Ate"]) . " 23:59:59' ";
}

if ($_GET["Cliente"])
    $Cliente = "and venda.Id_Cliente = '" . $_GET["Cliente"] . "' ";

if ($_GET["Vendedor"])
    $profiss = "and venda_produto.Id_Funcionario = '" . $_GET["Vendedor"] . "' ";

if ($_GET["Produto"])
    $venda_produto = "and venda_produto.Id_Produto = '" . $_GET["Produto"] . "' ";

if ($_GET["Unidade"]) {
    $Unidade = "and venda.Id_Unidade = '" . $_GET["Unidade"] . "' ";
}

if ($_GET["Financeiro"]) {
    $faturamento = "and venda.Financeiro = '" . $_GET["Financeiro"] . "' ";
}

if ($_GET["Ok"]) {
    $venda = mysqli_query($con, "Select venda.Id, venda.Lancamento,
                venda.Status,
                venda.Data_Venda,
                venda.Data_Conclusao,
                venda.Desconto,
                venda.Desconto_Real,
                cliente.Titulo as Cliente,
                funcionario.Titulo as 'Funcionario'
                FROM (SELECT venda.Id,
                Lancamento,Status,Data_Venda,Data_Conclusao,
                Desconto,Desconto_Real,Id_Cliente,Id_Funcionario,
                Id_Tipo_Pagamento,Id_Unidade
                FROM venda 
                INNER JOIN (SELECT Id,Id_Externo FROM conta_receber) as conta_receber ON conta_receber.Id_Externo = venda.Id
                WHERE venda.Status = 'Finalizado'
                $data $Cliente $Unidade $faturamento) as venda
                INNER join (SELECT Id,Id_Venda FROM venda_produto WHERE 1=1 $venda_produto $profiss) as venda_produto ON venda_produto.Id_Venda = venda.Id
                LEFT JOIN (SELECT Id,Titulo FROM funcionario) as funcionario ON funcionario.Id = venda.Id_Funcionario
                LEFT JOIN (SELECT Id,Titulo FROM cliente) as cliente ON venda.Id_Cliente = cliente.Id
                where 1=1
                group by venda.Lancamento
                order by venda.Lancamento");
}

?>
<html>

<head>
    <title>Gw - Gesto Web</title>
    <link rel="stylesheet" type="text/css" href="../estilo/<?php echo SKIN; ?>/tabelas.css" />
    <link rel="stylesheet" type="text/css" href="../js/datePicker/datePicker.css" />
    <script type="text/javascript" language="javascript" src="../js/jquery.js"></script>
    <?php include '../include/script_cabeca.php'; ?>
    <script type="text/javascript" language="javascript" src="../js/script.js"></script>
    <script type="text/javascript" language="javascript" src="../js/meiomask/meiomask.js"></script>
    <script type="text/javascript" language="javascript" src="../js/meiomask/<?php if (PAIS == "USA") {
                                                                                    echo "mascaras-usa";
                                                                                } else {
                                                                                    echo "mascaras";
                                                                                } ?>.js"></script>
    <script type="text/javascript" language="javascript" src="../js/blockUI/blockUI.js"></script>
    <!-- required plugins -->
    <script language="javascript" type="text/javascript" src="../js/datePicker/<?php if (PAIS == "USA") {
                                                                                    echo "date";
                                                                                } else {
                                                                                    echo "date-pt";
                                                                                } ?>.js"></script>
    <!--[if IE]>
	<script type="text/javascript" src="../js/datePicker/jquery.bgiframe.js"></script>
	<![endif]-->
    <!-- jquery.datePicker.js -->
    <script type="text/javascript" src="../js/datePicker/jquery.datePicker.js"></script>
    <script type="text/javascript" language="javascript">
    Date.firstDayOfWeek = 0;
    <?php if (PAIS == "USA") {
            echo "Date.format='mm/dd/yyyy';";
        } else {
            echo "Date.format='dd/mm/yyyy';";
        } ?>
    $(function() {
        $('.date-pick').datePicker({
            startDate: '01/01/1990'
        })
    });
    </script>
    <script type="text/javascript" language="javascript">
    $(document).ready(function() {

        $('#bt_Enviar_Email').click(function() {
            $.blockUI({
                message: $('#Tela_Email'),
                css: {
                    width: '350px'
                }
            });
            //setTimeout($.unblockUI, 6000);
        });


        $('#Enviar_Email').click(function() {
            $.blockUI({
                message: "<h2>Enviando E-mail...</h2>"
            });

            var nomeDestinatario = $("#Nome_Destinatario").val();
            var emailDestinatario = $("#Email_Destinatario").val();
            //var nomeCopia = $("#Nome_Copia").val();
            //var emailCopia = $("#Email_Copia").val();
            var de = $("#De").val();
            var ate = $("#Ate").val();
            var Funcionario = $("#Funcionario").val();
            var Cliente = $("#Cliente").val();
            var Produto = $("#Produto").val();
            var Finalizado_rel = $("#Finalizado_Rel").val();
            var cancelado_rel = $("#Cancelado_Rel").val();
            var aberto_rel = $("#Aberto_Rel").val();
            $.get("email_rel_comissao_venda_prod_irrf.php", {
                    Nome_Destinatario: nomeDestinatario,
                    Email_Destinatario: emailDestinatario,
                    De: de,
                    Ate: ate,
                    Funcionario: Funcionario,
                    Produto: Produto,
                    Finalizado: Finalizado_rel,
                    Cancelado: cancelado_rel,
                    Aberto: aberto_rel,
                    Cliente: Cliente
                },
                function(data) {
                    $("#div_respvendata").html(data);
                    $.unblockUI();
                    $("#Nome_Destinatario").val('');
                    $("#Email_Destinatario").val('');
                    $("#Nome_Copia").val('');
                    $("#Email_Copia").val('');
                });

        });


        $('#Cancelar_Email').click(function() {
            $.unblockUI();
            return false;
        });


    });
    </script>
    <style type="text/css">
    thead {
        display: table-header-group;
    }

    tfoot {
        display: table-footer-group;
    }
    </style>
</head>

<body>
    <table width="100%" height="400px">
        <!-- TABELA Q ENVOLVE TODO O CONTEUDO -->
        <tr>
            <td>
                <table width="100%">
                    <tr>
                        <td align="left">
                            <font face="verdana" size="2"><i><b>Relatrio de Comisses Sobre Produtos das Vendas
                                        Resumido</b></i></font>
                        </td>
                        <td align="center">
                            <a href='imp_pdf_comissao_venda_prod_irrf.php?<?php echo $_SERVER["QUERY_STRING"] ?>'
                                title="Pdf"><img src="../imagem/pdfG.png" border="0" alt="Pdf" title="Pdf" /></a>
                            <br />
                            <font face="verdana" size="2"><i>Pdf</i></font>
                        </td>
                        <td align="center">
                            <a href='imp_excel_comissao_venda_prod_irrf.php?<?php echo $_SERVER["QUERY_STRING"] ?>'
                                title="Excel"><img src="../imagem/excelG.png" border="0" alt="Excel"
                                    title="Excel" /></a>
                            <br />
                            <font face="verdana" size="2"><i>Excel</i></font>
                        </td>
                        <td align="center">
                            <a href='javascript:void(0);' id="bt_Enviar_Email" title="Email"><img
                                    src="../imagem/emailG.png" border="0" alt="E-mail" title="E-mail" /></a>
                            <br />
                            <font face="verdana" size="2"><i>E-mail</i></font>
                        </td>
                        <td align="center">
                            <a href="imp_rel_comissao_venda_prod_irrf.php?<?php echo $_SERVER["QUERY_STRING"] ?>"
                                title="Imprimir" target="_blank"><img src="../imagem/imprimirG.png" border="0"
                                    alt="Imprimir" title="Imprimir" /></a>
                            <br />
                            <font face="verdana" size="2"><i>Imprimir</i></font>
                        </td>
                    </tr>
                </table>
            </td>
        </tr>
        <tr>
            <td>
                <form action="" method="get">
                    <table width="100%" class="busca_rel">
                        <tr class="azul">
                            <td>De<input type="text" name="De" id="De" class="date-pick" size="10"
                                    value="<?php echo $_GET["De"]; ?>"></td>
                            <td>At<input type="text" name="Ate" id="Ate" class="date-pick" size="10"
                                    value="<?php echo $_GET["Ate"]; ?>"></td>
                            <?php
                            if ($_GET['Data_Filtro'] == 'Data') {
                                $Data = 'checked';
                            } else if ($_GET['Data_Filtro'] == 'Conclusao') {
                                $Conclusao = 'checked';
                            } else {
                                $Data  = 'checked';
                            }
                            ?>
                            <td>
                                <input type="radio" name="Data_Filtro" value='Data' id="Data"
                                    <?php echo $Data; ?>><label class="label_radio" for="Data">Data Abertura</label>
                                <input type="radio" name="Data_Filtro" value='Conclusao' id="Conclusao"
                                    <?php echo $Conclusao; ?>><label class="label_radio" for="Conclusao">Data
                                    Concluso</label>
                            </td>
                        </tr>
                        <tr class="azul">
                            <td>
                                <?php
                                echo select_banco2(
                                    "Select Id, Titulo from cliente WHERE Ativo = 'Sim' order by Titulo",
                                    "Cliente",
                                    "Cliente",
                                    "Cliente",
                                    $_GET['Cliente'],
                                    'style="width:200px"'
                                );
                                ?>
                            </td>
                            <?php
                            //se o sistema for Multi Empresa
                            if (MULTI_EMPRESA == "Sim") {

                                //se o usuario master ele escolhe pra quem vai
                                if (ESCOLHER_EMPRESA == 'Sim') {
                            ?>
                            <td>
                                <?php echo select_banco2(
                                            "SELECT Id,Titulo FROM unidade WHERE Ativo='Sim' ORDER BY Titulo",
                                            "Unidade",
                                            "Unidade",
                                            "Empresa",
                                            $_GET["Unidade"],
                                            'style="width:200px"',
                                            ""
                                        );
                                        ?>
                            </td>
                            <?php
                                    //se no for, a unidade sempre ser a sua
                                } else {
                                    echo "<td><input type='hidden' name='Unidade' id='Unidade' value='" . $_SESSION["Unidade"] . "' ></td>";
                                }
                            } else {
                                echo "<td><input type='hidden' name='Unidade' id='Unidade' value='" . $_SESSION["Unidade"] . "' ></td>";
                            }
                            ?>
                            <td>
                                <?php
                                echo select_banco2(
                                    "Select distinct Id, Titulo from funcionario where Ativo = 'Sim' AND Vendedor = 'Sim' order by Titulo",
                                    "Vendedor",
                                    "Vendedor",
                                    "Vendedor",
                                    $_GET["Vendedor"],
                                    'style="width:200px"'
                                );
                                ?>
                            </td>
                        </tr>
                        <tr class="azul">
                            <td>
                                <?php
                                echo select_banco2(
                                    "Select produto.Id, produto.Titulo from produto order by Titulo",
                                    "Produto",
                                    "Produto",
                                    "Produto",
                                    $_GET['Produto'],
                                    'style="width:200px"'
                                );
                                ?>
                            </td>
                            <td>
                                <!--
        <input type="checkbox" name="Finalizado" value="Finalizado" <?php if ($_GET["Finalizado"]) echo "checked='checked' "; ?> >Finalizado
        <input type="checkbox" name="Aberto" value="Aberto" <?php if ($_GET["Aberto"]) echo "checked='checked' "; ?> >Aberto
        <input type="checkbox" name="Cancelado" value="Cancelado" <?php if ($_GET["Cancelado"]) echo "checked='checked' "; ?> >Cancelado
	
	<input type="hidden" value="<?php echo $_GET["Finalizado"]; ?>" name="Finalizado_Rel" id="Finalizado_Rel">
	<input type="hidden" value="<?php echo $_GET["Aberto"]; ?>" name="Aberto_Rel" id="Aberto_Rel">
	<input type="hidden" value="<?php echo $_GET["Cancelado"]; ?>" name="Cancelado_Rel" id="Cancelado_Rel">
    -->
                                <?php
                                $vetor = array('' => 'Com Financeiro', 'Sim' => 'Sim', 'No' => 'No');
                                select_tela("Financeiro", "Financeiro", $_GET["Financeiro"], $vetor, '', "");
                                ?>
                            </td>
                            <td>
                                &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
                                &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
                                <input type="submit" value="Ok" name="Ok">
                            </td>
                        </tr>
                    </table>
                </form>
            </td>
        </tr>
        <tr>
            <td>
                <?php
                if ($_GET["Ok"]) {

                    while ($chave = mysqli_fetch_assoc($venda)) {

                        $produto = mysqli_query($con, "Select produto.Titulo,
                                        venda_produto.Id_Venda,
                                        venda_produto.Preco,
	 				                    venda_produto.Qtd, 
                                        venda_produto.Desconto,
                                        venda_produto.Desconto_Real,
                                        venda_produto.Comissao,
                                        funcionario.Id as Id_Funcionario,
                                        funcionario.Titulo as Funcionario
                                        FROM (SELECT Id,
                                                     Data_Cadastro,
                                                     Id_Produto,
                                                     Id_Funcionario,
                                                     Id_Venda,
                                                     Preco, 
                                                     Qtd, 
                                                     Desconto, 
                                                     Desconto_Real, 
                                                     Comissao
                                                FROM venda_produto 
                                               WHERE venda_produto.Id_Venda = '" . $chave["Id"] . "' 
                                                     $venda_produto $profiss) as venda_produto
 					left join (SELECT Id,Titulo FROM produto) as produto ON produto.Id = venda_produto.Id_Produto
                                        left join (SELECT Id,Titulo FROM funcionario) as funcionario ON funcionario.Id = venda_produto.Id_Funcionario
 					where 1=1
 					ORDER BY venda_produto.Data_Cadastro");

                        $color = "#F5F5F5";
                        $vtotal = '0';
                        $vPedido = '0';
                        while ($valor = mysqli_fetch_assoc($produto)) {

                            if ($color == "#F5F5F5") {
                                $color = "#E8E8E8";
                            } else {
                                $color = "#F5F5F5";
                            }

                            //SUM( ( (venda_produto.Preco*venda_produto.Qtd) - ( (venda_produto.Preco*venda_produto.Qtd)*venda_produto.Desconto/100 ) ) -venda_produto.Desconto_Real) as Total_Venda,
                            //calculando o desconto no pe de nota.
                            $qtd_item = mysqli_query($con, "Select SUM(venda_produto.Qtd) as Total_Item,
                            venda.Valor_Original,
                            venda.Valor_Pago,
                            venda.Desconto,
                            venda.Desconto_Real,
                            venda.Comissao_Av_1
                            FROM (SELECT Id,Qtd,Preco,Desconto,Desconto_Real,Data_Cadastro,Id_Venda,Id_Produto 
                            FROM venda_produto
                            WHERE venda_produto.Id_Venda = '" . $valor["Id_Venda"] . "'
                            $venda_produto) as venda_produto
                            inner join (SELECT Id,Desconto,Desconto_Real,Status,Data_Venda,Data_Conclusao,Id_Cliente,
                            Valor_Original, Valor_Pago,Id_Unidade,Comissao_Av_1
                            FROM venda WHERE 1=1 $data $status $Cliente $Unidade) as venda ON venda.Id = venda_produto.Id_Venda
                            where 1=1
                            ORDER BY venda_produto.Data_Cadastro");
                            $qtd_itens = mysqli_fetch_assoc($qtd_item);

                            $vl_total_sem_desc = $qtd_itens["Valor_Original"];
                            //$vl_total_com_desc = ( ($qtd_itens["Total_Venda"] - ($qtd_itens["Total_Venda"]*($qtd_itens["Desconto"]/100) ) ) -$qtd_itens["Desconto_Real"] );
                            $vl_total_com_desc = $qtd_itens["Valor_Pago"];

                            $desconto_pe_nota = $qtd_itens["Valor_Original"] - $qtd_itens["Valor_Pago"];

                            $Desc_Rat = $desconto_pe_nota / $vl_total_sem_desc; //valor rateado geral
                            $Desc_Rat = number_format($Desc_Rat, 10, ",", "."); //marreta
                            $Desc_Rat = str_replace('.', '', $Desc_Rat);
                            $Desc_Rat = str_replace(',', '.', $Desc_Rat);

                            $vLinha = (($valor["Preco"] * $valor["Qtd"]) - (($valor["Preco"] * $valor["Qtd"]) * ($valor["Desconto"] / 100))) - $valor["Desconto_Real"];

                            $vLinha = valor_banco(valor_exibir($vLinha));
                            $rat = valor_banco(valor_exibir($Desc_Rat * $vLinha));

                            //$vLinha = ( ($valor["Preco"]*$valor["Qtd"]) - ( ($valor["Preco"]*$valor["Qtd"])*($valor["Desconto"]/100) ) ) - $valor["Desconto_Real"];


                            $vtotal += ((($valor["Preco"] * $valor["Qtd"]) - (($valor["Preco"] * $valor["Qtd"]) * ($valor["Desconto"] / 100))) - $valor["Desconto_Real"]);

                            $vPedido += (($vLinha - $rat) * ($qtd_itens["Comissao_Av_1"] / 100));
                            $vtotalacum[$valor["Funcionario"]] += (($vLinha - $rat) * ($qtd_itens["Comissao_Av_1"] / 100));

                            //if($chave["Status"]=='Finalizado'){
                            ${$valor["Funcionario"]} += $vLinha - $rat;
                            //}

                        }

                        $vtotalacumS[$chave["Status"]] += (($vtotal) - ($vtotal * ($chave["Desconto"] / 100))) - $chave["Desconto_Real"];
                        $vtotalacumA += (($vtotal) - ($vtotal * ($chave["Desconto"] / 100))) - $chave["Desconto_Real"];
                ?>

                <?php }
                } ?>

                <table class="tabela" width="100%">
                    <tr class="azul-claro">
                        <td align='center'><b>Profissional</b></td>
                        <td align='center'><b>Totais de Vendas</b></td>
                        <td align='center'><b>Totais de Comisses</b></td>
                        <td align='center'><b>1,5% IRRF</b></td>
                        <td align='center'><b>Valor Pagar</b></td>
                        <td align='center'><b>% Comiss</b></td>
                    </tr>
                    <?php
                    foreach ($vtotalacum as $posicao => $campo) {

                        $color = "#F5F5F5";
                        if ($color == "#F5F5F5") {
                            $color = "#E8E8E8";
                        } else {
                            $color = "#F5F5F5";
                        }


                        echo "<tr bgcolor='" . $color . "'>";
                        echo "<td width='200px'>" . $posicao . "</td>";
                        echo "<td width='200px' align='right'>" . number_format(${$posicao}, 2, ",", ".") . "</td>";
                        echo "<td width='200px' align='right'>" . number_format($campo, 2, ",", ".") . "</td>";
                        $irrf = '';
                        $irrf = $campo * (1.5 / 100);
                        if ($irrf < 10) $irrf = 0;
                        echo "<td width='200px' align='right'>" . number_format($irrf, 2, ",", ".") . "</td>";
                        echo "<td width='200px' align='right'>" . number_format($campo - $irrf, 2, ",", ".") . "</td>";
                        echo "<td width='200px' align='right'>" . number_format(($campo / ${$posicao}) * 100, 2, ",", ".") . "</td>";
                        echo "</tr>";
                        $vFinal += $campo;
                        $vFinalVenda += ${$posicao};
                        $vIrrf += $irrf;
                        $vPagar += $campo - $irrf;
                    }
                    ?>
                    <tr>
                        <td width='200px'><b>Total </b></td>
                        <td width='200px' align='right'><b><?php echo number_format($vFinalVenda, 2, ",", "."); ?></b>
                        </td>
                        <td width='200px' align='right'><b><?php echo number_format($vFinal, 2, ",", "."); ?></b></td>
                        <td width='200px' align='right'><b><?php echo number_format($vIrrf, 2, ",", "."); ?></b></td>
                        <td width='200px' align='right'><b><?php echo number_format($vPagar, 2, ",", "."); ?></b></td>
                        <td width='200px' align='right'>
                            <b><?php echo number_format(($vFinal / $vFinalVenda) * 100, 2, ",", "."); ?></b>
                        </td>
                    </tr>
                </table>

            </td>
        </tr>
        <tr>
            <td>
                <div id="div_respvendata"></div>
            </td>
        </tr>
    </table>
    <!-- INICIO DA TELA MODAL ENVIO DE EMAIL-->
    <!-- No css existe um estilo para essas divs que as deixa invisivel - display:none; -->
    <?php include_once "../include/email_tabela.php"; ?>
    <!-- FIM DA TELA MODAL ENVIO DE EMAIL-->
    <br>
</body>

</html>