<?php
include_once '../include/conecta.php'; //Conecta com a nosso banco de dados MySQL
include_once '../include/ver_sessao.php'; //Verifica se a sesso est ativa
include_once '../include/funcoesPhp.php';
include_once '../menu_movimento.php';

if (($_GET["Finalizado"]) || ($_GET["Aberto"]) || ($_GET["Cancelado"])) {

    $status = "AND (";

    if ($_GET["Finalizado"]) {
        $status .= " venda.Status = 'Finalizado' OR";
    }
    if ($_GET["Aberto"]) {
        $status .= " venda.Status = 'Aberto' OR";
    }
    if ($_GET["Cancelado"]) {
        $status .= " venda.Status = 'Cancelado' OR";
    }

    $status = substr($status, 0, -2);
    $status .= ")";
}

if ($_GET['Data_Filtro'] == 'Data') {
    if ($_GET["De"])
        $data .= "AND venda.Data_Venda >= '" . data_banco($_GET["De"]) . " 00:00:00' ";
    if ($_GET["Ate"])
        $data .= "AND venda.Data_Venda <= '" . data_banco($_GET["Ate"]) . " 23:59:59' ";
}
if ($_GET['Data_Filtro'] == 'Conclusao') {
    if ($_GET["De"])
        $data .= "AND venda.Data_Conclusao >= '" . data_banco($_GET["De"]) . " 00:00:00' ";
    if ($_GET["Ate"])
        $data .= "AND venda.Data_Conclusao <= '" . data_banco($_GET["Ate"]) . " 23:59:59' ";
}

if ($_GET["Cliente"]) {

    $mystring = $_GET["Cliente"];
    $findme = " : ";

    $posicao = strpos($mystring, $findme);

    $cod_cli = substr($_GET["Cliente"], 0, $posicao);
    $nome_cli = substr($_GET["Cliente"], ($posicao + 3));


    if (CLIENTE_RAZAO_SOCIAL == 'Sim') {
        $nome = 'Razao_Social';
    } else {
        $nome = 'Titulo';
    }
    /* convertendo o nome do fornecedor, para o seu codigo */
    $Prodt = listar("SELECT Id FROM cliente WHERE " . $nome . " ='" . $nome_cli . "' AND Codigo = '" . $cod_cli . "' ");
    $_GET["Cliente"] = $Prodt[0]["Id"];

    $Cliente .= "AND venda.Id_Cliente = '" . $_GET["Cliente"] . "' ";
}

if ($_GET["Produto"]) {

    $mystring = $_GET["Produto"];
    $findme = " : ";

    $posicao = strpos($mystring, $findme);

    $cod_cli = substr($_GET["Produto"], 0, $posicao);
    $nome_cli = substr($_GET["Produto"], ($posicao + 3));


    /* convertendo o nome do fornecedor, para o seu codigo */
    $Prodt = listar("SELECT Id FROM produto WHERE Titulo='" . $nome_cli . "' AND Codigo = '" . $cod_cli . "' ");
    $_GET["Produto"] = $Prodt[0]["Id"];

    $venda_produto = "AND venda_produto.Id_Produto = '" . $_GET["Produto"] . "' ";
}

if ($_GET["Usuario"])
    $Usuario = "AND venda.Id_Usuario = '" . $_GET["Usuario"] . "' ";

if ($_GET["Funcionario"])
    $usuario_p .= "AND venda.Id_Funcionario = '" . $_GET["Funcionario"] . "' ";

if ($_GET["Vendedor"]) {
    $CampoSql = "venda.Id_Vendedor";
    include '../include/vendedor_gerente.php';

    $usuario_p .= "AND (venda.Id_Vendedor = '" . $_GET["Vendedor"] . "' $carteira ) ";
}

if ($_GET["EF"])
    $usuario_p .= "AND venda.EF = '" . $_GET["EF"] . "' ";

if ($_GET["Unidade"]) {
    $Unidade = "AND venda.Id_Unidade = '" . $_GET["Unidade"] . "' ";
}
if ($_GET["Financeiro"]) {
    $faturamento = "AND venda.Financeiro = '" . $_GET["Financeiro"] . "' ";
}

if ($_GET["Ok"]) {
    $venda = mysqli_query($con, "SELECT venda.Id, 
                                        venda.Lancamento,
                                        venda.Status,
                                        venda.Frete,
                                        venda.Qtd_Vol as Volume,
                                        venda.Data_Venda,
                                        venda.Data_Cadastro,
                                        venda.Data_Conclusao,
                                        venda.Desconto,
                                        venda.Desconto_Real,
                                        venda.Frete as Tipo_Frete,
                                        venda.Data_Nfe,
                                        MONTH(venda.Data_Venda) as Mes_Nfe,
                                        YEAR(venda.Data_Venda) as Ano_Nfe,
                                        nfe.Data_Emissao as Data_Nfe,
                                        nfe.Numero_Nota,
                                        cliente.Titulo as Cliente,
                                        cliente.Codigo as Cod_Cliente,
                                        cliente.Razao_Social,
                                        cliente.Cidade,
                                        cliente.Estado,
                                        cliente.Cep,
                                        cliente.Latitude,
                                        cliente.Longitude,
                                        cliente.Tabela_Preco,
                                        cliente.Data_Cadastro as Dt_Cliente,
                                        cliente.Cliente_FCP,
                                        tipo_pagamento.Titulo as Tipo_Pagamento,
                                        funcionario.Titulo as 'Funcionario',
                                        vendedor.Titulo as 'Vendedor'
                                    FROM venda
                                    LEFT JOIN (SELECT Id,Id_Produto,Id_Venda FROM venda_produto) as venda_produto ON venda_produto.Id_Venda = venda.Id
                                    LEFT JOIN (SELECT Id,Titulo FROM funcionario) as vendedor ON vendedor.Id = venda.Id_Vendedor
                                    LEFT JOIN (SELECT Id,Titulo FROM funcionario) as funcionario ON funcionario.Id = venda.Id_Funcionario
                                    LEFT JOIN (SELECT Id,Titulo,Razao_Social,Id_Categoria_Cliente,Id_Categoria_Cliente_Filho,Codigo,Cidade,Estado,Cep,Latitude,Longitude,Data_Cadastro,Tabela_Preco,Cliente_FCP FROM cliente) as cliente ON venda.Id_Cliente = cliente.Id
                                    LEFT JOIN (SELECT Id,Titulo FROM tipo_pagamento) as tipo_pagamento ON venda.Id_Tipo_Pagamento = tipo_pagamento.Id
                                    LEFT JOIN (SELECT Id,Numero_Nota,Id_Pedido,Data_Emissao, Data_Nfe,Hora_Nfe FROM nfe)as nfe ON nfe.Id_Pedido = venda.Id
                                    WHERE 1=1 
                                    $faturamento
                                    $data 
                                    $status 
                                    $usuario_p 
                                    $Cliente 
                                    $venda_produto 
                                    $Unidade 
                                    $Usuario
                                    GROUP BY venda.Lancamento
                                    ORDER BY venda.Lancamento");
}
?>
<html>

<head>
    <title>Gw - Gesto Web</title>
    <link rel="stylesheet" type="text/css" href="../estilo/<?php echo SKIN; ?>/tabelas.css" />
    <link rel="stylesheet" type="text/css" href="../js/datePicker/datePicker.css" />
    <link rel="stylesheet" type="text/css" href="../js/autocomplete/jquery.autocomplete.css" />
    <link rel="stylesheet" type="text/css" href="../js/autocomplete/lib/thickbox.css" />
    <script type="text/javascript" language="javascript" src="../js/jquery.js"></script>
    <?php include '../include/script_cabeca.php'; ?>
    <script type="text/javascript" language="javascript" src="../js/script.js"></script>
    <script type="text/javascript" language="javascript" src="../js/meiomask/meiomask.js"></script>
    <script type="text/javascript" language="javascript" src="../js/meiomask/<?php if (PAIS == "USA") {
                                                                                    echo "mascaras-usa";
                                                                                } else {
                                                                                    echo "mascaras";
                                                                                } ?>.js"></script>
    <script type="text/javascript" language="javascript" src="../js/autocomplete/lib/jquery.bgiframe.min.js"></script>
    <script type="text/javascript" language="javascript" src="../js/autocomplete/lib/jquery.ajaxQueue.js"></script>
    <script type="text/javascript" language="javascript" src="../js/autocomplete/lib/thickbox-compressed.js"></script>
    <script type="text/javascript" language="javascript" src="../js/autocomplete/jquery.autocomplete.js"></script>
    <!-- required plugins -->
    <script language="javascript" type="text/javascript" src="../js/datePicker/<?php if (PAIS == "USA") {
                                                                                    echo "date";
                                                                                } else {
                                                                                    echo "date-pt";
                                                                                } ?>.js">
    </script>
    <script type="text/javascript" src="../js/datePicker/jquery.datePicker.js"></script>
    <script type="text/javascript" language="javascript">
        Date.firstDayOfWeek = 0;
        <?php if (PAIS == "USA") {
            echo "Date.format='mm/dd/yyyy';";
        } else {
            echo "Date.format='dd/mm/yyyy';";
        } ?>
        $(function() {
            $('.date-pick').datePicker({
                startDate: '01/01/1990'
            });
        });
    </script>
    <script type="text/javascript" language="javascript">
        $(document).ready(function() {
            $("#Cliente").autocomplete("busca_cliente.php", {
                width: 340,
                SELECTFirst: true,
                scroll: false,
                cacheLength: 100,
                max: 100
            });
            $("#Produto").autocomplete("busca_produto.php", {
                width: 340,
                SELECTFirst: true,
                scroll: false,
                cacheLength: 100,
                max: 100
            });
        });
    </script>
    <style type="text/css">
        thead {
            display: table-header-group;
        }

        tfoot {
            display: table-footer-group;
        }
    </style>
</head>

<body>
    <table width="100%" height="400px">
        <!-- TABELA Q ENVOLVE TODO O CONTEUDO -->
        <tr>
            <td>
                <table width="100%">
                    <tr>
                        <td align="left">
                            <font face="verdana" size="2"><i><b>Relatrio Vendas</b></i></font>
                        </td>
                        <td align="center">
                            <a href='imp_pdf_spectracolor.php?<?php echo $_SERVER["QUERY_STRING"] ?>' title="Pdf"><img src="../imagem/pdfG.png" border="0" alt="Pdf" title="Pdf" /></a>
                            <br />
                            <font face="verdana" size="2"><i>Pdf</i></font>
                        </td>
                        <td align="center">
                            <a href='imp_excel_spectracolor.php?<?php echo $_SERVER["QUERY_STRING"] ?>' title="Excel"><img src="../imagem/excelG.png" border="0" alt="Excel" title="Excel" /></a>
                            <br />
                            <font face="verdana" size="2"><i>Excel</i></font>
                        </td>
                        <td align="center">
                            <a href="imp_rel_spectracolor.php?<?php echo $_SERVER["QUERY_STRING"] ?>" title="Imprimir" target="_blank"><img src="../imagem/imprimirG.png" border="0" alt="Imprimir" title="Imprimir" /></a>
                            <br />
                            <font face="verdana" size="2"><i>Imprimir</i></font>
                        </td>
                    </tr>
                </table>
            </td>
        </tr>
        <tr>
            <td>
                <form action="" method="get">
                    <table width="100%" class="busca_rel">
                        <tr class="azul">
                            <td>De<input type="text" name="De" id="De" class="date-pick" size="10" value="<?php echo $_GET["De"]; ?>"></td>
                            <td>At<input type="text" name="Ate" id="Ate" class="date-pick" size="10" value="<?php echo $_GET["Ate"]; ?>"></td>
                            <?php
                            if ($_GET['Data_Filtro'] == 'Data') {
                                $Data = 'checked';
                            } else if ($_GET['Data_Filtro'] == 'Conclusao') {
                                $Conclusao = 'checked';
                            } else {
                                $Data  = 'checked';
                            }
                            ?>
                            <td>
                                <input type="radio" name="Data_Filtro" value='Data' id="Data" <?php echo $Data; ?>><label class="label_radio" for="Data">Data Abertura</label>
                                <input type="radio" name="Data_Filtro" value='Conclusao' id="Conclusao" <?php echo $Conclusao; ?>><label class="label_radio" for="Conclusao">Data
                                    Concluso</label>
                            </td>
                        </tr>
                        <tr class="azul">
                            <td>
                                <?php
                                if (CLIENTE_RAZAO_SOCIAL == 'Sim') {
                                    $nome = 'Razao_Social';
                                } else {
                                    $nome = 'Titulo';
                                }

                                $Produt = listar("SELECT CONCAT(Codigo,' : ', " . $nome . ") as Titulo FROM cliente WHERE Id='" . $_GET['Cliente'] . "'");
                                $_GET["Cliente"] = $Produt[0]["Titulo"];
                                ?>
                                <label for="Cliente"><b> * Cdigo / Cliente :</b></label>
                                <input style="width: 220px; height: 20px;" type="text" id="Cliente" name="Cliente" value="<?php echo $_GET['Cliente']; ?>" />
                            </td>
                            <td>
                                <?php
                                //se o sistema for Multi Empresa
                                if (MULTI_EMPRESA == "Sim") {

                                    //se o usuario master ele escolhe pra quem vai
                                    if (ESCOLHER_EMPRESA == 'Sim') {
                                ?>

                                        <?php echo SELECT_banco2(
                                            "SELECT Id,Titulo FROM unidade WHERE Ativo='Sim' ORDER BY Titulo",
                                            "Unidade",
                                            "Unidade",
                                            "Empresa",
                                            $_GET["Unidade"],
                                            'style="width:200px"',
                                            ""
                                        );
                                        ?>

                                <?php
                                        //se no for, a unidade sempre ser a sua
                                    } else {
                                        echo "<input type='hidden' name='Unidade' id='Unidade' value='" . $_SESSION["Unidade"] . "' >";
                                    }
                                } else {
                                    echo "<input type='hidden' name='Unidade' id='Unidade' value='" . $_SESSION["Unidade"] . "' >";
                                }
                                ?>
                                &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
                                <?php
                                $vetor = array('' => 'Com Financeiro', 'Sim' => 'Sim', 'No' => 'No');
                                SELECT_tela("Financeiro", "Financeiro", $_GET["Financeiro"], $vetor, '', "");
                                ?>
                            </td>
                            <td>
                                <?php
                                echo SELECT_banco2(
                                    "SELECT distinct Id, Titulo from funcionario where Ativo = 'Sim' AND Vendedor = 'Sim' order by Titulo",
                                    "Funcionario",
                                    "Funcionario",
                                    "Responsvel",
                                    $_GET["Funcionario"],
                                    'style="width:200px"'
                                );
                                ?>
                            </td>
                        </tr>
                        <tr class="azul">
                            <td>
                                <?php
                                /* convertendo o codigo do produto, para o seu nome */
                                $Produt = listar("SELECT CONCAT(Codigo,' : ', Titulo) as Titulo FROM produto WHERE Id='" . $_GET["Produto"] . "'");
                                $_GET["Produto"] = $Produt[0]["Titulo"];
                                ?>
                                <label for="Produto"><b> * Cdigo / Produto :</b></label>
                                <input style="width: 200px; height: 20px;" type="text" name="Produto" id="Produto" value="<?php echo $_GET["Produto"] ?>">
                            </td>
                            <td>
                                <input type="checkbox" name="Finalizado" value="Finalizado" <?php if ($_GET["Finalizado"]) echo "checked='checked' "; ?>>Finalizado
                                <input type="checkbox" name="Aberto" value="Aberto" <?php if ($_GET["Aberto"]) echo "checked='checked' "; ?>>Em Lanamento
                                <input type="checkbox" name="Cancelado" value="Cancelado" <?php if ($_GET["Cancelado"]) echo "checked='checked' "; ?>>Cancelado

                                <input type="hidden" value="<?php echo $_GET["Finalizado"]; ?>" name="Finalizado_Rel" id="Finalizado_Rel">
                                <input type="hidden" value="<?php echo $_GET["Aberto"]; ?>" name="Aberto_Rel" id="Aberto_Rel">
                                <input type="hidden" value="<?php echo $_GET["Cancelado"]; ?>" name="Cancelado_Rel" id="Cancelado_Rel">
                            </td>
                            <td>
                                <?php
                                include '../include/vendedor_gerente.php';
                                
                                echo SELECT_banco2(
                                    "SELECT Id, Titulo from funcionario where Ativo = 'Sim' AND Vendedor = 'Sim' $grupoVend $func order by Titulo",
                                    "Vendedor",
                                    "Vendedor",
                                    "Vendedor",
                                    $_GET["Vendedor"],
                                    $dis,
                                    'form-control'
                                );

                                ?>
                                &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
                                <input type="submit" value="Ok" name="Ok">
                            </td>
                        </tr>
                    </table>
                </form>
            </td>
        </tr>
        <tr>
            <td>
                <table width="100%" class="tabela">
                    <tfoot>
                        <tr class="cinza">
                            <td colspan="43">Relatrio Venda</td>
                        </tr>
                    </tfoot>
                    <tr class="cinza">
                        <td>Data Venda</td>
                        <td>Venda</td>
                        <td>Data Nfe</td>
                        <td>Nfe</td>
                        <td>Cdigo</td>
                        <td>Produto</td>
                        <td>Qtd</td>
                        <td>Preo</td>
                        <td>Cdigo Cliente</td>
                        <td>Cliente</td>
                        <td>Tipo Pagamento</td>
                        <td>Total</td>
                        <td>Status</td>
                    </tr>

                    <?php
                    if ($_GET["Ok"]) {


                        while ($chave = mysqli_fetch_assoc($venda)) {

                            $produto = mysqli_query($con, "SELECT produto.Titulo,
                                    produto.Codigo,
                                    venda_produto.Preco,
                                    venda_produto.Qtd,
                                    venda_produto.Volume,
                                    venda_produto.Lote,
                                    venda_produto.Desconto_Real_Pe_Nota,
                                    venda_produto.Desconto,
                                    venda_produto.Desconto_Real
                                    from venda_produto
                                    left join (SELECT Id,Titulo,Codigo FROM produto) as produto ON produto.Id = venda_produto.Id_Produto
                                    WHERE venda_produto.Id_Venda = '" . $chave["Id"] . "'
                                    $venda_produto
                                    ORDER BY venda_produto.Data_Cadastro");
                    ?>
                            <?php
                            $color = "#F5F5F5";
                            //$vtotal = '0';
                            $VICMSST = 0;
                            while ($valor = mysqli_fetch_assoc($produto)) {

                                if ($color == "#F5F5F5") {
                                    $color = "#E8E8E8";
                                } else {
                                    $color = "#F5F5F5";
                                }

                            ?>
                                <tr bgcolor=<?php echo "$color"; ?>>
                                    <td><?php echo data_exibir($chave["Data_Venda"]) ?></td>
                                    <td><?php echo $chave["Lancamento"] ?></td>
                                    <td><?php echo data_exibir($chave["Data_Nfe"]) ?></td>
                                    <td><?php echo ($chave["Numero_Nota"]) ?></td>
                                    <td><?php echo $valor["Codigo"] ?></td>
                                    <td><?php echo $valor["Titulo"] ?></td>
                                    <td><?php echo valor_exibir($valor["Qtd"]) ?></td>
                                    <td><?php echo valor_exibir($valor["Preco"]) ?></td>
                                    <td><?php echo ($chave["Cod_Cliente"]) ?></td>
                                    <td>
                                        <?php
                                        if (CLIENTE_RAZAO_SOCIAL == 'Sim') {
                                            echo $chave["Razao_Social"];
                                        } else {
                                            echo $chave["Cliente"];
                                        }
                                        ?>
                                    </td>
                                    <td><?php echo ($chave["Tipo_Pagamento"]) ?></td>
                                    <td><?php $totalItens = ((($valor["Preco"] * $valor["Qtd"]) - (($valor["Preco"] * $valor["Qtd"]) * ($valor["Desconto"] / 100))) - ($valor["Desconto_Real"] + $valor["Desconto_Real_Pe_Nota"]) + ($VICMSST + $vtFCPSTItem)); 
                                                echo valor_exibir($totalItens);
                                    ?>
                                    </td>
                                    <?php
                                    $corStatus = "";
                                    if ($chave['Status'] == 'Finalizado') {
                                        $corStatus = "color = '#228B22' ";
                                    }
                                    if ($chave['Status'] == 'Aberto') {
                                        $corStatus = "color = '#3A5FCD' ";
                                    }
                                    if ($chave['Status'] == 'Cancelado') {
                                        $corStatus = "color = '#CD2626' ";
                                    }
                                    ?>
                                    <td>
                                        <font <?php echo $corStatus ?>>
                                            <b><?php echo $chave["Status"] ?></b>
                                        </font>
                                    </td>
                                </tr>
                            <?php
                                $vtotal += $totalItens;
                                $tQtd += $valor["Qtd"];
                            }
                            ?>

                            <?php
                            $vtotalacum[$chave["Status"]] += (($vtotal) - ($vtotal * ($chave["Desconto"] / 100))) - $chave["Desconto_Real"];
                            $vtotalacumA += (($vtotal) - ($vtotal * ($chave["Desconto"] / 100))) - $chave["Desconto_Real"];
                            ?>
                            <?php
                            $corStatus = "";
                            if ($chave['Status'] == 'Finalizado') {
                                $corStatus = "color = '#228B22' ";
                            }
                            if ($chave['Status'] == 'Aberto') {
                                $corStatus = "color = '#3A5FCD' ";
                            }
                            if ($chave['Status'] == 'Cancelado') {
                                $corStatus = "color = '#CD2626' ";
                            }
                            ?>

                    <?php }
                    } ?>
                    <tr>
                        <td colspan='6'>&nbsp;</td>
                        <td><?php echo valor_exibir($tQtd)?></td>
                        <td colspan='4'>&nbsp;</td>
                        <td><?php echo valor_exibir($vtotal)?></td>
                    </tr>

                </table>
            </td>
        </tr>
        <tr>
            <td>
                <div id="div_resposta"></div>
            </td>
        </tr>
    </table>
    <!-- INICIO DA TELA MODAL ENVIO DE EMAIL-->
    <!-- No css existe um estilo para essas divs que as deixa invisivel - display:none; -->
    <?php include_once "../include/email_tabela.php"; ?>
    <!-- FIM DA TELA MODAL ENVIO DE EMAIL-->
    <br>
</body>

</html>