<?php
include_once '../include/conecta.php'; //Conecta com a nosso banco de dados MySQL
include_once '../include/ver_sessao.php'; //Verifica se a sesso est ativa
include_once '../include/funcoesPhp.php';
include_once '../menu_movimento.php';
?>
<?php
if (($_GET["Finalizado"]) || ($_GET["Aberto"]) || ($_GET["Cancelado"]) || ($_GET["Faturado_Parcial"])) {

    $status = "AND (";

    if ($_GET["Finalizado"]) {
        $status .= " venda.Status = 'Finalizado' OR";
    }
    if ($_GET["Aberto"]) {
        $status .= " venda.Status = 'Aberto' OR";
    }
    if ($_GET["Cancelado"]) {
        $status .= " venda.Status = 'Cancelado' OR";
    }

    $status = substr($status, 0, -2);
    $status .= ")";
}

if ($_GET['Data_Filtro'] == 'Data') {
    if ($_GET["De"]) {
        $data .= "AND venda.Data_Venda >= '" . data_banco($_GET["De"]) . " 00:00:00' ";
    }
    if ($_GET["Ate"]) {
        $data .= "AND venda.Data_Venda <= '" . data_banco($_GET["Ate"]) . " 23:59:59' ";
    }
}
if ($_GET['Data_Filtro'] == 'Conclusao') {
    if ($_GET["De"]) {
        $data .= "AND venda.Data_Conclusao >= '" . data_banco($_GET["De"]) . " 00:00:00' ";
    }
    if ($_GET["Ate"]) {
        $data .= "AND venda.Data_Conclusao <= '" . data_banco($_GET["Ate"]) . " 23:59:59' ";
    }
}

if ($_GET["Fornecedor"]) {

    $mystring = $_GET["Fornecedor"];
    $findme = " : ";

    $posicao = strpos($mystring, $findme);

    $cod_cli = substr($_GET["Fornecedor"], 0, $posicao);
    $nome_cli = substr($_GET["Fornecedor"], ($posicao + 3));


    if (FORNECEDOR_RAZAO_SOCIAL == 'Sim') {
        $nome = 'Razao_Social';
    } else {
        $nome = 'Titulo';
    }
    /* convertendo o nome do fornecedor, para o seu codigo */
    $Prodt = listar("SELECT Id FROM fornecedor WHERE " . $nome . " ='" . $nome_cli . "' AND Codigo = '" . $cod_cli . "' ");
    $_GET["Fornecedor"] = $Prodt[0]["Id"];

    $buscaFornecedor .= "AND venda_produto.Id_Fornecedor = '" . $_GET["Fornecedor"] . "' ";
} else {
    $nome = "Titulo";
}

if ($_GET["Vendedor"]) {
    $CampoSql = "venda.Id_Vendedor";
    include '../include/vendedor_gerente.php';

    $usuario_p .= "AND (venda.Id_Vendedor = '" . $_GET["Vendedor"] . "' $carteira ) ";
}

if ($_GET["Unidade"]) {
    $Unidade = "AND venda.Id_Unidade = '" . $_GET["Unidade"] . "' ";
}

if ($_GET["Financeiro"]) {
    $faturamento = "AND venda.Financeiro = '" . $_GET["Financeiro"] . "' ";
}
if ($_GET["DV"]) {
    $DV = "AND venda.DV = '" . $_GET["DV"] . "' ";
}
if ($_GET["Ok"]) {
    if (FORNECEDOR_RAZAO_SOCIAL == 'Sim') {
        $nome = 'Razao_Social';
    } else {
        $nome = 'Titulo';
    }
    $fornecedor = mysqli_query($con, "SELECT DISTINCT fornecedor.Id,
                                    fornecedor.Fornecedor,
                                    fornecedor.Ativo,
                                    venda_produto.Id_Fornecedor,
                                    venda_produto.Id_Venda
                                    FROM (SELECT Id FROM venda WHERE 1=1 $data $status) as venda
                                    INNER JOIN (SELECT Id,Id_Venda,Id_Fornecedor FROM venda_produto WHERE Id_Fornecedor != '' $buscaFornecedor ) as venda_produto ON venda_produto.Id_Venda = venda.Id
                                    INNER JOIN (SELECT Id, $nome as Fornecedor,Tipo,Ativo FROM fornecedor WHERE Tipo = 'F') as fornecedor ON venda_produto.Id_Fornecedor = fornecedor.Id
                                    WHERE 1=1
                                    GROUP BY venda_produto.Id_Fornecedor
                                    ORDER BY Fornecedor ");
}
?>
<html>

<head>
    <title>Gw - Gesto Web</title>
    <link rel="stylesheet" type="text/css" href="../estilo/<?php echo SKIN; ?>/tabelas.css" />
    <link rel="stylesheet" type="text/css" href="../js/datePicker/datePicker.css" />
    <link rel="stylesheet" type="text/css" href="../js/autocomplete/jquery.autocomplete.css" />
    <link rel="stylesheet" type="text/css" href="../js/autocomplete/lib/thickbox.css" />
    <script type="text/javascript" language="javascript" src="../js/jquery.js"></script>
    <?php include '../include/script_cabeca.php'; ?>
    <script type="text/javascript" language="javascript" src="../js/script.js"></script>
    <script type="text/javascript" language="javascript" src="../js/meiomask/meiomask.js"></script>
    <script type="text/javascript" language="javascript" src="../js/meiomask/<?php
                                                                                if (PAIS == "USA") {
                                                                                    echo "mascaras-usa";
                                                                                } else {
                                                                                    echo "mascaras";
                                                                                }
                                                                                ?>.js"></script>
    <script type="text/javascript" language="javascript" src="../js/autocomplete/lib/jquery.bgiframe.min.js"></script>
    <script type="text/javascript" language="javascript" src="../js/autocomplete/lib/jquery.ajaxQueue.js"></script>
    <script type="text/javascript" language="javascript" src="../js/autocomplete/lib/thickbox-compressed.js"></script>
    <script type="text/javascript" language="javascript" src="../js/autocomplete/jquery.autocomplete.js"></script>
    <!-- required plugins -->
    <script language="javascript" type="text/javascript" src="../js/datePicker/<?php
                                                                                if (PAIS == "USA") {
                                                                                    echo "date";
                                                                                } else {
                                                                                    echo "date-pt";
                                                                                }
                                                                                ?>.js"></script>
    <script type="text/javascript" src="../js/datePicker/jquery.datePicker.js"></script>
    <script type="text/javascript" language="javascript">
        Date.firstDayOfWeek = 0;
        <?php
        if (PAIS == "USA") {
            echo "Date.format='mm/dd/yyyy';";
        } else {
            echo "Date.format='dd/mm/yyyy';";
        }
        ?>
        $(function() {
            $('.date-pick').datePicker({
                startDate: '01/01/1990'
            })
        });
    </script>
    <script type="text/javascript" language="javascript">
        $(document).ready(function() {
            $("#Cliente").autocomplete("busca_cliente.php", {
                width: 340,
                selectFirst: true,
                scroll: false,
                cacheLength: 100,
                max: 100
            });
            $("#Fornecedor").autocomplete("busca_fornecedor.php", {
                width: 340,
                selectFirst: true,
                scroll: false,
                cacheLength: 100,
                max: 100
            });
            $("#Produto").autocomplete("busca_produto.php", {
                width: 340,
                selectFirst: true,
                scroll: false,
                cacheLength: 100,
                max: 100
            });
        });
    </script>
    <script>
        function gerarCompra(idFornecedor) {
            let devolucao = $("#devolucao").val();
            let financeiro = $("#financeiro").val();
            let dataVenda = $("#dataVenda").val();
            let idUnidade = $("#idUnidade").val();
            let usuarioP = $("#usuarioP").val();
            let status = $("#status").val();
            let getIdUnidade = $("#getIdUnidade").val();
            $.post("./criar_compra.php", {
                    idFornecedor,
                    devolucao,
                    financeiro,
                    dataVenda,
                    idUnidade,
                    usuarioP,
                    status,
                    getIdUnidade
                },
                function(data) {
                    //$("#div_resposta").html(data);
                    alert('Compra Gerada com sucesso !');
                });
        }
    </script>
    <style type="text/css">
        thead {
            display: table-header-group;
        }

        tfoot {
            display: table-footer-group;
        }

        .btn_gera_compra {
            margin-left: 15px;
            margin-top: 5px;
            margin-bottom: 5px;
            padding: 3px 5px;
            cursor: pointer;
        }
    </style>
</head>

<body>
    <table width="100%" height="400px">
        <!-- TABELA Q ENVOLVE TODO O CONTEUDO -->
        <tr>
            <td>
                <table width="100%">
                    <tr>
                        <td align="left">
                            <font face="verdana" size="2"><i><b>Relatrio Custo de Produtos Vendidos Agrupado por
                        Fornecedor</b></i></font>
                        </td>
                        <td align="center">
                            <a href='imp_pdf_venda_hortibrasil.php?<?php echo $_SERVER["QUERY_STRING"] ?>' title="Pdf"><img src="../imagem/pdfG.png" border="0" alt="Pdf" title="Pdf" /></a>
                            <br />
                            <font face="verdana" size="2"><i>Pdf</i></font>
                        </td>
                        <td align="center">
                            <a href='imp_excel_venda_hortibrasil.php?<?php echo $_SERVER["QUERY_STRING"] ?>' title="Excel"><img src="../imagem/excelG.png" border="0" alt="Excel" title="Excel" /></a>
                            <br />
                            <font face="verdana" size="2"><i>Excel</i></font>
                        </td>
                        <td align="center">
                            <a href="imp_rel_venda_hortibrasil.php?<?php echo $_SERVER["QUERY_STRING"] ?>" title="Imprimir" target="_blank"><img src="../imagem/imprimirG.png" border="0" alt="Imprimir" title="Imprimir" /></a>
                            <br />
                            <font face="verdana" size="2"><i>Imprimir</i></font>
                        </td>
                    </tr>
                </table>
            </td>
        </tr>
        <tr>
            <td>
                <form action="" method="get">
                    <table width="100%" class="busca_rel">
                        <tr class="azul">
                            <td>De<input type="text" name="De" id="De" class="date-pick" size="10" value="<?php echo $_GET["De"]; ?>"></td>
                            <td>At<input type="text" name="Ate" id="Ate" class="date-pick" size="10" value="<?php echo $_GET["Ate"]; ?>"></td>
                            <?php
                            if ($_GET['Data_Filtro'] == 'Data') {
                                $Data = 'checked';
                            } else if ($_GET['Data_Filtro'] == 'Conclusao') {
                                $Conclusao = 'checked';
                            } else {
                                $Data = 'checked';
                            }
                            ?>
                            <td>
                                <input type="radio" name="Data_Filtro" value='Data' id="Data" <?php echo $Data; ?>><label class="label_radio" for="Data">Data Abertura</label>
                                <input type="radio" name="Data_Filtro" value='Conclusao' id="Conclusao" <?php echo $Conclusao; ?>><label class="label_radio" for="Conclusao">Data
                                    Concluso</label>
                            </td>
                        </tr>
                        <tr class="azul">
                            <td>

                                <input type="checkbox" name="Finalizado" value="Finalizado" <?php if ($_GET["Finalizado"]) echo "checked='checked' "; ?>>Finalizado
                                <input type="checkbox" name="Aberto" value="Aberto" <?php if ($_GET["Aberto"]) echo "checked='checked' "; ?>>Em Lanamento
                                <input type="checkbox" name="Cancelado" value="Cancelado" <?php if ($_GET["Cancelado"]) echo "checked='checked' "; ?>>Cancelado

                                <input type="hidden" value="<?php echo $_GET["Finalizado"]; ?>" name="Finalizado_Rel" id="Finalizado_Rel">
                                <input type="hidden" value="<?php echo $_GET["Aberto"]; ?>" name="Aberto_Rel" id="Aberto_Rel">
                                <input type="hidden" value="<?php echo $_GET["Cancelado"]; ?>" name="Cancelado_Rel" id="Cancelado_Rel">

                            </td>
                            <td>
                                <?php
                                include '../include/vendedor_gerente.php';

                                echo select_banco2(
                                    "Select Id, Titulo from funcionario where Ativo = 'Sim' AND Vendedor = 'Sim' $grupoVend $func order by Titulo",
                                    "Vendedor",
                                    "Vendedor",
                                    "Vendedor",
                                    $_GET["Vendedor"],
                                    $dis,
                                    'form-control'
                                );
                                ?>
                            </td>
                            <td>
                                <?php
                                //se o sistema for Multi Empresa
                                if (MULTI_EMPRESA == "Sim") {

                                    //se o usuario master ele escolhe pra quem vai
                                    if (ESCOLHER_EMPRESA == 'Sim') {
                                ?>

                                        <?php
                                        echo select_banco2(
                                            "SELECT Id,Titulo FROM unidade WHERE Ativo='Sim' ORDER BY Titulo",
                                            "Unidade",
                                            "Unidade",
                                            "Empresa",
                                            $_GET["Unidade"],
                                            'style="width:200px"',
                                            ""
                                        );
                                        ?>

                                <?php
                                        //se no for, a unidade sempre ser a sua
                                    } else {
                                        echo "<input type='hidden' name='Unidade' id='Unidade' value='" . $_SESSION["Unidade"] . "' >";
                                    }
                                } else {
                                    echo "<input type='hidden' name='Unidade' id='Unidade' value='" . $_SESSION["Unidade"] . "' >";
                                }
                                ?>
                            </td>
                        </tr>
                        <tr class="azul">
                            <td>
                                <?php
                                $vetor = array(
                                    ''      =>  'Com Financeiro?',
                                    'Sim'   =>  'Sim',
                                    'No'   =>  'No'
                                );
                                select_tela("Financeiro", "Financeiro", $_GET["Financeiro"], $vetor, '', "");
                                ?>
                            </td>
                            <td>
                                <?php
                                if (FORNECEDOR_RAZAO_SOCIAL == 'Sim') {
                                    $nome = 'Razao_Social';
                                } else {
                                    $nome = 'Titulo';
                                }

                                $Produt = listar("SELECT CONCAT(Codigo,' : ', " . $nome . ") as Titulo FROM fornecedor WHERE Id='" . $_GET['Fornecedor'] . "'");
                                $_GET["Fornecedor"] = $Produt[0]["Titulo"];
                                ?>
                                <label for="Fornecedor"><b> * Cdigo / Fornecedor :</b></label>
                                <input style="width: 220px; height: 20px;" type="text" id="Fornecedor" name="Fornecedor" value="<?php echo $_GET['Fornecedor']; ?>" />
                                &nbsp;&nbsp;&nbsp;
                                <?php
                                $vetor = array(
                                    ''      =>  'DV',
                                    'Sim'   =>  'Sim',
                                    'No'   =>  'No'
                                );
                                select_tela("DV", "DV", $_GET["DV"], $vetor, '', "");
                                ?>
                            </td>
                            <td>
                                <input type="submit" value="Ok" name="Ok">
                            </td>
                        </tr>
                    </table>
                </form>
            </td>
        </tr>
        <tr>
            <td>
                <table width="100%" class="tabela">
                    <?php
                    if ($_GET["Ok"]) {

                        while ($valor = mysqli_fetch_assoc($fornecedor)) {
                    ?>
                            <tr class="cinza">
                                <td colspan="12"><b>Fornecedor : </b><?php echo $valor["Fornecedor"]; ?><input class="btn_gera_compra" type="button" value="Gerar Compra" onclick="gerarCompra('<?= $valor['Id_Fornecedor'] ?>');"></td>
                            </tr>

                            <tr class="azul-claro">
                                <td width="5%">Codigo</td>
                                <td width="40%">Produto</td>
                                <td width="0%">Venda</td>
                                <td width="40%">Cliente</td>
                                <td width="5%">Medida</td>
                                <td width="5%">Qtd</td>
                                <td width="5%">Custo</td>
                                <td width="5%">Total</td>
                            </tr>

                            <input type="hidden" name="devolucao" id="devolucao" value="<?= $DV ?>">
                            <input type="hidden" name="financeiro" id="financeiro" value="<?= $faturamento ?>">
                            <input type="hidden" name="dataVenda" id="dataVenda" value="<?= $data ?>">
                            <input type="hidden" name="idUnidade" id="idUnidade" value="<?= $Unidade ?>">
                            <input type="hidden" name="usuarioP" id="usuarioP" value="<?= $usuario_p ?>">
                            <input type="hidden" name="status" id="status" value="<?= $status ?>">
                            <input type="hidden" name="getIdUnidade" id="getIdUnidade" value="<?= $_GET["Unidade"] ?: '1' ?>">

                            <?php
                            $vendaProduto = mysqli_query($con, "SELECT venda_produto.Qtd,
                                                   venda_produto.Preco_Custo,
                                                   venda_produto.Id_Produto,
                                                   venda_produto.Id_Fornecedor,
                                                   venda.Lancamento,
                                                   venda.Id_Cliente
                                                   FROM (SELECT Id,Id_Fornecedor,Id_Venda,Id_Produto,Qtd,Preco_Custo 
                                                   FROM venda_produto WHERE 1=1 
                                                    AND venda_produto.Id_Fornecedor = '" . $valor["Id_Fornecedor"] . "'
                                                    AND venda_produto.Id_Fornecedor != '') as venda_produto
                                                INNER JOIN (SELECT Id,Lancamento,Id_Cliente FROM venda WHERE 1=1 $DV $faturamento $data $Unidade $usuario_p $status) as venda ON venda_produto.Id_Venda = venda.Id
                                                WHERE 1=1 ORDER BY Lancamento ");
                            $tCusto = '';
                            $tQtd = '0';
                            $color = "#F5F5F5";
                            while ($chave = mysqli_fetch_assoc($vendaProduto)) {

                                if ($color == "#F5F5F5") {
                                    $color = "#E8E8E8";
                                } else {
                                    $color = "#F5F5F5";
                                }

                                if (CLIENTE_RAZAO_SOCIAL == 'Sim') {
                                    $nome = 'Razao_Social';
                                } else {
                                    $nome = 'Titulo';
                                }

                $nome1 = mysqli_query($con, "SELECT Id, $nome as Cliente FROM cliente WHERE Id= '".$chave["Id_Cliente"]."' ");
                $nome1 = mysqli_fetch_assoc($nome1);

                $nome2 = mysqli_query($con, "SELECT Id,Codigo,Medida,Titulo as Produto FROM produto WHERE Id= '".$chave["Id_Produto"]."' ");
                $nome2 = mysqli_fetch_assoc($nome2);
                            ?>

                                <tr bgcolor=<?php echo "$color"; ?>>
                                    <td><?php echo $nome2["Codigo"] ?></td>
                                    <td><?php echo $nome2["Produto"] ?></td>
                                    <td><?php echo $chave["Lancamento"] ?></td>
                                    <td><?php echo $nome1["Cliente"] ?></td>
                                    <td><?php echo $nome2["Medida"] ?></td>
                                    <td id="qtdItem"><?php echo valor_exibir($chave["Qtd"]) ?></td>
                                    <td><?php echo valor_exibir($chave["Preco_Custo"]) ?></td>
                                    <td><?php echo valor_exibir($chave["Preco_Custo"] * $chave["Qtd"]) ?></td>
                                </tr>

                                <?php
                                $tQtd += $chave["Qtd"];
                                $geralQtd += $chave["Qtd"];
                                $tCusto += $chave["Preco_Custo"] * $chave["Qtd"];
                                $geralCusto += $chave["Preco_Custo"] * $chave["Qtd"];
                                ?>
                            <?php } ?>

                            <tr>
                                <!-- <td colspan="4" align="center">
                                    <input type="submit" value="Gerar Compra" name="Gerar Compra">
                                </td> -->
                                <td colspan="4"></td>
                                <td>Total &nbsp;</td>
                                <td><?php echo valor_exibir($tQtd); ?></td>
                                <td>&nbsp;</td>
                                <td><?php echo valor_exibir($tCusto); ?></td>
                            </tr>
                            <tr>
                                <td colspan="8">&nbsp;</td>
                            </tr>
                    <?php }
                    }
                    ?>
                    <tr>
                        <td colspan="5" align="right"><b>Valores Finais:</b> &nbsp;</td>
                        <td><b><?php echo valor_exibir($geralQtd); ?></b></td>
                        <td>&nbsp;</td>
                        <td><b><?php echo valor_exibir($geralCusto); ?></b></td>
                    </tr>
                </table>
            </td>
        </tr>
        <tr>
            <td>
                <div id="div_resposta"></div>
            </td>
        </tr>
    </table>
    <!-- INICIO DA TELA MODAL ENVIO DE EMAIL-->
    <!-- No css existe um estilo para essas divs que as deixa invisivel - display:none; -->
    <?php include_once "../include/email_tabela.php"; ?>
    <!-- FIM DA TELA MODAL ENVIO DE EMAIL-->
    <br>
</body>

</html>