<?php
include_once '../include/conecta.php'; //Conecta com a nosso banco de dados MySQL
include_once 'menu_movimento.php';
include_once 'ver_cookie.php'; //Verifica se a sesso est ativa
include_once 'funcoesPhp.php'; //Inclue a pgina con todas as funes a ser usada.

ob_start();
?>
<?php
 $usuario = mysqli_query($con,"SELECT mesa_temp.Id,
                            mesa_temp.Id_Produto,
                            mesa_temp.Preco,
                            SUM(mesa_temp.Qtd) as Qtd,
                            mesa_temp.Saiu_Para_Mesa,
                            mesa_temp.Ordem,
                            produto.Titulo as 'Produto'
                            FROM mesa_temp
                            left join (SELECT Id,Titulo,Codigo FROM produto) as produto ON produto.Id = mesa_temp.Id_Produto
                            WHERE mesa_temp.Id_Mesa='".$_POST["Id_Mesa"]."'
                            AND mesa_temp.Numero_Pedido='".$_POST["Numero_Pedido"]."'
                            AND mesa_temp.Saiu_Para_Mesa = 'Sim'
                            AND mesa_temp.Cancelado = 'No'
                            GROUP BY mesa_temp.Id_Produto,mesa_temp.Preco
                            order by mesa_temp.Data_Cadastro ");

?>
<style type="text/css">
.razao{
    font-size: 14px;
}
</style>
    <table class="razao">
        <tr>
            <td colspan="3" align="center"><span style="font-size:18px"><b>MESA : <?php echo $_POST["Id_Mesa"];?></b></span></td>
        </tr>
        <tr>
            <td width="70%"><b>PRODUTO</b></td>
            <td width="15%"><b>QTD</b></td>
            <td width="15%" align="right"><b>UNIT</b></td>
        </tr>
    <?php
       while($chave = mysqli_fetch_assoc($usuario)){
    ?>
        <tr>
            <td><?php echo $chave["Produto"]?></td>
            <td><?php echo $chave["Qtd"]?></td>
            <td align="right"><?php echo valor_exibir($chave["Preco"]);?></td>
        </tr>
    <?php
$compl = mysqli_query($con,"SELECT mesa_temp_compl.Id,
                    mesa_temp_compl.Id_Produto,
                    mesa_temp_compl.Preco,
                    mesa_temp_compl.Qtd,
                    produto_compl.Titulo as 'Produto'
                    FROM mesa_temp_compl
                    left join (SELECT Id,Titulo,Codigo FROM produto WHERE Tipo_Produto = 'C') as produto_compl ON produto_compl.Id = mesa_temp_compl.Id_Produto_Compl
                    WHERE mesa_temp_compl.Id_Mesa='".$_POST["Id_Mesa"]."'
                    AND mesa_temp_compl.Numero_Pedido='".$_POST["Numero_Pedido"]."'
                    AND mesa_temp_compl.Id_Produto = '".$chave["Id_Produto"]."'
                    AND mesa_temp_compl.Ordem = '".$chave["Ordem"]."'
                    AND mesa_temp_compl.Cancelado = 'No'
                    order by mesa_temp_compl.Data_Cadastro ");
                    
       while($valor = mysqli_fetch_assoc($compl)){
    ?>
        <tr>
            <td>-> <?php echo $valor["Produto"]?></td>
            <td><?php echo $chave["Qtd"]?></td>
            <td align="right"><?php echo valor_exibir($valor["Preco"]);?></td>
        </tr>
    <?php
        $ValTotalCompl+= ($valor["Qtd"]*$valor["Preco"]);
       } 
       $ValTotal+= ($chave["Qtd"]*$chave["Preco"]);
       }
    ?>
        
        <tr>
            <td colspan="3"><hr style="color:#000000;"></td>
        </tr>
<?php
$data_v = mysqli_query($con,"SELECT DATE_FORMAT(mesa_temp.Data_Cadastro, '%H:%i:%s') as 'Hora_Cadastro',
                            mesa_temp.Data_Cadastro,
                            mesa_temp.Taxa_Servico
                            FROM mesa_temp
                            WHERE mesa_temp.Id_Mesa='".$_POST["Id_Mesa"]."'
                            AND mesa_temp.Numero_Pedido='".$_POST["Numero_Pedido"]."'
                            AND mesa_temp.Saiu_Para_Mesa = 'Sim'
                            AND mesa_temp.Cancelado = 'No'
                            order by mesa_temp.Data_Cadastro ");
$data_p = mysqli_fetch_assoc($data_v);
?>
        <tr>
            <td><?php echo data_exibir($data_p["Data_Cadastro"])." ".$data_p["Hora_Cadastro"];?></td>
            <td>PRODUTOS</td>
            <td width="15%" align="right"><?php echo valor_exibir($ValTotal+$ValTotalCompl);?></td>
        </tr>

        <tr>
                    <?php

                    
                        $tx_ = mysqli_query($con,"SELECT Taxa_Servico_Mesa,Valor_Taxa_Servico FROM opcao ");
                        $taxa_ = mysqli_fetch_assoc($tx_);
                        
                        if($data_p["Taxa_Servico"]=='Sim'){
                            
                            $vServico = ( ($ValTotal+$ValTotalCompl) - $desc_total)*($taxa_["Valor_Taxa_Servico"]/100);
                            $vServico = valor_exibir($vServico);
                            $vServico = valor_banco($vServico);
                            
                        }
                    ?>
                        <td>&nbsp;</td>
                        <td>TAXA
                            <span style="font-size:11px">
                                <?php echo valor_exibir($taxa_["Valor_Taxa_Servico"]);?>%
                            </span>
                        </td>
                        <td width="15%" align="right">
                            <?php echo valor_exibir($vServico); ?>
                        </td>
                    </tr>
        
        <tr>
            <td>&nbsp;</td>
            <td>TOTAL</td>
            <td width="15%" align="right"><?php echo valor_exibir( ($ValTotal+$ValTotalCompl)+$vServico );?></td>
        </tr>
    </table>
<?php
$pagina = ob_get_contents();
ob_end_clean();
echo utf8_encode($pagina);		
?>