<?php
include_once '../include/conecta.php'; //Conecta com a nosso banco de dados MySQL
include_once '../include/ver_sessao.php'; //Verifica se a sesso est ativa

$codigo = addslashes($_POST['Codigo']);
$cliente = addslashes($_POST['Cliente']);
$nomeCliente = CLIENTE_RAZAO_SOCIAL == "Sim" ? "Razao_Social" : "Titulo";
$dataAtual = date("Y-m-d");
$sql = "SELECT venda.Id, venda.Lancamento, cliente.Titulo Cliente, venda.Total_Pagar, venda.Valor_Pago, 
funcionario.Titulo Funcionario 
FROM (SELECT Id,Lancamento,Total_Pagar,Valor_Pago,Id_Cliente,Id_funcionario,Status FROM venda) as venda 
LEFT JOIN (SELECT Id,Titulo FROM cliente) as cliente ON cliente.Id = venda.Id_Cliente 
LEFT JOIN (SELECT Id,Titulo FROM funcionario) as funcionario ON funcionario.Id = venda.Id_funcionario 
WHERE venda.Status='Finalizado' 
AND (SELECT COUNT(venda_tipo_pagamento.Id) 
    FROM venda_tipo_pagamento 
    INNER JOIN tipo_pagamento ON tipo_pagamento.Id = venda_tipo_pagamento.Id_Tipo_Pagamento 
    WHERE venda_tipo_pagamento.Data_Pagamento = '$dataAtual' 
    AND venda_tipo_pagamento.Id_Venda = venda.Id 
    AND tipo_pagamento.Tef='Sim' AND venda_tipo_pagamento.Id_Estorno IS NULL 
    AND venda_tipo_pagamento.Valor_Pago > 0) > 0 ";
$sql.= strlen($codigo) > 0 ? " AND venda.Lancamento = '$codigo'" : "";
$sql .= strlen($cliente) > 0 ? " AND cliente.$nomeCliente LIKE '%$cliente%'": "";
$sql .= " ORDER BY venda.Lancamento DESC LIMIT 100";
$getVendas = $con->query($sql);
$vendas = [];

while($venda = mysqli_fetch_assoc($getVendas)) {
    $venda['Cliente'] = utf8_encode($venda['Cliente']);
    $venda['Funcionario'] = utf8_encode($venda['Funcionario']);
    array_push($vendas,$venda);
}
echo json_encode($vendas);
?>