<?php
// include '../include/script_cabeca.php';
// include '../include/script_campo.php';
?>

<script type='text/javascript'>
    var telaPagamentoAberta = false;

    //BLOQUEAR A TECLA F5
    if (navigator.appName.indexOf('Internet Explorer') < 0) {
        window.onkeydown = function(event) {
            if (event.keyCode == 116) {
                event.preventDefault();
                alert("Tecla F5 Bloqueada...");
            }
        }
    } else {
        // IE
        document.onkeydown = function(event) {
            if (window.event.keyCode == 116) {
                alert("Tecla F5 Bloqueada...");
                window.event.keyCode = 0;
                window.event.returnValue = false;
            }
        }
    }
</script>
<script type="text/javascript" language="javascript">
    //bloqueio o backspace
    $(document).unbind('keydown').bind('keydown', function(event) {
        var doPrevent = false;
        if (event.keyCode === 8) {
            var d = event.srcElement || event.target;
            if ((d.tagName.toUpperCase() === 'INPUT' && (d.type.toUpperCase() === 'TEXT' || d.type.toUpperCase() === 'PASSWORD' || d.type.toUpperCase() === 'FILE')) ||
                d.tagName.toUpperCase() === 'TEXTAREA') {
                doPrevent = d.readOnly || d.disabled;
            } else {
                doPrevent = true;
            }
        }

        if (doPrevent) {
            event.preventDefault();
        }
    });
</script>
<script type="text/javascript" language="javascript">
    $(document).ready(function() {
        if ($("#Cliente").length) {
            $("#Cliente").autocomplete({
                width: 260,
                selectFirst: true,
                scroll: false,
                cacheLength: 100,
                max: 100,
                minLength: 3,
                source: "busca_cliente.php"
            });
        }

        if ($("#Codigo_Produto").length) {
            $("#Codigo_Produto").autocomplete({
                width: 260,
                selectFirst: true,
                scroll: false,
                cacheLength: 100,
                max: 100,
                minLength: 3,
                source: "busca_produto.php"
            });

            $("#Codigo_Produto").keypress(function(e) {
                if (e.which == 13 && $(this).val().trim().length > 0) {
                    AddProduto($(this).val(), 'Codigo');
                }
            });
        }

        tempoRestanteHH();
        tempoOcupacao();
    });
</script>
<script>
    $(document).ready(function() {
        $("#valorCartaoCredito").keypress(async function(e) {
            if (e.keyCode == 13) {
                let valorVenda = parseFloat($("input#valorCartaoCredito").val().replace('.', '').replace(',', '.').replace('R$ ', ''));
                $.post("validar_valor_cartao.php", {
                        valor: valorVenda,
                        idVenda: $("#idVenda").val()
                    },
                    function(data) {
                        let response = JSON.parse(data);
                        if (response.permitido) {
                            $("#modalPagCredito").modal('show');
                        } else {
                            alert("O valor informado  maior que o valor restante");
                        }
                    })
            }
        });

        $("form#pagarCartaoCredito").submit(async function(e) {
            e.preventDefault();

            let valorVenda = parseFloat($("input#valorCartaoCredito").val().replace('.', '').replace(',', '.').replace('R$ ', ''));
            let idVenda = $("#idVenda").val();
            $.post("validar_valor_cartao.php", {
                    valor: valorVenda,
                    idVenda
                },
                async function(data) {
                    let response = JSON.parse(data);
                    if (response.permitido) {
                        let tipoParcelamento = document.getElementById("tipoParcelamento").options[document.getElementById("tipoParcelamento").selectedIndex].value
                        let qtdParcelas = document.getElementById("qtdParcelas").value == "" ? 0 : document.getElementById("qtdParcelas").value;
                        let pagamentoRealizado = (response) => {
                            let idTransacao = response.administrativeCode;
                            let dadosCartao = JSON.stringify({
                                bandeira: response.cardBrandName,
                                numero: response.customerCardPan,
                                titular: response.cardHolderName
                            });
                            $.post("add_valor_pago.php", {
                                    metodo: 'cartaoCredito',
                                    valor: valorVenda,
                                    idVenda,
                                    idTransacao: idTransacao,
                                    descontoPerc: $("input[name=descontoPerc]").val(),
                                    descontoReal: $("input[name=descontoReal]").val(),
                                    qtdParcelas: response.installments,
                                    dadosCartao,
                                    idCliente: $("input[name=cliente]").val(),
                                },
                                function(data) {
                                    let response = JSON.parse(data);

                                    let valorPagoCartaoCredito = parseFloat($("#valorPagoCartaoCredito").val().replace('.', '').replace(',', '.').replace('R$', ''));
                                    $("#valorPagoCartaoCredito").val((valorVenda + valorPagoCartaoCredito).toLocaleString('pt-br', {
                                        style: 'currency',
                                        currency: 'BRL'
                                    }));
                                    $("input#valorCartaoCredito").val('R$ 0,00');
                                    let totalPago = parseFloat($("#totalPago").attr("data-total")) + valorVenda;
                                    $("#totalPago").attr("data-total", totalPago).html(`${totalPago.toLocaleString('pt-br', {style: 'currency', currency: 'BRL'})}`);
                                    let totalRestante = parseFloat($("#valorTotalMesa").attr("data-total")) - totalPago;
                                    $("#totalRestante").attr("data-total", totalRestante).html(`${totalRestante.toLocaleString('pt-br', {style: 'currency', currency: 'BRL'})}`);

                                    if (response.finalizar) {
                                        window.open(`impressao_final.php?venda=${idVenda}`, '_blank', 'width=400,height=600,top=20,left=250,scrollbars=yes');
                                    }
                                })
                        }

                        let erroPagamento = (erro) => {
                            alert(erro.reason);
                        }
                        $("#modalPagCredito").modal('hide');
                        await pagamentoCredito({
                            valorVenda: valorVenda,
                            tipoParcelamento: tipoParcelamento,
                            qtdParcelas: qtdParcelas,
                            pagamentoRealizado,
                            erroPagamento
                        });
                    }
                })
        })

        $("#valorCartaoDebito").keypress(async function(e) {
            if (e.keyCode == 13) {
                let valorVenda = parseFloat($("input#valorCartaoDebito").val().replace('.', '').replace(',', '.').replace('R$ ', ''));
                let idVenda = $("#idVenda").val();
                $.post("validar_valor_cartao.php", {
                        valor: valorVenda,
                        idVenda
                    },
                    async function(data) {
                        let response = JSON.parse(data);
                        if (response.permitido) {
                            let pagamentoRealizado = (response) => {
                                let idTransacao = response.administrativeCode;

                                let dadosCartao = JSON.stringify({
                                    bandeira: response.cardBrandName,
                                    numero: response.customerCardPan,
                                    titular: response.cardHolderName
                                });

                                $.post("add_valor_pago.php", {
                                        metodo: 'cartaoDebito',
                                        valor: valorVenda,
                                        idVenda: $("#idVenda").val(),
                                        idTransacao: idTransacao,
                                        descontoPerc: $("input[name=descontoPerc]").val(),
                                        descontoReal: $("input[name=descontoReal]").val(),
                                        qtdParcelas: response.installments,
                                        dadosCartao,
                                        idCliente: $("input[name=cliente]").val(),
                                    },
                                    function(data) {
                                        let response = JSON.parse(data);
                                        let valorPagoCartaoDebito = parseFloat($("#valorPagoCartaoDebito").val().replace('.', '').replace(',', '.').replace('R$', ''));
                                        $("#valorPagoCartaoDebito").val((valorVenda + valorPagoCartaoDebito).toLocaleString('pt-br', {
                                            style: 'currency',
                                            currency: 'BRL'
                                        }))
                                        $("input#valorCartaoDebito").val('R$ 0,00');
                                        let totalPago = parseFloat($("#totalPago").attr("data-total")) + valorVenda;
                                        $("#totalPago").attr("data-total", totalPago).html(`${totalPago.toLocaleString('pt-br', {style: 'currency', currency: 'BRL'})}`);
                                        let totalRestante = parseFloat($("#valorTotalMesa").attr("data-total")) - totalPago;
                                        $("#totalRestante").attr("data-total", totalRestante).html(`${totalRestante.toLocaleString('pt-br', {style: 'currency', currency: 'BRL'})}`);

                                        if (response.finalizar) {

                                            window.open(`impressao_final.php?venda=${idVenda}`, '_blank', 'width=400,height=600,top=20,left=250,scrollbars=yes');
                                        }
                                    })
                            }

                            let erroPagamento = (erro) => {
                                alert(erro.reason);
                            }

                            await pagamentoDebito({
                                valorVenda: valorVenda,
                                pagamentoRealizado,
                                erroPagamento
                            });
                        } else {
                            alert("O valor informado  maior que o valor restante");
                        }
                    })
            }
        });

        $(".Tipo_pagamento_mesa").keypress(async function(e) {
            if (e.keyCode == 13) {
                let input = $(this);
                let valorVenda = parseFloat(input.val().replace('.', '').replace(',', '.').replace('R$ ', ''));
                let idVenda = $("#idVenda").val();

                $.post("add_valor_pago.php", {
                        metodo: '',
                        valor: valorVenda,
                        idVenda: idVenda,
                        idTipoPagamento: input.attr("data-idTipo"),
                        descontoPerc: $("input[name=descontoPerc]").val(),
                        descontoReal: $("input[name=descontoReal]").val(),
                        idCliente: $("input[name=cliente]").val(),
                    },
                    function(data) {
                        input.val('');
                        let response = JSON.parse(data);
                        let totalPago = parseFloat($("#totalPago").attr("data-total")) + valorVenda;
                        $("#totalPago").attr("data-total", totalPago).html(`${totalPago.toLocaleString('pt-br', {style: 'currency', currency: 'BRL'})}`);
                        let totalRestante = 0;
                        if (response.troco == 0) {
                            totalRestante = parseFloat($("#valorTotalMesa").attr("data-total")) - totalPago;
                        }
                        $("#totalRestante").attr("data-total", totalRestante).html(`${totalRestante.toLocaleString('pt-br', {style: 'currency', currency: 'BRL'})}`);

                        if (response.finalizar) {
                            window.open(`impressao_final.php?venda=${idVenda}`, '_blank', 'width=400,height=600,top=20,left=250,scrollbars=yes');
                        }
                    })
            }
        })

        $("#listVendasFinalizadas").click(function() {
            $("#exibeVendas").css({
                display: "block"
            });
            $("#exibePagamentos").css({
                display: "none"
            });
            $("#listaPagamentos tbody").html("");
            $(".modal-backdrop").css({
                position: 'fixed'
            });
            $("#modalVendasFinalizadas").css({
                'z-index': ''
            });

            $.post("list_vendas_finalizadas.php", {},
                function(response) {
                    let vendas = JSON.parse(response);
                    $("#listaVendas tbody").html("");
                    vendas.map(venda => {
                        $("#listaVendas tbody").append(`
                        <tr>
                            <td class="lancamentoVenda">${venda.Lancamento}</td>
                            <td>${venda.Cliente}</td>
                            <td>${venda.Funcionario}</td>
                            <td>${parseFloat(venda.Valor_Original).toLocaleString("pt-br", {style: 'currency', currency: 'BRL'})}</td>
                            <td>${parseFloat(venda.Valor_Pago).toLocaleString("pt-br", {style: 'currency', currency: 'BRL'})}</td>
                            <td><button class="btn-visualizarPagamentos" venda='${venda.Id}'>Pagamentos</button></td>
                        </tr>
                    `);
                    })
                })
        });

        $("body").on('click', '.btn-visualizarPagamentos', function() {
            let venda = $(this).attr('venda');
            let lancamento = $(this).parents("tr").find("td.lancamentoVenda").html();
            $("#exibeVendas").css({
                display: "none"
            });
            $("#exibePagamentos").css({
                display: "block"
            });
            $("#exibePagamentos #codigoVenda").html(lancamento);
            $("#exibePagamentos input[name=idVenda]").val(venda);

            $.post("list_pagamentos_cartao.php", {
                venda
            }, function(data) {
                let vendaTipoPagamento = JSON.parse(data);
                $("#listaPagamentos tbody").html("");

                vendaTipoPagamento.map(tipoPagamento => {
                    $("#listaPagamentos tbody").append(`
                        <tr ${tipoPagamento.Id_Estorno ? 'class="pagamentoEstornado"' : ''}>
                            <td>${tipoPagamento.Ordem}</td>
                            <td>${tipoPagamento.Titulo}</td>
                            <td>${parseFloat(tipoPagamento.Valor).toLocaleString("pt-br", {style: 'currency', currency: 'BRL'})}</td>
                            <td>${parseFloat(tipoPagamento.Valor_Pago).toLocaleString("pt-br", {style: 'currency', currency: 'BRL'})}</td>
                            <td>${tipoPagamento.Id_Estorno ? '' : `<button class="estornarPagamento" vendaTipoPagamento="${tipoPagamento.Id}">Estornar</button>`}</td>
                        </tr>
                    `)
                })
            })
        });

        $("#exibePagamentos #voltar").click(function(e) {
            e.preventDefault();
            $("#exibeVendas").css({
                display: "block"
            });
            $("#exibePagamentos").css({
                display: "none"
            });
        })

        $("body").on("click", ".estornarPagamento", async function() {
            let btnEstornarPagamento = $(this);
            let vendaTipoPagamento = btnEstornarPagamento.attr("vendaTipoPagamento");
            let estornarPagamento = await confirm("Confirma o estorno desse pagamento?");
            let idVenda = $("#exibePagamentos input[name=idVenda]").val();

            if (estornarPagamento) {
                $(".modal-backdrop").css({
                    position: 'static'
                });
                $("#modalVendasFinalizadas").css({
                    'z-index': 0
                });

                $.post("senha_admin_cappta.php", {
                        vendaTipoPagamento
                    },
                    function(data) {
                        let response = JSON.parse(data);
                        let {
                            senha,
                            idTransacao
                        } = response;
                        if (senha && senha.length > 0) {
                            const pagamentoEstornado = (response) => {
                                let = viaCliente = btoa(response.receipt.customerReceipt);
                                let viaEstabelecimento = btoa(response.receipt.merchantReceipt);
                                let dadosCartao = JSON.stringify({
                                    bandeira: response.cardBrandName,
                                    numero: response.customerCardPan,
                                    titular: response.cardHolderName
                                });

                                $.post("estornarPagamento.php", {
                                        idVenda,
                                        vendaTipoPagamento,
                                        idCancelamento: response.administrativeCode,
                                        qtdParcelas: response.installments,
                                        dadosCartao,
                                    },
                                    function(data) {
                                        let transacao = JSON.parse(data);
                                        if (transacao.estornada) {
                                            btnEstornarPagamento.parents("tr").addClass("pagamentoEstornado");
                                            btnEstornarPagamento.remove();
                                            //Retirar aps envio do roteiro
                                            window.open(`impressao_estorno.php?cliente=${viaCliente}&estabelecimento=${viaEstabelecimento}`, '_blank', 'width=300,height=600,top=20,left=250,scrollbars=yes');
                                        }
                                        $(".modal-backdrop").css({
                                            position: 'fixed'
                                        });
                                        $("#modalVendasFinalizadas").css({
                                            'z-index': ''
                                        });
                                    });
                            }
                            const erroCancelar = (response) => {
                                // console.log(response);
                                $(".modal-backdrop").css({
                                    position: 'fixed'
                                });
                                $("#modalVendasFinalizadas").css({
                                    'z-index': ''
                                });
                            }
                            cancelarPagamento({
                                senhaAdm: senha,
                                codigoAdmTransacao: idTransacao,
                                chaveSolicitacao: "",
                                pagamentoCancelado: pagamentoEstornado,
                                erroCancelar: erroCancelar
                            });
                        }
                    })
            }
        });

        $("#filtroVenda").submit(function(e) {
            e.preventDefault();
            let data = $(this).serialize();
            $.post("busca_venda_finalizada.php", data, function(response) {
                let vendas = JSON.parse(response);
                $("#listaVendas tbody").html("");

                vendas.map(venda => {
                    $("#listaVendas tbody").append(`
                        <tr>
                            <td class="lancamentoVenda">${venda.Lancamento}</td>
                            <td>${venda.Cliente}</td>
                            <td>${venda.Funcionario}</td>
                            <td>${parseFloat(venda.Total_Pagar).toLocaleString("pt-br", {style: 'currency', currency: 'BRL'})}</td>
                            <td>${parseFloat(venda.Valor_Pago).toLocaleString("pt-br", {style: 'currency', currency: 'BRL'})}</td>
                            <td><button class="btn-visualizarPagamentos" venda='${venda.Id}'>Pagamentos</button></td>
                        </tr>
                    `);
                })
            });
        });

        $("body").on('click', ".removerProduto img", function() {
            let produto = $(this).parents(".produtos_pedido");
            let idVendaProduto = produto.attr("vendaProduto");
            let idVenda = $("input[name=Codigo_Venda]").val();

            $.post("remover_produto.php", {
                    idVenda,
                    idVendaProduto
                },
                function(data) {
                    let response = JSON.parse(data);
                    if (response.erro) {
                        console.log(response.mensagem);
                    } else {
                        produto.remove();

                        let preco = parseFloat(response.preco);
                        let subtotal = parseFloat($("#subtotal_pedido").attr("data-subtotal"));
                        subtotal = round(subtotal - preco, 2);
                        $("#subtotal_pedido").attr("data-subtotal", subtotal);
                        $("#subtotal_pedido").html(subtotal.toLocaleString('pt-br', {
                            minimumFractionDigits: 2
                        }));

                        if ($(".produtos_pedido").length > 0) {
                            aplicarDesconto();
                        } else {
                            $('#total_desconto').attr("data-totalDesconto", 0);
                            $('#total_desconto').html("0,00");
                            $('#total_taxa').html("0,00");
                        }
                    }
                }
            )
        });

        $("#ConfiguracaoModal").on('shown.bs.modal', function() {
            $(this).find('input[name=dataPreparo]').trigger('focus')
        })

        $("#ConfiguracaoModal form").submit(function(e) {
            e.preventDefault();
            let idVenda = $(this).find("input[name='idVenda']").val();
            let dataPreparo = $(this).find("input[name=dataPreparo]").val();
            let horaPrevistaPreparo = $(this).find("input[name=horaPrevistaPreparo]").val();
            let descontoPercentual = $(".bloco_subtotal #Desconto_final_perc").val();
            let descontoReal = $(".bloco_subtotal #Desconto_final_real").val();
            let mesa = $(".bloco_subtotal #mesa").val();
            let qtdPessoas = $(".bloco_subtotal #qtdPessoas").val();
            let cliente = btoa($(".table_pedido #Cliente").val());

            $.post("./configurar_preparo.php", {
                    idVenda,
                    dataPreparo,
                    horaPrevistaPreparo,
                    descontoPercentual,
                    descontoReal,
                    mesa,
                    qtdPessoas,
                    cliente
                },
                function(data) {
                    let {
                        status,
                        mensagem
                    } = JSON.parse(data);
                    if (status == 'ok') {
                        impressaoParcial(idVenda);
                    } else {
                        alert(mensagem);
                    }
                }
            )
        })
    })
</script>
<script>
    const round = (num, places) => {
        if (!("" + num).includes("e")) {
            return +(Math.round(num + "e+" + places) + "e-" + places);
        } else {
            let arr = ("" + num).split("e");
            let sig = ""
            if (+arr[1] + places > 0) {
                sig = "+";
            }

            return +(Math.round(+arr[0] + "e" + sig + (+arr[1] + places)) + "e-" + places);
        }
    }

    const AlterarQtdProduto = async (botao) => {
        $(botao).attr('disabled', true);
        let Sinal = $(botao).val()
        let produto = $(botao).parents(".produtos_pedido");
        let Qtd_Novo = Sinal == '+' ? parseFloat(produto.find("input.Qtd_item").val()) + 1 : parseFloat(produto.find("input.Qtd_item").val()) - 1;
        let VendaProduto = produto.attr("vendaProduto");
        let Codigo_Venda = $("input[name=Codigo_Venda]").val();

        if (Qtd_Novo >= 1) {
            await $.post("alt_quantidade_produto.php", {
                    VendaProduto: VendaProduto,
                    Qtd_Novo: 1,
                    Codigo_Venda: Codigo_Venda,
                    Sinal: Sinal
                },
                function(data) {
                    let retorno = JSON.parse(data);
                    if (retorno.erro) {
                        alert(retorno.mensagem);
                    } else {
                        let preco = parseFloat(retorno.Preco);
                        produto.find("input.Qtd_item").val(Qtd_Novo);
                        let subtotal = parseFloat($("#subtotal_pedido").attr("data-subtotal"));
                        subtotal = Sinal == "+" ? round(subtotal + preco, 2) : round(subtotal - preco, 2);
                        $("#subtotal_pedido").attr("data-subtotal", subtotal);
                        $("#subtotal_pedido").html(subtotal.toLocaleString('pt-br', {
                            minimumFractionDigits: 2
                        }));

                        aplicarDesconto();
                    }
                }
            );
        }
        $(botao).removeAttr('disabled');
    }

    function AddProduto(produto, coluna, quantidade = 1) {
        var Cliente = $("#Cliente").val();
        let Codigo_Venda = $("input[name=Codigo_Venda]").val();
        let mesa = $("#mesa").val();

        $.post("add_produto.php", {
                Produto: produto,
                Cliente: Cliente,
                Qtd_Novo: quantidade,
                Coluna: coluna,
                Codigo_Venda: Codigo_Venda,
                mesa: mesa,
            },
            function(data) {
                let retorno = JSON.parse(data);
                if (retorno.erro) {
                    alert(retorno.mensagem);
                } else {
                    let produtoAdicionado = retorno.produto;
                    let preco = parseFloat(produtoAdicionado.Preco);

                    $("#Prod_Pedido").append(`
                        <div class="produtos_pedido" vendaProduto='${produtoAdicionado.vendaProduto}'">
                            <span class="nome_prod_pedido" onclick="obsProduto('${produtoAdicionado.vendaProduto}')" style="cursor:pointer">
                                ${produtoAdicionado.Titulo}
                            </span>
                            <div id="btn_adicionar_remover" style="height:100%;">
                                <input type="button" class="input-add-remove" value="-" onclick='AlterarQtdProduto(this)' ${produtoAdicionado.pesavel == 'Sim' ? 'disabled' : ''}>
                                <input type="text" name="Qtd" class="Qtd_item" value="1" readonly onclick="window.open('alterar_quantidade.php?vendaProduto=${produtoAdicionado.vendaProduto}','Btn_parcial','width=600,height=400,top=0,left=0,scrollbars=yes')" style="text-align:center;cursor:pointer">
                                <input type="button" class="input-add-remove" value="+" onclick='AlterarQtdProduto(this)' ${produtoAdicionado.pesavel == 'Sim' ? 'disabled' : ''}>
                            </div>
                            <?php if (ALTERAR_VALOR_ITEM_MESA == 'Sim') { ?>
                                <span class="preco" onclick="alterarPrecoItem('${produtoAdicionado.vendaProduto}')" style="cursor:pointer">
                                    ${preco.toLocaleString('pt-br',{minimumFractionDigits: 2})}
                                </span>
                            <?php } else { ?>
                                <span class="preco">
                                ${preco.toLocaleString('pt-br',{minimumFractionDigits: 2})}
                                </span>
                           <?php } ?>
                            <span class="removerProduto">
                                <?php
                                if (CANCELAR_ITEM_MESA_1 == 'Sim') { ?>
                                    <img src="../imagem/delete_mesa.png" alt="Remover" onclick="" class="icon_config">
                                <?php } ?>
                            </span>
                        </div>
                    `);

                    let subtotal = parseFloat($("#subtotal_pedido").attr("data-subtotal")) + preco;
                    $("#subtotal_pedido").attr("data-subtotal", subtotal);
                    $("#subtotal_pedido").html(round(subtotal, 2).toLocaleString('pt-br', {
                        minimumFractionDigits: 2
                    }));

                    aplicarDesconto();

                    if (coluna == "Codigo") {
                        $("#Codigo_Produto").val("")
                    }
                }
            }
        );
    }

    function aplicarDesconto() {
        let subtotal = parseFloat($("#subtotal_pedido").attr("data-subtotal").replace(',', '.'));
        if (subtotal > 0) {
            let descontoReal = $('input[name=Desconto_real]').val().length ? parseFloat($('input[name=Desconto_real]').val().replace('.', '').replace(',', '.')) : 0;
            let percentualDesconto = $('input[name=Desconto_perc]').val().length ? parseFloat($('input[name=Desconto_perc]').val().replace('.', '').replace(',', '.')) : 0;
            let descontoPerc = (subtotal * percentualDesconto) / 100;
            let totalDesconto = descontoPerc + descontoReal;
            totalDesconto = parseFloat((subtotal - totalDesconto));
            $('#total_desconto').attr("data-totalDesconto", totalDesconto);
            $('#total_desconto').html(round(totalDesconto, 2).toLocaleString('pt-br', {
                minimumFractionDigits: 2
            }))
            aplicarTaxa();
        }
    }

    function aplicarTaxa() {
        let taxaServico = parseFloat($('#taxa-servico').attr('data-taxa'));
        let taxaCouvertArtistico = parseFloat($('input[name=couvert_artistico]').val());
        let totalDesconto = parseFloat($('#total_desconto').attr("data-totalDesconto"));
        let valorTaxa = taxaServico > 0 ? (totalDesconto / taxaServico) : 0;
        let totalTaxa = round(parseFloat((valorTaxa + totalDesconto + taxaCouvertArtistico)), 2);

        $('#total_taxa').html(totalTaxa.toLocaleString('pt-br', {
            minimumFractionDigits: 2
        }));
    }

    const chamaListaProduto = (categoria, id_categoria) => {
        $(".button_categoria").css({
            'background-color': '#102c48'
        });
        $(categoria).css({
            'background-color': '#285D92'
        });

        var Cliente = $("#Cliente").val();
        $.post("busca_lista_produto.php", {
                Id_Categoria: id_categoria,
                Cliente: Cliente
            },
            function(data) {
                let produtos = JSON.parse(data);

                $("#lista_produtos").html('');
                produtos.map((produto) => {
                    $("#lista_produtos").append(`
                <button type="button" onclick="AddProduto('${produto.Id}', 'Id');" class="button_produtos">
                    <span class="title_produtos">${produto.Titulo.substring(0, 40)}</span>
                    <font>
                        <b class="title_produtos">
                            $ ${parseFloat(produto.Preco).toLocaleString('pt-br', {minimumFractionDigits: 2})}
                        </b>
                    </font>
                </button>
            `);
                });
            });
    }

    function obsProduto(idVendaProduto) {
        window.open(`obs_mesa.php?vendaProduto=${idVendaProduto}`, 'Btn_parcial', 'width=600,height=500,top=0,left=0,scrollbars=yes');
    }

    function alterarQtdItem(idVendaProduto) {
        window.open(`alterar_quantidade.php?vendaProduto=${idVendaProduto}`, 'Btn_parcial', 'width=600,height=400,top=0,left=0,scrollbars=yes')
    }

    function alterarPrecoItem(idVendaProduto) {
        if (!telaPagamentoAberta) {
            window.open(`alterar_preco_pedido_mesa.php?vendaProduto=${idVendaProduto}`, 'Btn_parcial', 'width=600,height=400,top=0,left=0,scrollbars=yes');
        }
    }

    const tempoRestanteHH = () => {
        if ($("#tempo_happy_hour").length) {
            let tempoRestante = $("#tempo_happy_hour").attr("data-tempo").split(":");
            if (tempoRestante != "00:00:00") {
                let dataHoje = new Date();
                tempoRestante = new Date(dataHoje.getFullYear(), dataHoje.getMonth(), dataHoje.getDay() + 1,
                    parseInt(tempoRestante[0]), tempoRestante[1], tempoRestante[2]
                );
                let horasRestantes;
                let minutosRestantes;
                let segundosRestantes;

                const cronometro = setInterval(() => {
                    if (`${tempoRestante.getHours()}:${tempoRestante.getMinutes()}:${tempoRestante.getSeconds()}` == "0:0:0") {
                        clearInterval(cronometro);

                        var Cliente = $("#Cliente").val();
                        $.post("busca_lista_produto.php", {
                                Id_Categoria: 'Todos',
                                Cliente: Cliente
                            },
                            function(data) {
                                let produtos = JSON.parse(data);

                                $("#lista_produtos").html('');
                                produtos.map((produto) => {
                                    $("#lista_produtos").append(`
                                <button type="button" onclick="AddProduto('${produto.Id}', 'Id');" class="button_produtos">
                                    <span class="title_produtos">${produto.Titulo.substring(0, 40)}</span>
                                    <font>
                                        <b class="title_produtos">
                                            $ ${parseFloat(produto.Preco).toLocaleString('pt-br', {minimumFractionDigits: 2})}
                                        </b>
                                    </font>
                                </button>
                            `);
                                });
                            });

                        $("#tempo_happy_hour").html("");
                    } else {
                        tempoRestante.setSeconds(tempoRestante.getSeconds() - 1);
                        horasRestantes = `${tempoRestante.getHours()}`.length == 1 ? `0${tempoRestante.getHours()}` : tempoRestante.getHours();
                        minutosRestantes = `${tempoRestante.getMinutes()}`.length == 1 ? `0${tempoRestante.getMinutes()}` : tempoRestante.getMinutes();
                        segundosRestantes = `${tempoRestante.getSeconds()}`.length == 1 ? `0${tempoRestante.getSeconds()}` : tempoRestante.getSeconds();
                        $("#tempo_happy_hour").html(`${horasRestantes}:${minutosRestantes}:${segundosRestantes}`);
                    }
                }, 1000);
                cronometro;
            }
        }
    }

    const tempoOcupacao = () => {
        setInterval(() => {
            Array.from($('.tempoOcupacao')).forEach(element => {
                let tempoOcupada = $(element).html();
                if (tempoOcupada != "00:00:00") {
                    tempoOcupada = tempoOcupada.split(":");
                    let dataHoje = new Date();
                    let tempoDecorrido = new Date(dataHoje.getFullYear(), dataHoje.getMonth(), dataHoje.getDay() + 1,
                        parseInt(tempoOcupada[0]), tempoOcupada[1], tempoOcupada[2]
                    );
                    let horasDecorridas;
                    let minutosDecorridos;
                    let segundosDecorridos;

                    tempoDecorrido.setSeconds(tempoDecorrido.getSeconds() + 1);
                    horasDecorridas = `${tempoDecorrido.getHours()}`.length == 1 ? `0${tempoDecorrido.getHours()}` : tempoDecorrido.getHours();
                    minutosDecorridos = `${tempoDecorrido.getMinutes()}`.length == 1 ? `0${tempoDecorrido.getMinutes()}` : tempoDecorrido.getMinutes();
                    segundosDecorridos = `${tempoDecorrido.getSeconds()}`.length == 1 ? `0${tempoDecorrido.getSeconds()}` : tempoDecorrido.getSeconds();
                    $(element).html(`${horasDecorridas}:${minutosDecorridos}:${segundosDecorridos}`);
                }
            });
        }, 1000);
    }

    const funcoesPedido = (idVenda) => {
        let descontoReal = $('input[name=Desconto_real]').val().length ? parseFloat($('input[name=Desconto_real]').val().replace('.', '').replace(',', '.')) : 0;
        let percentualDesconto = $('input[name=Desconto_perc]').val().length ? parseFloat($('input[name=Desconto_perc]').val().replace('.', '').replace(',', '.')) : 0;
        let qtdPessoas = $("#qtdPessoas").val();
        let mesa = $("#mesa").val();
        window.open(`funcao_pedido.php?venda=${idVenda}&descReal=${descontoReal}&descPerc=${percentualDesconto}&qtdPessoas=${qtdPessoas}&mesa=${mesa}`, '_blank', 'width=600,height=600,top=0,left=0,scrollbars=yes');
    }

    const pagamentoPedido = (idVenda) => {
        let Cliente = btoa($("#Cliente").val());
        let descontoReal = $('input[name=Desconto_real]').val().length ? parseFloat($('input[name=Desconto_real]').val().replace('.', '').replace(',', '.')) : 0;
        let percentualDesconto = $('input[name=Desconto_perc]').val().length ? parseFloat($('input[name=Desconto_perc]').val().replace('.', '').replace(',', '.')) : 0;
        let qtdPessoas = $("#qtdPessoas").val();
        let mesa = $("#mesa").val();

        let abrirTelaPagamento = window.open(`pagamento_mesa.php?venda=${idVenda}&descReal=${descontoReal}&descPerc=${percentualDesconto}&cliente=${Cliente}&qtdPessoas=${qtdPessoas}&mesa=${mesa}`, '_blank', 'width=700,height=800,top=0,left=0,scrollbars=yes')

        telaPagamentoAberta = true;
        let verificarTelaPagamento = setInterval(() => {
            if (abrirTelaPagamento != null && abrirTelaPagamento.closed) {
                telaPagamentoAberta = false;
                clearInterval(verificarTelaPagamento)
                Array.from(document.getElementsByTagName("input")).forEach(input => input.removeAttribute("disabled"));
                Array.from(document.getElementsByTagName("button")).forEach(button => button.removeAttribute("disabled"));
                Array.from(document.getElementsByClassName("removerProduto")).forEach(removerProduto => removerProduto.style.display = 'block');
                document.querySelector("#Local_Pedido").removeAttribute("disabled");
            }
        }, 1000)

    }

    const impressaoParcial = (idVenda) => {
        let Cliente = btoa($("#Cliente").val());
        let descontoReal = $('input[name=Desconto_real]').val().length ? parseFloat($('input[name=Desconto_real]').val().replace('.', '').replace(',', '.')) : 0;
        let percentualDesconto = $('input[name=Desconto_perc]').val().length ? parseFloat($('input[name=Desconto_perc]').val().replace('.', '').replace(',', '.')) : 0;
        let qtdPessoas = $("#qtdPessoas").val();
        let mesa = $("#mesa").val();

        window.open(`impressao_parcial.php?venda=${idVenda}&descReal=${descontoReal}&descPerc=${percentualDesconto}&cliente=${Cliente}&qtdPessoas=${qtdPessoas}&mesa=${mesa}`, '_blank',
            'width=400,height=600,top=20,left=250,scrollbars=yes');

    }

    function novoCliente() {
        window.open('cad_novo_cliente.php', 'Cliente', 'width=600,height=600,top=0,left=0,scrollbars=yes');
    }

    function salvar_caixa() {
        var deletar = confirm('Deseja fechar o caixa?');
        if (deletar == true) {
            window.open('finalizar_caixa.php', 'Fechamento', 'width=700,height=600,top=0,left=0,scrollbars=yes');
        }
    }
</script>