<?php
include_once '../include/conecta.php'; //Conecta com a nosso banco de dados MySQL
include_once 'ver_cookie.php'; //Verifica se a sesso est ativa

if (sizeof($_POST) > 0) {
    $titulo = addslashes($_POST['titulo']);
    $qtdMaximaPessoas = addslashes($_POST['qtdMaximaPessoas']);
    $dataHoraAtual = date("Y-m-d H:i:s");

    $con->query("INSERT INTO mesa_cadastro SET Titulo='$titulo', Qtd_Maxima_Pessoas='$qtdMaximaPessoas', Id_Usuario='" . $_COOKIE['Id'] . "',
    Id_Usuario_Upd='" . $_COOKIE['Id'] . "', Data_Cadastro='$dataHoraAtual', Data_Cadastro_Upd='$dataHoraAtual'");

    if ($con->affected_rows > 0) {
        echo "<script>alert('Cadastro realizado com sucesso');</script>";
    } else {
        echo "<script>alert('No foi possvel realizar o cadastro');</script>";
    }
}
?>
<html>

<head>
    <script src="../js/jquery-3.3.1.min.js" integrity="sha256-FgpCb/KJQlLNfOu91ta32o/NMZxltwRo8QtmkMRdAu8=" crossorigin="anonymous"></script>
    <?php include 'cabecalho_mesa.php'; ?>
    <style type="text/css">
        body {
            background-color: #163758;
            font-family: 'Segoe UI', Tahoma, Geneva, Verdana, sans-serif;
            color: #fff;
        }

        .titulo {
            text-align: center;
            border: 1px solid #fff;
            border-radius: 5px;
            background-color: #FF8C00;
            color: #000;
        }

        button {
            padding: 1% 2%;
            width: 70px;
            height: 30px;
            cursor: pointer;
            border: none;
            border-radius: 4px;
        }

        .btn-cancelar {
            color: #fff;
            background-color: #dd4b39;
        }

        .btn-cancelar:hover {
            background-color: #c9302c;
        }

        .btn-cadastar:hover {
            background-color: #c1bebe;
        }

        input {
            height: 30px;
        }
    </style>
</head>

<body>
    <div>
        <div class="titulo">
            <center>
                <h1>Cadastrar Mesa</h1>
            </center>
        </div>
        <br>
        <br>
        <form method="post">
            <div style="display:flex;justify-content:space-around;">
                <div style="display:flex;flex-direction:column;gap:0.5rem">
                    <span>Titulo</span>
                    <input type="text" name="titulo" id='mesa' minlength="1" maxlength="50" required>
                </div>
                <div style="display:flex;flex-direction:column;gap:0.5rem">
                    <span>Qtd. mxima pessoas</span>
                    <input type="number" name="qtdMaximaPessoas" min="1" value="1" required style="text-align: center">
                </div>
            </div>
            <div style="display:flex;justify-content:center;margin-top: 30px;">
                <div style="width: 300px;display:flex;justify-content:center;gap:1rem">
                    <button class="btn-cadastar" type="submit">salvar</button>
                    <button class="btn-cancelar" onclick="window.location.href='funcoes_mesa_novo.php?acao=entrar'">Voltar</button>
                </div>
            </div>
        </form>
    </div>
    <script>
        const mesa = document.getElementById("mesa");
        mesa.addEventListener("keypress", somenteNumeros);

        function somenteNumeros(e) {
            var charCode = (e.which) ? e.which : e.keyCode
            if (charCode > 31 && (charCode < 48 || charCode > 57))
                e.preventDefault();
        }
    </script>
</body>

</html>