<?php
include_once '../../include/conecta.php'; //Conecta com a nosso banco de dados MySQL
include_once '../../mesa_comanda_login/menu_movimento.php'; //Constantes de Usurio
include_once '../ver_cookie.php'; //Verifica se a sesso est ativa
include_once '../funcoesPhp_novo.php';

if ($_SERVER['REQUEST_METHOD'] == 'POST') {
    $preco_produto = str_replace([".", ","], ["", "."], $_POST['preco_produto']);
    $precoOriginal = str_replace([".", ","], ["", "."], $_POST['precoOriginal']);

    $vender_abaixo_tabela = 'Sim';
    if (VENDER_BAIXO_TABELA == 'No') {
        //validando se o preco esta menor ou igual a da tabela salva
        echo $preco_produto . ' - ' .  $precoOriginal;
        if ($preco_produto >= $precoOriginal) {
            $vender_abaixo_tabela = 'Sim';
        } else {
            $vender_abaixo_tabela = 'No';
        }
    }
    if (VENDER_ACIMA_TABELA == 'No') {
        //validando se o preco esta maior ou igual a da tabela salva
        if ($preco_produto <= $precoOriginal) {
            $vender_abaixo_tabela = 'Sim';
        } else {
            $vender_abaixo_tabela = 'No';
        }
    }
    if (VENDER_ACIMA_TABELA == 'No' && VENDER_BAIXO_TABELA == 'No') {
        if ($preco_produto != $precoOriginal) {
            $vender_abaixo_tabela = 'No';
        } else {
            $vender_abaixo_tabela = 'Sim';
        }
    }
    if ($vender_abaixo_tabela == 'Sim') {
        $idVenda = $_POST['idVenda'];
        $idVendaProduto = $_POST['idVendaProduto'];
        $dataHoraAtual = date("Y-m-d H:i:s");
        $con->query("UPDATE venda_produto SET Preco='$preco_produto', Id_Usuario_Upd='{$_COOKIE['Id']}', Data_Cadastro_Upd='$dataHoraAtual' WHERE Id='$idVendaProduto'");
        if ($con->affected_rows > 0) {

            $produtos = $con->query("SELECT Qtd,Preco FROM venda_produto WHERE Id_Venda='$idVenda'");
            $subtotal = 0;
            while ($produto = mysqli_fetch_assoc($produtos)) {
                $subtotal += $produto['Qtd'] * $produto['Preco'];
            }

            $venda = mysqli_query($con, "SELECT Id,Lancamento FROM venda WHERE Id='$idVenda'");
            $venda = mysqli_fetch_assoc($venda);

            logUsuario($_SERVER['REMOTE_ADDR'], $_COOKIE['Login'], $_COOKIE['Email'], $_COOKIE['Unidade'], "Mesa", "Alterao Preo", $venda['Lancamento']);

?>
            <script>
                let elementoSubtotal = window.opener.document.querySelector("#subtotal_pedido");
                elementoSubtotal.setAttribute("data-subtotal", "<?= $subtotal ?>");
                let produtos = Array.from(window.opener.document.body.querySelectorAll(".produtos_pedido"));
                let produto = produtos.filter(item => item.getAttribute("vendaProduto") == "<?= $idVendaProduto; ?>")[0];
                let spanPreco = Array.from(produto.children).filter(elemento => elemento.classList[0] == "preco")[0];

                spanPreco.innerHTML = Number("<?= $preco_produto; ?>").toLocaleString("pt-br", {
                    minimumFractionDigits: 2
                });
                elementoSubtotal.innerHTML = parseFloat("<?= $subtotal ?>").toLocaleString("pt-br", {
                    minimumFractionDigits: 2
                });
                window.opener.aplicarDesconto();
                window.close();
            </script>
<?php }
    } else {
        echo "<script>alert('No tem permisso para vender abaixo e/ou acima da tabela!');</script>";
    }
}
?>
<html>

<head>
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <style type="text/css">
        body {
            background-color: #163758;
            color: #fff;
            font-family: 'Segoe UI', Tahoma, Geneva, Verdana, sans-serif;
        }

        .titulo {
            text-align: center;
            border: 1px solid #fff;
            border-radius: 5px;
            background-color: #FF8C00;
            color: #000;
        }

        .subtitulo {
            font-size: 20px;
        }

        .btn {
            padding: 1% 2%;
            cursor: pointer;
            box-shadow: none;
        }

        .btn_cancelar {
            color: fff;
            background-color: #dd4b39;
            border: none;
            border-radius: 4px;
        }

        .btn_cancelar:hover {
            color: #fff;
            background-color: #c9302c;
            border-color: #ac2925;
        }

        .btn_cadastar {
            border: none;
            border-radius: 4px;
        }

        .btn_cadastar:hover {
            background-color: #c1bebe;
        }
    </style>
</head>

<body>
    <br>
    <div class="container">
        <div class="titulo">
            <center>
                <h1>Alterar Preo</h1>
            </center>
        </div>
        <br>
        <form method="post" action="">
            <div align="center">
                <?php
                $idVendaProduto = addslashes($_GET['vendaProduto']);
                $produto = $con->query("SELECT produto.Titulo,produto.Preco1, venda_produto.Preco,venda_produto.Id_Venda 
                FROM (SELECT Id,Preco,Id_Produto,Id_Venda FROM venda_produto WHERE Id='$idVendaProduto') as venda_produto 
                LEFT JOIN (SELECT Id,Titulo,Preco1 FROM produto) as produto ON venda_produto.Id_Produto = produto.Id ");
                $produto = mysqli_fetch_assoc($produto);

                $_POST['preco_produto'] = str_replace(".", ",", $produto['Preco']);

                ?>
                <span class="subtitulo"><b>Produto:</b> <?= $produto['Titulo'] ?></span>
                <br>
                <span class="subtitulo"><b>Preo: </b><input type="text" name="preco_produto" id="preco_produto" value="<?= number_format($_POST['preco_produto'], 2, ',', '.') ?>"></span>

            </div>
            <br>
            <br>
            <div align="center">
                <input type="hidden" name="precoOriginal" id="precoOriginal" value="<?= number_format($produto['Preco1'], 2, ',', '.'); ?>">
                <input type="hidden" name="idVendaProduto" value="<?= $idVendaProduto; ?>">
                <input type="hidden" name="idVenda" value="<?= $produto['Id_Venda'] ?>">

                <button class="btn btn_cadastar">salvar</button>
                <button class="btn btn_cancelar" type="button" onclick="window.close();">Cancelar</button>
            </div>
        </form>
    </div>
</body>

</html>