<script type='text/javascript'>
    //BLOQUEAR A TECLA F5
    if (navigator.appName.indexOf('Internet Explorer') < 0) {
        window.onkeydown = function(event) {
            if (event.keyCode == 116) {
                event.preventDefault();
                alert("Tecla F5 Bloqueada...");
            }
        }
    } else {
        // IE
        document.onkeydown = function(event) {
            if (window.event.keyCode == 116) {
                alert("Tecla F5 Bloqueada...");
                window.event.keyCode = 0;
                window.event.returnValue = false;
            }
        }
    }
    //bloqueio o backspace
    $(document).unbind('keydown').bind('keydown', function(event) {
        var doPrevent = false;
        if (event.keyCode === 8) {
            var d = event.srcElement || event.target;
            if ((d.tagName.toUpperCase() === 'INPUT' && (d.type.toUpperCase() === 'TEXT' || d.type.toUpperCase() === 'PASSWORD' || d.type.toUpperCase() === 'FILE')) ||
                d.tagName.toUpperCase() === 'TEXTAREA') {
                doPrevent = d.readOnly || d.disabled;
            } else {
                doPrevent = true;
            }
        }

        if (doPrevent) {
            event.preventDefault();
        }
    });
</script>
<script>
    $(document).ready(function() {
        buscarNovosPedidos();

        $("#btn-config").click(function() {
            $.get("./buscar_configuracoes_cozinha.php", function(response) {
                let configuracoes = JSON.parse(response);
                $(`#ConfiguracaoModal form input[name=agruparPedidoCozinha][value=${configuracoes.Agrupar_Pedido_Cozinha}]`).prop('checked', true);
            })
        });

        $("#ConfiguracaoModal form").submit(function(e) {
            e.preventDefault();
            let agruparPedidoCozinha = $(this).find("input[name=agruparPedidoCozinha]:checked").val();

            $.post("./configurar_cozinha.php", {
                    agruparPedidoCozinha
                },
                function(response) {
                    let {status, mensagem} = JSON.parse(response);
                    alert(mensagem);

                    if(status == 'ok') {
                        $("#ConfiguracaoModal").modal('hide');
                        window.location.reload();
                    }
                }
            )
        });

        $("body").on('click', '.div_botao_cozinha', function() {
            let idPedido = $(this).attr('id-pedido');
            let statusOrigem = $(this).parents('.dropzone').attr('id');

            $.get(`./detalhes_pedido.php?idPedido=${idPedido}&statusOrigem=${statusOrigem}`, function(data) {
                let pedido = JSON.parse(data);

                $("#DescricaoModal input[name=idPedido]").val(idPedido);
                $("#DescricaoModal #Origem").html(pedido.Origem);
                $("#DescricaoModal #Lancamento").html(pedido.Lancamento);
                $("#DescricaoModal #NumeroPedido").html(pedido.Origem == 'Comanda' ? pedido.Numero_Comanda : pedido.Lancamento);
                $("#DescricaoModal #Data").html(pedido.Data_Venda);
                $("#DescricaoModal #Cliente").html(pedido.Cliente);
                $("#DescricaoModal #Produtos .produto").remove();
                $("#DescricaoModal #Status").html(statusOrigem);
                $("#DescricaoModal #btn-cancelarPedido").addClass('d-none');
                $("#DescricaoModal #btn-imprimirEntrega").addClass('d-none');
                
                if(statusOrigem == 'Confirmado') {
                    $("#btn-cancelarPedido").removeClass('d-none');
                }
                if(statusOrigem == 'Entregue') {
                    $("#btn-imprimirEntrega").removeClass('d-none');
                }

                pedido.produtos.map(produto => {
                    $("#Produtos").append(`
                        <div class="produto">
                            <div class='d-flex'>
                                <div>
                                    <div class="body_table_modal">
                                        <span>${produto.Titulo}</span>
                                    </div>
                                </div>
                                <div class="body_table_modal">
                                    <span>${produto.Qtd}</span>
                                </div>
                            </div>
                            <div class="d-flex justify-content-center">
                                ${produto.Obs_Produto != '' ?  
                                    `<span>***</span>
                                    <span>${produto.Obs_Produto}</span>
                                    <span>***</span>` : ''
                                }
                            </div>
                        </div>
                    `);
                });
            });
        });

        $('#btn-preparo').click(function() {
            $("#PreparoModal .body-preparo").html('');
            $("#PreparoModal form")[0].reset();
        })

        $("#PreparoModal form").submit(function (e) {
            e.preventDefault();
            
            let cliente = $(this).find('input[name=clientePreparo]').val();
            let pedido = $(this).find('input[name=pedido]').val();
            
            if(cliente.trim() != '' || pedido.trim() != '') {
                $(this).find('button[type=submit]').attr('disabled', true).html('Aguarde...');
                $.post('./buscar_pedidos_preparo.php', {
                        cliente,
                        pedido
                    },
                    function (response) {
                        $('#PreparoModal form button[type=submit]').removeAttr('disabled').html('Buscar');
                        let {pedidos} = JSON.parse(response);
                        $("#PreparoModal .body-preparo").html('');
                        pedidos.map(pedido=> {
                            $("#PreparoModal .body-preparo").append(`
                                <div class="pedido-preparo">
                                    <span>${pedido.Lancamento}</span>
                                    <span>${pedido.Cliente}</span>
                                    <span class="data-preparo">${pedido.Data_Preparo}</span>
                                    <div class="d-flex justify-content-center">
                                        <button class="btn btn-success btn-alterar" id-pedido="${pedido.Id}">Alterar</button>
                                    </div>
                                </div>
                            `);
                        })
                    }
                )
            }
        })

        $("body").on('click', '#PreparoModal .pedido-preparo .btn-alterar', function() {
            $("#PreparoModal").css('z-index', 1);
            $("#AlterarPreparoModal").modal('show');

            let idPedido = $(this).attr('id-pedido');
            $.post("./buscar_detalhes_preparo.php", {
                    idPedido
                },
                function(response) {
                    let {venda} = JSON.parse(response);
                    $("#AlterarPreparoModal #numeroPedidoPreparo").html(venda.Lancamento)
                    $("#AlterarPreparoModal #clientePedido").html(venda.Cliente)
                    $("#AlterarPreparoModal input[name=idVenda]").val(venda.Id);
                    $("#AlterarPreparoModal input[name=dataPreparo]").val(venda.Data_Preparo);
                    $("#AlterarPreparoModal input[name=horaPrevistaPreparo]").val(venda.Hora_Prevista_Preparo);
                }
            )
        })

        $('#AlterarPreparoModal').on('hide.bs.modal', function () {
            $("#PreparoModal").css('z-index', 1050);
            $("#AlterarPreparoModal form")[0].reset();
        })

        $("#AlterarPreparoModal form").submit(function (e) {
            e.preventDefault();
            let dados = $(this).serialize();
            
            $.post('./atualizar_preparo.php', dados, function (response) {
                let retorno = JSON.parse(response);
                if(retorno.status == 'ok'){
                    let idVenda = $("#AlterarPreparoModal form input[name=idVenda]").val();
                    let horaPreparo = $("#AlterarPreparoModal form input[name=horaPrevistaPreparo]").val().split(':');
                    let dataPreparo = new Date($("#AlterarPreparoModal form input[name=dataPreparo]").val());
                    dataPreparo.setDate(dataPreparo.getDate() + 1);
                    dataPreparo.setHours(horaPreparo[0], horaPreparo[1], 59)
                    let dataAtual = new Date();
                    dataAtual.setHours(23, 59, 59);
                    let mesPreparo = (dataPreparo.getMonth() + 1).toString().padStart(2, '0');

                    $("#AlterarPreparoModal").modal('hide');
                    $("#AlterarPreparoModal #numeroPedidoPreparo").html('');
                    $("#AlterarPreparoModal #clientePedido").html('');
                    $("#AlterarPreparoModal form")[0].reset();

                    let horarioPreparo = `${dataPreparo.getDate()}/${mesPreparo}/${dataPreparo.getFullYear()} ${horaPreparo[0]}:${horaPreparo[1]}`;
                    $(`#PreparoModal .pedido-preparo .btn-alterar[id-pedido="${idVenda}"]`).parents('.pedido-preparo').find('.data-preparo').html(horarioPreparo);

                    if(dataPreparo <= dataAtual) {
                        retorno.pedidos.map(pedido => {
                            if(pedido && !$(`#Confirmado .div_botao_cozinha[id-pedido='${pedido.Id}']`).length) {
                                $("#Confirmado").append(`
                                    <div style="width:100%;" class="div_botao_cozinha" data-target="#DescricaoModal" data-toggle="modal" 
                                        draggable="true" id-pedido="${pedido.Id}" ondragstart="onDragStart(event);">
                                        <div class="botao_cozinha">
                                            <div style="display: flex; justify-content: space-between; padding:0 11px">
                                                <span class="limitar-texto" style="width: 70%">
                                                    <b>${pedido.Cliente}</b>
                                                </span>
                                                <div>
                                                    <span>
                                                        N ${pedido.Lancamento}
                                                    </span>
                                                </div>
                                            </div>
                                            <div style="align-items: start;display: flex; flex-direction: column;padding: 4px 8px;">
                                                <div class="flex-limitar-texto">
                                                    <div>
                                                        <img src="../../imagem/${pedido.Origem == 'Comanda' ? 'conta' : 'mesa-redonda'}.png" alt="" class="icone_card_pedido">
                                                        <span>
                                                            ${pedido.Origem == 'Comanda' ? `Comanda ${pedido.Numero_Comanda}` : `Mesa ${pedido.Numero_Mesa}`}
                                                        </span>
                                                    </div>
                                                </div>
                                                <div class="flex-limitar-texto">
                                                    <div>
                                                        <img src="../../imagem/calendario-delivery.png" alt="Calendario" class="icone_card_pedido">
                                                        <span>${pedido.Horario}</span>
                                                    </div>
                                                </div>
                                                ${retorno.organizacao == 'Produto' ?
                                                    `<div class="flex-limitar-texto cronometros">
                                                        <div>
                                                            <img src="../../imagem/produto-cozinha.png" class="icone_card_pedido">
                                                            <span>${pedido.Produto}</span>
                                                        </div>
                                                    </div>
                                                    <div class="flex-limitar-texto">
                                                        <img src="../../imagem/notas.png" class="icone_card_pedido">
                                                        <span class="limitar-texto" style="width:85%">${pedido.Obs_Produto}</span><br>
                                                    </div>`
                                                : ''}
                                            </div>
                                        </div>
                                    </div>
                                `);
                                let qtdPedidosConfirmados = parseInt($("#Confirmado").parents(".coluna_pedidos").find(".div_quantidade_pedido > span").html());
                                $("#Confirmado").parents(".coluna_pedidos").find(".div_quantidade_pedido > span").html(qtdPedidosConfirmados + 1);
                            }
                        })
                    }
                    else {
                        retorno.pedidos.map(pedido => {
                            if($(`#Confirmado .div_botao_cozinha[id-pedido='${pedido.Id}']`).length) {
                                let qtdPedidosConfirmados = parseInt($("#Confirmado").parents(".coluna_pedidos").find(".div_quantidade_pedido > span").html());
                                $("#Confirmado").parents(".coluna_pedidos").find(".div_quantidade_pedido > span").html(qtdPedidosConfirmados - 1);
                                $(`#Confirmado .div_botao_cozinha[id-pedido='${pedido.Id}']`).remove();
                            }
                        });
                    }
                }
                else {
                    alert(retorno.mensagem);
                }
            })
        })

        $("#EntregaModal").on('shown.bs.modal', function () {
            $(this).find('input[name=recebedor]').trigger('focus')
        })

        $("#EntregaModal form").submit(function(e) {
            e.preventDefault();
            
            let statusOrigem = $(this).find("input[name=statusOrigem]").val();
            let idPedido = $(this).find("input[name=idPedido]").val();
            let recebedor = $(this).find("input[name=recebedor]").val().trim();

            if(recebedor == '') {
                $(this).find("input[name=recebedor]").val('');
                $(this).find("input[name=recebedor]").trigger('focus');
                return;
            }
            $.post("./atualizar_status_pedido.php", {
                    idPedido: idPedido,
                    recebedor: recebedor,
                    statusOrigem: statusOrigem,
                    statusDestino: 'Entregue'
                },
                function(response) {
                    let {status} = JSON.parse(response);
                    if(status == 'ok') {
                        let pedido = $(`#${statusOrigem} .div_botao_cozinha[id-pedido='${idPedido}']`);
                        let qtdPedidosOrigem = parseInt($(`#${statusOrigem}`).parents(".coluna_pedidos").find(".div_quantidade_pedido > span").html());
                        let qtdPedidosEntregue = parseInt($(`#Entregue`).parents(".coluna_pedidos").find(".div_quantidade_pedido > span").html());

                        $(`#Entregue`).append($(pedido));
                        $(`#${statusOrigem} .div_botao_cozinha[id-pedido='${idPedido}']`).remove();
                        $(`#${statusOrigem}`).parents(".coluna_pedidos").find(".div_quantidade_pedido > span").html(qtdPedidosOrigem - 1);
                        $(`#Entregue`).parents(".coluna_pedidos").find(".div_quantidade_pedido > span").html(qtdPedidosEntregue + 1);
                        $("#EntregaModal").modal('hide');
                    }
                }
            )
        })

        $('#EntregaModal').on('hide.bs.modal', function () {
            $("#EntregaModal form")[0].reset();
        })

        $("#DescricaoModal #btn-cancelarPedido").click(function () {
            $("#DescricaoModal").css('z-index', 1);
        })

        $("#CancelamentoModal").on('shown.bs.modal', function () {
            $(this).find('textarea[name=motivo]').trigger('focus');
        })

        $("#CancelamentoModal").on('hide.bs.modal', function () {
            $("#DescricaoModal").css('z-index', 1050);
            $(this).find('form')[0].reset('focus');
        })

        $("#CancelamentoModal form").submit(function(e) {
            e.preventDefault();
            let dados = $(this).serialize();

            $.post("./cancelar_pedido.php", {
                    motivo: $(this).find("input[name=motivo]").val(),
                    idPedido: $("#DescricaoModal input[name=idPedido]").val()
                },
                function(response) {
                    let {status, mensagem, pedidos} = JSON.parse(response);
                    if(status == 'ok') {
                        $("#CancelamentoModal").modal("hide");
                        $("#DescricaoModal").modal("hide");
                        $("#CancelamentoModal form")[0].reset();

                        pedidos.map(pedido => {
                            $(`.div_botao_cozinha[id-pedido='${pedido.Id}']`).remove();
                        })
                    }
                    else {
                        alert(mensagem);
                    }
                }
            )
        })

    });

    function onDragStart(event) {
        event.dataTransfer.setData('text/plain', `${event.target.parentElement.getAttribute('id')}-${event.target.getAttribute('id-pedido')}`);
        event.currentTarget.children[0].style.backgroundColor = '#b4d9ff ';
        event.currentTarget.children[0].style.transform = 'rotate(-3deg)';
    }

    function onDragOver(event) {
        event.preventDefault();
    }

    async function onDrop(event) {
        event.preventDefault();
        let splitString = event.dataTransfer.getData('text').split('-');
        let statusOrigem = splitString[0];
        let id = splitString[1];
        let draggableElement = document.querySelector(`#${statusOrigem} .div_botao_cozinha[id-pedido='${id}']`);
        let dropzone = event.target;
        let pedidoExisteBloco = false;
        
        if (dropzone.classList[0] == 'dropzone' || dropzone.classList[0] == 'div_botao_cozinha') {
            if (dropzone.classList[0] == 'div_botao_cozinha') {
                dropzone = dropzone.parentElement
            }
            let statusDestino = dropzone.getAttribute('id');

            Array.from(dropzone.children).map(filho => {
                if (filho == draggableElement) {
                    pedidoExisteBloco = true;
                }

            })
            draggableElement.children[0].style.backgroundColor = '#fff';
            draggableElement.children[0].style.transform = 'rotate(0deg)';
            
            let regrasAtualizacao = {
                "Confirmado": [
                    "Preparo",
                    "Pronto"
                ],
                "Preparo": [
                    "Pronto",
                ],
                "Pronto": [
                    "Entregue"
                ]
            };

            if (regrasAtualizacao[statusOrigem].indexOf(statusDestino) >= 0  && !pedidoExisteBloco) {
                if(statusDestino == 'Entregue') {
                    $("#EntregaModal").modal('show');
                    $("#EntregaModal form input[name=idPedido]").val(id);
                    $("#EntregaModal form input[name=statusOrigem]").val(statusOrigem);
                    return;
                }

                let {permitido} = await atualizarStatusPedido(id, statusOrigem, statusDestino);

                if(permitido) {
                    // if(cronometro.length) {
                    //     if(statusDestino == "Entregue") {
                    //         draggableElement.children[0].children[1].children[1].children[0].children[1].classList.remove('cronometro');
                    //     }
                    //     else if(statusDestino == "Preparo") {
                    //         if(!draggableElement.children[0].children[1].children[1].children[0].children[1].classList.contains("cronometro")) {
                    //             draggableElement.children[0].children[1].children[1].children[0].children[1].classList.add("cronometro");
                    //         }
                    //         $(draggableElement).find(".cronometros").append(`
                    //             <div class="cronometro-decrescente">
                    //                 <img src="../../imagem/cronometro-em-execucao.png" alt="Cronometro">
                    //                 <span class="tempo-restante">${tempoRestante}</span>
                    //             </div>
                    //         `);
                    //     }
                    //     draggableElement.children[0].children[1].children[1].children[0].children[1].innerHTML = cronometro;
                    // }
                    // if(statusDestino == "Caminho" || statusDestino == "Entregue") {
                    //     $(draggableElement).find('.cronometro-decrescente').remove();
                    // }
                    let elementoQtdPedidos = draggableElement.parentElement.parentElement.children[0].children[statusOrigem == 'Confirmado' ? 2 : 1].children[0];
                    let qtdPedidosOrigem = parseFloat(elementoQtdPedidos.innerHTML);
                    elementoQtdPedidos.innerHTML = qtdPedidosOrigem - 1;
                    let elementoExisteDestino = false;
                    
                    Array.from(dropzone.children).map(filho => {
                        if (filho.getAttribute('id-pedido') == draggableElement.getAttribute('id-pedido')) {
                            elementoExisteDestino = true;
                        }
                    })

                    if (elementoExisteDestino) {
                        draggableElement.remove();
                    }
                    else {
                        let qtdPedidosDestino = parseFloat(dropzone.parentElement.children[0].children[1].children[0].innerHTML);
                        dropzone.parentElement.children[0].children[1].children[0].innerHTML = qtdPedidosDestino + 1;
                        dropzone.appendChild(draggableElement);
                    }
                    event.dataTransfer.clearData();
                }
            }
        }
    }

    const atualizarStatusPedido = async (idPedido, statusOrigem, statusDestino) => {
        let retorno = {};
        const atualizarStatus = await $.post("./atualizar_status_pedido.php", {
                idPedido,
                statusOrigem,
                statusDestino
            }
        );
        
        let {status, mensagem} = await JSON.parse(atualizarStatus);
        retorno.permitido = status == 'ok';

        if(mensagem) {
            alert(mensagem);
        }
        // if(response.status == "ok") {
            // if(response.cronometro) {
            //     retorno.cronometro = response.cronometro;
            // }
            // if(response.tempoRestante) {
            //     retorno.tempoRestante = response.tempoRestante;
            // }
        // }
        return retorno;
    }

    const buscarNovosPedidos = () => {
        setInterval(async () => {
            await $.get("./pedidos_confirmados.php", function(data) {
                let {organizacao, pedidos} = JSON.parse(data);
                $("#Confirmado").html("");
                $("#Confirmado").parents(".coluna_pedidos").find(".div_quantidade_pedido span").html(pedidos.length);

                pedidos.map(pedido => {
                    $("#Confirmado").append(`
                        <div style="width:100%;" class="div_botao_cozinha" data-target="#DescricaoModal" data-toggle="modal" 
                            draggable="true" id-pedido="${pedido.Id}" ondragstart="onDragStart(event);">
                            <div class="botao_cozinha">
                                <div style="display: flex; justify-content: space-between; padding:0 11px">
                                    <span class="limitar-texto" style="width: 70%">
                                        <b>${pedido.Cliente}</b>
                                    </span>
                                    <div>
                                        <span>
                                            N ${pedido.Lancamento}
                                        </span>
                                    </div>
                                </div>
                                <div style="align-items: start;display: flex; flex-direction: column;padding: 4px 8px;">
                                    <div class="flex-limitar-texto">
                                        <div>
                                            <img src="../../imagem/${pedido.Origem == 'Comanda' ? 'conta' : 'mesa-redonda'}.png" alt="" class="icone_card_pedido">
                                            <span>
                                                ${pedido.Origem == 'Comanda' ? `Comanda ${pedido.Numero_Comanda}` : `Mesa ${pedido.Numero_Mesa}`}
                                            </span>
                                        </div>
                                    </div>
                                    <div class="flex-limitar-texto">
                                        <div>
                                            <img src="../../imagem/calendario-delivery.png" alt="Calendario" class="icone_card_pedido">
                                            <span>${pedido.Horario}</span>
                                        </div>
                                    </div>
                                    ${organizacao == 'Produto' ?
                                        `<div class="flex-limitar-texto cronometros">
                                            <div>
                                                <img src="../../imagem/produto-cozinha.png" class="icone_card_pedido">
                                                <span>${pedido.Produto}</span>
                                            </div>
                                        </div>
                                        <div class="flex-limitar-texto">
                                            <img src="../../imagem/notas.png" class="icone_card_pedido">
                                            <span class="limitar-texto" style="width:85%">${pedido.Obs_Produto}</span><br>
                                        </div>`
                                    : ''}
                                </div>
                            </div>
                        </div>
                    `);
                })
            });
        }, 30000);
    }

    function impressaoEntrega() {
        let idPedido = $("#DescricaoModal input[name=idPedido]").val();
        window.open(`./impressao_entrega.php?idPedido=${idPedido}`, '_blank', 'width=400,height=600,top=20,left=250,scrollbars=yes');
    }
</script>