<?php
include '../../include/conecta.php';
include '../funcoesPhp_novo.php';

$idPedido = addslashes($_GET['idPedido']);
$statusOrigem = $_GET['statusOrigem'] == 'Preparo' ? 'Em preparo' : addslashes($_GET['statusOrigem']);
$configuracoes = $con->query("SELECT Agrupar_Pedido_Cozinha FROM opcao");
$configuracoes = $configuracoes->fetch_assoc();
$idVenda = $idPedido;

if($configuracoes['Agrupar_Pedido_Cozinha'] == 'Produto') {
    $getIdVenda = $con->query("SELECT venda.Id 
        FROM (SELECT Id,Id_Venda_Produto FROM cozinha_produto) as cozinha_produto 
        INNER JOIN (SELECT Id,Id_Venda FROM venda_produto) as venda_produto ON venda_produto.Id = cozinha_produto.Id_Venda_Produto
        LEFT JOIN (SELECT Id FROM venda) as venda ON venda.Id = venda_produto.Id_Venda 
        WHERE cozinha_produto.Id = '$idPedido'");
    $idVenda = $getIdVenda->fetch_assoc()['Id'];
}
$venda = $con->query("SELECT venda.Origem, venda.Lancamento, venda.Numero_Comanda, venda.Data_Venda, venda.Status, 
    cliente.Titulo Cliente 
    FROM (SELECT Id,Origem, Lancamento, Numero_Comanda, Data_Venda, Status,Id_Cliente FROM venda) as venda
    LEFT JOIN (SELECT Id,Titulo FROM cliente) as cliente ON cliente.Id = venda.Id_Cliente WHERE venda.Id = '$idVenda'");
$venda = $venda->fetch_assoc();
$venda['Cliente'] = utf8_encode($venda['Cliente']);
$venda['Data_Venda'] = formatarData('d/m/Y', $venda['Data_Venda']);
$produtos = [];

if($configuracoes['Agrupar_Pedido_Cozinha'] == 'Produto') {
    $getProdutos = $con->query("SELECT produto.Titulo, venda_produto.Obs_Produto, venda_produto.Qtd 
        FROM (SELECT Id,Id_Venda_Produto,Obs_Produto,Qtd,Id_Produto FROM cozinha_produto) as cozinha_produto
        INNER JOIN (SELECT Id,Id_Produto FROM venda_produto) as venda_produto ON venda_produto.Id = cozinha_produto.Id_Venda_Produto
        INNER JOIN (SELECT Id,Titulo FROM produto) as produto ON produto.Id = cozinha_produto.Id_Produto
        WHERE cozinha_produto.Id = '$idPedido'");
    $produto = $getProdutos->fetch_assoc();
    $produto['Titulo'] = utf8_encode($produto['Titulo']);
    $produto['Obs_Produto'] = utf8_encode($produto['Obs_Produto']);
    array_push($produtos, $produto);
}
else {
    $getProdutos = $con->query("SELECT produto.Titulo, venda_produto.Obs_Produto, venda_produto.Qtd 
        FROM (SELECT Id,Id_Venda_Produto,Obs_Produto,Qtd,Status FROM cozinha_produto) as cozinha_produto
        INNER JOIN (SELECT Id,Id_Produto,Id_Venda FROM venda_produto) as venda_produto ON venda_produto.Id = cozinha_produto.Id_Venda_Produto
        INNER JOIN (SELECT Id,Titulo FROM produto) as produto ON produto.Id = cozinha_produto.Id_Produto
        WHERE cozinha_produto.Status = '$statusOrigem' AND venda_produto.Id_Venda = '$idVenda'");
    
    while($produto = $getProdutos->fetch_assoc()) {
        $produto['Titulo'] = utf8_encode($produto['Titulo']);
        $produto['Obs_Produto'] = utf8_encode($produto['Obs_Produto']);
        array_push($produtos, $produto);
    }
}
$venda['produtos'] = $produtos;
echo json_encode($venda);
?>