<?php
include_once '../../include/conecta.php'; //Conecta com a nosso banco de dados MySQL
include_once '../include/ver_sessao.php'; //Verifica se a sesso est ativa
include_once '../funcoesPhp_novo.php';
$idPedido = addslashes($_GET['idPedido']);
$idVenda = '';
$configuracoes = $con->query("SELECT Agrupar_Pedido_Cozinha FROM opcao");
$configuracoes = $configuracoes->fetch_assoc();

if($configuracoes['Agrupar_Pedido_Cozinha'] == 'Produto') {
    $getIdVenda = $con->query("SELECT venda_produto.Id_Venda 
        FROM (SELECT Id,Id_Venda_Produto,Id_Venda FROM venda_produto) as venda_produto
        INNER JOIN (SELECT Id,Id_Venda_Produto FROM cozinha_produto) as cozinha_produto ON cozinha_produto.Id_Venda_Produto = venda_produto.Id 
        WHERE cozinha_produto.Id = '$idPedido'");
    $idVenda = $getIdVenda->fetch_assoc()['Id_Venda'];
}
else {
    $idVenda = $idPedido;
}
$venda = $con->query("SELECT venda.Lancamento, venda.Data_Venda, venda.Obs, 
    venda.Data_Preparo, venda.Hora_Prevista_Preparo, venda.Origem,
    venda.Data_Cadastro_Upd, venda.Recebedor_Pedido, venda.Numero_Comanda, 
    venda.Local_Pedido, mesa_cadastro.Titulo Mesa, cliente.Titulo as Cliente,
    cliente.Codigo Codigo_Cliente, 
    funcionario.Titulo as Funcionario 
    FROM (SELECT Id,Id_Mesa,Id_Cliente,Id_Vendedor,Lancamento,Data_Venda,Obs, 
    Data_Preparo,Hora_Prevista_Preparo, Origem,
    Data_Cadastro_Upd, Recebedor_Pedido, Numero_Comanda, 
    Local_Pedido FROM venda) as venda
    LEFT JOIN (SELECT Id,Titulo FROM mesa_cadastro) as mesa_cadastro ON mesa_cadastro.Id = venda.Id_Mesa 
    LEFT JOIN (SELECT Id,Titulo,Codigo FROM cliente) as cliente ON cliente.Id = venda.Id_Cliente
    LEFT JOIN (SELECT Id,Titulo FROM funcionario) as funcionario ON funcionario.Id = venda.Id_Vendedor 
    WHERE venda.Id = '$idVenda'");
$venda = $venda->fetch_assoc();
?>
<html>
<head>
    <title>Impresso Entrega Cozinha</title>
    <link rel="stylesheet" type="text/css" href="../../estilo/<?php echo SKIN; ?>/tabela_imp.css" />
    <style type="text/css">
        .razao {
            font-size: 12px;
        }
    </style>
</head>
<body>
    <table width="100%">
        <?php
        $empresa = $con->query("SELECT * FROM unidade WHERE Id = '{$_COOKIE["Unidade"]}'");
        $empresa = $empresa->fetch_assoc();
        ?>
        <tr>
            <td align="right">
                <table width="100%">
                    <tr>
                        <td width="40%">
                            <?php
                            $cam_arq = file_exists("../../unidade/foto/{$empresa["Logo"]}") ? "../../unidade/foto/{$empresa["Logo"]}" :
                                "../../../unidade/foto/{$empresa["Logo"]}"
                            ?>
                            <img src="<?= $cam_arq; ?>" title="Logo" alt="Logo" border="0" width="140px" height="auto" />
                        </td>
                        <td width="50%" class="razao" align="left">
                            <?= strtoupper($empresa["Titulo"]); ?><br>
                            <?= "{$empresa['Rua']}, {$empresa['Numero']}, {$empresa['Bairro']}"; ?><br>
                            <?= "{$empresa['Cidade']}, {$empresa['Estado']} - {$empresa['Cep']}"; ?><br>
                            Fone: <?= $empresa["Fone1"]; ?><br>
                            <?php
                            if ($empresa["Fone2"]) {
                                echo "Fone 2: {$empresa["Fone2"]}";
                            }
                            ?>
                        </td>
                    </tr>

                </table>
            </td>
        </tr>
        <tr>
            <td align="center" style="background-color:#000000;">
                <font color="#FFFFFF">
                    Identificao do Documento
                </font>
            </td>
        </tr>
        <tr>
            <table width="100%" class="razao">
                <tr>
                    <td align="left"><b>N Pedido</b></td>
                    <td align="right"><?= $venda['Origem'] == "Comanda" ? $venda["Numero_Comanda"] : $venda['Mesa'] ?></td>
                </tr>
                <tr>
                    <td align="left"><b>Cliente</b></td>
                    <td align="right"><?= "{$venda['Codigo_Cliente']} : {$venda['Cliente']}"; ?></td>
                </tr>
                <tr>
                    <td align="left"><b>Data</b></td>
                    <td align="right"><?= formatarData("d/m/Y H:i", $venda["Data_Cadastro_Upd"]);?></td>
                </tr>
                <?php if($configuracoes['Agrupar_Pedido_Cozinha'] == 'Pedido') { ?>
                    <tr>
                        <td align="left"><b>Entregue por</b></td>
                        <td align="right"><?= $venda["Funcionario"] ?></td>
                    </tr>
                    <?php
                }?>
                <?php if (CLIENTE_EMAIL == 'piattigastronomia' || CLIENTE_EMAIL == 'thevillefit' || CLIENTE_EMAIL == 'transamerica' || CLIENTE_EMAIL == 'gw') { ?>
                    <tr>
                        <td><b>Local Pedido</b></td>
                        <td align="right"><?= $venda["Local_Pedido"] ?></td>
                    </tr>
                <?php } ?>
            </table>
        </tr>
    </table>
    <table width="100%" class="razao">
        <?php
        if($configuracoes['Agrupar_Pedido_Cozinha'] == 'Produto'){
            $produto = $con->query("SELECT venda_produto.Qtd, 
                venda_produto.Obs_Produto, 
                produto.Titulo Produto, 
                produto.Codigo, 
                funcionario.Titulo Funcionario,
                cozinha_produto.Recebedor_Pedido, 
                cozinha_produto.Hora_Entregue 
                FROM (SELECT Id,Status,Recebedor_Pedido,Hora_Entregue,Id_Venda,Id_Venda_Produto,Id_Produto,Id_Entregador_Cozinha FROM cozinha_produto) as cozinha_produto
                INNER JOIN (SELECT Id,Cancelado,Qtd,Obs_Produto,Id_Produto FROM venda_produto) as venda_produto ON venda_produto.Id = cozinha_produto.Id_Venda_Produto 
                INNER JOIN (SELECT Id,Titulo,Codigo FROM produto) as produto ON produto.Id = venda_produto.Id_Produto
                LEFT JOIN (SELECT Id,Titulo FROM funcionario) as funcionario ON funcionario.Id = cozinha_produto.Id_Entregador_Cozinha
                WHERE cozinha_produto.Id = '$idPedido' AND cozinha_produto.Status = 'Entregue' 
                AND venda_produto.Cancelado = 'No'");

            $produto = $produto->fetch_assoc();
            ?>
            <tr>
                <td colspan="8" width="100%" align="center" style="background-color:#000000;">
                    <font color="#FFFFFF">
                        Entregue por: <?=$produto['Funcionario'];?>
                    </font>
                </td>
            </tr>
            <tr>
                <td align="left"><b>Descriao</b></td>
                <td align="right"><b>Qtd</b></td>
            </tr>
                <tr>
                    <td align="left"><?= "{$produto["Codigo"]} - {$produto["Produto"]}"; ?></td>
                    <td align="right"><?= $produto["Qtd"]; ?></td>
                </tr>
                <?php if ($produto["Obs_Produto"] != '') { ?>
                    <tr>
                        <td colspan="8">
                            <b>Obs:</b>
                            <?=$produto["Obs_Produto"];?>
                        </td>
                    </tr>
                    <?php
                } ?>
                <tr>
                    <td align="left"><b>Recebido por:</b> <?=$produto['Recebedor_Pedido'];?></td>
                    <td align="right"><b>H.Entrega:</b> <?=formatarData("H:i", $produto['Hora_Entregue']);?></td>
                </tr>
            <?php
        }
        else {
            $funcionariosEntregas = $con->query("SELECT DISTINCT cozinha_produto.Id_Entregador_Cozinha, 
            funcionario.Titulo 
            FROM (SELECT Id,Status,Recebedor_Pedido,Hora_Entregue,Id_Venda,Id_Venda_Produto,Id_Produto,Id_Entregador_Cozinha FROM cozinha_produto) as cozinha_produto
            INNER JOIN (SELECT Id,Cancelado,Qtd,Obs_Produto,Id_Produto,Id_Venda FROM venda_produto) as venda_produto ON venda_produto.Id = cozinha_produto.Id_Venda_Produto
            INNER JOIN (SELECT Id,Titulo FROM funcionario) as funcionario ON funcionario.Id = cozinha_produto.Id_Entregador_Cozinha
            WHERE cozinha_produto.Status = 'Entregue' 
            AND venda_produto.Cancelado = 'No' 
            AND venda_produto.Id_Venda = '$idVenda'");

            while($funcionario = $funcionariosEntregas->fetch_assoc()) {?>
                <tr>
                    <td colspan="8" width="100%" align="center" style="background-color:#000000;">
                        <font color="#FFFFFF">
                            Entregues por: <?=$funcionario['Titulo'];?>
                        </font>
                    </td>
                </tr>
                <tr>
                    <td align="left"><b>Descriao</b></td>
                    <td align="right"><b>Qtd</b></td>
                </tr>
                <?php
                $produtos = $con->query("SELECT venda_produto.Qtd, venda_produto.Obs_Produto, 
                    produto.Titulo Produto, produto.Codigo,
                    cozinha_produto.Recebedor_Pedido, 
                    cozinha_produto.Hora_Entregue 
                    FROM (SELECT Id,Status,Recebedor_Pedido,Hora_Entregue,Id_Venda,Id_Venda_Produto,Id_Produto,Id_Entregador_Cozinha FROM cozinha_produto) as cozinha_produto
                    INNER JOIN (SELECT Id,Cancelado,Qtd,Obs_Produto,Id_Produto,Id_Venda FROM venda_produto) as venda_produto ON venda_produto.Id = cozinha_produto.Id_Venda_Produto 
                    INNER JOIN (SELECT Id,Titulo,Codigo FROM produto) as produto ON produto.Id = venda_produto.Id_Produto
                    WHERE venda_produto.Id_Venda = '$idVenda' 
                    AND cozinha_produto.Status = 'Entregue' 
                    AND venda_produto.Cancelado = 'No'");
                
                while ($produto = $produtos->fetch_assoc()) {?>
                    <tr>
                        <td align="left"><?= "{$produto["Codigo"]} - {$produto["Produto"]}"; ?></td>
                        <td align="right"><?= $produto["Qtd"]; ?></td>
                    </tr>
                    <?php if ($produto["Obs_Produto"] != '') { ?>
                        <tr>
                            <td colspan="8">
                                <b>Obs:</b>
                                <?=$produto["Obs_Produto"];?>
                            </td>
                        </tr>
                        <?php
                    } ?>
                    <tr>
                        <td align="left" style="padding-bottom:5px"><b>Recebido por:</b> <?=$produto['Recebedor_Pedido'];?></td>
                        <td align="right" style="padding-bottom:5px"><b>H.Entrega:</b> <?=formatarData("H:i", $produto['Hora_Entregue']);?></td>
                    </tr>
                    <?php
                }
            }
        }
        ?>
        <tr>
            <td>
                &nbsp;
            </td>
        </tr>
    </table>
    <script>
        window.print();
    </script>
</body>
</html>