<?php
include_once '../../include/conecta.php'; //Conecta com a nosso banco de dados MySQL
// include_once 'menu_movimento.php';
include_once '../ver_cookie.php'; //Verifica se a sess?o est? ativa
include_once '../funcoesPhp_novo.php'; //Inclue a pgina con todas as fun??es a ser usada.
if(RESTAURANTE != 'Sim') {
    exit();
}
$empresa = $con->query("SELECT Id FROM unidade WHERE Id = '" . $_COOKIE["Unidade"] . "'");
$empresa = mysqli_fetch_assoc($empresa);
$cronometroEntrega = $con->query("SELECT Tipo_Cronometro_Entrega FROM opcao");
$cronometroEntrega = $cronometroEntrega->fetch_assoc()['Tipo_Cronometro_Entrega'];
?>
<html>
<head>
    <link rel="stylesheet" type="text/css" href="cozinha.css" />
    <link rel="stylesheet" type="text/css" href="../../js/boxy/stylesheets/boxy.css" />
    <script type="text/javascript" language="javascript" src="../../js/jquery-3.3.1.min.js"></script>
    <script src="../../js/dragscroll.min.js"></script>
    <link rel="stylesheet" href="../../js/bootstrap.min.css" integrity="sha384-xOolHFLEh07PJGoPkLv1IbcEPTNtaed2xpHsD9ESMhqIYd0nLMwNLD69Npy4HI+N" crossorigin="anonymous">
    <?php include './cabecalho_cozinha.php'; ?>
    <script>
        $(document).ready(function() {
            $(".div_botao_delivery").click(function() {
                $("#DescricaoModal").modal("show");
            })
        });
    </script>
</head>
<body class="topo" style="margin-left: 0px; font-family: 'Segoe UI', Tahoma, Geneva, Verdana, sans-serif !important;">
    <div style="display: flex; justify-content: space-between; padding:1%; align-items: center; color:#e67e22">
        <div aling="left" style="display: flex;justify-content: center;">
            <img src="../../imagem/pontti_slogan.png" alt="" width="120px" height="auto">
        </div>
        <div aling="center" style="display: flex;gap:3rem">
            <?php
            if (MESA == 'Sim') { ?>
                <div class="tipoRestaurante">
                    <center>
                        <img src="../../imagem/mesa_novo.png" alt="Mesa Disponvel" width="50px" onclick="location.href='../list_mesa.php?acao=entrar'" type="button" style="cursor:pointer; display: flex;">Mesa
                    </center>
                </div>
                <?php
            }
            if (COMANDA == 'Sim') { ?>
                <div class="tipoRestaurante">
                    <center>
                        <img src="../../imagem/comanda_novo.png" alt="Mesa Ocupada" width="50px" onclick="location.href='../comanda/list_comanda.php?acao=entrar'" type="button" style="cursor:pointer; display: flex;">Pedido
                    </center>
                </div>
                <?php 
            }
            if (DELIVERY == 'Sim') { ?>
                <div class="tipoRestaurante">
                    <center>
                        <img src="../../imagem/delivery_mesa.png" alt="Delivery" width="50px" onclick="location.href='../delivery/list_delivery.php?acao=entrar'" type="button" style="cursor:pointer; display: flex; ">Delivery
                    </center>
                </div>
                <?php 
            }
            if(MODULO_COZINHA == 'Sim'){?>
                <div class="tipoRestaurante tipoRestaurante-selecionado">
                    <center>
                        <img src="../../imagem/cozinha.png" alt="Delivery" width="50px" onclick="location.href='cozinha/list_cozinha.php'" type="button" style="cursor:pointer; display: flex; ">Cozinha
                    </center>
                </div>
                <?php 
            }?>
        </div>

        <div aling="right" style="display: flex;justify-content: center;">
            <img src="../../unidade/foto/1.png" alt="Mesa Disponvel" style="max-width:120px; max-height:56px">
        </div>
    </div>

    <div style="display: flex;justify-content: space-around; width:100%" class="table_principal drop">
        <div style="width:24%;" class="coluna_pedidos drop_container" id="drop_items">
            <div class="div_status">
                <span><b>Confirmados</b></span>
                <form action="">
                    <input type="text" placeholder="Cliente" name="cliente" value="<?=isset($_GET['cliente']) ? $_GET['cliente'] : '';?>">
                </form>
                <?php
                $configOrganizacao = $con->query("SELECT Agrupar_Pedido_Cozinha FROM opcao");
                $configOrganizacao = $configOrganizacao->fetch_assoc()['Agrupar_Pedido_Cozinha'];
                $dataAtual = date("Y-m-d");
                $colunaCliente = CLIENTE_RAZAO_SOCIAL == "Sim" ? "Razao_Social" : "Titulo";
                $sqlFiltroCliente .= isset($_GET['cliente']) && $_GET['cliente'] != '' ? "AND cliente.$colunaCliente LIKE '%{$_GET['cliente']}%'" : '';

                if($configOrganizacao == 'Produto') {
                    $sqlConfirmados = "SELECT cozinha_produto.Id, 
                        cliente.Titulo Cliente, 
                        venda.Lancamento, venda.Numero_Comanda, venda.Origem,
                        venda.Data_Preparo, venda.Hora_Prevista_Preparo, 
                        mesa_cadastro.Titulo Numero_Mesa, 
                        venda_produto.Obs_Produto, 
                        produto.Titulo Produto
                        FROM (SELECT Id,Id_Venda_Produto,Status FROM cozinha_produto) as cozinha_produto
                        INNER JOIN (SELECT Id,Id_Produto,Id_Venda,Cancelado,Data_Cadastro_Upd FROM venda_produto) as venda_produto ON venda_produto.Id = cozinha_produto.Id_Venda_Produto
                        INNER JOIN (SELECT Id,Titulo FROM produto) as produto on produto.Id = venda_produto.Id_Produto
                        INNER JOIN (SELECT Id,Lancamento,Numero_Comanda,Origem,Data_Preparo,Hora_Prevista_Preparo,Id_Mesa,Data_Cadastro_Upd FROM venda) as venda ON venda.Id = venda_produto.Id_Venda";
                }
                else {
                    $sqlConfirmados = "SELECT venda.Id, cliente.Titulo Cliente, venda.Lancamento, 
                    venda.Numero_Comanda, venda.Origem, venda.Data_Preparo,
                    venda.Hora_Prevista_Preparo, mesa_cadastro.Titulo Numero_Mesa 
                    FROM (SELECT Id,Lancamento,Numero_Comanda,Origem,Data_Preparo,Hora_Prevista_Preparo,Id_Mesa,Data_Cadastro_Upd FROM venda) as venda";
                }
                
                $sqlConfirmados .= " LEFT JOIN (SELECT Id,Titulo,Razao_Social FROM cliente) as cliente ON cliente.Id = venda.Id_Cliente
                    LEFT JOIN (SELECT Id,Titulo FROM mesa_cadastro) as mesa_cadastro ON mesa_cadastro.Id = venda.Id_Mesa
                    WHERE (venda.Origem = 'Comanda' OR venda.Origem = 'Mesa') AND venda.Data_Preparo <= DATE(NOW()) $sqlFiltroCliente";
                
                if($configOrganizacao == 'Produto') {
                    $sqlConfirmados .= " AND cozinha_produto.Status = 'Confirmado' AND venda_produto.Cancelado = 'No' ORDER BY venda_produto.Data_Cadastro_Upd";
                }
                else {
                    $sqlConfirmados .= " AND 
                        (SELECT COUNT(cozinha_produto.Id) 
                        FROM (SELECT Id,Id_Venda_Produto,Status FROM cozinha_produto) as cozinha_produto
                        INNER JOIN (SELECT Id,Id_Venda,Cancelado FROM venda_produto) as venda_produto ON venda_produto.Id = cozinha_produto.Id_Venda_Produto
                        WHERE cozinha_produto.Status = 'Confirmado' 
                        AND venda_produto.Id_Venda = venda.Id AND venda_produto.Cancelado = 'No') > 0
                        ORDER BY venda.Data_Cadastro_Upd DESC, venda.Lancamento, TIME(venda.Hora_Prevista_Preparo)";
                }
                $pedidosConfirmados = $con->query($sqlConfirmados); ?>

                <div class="div_quantidade_pedido">
                    <span><?= $pedidosConfirmados->num_rows; ?></span>
                </div>
            </div>
            <div class="dropzone" style="width: 100%;" id="Confirmado" ondragover="onDragOver(event);" ondrop="onDrop(event);">
                <?php
                while ($pedidoConfirmado = $pedidosConfirmados->fetch_assoc()) { ?>
                    <div style="width:100%;" class="div_botao_cozinha" data-target="#DescricaoModal" data-toggle="modal" 
                        draggable="true" id-pedido="<?= $pedidoConfirmado['Id']; ?>" ondragstart="onDragStart(event);">
                        <div class="botao_cozinha">
                            <div style="display: flex; justify-content: space-between; padding:0 11px">
                                <span class="limitar-texto" style="width: 70%">
                                    <b><?= $pedidoConfirmado['Cliente']; ?></b>
                                </span>
                                <div>
                                    <span>
                                        N <?= $pedidoConfirmado['Lancamento']; ?>
                                    </span>
                                </div>
                            </div>
                            <div style="align-items: start;display: flex; flex-direction: column;padding: 4px 8px;">
                                <div class="flex-limitar-texto">
                                    <div>
                                        <img src="../../imagem/<?=$pedidoConfirmado['Origem'] == 'Comanda' ? 'conta' : 'mesa-redonda'?>.png" alt="" class="icone_card_pedido">
                                        <span>
                                            <?= $pedidoConfirmado['Origem'] == 'Comanda' ? "Comanda {$pedidoConfirmado['Numero_Comanda']}" : "Mesa {$pedidoConfirmado['Numero_Mesa']}";?>
                                        </span>
                                    </div>
                                </div>
                                <div class="flex-limitar-texto">
                                    <div>
                                        <img src="../../imagem/calendario-delivery.png" alt="Calendario" class="icone_card_pedido">
                                        <span><?= formatarData("d/m/Y H:i", "{$pedidoConfirmado['Data_Preparo']} {$pedidoConfirmado['Hora_Prevista_Preparo']}");?></span>
                                    </div>
                                </div>
                                <?php if($configOrganizacao == 'Produto'){ ?>
                                    <div class="flex-limitar-texto cronometros">
                                        <div>
                                            <img src="../../imagem/produto-cozinha.png" class="icone_card_pedido">
                                            <span><?=$pedidoConfirmado['Produto'];?></span>
                                        </div>
                                    </div>
                                    <div class="flex-limitar-texto">
                                        <img src="../../imagem/notas.png" class="icone_card_pedido">
                                        <span class="limitar-texto" style="width:85%"><?=$pedidoConfirmado['Obs_Produto'];?></span><br>
                                    </div>
                                    <?php 
                                }?>
                            </div>
                        </div>
                    </div>
                <?php } ?>
            </div>
        </div>
        <div style="width:24%;" class="coluna_pedidos preparo">
            <div class="div_status">
                <span><b>Em Preparo</b></span>
                <?php
                if($configOrganizacao == 'Produto') {
                    $sqlPreparo = "SELECT cozinha_produto.Id, cozinha_produto.Data_Cadastro_Upd, 
                        cliente.Titulo Cliente, venda.Lancamento,
                        venda.Numero_Comanda, venda.Origem, mesa_cadastro.Titulo Numero_Mesa, 
                        venda_produto.Obs_Produto, produto.Titulo Produto
                        FROM (SELECT Id,Id_Venda_Produto,Status FROM cozinha_produto) as cozinha_produto
                        INNER JOIN (SELECT Id,Id_Produto,Id_Venda,Cancelado,Data_Cadastro_Upd FROM venda_produto) as venda_produto ON venda_produto.Id = cozinha_produto.Id_Venda_Produto
                        INNER JOIN (SELECT Id,Titulo FROM produto) as produto on produto.Id = venda_produto.Id_Produto
                        INNER JOIN (SELECT Id,Lancamento,Numero_Comanda,Origem,Data_Preparo,Hora_Prevista_Preparo,Id_Mesa,Data_Cadastro_Upd FROM venda) as venda ON venda.Id = venda_produto.Id_Venda";
                }
                else {
                    $sqlPreparo = "SELECT venda.Id, cliente.Titulo Cliente, venda.Lancamento, 
                    venda.Numero_Comanda, venda.Origem, venda.Data_Preparo,
                    venda.Hora_Prevista_Preparo, mesa_cadastro.Titulo Numero_Mesa 
                    FROM (SELECT Id,Lancamento,Numero_Comanda,Origem,Data_Preparo,Hora_Prevista_Preparo,Id_Mesa,Data_Cadastro_Upd FROM venda) as venda";
                }
                
                $sqlPreparo .= " LEFT JOIN (SELECT Id,Titulo,Razao_Social FROM cliente) as cliente ON cliente.Id = venda.Id_Cliente
                    LEFT JOIN (SELECT Id,Titulo FROM mesa_cadastro) as mesa_cadastro ON mesa_cadastro.Id = venda.Id_Mesa
                    WHERE (venda.Origem = 'Comanda' OR venda.Origem = 'Mesa') AND venda.Data_Preparo <= DATE(NOW()) $sqlFiltroCliente";
                
                if($configOrganizacao == 'Produto') {
                    $sqlPreparo .= " AND cozinha_produto.Status = 'Em preparo' AND venda_produto.Cancelado = 'No' ORDER BY venda_produto.Data_Cadastro_Upd";
                }
                else {
                    $sqlPreparo .= " AND (SELECT COUNT(cozinha_produto.Id) 
                        FROM (SELECT Id,Id_Venda_Produto,Status FROM cozinha_produto) as cozinha_produto
                        INNER JOIN (SELECT Id,Id_Venda,Cancelado FROM venda_produto) as venda_produto ON venda_produto.Id = cozinha_produto.Id_Venda_Produto
                        WHERE cozinha_produto.Status = 'Em preparo' AND venda_produto.Id_Venda = venda.Id AND venda_produto.Cancelado = 'No') > 0
                        ORDER BY venda.Data_Cadastro_Upd DESC, venda.Lancamento";
                }
                $pedidosEmPreparo = $con->query($sqlPreparo); ?>

                <div class="div_quantidade_pedido">
                    <span><?= $pedidosEmPreparo->num_rows; ?></span>
                </div>
            </div>
            <div class="dropzone" style="width: 100%;" id="Preparo" ondragover="onDragOver(event);" ondrop="onDrop(event);">
                <?php
                while ($pedidoEmPreparo = $pedidosEmPreparo->fetch_assoc()) { ?>
                    <div style="width:100%;" class="div_botao_cozinha" data-target="#DescricaoModal" data-toggle="modal"
                        draggable="true" id-pedido="<?= $pedidoEmPreparo['Id']; ?>" ondragstart="onDragStart(event);">
                        <div class="botao_cozinha">
                            <div style="display: flex; justify-content: space-between; padding:0 11px">
                                <span class="limitar-texto" style="width: 70%">
                                    <b><?= $pedidoEmPreparo['Cliente']; ?></b>
                                </span>
                                <div>
                                    <span>
                                        N <?= $pedidoEmPreparo['Lancamento'];?>
                                    </span>
                                </div>
                            </div>
                            <div style="align-items: start;display: flex; flex-direction: column;padding: 4px 8px;">
                                <div class="flex-limitar-texto">
                                    <div>
                                        <img src="../../imagem/<?=$pedidoEmPreparo['Origem'] == 'Comanda' ? 'conta' : 'mesa-redonda'?>.png" alt="" class="icone_card_pedido">
                                        <span>
                                            <?= $pedidoEmPreparo['Origem'] == 'Comanda' ? "Comanda {$pedidoEmPreparo['Numero_Comanda']}" : "Mesa {$pedidoEmPreparo['Numero_Mesa']}";?>
                                        </span>
                                    </div>
                                </div>
                                <div class="flex-limitar-texto">
                                    <div>
                                        <img src="../../imagem/calendario-delivery.png" alt="Calendario" class="icone_card_pedido">
                                        <span><?= formatarData("d/m/Y H:i", $pedidoEmPreparo['Data_Cadastro_Upd']);?></span>
                                    </div>
                                </div>
                                <?php if($configOrganizacao == 'Produto'){ ?>
                                    <div class="flex-limitar-texto cronometros">
                                        <div>
                                            <img src="../../imagem/produto-cozinha.png" class="icone_card_pedido">
                                            <span><?=$pedidoEmPreparo['Produto'];?></span>
                                        </div>
                                    </div>
                                    <div class="flex-limitar-texto">
                                        <img src="../../imagem/notas.png" class="icone_card_pedido">
                                        <span class="limitar-texto" style="width:85%"><?=$pedidoEmPreparo['Obs_Produto'];?></span><br>
                                    </div>
                                    <?php 
                                }?>
                            </div>
                        </div>
                    </div>
                <?php } ?>
            </div>
        </div>

        <div style="width:24%;" class="coluna_pedidos preparo">
            <div class="div_status">
                <span><b>Pronto</b></span>
                <?php
                if($configOrganizacao == 'Produto') {
                    $sqlPedidoPronto = "SELECT cozinha_produto.Id, cozinha_produto.Data_Cadastro_Upd, cliente.Titulo Cliente, venda.Lancamento,
                        venda.Numero_Comanda, venda.Origem, mesa_cadastro.Titulo Numero_Mesa, venda_produto.Obs_Produto, produto.Titulo Produto
                        FROM cozinha_produto
                        INNER JOIN venda_produto ON venda_produto.Id = cozinha_produto.Id_Venda_Produto
                        INNER JOIN produto on produto.Id = venda_produto.Id_Produto
                        INNER JOIN venda ON venda.Id = venda_produto.Id_Venda";
                }
                else {
                    $sqlPedidoPronto = "SELECT venda.Id, venda.Data_Cadastro_Upd, cliente.Titulo Cliente, venda.Lancamento, venda.Numero_Comanda,
                        venda.Origem, mesa_cadastro.Titulo Numero_Mesa FROM venda";
                }
                
                $sqlPedidoPronto .= " JOIN cliente ON cliente.Id = venda.Id_Cliente
                    LEFT JOIN mesa_cadastro ON mesa_cadastro.Id = venda.Id_Mesa
                    WHERE (venda.Origem = 'Comanda' OR venda.Origem = 'Mesa') AND venda.Data_Preparo <= DATE(NOW()) $sqlFiltroCliente";

                if($configOrganizacao == 'Produto') {
                    $sqlPedidoPronto .= " AND cozinha_produto.Status = 'Pronto' AND venda_produto.Cancelado = 'No' ORDER BY venda_produto.Data_Cadastro_Upd";
                }
                else {
                    $sqlPedidoPronto .= " AND (SELECT COUNT(cozinha_produto.Id) FROM cozinha_produto INNER JOIN venda_produto 
                        ON venda_produto.Id = cozinha_produto.Id_Venda_Produto
                        WHERE cozinha_produto.Status = 'Pronto' AND venda_produto.Id_Venda = venda.Id AND venda_produto.Cancelado = 'No') > 0
                        ORDER BY venda.Data_Cadastro_Upd DESC, venda.Lancamento";
                }
                $pedidosProntos = $con->query($sqlPedidoPronto); ?>

                <div class="div_quantidade_pedido">
                    <span><?= $pedidosProntos->num_rows; ?></span>
                </div>
            </div>
            <div class="dropzone" style="width: 100%;" id="Pronto" ondragover="onDragOver(event);" ondrop="onDrop(event);">
                <?php
                while ($pedidoPronto = $pedidosProntos->fetch_assoc()) { ?>
                    <div style="width:100%;" class="div_botao_cozinha" data-target="#DescricaoModal" data-toggle="modal"
                        draggable="true" id-pedido="<?= $pedidoPronto['Id']; ?>" ondragstart="onDragStart(event);">
                        <div class="botao_cozinha">
                            <div style="display: flex; justify-content: space-between; padding:0 11px">
                                <span class="limitar-texto" style="width: 70%">
                                    <b><?= $pedidoPronto['Cliente']; ?></b>
                                </span>
                                <div>
                                    <span>
                                        N <?= $pedidoPronto['Lancamento'];?>
                                    </span>
                                </div>
                            </div>
                            <div style="align-items: start;display: flex; flex-direction: column;padding: 4px 8px;">
                                <div class="flex-limitar-texto">
                                    <div>
                                        <img src="../../imagem/<?=$pedidoPronto['Origem'] == 'Comanda' ? 'conta' : 'mesa-redonda'?>.png" alt="" class="icone_card_pedido">
                                        <span>
                                            <?= $pedidoPronto['Origem'] == 'Comanda' ? "Comanda {$pedidoPronto['Numero_Comanda']}" : "Mesa {$pedidoPronto['Numero_Mesa']}";?>
                                        </span>
                                    </div>
                                </div>
                                <div class="flex-limitar-texto">
                                    <div>
                                        <img src="../../imagem/calendario-delivery.png" alt="Calendario" class="icone_card_pedido">
                                        <span><?= formatarData("d/m/Y H:i", $pedidoPronto['Data_Cadastro_Upd']);?></span>
                                    </div>
                                </div>
                                <?php if($configOrganizacao == 'Produto'){ ?>
                                    <div class="flex-limitar-texto cronometros">
                                        <div>
                                            <img src="../../imagem/produto-cozinha.png" class="icone_card_pedido">
                                            <span><?=$pedidoPronto['Produto'];?></span>
                                        </div>
                                    </div>
                                    <div class="flex-limitar-texto">
                                        <img src="../../imagem/notas.png" class="icone_card_pedido">
                                        <span class="limitar-texto" style="width:85%"><?=$pedidoPronto['Obs_Produto'];?></span><br>
                                    </div>
                                    <?php 
                                }?>
                            </div>
                        </div>
                    </div>
                <?php } ?>
            </div>
        </div>

        <div style="width:24%;" class="coluna_pedidos">
            <div class="div_status">
                <span><b>Entregue</b></span>
                <?php
                if($configOrganizacao == 'Produto') {
                    $sqlPedidoEntregue = "SELECT cozinha_produto.Id, cozinha_produto.Data_Cadastro_Upd, cliente.Titulo Cliente, venda.Lancamento,
                        venda.Numero_Comanda, venda.Origem, mesa_cadastro.Titulo Numero_Mesa, venda_produto.Obs_Produto, produto.Titulo Produto
                        FROM (SELECT Id,Id_Venda_Produto,Status FROM cozinha_produto) as cozinha_produto
                        INNER JOIN (SELECT Id,Id_Produto,Id_Venda,Cancelado,Data_Cadastro_Upd FROM venda_produto) as venda_produto ON venda_produto.Id = cozinha_produto.Id_Venda_Produto
                        INNER JOIN (SELECT Id,Titulo FROM produto) as produto on produto.Id = venda_produto.Id_Produto
                        INNER JOIN (SELECT Id,Lancamento,Numero_Comanda,Origem,Data_Preparo,Hora_Prevista_Preparo,Id_Mesa,Data_Cadastro_Upd FROM venda) as venda ON venda.Id = venda_produto.Id_Venda";
                }
                else {
                    $sqlPedidoEntregue = "SELECT venda.Id, cliente.Titulo Cliente, venda.Lancamento, 
                        venda.Numero_Comanda, venda.Origem, venda.Data_Preparo,
                        venda.Hora_Prevista_Preparo, mesa_cadastro.Titulo Numero_Mesa 
                        FROM (SELECT Id,Lancamento,Numero_Comanda,Origem,Data_Preparo,Hora_Prevista_Preparo,Id_Mesa,Data_Cadastro_Upd FROM venda) as venda";
                }
                
                $sqlPedidoEntregue .= " LEFT JOIN (SELECT Id,Titulo,Razao_Social FROM cliente) as cliente ON cliente.Id = venda.Id_Cliente
                    LEFT JOIN (SELECT Id,Titulo FROM mesa_cadastro) as mesa_cadastro ON mesa_cadastro.Id = venda.Id_Mesa
                    WHERE (venda.Origem = 'Comanda' OR venda.Origem = 'Mesa') AND venda.Data_Preparo = DATE(NOW()) $sqlFiltroCliente";

                if($configOrganizacao == 'Produto') {
                    $sqlPedidoEntregue .= " AND cozinha_produto.Status = 'Entregue' AND venda_produto.Cancelado = 'No' ORDER BY venda_produto.Data_Cadastro_Upd";
                }
                else {
                    $sqlPedidoEntregue .= " AND (SELECT COUNT(cozinha_produto.Id) 
                        FROM (SELECT Id,Id_Venda_Produto,Status FROM cozinha_produto) as cozinha_produto
                        INNER JOIN (SELECT Id,Id_Venda,Cancelado FROM venda_produto) as venda_produto ON venda_produto.Id = cozinha_produto.Id_Venda_Produto
                        WHERE cozinha_produto.Status = 'Entregue' AND venda_produto.Id_Venda = venda.Id AND venda_produto.Cancelado = 'No') > 0
                        ORDER BY venda.Data_Cadastro_Upd DESC, venda.Lancamento";
                }
                $pedidosEntregues = $con->query($sqlPedidoEntregue); ?>

                <div class="div_quantidade_pedido">
                    <span><?= $pedidosEntregues->num_rows; ?></span>
                </div>
            </div>
            <div class="dropzone" style="width: 100%;" id="Entregue" ondragover="onDragOver(event);" ondrop="onDrop(event);">
                <?php
                while ($pedidoEntregue = $pedidosEntregues->fetch_assoc()) { ?>
                    <div style="width:100%;" class="div_botao_cozinha" data-target="#DescricaoModal" data-toggle="modal"
                        draggable="true" id-pedido="<?= $pedidoEntregue['Id']; ?>" ondragstart="onDragStart(event);">
                        <div class="botao_cozinha">
                            <div style="display: flex; justify-content: space-between; padding:0 11px">
                                <span class="limitar-texto" style="width: 70%">
                                    <b><?= $pedidoEntregue['Cliente']; ?></b>
                                </span>
                                <div>
                                    <span>
                                        N <?= $pedidoEntregue['Lancamento'];?>
                                    </span>
                                </div>
                            </div>
                            <div style="align-items: start;display: flex; flex-direction: column;padding: 4px 8px;">
                                <div class="flex-limitar-texto">
                                    <div>
                                        <img src="../../imagem/<?=$pedidoEntregue['Origem'] == 'Comanda' ? 'conta' : 'mesa-redonda'?>.png" alt="" class="icone_card_pedido">
                                        <span>
                                            <?= $pedidoEntregue['Origem'] == 'Comanda' ? "Comanda {$pedidoEntregue['Numero_Comanda']}" : "Mesa {$pedidoEntregue['Numero_Mesa']}";?>
                                        </span>
                                    </div>
                                </div>
                                <div class="flex-limitar-texto">
                                    <div>
                                        <img src="../../imagem/calendario-delivery.png" alt="Calendario" class="icone_card_pedido">
                                        <span><?= formatarData("d/m/Y H:i", $pedidoEntregue['Data_Cadastro_Upd']);?></span>
                                    </div>
                                </div>
                                <?php if($configOrganizacao == 'Produto'){ ?>
                                    <div class="flex-limitar-texto cronometros">
                                        <div>
                                            <img src="../../imagem/produto-cozinha.png" class="icone_card_pedido">
                                            <span><?=$pedidoEntregue['Produto'];?></span>
                                        </div>
                                    </div>
                                    <div class="flex-limitar-texto">
                                        <img src="../../imagem/notas.png" class="icone_card_pedido">
                                        <span class="limitar-texto" style="width:85%"><?=$pedidoEntregue['Obs_Produto'];?></span><br>
                                    </div>
                                    <?php 
                                }?>
                            </div>
                        </div>
                    </div>
                <?php } ?>
            </div>
        </div>
    </div>
    <div id="rodape">
        <button id="btn-preparo" data-toggle="modal" data-target="#PreparoModal">
            <img src="../../imagem/produto-cozinha.png" width="25">Alterar Preparo
        </button>
        <button id="btn-config" data-toggle="modal" data-target="#ConfiguracaoModal">
            <img src="../../imagem/engrenagem.png" width="18">Configuraes
        </button>
    </div>

    <div class="modal fade" id="DescricaoModal" tabindex="-1" aria-hidden="true">
        <div class="modal-dialog modal-width modal-dialog-scrollable">
            <div class="modal-content">
                <div class="modal-header">
                    <div class="header_mod">
                        <div class="coluna_header_mod">
                            <span class="title_hearder_mod">Origem</span>
                            <span id="Origem"></span>
                        </div>
                        <div class="coluna_header_mod">
                            <span class="title_hearder_mod">Lanamento</span>
                            <span id="Lancamento"></span>
                        </div>
                        <div class="coluna_header_mod">
                            <span class="title_hearder_mod">Pedido</span>
                            <span id="NumeroPedido"></span>
                        </div>
                        <div class="coluna_header_mod">
                            <span class="title_hearder_mod">Data</span>
                            <span id="Data"></span>
                        </div>
                        <input type="hidden" name="idPedido">
                    </div>
                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                        <span aria-hidden="true">&times;</span>
                    </button>
                </div>
                <div class="modal-body">
                    <div class="coluna_body">
                        <div>
                            <h4>Cliente</h4>
                            <div class="info_body">
                                <img src="../../imagem/user.png" alt="" class="icon_modal">
                                <span id="Cliente"></span>
                            </div>
                        </div>
                        <div id="Produtos">
                            <h4>Produtos</h4>
                            <div class="info_body cabecalho_tabela">
                                <div class="header_table_modal">
                                    <span>Produto</span>
                                </div>
                                <div class="header_table_modal">
                                    <span>Qtd</span>
                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="coluna2_body">
                        <div class="btn_lateral">
                            <span id="Status"></span>
                        </div>
                        <div class="btn_remover d-none" id="btn-cancelarPedido" data-toggle="modal" data-target="#CancelamentoModal">
                            <span>Cancelar</span>
                            <img src="../../imagem/cancel.png" alt="" class="icon_modal">
                        </div>
                        <div class="btn_entrega d-none" id="btn-imprimirEntrega" onclick="impressaoEntrega()">
                            <span>Impresso Entrega</span>
                            <img src="../../imagem/impressora_delivery.png" alt="" class="icon_modal">
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>

    <div class="modal fade" id="ConfiguracaoModal" tabindex="-1" aria-hidden="true">
        <div class="modal-dialog modal-width modal-dialog-scrollable">
            <form class="modal-content">
                <div class="modal-header">
                    <h4>Configuraes</h4>
                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                        <span aria-hidden="true">&times;</span>
                    </button>
                </div>
                <div class="modal-body">
                    <div style="display:flex;flex-direction: column;">
                        <h5>Organizao da Cozinha</h5>
                        <div class="d-flex mt-1" style="gap:2rem">
                            <label>
                                <input type="radio" name="agruparPedidoCozinha" value="Produto" <?= $_POST['Agrupar_Pedido_Cozinha'] == "Produto" ? "checked" : ""; ?>>
                                Por Produto
                            </label>
                            <label style="margin-left:10px">
                                <input type="radio" name="agruparPedidoCozinha" value="Pedido" <?= $_POST['Agrupar_Pedido_Cozinha'] == "Pedido" ? "checked" : ""; ?>>
                                Agrupar por Pedido
                            </label>
                        </div>
                    </div>
                </div>
                <div class="modal-footer">
                    <button class="btn btn-primary pl-5 pr-5">Salvar</button>
                </div>
            </form>
        </div>
    </div>

    <div class="modal fade" id="PreparoModal" tabindex="-1" aria-hidden="true">
        <div class="modal-dialog modal-width modal-dialog-scrollable">
            <div class="modal-content">
                <div class="modal-header">
                    <h5 class="modal-title">Alterar Preparo</h5>
                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                        <span aria-hidden="true">&times;</span>
                    </button>
                </div>
                <div class="modal-body flex-column">
                    <form class="d-flex justify-content-between w-100 align-items-center">
                        <div class="form-group">
                            <label>Cliente</label>
                            <input type="text" class="form-control" name="clientePreparo">
                        </div>
                        <div class="form-group">
                            <label>Pedido</label>
                            <input type="text" class="form-control" name="pedido">
                        </div>
                        <button type="submit" class="btn btn-primary mt-3 px-4" style="width:120px">Buscar</button>
                    </form>
                    <div class="mt-4 pedidos-preparo">
                        <div class="cabecalho-preparo">
                            <span>Pedido</span>
                            <span>Cliente</span>
                            <span>Preparo</span>
                            <span class="text-center">Ao</span>
                        </div>
                        <div class="body-preparo">
                        </div>
                    </div>
                </div>
                <div class="modal-footer">
                    <button type="button" class="btn px-4 custom-btn-secundary" data-dismiss="modal">Fechar</button>
                </div>
            </div>
        </div>
    </div>

    <div class="modal fade" id="AlterarPreparoModal" tabindex="-1" aria-hidden="true">
        <div class="modal-dialog modal-dialog-centered">
            <form class="modal-content">
                <div class="modal-header">
                    <h5 class="modal-title">Pedido: <span id="numeroPedidoPreparo"></span></h5>
                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                        <span aria-hidden="true">&times;</span>
                    </button>
                </div>
                <div class="modal-body flex-column">
                    <label>Cliente : <span id="clientePedido"></span></label>
                    <div style="display:flex;gap:1.5rem">
                        <div class="form-group w-50">
                            <label>Data Preparo</label>
                            <input type="date" class="form-control" name="dataPreparo" required>
                        </div>
                        <div class="form-group w-50">
                            <label>Hora Preparo</label>
                            <input type="time" class="form-control" name="horaPrevistaPreparo" required>
                        </div>
                    </div>
                </div>
                <div class="modal-footer">
                    <input type="hidden" name="idVenda">
                    <button type="submit" class="btn btn-primary px-4">Salvar</button>
                </div>
            </form>
        </div>
    </div>

    <div class="modal fade" id="CancelamentoModal" tabindex="-1" aria-hidden="true">
        <div class="modal-dialog modal-dialog-centered">
            <form class="modal-content modal_obs" id="cancelarPedido">
                <div class="modal-header">
                    <h5 class="modal-title">Cancelar pedido</h5>
                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                        <span aria-hidden="true">&times;</span>
                    </button>
                </div>
                <div class="modal-body">
                    <div class="d-flex flex-column w-100">
                        <p>Motivo</p>
                        <textarea class="px-2 py-1" name="motivo" rows="5" style="width:100%;resize:none" maxlength="120" minlength="10" required></textarea>
                    </div>
                </div>
                <div class="modal-footer">
                    <button class="btn btn-primary px-4">Salvar</button>
                </div>
            </form>
        </div>
    </div>

    <div class="modal fade" id="EntregaModal" tabindex="-1" aria-hidden="true">
        <div class="modal-dialog">
            <form class="modal-content">
                <div class="modal-header">
                    <h5 class="modal-title">Entrega</h5>
                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                        <span aria-hidden="true">&times;</span>
                    </button>
                </div>
                <div class="modal-body">
                    <div class="form-group w-100">
                        <label>Quem recebeu?</label>
                        <input class="form-control" type="text" name="recebedor" minlength="4" maxlength="32" required>
                    </div>
                </div>
                <div class="modal-footer">
                    <input type="hidden" name="idPedido">
                    <input type="hidden" name="statusOrigem">
                    <button class="btn btn-primary px-4">Salvar</button>
                </div>
            </form>
        </div>
    </div>
    <script src="../../js/bootstrap.bundle.min.js" integrity="sha384-Fy6S3B9q64WdZWQUiU+q4/2Lc9npb8tCaSX9FK7E8HnRr0Jz8D6OP9dO5Vg3Q9ct" crossorigin="anonymous"></script>
</body>
</html>