<?php
include_once '../../include/conecta.php'; //Conecta com a nosso banco de dados MySQL
include_once '../ver_cookie.php'; //Verifica se a sesso est ativa
include_once '../funcoesPhp.php'; //Inclue a pgina con todas as funes a ser usada.

$valor = addslashes($_POST['valor']);
$idVenda = addslashes($_POST['idVenda']);
$qtdParcelas = 1;
$idCliente = addslashes($_POST['idCliente']);
$tipoPagamento = addslashes($_POST['tipoPagamento']);
$idTipoPagamento = addslashes($_POST['idTipoPagamento']);
$finalizarVenda = false;

$metodoPagamento = $con->query("SELECT Id, Titulo FROM tipo_pagamento WHERE Ativo='Sim' AND Id='$idTipoPagamento'");
$metodoPagamento = $metodoPagamento->fetch_assoc();
$venda = $con->query("SELECT Id_Cliente, Valor_Original, Valor_Pago FROM venda WHERE Id='$idVenda'");
$venda = $venda->fetch_assoc();

$valorPago = $venda['Valor_Pago'] + $valor;
$valorPago = str_replace([".", ","], ["", "."], $valorPago);
$valorPago = number_format($valorPago, 2, '.', '');

$troco = 0;
if ($valorPago > $venda['Valor_Original']) {
    $troco = $valorPago - $venda['Valor_Original'];
    $valorPago = $venda['Valor_Original'];
}
$troco = str_replace(".", "", $troco);
$troco = str_replace(",", ".", $troco);
$dataHoraCadastro = new DateTime();
$dataHoraCadastro = $dataHoraCadastro->format("Y-m-d H:i:s");

$con->query("UPDATE venda SET Valor_Pago='$valorPago', Id_Usuario_Upd='{$_COOKIE['Id']}', Data_Cadastro_Upd='$dataHoraCadastro' WHERE Id='$idVenda'");
$ordem = $con->query("SELECT MAX(Ordem) Ultima_Ordem FROM venda_tipo_pagamento WHERE Id_Venda='$idVenda'");
$ordem = $ordem->fetch_assoc()['Ultima_Ordem'] + 1;
$idVendaTipoPagamento = md5($idVenda . microtime());
$con->query("INSERT INTO venda_tipo_pagamento SET Id='$idVendaTipoPagamento', Data_Cadastro='$dataHoraCadastro', Id_Venda='$idVenda',
Id_Funcionario='{$_COOKIE['Id_Funcionario']}', Id_Cliente='{$venda['Id_Cliente']}', Id_Tipo_Pagamento='{$metodoPagamento['Id']}',
Valor_Pago='$valor', Valor='{$venda['Valor_Original']}', Id_Unidade='{$_COOKIE['Unidade']}', Data_Pagamento='$dataHoraCadastro',
Valor_Troco='$troco', Ordem='$ordem', Qtd_Parcelas='$qtdParcelas', Tipo_Pagamento='$tipoPagamento'");

$valorRestante = $venda['Valor_Original'] - $valorPago;
if ($valorPago >= $venda['Valor_Original']) {
    $finalizarVenda = true;
    include "./rotina_finalizar_venda.php";
}
else if ($tipoPagamento == 'Parcial') {
    include "./rotina_finalizar_venda_parcial.php";
}
echo json_encode([
    'finalizar'=> $finalizarVenda,
    'valorPago'=> $valorPago,
    'valorRestante'=> $valorRestante,
    'valorTroco'=> $troco,
    'pagamento'=> [
        'titulo'=> utf8_encode($metodoPagamento['Titulo']),
        'valor'=> $valor,
    ]
]);
?>