<?php

use Ifood\App\Model\Categoria;

include "../../include/conecta.php";
include "../ver_cookie.php";
include "../../integracao/ifood/load.php";

$todasCategorias = addslashes($_GET['todasCategorias']);
$con->set_charset("utf8mb4");

$sql = "SELECT Id, Titulo FROM categoria_produto WHERE Ativo = 'Sim' AND Tipo = 'Pode vender'";
if($todasCategorias == "No") {
    $sql .= " AND (Id_Ifood IS NULL OR Id_Ifood = '')";
}
$getCategoriasSistema = $con->query("$sql ORDER BY Titulo");
$categoriasSistema = $getCategoriasSistema->fetch_all(MYSQLI_ASSOC);

$getCategoriasRelacionadas = $con->query("SELECT Id, Titulo FROM categoria_produto
    WHERE Ativo = 'Sim' AND Tipo = 'Pode vender' AND Id_Ifood IS NOT NULL AND Id_Ifood != '' ORDER BY Titulo");
$categoriasRelacionadas = $getCategoriasRelacionadas->fetch_all(MYSQLI_ASSOC);

$categoriasIfood = Categoria::listar();
array_multisort(array_column($categoriasIfood, "name"), SORT_ASC, $categoriasIfood);

echo json_encode([
    "categoriasSistema"=> $categoriasSistema,
    "categoriasIfood"=> $categoriasIfood,
    "categoriasRelacionadas"=> $categoriasRelacionadas
]);