<?php
include '../../include/conecta.php';
include '../ver_cookie.php';

if($_SERVER['REQUEST_METHOD'] == 'GET') {
    $idPedido = addslashes($_GET['idPedido']);
    $con->set_charset("utf8mb4");
    $detalhesPedido = $con->query("SELECT venda.Id, 
        venda.Lancamento, 
        venda.Numero_Pedido, 
        venda.Valor_Original, 
        venda.Data_Venda, 
        venda.Status_Pedido,
        venda.Entrega_Comanda, 
        venda.Entregador_Ifood, 
        venda.Id_Entregador, 
        venda.Cpf_Cnpj_Emissao,
        venda.Origem, 
        venda.Pagamento_Entrega, 
        venda.Troco_Entrega, 
        venda.Horario_Agendamento_Ifood, 
        venda.Hora_Entrega, 
        venda.Tipo_Pedido_Ifood, 
        venda.Valor_Frete,
        venda.Desconto_Real, 
        venda.Taxa_Servico_Restaurante, 
        venda.Entregador_Solicitado_Ifood, 
        venda.Codigo_Entrega_Ifood,
        cliente.Titulo Cliente, 
        cliente.Fone1, 
        cliente.Cpf_Cnpj
        FROM (SELECT Id,Lancamento,Numero_Pedido,Valor_Original,Data_Venda,Status_Pedido,
        Entrega_Comanda,Entregador_Ifood,Id_Entregador,Cpf_Cnpj_Emissao,Id_Cliente,
        Origem, Pagamento_Entrega, Troco_Entrega, Horario_Agendamento_Ifood, Hora_Entrega, Tipo_Pedido_Ifood, Valor_Frete,
        Desconto_Real, Taxa_Servico_Restaurante, Entregador_Solicitado_Ifood, Codigo_Entrega_Ifood 
        FROM venda) as venda
        LEFT JOIN (SELECT Id, Titulo, Fone1, Cpf_Cnpj FROM cliente) as cliente ON cliente.Id = venda.Id_Cliente 
        WHERE venda.Id = '$idPedido'");
    $detalhesPedido = mysqli_fetch_assoc($detalhesPedido);
    // $detalhesPedido['Entregador_Ifood'] = utf8_encode($detalhesPedido['Entregador_Ifood']);
    // $detalhesPedido['Cliente'] = utf8_encode($detalhesPedido['Cliente']);
    // $detalhesPedido['Entrega_Comanda'] = utf8_encode($detalhesPedido['Entrega_Comanda']);
    // $detalhesPedido['Pagamento_Entrega'] = utf8_encode($detalhesPedido['Pagamento_Entrega']);
    $detalhesPedido['Valor_Original'] = number_format($detalhesPedido['Valor_Original'], 2, ',', '.');
    $detalhesPedido['Valor_Frete'] = number_format($detalhesPedido['Valor_Frete'], 2, ',', '.');
    $detalhesPedido['Troco_Entrega'] = (float)$detalhesPedido['Troco_Entrega'];
    $detalhesPedido['Desconto_Real'] = number_format($detalhesPedido['Desconto_Real'], 2, ',', '.');
    $detalhesPedido['Taxa_Servico_Restaurante'] = number_format($detalhesPedido['Taxa_Servico_Restaurante'], 2, ',', '.');

    if(PAIS == 'BRA') {
        $data = explode("-", $detalhesPedido['Data_Venda']);
        $detalhesPedido['Data_Venda'] = "{$data[2]}/{$data[1]}/{$data[0]}";
    }

    $produtos = [];
    $getProdutos = $con->query("SELECT venda_produto.Id, produto.Titulo, venda_produto.Qtd, venda_produto.Preco, 
        venda_produto.Obs_Produto,
        venda_produto.Cancelado 
        FROM (SELECT Id,Qtd,Preco,Obs_Produto,Cancelado,Id_Venda FROM produto) as venda_produto 
        LEFT JOIN (SELECT Id, Titulo FROM produto) as produto ON produto.Id = venda_produto.Id_Produto 
        WHERE venda_produto.Id_Venda = '$idPedido'");
    
    while($produto = mysqli_fetch_assoc($getProdutos)) {
        // $produto['Titulo'] = utf8_encode($produto['Titulo']);
        // $produto['Obs_Produto'] = utf8_encode($produto['Obs_Produto']);
        $produto['Total'] = number_format($produto['Preco'] * $produto['Qtd'], 2, ',', '.');
        $produto['Preco'] = number_format($produto['Preco'], 2, ',', '.');    
        array_push($produtos, $produto);
    }

    $getBeneficiosPedido = $con->query("SELECT Valor_Total, Responsavel FROM ifood_beneficio_pedido WHERE Id_Venda = '{$detalhesPedido['Id']}'");
    $beneficiosPedidos = $getBeneficiosPedido->fetch_all(MYSQLI_ASSOC) ?? [];

    $pagamentos = [];
    $getTiposPagamentos = $con->query("SELECT tipo_pagamento.Titulo, venda_tipo_pagamento.Valor_Pago, venda_tipo_pagamento.Valor 
        FROM venda_tipo_pagamento 
        LEFT JOIN (SELECT Id, Titulo FROM tipo_pagamento) tipo_pagamento ON tipo_pagamento.Id = venda_tipo_pagamento.Id_Tipo_Pagamento WHERE 
        venda_tipo_pagamento.Id_Venda = '$idPedido'");
    
    while($tipoPagamento = mysqli_fetch_assoc($getTiposPagamentos)) {
        // $tipoPagamento['Titulo'] = utf8_encode($tipoPagamento['Titulo']);
        $tipoPagamento['Valor'] = (float)$tipoPagamento['Valor'];
        $tipoPagamento['Valor_Pago'] = (float)$tipoPagamento['Valor_Pago'];
        array_push($pagamentos, $tipoPagamento);
    }
    $detalhesPedido['produtos'] = $produtos;
    $detalhesPedido['pagamentos'] = $pagamentos;
    $detalhesPedido['beneficios'] = $beneficiosPedidos;
    echo json_encode($detalhesPedido);
}
else {
    header('HTTP/1.1 405 Method Not Allowed');
}