<?php
include "../../include/conecta.php";
include "../ver_cookie.php";
include "../funcoesPhp_novo.php";
include "../../integracao/ifood/load.php";
use Ifood\App\Model\Pedido;

if($_SERVER['REQUEST_METHOD'] == 'GET') {
    Pedido::polling();
    $cronometroEntrega = $con->query("SELECT Tipo_Cronometro_Entrega FROM opcao");
    $cronometroEntrega = $cronometroEntrega->fetch_assoc()['Tipo_Cronometro_Entrega'];
    $pedidos = [];
    $dataAtual = date("Y-m-d");
    $getPedidos = $con->query("SELECT venda.Id, 
        venda.Data_Cadastro, 
        venda.Data_Cadastro_Upd, 
        venda.Entrega_Comanda, 
        venda.Entregador_Ifood,
        venda.Origem, 
        venda.Data_Entrega, 
        venda.Hora_Entrega, 
        venda.Tipo_Entrega, 
        funcionario.titulo Entregador, 
        cliente.Titulo Cliente,
        venda.Lancamento, 
        venda.Numero_Comanda
        FROM (SELECT Id,Id_Entregador,Id_Cliente,Data_Cadastro, 
        Data_Cadastro_Upd, Entrega_Comanda, Entregador_Ifood,
        Origem, Data_Entrega, Hora_Entrega, Tipo_Entrega,
        Lancamento, Numero_Comanda ,Status_Comanda
        FROM venda
        WHERE venda.Status_Pedido = 'Confirmado' 
        AND venda.Data_Entrega >= '$dataAtual' 
        AND venda.Id_Unidade = '{$_COOKIE['Unidade']}' ) as venda 
        LEFT JOIN (SELECT Id,Titulo FROM funcionario) as funcionario ON funcionario.Id = venda.Id_Entregador 
        LEFT JOIN (SELECT Id,Titulo FROM cliente) as cliente ON cliente.Id = venda.Id_Cliente 
        WHERE ((venda.Origem = 'Ifood') OR (venda.Origem = 'Comanda' AND venda.Status_Comanda = 'Entrega')) 
        ORDER BY venda.Data_Entrega, venda.Hora_Entrega, venda.Lancamento");

    while($pedido = mysqli_fetch_assoc($getPedidos)) {
        $pedido['Entregador_Ifood'] = mb_convert_encoding($pedido['Entregador_Ifood'], 'UTF-8', 'ISO-8859-1');
        $pedido['Entregador'] = mb_convert_encoding($pedido['Entregador'], 'UTF-8', 'ISO-8859-1');
        $pedido['Cliente'] = mb_convert_encoding($pedido['Cliente'], 'UTF-8', 'ISO-8859-1');
        $pedido['Data_Cadastro'] = mb_convert_encoding(dataExtensoHora($pedido['Data_Cadastro']), 'UTF-8', 'ISO-8859-1');
        $pedido['Entrega_Comanda'] = mb_convert_encoding($pedido['Entrega_Comanda'], 'UTF-8', 'ISO-8859-1');
        
        if($cronometroEntrega == "Crescente") {
            $horaConfirmacao = new DateTime($pedido['Data_Cadastro_Upd']);
            $tempoDecorrido = $horaConfirmacao->diff(new DateTime());
            $diferencaHora = strlen($tempoDecorrido->h) == 1 ? "0$tempoDecorrido->h" : $tempoDecorrido->h;
            $diferencaMinutos = strlen($tempoDecorrido->i) == 1 ? "0$tempoDecorrido->i" : $tempoDecorrido->i;
            $diferencaSegundos = strlen($tempoDecorrido->s) == 1 ? "0$tempoDecorrido->s" : $tempoDecorrido->s;
            $pedido['Tempo_Decorrido'] = "$diferencaHora:$diferencaMinutos:$diferencaSegundos";
        }
        else {
            $dataEntrega = new DateTime("{$pedido['Data_Entrega']} {$pedido['Hora_Entrega']}");
            $tempoRestante = $dataEntrega->diff(new DateTime());
            $diasRestante = strlen($tempoRestante->d) == 1 ? "0$tempoRestante->d" : $tempoRestante->d;
            $horasRestante = strlen($tempoRestante->h) == 1 ? "0$tempoRestante->h" : $tempoRestante->h;
            $minutosRestante = strlen($tempoRestante->i) == 1 ? "0$tempoRestante->i" : $tempoRestante->i;
            $pedido['Tempo_Restante'] = "Faltam $diasRestante dias, $horasRestante horas e $minutosRestante minutos";
        }
        array_push($pedidos, $pedido);
    }
    echo json_encode($pedidos);
}
else {
    header("HTTP/1.1 405 Method Not Allowed");
}