<?php
include "../../include/conecta.php";
include "../ver_cookie.php";

if($_SERVER['REQUEST_METHOD'] == 'GET') {
    $dataAtual = date("Y-m-d");
    $entregasNaoLidas = $con->query("SELECT Id, Hora_Entregue, Hora_Confirmacao FROM venda WHERE Status_Pedido = 'Entregue' AND Notificacao_Ifood = 'No Lido' AND
        Id_Unidade = '{$_COOKIE['Unidade']}' AND Data_Entrega = '$dataAtual'");
    $entregasNaoLidas = $entregasNaoLidas->fetch_all(MYSQLI_ASSOC);
    $pedidosEntregues = [];
    $entregasMarcarLidas = array_column($entregasNaoLidas, 'Id');
    $entregasMarcarLidas = implode("','", $entregasMarcarLidas);

    foreach($entregasNaoLidas as $venda) {
        $horaEntregue = new DateTime($venda['Hora_Entregue']);
        $tempoDecorrido = $horaEntregue->diff(new DateTime($venda['Hora_Confirmacao']));
        $diferencaHora = strlen($tempoDecorrido->h) == 1 ? "0$tempoDecorrido->h" : $tempoDecorrido->h;
        $diferencaMinutos = strlen($tempoDecorrido->i) == 1 ? "0$tempoDecorrido->i" : $tempoDecorrido->i;
        $diferencaSegundos = strlen($tempoDecorrido->s) == 1 ? "0$tempoDecorrido->s" : $tempoDecorrido->s;

        array_push($pedidosEntregues, [
            'Id'=> $venda['Id'],
            'Cronometro'=> "$diferencaHora:$diferencaMinutos:$diferencaSegundos"
        ]);
    }
    $con->query("UPDATE venda SET Notificacao_Ifood = 'Lido' WHERE Status_Pedido = 'Entregue' AND Notificacao_Ifood = 'No Lido' AND
        Id_Unidade = '{$_COOKIE['Unidade']}' AND Id IN('$entregasMarcarLidas')");
    echo json_encode($pedidosEntregues);
}
else {
    header("HTTP/1.1 405 Method Not Allowed");
}