<?php
include_once '../include/conecta.php'; //Conecta com a nosso banco de dados MySQL
include_once 'menu_movimento.php';
include_once './ver_cookie.php'; //Verifica se a sesso est ativa
include_once './funcoesPhp.php'; //Inclue a pgina con todas as funes a ser usada.

if ($_SERVER['REQUEST_METHOD'] == "POST") {

    if ($_POST['Valor'] == '') $_POST['Valor'] = '0.00';

    $_POST['Valor'] = valor_banco($_POST['Valor']);

    $vl_caixa = $_POST['Valor'];
    $vl_despesa = -$_POST['Valor'];

    $vl_despesa = valor_banco($vl_despesa);

    //se lancar uma despesa contraria, entrar positiva no caixa
    if ($vl_caixa > '0') {
        $tipo_caixa = 'Saida';
    } else {
        $tipo_caixa = 'Entrada';
        $vl_caixa = -$vl_caixa;
        $vl_caixa = valor_banco($vl_caixa);
    }

    //pegando o id do caixa aberto do funcionario logado
    $sql = mysqli_query($con, "SELECT Id,Id_Unidade FROM caixa_operador_registro_restaurante WHERE
                            Data_Abertura='" . date('Y-m-d') . "'
                            AND Id_Usuario = '" . $_COOKIE["Id"] . "' ");
    $idCaixa = mysqli_fetch_assoc($sql);

    /* INSERINDO NA TABELA TEMPORARIA */
    $Codigo_Caixa = md5($idCaixa["Id"] . microtime());
    mysqli_query($con, "INSERT INTO caixa_operador_temp_restaurante
                                    (Id,
                                    Id_Caixa_Operador_Registro,
                                    Tipo_Pagamento,
                                    Id_Tipo_Pagamento,
                                    Valor,
                                    Id_Funcionario,
                                    Abertura,
                                    Data_Abertura,
                                    Obs,
                                    Tipo,
                                    Id_Unidade,
                                    " . $padraoCampos . ")
                                    values('$Codigo_Caixa',
                                    '" . $idCaixa["Id"] . "',
                                    'Dinheiro',
                                    '1',
                                    '" . $vl_despesa . "',
                                    '" . $_COOKIE["Id_Funcionario"] . "',
                                    '" . date("Y-m-d H:i:s") . "',
                                    '" . date("Y-m-d H:i:s") . "',
                                    '" . $_POST["Obs"] . "',
                                    '',
                                    '" . $idCaixa["Id_Unidade"] . "',
                                    " . $padraoPost . ")");


    //lanando retirada do caixa

    /* buscando o nome do funcionario */
    $tp_pgto = mysqli_query($con, "SELECT Titulo from funcionario WHERE Id='" . $_COOKIE["Id_Funcionario"] . "'");
    $tp_pgto = mysqli_fetch_assoc($tp_pgto);
    $func = $tp_pgto["Titulo"];


    $codcaixa = md5($_COOKIE["Id_Funcionario"] . microtime());
    mysqli_query($con, "INSERT INTO caixa
                                    ( Id,
                                    Data_Caixa,
                                    Tipo,
                                    Valor,
                                    Obs,
                                    Id_Atividade,
                                    Id_Centro_Custo,
                                    Tipo_Pagamento,
                                    Id_Tipo_Pagamento,
                                    Funcionario,
                                    Id_Funcionario,
                                    Origem,
                                    Id_Unidade,
                                    Id_Conta,
                                    Id_Externo,
                                    " . $padraoCampos . ")
                                    values(
                                    '$codcaixa',
                                    '" . date('Y-m-d') . "',
                                    '" . $tipo_caixa . "',
                                    '" . $vl_caixa . "',
                                    '" . $_POST['Obs'] . "',
                                    '" . $_POST["Atividade"] . "',
                                    '" . $_POST["Centro_Custo"] . "',
                                    'Dinheiro',
                                    '1',
                                    '" . $func . "',
                                    '" . $_COOKIE["Id_Funcionario"] . "',
                                    'Pdv',
                                    '" . $_COOKIE["Unidade"] . "',
                                    '1',
                                    '$Codigo_Caixa',
                                    " . $padraoPost . ")")
        or die("Erro no comando SQL:" . mysqli_error($con));

    echo "<script>window.open('impressao_despesa.php?id_despesa=" . $Codigo_Caixa . "','Imp Despesa','width=450,height=700,top=0,left=0,scrollbars=yes');</script>";
    echo "<script>window.close();</script>";
}
?>
<html>

<head>
    <script language="javascript" type="text/javascript" src="../js/jquery-3.3.1.min.js"></script>
    <script language="javascript" type="text/javascript">
        function idProduto(Codigo) {
            window.opener.document.getElementById("Codigo").value = Codigo;
            window.close();
        }
    </script>
    <style type="text/css">
        body {
            background-color: #163758;
            color: #fff;
            font-family: 'Segoe UI', Tahoma, Geneva, Verdana, sans-serif;
        }

        .titulo {
            text-align: center;
            border: 1px solid #fff;
            border-radius: 5px;
            background-color: #FF8C00;
            color: #000;
        }

        .subtitulo {
            font-size: 20px;
        }

        .btn {
            padding: 1% 2%;
            cursor: pointer;
            box-shadow: none;
        }

        .btn_cancelar {
            color: fff;
            background-color: #dd4b39;
            border: none;
            border-radius: 4px;
        }

        .btn_cancelar:hover {
            color: #fff;
            background-color: #c9302c;
            border-color: #ac2925;
        }

        .btn_cadastar {
            border: none;
            border-radius: 4px;
        }

        .btn_cadastar:hover {
            background-color: #c1bebe;
        }
    </style>
</head>

<body>
    <br>
    <div class="container">
        <div class="titulo">
            <center>
                <h1>Retirada</h1>
            </center>
        </div>
        <br>
        <form action="" method="post">
            <div align="center">
                <span class="subtitulo">Valor</span>
                <br>
                <input type="text" name="Valor" id="Valor" value="<?= valor_exibir($_POST['Valor']) ?>" class="money descricao" onblur="fazerValor(this.value, 'Valor')" style="width: 30%; height:6%;font-weight: bold; font-size:25px;">
            </div>
            <br>
            <div align="center">
                <span class="subtitulo">Obs</span>
                <br>
                <textarea name="Obs" id="Obs" value="<?= $_POST['Obs'] ?>" cols="90" rows="4" minlength="10"></textarea>
            </div>
            <br>
            <div align="center">
                <button class="btn btn_cadastar" type="submit" id="Cadastrar">Salvar</button>
                <button class="btn btn_cancelar" type="button" onclick="location.href='funcoes_mesa_novo.php?acao=entrar'">Voltar</button>
            </div>
        </form>
    </div>
</body>

</html>