<?php
include_once '../include/conecta.php'; //Conecta com a nosso banco de dados MySQL
ini_set('session.gc_maxlifetime', 60 * 120);
session_start();
//include_once '../include/ver_sessao.php'; //Verifica se a sesso est ativa
include_once '../include/funcoesPhp.php';
include_once '../menu_movimento.php';

//Atualizando o C_Produto dos itens
$conta = mysqli_query($con,"SELECT mesa_temp.Id,
                        produto.Descricao
                        FROM mesa_temp
                        INNER JOIN (SELECT Id,Descricao FROM produto) as produto ON produto.Id = mesa_temp.Id_Produto
                        WHERE Numero_Pedido='" . $_GET["numero_pedido"] . "' ");

while ($linha = mysqli_fetch_assoc($conta)) {
    mysqli_query($con,"UPDATE mesa_temp SET C_Produto='" . $linha["Descricao"] . "' WHERE Id='" . $linha["Id"] . "' ");
}


//deletando o registro da NFe se no tiver sido emitido.
if (CLIENTE_RAZAO_SOCIAL == 'Sim') {
    $nome = 'Razao_Social';
} else {
    $nome = 'Titulo';
}
$veri_venda = mysqli_query($con,"SELECT mesa_temp.Id,mesa_temp.Numero_Pedido,
                            mesa_temp.Protocolo,mesa_temp.Id_Unidade,
                            cliente.Destinatario,cfop.Cfop
                            FROM (SELECT Id,Numero_Pedido,Protocolo,Id_Unidade,Id_Cliente,Id_Cfop FROM mesa_temp) as mesa_temp
                            LEFT JOIN (SELECT Id, " . $nome . " as Destinatario FROM cliente) as cliente ON cliente.Id = mesa_temp.Id_Cliente
                            LEFT JOIN (SELECT Id,Cfop FROM cfop) as cfop ON cfop.Id = mesa_temp.Id_Cfop
                            WHERE mesa_temp.Numero_Pedido='" . $_GET["numero_pedido"] . "' ");
$veri_venda = mysqli_fetch_assoc($veri_venda);

//so entra se a nota nunca tiver side emitida
if ($veri_venda["Protocolo"] == '') {

    //pegando o  numero da nota se ja houver
    $veri_nfe = mysqli_query($con,"SELECT Id,Numero_Nota,Serie FROM nfe WHERE Id_Pedido = '" . $_GET["numero_pedido"] . "' ");
    $veri_nfe = mysqli_fetch_assoc($veri_nfe);

    //verificando se ja tem numero de nota pra esta venda
    if ($veri_nfe["Numero_Nota"] != '') {
        $Numero_Nota = $veri_nfe["Numero_Nota"];
        $Serie = $veri_nfe["Serie"];
    } else {

        $ultimoNumero = mysqli_query($con,"Select Numero_Nfce,Serie_Nfce,Tipo_Impressao from unidade WHERE Id = '" . $veri_venda["Id_Unidade"] . "' ");
        $ultimoNumero = mysqli_fetch_assoc($ultimoNumero);

        $Serie = $ultimoNumero["Serie_Nfce"];

        if (!$ultimoNumero["Numero_Nfce"]) {
            $Numero_Nota = 1;
        } else {
            $Numero_Nota = $ultimoNumero["Numero_Nfce"] + 1;
        }

        //atualizando o cadastro
        mysqli_query($con,"UPDATE unidade SET Numero_Nfce = '" . $Numero_Nota . "' WHERE Id = '" . $veri_venda["Id_Unidade"] . "' ");
    } //FIM verificando se ja tem numero de nota pra esta venda
    //deletando pra gerar uma nfe com novos dados
    mysqli_query($con,"DELETE FROM nfe WHERE Id_Pedido='" . $_GET["numero_pedido"] . "' ");
    mysqli_query($con,"DELETE FROM nfe_pedido WHERE Id='" . $_GET["numero_pedido"] . "' ");
    mysqli_query($con,"DELETE FROM nfe_pedido_produto WHERE Id_Pedido='" . $_GET["numero_pedido"] . "' ");


    $id_nfe = md5($_GET["id_pdv"] . microtime());

    //gerando o cabecalho da NFCe
    mysqli_query($con,"INSERT INTO nfe ( Id,
                        Serie,
                        Numero_Nota,
                        Natureza,
                        Tipo,
                        Data_Nfe,
                        Hora_Nfe,
                        Forma_Emissao,
                        Finalidade_Emissao,
                        Tipo_Impressao,
                        Status,
                        Id_Pedido,
                        Lancamento,
                        Info_Fisco,
                        Info_Contribuinte,
                        Frete,
                        Id_Transportadora,
                        Ref_Nfe,
                        Horario_Verao,
                        Exibir_Financeiro,
                        Operacao,
                        Consumidor_Final,
                        Presenca,
                        Natureza_Autorizacao,
                        Cpf_Cnpj,
                        Id_Unidade,
                        modECF,
                        nECF,
                        nCOO,
                        Valor_Nfe,
                        Destinatario,
                        Cfop,
                        Tipo_Nfe,
                        Base_Icms_Pis_Cofins,
                        " . $padraoCampos . ")
                        values('" . $id_nfe . "',
                        '" . $Serie . "',
                        '" . $Numero_Nota . "',
                        '',
                        '1',
                        '" . date("Y-m-d") . "',
                        '" . date("H:i") . "',
                        '1',
                        '1',
                        '4',
                        'Ativa',
                        '" . $veri_venda["Numero_Pedido"] . "',
                        '" . $veri_venda["Numero_Pedido"] . "',
                        '',
                        '',
                        '',
                        '',
                        '',
                        'No',
                        'No',
                        '1',
                        '1',
                        '1',
                        '',
                        '',
                        '" . $veri_venda["Id_Unidade"] . "',
                        '',
                        '',
                        '',
                        '" . $veri_venda['Total_Pagar'] . "',
                        '" . $veri_venda['Destinatario'] . "',
                        '" . $veri_venda['Cfop'] . "',
                        'NFCe',
                        '".BASE_ICMS_PIS_COFINS."',
                        " . $padraoPost . ")");


    mysqli_query($con,"UPDATE mesa_temp SET NF='Sim' WHERE Numero_Pedido='" . $_GET["numero_pedido"] . "' ");

    /* inserindo agora os produtos relacionados */
    $delete = mysqli_query($con,"Select mesa_temp.Id,
                              mesa_temp.Id_Usuario,
                              mesa_temp.Id_Usuario_Upd,
                              mesa_temp.Data_Cadastro,
                              mesa_temp.Data_Cadastro_Upd,
                              mesa_temp.Data_Movimento,
                              mesa_temp.Data_Movimento as Data_Conclusao,
                              mesa_temp.Id_Vendedor,
                              mesa_temp.Id_Cliente,
                              mesa_temp.Data_Movimento as Data_Pagamento,
                              mesa_temp.Numero_Pedido,
                              mesa_temp.Id_Unidade,
                              mesa_temp.Id_Cfop
                              from mesa_temp
                              WHERE mesa_temp.Numero_Pedido='" . $_GET["numero_pedido"] . "'
                              AND mesa_temp.Cancelado='No' ")
            or die("Erro no SQL: " . mysqli_error($con));

    while ($chave = mysqli_fetch_assoc($delete)) {

        $Id = $chave["Numero_Pedido"];
        $Id_Usuario = $chave["Id_Usuario"];
        $Id_Usuario_Upd = $chave["Id_Usuario_Upd"];
        $Data_Cadastro = $chave["Data_Cadastro"];
        $Data_Cadastro_Upd = $chave["Data_Cadastro_Upd"];
        $Data_Movimento = $chave["Data_Movimento"];
        $Data_Conclusao = $chave["Data_Conclusao"];
        $Id_Vendedor = $chave["Id_Vendedor"];
        $Id_Cliente = $chave["Id_Cliente"];
        $Data_Pagamento = $chave["Data_Pagamento"];

        $Numero_Pedido = $chave["Numero_Pedido"];
        $Id_Unidade = $chave["Id_Unidade"];
        $Id_Cfop = $chave["Id_Cfop"];
    }


    $sum_pgto = mysqli_query($con,"Select SUM(mesa_tipo_pagamento.Valor) as Valor
                            from mesa_tipo_pagamento
                            where mesa_tipo_pagamento.Numero_Pedido='".$_GET["numero_pedido"]."' ")
            or die("Erro no SQL: " . mysqli_error($con));
    $sum_pgto = mysqli_fetch_assoc($sum_pgto);
    
    mysqli_query($con,"UPDATE nfe SET Valor_Nfe='" . $sum_pgto['Valor'] . "' WHERE Id='".$id_nfe."' ");
    
    $valor_pgto = mysqli_query($con,"Select mesa_tipo_pagamento.Id,
                            mesa_tipo_pagamento.Valor_Total as Valor_Original,
                            mesa_tipo_pagamento.Valor_Pago as Valor_Pago,
                            mesa_tipo_pagamento.Valor_Desconto as Desconto_Total
                            from mesa_tipo_pagamento
                            where mesa_tipo_pagamento.Numero_Pedido='" . $_GET["numero_pedido"] . "' LIMIT 1 ")
            or die("Erro no SQL: " . mysqli_error($con));
    $valor_pgto = mysqli_fetch_assoc($valor_pgto);

    mysqli_query($con,"INSERT INTO nfe_pedido (Id,
                                      Id_Usuario,
                                      Id_Usuario_Upd,
                                      Data_Cadastro,
                                      Data_Cadastro_Upd,
                                      Data_Pedido,
                                      Data_Conclusao,
                                      Id_Funcionario,
                                      Id_Cliente,
                                      Id_Tipo_Pagamento,
                                      Status,
                                      Data_Pagamento,
                                      Valor_Original,
                                      Valor_Pago,
                                      Lancamento,
                                      Id_Unidade,
                                      Id_Cfop,
                                      Desconto,
                                      Desconto_Real,
                                      Id_Nfe,
                                      Id_Transportadora,
                                      Valor_Frete,
                                      Frete,
                                      Tipo_Frete,
                                      Despesa,
                                      Qtd_Vol,
                                      Especie_Vol,
                                      Marca_Vol,
                                      Numero_Vol,
                                      Tipo,
                                      Obs,
                                      Endereco_Entrega,
                                      Rua,
                                      Num,
                                      Complemento,
                                      Bairro,
                                      Id_Cidade,
                                      Estado,
                                      Peso_Bruto,
                                      Peso_Liquido,
                                      Placa,
                                      Uf_Placa,
                                      UFSaidaPais,
                                      xLocEmbarq,
                                      xLocDespacho)
                                    values('" . $Id . "',
                                    '" . $Id_Usuario . "',
                                    '" . $Id_Usuario_Upd . "',
                                    '" . $Data_Cadastro . "',
                                    '" . $Data_Cadastro_Upd . "',
                                    '" . $Data_Movimento . "',
                                    '" . $Data_Conclusao . "',
                                    '" . $Id_Vendedor . "',
                                    '" . $Id_Cliente . "',
                                    '" . $chave["Id_Tipo_Pagamento"] . "',
                                    'Ativa',
                                    '" . $chave["Data_Pagamento"] . "',
                                    '" . $valor_pgto["Valor_Original"] . "',
                                    '" . $valor_pgto["Valor_Pago"] . "',
                                    '" . $Numero_Pedido . "',
                                    '" . $Id_Unidade . "',
                                    '" . $Id_Cfop . "',
                                    '" . $chave["Desconto"] . "',
                                    '" . $valor_pgto["Desconto_Total"] . "',
                                    '" . $id_nfe . "',
                                    '" . $chave["Id_Transportadora"] . "',
                                    '" . $chave["Valor_Frete"] . "',
                                    '" . $chave["Frete"] . "',
                                    '" . $chave["Tipo_Frete"] . "',
                                    '" . $chave["Despesa"] . "',
                                    '" . $chave["Qtd_Vol"] . "',
                                    '" . $chave["Especie_Vol"] . "',
                                    '" . $chave["Marca_Vol"] . "',
                                    '" . $chave["Numero_Vol"] . "',
                                    'Mesa_Produto',
                                    '" . $chave["Obs"] . "',
                                    '" . $chave["Endereco_Entrega"] . "',
                                    '" . $chave["Rua"] . "',
                                    '" . $chave["Num"] . "',
                                    '" . $chave["Complemento"] . "',
                                    '" . $chave["Bairro"] . "',
                                    '" . $chave["Id_Cidade"] . "',
                                    '" . $chave["Estado"] . "',
                                    '" . $chave["Peso_Bruto"] . "',
                                    '" . $chave["Peso_Liquido"] . "',
                                    '" . $chave["Placa"] . "',
                                    '" . $chave["Uf_Placa"] . "',
                                    '" . $chave["UFSaidaPais"] . "',
                                    '" . $chave["xLocEmbarq"] . "',
                                    '" . $chave["xLocDespacho"] . "')")
            or die("Erro no comando SQL:" . mysqli_error($con));



##<== Rateando o desconto do pe de nota ==>##
    //pegando o valor total dos itens
    $Valor_Total_Venda = $valor_pgto["Valor_Original"];

    //pegando o valor do desconto no pe de nota em real
    $desc_pe_nota = $valor_pgto["Desconto_Total"];

    $Desc_Rat = $desc_pe_nota / $Valor_Total_Venda; //valor rateado geral
    $Desc_Rat = number_format($Desc_Rat, 10, ",", "."); //marreta
    //formatando o valor correto para ficar com 3 casas decimais
    $Desc_Rat = str_replace('.', '', $Desc_Rat);
    $Desc_Rat = str_replace(',', '.', $Desc_Rat);

    //dando o desconto para cada item
    $calc_frete_geral = mysqli_query($con,"SELECT Id,
                        Preco, Qtd
                        FROM mesa_temp
                        WHERE Numero_Pedido='" . $_GET["numero_pedido"] . "' AND Cancelado = 'No'
                        ORDER BY Qtd DESC ");

    while ($linha = mysqli_fetch_assoc($calc_frete_geral)) {

        $preco_por_item = ($linha['Qtd'] * $linha['Preco']);

        $desc_g = $preco_por_item * $Desc_Rat;
        $desc_g = valor_exibir($desc_g);
        $desc_g = valor_banco($desc_g);

        //atualizando o desconto em todos os itens
        mysqli_query($con,"UPDATE mesa_temp SET Desconto_Real_Pe_Nota = " . $desc_g . " WHERE Id = '" . $linha["Id"] . "' ");
    }

    //selecionando o ultimo item
    $u_item = mysqli_query($con,"SELECT Id FROM mesa_temp
                            WHERE Numero_Pedido='" . $_GET["numero_pedido"] . "'
                            AND Cancelado = 'No'
                            ORDER BY Qtd DESC LIMIT 1 ");
    $u_item = mysqli_fetch_assoc($u_item);

    //martelada no ultimo item
    $mart_frete = mysqli_query($con,"SELECT SUM(Desconto_Real_Pe_Nota) as Valor_Total_Desconto
                        FROM mesa_temp
                        WHERE Numero_Pedido='" . $_GET["numero_pedido"] . "'
                        AND Id <> '" . $u_item["Id"] . "' AND Cancelado = 'No' ");
    $mart_frete1 = mysqli_fetch_assoc($mart_frete);

    $v_final_desc = $desc_pe_nota - $mart_frete1["Valor_Total_Desconto"];
    $v_final_desc = valor_exibir($v_final_desc);
    $v_final_desc = valor_banco($v_final_desc);
    mysqli_query($con,"UPDATE mesa_temp SET Desconto_Real_Pe_Nota = " . $v_final_desc . " WHERE Id = '" . $u_item["Id"] . "' ");

##<== Fim Rateando o desconto do pe de nota ==>##

    /* inserindo agora os produtos relacionados */
    $delete = mysqli_query($con,"Select mesa_temp.Id,
                              mesa_temp.Numero_Pedido as Id_Pdv,
                              mesa_temp.Id_Produto,
                              mesa_temp.Preco,
                              mesa_temp.Qtd,
                              mesa_temp.Preco_Custo,
                              mesa_temp.Icms,
                              mesa_temp.Icms_Sub,
                              mesa_temp.Mva,
                              mesa_temp.Reducao,
                              mesa_temp.Id_Unidade,
                              mesa_temp.Id_Cfop,
                              mesa_temp.ST_Icms,
                              mesa_temp.Id_Unidade,
                              mesa_temp.Data_Cadastro,
                              mesa_temp.Ibpt,
                              mesa_temp.C_Produto,
                              mesa_temp.Aliquota_Pis,
                              mesa_temp.Aliquota_Cofins,
                              mesa_temp.CST_Pis,
                              mesa_temp.CST_Cofins,
                              mesa_temp.Desconto_Real_Pe_Nota
                              from mesa_temp
                              left join (SELECT Id,Tipo_Produto FROM produto) as produto ON produto.Id = mesa_temp.Id_Produto
                              where mesa_temp.Numero_Pedido='" . $_GET["numero_pedido"] . "'
                              AND produto.Tipo_Produto = 'P'
                              AND mesa_temp.Id_Unidade <> 'KIT'
                              AND mesa_temp.Cancelado='No'
                              ORDER BY mesa_temp.Data_Cadastro ");

    while ($linha = mysqli_fetch_assoc($delete)) {

        mysqli_query($con,"INSERT INTO nfe_pedido_produto (Id,
                                    Data_Cadastro,
                                    Id_Pedido,
                                    Id_Produto,
                                    Preco,
                                    Qtd,
                                    Desconto,
                                    Desconto_Real,
                                    Preco_Custo,
                                    Frete,
                                    Despesa,
                                    Icms,
                                    Icms_Sub,
                                    Mva,
                                    Reducao,
                                    Ipi,
                                    Id_Nfe,
                                    Id_Cfop,
                                    ST_Icms,
                                    vBCSTRet,
                                    vICMSSTRet,
                                    vICMSDeson,
                                    motDesICMS,
                                    Id_Unidade,
                                    Desconto_Real_Pe_Nota,
                                    Ibpt,
                                    C_Produto,
                                    Lote,
                                    Data_Validade,
                                    Aliquota_Pis,
                                    Aliquota_Cofins,
                                    CST_Pis,
                                    CST_Cofins,
                                    xPed,
                                    nItemPed)
                                    values('" . $linha["Id"] . "',
                                    '" . $linha["Data_Cadastro"] . "',
                                    '" . $linha["Id_Pdv"] . "',
                                    '" . $linha["Id_Produto"] . "',
                                    '" . $linha["Preco"] . "',
                                    '" . $linha["Qtd"] . "',
                                    '" . $linha["Desconto"] . "',
                                    '" . $linha["Desconto_Real"] . "',
                                    '" . $linha["Preco_Custo"] . "',
                                    '" . $linha["Frete"] . "',
                                    '" . $linha["Despesa"] . "',
                                    '" . $linha["Icms"] . "',
                                    '" . $linha["Icms_Sub"] . "',
                                    '" . $linha["Mva"] . "',
                                    '" . $linha["Reducao"] . "',
                                    '" . $linha["Ipi"] . "',
                                    '" . $id_nfe . "',
                                    '" . $linha["Id_Cfop"] . "',
                                    '" . $linha["ST_Icms"] . "',
                                    '" . $linha["vBCSTRet"] . "',
                                    '" . $linha["vICMSSTRet"] . "',
                                    '" . $linha["vICMSDeson"] . "',
                                    '" . $linha["motDesICMS"] . "',
                                    '" . $linha["Id_Unidade"] . "',
                                    '" . $linha["Desconto_Real_Pe_Nota"] . "',
                                    '" . $linha["Ibpt"] . "',
                                    '" . $linha["C_Produto"] . "',
                                    '" . $linha["Lote"] . "',
                                    '" . $linha["Data_Validade"] . "',
                                    '" . $linha["Aliquota_Pis"] . "',
                                    '" . $linha["Aliquota_Cofins"] . "',
                                    '" . $linha["CST_Pis"] . "',
                                    '" . $linha["CST_Cofins"] . "',
                                    '" . $linha["xPed"] . "',
                                    '" . $linha["nItemPed"] . "')")
                or die("Erro no comando SQL:" . mysqli_error($con));
    }

    mysqli_query($con,"UPDATE nfe_pedido SET Endereco_Entrega='No' WHERE Endereco_Entrega='' AND Id_Nfe='".$id_nfe."' ");
    
    echo "<script>window.open('../nfce/gerar_xml_nfce.php?id_nfe=".$id_nfe."','Emitir','width=600,height=800,top=0,left=0,scrollbars=yes');</script>";
    logUsuario($_SERVER['REMOTE_ADDR'], $_COOKIE['Login'], $_COOKIE['Email'], $_COOKIE['Unidade'], "NFCe", "Cadastro", $Numero_Nota);
} else {

    ##reimprimindo a NFCe
    $veri_nfe = mysqli_query($con,"SELECT Id FROM nfe WHERE Id_Pedido ='".$_GET["numero_pedido"]."' ");
    $veri_nfe = mysqli_fetch_assoc($veri_nfe);

    echo "<script>window.open('../nfce/reimprimir_nfce.php?id_nfe=".$veri_nfe["Id"]."','Reimprimir','width=600,height=800,top=0,left=0,scrollbars=yes');</script>";
} //fim da verificacao de protocolo


echo "<script>window.close();</script>";
echo "<script>location.href='list_mesa.php?acao=entrar'</script>";
?>