<?php
include_once '../include/conecta.php'; //Conecta com a nosso banco de dados MySQL
include_once 'menu_movimento.php';
include_once 'ver_cookie.php'; //Verifica se a sesso est ativa
include_once 'funcoesPhp.php'; //Inclue a pgina con todas as funes a ser usada.

 $usuario = listar("SELECT mesa_temp.Id,
                            mesa_temp.Id_Produto,
                            mesa_temp.Preco,
                            mesa_temp.Qtd,
                            mesa_temp.Saiu_Para_Mesa,
                            mesa_temp.Ordem,
                            mesa_temp.Ordem_Dia,
                            mesa_temp.Data_Cadastro,
                            produto.Titulo as 'Produto',
                            vendedor.Titulo as Vendedor
                            FROM mesa_temp
                            left join (SELECT Id,Titulo,Codigo FROM produto) as produto ON produto.Id = mesa_temp.Id_Produto
                            left join (SELECT Id,Titulo FROM funcionario) as vendedor ON vendedor.Id = mesa_temp.Id_Vendedor
                            WHERE mesa_temp.Id_Mesa='".$_GET["mesa"]."'
                            and mesa_temp.Numero_Pedido='".$_GET["numero_pedido"]."'
                            AND mesa_temp.Cancelado = 'No'
                            order by mesa_temp.Data_Cadastro ");

?>
<html>
<head>
<title>Mesas</title>
<link rel="stylesheet" type="text/css" href="../estilo/<?php echo SKIN ;?>/tabela_imp.css" />
<script type="text/javascript" language="javascript" src="../js/jquery.js"></script>
<?php include '../include/script_cabeca.php'; ?>
<script type="text/javascript" language="javascript" src="../js/script.js"></script>
<?php if($_GET["impressao"]!="3"){ ?>
<script type="text/javascript" language="javascript">
  window.onload = function(){
    //window.print();
    //window.close();
  };
</script>
<?php } ?>
<style type="text/css">
    .razao{
        font-size: 12px;
    }
</style>
</head>
<body>

    <table width="100%">
    <?php
                    if(!$_GET["Id_Unidade_Usuario"]){
                            $_GET["Id_Unidade_Usuario"] = $_COOKIE["Unidade"];
                    }
                    $empresa = listar("Select * from unidade where Id = '".$_GET["Id_Unidade_Usuario"]."' ");
    ?>
            <tr>
                    <td width="50%" class="razao" align="center">
                        <?php echo strtoupper($empresa[0]["Titulo"]);?><br>
                        <?php echo $empresa[0]["Rua"].", ".$empresa[0]["Numero"];?><br>
                        <?php echo $empresa[0]["Id_Cidade"].", ".$empresa[0]["Estado"]." - ".$empresa[0]["Cep"];?><br>
                        <?php echo $empresa[0]["Fone1"];?><br>
                        <?php
                        if($empresa[0]["Fone2"]){
                            echo "Fax: ".$empresa[0]["Fone2"];
                        }
                        ?>
                    </td>
            </tr>
        <tr>
            <td align="center">
                <table width="100%" class="razao">
                    <tr>
                        <td align="center"># <?php echo $usuario[0]["Ordem_Dia"] ?></td>
                        <td align="center">TABLE <?php echo $_GET["mesa"] ?></td>
                        <td align="center">WAITER: <?php echo $usuario[0]["Vendedor"] ?></td>
                    </tr>
                </table>
            </td>
        </tr>
        <tr>
            <td>
                <table width="100%" class="razao">
                    <tr>
                        <td>Qtd</td>
                        <td>Description</td>
                        <td>Waiter</td>
                        <td>Date</td>
                    </tr>
                <?php
                    $y=1;
                   foreach($usuario as $chave){
                ?>
                    <tr>
                        <td><?php echo $chave["Qtd"]?></td>
                        <td><?php echo substr($chave["Produto"],0,20)?></td>
                        <td><?php echo $chave["Vendedor"];?></td>
                        <td><?php echo date("m/d/Y h:i:s A", strtotime($chave["Data_Cadastro"]));?></td>
                    </tr>
                <?php
 $compl = listar("SELECT mesa_temp_compl.Id,
                            mesa_temp_compl.Id_Produto,
                            mesa_temp_compl.Preco,
                            mesa_temp_compl.Qtd,
                            produto_compl.Titulo as 'Produto'
                            FROM mesa_temp_compl
                            left join (SELECT Id,Titulo,Codigo FROM produto WHERE Tipo_Produto = 'C') as produto_compl ON produto_compl.Id = mesa_temp_compl.Id_Produto_Compl
                            WHERE mesa_temp_compl.Id_Mesa='".$_GET["mesa"]."'
                            and mesa_temp_compl.Numero_Pedido='".$_GET["numero_pedido"]."'
                            AND mesa_temp_compl.Id_Produto = '".$chave["Id_Produto"]."'
                            AND mesa_temp_compl.Ordem = '".$chave["Ordem"]."'
                            AND Preco > '0'
                            order by mesa_temp_compl.Data_Cadastro ");
                            
                   foreach($compl as $valor){
                ?>
                    <tr>
                        <td>->></td>
                        <td><?php echo substr($valor["Produto"],0,20)?></td>
                        <td align="right"><?php echo $valor["Vendedor"];?></td>
                        <td align="right"><?php echo valor_exibir($valor["Qtd"]*$valor["Preco"]);?></td>
                    </tr>
                <?php
                    $ValTotalCompl+= ($valor["Qtd"]*$valor["Preco"]);
                   } 
                   $ValTotal+= ($chave["Qtd"]*$chave["Preco"]);
                   $y++;}
                ?>
                    
                    <?php
                    
##-- calculando o valor que nao tem taxa --##
$total_prod1 = mysqli_query($con,"SELECT mesa_temp.Preco,
                            mesa_temp.Qtd
                            FROM mesa_temp
                            INNER JOIN (SELECT Id FROM produto WHERE Ex_Tipi='Sim') as produto ON produto.Id = mesa_temp.Id_Produto
                            WHERE mesa_temp.Id_Mesa='".$_GET["mesa"]."'
                            and mesa_temp.Numero_Pedido='".$_GET["numero_pedido"]."'
                            AND mesa_temp.Cancelado = 'No' ");

$total_compl1 = mysqli_query($con,"SELECT mesa_temp_compl.Preco,
                            mesa_temp_compl.Qtd
                            FROM mesa_temp_compl
                            INNER JOIN (SELECT Id FROM produto WHERE Ex_Tipi='Sim') as produto ON produto.Id = mesa_temp_compl.Id_Produto
                            WHERE mesa_temp_compl.Id_Mesa='".$_GET["mesa"]."'
                            and mesa_temp_compl.Numero_Pedido='".$_GET["numero_pedido"]."'
                            AND mesa_temp_compl.Cancelado = 'No' ");

while($chave1 = mysqli_fetch_assoc($total_prod1)){
    $vtotalSoTaxa+=$chave1["Preco"]*$chave1["Qtd"];
}
while($chave21 = mysqli_fetch_assoc($total_compl1)){
    $vtotalSoTaxa+=$chave21["Preco"]*$chave21["Qtd"];
}

    
##-- calculando o valor que nao tem taxa --##

                            if($usuario[0]["Desconto"]>0){
                               $de = ($vtotalSoTaxa) * ($usuario[0]["Desconto"]/100);
                               //echo valor_exibir($de);
                               $desc_total_taxa = $de;
                            }
                            if($usuario[0]["Desconto_Real"]>0){
                                //echo valor_exibir($usuario[0]["Desconto_Real"]);
                                $desc_total_taxa = $usuario[0]["Desconto_Real"];
                            }
                            if( ($usuario[0]["Desconto"]==0) && ($usuario[0]["Desconto_Real"]==0) ){
                                //echo valor_exibir(0);
                                $desc_total_taxa = '0';
                            }
                            $desc_total_taxa = valor_exibir($desc_total_taxa);
                            $desc_total_taxa = valor_banco($desc_total_taxa);

                    
                        $tx_ = mysqli_query($con,"SELECT Gasolina FROM unidade WHERE Id = '".$_COOKIE["Unidade"]."' ");
                        $taxa_ = mysqli_fetch_assoc($tx_);
                        
                    ?>
                    <?php 
                        $purchase = ( ( ($vtotalSoTaxa)-$desc_total_taxa ) * ($taxa_["Gasolina"]/100));
                        $purchase = valor_exibir($purchase);
                        $purchase = valor_banco($purchase);
                    ?>
                </table>
            </td>
        </tr>
        <tr>
            <td align="center">
                <table width="100%" class="razao">
                    <tr>
                        <td>ITEMS: <?php echo $y; ?></td>
                        <td>TOTAL</td>
                        <td align="right"><?php echo valor_exibir($ValTotal+$ValTotalCompl+$purchase);?></td>
                    </tr>
                </table>
            </td>
        </tr>
    </table>

<br>
</body>
</html>