<?php
include_once "../include/conecta.php"; //Conecta com a nosso banco de dados MySQL
include_once '../include/funcoesPhp.php'; //Inclue a pgina con todas as funes a ser usada.
ini_set('session.gc_maxlifetime', 60 * 120);
session_start();
include_once "../ver_cookie.php"; //Verifica se a sesso est ativa */
if (isset($_GET['venda'])) {
    $idVenda = addslashes($_GET['venda']);
} else {
    $mesa = addslashes($_GET['mesa']);
    $idVenda = $con->query("SELECT venda.Id 
    FROM (SELECT Id,Id_Mesa FROM venda) as venda 
    INNER JOIN (SELECT Id FROM mesa_cadastro) as mesa_cadastro ON venda.Id_Mesa = mesa_cadastro.Id 
    WHERE mesa_cadastro.Id='$mesa'");
    $idVenda = mysqli_fetch_assoc($idVenda)['Id'];
}

$venda = $con->query("SELECT venda.Lancamento, venda.Status, venda.Data_Venda, venda.Valor_Original, venda.Valor_Pago, 
venda.Desconto, venda.Imprimir_Cancelado,
venda.Desconto_Real, venda.Obs, venda.Id_Cliente, venda.Aplicar_Taxa_Servico_Restaurante, 
venda.Taxa_Servico_Restaurante, venda.Aplicar_Taxa_Couvert_Artistico,
venda.Taxa_Couvert_Artistico, venda.Numero_Comanda, venda.Status_Comanda, venda.Local_Pedido, 
venda.Data_Entrega, venda.Entrega_Comanda, venda.Hora_Entrega,
venda.Obs, 
cliente.Titulo Cliente, cliente.Email, cliente.Natureza, cliente.Cpf_Cnpj, cliente.Endereco, cliente.Cep,
cliente.Bairro, cliente.Cidade, cliente.Estado,
cliente.Fone1, cliente.Obs Obs_Cliente, 
funcionario.Titulo Funcionario,
funcionario.Titulo Entregador, 
mesa_cadastro.Titulo nomeMesa
FROM (SELECT Id,Id_Mesa,Id_Cliente,Id_Entregador,Lancamento, Status, Data_Venda, Valor_Original, Valor_Pago, 
Desconto, Imprimir_Cancelado,Desconto_Real, Obs, Aplicar_Taxa_Servico_Restaurante, 
Taxa_Servico_Restaurante, Aplicar_Taxa_Couvert_Artistico,
Taxa_Couvert_Artistico, Numero_Comanda, Status_Comanda, Local_Pedido, Data_Entrega, Entrega_Comanda, Hora_Entrega,Obs FROM venda) as venda
LEFT JOIN (SELECT Id,Titulo FROM mesa_cadastro) as mesa_cadastro ON mesa_cadastro.Id = venda.Id_Mesa
LEFT JOIN (SELECT Id,Titulo, Email, Natureza, Cpf_Cnpj, Endereco, Cep,
Bairro, Cidade, Estado,Fone1, Obs FROM cliente) as cliente ON cliente.Id = venda.Id_Cliente
LEFT JOIN (SELECT Id,Titulo FROM funcionario) as funcionario ON funcionario.Id = venda.Id_Entregador 
WHERE venda.Id = '$idVenda'");
$venda = mysqli_fetch_assoc($venda);
$dataVenda = explode("-", $venda['Data_Venda']);
$venda['Data_Venda'] = $dataVenda[2] . "/" . $dataVenda[1] . "/" . $dataVenda[0];
$subtotal = 0;
$total = 0;
?>
<html>
<head>
    <title>Order</title>
    <link rel="stylesheet" type="text/css" href="../estilo/<?php echo SKIN; ?>/tabela_imp.css" />
    <style type="text/css">
    .razao {
        font-size: 12px;
    }
    </style>
</head>
<body>
    <table width="100%">
        <?php
        $empresa = $con->query("SELECT * FROM unidade WHERE Id = '" . $_COOKIE["Unidade"] . "'");
        $empresa = mysqli_fetch_assoc($empresa);
        ?>
        <tr>
            <td align="right">
                <table width="100%">
                    <tr>
                        <td width="40%">
                            <?php
                            $cam_arq = file_exists("../unidade/foto/" . $empresa["Logo"] . "") ? "../unidade/foto/" . $empresa["Logo"] :
                                "../../unidade/foto/" . $empresa["Logo"]
                            ?>
                            <img src="<?= $cam_arq; ?>" title="Logo" alt="Logo" border="0" width="140px"
                                height="auto" />
                        </td>
                        <td width="50%" class="razao" align="left">
                            <?= strtoupper($empresa["Titulo"]); ?><br>
                            <?= $empresa["Rua"] . ", " . $empresa["Numero"] . ', ' . $empresa["Bairro"]; ?><br>
                            <?= $empresa["Cidade"] . ", " . $empresa["Estado"] . " - " . $empresa["Cep"]; ?><br>
                            Fone: <?= $empresa["Fone1"]; ?><br>
                            <?php
                            if ($empresa["Fone2"]) {
                                echo "Fone 2: " . $empresa["Fone2"];
                            }
                            ?>
                        </td>
                    </tr>

                </table>
            </td>
        </tr>
        <tr>
            <td align="center" style="background-color:#000000;">
                <font color="#FFFFFF">
                    Impresso Cozinha
                </font>
            </td>
        </tr>

        <tr>
            <td align="">
                <table width="100%" class="razao">
                    <tr>
                        <td align="left"><b>N Pedido</b></td>
                        <td align="right"><?= ($venda["Lancamento"]) ?></td>
                    </tr>
                    <tr>
                        <td align="left"><b>N Mesa</b></td>
                        <td align="right"><?= $venda["nomeMesa"] ?></td>
                    </tr>
                    <tr>
                        <td align="left"><b>Data</b></td>
                        <td align="right"><?= $venda["Data_Venda"] ?></td>
                    </tr>
                    <?php if (CLIENTE_EMAIL == 'piattigastronomia' || CLIENTE_EMAIL == 'thevillefit' || CLIENTE_EMAIL == 'transamerica' || CLIENTE_EMAIL == 'gw') { ?>
                        <tr>
                            <td><b>Local Pedido</b></td>
                            <td align="right"><?= $venda["Local_Pedido"] ?></td>
                        </tr>
                    <?php } ?>
                </table>
            </td>
        </tr>
    </table>

    <tr>
        <td>
            <table width="100%" class="razao">
                <tr>
                    <td colspan="8" width="100%" align="left" style="background-color:#000000;">
                        <font color="#FFFFFF">
                            Produtos
                        </font>
                    </td>
                </tr>
                <tr>
                    <td colspan="8"><b>Item</b></td>
                </tr>
                <?php
                $impresso = isset($_GET['venda']) ? 'No' : 'Sim';
                $venda_produto = $con->query("SELECT venda_produto.Id, venda_produto.Preco, venda_produto.Qtd, 
                venda_produto.Desconto_Real,
                venda_produto.Desconto, venda_produto.Obs_Produto, 
                produto.Titulo Produto, produto.Descricao, produto.Codigo, produto.Medida,
                venda_produto.Data_Cadastro 
                FROM (SELECT Id, Preco, Qtd, Desconto_Real, Desconto, Obs_Produto,Data_Cadastro,Id_Venda,Cancelado,Impresso_Cozinha FROM venda_produto) as venda_produto 
                LEFT JOIN (SELECT Id,Titulo, Descricao, Codigo, Medida,Cozinha FROM produto) as produto ON produto.Id = venda_produto.Id_Produto 
                WHERE venda_produto.Id_Venda = '$idVenda' 
                AND venda_produto.Cancelado = 'No' 
                AND produto.Cozinha = 'Sim' AND
                venda_produto.Impresso_Cozinha = '$impresso'");
                while ($produto = mysqli_fetch_assoc($venda_produto)) { ?>
                    <tr>
                        <td colspan="8" style="font-size: 14px;"><?= $produto["Codigo"] . '-' . $produto["Produto"]; ?></td>
                    </tr>
                    <tr>
                        <td align="left" style="<?=$produto["Obs_Produto"] == '' ? 'padding-bottom:10px' : ''?>">
                            <b>Qtd:</b> <?= $produto["Qtd"]; ?>
                        </td>
                        <td align="right" style="<?=$produto["Obs_Produto"] == '' ? 'padding-bottom:10px' : ''?>">
                            <b>Data/Hora:</b> <?= data_hora($produto["Data_Cadastro"]); ?>
                        </td>
                    </tr>

                    <?php if ($produto["Obs_Produto"] != '') { ?>
                        <tr>
                            <td colspan="8" style="font-style: italic;font-size: 14px;padding-bottom:10px"><b>Obs.:</b><?= $produto["Obs_Produto"]; ?></td>
                        </tr>
                    <?php } ?>
                    <?php
                    $Qtd_Venda += $produto["Qtd"];
                    $subtotal += $produto["Preco"] * $produto["Qtd"];
                    $Desconto_Real += $produto["Desconto_Real"];
                    $total += (($produto["Qtd"] * ($produto["Preco"]) - ($produto["Desconto_Real"] + $venda["Desconto_Total"])));
                    // CALCULAR DESCONTO DE HAPPY HOUR DO PRODUTO
                }
                $con->query("UPDATE venda_produto SET Impresso_Cozinha = 'Sim'
                WHERE Id_Venda = '$idVenda' AND (SELECT Cozinha FROM produto WHERE produto.Id = venda_produto.Id_Produto) = 'Sim' AND Impresso_Cozinha = 'No'");
                ?>
                <tr>
                    <td colspan="8" width="100%" align="left" style="background-color:#000000;">
                        <font color="#FFFFFF">Observao Pedido</font>
                    </td>
                </tr>
                <tr>
                    <td><b><?= $venda["Obs"]; ?></b></td>
                </tr>
                <tr>
                    <td>
                        &nbsp;
                    </td>
                </tr>

                <tr>
                    <td>
                        &nbsp;
                    </td>
                </tr>
            </table>
        </td>
    </tr>
    <script>
        window.print();
    </script>
</body>
</html>