<?php
include_once '../include/conecta.php'; //Conecta com a nosso banco de dados MySQL
include_once 'ver_cookie.php'; //Verifica se a sesso est ativa

$dataAtual = date("Y-m-d");
$getVendas = $con->query("SELECT venda.Id, venda.Lancamento, 
cliente.Titulo Cliente, venda.Valor_Original, 
venda.Valor_Pago,
funcionario.Titulo Funcionario 
FROM (SELECT Id,Lancamento,Valor_Original,Valor_Pago,Id_Cliente,Id_Funcionario,Status FROM venda) as venda 
LEFT JOIN (SELECT Id,Titulo FROM cliente) as cliente ON cliente.Id = venda.Id_Cliente 
LEFT JOIN (SELECT Id,Titulo FROM funcionario) as funcionario ON funcionario.Id = venda.Id_Funcionario 
WHERE venda.Status='Finalizado' 
AND (SELECT COUNT(venda_tipo_pagamento.Id) 
    FROM (SELECT Id,Id_Tipo_Pagamento,Data_Pagamento,Id_Venda,Id_Estorno,Valor_Pago FROM venda_tipo_pagamento) as venda_tipo_pagamento 
    INNER JOIN (SELECT Id,Tef FROM tipo_pagamento) as tipo_pagamento ON tipo_pagamento.Id = venda_tipo_pagamento.Id_Tipo_Pagamento 
    WHERE venda_tipo_pagamento.Data_Pagamento = '$dataAtual' 
    AND venda_tipo_pagamento.Id_Venda = venda.Id 
    AND tipo_pagamento.Tef='Sim' 
    AND venda_tipo_pagamento.Id_Estorno IS NULL 
    AND venda_tipo_pagamento.Valor_Pago > 0) > 0 
ORDER BY venda.Lancamento DESC LIMIT 100");
$vendas = [];

while($venda = mysqli_fetch_assoc($getVendas)) {
    $venda['Cliente'] = utf8_encode($venda['Cliente']);
    $venda['Funcionario'] = utf8_encode($venda['Funcionario']);
    array_push($vendas,$venda);
}
echo json_encode($vendas);
?>