<?php
include_once '../../include/conecta.php'; //Conecta com a nosso banco de dados MySQL
include_once '../../include/ver_sessao.php'; //Verifica se a sesso est ativa
include_once '../../include/funcoesPhp.php'; include_once '../../menu_movimento.php';


function data_exibirtxt($data){
	if (trim($data)!=''){
		$ano = substr($data,0,4);
		$mes = substr($data,5,2);
		$dia = substr($data,8,2);
		return $dia.$mes.$ano;
	}
}

ob_start();

$quebradelinha=chr(13).chr(10);

$sql_del = mysqli_query($con,"Select COUNT(Id_Produto) as Qtd_Item 
                        FROM mesa_produto 
                        WHERE mesa_produto.Id_Mesa = '".$_GET["mesa"]."' 
                        AND mesa_produto.Numero_Pedido = '".$_GET["numero_pedido"]."'
                        AND mesa_produto.Cancelado = 'No'
                        GROUP BY mesa_produto.Id_Produto ");
$qtd_it = mysqli_fetch_assoc($sql_del);
$qtd_item = number_format($qtd_it["Qtd_Item"],3,",",".");
$qtd_item=str_replace('.','',$qtd_item);
$qtd_item=str_replace(',','.',$qtd_item);


##<== Rateando o desconto dos itens ==>##

//pegando o valor total dos itens
$total_g_itens = mysqli_query($con,"Select SUM(mesa_produto.Preco) as Total_Mesa,
                        mesa_produto.Desconto_Real as Total_Desconto
                        FROM mesa_produto 
                        WHERE mesa_produto.Id_Mesa = '".$_GET["mesa"]."' 
                        AND mesa_produto.Numero_Pedido = '".$_GET["numero_pedido"]."'
                        AND mesa_produto.Cancelado = 'No'
                        GROUP BY mesa_produto.Id_Produto
                        ORDER BY mesa_produto.Data_Cadastro ");
$total_g_itens1 = mysqli_fetch_assoc($total_g_itens);


$desc_rateado = $total_g_itens1["Total_Desconto"]/$total_g_itens1["Total_Mesa"];//valor rateado geral
$desc_rateado = number_format($desc_rateado,"2",",",".");
$desc_rateado =str_replace('.','',$desc_rateado);
$desc_rateado =str_replace(',','.',$desc_rateado);


//fazendo o desconto em real por item - Rateado por valor
$desc_real = mysqli_query($con,"Select mesa_produto.Desconto_Real,
                        (mesa_produto.Preco*mesa_produto.Qtd) as Preco
                        FROM mesa_produto 
                        WHERE mesa_produto.Id_Mesa = '".$_GET["mesa"]."' 
                        AND mesa_produto.Numero_Pedido = '".$_GET["numero_pedido"]."'
                        AND mesa_produto.Cancelado = 'No'
                        GROUP BY mesa_produto.Id_Produto
                        ORDER BY mesa_produto.Data_Cadastro ");

$ab='1';
while($reg = mysqli_fetch_assoc($desc_real)){
    
    if($ab==$qtd_item){//no ultimo item eu fao o ajuste
        $desc_val = $reg["Desconto_Real"]-$total_desc;
        $desc_val = valor_exibir($desc_val);
        $desc_reg[$ab] = valor_banco($desc_val);
    }else{
        $valor_provisorio = $reg["Preco"]-($reg["Preco"]*$desc_rateado);
        $valor_provisorio = number_format($valor_provisorio,"2",",",".");
        $valor_provisorio =str_replace('.','',$valor_provisorio);
        $valor_provisorio =str_replace(',','.',$valor_provisorio);
        
        $desc_val = $valor_provisorio*$desc_rateado;
        $desc_val = valor_exibir($desc_val);
        $total_desc+= valor_banco($desc_val);//total do desconto para fazer o ajuste.
        
        $desc_reg[$ab] = valor_banco($desc_val);//variavel para o desconto nos itens
    }
    
$ab++;
}

##<== Rateando o desconto dos itens ==>##

$result = mysqli_query($con,"SELECT mesa_produto.Numero_Pedido,
                            mesa_produto.Data_Movimento,
                            cliente.Codigo as Codigo_Cliente,
                            cliente.Titulo as Nome_Cliente,
                            cliente.Cpf_Cnpj,
                            cliente.Natureza,
                            SUM(mesa_produto.Preco*mesa_produto.Qtd) as Total_Pagar,
                            mesa_produto.Desconto,
                            mesa_produto.Desconto_Real,
                            mesa_produto.Obs,
                            vendedor.Codigo as Codigo_Vendedor,
                            cliente.Rua,
                            cliente.Numero,
                            cliente.Complemento,
                            cliente.Bairro,
                            cliente.Cidade,
                            cliente.Estado,
                            cliente.Cep
                            FROM mesa_produto
                            LEFT JOIN (SELECT Id,Codigo,Titulo,Cpf_Cnpj,Rua,Numero,Complemento,Bairro,Cidade,Estado,Cep,Natureza FROM cliente) as cliente ON cliente.Id = mesa_produto.Id_Cliente
                            LEFT JOIN (SELECT Id,Codigo,Titulo FROM funcionario) as vendedor ON vendedor.Id = mesa_produto.Id_Vendedor
                            WHERE mesa_produto.Id_Mesa = '".$_GET["mesa"]."' 
                            AND mesa_produto.Numero_Pedido = '".$_GET["numero_pedido"]."'
                            AND mesa_produto.Cancelado = 'No'
                            GROUP BY mesa_produto.Id_Mesa,mesa_produto.Numero_Pedido ");
//$registro = mysqli_fetch_assoc($result);

//OP = N . numricos N devem ser alinhados a direita e preenchidos com zeros a esquerda.
//No informar virgula ou ponto decimal. No informar separador de milhar. EX 10,123 = 010123
//OP = A/AN . Campos Alfa A e Alfanumricos AN devem ser alinhados a esquerda e preenchidos com brancos as direita.
//OP = D . Campos Data D devem ser informados como DDMMAAAA ou conforme instruo da observao do prprio campo.
//Para informar um valor nulo, use '000000000'.

#Para apagar toda a Lista anterior e substituir pelas novas informaes do arquivo, informe no primeiro Item, o texto LIMPAR

//echo "LIMPAR";
//echo $quebradelinha;

//gerando o cabecalho
while ($linha = mysqli_fetch_assoc($result)){
    
    $lanc = $linha["Numero_Pedido"];
    
if($linha["Desconto"] > 0){
    $linha["Desconto_Total"] = ($linha["Total_Pagar"] * ($linha["Desconto"]/100));
    $linha["Desconto_Total"] = valor_exibir($linha["Desconto_Total"]);
    $linha["Desconto_Total"] = valor_banco($linha["Desconto_Total"]);
}else{
    $linha["Desconto_Total"] = $linha["Desconto_Real"];
}

$desc='0';
$acresc='0';
    
$linha["Valor_Original"] = number_format($linha["Total_Pagar"],2,",",".");
$linha["Valor_Original"]=str_replace('.','',$linha["Valor_Original"]);
$linha["Valor_Original"]=str_replace(',','.',$linha["Valor_Original"]);

$linha["Desconto"] = number_format($linha["Desconto_Total"],2,",",".");
$linha["Desconto"]=str_replace('.','',$linha["Desconto"]);
$desc=str_replace(',','.',$linha["Desconto"]);

if($linha["Cpf_Cnpj"]==''){
    $cpf_cnpj = '';
}else
if($linha["Natureza"]=="PF"){
        $cpf_cnpj  = cpf_exibir($linha["Cpf_Cnpj"]);
}else{
        $cpf_cnpj  = cnpj_exibir($linha["Cpf_Cnpj"]);
}

if($linha["Codigo_Cliente"]==='0'){
    $linha["Cep"] = '';
    $cpf_cnpj = '';
}else{
    $linha["Cep"] = cep_exibir($linha["Cep"]);
}

echo "PRE|".$linha["Numero_Pedido"]."|".data_exibirtxt($linha["Data_Movimento"]).date("His")."|".$linha["Codigo_Cliente"]."|".
     substr(trim($linha["Nome_Cliente"]),0,19)."|".$cpf_cnpj."|AV|".$linha["Valor_Original"]."|".$desc."|".
     $acresc."|".$qtd_item."|".$linha["Codigo_Vendedor"]."|".substr(trim($linha["Obs"]),0,199)."| |".substr(trim($linha["Rua"]),0,49)."|".
     substr(trim($linha["Numero"]),0,9)."|".substr(trim($linha["Complemento"]),0,29)."|".
     substr(trim($linha["Bairro"]),0,29)."|".substr(trim($linha["Cidade"]),0,29)."|".
     $linha["Estado"]."|".$linha["Cep"]."|9||||";


echo $quebradelinha;
}


$result1 = mysqli_query($con,"SELECT produto.Codigo as Codigo_Produto,
                            produto.Codigo_Barras,
                            produto.Gtin,
                            produto.Titulo as Nome_Produto,
                            produto.Descricao as Descricao_Produto,
                            produto.Medida as Medida_Produto,
                            produto.Situacao_Tributaria,
                            produto.Aliquota,
                            produto.IPPT,
                            produto.Ncm,
                            SUM(mesa_produto.Qtd) as Qtd,
                            mesa_produto.Preco,
                            mesa_produto.Desconto,
                            mesa_produto.Desconto_Real,
                            mesa_produto.Id_Produto,
                            mesa_produto.Id_Unidade,
                            CONCAT(produto.Tabela_Icms,'',produto.Origem_ST,'',produto.Codigo_ST) as Id_Icms,
                            produto.CST_Ipi as Id_Ipi,
                            produto.CST_Cofins as Id_Cofins,
                            produto.CST_Pis as Id_Pis,
                            produto.Codigo_Enquadramento,
                            produto.Cest,
                            produto.Pesavel
                            FROM mesa_produto
                            LEFT JOIN (SELECT Id,Codigo,Titulo,Codigo_Barras,Descricao,Medida,Situacao_Tributaria,Aliquota,IPPT,Gtin,Ncm,
                            Codigo_ST,Tabela_Icms,CST_Ipi,CST_Cofins,CST_Pis,Codigo_Enquadramento,Origem_ST,
                            Cest,Pesavel
                            FROM produto) as produto ON produto.Id = mesa_produto.Id_Produto
                            WHERE mesa_produto.Id_Mesa = '".$_GET["mesa"]."' 
                            AND mesa_produto.Numero_Pedido = '".$_GET["numero_pedido"]."'
                            AND mesa_produto.Cancelado = 'No'
                            GROUP BY mesa_produto.Id_Produto
                            ORDER BY mesa_produto.Data_Cadastro ");

//gerando os itens
$y=1;
while ($linha1 = mysqli_fetch_assoc($result1)){

if($linha1["Desconto"] > 0){
    $linha1["Desconto_Real"] = ($linha1["Preco"] * ($linha1["Desconto"]/100))-$linha1["Desconto_Real"];
    $linha1["Desconto_Real"] = valor_exibir($linha1["Desconto_Real"]);
    $linha1["Desconto_Real"] = valor_banco($linha1["Desconto_Real"]);
}else{
    $linha1["Desconto_Real"] = $desc_reg[$y];
}

    
$linha1["Qtd"] = number_format($linha1["Qtd"],3,",",".");
$linha1["Qtd"]=str_replace('.','',$linha1["Qtd"]);
$linha1["Qtd"]=str_replace(',','.',$linha1["Qtd"]);

$linha1["Preco"] = number_format($linha1["Preco"],3,",",".");
$linha1["Preco"]=str_replace('.','',$linha1["Preco"]);
$linha1["Preco"]=str_replace(',','.',$linha1["Preco"]);

$pComDesc = ($linha1["Preco"] - $linha1["Desconto_Real"]);
$descItem = $linha1["Desconto_Real"];
$descItem = number_format($descItem,2,",",".");
$descItem=str_replace('.','',$descItem);
$descItem=str_replace(',','.',$descItem);

$descItem = '0.00';

//$vtotal = ( ($linha1["Preco"]*$linha1["Qtd"]) - ($linha1["Desconto_Real"]*$linha1["Qtd"]) );
$vtotal = ($linha1["Preco"]*$linha1["Qtd"]);
$vtotal = number_format($vtotal,2,",",".");
$vtotal=str_replace('.','',$vtotal);
$vtotal=str_replace(',','.',$vtotal);

$est = mysqli_query($con,"SELECT SUM(Qtd) as Estoque_Atual
            FROM estoque 
            WHERE estoque.Concluido = 'Sim'
            AND estoque.Id_Produto = '".$linha1["Id_Produto"]."'
            AND estoque.Id_Unidade = '".$linha1["Id_Unidade"]."' ");
$estoque = mysqli_fetch_assoc($est);

//if($linha1["Gtin"])
    //$cb = $linha1["Gtin"];
//else
    //$cb = $linha1["Codigo_Barras"];
$cb = $linha1["Codigo_Produto"];

if(!$linha1["IPPT"])
    $linha1["IPPT"] = 'N';

if($linha1["Pesavel"]=='Sim'){
    $linha1["Pesavel"] = 'S';
}else{
    $linha1["Pesavel"] = 'N';
}

echo "PIT|".$y."|".$linha1["Codigo_Produto"]."|".$linha1["Qtd"]."|".$linha1["Preco"]."|".
     $descItem."|0.00|".$vtotal."|".$cb."|".substr($linha1["Nome_Produto"],0,39)."|".
     substr($linha1["Descricao_Produto"],0,39)."|".$linha1["Medida_Produto"]."|".$linha1["Situacao_Tributaria"]."|".
     $linha1["Aliquota"]."|N|N|N|".$linha1["IPPT"]."|".$estoque["Estoque_Atual"]."| | | | | | |".
     str_pad($linha1["Id_Icms"], 6,"0", STR_PAD_LEFT)."|0|0|0|".str_pad($linha1["Id_Pis"], 6,"0", STR_PAD_LEFT)."|0|".str_pad($linha1["Id_Cofins"], 6,"0", STR_PAD_LEFT)."|0|".
     $linha1["Ncm"]."| |0|".$linha1["Cest"]."|N| |".$linha1["Pesavel"]."|10|S| | |0|0|0|0|V|0| |0|";


echo $quebradelinha;
$y++;
}

/*
//mostrando o contas a receber
$venda_parcela = listar("Select conta_receber.Id_Externo as Id,
                                conta_receber.Lancamento,
                                conta_receber.Data_Vencimento,
                                conta_receber.Valor_Original,
                                from conta_receber
                                left join (SELECT Id,Titulo FROM tipo_pagamento) as tipo_pagamento ON tipo_pagamento.Id = conta_receber.Id_Tipo_Pagamento
                                where conta_receber.Id_Externo = '".$_GET["id_pdv"]."' 					
                                order by conta_receber.Data_Vencimento,conta_receber.Lancamento");

if($venda_parcela[0]["Id"]){

    $cr=1;
    foreach($venda_parcela as $chave){
        
$chave["Valor_Original"] = number_format($chave["Valor_Original"],3,",",".");
$chave["Valor_Original"]=str_replace('.','',$chave["Valor_Original"]);
$chave["Valor_Original"]=str_replace(',','.',$chave["Valor_Original"]);

echo "PPA|".$y."|".data_exibirtxt($chave["Data_Vencimento"])."|".$chave["Valor_Original"]."|".substr($cr." PARC ".$chave["Tipo_Pagamento"],0,39)."|";

echo $quebradelinha;

    $cr++; }

}
*/

//tipos de pagamentos da venda
$cod_auto2 = mysqli_query($con,"SELECT tipo_pagamento.Titulo,
                            tipo_pagamento.Cupom,
                            SUM( 
                            IF(
                                mesa_tipo_pagamento.Id_Tipo_Pagamento='1',
                                IF(mesa_tipo_pagamento.Valor_Pago>=mesa_tipo_pagamento.Valor,
                                   mesa_tipo_pagamento.Valor-mesa_tipo_pagamento.Valor_Troco,
                                   mesa_tipo_pagamento.Valor ),
                                mesa_tipo_pagamento.Valor
                                )
                            ) as Valor
                            FROM mesa_tipo_pagamento
                            LEFT JOIN (SELECT Id,Titulo,Cupom FROM tipo_pagamento) as tipo_pagamento ON tipo_pagamento.Id = mesa_tipo_pagamento.Id_Tipo_Pagamento
                            WHERE mesa_tipo_pagamento.Numero_Pedido = '".$_GET["numero_pedido"]."'
                            ORDER BY Data_Cadastro");

while ($valor1 = mysqli_fetch_assoc($cod_auto2)) {

$valor1["Valor"] = number_format($valor1["Valor"],2,",",".");
$valor1["Valor"]=str_replace('.','',$valor1["Valor"]);
$valor1["Valor"]=str_replace(',','.',$valor1["Valor"]);
    
echo "PFP|".substr($valor1["Cupom"],0,19)."|".$valor1["Valor"]."|";

echo $quebradelinha;

}


//echo "PRG|OBRIGADO|";

//echo $quebradelinha;


$nome_arquivo = sprintf("%08d",$lanc);


$pagina = ob_get_contents();
ob_end_clean();
//echo utf8_encode($pagina);
// Abre ou cria o arquivo bloco1.txt
// "a" representa que o arquivo  aberto para ser escrito
$fp = fopen("CLIENTE_TEMP.txt", "w");

// Escreve "exemplo de escrita" no bloco1.txt
$escreve = fwrite($fp, $pagina);

// Fecha o arquivo
$finaliza = fclose($fp);

$aquivoNome = "CLIENTE_TEMP.txt"; // nome do arquivo que ser enviado p/ download
$arquivoLocal = $aquivoNome; // caminho absoluto do arquivo

// Definimos o novo nome do arquivo
$novoNome = $nome_arquivo.".djp";

// Configuramos os headers que sero enviados para o browser
header('Content-Description: File Transfer');
header('Content-Disposition: attachment; filename="'.$novoNome.'"');
header('Content-Type: application/octet-stream');
header('Content-Transfer-Encoding: binary');
header('Content-Length: ' . filesize($aquivoNome));
header('Cache-Control: must-revalidate, post-check=0, pre-check=0');
header('Pragma: public');
header('Expires: 0');

// Envia o arquivo para o cliente
readfile($aquivoNome);

//copiando e deletando o arquivo
//$origem = 'arquivo.txt';
//$destino = 'pasta/example.txt';
//copy($origem, $destino);
unlink($arquivoLocal);
?>