<?php
include_once '../include/conecta.php'; //Conecta com a nosso banco de dados MySQL
include_once 'ver_cookie.php'; //Verifica se a sesso est ativa
include_once 'funcoesPhp.php'; //Inclue a pgina con todas as funes a ser usada.
?>
<?php
if ($_GET['venda'] == "rapida") {
    $vendaRapida = 'onload="Maximizar()"';
}
$verDiario = mysqli_query($con, "SELECT Id FROM caixa_diario_restaurante WHERE Status = 'Aberto' AND Id_Unidade = '" . $_COOKIE["Unidade"] . "' ");
$caixaDiario = mysqli_fetch_assoc($verDiario);

if (!$caixaDiario["Id"]) {
    echo "<script>alert('Falta Abrir o Caixa Dirio!');</script>";
    echo "<script>window.location.href = 'abrir_caixa_diario_fast.php';</script>";
    exit;
}

$verOperador = mysqli_query($con, "SELECT Id FROM caixa_operador_registro_restaurante WHERE Status = 'Aberto' AND Id_Usuario = '" . $_COOKIE["Id"] . "'");
$caixaOperador = mysqli_fetch_assoc($verOperador);

if (!$caixaOperador["Id"]) {
    echo "<script>alert('Falta Abrir o Caixa Operador!');</script>";
    echo "<script>window.location.href = 'abrir_caixa_operador_fast.php';</script>";
    exit;
}
$mesa = addslashes($_GET['mesa']);
$venda = $con->query("SELECT Id, Lancamento, Valor_Original, Valor_Pago, Aplicar_Taxa_Servico_Restaurante, Aplicar_Taxa_Couvert_Artistico,
Taxa_Couvert_Artistico, Desconto, Desconto_Real, Id_Cliente, Data_Preparo, Data_Entrega, Status_Pedido, Data_Preparo, Hora_Prevista_Preparo FROM venda
WHERE Status = 'Aberto' AND Id_Mesa = '$mesa'");
$vendaExiste = $venda->num_rows > 0 ? true : false;
$total = 0;
$subtotal = 0;
$infoMesa = $con->query("SELECT Qtd_Atual_Pessoas,Titulo FROM mesa_cadastro WHERE Id='$mesa'");
$infoMesa = mysqli_fetch_assoc($infoMesa);
$tituloMesa = $infoMesa['Titulo'];
if ($vendaExiste) {
    $venda = mysqli_fetch_assoc($venda);
    $_POST["Codigo_Venda"] = $venda['Id'];
    $numeroPedido = $venda['Lancamento'];
    $numeroPessoas = $infoMesa['Qtd_Atual_Pessoas'];
    $total = $venda['Valor_Original'];
    $idVenda = $venda['Id'];
    $taxas = $con->query("SELECT Taxa_Servico_Restaurante, Couvert_Restaurante FROM opcao");
    $taxas = mysqli_fetch_assoc($taxas);
    $nome = CLIENTE_RAZAO_SOCIAL == 'Sim' ? 'Razao_Social' : 'Titulo';
    $cliente = $con->query("SELECT $nome, Codigo FROM cliente WHERE Id='" . $venda['Id_Cliente'] . "'");
    $cliente = mysqli_fetch_assoc($cliente);
} else {
    $_POST["Codigo_Venda"] = md5($_SESSION['Id'] . microtime());
    $numeroPedido = $con->query("SHOW TABLE STATUS FROM $dbname LIKE 'venda'");
    $numeroPedido = mysqli_fetch_assoc($numeroPedido);
    $numeroPedido = $numeroPedido['Auto_increment'];
    $idVenda = md5($_COOKIE['Id'] . microtime());
}

?>
<html>

<head>
    <title>Mesas</title>
    <link rel="stylesheet" type="text/css" href="../js/jquery-ui/jquery-ui.min.css" />
    <link rel="stylesheet" type="text/css" href="./mesa_responsivo.css" />
    <link rel="stylesheet" type="text/css" href="./css/pedido_mesa.css" />
    <link rel="stylesheet" href="../js/bootstrap.min.css">
    <script>
        function cancelar() {
            window.location.href = 'list_mesa.php';
        }
    </script>
</head>

<body class="topo">
    <div class="table_produto">
        <div>
            <span class="title">CATEGORIAS</span>
            <?php
            $diaHoje = date('w') - 1;
            $horaAtual = date("H:i:s");
            $happyHour = $con->query("SELECT Tipo_HH, DAYNAME(CURDATE()) Dia_Semana, Hora_Inicio, Hora_Fim, Desconto FROM happy_hour
            WHERE WEEKDAY(CURDATE()) = $diaHoje AND Hora_Inicio <= $horaAtual AND Hora_Fim >= $horaAtual");
            $happyHour = mysqli_fetch_assoc($happyHour);
            if (strtotime($happyHour['Hora_Fim']) > strtotime('now')) {
                $horaFimHH = new DateTime($happyHour['Hora_Fim']);
                $diferencaTempo = $horaFimHH->diff(new DateTime());
                $diferencaHora = strlen($diferencaTempo->h) == 1 ? "0$diferencaTempo->h" : $diferencaTempo->h;
                $diferencaMinutos = strlen($diferencaTempo->i) == 1 ? "0$diferencaTempo->i" : $diferencaTempo->i;
                $diferencaSegundos = strlen($diferencaTempo->s) == 1 ? "0$diferencaTempo->s" : $diferencaTempo->s;
                $tempoRestante = "$diferencaHora:$diferencaMinutos:$diferencaSegundos"; ?>
                <span class="title" id="tempo_happy_hour" style="margin-left:70px;" data-tempo="<?= $tempoRestante; ?>"><?= $tempoRestante != "00:00:00" ? $tempoRestante : ""; ?></span>
            <?php } ?>
        </div>

        <div class="table_categoria dragscroll" width="68%">
            <button type="button" class="button_categoria" onclick="chamaListaProduto(this,'Todos')" style="text-align: left;background-color: #285D92">
                <span class="title_categoria">Todos</span>
            </button>
            <?php
            $categoriaProduto = mysqli_query($con, "SELECT Id,Titulo,Foto FROM categoria_produto WHERE Tipo_Categoria = 'P'
            AND Restaurante = 'Sim' AND Tipo = 'Pode vender' AND Ativo = 'Sim' ORDER BY Titulo ");
            while ($categoria = mysqli_fetch_assoc($categoriaProduto)) { ?>
                <button type="button" class="button_categoria" onclick="chamaListaProduto(this,'<?= $categoria['Id']; ?>')" style="text-align: left;">
                    <span class="title_categoria"><?= $categoria["Titulo"]; ?></span>
                </button>
            <?php } ?>
        </div>

        <div class="list_produtos dragscroll" id="lista_produtos">
            <?php
            $buscaProduto = mysqli_query($con, "SELECT Id,Titulo,Foto,Codigo,Preco1 FROM produto WHERE Tipo_Produto = 'P'
            AND Tipo_Categoria = 'Pode vender' AND Ativo = 'Sim' ORDER BY Titulo");
            while ($produto = mysqli_fetch_assoc($buscaProduto)) {
                $precoProduto = $produto['Preco1'];
                if ($happyHour && strtotime($happyHour['Hora_Fim']) > strtotime('now')) {
                    if ($happyHour['Tipo_HH'] == 'Geral') {
                        $valorDesconto = ($precoProduto * $happyHour['Desconto']) / 100;
                        $precoProduto -= $valorDesconto;
                    } else {
                        $produtoHappyHour = $con->query("SELECT Preco_HH FROM happy_hour_produto WHERE Id_HH='" . $happyHour['Id'] . "' AND
                        Id_Produto='" . $produto['Id'] . "'");
                        $precoProduto = mysqli_fetch_assoc($produtoHappyHour['Preco_HH']);
                    }
                } ?>
                <button type="button" onclick="AddProduto('<?= $produto['Id']; ?>', 'Id');" class="button_produtos">
                    <span class="title_produtos"><?= substr($produto["Titulo"], 0, 40); ?></span>
                    <font>
                        <b class="title_produtos">
                            $ <?= number_format($precoProduto, 2, ',', '.'); ?>
                        </b>
                    </font>
                </button>
            <?php } ?>
        </div>
    </div>

    <div class="table_pedido">
        <div style="width: 100%;">
            <h2 class="title_pedido"> <?= "PEDIDO - N $numeroPedido / MESA - $tituloMesa"; ?></h2>
        </div>
        <div>
            <input type="text" name="Cliente" id="Cliente" placeholder="Cliente" class="input_pedido" value="<?= $vendaExiste ? $cliente['Codigo'] . ' : ' . $cliente[$nome] : ''; ?>">
            <button type="submit" id="Novo_Cliente" name="Novo_Cliente" class="button_cabecalho_pedido" onclick="novoCliente();">
                <img src="../imagem/person-plus.png" alt="Novo Cliente" width="21px">
            </button>
            <br>
            <input type="text" name="Produto" id="Codigo_Produto" placeholder="Scan ou digite o cdigo de barra" class="input_pedido">
            <button type="submit" id="Pesquisar_Produto" name="Pesquisar_Produto" class="button_cabecalho_pedido">
                <img src="../imagem/search.png" alt="Pesquisar Produto" width="19px">
            </button>
            <br>
        </div>
        <div class="tableFixHead">
            <div style="text-align: center; margin-top: 3%;">
                <div>
                    <div class="table_pedido_header" style="background-color: #163758; color: #fff">
                        <span style="width: 45%;">
                            <p>Produto</p>
                        </span>
                        <span style="width: 16%;">
                            <p>Qtd</p>
                        </span>
                        <span style="width: 20%;">
                            <p>Preo</p>
                        </span>
                        <span style="width: 19%;">
                            <p>Opes</p>
                        </span>
                    </div>
                </div>

                <div id="Prod_Pedido" class="table_pedido_produto dragscroll">
                    <?php
                    if ($vendaExiste) {
                        $vendaProduto = $con->query("SELECT venda_produto.Id Id_Venda_Produto, venda_produto.Preco, 
                        venda_produto.Qtd, produto.Titulo,
                        venda_produto.Impresso_Cozinha, produto.Cozinha, 
                        cozinha_produto.Status Status_Cozinha
                        FROM (SELECT Id,Cancelado,Id_Produto,Id_Venda,Preco,Qtd,Impresso_Cozinha FROM venda_produto) as venda_produto
                        INNER JOIN (SELECT Id,Titulo,Cozinha FROM produto) as produto ON produto.Id = venda_produto.Id_Produto
                        LEFT JOIN (SELECT Id,Id_Venda_Produto,Status FROM cozinha_produto) as cozinha_produto ON cozinha_produto.Id_Venda_Produto = venda_produto.Id
                        WHERE venda_produto.Id_Venda = '{$venda['Id']}' AND venda_produto.Cancelado = 'No'");
                        while ($produto = mysqli_fetch_assoc($vendaProduto)) {
                            $subtotal += $produto['Preco'] * $produto['Qtd'];
                            $permitidoAlteracao = (
                                ($venda['Status_Comanda'] != "Entrega" && (($produto['Cozinha'] == 'Sim' && $produto['Status_Cozinha'] == 'Confirmado') || $produto['Cozinha'] == 'No'))
                                || ($venda['Status_Comanda'] == "Entrega" && $venda['Status_Pedido'] == 'Confirmado') || $produto['Impresso_Cozinha'] == 'No'
                            );
                    ?>
                            <div class="produtos_pedido" vendaProduto="<?= $produto['Id_Venda_Produto']; ?>">
                                <span class="nome_prod_pedido" onclick="<?= $permitidoAlteracao ? "obsProduto('{$produto['Id_Venda_Produto']}')" : '' ?>" <?= $permitidoAlteracao ? "style='cursor:pointer'" : ''; ?>>
                                    <?= $produto['Titulo']; ?>
                                </span>
                                <div id="btn_adicionar_remover" style="height:100%;">
                                    <?php if ($permitidoAlteracao) { ?>
                                        <input type="button" class="input-add-remove" value="-" onclick='AlterarQtdProduto(this)'>
                                    <?php } ?>
                                    <input type="text" name="Qtd" class="Qtd_item" value="<?= $produto['Qtd']; ?>" readonly onclick="<?= $permitidoAlteracao ? "alterarQtdItem('{$produto['Id_Venda_Produto']}')" : ''; ?>" style="text-align:center;<?= $permitidoAlteracao ? 'cursor:pointer' : ''; ?>">
                                    <?php if ($permitidoAlteracao) { ?>
                                        <input type="button" class="input-add-remove" value="+" onclick='AlterarQtdProduto(this)'>
                                    <?php } ?>
                                </div>
                                <?php if (ALTERAR_VALOR_ITEM_MESA == 'Sim') { ?>
                                    <span class="preco" onclick="alterarPrecoItem('<?= $produto['Id_Venda_Produto']; ?>')" style="cursor:pointer">
                                        <?= number_format($produto['Preco'], 2, ',', '.'); ?>
                                    </span>
                                <?php } else { ?>
                                    <span class="preco">
                                        <?= number_format($produto['Preco'], 2, ',', '.'); ?>
                                    </span>
                                <?php  } ?>
                                <span class="removerProduto">
                                    <?php
                                    if (CANCELAR_ITEM_MESA_1 == 'Sim' && $permitidoAlteracao) { ?>
                                        <img src="../imagem/delete_mesa.png" alt="Remover" class="icon_config">
                                    <?php
                                    } ?>
                                </span>
                            </div>
                    <?php }
                    } ?>
                </div>

            </div>
        </div>

        <div class="bloco_subtotal">
            <div class="margin_subtotal d-flex justify-content-between w-100">
                <div class="d-flex" style="width:34%">
                    <span>Qtd Pessoas: </span>
                    <input type="number" id="qtdPessoas" class="desconto_final" value="<?= $vendaExiste ? $numeroPessoas : 1; ?>">
                </div>
                <?php
                $taxaServico = $con->query("SELECT Taxa_Servico_Restaurante FROM opcao");
                $taxaServico = mysqli_fetch_assoc($taxaServico)['Taxa_Servico_Restaurante'];
                if ($vendaExiste) {
                    $taxaServico = $venda['Aplicar_Taxa_Servico_Restaurante'] == "No" ? 0 : $taxaServico;
                } ?>
                <div class="d-flex justify-content-center w-25">
                    <span data-taxa="<?= $taxaServico; ?>" id="taxa-servico"><b>Taxa: <?= $taxaServico; ?>%</b></span>
                </div>
                <div class="d-flex justify-content-end" style="width: 35%;">
                    <span>
                        Sub Total: R$
                        <?php
                        $subtotal = str_replace([".", ","], ["", "."], $subtotal);
                        ?>
                        <label id="subtotal_pedido" data-subtotal="<?= $subtotal; ?>"><?= number_format($subtotal, 2, ',', '.'); ?></label>
                    </span>
                </div>
            </div>
            <div class="margin_subtotal d-flex justify-content-between w-100">
                <div class="d-flex" style="width:34%">
                    <span>Desconto R$</span>
                    <input type="text" name="Desconto_real" <?= DESCONTO_MESA != 'Sim' ? 'readonly' : ''; ?> id="Desconto_final_real" class="desconto_final" placeholder="$" onchange="aplicarDesconto()" style="text-align:center" value="<?= $vendaExiste ? str_replace(".", ",", $venda['Desconto_Real']) : '' ?>">
                </div>
                <div class="d-flex w-50 justify-content-end">
                    <span>
                        Total - Desconto: R$
                        <?php
                        if ($vendaExiste) {
                            $valorDescontoPercentual = ($subtotal * $venda['Desconto']) / 100;
                            $totalDesconto = $valorDescontoPercentual + $venda['Desconto_Real'];
                            $total = $subtotal - $totalDesconto;
                            $total = str_replace([".", ","], ["", "."], $total);
                        } ?>
                    </span>
                    <label id="total_desconto" data-totalDesconto="<?= $total; ?>"><?= $total > 0 ? number_format($total, 2, ',', '.') : '0,00' ?></label>
                </div>
            </div>
            <div class="margin_subtotal d-flex justify-content-between">
                <div class="d-flex" style="width:34%">
                    <span>Desconto: %</span>
                    <input type="text" name="Desconto_perc" <?= DESCONTO_MESA != 'Sim' ? 'readonly' : ''; ?> id="Desconto_final_perc" class="desconto_final" placeholder="%" onchange="aplicarDesconto()" style="text-align:center" value="<?= $vendaExiste ? str_replace(".", ",", $venda['Desconto']) : '' ?>">
                </div>
                <div class="d-flex w-50 justify-content-end">
                    <span>
                        <b style="font-size: 15px;">
                            Total + Taxa: R$
                            <?php
                            if ($vendaExiste) {
                                $taxaServicoRestaurante = $taxas['Taxa_Servico_Restaurante'] > 0 ? $total / $taxas['Taxa_Servico_Restaurante'] : 0;
                                if ($venda['Aplicar_Taxa_Servico_Restaurante'] == "Sim" && $taxaServicoRestaurante > 0) {
                                    $total += $taxaServicoRestaurante;
                                    $total = str_replace([".", ","], ["", "."], $total);
                                }
                                if ($venda['Aplicar_Taxa_Couvert_Artistico'] == "Sim") {
                                    $total += $venda['Taxa_Couvert_Artistico'];
                                    $total = str_replace([".", ","], ["", "."], $total);
                                }
                                $total = number_format($total, 2, '.', '');
                                $con->query("UPDATE venda SET Valor_Original='$total' WHERE Id='$idVenda'");
                            }
                            ?>
                            <label id="total_taxa"><?= $total > 0 ? number_format($total, 2, ',', '.') : '0,00' ?></label>
                        </b>
                    </span>
                </div>
                <input type="hidden" name="Codigo_Venda" value="<?= $idVenda; ?>">
                <input type="hidden" id='mesa' value="<?= $_GET['mesa']; ?>">
                <input type="hidden" name="couvert_artistico" value="<?= $vendaExiste && $venda['Aplicar_Taxa_Couvert_Artistico'] == "Sim" ? $venda['Taxa_Couvert_Artistico'] : 0; ?>">
            </div>
        </div>

        <div style="margin-top: 8px;">
            <button class="button_rodape_pedido" style="margin-left: 7%;" onclick="cancelar()">
                <img src="../imagem/voltar - Copia.png" width="19px">
                <b class="title_button_rodape">Voltar</b>
            </button>

            <button class="button_rodape_pedido" onclick="funcoesPedido('<?= $idVenda; ?>')">
                <img src="../imagem/three-dots-vertical.png" height="19px">
                <b class="title_button_rodape">Funes</b>
            </button>

            <?php
            if (MODULO_COZINHA == 'Sim') { ?>
                <button class="button_rodape_pedido" data-toggle="modal" data-target="#ConfiguracaoModal">
                    <img src="../imagem/file-earmark-text.png" height="19px">
                    <b class="title_button_rodape">Pedido</b>
                </button>
            <?php
            } else { ?>
                <button class="button_rodape_pedido" onclick="impressaoParcial('<?= $idVenda; ?>');">
                    <img src="../imagem/file-earmark-text.png" height="19px">
                    <b class="title_button_rodape">Pedido</b>
                </button>
            <?php
            }
            if (PAGAMENTO_MESA_1 == 'Sim') { ?>
                <button class="button_rodape_pedido" onclick="pagamentoPedido('<?= $idVenda; ?>')">
                    <img src="../imagem/cash.png" width="25px" height="19px">
                    <b class="title_button_rodape">Pagar</b>
                </button>
            <?php } ?>
        </div>
    </div>

    <div class="modal fade" id="ConfiguracaoModal" tabindex="-1" aria-hidden="true">
        <div class="modal-dialog modal-width modal-dialog-scrollable">
            <form class="modal-content">
                <div class="modal-header">
                    <h4>Configuraes</h4>
                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                        <span aria-hidden="true">&times;</span>
                    </button>
                </div>
                <div class="modal-body">
                    <div style="display:flex;gap: 7rem">
                        <div class="form-group w-50">
                            <span>Data Preparo</span>
                            <?php
                            $dataPreparo = $vendaExiste && $venda['Data_Preparo'] ? $venda['Data_Preparo'] : date('Y-m-d');

                            if ($vendaExiste && !$venda['Data_Preparo'] && $venda['Data_Entrega'] != "0000-00-00") {
                                $dataEntrega = new DateTime($venda['Data_Entrega']);
                                $dataEntrega->modify("-1 day");
                                $dataPreparo = $dataEntrega->format("Y-m-d");
                            }
                            ?>
                            <input type="date" name="dataPreparo" class="form-control mt-2" value="<?= $dataPreparo; ?>" <?= $vendaExiste && $venda['Status_Pedido'] && $venda['Status_Pedido'] != 'Confirmado' ? 'readonly' : ''; ?>>
                        </div>
                        <div class="form-group" style="width: 50%;">
                            <label style="font-weight: normal;">Hora Preparo</label>
                            <?php
                            $horaPrevistaPreparo = $vendaExiste && $venda['Hora_Prevista_Preparo'] ? $venda['Hora_Prevista_Preparo'] : date('H:i');
                            ?>
                            <input type="time" name="horaPrevistaPreparo" class="form-control mt-2" value="<?= $horaPrevistaPreparo; ?>" <?= $vendaExiste && $venda['Status_Pedido'] && $venda['Status_Pedido'] != 'Confirmado' ? 'readonly' : ''; ?>>
                        </div>
                    </div>
                </div>
                <div class="modal-footer">
                    <input type="hidden" name="idVenda" value="<?= $idVenda; ?>">
                    <button class="btn btn-primary pl-4 pr-4">Salvar</button>
                </div>
            </form>
        </div>
    </div>
    <script src="../js/jquery-3.3.1.min.js"></script>
    <?php include './cabecalho_mesa.php'; ?>
    <script src="../js/dragscroll.min.js"></script>
    <script src="../js/jquery-ui/jquery-ui.min.js"></script>
    <script src="../js/bootstrap.bundle.min.js"></script>
</body>

</html>