<?php
include_once '../../include/conecta.php'; //Conecta com a nosso banco de dados MySQL
include_once './ver_cookie.php'; //Verifica se a sesso est ativa*/
include_once '../../include/funcoesPhp.php';
include_once '../../menu_movimento.php';
$idVenda = addslashes($_GET['venda']);

$venda = $con->query("SELECT venda.Lancamento,
venda.Imprimir_Cancelado, 
venda.Status, 
venda.Data_Venda, 
venda.Valor_Original, 
venda.Valor_Pago,
DATE_FORMAT(venda.Data_Cadastro_Upd,'%d/%m/%Y %H:%i:%s') as Data_Cadastro_Upd,
venda.Desconto, 
venda.Desconto_Real, 
venda.Obs, 
venda.Id_Cliente, 
venda.Aplicar_Taxa_Servico_Restaurante,
venda.Taxa_Servico_Restaurante,
venda.Tipo_Entrega,
venda.Responsavel_Retirada,
venda.Aplicar_Taxa_Couvert_Artistico,
venda.Numero_Comanda,
venda.Status_Comanda,
venda.Local_Pedido,
venda.Data_Entrega,
venda.Entrega_Comanda,
venda.Hora_Entrega,
venda.Taxa_Couvert_Artistico, 
cliente.Titulo as Cliente, 
cliente.Email, 
cliente.Natureza, 
cliente.Cpf_Cnpj,
cliente.Endereco,
cliente.Cep,
cliente.Bairro, 
cliente.Cidade, 
cliente.Estado, 
cliente.Fone1,
cliente.Fone2, 
cliente.Obs Obs_Cliente,
cliente.Complemento,
cliente.Ponto_Referencia,
funcionario.Titulo as Funcionario,
funcionario.Titulo as Entregador,
vendedor.Titulo Vendedor
FROM (SELECT Id,Id_Cliente,Id_Entregador,Id_Vendedor,
Lancamento,
Imprimir_Cancelado, 
Status, 
Data_Venda, 
Valor_Original, 
Valor_Pago,
Data_Cadastro_Upd,
Desconto, 
Desconto_Real, 
Obs, 
Id_Cliente, 
Aplicar_Taxa_Servico_Restaurante,
Taxa_Servico_Restaurante,
Tipo_Entrega,
Responsavel_Retirada,
Aplicar_Taxa_Couvert_Artistico,
Numero_Comanda,
Status_Comanda,
Local_Pedido,
Data_Entrega,
Entrega_Comanda,
Hora_Entrega,
Taxa_Couvert_Artistico FROM venda) as venda
LEFT JOIN (SELECT Id,Titulo,Email,Natureza,Cpf_Cnpj,Endereco,Cep,Bairro,Cidade,Estado,Fone1,Fone2,Obs,Complemento,Ponto_Referencia FROM cliente) as cliente ON cliente.Id = venda.Id_Cliente
LEFT JOIN (SELECT Id,Titulo FROM funcionario) as funcionario ON funcionario.Id = venda.Id_Entregador
LEFT JOIN (SELECT Id,Titulo FROM funcionario) as vendedor ON vendedor.Id = venda.Id_Vendedor
WHERE venda.Id = '$idVenda'");
$venda = mysqli_fetch_assoc($venda);

$dataVenda = explode("-", $venda['Data_Venda']);
$venda['Data_Venda'] = $dataVenda[2] . "/" . $dataVenda[1] . "/" . $dataVenda[0];
$subtotal = 0;
$total = 0;
$taxas = $con->query("SELECT Taxa_Servico_Restaurante, Couvert_Restaurante FROM opcao");
$taxas = mysqli_fetch_assoc($taxas);
?>
<html>

<head>
    <title>Pedido</title>
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <link rel="stylesheet" type="text/css" href="../../estilo/<?php echo SKIN; ?>/tabela_imp.css" />
    <script type="text/javascript" language="javascript" src="../../js/jquery.js"></script>
    <?php include '../../include/script_cabeca.php'; ?>
    <script type="text/javascript" language="javascript" src="../../js/script.js"></script>
    <link rel="stylesheet" href="../css/impressao_final.css">
    <style type="text/css">

    </style>
    <?php if (CLIENTE_EMAIL == 'deliciascaxanga') { ?>
        <script>
            window.print()
        </script>
    <?php } ?>
</head>

<body class="margem_impressao">

    <table width="100%">
        <?php
        $empresa = $con->query("SELECT * FROM unidade WHERE Id = '" . $_COOKIE["Unidade"] . "'");
        $empresa = mysqli_fetch_assoc($empresa);
        ?>
        <tr>
            <td align="right">
                <table width="100%">
                    <tr>
                        <td width="40%">
                            <?php
                            $cam_arq = file_exists("../../unidade/foto/" . $empresa["Logo"] . "") ? "../../unidade/foto/" . $empresa["Logo"] :
                                "../../../unidade/foto/" . $empresa["Logo"]
                            ?>
                            <img src="<?= $cam_arq; ?>" title="Logo" alt="Logo" border="0" width="140px"
                                height="auto" />
                        </td>
                        <td width="50%" class="<?php (CLIENTE_EMAIL == 'thevillefit' || CLIENTE_EMAIL == 'transamerica') ? 'razaoFitt' : 'razao' ?>"
                            align="left">
                            <?= strtoupper($empresa["Titulo"]); ?><br>
                            <?= $empresa["Rua"] . ", " . $empresa["Numero"] . ', ' . $empresa["Bairro"]; ?><br>
                            <?= $empresa["Cidade"] . ", " . $empresa["Estado"] . " - " . $empresa["Cep"]; ?><br>
                            Fone: <?= $empresa["Fone1"]; ?><br>
                            <?php
                            if ($empresa["Fone2"]) {
                                echo "Fax: " . $empresa["Fone2"];
                            }
                            ?>
                        </td>
                    </tr>
                </table>
            </td>
        </tr>
        <tr>
            <td align="center" class="titulo">
                <b> Identificao do Documento</b>
                <!-- <font color="#FFFFFF">
                </font> -->
            </td>
        </tr>

        <tr>
            <td align="">
                <table width="100%" class="<?php (CLIENTE_EMAIL == 'thevillefit' || CLIENTE_EMAIL == 'transamerica') ? 'razaoFitt' : 'razao' ?>">
                    <tr>
                        <td align="left"><b>N Pedido</b></td>
                        <td aling="rigth"><?= $venda["Numero_Comanda"] ?></td>
                        <td align="right" width="20%">

                            <!-- <?php
                                    if (EMISSAO_NFE == "Sim" && $venda['Status'] == 'Finalizado') { ?>
                                <a href="javascript:void();" onclick="window.open('./gera_nfe.php?id_venda=<?= $idVenda; ?>','_blank','width=700,height=800,top=0,left=0,scrollbars=yes');">
                                    <img src="../../imagem/impressora.png" alt="NFe" title="NFe" border="0">
                                </a>
                            <?php } ?>-->
                            <?php
                            $qtdPagamentoEF = mysqli_query($con, "SELECT COUNT(tipo_pagamento.Id) AS Qtd
                                FROM venda_tipo_pagamento
                                INNER JOIN (SELECT Id,EF FROM tipo_pagamento) as tipo_pagamento ON tipo_pagamento.Id = venda_tipo_pagamento.Id_Tipo_Pagamento
                                WHERE venda_tipo_pagamento.Id_Venda='$idVenda' AND tipo_pagamento.EF = 'Sim'");
                            $qtdPagamentoEF = $qtdPagamentoEF->fetch_assoc()['Qtd'];


                            if ($venda['Status'] == 'Finalizado' && $qtdPagamentoEF > 0) { ?>
                            <a id="impressora" href="javascript:void();"
                                onclick="window.open('gera_nfce.php?id_venda=<?= $idVenda; ?>','_blank','width=600,height=800,top=0,left=0,scrollbars=yes');">
                                <img src="../../imagem/bt_cupom.png" alt="Cupom" title="Cupom">
                            </a>
                            <?php } ?>
                        </td>
                    </tr>
                    <tr>
                        <td aling="left"><b>Data</b></td>
                        <td aling="rigth"><?= $venda["Data_Cadastro_Upd"] ?></td>
                    </tr>
                    <tr>
                        <td aling="left"><b>Vendedor</b></td>
                        <td aling="rigth"><?= $venda["Vendedor"] ?></td>
                    </tr>
                    <?php if (CLIENTE_EMAIL == 'piattigastronomia' || CLIENTE_EMAIL == 'thevillefit' || CLIENTE_EMAIL == 'gw') { ?>
                    <tr>
                        <td><b>Local Pedido</b></td>
                        <td aling="rigth"><?= $venda["Local_Pedido"] ?></td>
                    </tr>
                    <?php }
                    if ($venda['Tipo_Entrega']) { ?>
                    <tr>
                        <td aling="left"><b>Tipo Entrega</b></td>
                        <td aling="rigth"><?= $venda["Tipo_Entrega"] ?></td>
                    </tr>
                    <?php } ?>
                </table>
            </td>
        </tr>
    </table>
    <tr>
        <td align="">
            <table width="100%" class="<?php (CLIENTE_EMAIL == 'thevillefit' || CLIENTE_EMAIL == 'transamerica') ? 'razaoFitt' : 'razao' ?>">
                <tr>
                    <td colspan="3" align="center" class="titulo">
                        <div class="titulo"> Identificao do Cliente </div>
                    </td>
                </tr>
                <tr>
                    <td><b>Cliente:</b> <?= $venda["Cliente"]; ?></td>
                </tr>
                <tr>
                    <td><b>Fone:</b> <?= $venda["Fone1"]; ?></td>
                    <?php if ($venda["Fone2"] != '') { ?>
                    <td><b>Fone:</b> <?= $venda["Fone2"]; ?></td>
                    <?php } ?>
                </tr>
                <tr>
                    <td><b>Endereo:</b>
                        <?= $venda["Endereco"] . ',' . $venda["Complemento"] . ', ' . $venda["Bairro"] . ', ' . $venda["Cidade"] . ' - ' . $venda["Estado"] ?>
                    </td>
                </tr>
                <?php if ($venda["Ponto_Referencia"] != '') { ?>

                <tr>
                    <td><b>Ponto de Referencia:</b> <?= $venda["Ponto_Referencia"]; ?></td>
                </tr>
                <?php } ?>

            </table>
        </td>
    </tr>
    <tr>
        <td>
            <table width="100%" class="<?php (CLIENTE_EMAIL == 'thevillefit' || CLIENTE_EMAIL == 'transamerica') ? 'razaoFitt' : 'razao' ?> razao_mobile">
                <tr>
                    <td class="titulo" colspan="8" align="left">
                        Produtos
                        <!-- <font color="#FFFFFF">
                        </font> -->
                    </td>
                </tr>
                <tr>
                    <!--<td><b>Med</b></td>-->
                    <td colspan="3"><b>Descriao</b></td>
                    <td><b>Qtd</b></td>
                    <td><b>Preo</b></td>
                    <!-- <td><b>Desc</b></td> -->
                    <td><b>Total</b></td>
                </tr>
                <?php
                $venda_produto = $con->query("SELECT venda_produto.Id, 
                        venda_produto.Preco, 
                        venda_produto.Qtd, 
                        venda_produto.Desconto_Real,
                        venda_produto.Desconto, 
                        produto.Titulo Produto, 
                        produto.Descricao, 
                        produto.Codigo, 
                        produto.Medida 
                        FROM (SELECT Id,Id_Produto,Id_Venda,Cancelado,Preco,Qtd,Desconto_Real,Desconto FROM venda_produto) as venda_produto
                        LEFT JOIN (SELECT Id,Titulo,Descricao,Codigo,Medida FROM produto) as produto ON produto.Id = venda_produto.Id_Produto 
                        WHERE venda_produto.Id_Venda = '$idVenda' 
                        AND venda_produto.Cancelado = 'No'");
                $x = 0;
                while ($produto = mysqli_fetch_assoc($venda_produto)) { ?>
                <tr>
                    <!--<td><?= $produto["Medida"]; ?></td>-->
                    <td colspan="3"><?= $produto["Codigo"] . '-' . $produto["Produto"]; ?></td>
                    <td><?= $produto["Qtd"]; ?></td>
                    <td><?= number_format($produto["Preco"], 2, ',', '.'); ?></td>
                    <!-- <td><?= number_format($produto["Desconto_Real"], 2, ',', '.'); ?></td> -->
                    <td>
                        <?= number_format(($produto["Qtd"] * ($produto["Preco"]) - ($produto["Desconto_Real"] + (($produto["Qtd"] * $produto["Preco"]) * ($produto["Desconto"] / 100)))), 2, ",", "."); ?>
                    </td>
                </tr>
                <?php
                    $x++;
                    $Qtd_Venda += $produto["Qtd"];
                    $subtotal += $produto["Preco"] * $produto["Qtd"];
                    $Desconto_Real += $produto["Desconto_Real"];
                    $total += (($produto["Qtd"] * ($produto["Preco"]) - ($produto["Desconto_Real"] + (($produto["Qtd"] * $produto["Preco"]) * ($produto["Desconto"] / 100)))));
                    // CALCULAR DESCONTO DE HAPPY HOUR DO PRODUTO
                }
                ?>
                <tr>
                    <td colspan="8" width="100%" align="left" class="titulo">
                        Totais
                        <!-- <font color="#FFFFFF">
                        </font> -->
                    </td>
                </tr>

                <tr>
                    <td colspan="5">Volumes:</td>
                    <td class="alinhamento_td"><?= $Qtd_Venda; ?></td>
                </tr>
                <tr>
                    <td colspan="5">Sub Total:</td>
                    <td class="alinhamento_td"><?= number_format($subtotal, 2, ',', '.'); ?></td>
                </tr>
                <tr>
                    <td colspan="5">Desconto:</td>
                    <td class="alinhamento_td">
                        <?php
                        $descontoPercentualVenda = ($subtotal * $venda['Desconto']) / 100;
                        $descontoVenda = $descontoPercentualVenda + $venda['Desconto_Real'];
                        echo number_format($descontoVenda, 2, ',', '.');
                        ?>
                    </td>
                </tr>
                <?php if ($venda['Taxa_Couvert_Artistico'] > 0) { ?>
                <tr>
                    <td colspan="5">Couvert artstico:</td>
                    <td class="alinhamento_td"><?= number_format($venda['Taxa_Couvert_Artistico'], 2, ',', '.'); ?></td>
                </tr>
                <?php }
                if ($venda['Taxa_Servico_Restaurante'] > 0) {
                ?>
                <tr>
                    <td colspan="5">Taxa:</td>
                    <td class="alinhamento_td">
                        <?= number_format($venda['Taxa_Servico_Restaurante'], 2, ',', '.'); ?>
                    </td>
                </tr>
                <?php } ?>
                <tr>
                    <?php
                    if ($venda['Aplicar_Taxa_Servico_Restaurante'] == "Sim" && $venda["Taxa_Servico_Restaurante"] > 0) {
                        $total += $venda["Taxa_Servico_Restaurante"];
                    }
                    if ($venda['Aplicar_Taxa_Couvert_Artistico'] == "Sim" && $taxas['Couvert_Restaurante'] > 0) {
                        $total += str_replace(",", ".", $taxas['Couvert_Restaurante']);
                    } ?>
                    <td colspan="5">Total (R$):</td>
                    <!-- <td align="right"><?= number_format($venda["Valor_Original"], 2, ',', '.'); ?></td> -->
                    <td class="alinhamento_td"><?= number_format($total, 2, ',', '.'); ?></td>
                </tr>
                <tr>
                    <td colspan="3" width="100%" align="left" class="titulo">
                        Pagamento
                        <!-- <font color="#FFFFFF">
                        </font> -->
                    </td>

                    <td colspan="3" width="100%" align="left" class="titulo">
                        Valor:
                        <!-- <font color="#FFFFFF">
                        </font> -->
                    </td>
                </tr>
                <?php
                //buscando todos os pagamentos da Comanda
                $Comanda_Pag = mysqli_query($con, "SELECT tipo_pagamento.Titulo as Tipo_Pagamento,
                    tipo_pagamento.Pix,venda_tipo_pagamento.Valor_Troco,
                                    venda_tipo_pagamento.Valor_Pago
                                FROM venda_tipo_pagamento
                                LEFT JOIN (SELECT Id,Titulo,Pix FROM tipo_pagamento) as tipo_pagamento ON tipo_pagamento.Id = venda_tipo_pagamento.Id_Tipo_Pagamento
                                WHERE Id_Venda='$idVenda'
                                ORDER BY venda_tipo_pagamento.Data_Cadastro");
                $totalTroco = 0;
                //WHILE PAGAMENTOS COMANDA
                while ($Pag_Comanda = mysqli_fetch_assoc($Comanda_Pag)) {
                    $totalTroco += $Pag_Comanda["Valor_Troco"];
                    if ($Pag_Comanda["Pix"] == 'Sim') {
                        $pix_valor += $Pag_Comanda["Valor_Pago"];
                        $pix_descr = $Pag_Comanda["Tipo_Pagamento"];
                    }
                ?>


                <tr>
                    <td colspan="3"><?php echo $Pag_Comanda["Tipo_Pagamento"] ?></td>
                    <td colspan="3" align="right">
                        <?php echo number_format($Pag_Comanda["Valor_Pago"], 2, ',', '.'); ?><br></td>
                </tr>

                <?php } ?>
                <tr>
                    <td colspan="5"><b> Troco (R$):</b></td>
                    <td colspan="3" align="right"> <b><?php echo valor_exibir($totalTroco); ?></b><br></td>
                </tr>
                <?php if ($venda["Status_Comanda"] == "Entrega") { ?>
                <tr>
                    <td colspan="8" width="100%" align="left" style="background-color:#000000;">
                        <font color="#FFFFFF">
                            Entrega
                        </font>
                    </td>
                </tr>
                <?php if ($venda["Obs"] != '') { ?>
                <tr>
                    <td colspan="8" width="100%" align="left" style="background-color:#000000;">
                        <font color="#FFFFFF">
                            Observao Pedido
                        </font>
                    </td>
                </tr>
                <tr>
                    <td colspan="8"><?= $venda["Obs"] ?></td>
                </tr>
                <?php } ?>
                <tr>
                    <td colspan="2"><b>Data Entrega:</b></td>
                    <td><?php echo data_exibir($venda["Data_Entrega"]); ?></td>
                    <td colspan="2"><b>Hora Entrega:</b></td>
                    <td><?php echo $venda["Hora_Entrega"]; ?></td>
                </tr>
                <?php if ($venda["Tipo_Entrega"] == "Delivery") { ?>
                <tr>
                    <td style="width: 100px;"><b>Entregador:</b></td>
                    <td colspan="7"><b><?php echo $venda["Entregador"]; ?></b></td>
                </tr>
                <tr>
                    <td width="100%"><b>Endereco:</b></td>
                    <td colspan="7"><?php echo $venda["Entrega_Comanda"]; ?></td>
                </tr>
                <?php } else { ?>
                <tr>
                    <td style="width: 120px;"><b>Retirada por:</b></td>
                    <td colspan="7"><b><?php echo $venda["Responsavel_Retirada"]; ?></b></td>
                </tr>
                <?php } ?>
    </tr>

    <?php } ?>
    <tr>
        <td>
            &nbsp;
        </td>
    </tr>

    <?php
$textoObs = mysqli_query($con, "SELECT Texto_Restaurante FROM opcao");
$textoObs = mysqli_fetch_assoc($textoObs);

if ($textoObs['Texto_Restaurante'] == '') { ?>
    <tr>
        <td colspan="8" width="100%" align="justify">
            <font color="#000">
                <b><i>Este documento no  um comprovante fiscal!</i></b>
            </font>
        </td>
    </tr>
    <?php } else { ?>
    <tr>
        <td colspan="8" width="100%" align="justify">
            <font color="#000">
                <b><i><?= $textoObs['Texto_Restaurante'] ?></i></b>
            </font>
        </td>
    </tr>
    <?php } ?>

    <?php if ($venda['Imprimir_Cancelado'] == "Sim") { ?>
    <tr>
        <td colspan="8" width="100%" align="left" class="titulo">
            Produtos Cancelados
            <!-- <font color="#FFFFFF">
            </font> -->
        </td>
    </tr>
    <tr>
        <td colspan="2"><b>Descriao</b></td>
        <td><b>Qtd</b></td>
        <td><b>Preo</b></td>
        <td><b>Desc</b></td>
        <td><b>Total</b></td>
    </tr>
    <?php
    $produtosCanceladosReg = $con->query("SELECT venda_produto.Id, 
                        venda_produto.Preco, 
                        venda_produto.Qtd, 
                        venda_produto.Desconto_Real,
                        venda_produto.Desconto, 
                        produto.Titulo Produto, 
                        produto.Descricao, 
                        produto.Codigo, 
                        produto.Medida 
                        FROM (SELECT Id,Id_Produto,Id_Venda,Cancelado,Preco,Qtd,Desconto_Real,Desconto FROM venda_produto) as venda_produto
                        LEFT JOIN (SELECT Id,Titulo,Descricao,Codigo,Medida FROM produto) as produto ON produto.Id = venda_produto.Id_Produto 
                        WHERE venda_produto.Id_Venda = '$idVenda' 
                        AND venda_produto.Cancelado = 'Sim'");
    $c = 0;
    while ($produtosCancelados = mysqli_fetch_assoc($produtosCanceladosReg)) { ?>
    <tr>
        <td colspan="2"><?= $produtosCancelados["Codigo"] . '-' . $produtosCancelados["Produto"]; ?></td>
        <td><?= $produtosCancelados["Qtd"]; ?></td>
        <td><?= number_format($produtosCancelados["Preco"], 2, ',', '.'); ?></td>
        <td><?= number_format($produtosCancelados["Desconto_Real"], 2, ',', '.'); ?></td>
        <td>
            <?= number_format(($produtosCancelados["Qtd"] * ($produtosCancelados["Preco"]) - ($produtosCancelados["Desconto_Real"])), 2, ",", "."); ?>
        </td>
    </tr>
    <?php
        $c++;
        $QtdCancelado += $produtosCancelados["Qtd"];
        $subTotalCancelado += $produtosCancelados["Preco"] * $produtosCancelados["Qtd"];
        $Desconto_Real += $produtosCancelados["Desconto_Real"];
        $totalCancelado += (($produtosCancelados["Qtd"] * ($produtosCancelados["Preco"])));
        // CALCULAR DESCONTO DE HAPPY HOUR DO PRODUTO
    }
    ?>
    <tr>
        <td colspan="8" width="100%" align="left" class="titulo">
            <?php if ($venda['Status'] <> 'Finalizado') {
                echo 'Cancelamento Parcial';
            } else {
                echo 'Cancelamento Total';
            } ?>
            <!-- <font color="#FFFFFF">
            </font> -->
        </td>
    </tr>
    <tr>
        <td colspan="5">Total (R$):</td>
        <td align="right"><?= number_format($totalCancelado, 2, ',', '.'); ?></td>
    </tr>
    <?php } ?>
    </table>
    </td>
    <script>
    window.opener.opener.location.href = 'list_comanda.php';
    window.opener.close();
    window.print();
    </script>
    </tr>
</body>

</html>