$(document).ready(function() {
    var carregandoVendas = false;

    $(window).on('scroll', async function(e){
        if($(this).scrollTop() + $(this).height() == $('html').get(0).scrollHeight && !carregandoVendas) {
            carregandoVendas = true;
            let qtdVendasCarregadas = $('input[name=qtdVendasCarregadas]').val();
            let venda = $('input[name=input-buscar]').val();
            $("#carregandoVendas").removeClass('d-none');

            await $.post('./buscar_vendas.php', {
                    qtdVendasCarregadas,
                    venda
                },
                function(data) {
                    $("#carregandoVendas").addClass('d-none');

                    let { vendas, qtdVendasCarregadas } = JSON.parse(data);
                    $('input[name=qtdVendasCarregadas]').val(qtdVendasCarregadas);
                    vendas.map(venda => {
                        $(".container").append(`
                            <div class="card">
                                <div class="imagem-card">
                                    <img src="../../imagem/pedidos-mobile.png">
                                </div>
                                <div class="informacao-card">
                                    <div class="negrito titulo-card">Lancamento: ${venda['Lancamento']}</div>
                                    <div>${venda["Codigo_Cliente"]}: ${venda["Cliente"]}</div>
                                    <div>Data: ${venda["Data_Venda"]}</div>
                                    <div>Total: R$ ${venda["Valor_Original"]}</div>
                                </div>
                            </div>
                        `)
                    })
                }
            )
            carregandoVendas = false;
        }
    })

    $("#input-buscar").on("keyup", function() {
        let venda = $(this).val();
        if(venda.length == 0 || venda.length >= 4) {
            $.post('./filtrar_venda.php', {venda}, function(data){
                let { vendas, qtdVendasCarregadas } = JSON.parse(data);
                $(".container").html('');
                $('input[name=qtdVendasCarregadas]').val(qtdVendasCarregadas);
                vendas.map(venda => {
                    $(".container").append(`
                        <div class="card" id-venda="${venda['Id']}">
                            <div class="imagem-card">
                                <img src="../../imagem/pedidos-mobile.png">
                            </div>
                            <div class="informacao-card">
                                <div class="negrito titulo-card">Lancamento: ${venda['Lancamento']}</div>
                                <div>${venda["Codigo_Cliente"]}: ${venda["Cliente"]}</div>
                                <div>Data: ${venda["Data_Venda"]}</div>
                                <div>Total: R$ ${venda["Valor_Original"]}</div>
                            </div>
                        </div>
                    `)
                })
            });
        }
    });

    $("body").on("click", ".card", function() {
        let idVenda = $(this).attr("id-venda");
        location.href = `cad_comanda.php?idVenda=${idVenda}`;
    });

    $("body").on("click", ".btn-emitir-nfce", function() {
        let idVenda = $(this).parents(".card").attr("id-venda");
        location.href = `gera_nfce.php?id_venda=${idVenda}`;
    });
});