<?php
function cadastrarEstoque(string $id, string $id_produto, float $qtd, string $id_local_estoque, float $preco_custo, float $preco_venda, string $id_cfop,
    string $id_cliente, int $icms = 0, int $ipi = 0, string $origem, string $concluido = "No", string $id_externo, string $id_unidade, string $dataExterno,
    int $lancamento, int $icms_sub = 0, int $mva = 0, int $reducao = 0
){
    global $con;

    $CfopF = mysqli_query($con, "SELECT Financeiro FROM cfop WHERE Id='$id_cfop'");
    $gerar_finan = mysqli_fetch_assoc($CfopF)["Financeiro"];
    $bonificado = $gerar_finan == "No" ? "Sim" : "No";
    $preco_custo = 0;
    $valor_icms = 0;

    $Prodt = mysqli_query($con, "SELECT Custo, Titulo, Id_Categoria_Produto, Id_Fornecedor FROM produto WHERE Id='$id_produto'");
    $Prodt = mysqli_fetch_assoc($Prodt);

    if ($preco_venda) {
        $preco_custo = $Prodt["Custo"];
        $valor_icms = $preco_venda * $qtd * ($icms / 100);
    }

    $id_local_estoque = empty($id_local_estoque) ? '1' : $id_local_estoque;
    $id_unidade = empty($id_unidade) ? $_SESSION["Unidade"] : $id_unidade;
    $dataHoraAtual = date("Y-m-d H:i:s");

    mysqli_query($con, "INSERT INTO estoque SET Id='$id', Id_Produto='$id_produto', Id_Categoria_Produto='{$Prodt['Id_Categoria_Produto']}',
        Id_Fornecedor='{$Prodt['Id_Fornecedor']}', Id_Cliente='$id_cliente', Nome_Produto='{$Prodt['Titulo']}', Qtd='$qtd',
        Id_Local_Estoque='$id_local_estoque', Preco_Custo='$preco_custo', Preco_Venda='$preco_venda', Id_Cfop='$id_cfop', Bonificado='$bonificado',
        Icms='$icms', Valor_Icms='$valor_icms', Icms_Sub='$icms_sub', Mva='$mva', Reducao='$reducao', Origem_ST='0', Ipi='$ipi', Origem='$origem',
        Concluido='$concluido', Id_Externo='$id_externo', Id_Unidade='$id_unidade', Data_Externo='$dataExterno', Lancamento = '$lancamento',
        Id_Usuario='{$_SESSION['Id']}', Id_Usuario_Upd='{$_SESSION['Id']}', Data_Cadastro='$dataHoraAtual', Data_Cadastro_Upd='$dataHoraAtual'");
}

function registrarLog($ip = "", $nome = "", $email = "", $unidade = "", $modulo = "", $acao = "", $obs = "") {
    global $con;
    $data = date("Y-m-d H:i:s");
    mysqli_query($con, "INSERT INTO log_usuario SET Nome = '$nome', Email = '$email', Id_Unidade = '$unidade', Data = '$data', Modulo = '$modulo',
        Acao = '$acao', Ip = '$ip', Obs = '$obs'");
}

function formatarData(string $formato, string $data): string  {
    $data = str_replace('/', '-', $data);
    return date($formato, strtotime($data));
}
function formatarValor(string $para, float $valor, int $qtdCasasDecimais = 2) {
    if($para == 'Exibir') {
        if(QTD_CASA_DECIMAL == 'Livre') {
            return number_format($valor, $qtdCasasDecimais, ',', '.');
        }
        switch (QTD_CASA_DECIMAL) {
            case "2":
                $casa = 100;
                break;
            case "3":
                $casa = 1000;
                break;
            case "4":
                $casa = 10000;
                break;
            case "5":
                $casa = 100000;
                break;
            default:
                $casa = 100;
        }
        $valor = round($valor * $casa) / $casa;
        return number_format($valor, QTD_CASA_DECIMAL, ',', '.');
    }
    return str_replace(['.', ','], ['', '.'], $valor);
}
function verificarTelaAtual(): string  {
    $url = explode("/", $_SERVER['REQUEST_URI']);
    $arquivoAtual = explode('_', end($url));
    $telaAtual = end($arquivoAtual);
    $localizaExtensao = strpos($telaAtual, '.php');
    $tela = substr($telaAtual, 0 , $localizaExtensao);
    return $tela;
}
function formatarDocumento(string $formato, string $numeroDocumento): string {
    $splitFormato = preg_split("/[0-9]/", $formato);
    $valorFormatado = "";
    
    for($i = 0; $i < sizeof($splitFormato); $i++) {
        $valorFormatado .= $splitFormato[$i] == '' ? $numeroDocumento[$i] : "$splitFormato[$i]$numeroDocumento[$i]";
    }
    return $valorFormatado;
}
function limpaNome($letra){
    $letra = str_replace(["'", "<", ">", "\\", "`", "",], "", $letra);
    $letra = str_replace("  ", " ", $letra);
    $letra = str_replace("?", "-", $letra);

    return trim($letra);
}
?>