<?php
include_once '../include/conecta.php'; //Conecta com a nosso banco de dados MySQL
include_once '../include/ver_sessao.php'; //Verifica se a sesso est ativa
include_once '../include/funcoesPhp.php'; include_once '../menu_movimento.php';
?>
<?php
	$sql_produto = mysqli_query($con,"SELECT rmes.Lancamento,
                            rmes.Data_Rmes,
                            fornecedor.Titulo as Fornecedor,
                            fornecedor.Razao_Social,
                            funcionario.Titulo as Funcionario,
                            cfop.Cfop as Cfop,
                            rmes.Frete,
                            transportadora.Titulo as Transportadora,
                            rmes.Obs,
                            rmes.Desconto_Real,
                            rmes.Desconto,
                            rmes.Valor_Pago,
                            tipo_pagamento.Titulo as Tipo_Pagamento,
                            rmes.Data_Conclusao,
                            Lancamento_Pre_Venda,
                            Data_Entrega_Pre_Venda,
                            cliente.Titulo as Cliente
                            FROM rmes
                            LEFT JOIN (SELECT Id,Titulo,Razao_Social FROM fornecedor) as fornecedor ON rmes.Id_Fornecedor = fornecedor.Id
                            LEFT JOIN (SELECT Id,Titulo FROM funcionario) as funcionario ON rmes.Id_Funcionario = funcionario.Id
                            LEFT JOIN (SELECT Id,Cfop FROM cfop) as cfop ON rmes.Id_Cfop = cfop.Id
                            LEFT JOIN (SELECT Id,Titulo FROM cliente) as cliente ON rmes.Id_Cliente_Pre_Venda = cliente.Id
                            LEFT JOIN (SELECT Id,Titulo FROM fornecedor WHERE Tipo = 'T') as transportadora ON rmes.Id_Transportadora = transportadora.Id
                            LEFT JOIN (SELECT Id,Titulo FROM tipo_pagamento) as tipo_pagamento ON rmes.Id_Tipo_Pagamento = tipo_pagamento.Id
                            WHERE rmes.Id='".$_GET["id_rmes"]."'")
	or die("ERRO no comando SQL:".mysqli_error($con));
	$array_produto = mysqli_fetch_assoc($sql_produto);

	$_POST["Lancamento"] 	= $array_produto["Lancamento"];
	$_POST["Data_Rmes"]  	= $array_produto["Data_Rmes"];
	$_POST["Obs"]           = stripslashes($array_produto["Obs"]);
	$_POST["Fornecedor"]    = $array_produto["Fornecedor"];
        $_POST["Razao_Social"]  = $array_produto["Razao_Social"];
	$_POST["Funcionario"]  	= $array_produto["Funcionario"];
        $_POST["Cfop"]          = $array_produto["Cfop"];
        $_POST["Frete"]         = $array_produto["Frete"];
        $_POST["Transportadora"]= $array_produto["Transportadora"];
        $_POST["Desconto_Real"] = valor_exibir($array_produto["Desconto_Real"]);
        $_POST["Desconto"]      = valor_exibir($array_produto["Desconto"]);
        $_POST["Valor_Pago"]    = valor_exibir($array_produto["Valor_Pago"]);
	$_POST["Tipo_Pagamento"]= $array_produto["Tipo_Pagamento"];
	$_POST["Data_Conclusao"]= $array_produto["Data_Conclusao"];
    $_POST["Lancamento_Pre_Venda"]= $array_produto["Lancamento_Pre_Venda"];
    $_POST["Data_Entrega_Pre_Venda"]= $array_produto["Data_Entrega_Pre_Venda"];
    $_POST["Cliente"]= $array_produto["Cliente"];
        

?>
<html>
<head>
<title>Gw - Gesto Web</title>
<link rel="stylesheet" type="text/css" href="../estilo/<?php echo SKIN ;?>/tableless.css" />
<link rel="stylesheet" type="text/css" href="../estilo/<?php echo SKIN ;?>/tabela_imp.css" />
</head>
<body>
    
        <fieldset class="envolve">
            
 <table width="100%" align="center" border="0" cellpadding="2" cellspacing="2">
     <tr>
         <td class="azul-claro" width="20%">Lanamento</td>
         <td class="cinza"><?php echo $_POST["Lancamento"];?></td>
     </tr>
     <tr>
         <td class="azul-claro" width="20%">Data</td>
         <td class="cinza"><?php echo data_exibir($_POST["Data_Rmes"]);?></td>
     </tr>
     <tr>
         <td class="azul-claro" width="20%">Responsvel</td>
         <td class="cinza"><?php echo $_POST["Funcionario"];?></td>
     </tr>
     <tr>
         <td class="azul-claro" width="20%">Fornecedor</td>
         <td class="cinza">
             <?php
             if(FORNECEDOR_RAZAO_SOCIAL=='Sim')
                echo $_POST["Razao_Social"];
             else
                echo $_POST["Fornecedor"];
             ?>
         </td>
     </tr>
     <tr>
         <td class="azul-claro" width="20%">Cfop</td>
         <td class="cinza"><?php echo $_POST["Cfop"];?></td>
     </tr>
     <tr>
         <td class="azul-claro" width="20%">Frete</td>
         <td class="cinza"><?php echo $_POST["Frete"];?></td>
     </tr>
     <tr>
         <td class="azul-claro" width="20%">Transportadora</td>
         <td class="cinza"><?php echo $_POST["Transportadora"];?></td>
     </tr>
     <tr>
         <td class="azul-claro" width="20%">Obs</td>
         <td class="cinza"><?php echo $_POST["Obs"];?></td>
     </tr>
     <tr>
         <td class="azul-claro" width="20%">Tipo Pagamento</td>
         <td class="cinza"><?php echo $_POST["Tipo_Pagamento"];?></td>
     </tr>
     <tr>
         <td class="azul-claro" width="20%">Desconto</td>
         <td class="cinza"><?php echo $_POST["Desconto"];?></td>
     </tr>
     <tr>
         <td class="azul-claro" width="20%">Desconto</td>
         <td class="cinza"><?php echo $_POST["Desconto_Real"];?></td>
     </tr>
     <tr>
         <td class="azul-claro" width="20%">Valor</td>
         <td class="cinza"><?php echo $_POST["Valor_Pago"];?></td>
     </tr>
     <tr>
         <td class="azul-claro" width="20%">Data Concluso</td>
         <td class="cinza"><?php echo data_exibir($_POST["Data_Conclusao"]);?></td>
     </tr>
     <tr>
         <td class="azul-claro" width="20%">Pr - Venda</td>
         <td class="cinza"><?php echo $_POST["Lancamento_Pre_Venda"];?></td>
     </tr>
     <tr>
         <td class="azul-claro" width="20%">Data Entrega Pr - Venda</td>
         <td class="cinza"><?php echo data_exibir($_POST["Data_Entrega_Pre_Venda"]);?></td>
     </tr>
     <tr>
         <td class="azul-claro" width="20%">Cliente</td>
         <td class="cinza"><?php echo $_POST["Cliente"];?></td>
     </tr>
 </table>

 <table width="100%" align="center" border="0" cellpadding="2" cellspacing="2">
     <tr>
         <td colspan="2">&nbsp;&nbsp;&nbsp;</td>
     </tr>
     <tr>
         <td class="azul-claro" width="2%">x</td>
         <td class="azul-claro" width="20%">Cdigo</td>
         <td class="azul-claro" width="30%">Produto</td>
         <td class="azul-claro" width="10%">Preo</td>
         <td class="azul-claro" width="10%">Qtd</td>
         <td class="azul-claro" width="10%">Total</td>
     </tr>
<?php
    
$usuario = mysqli_query($con,"Select produto.Titulo as Produto,
                            produto.Codigo,
                            rmes_produto.Preco,
                            rmes_produto.Qtd,
                            rmes_produto.Desconto,
                            rmes_produto.Desconto_Real
                            from rmes_produto
                            INNER JOIN (SELECT Id,Titulo,Codigo FROM produto) as produto ON produto.Id = rmes_produto.Id_Produto
                            where 1=1
                            AND rmes_produto.Id_Rmes = '".$_GET["id_rmes"]."'
                            ORDER by rmes_produto.Data_Cadastro ");
$x='1';
while ($chave = mysqli_fetch_assoc($usuario)) {
?>

     <tr>
         <td class="cinza"><?php echo $x;?></td>
         <td class="cinza"><?php echo $chave["Codigo"];?></td>
         <td class="cinza"><?php echo $chave["Produto"];?></td>
         <td class="cinza"><?php echo @valor_exibir( ( ($chave["Preco"]) - ($chave["Preco"] * ($chave["Desconto"]/100)) ) - $chave["Desconto_Real"]);?></td>
         <td class="cinza"><?php echo valor_exibir($chave["Qtd"]);?></td>
         <td class="cinza"><?php echo @valor_exibir( ( ($chave["Preco"]*$chave["Qtd"]) - ( ($chave["Preco"]*$chave["Qtd"])*($chave["Desconto"]/100) ) ) - $chave["Desconto_Real"]);?></td>
     </tr>
     
<?php $x++; } ?>
     
 </table>
            
        <br/>
        <button class="botao_novo" type="button" value="Voltar" onclick="location.href='list_rmes.php';">Voltar</button>
            
        </fieldset>