<link rel="stylesheet" type="text/css" href="../estilo/<?php echo SKIN ;?>/tableless.css" />
<link rel="stylesheet" type="text/css" href="../js/jquery-ui/jquery-ui.min.css" />
<script type="text/javascript" language="javascript" src="../js/jquery-3.3.1.min.js"></script>
<script type="text/javascript" language="javascript" src="../js/jquery-ui/jquery-ui.min.js"></script>
<script>
	$(document).ready(function() {
		$("#adicionarPacote").click(function() {
			let indice = $('.pacote').length;
			
			$("#pacotes").append(`
				<div class="pacote d-flex flex-column gap-1 align-items-end">
					<div class="form-text-group">
						<label for="Titulo">Titulo</label>
						<span class="text-group">T</span>
						<input type="text" name="pacotes[${indice}][titulo]" value="" required>
					</div>
					<div class="d-flex justify-content-between gap-1">
						<div class="form-text-group w-50">
							<label for="Valor">Altura</label>
							<span class="text-group">&uarr;</span>
							<div class="d-flex justify-content-between align-items-center gap-05">
								<input type="text" name="pacotes[${indice}][altura]" value="" required>
								<pre>cm</pre>
							</div>
						</div>
						<div class="form-text-group w-50">
							<label for="Valor">Largura</label>
							<span class="text-group">&uarr;&darr;</span>
							<div class="d-flex justify-content-between align-items-center gap-05">
								<input type="text" name="pacotes[${indice}][largura]" value="" required>
								<pre>cm</pre>
							</div>
						</div>
					</div>
					<div class="d-flex justify-content-between gap-1">
						<div class="form-text-group w-50">
							<label for="Valor">Comprimento</label>
							<span class="text-group">&harr;</span>
							<div class="d-flex justify-content-between align-items-center gap-05">
								<input type="text" name="pacotes[${indice}][comprimento]" value="" required>
								<pre>cm</pre>
							</div>
						</div>
						<div class="form-text-group w-50">
							<label for="Valor">Capacidade</label>
							<span class="text-group">&perp;</span>
							<div class="d-flex justify-content-between align-items-center gap-05">
								<input type="text" name="pacotes[${indice}][capacidade]" value="" required>
								<pre>kg</pre>
							</div>
						</div>
					</div>
					<button type="button" class="btn-excluir">
						<img src="../imagem/lixeira-delivery.png" alt="">
					</button>
				</div>
			`)

			$(`input[name="pacotes[${indice}][titulo]"]`).focus();
		})

		$("body").on("click", ".btn-excluir", function() {
			let [pacote] = Array.from($(this).parents(".pacote").find("input")).map(input => input.value.length > 0);

			if(!pacote) {
				$(this).parents(".pacote").remove();
			}
			else {
				let confirmacaoExclusao = confirm("Deseja excluir esta caixa?");
	
				if(confirmacaoExclusao) {
					$(this).parents(".pacote").remove();
				}
			}
		});
	})
</script>