<?php
include_once '../include/conecta.php'; //Conecta com a nosso banco de dados MySQL
ini_set('session.gc_maxlifetime', 60*120); session_start();
/*include_once '../include/ver_sessao.php'; //Verifica se a sesso est ativa*/
include_once '../include/funcoesPhp.php'; include_once '../menu_movimento.php';

function data_exibirtxt($data){
	if (trim($data)!=''){
		$ano = substr($data,0,4);
                //$ano = substr($data,2,2);
		$mes = substr($data,5,2);
		$dia = substr($data,8,2);
		return $ano.$mes.$dia;
                //return $dia.$mes.$ano;
	}
}

function limit($palavra,$limite)
{
    if(strlen($palavra) >= $limite)
    {
        $var = substr($palavra, 0,$limite);
    }
    else
    {
        $max = (int)($limite-strlen($palavra));
        $var = $palavra.complementoRegistro($max,"brancos");
    }
    return $var;
}

function sequencial($i)
{
    if($i < 10)
    {
        return zeros(0,5).$i;
    }
    else if($i >= 10 && $i < 100)
    {
        return zeros(0,4).$i;
    }
    else if($i >= 100 && $i < 1000)
    {
        return zeros(0,3).$i;
    }
    else if($i >= 1000 && $i < 10000)
    {
        return zeros(0,2).$i;
    }
    else if($i >= 10000 && $i < 100000)
    {
        return zeros(0,1).$i;
    }
}

function zeros($min,$max)
{
    $zeros = '';
    $x = ($max - strlen($min));
    for($i = 0; $i < $x; $i++)
    {
        $zeros .= '0';
    }
    return $zeros.$min;
}

function complementoRegistro($int,$tipo)
{
    if($tipo == "zeros")
    {
        $space = '';
        for($i = 1; $i <= $int; $i++)
        {
            $space .= '0';
        }
    }
    else if($tipo == "brancos")
    {
        $space = '';
        for($i = 1; $i <= $int; $i++)
        {
            $space .= ' ';
        }
    }

    return $space;
}

if($_GET["EF"]==''){
    $ef = " ";
    $ef_compra = ' ';
}else{
    $ef_estoque = " AND estoque.EF = '".$_GET["EF"]."' ";
    $ef_compra = " AND compra.EF = '".$_GET["EF"]."' ";
}

#formatando datas#
$data_1 = $_GET["De"];
$partes = explode("/", $data_1);
$dia_de = $partes[0];
$mes_de = $partes[1];
$ano_de = $partes[2];

$data_1 = $_GET["Ate"];
$partes = explode("/", $data_1);
$dia_ate = $partes[0];
$mes_ate = $partes[1];
$ano_ate = $partes[2];

$mes_anterior1 = date('d/m/Y', strtotime('-1 months', strtotime( $ano_ate.'-'.$mes_ate.'-30' )));
$partes_anterior = explode("/", $mes_anterior1);
$dia_anterior = $partes_anterior[0];
$mes_anterior = $partes_anterior[1];
$ano_anterior = $partes_anterior[2];


$reg = '0';
$reg2 = '0';


ob_start(); //CR=01
$conteudo = '';

//CR=01 - Registro Mestre

//*CR=01 (UM POR ARQUIVO)
$conteudo .= '01'; // Deve ser igual a 01 para indicar que  Registro Mestre
$conteudo .= '01';
$conteudo .= date("YmdHis"); // Data e Hora
$conteudo .= '0000';
$conteudo .= '0210';
$conteudo .= '0001';
$conteudo .= chr(13).chr(10); //essa  a quebra de linha
$reg+=1;
$reg2+=1;
$totalBloco["01"]+=1;

echo $conteudo;
$sql_01 = ob_get_contents();
ob_end_clean();//fim CR=01






##COMPRAS - CFOP
$sql_vprod = mysqli_query($con,"SELECT DISTINCT compra_produto.Id_Cfop,
                        cfop.Cfop as CCfop
                        FROM (SELECT Id
                        FROM compra 
                        WHERE compra.Id_Unidade='".$_GET["Unidade"]."'
                        $ef_compra
                        AND compra.Status = 'Finalizado'
                        AND compra.Data_Conclusao >= '".data_banco($_GET["De"])."' 
                        AND compra.Data_Conclusao <= '".data_banco($_GET["Ate"])."') as compra
                        LEFT JOIN (SELECT Id,Id_Compra,Id_Cfop FROM compra_produto) as compra_produto ON compra_produto.Id_Compra = compra.Id
                        INNER JOIN (SELECT Id,CAST(Cfop AS int) as Cfop FROM cfop) cfop ON cfop.Id = compra_produto.Id_Cfop
                        WHERE 1=1
                        ORDER BY cfop.Cfop ");

while ($reg_prod = mysqli_fetch_assoc($sql_vprod)) {
    if($reg_prod['Id_Cfop']){
        $cfop_id[$reg_prod['Id_Cfop']]= $reg_prod['CCfop'];
    }
}
##FIM COMPRAS - CFOP


##VENDAS - CFOP
$sql_vprod = mysqli_query($con,"Select DISTINCT nfe_pedido_produto.Id_Cfop,
                    cfop.Cfop as CCfop
                    FROM (SELECT Id,Id_Pedido FROM nfe 
                    WHERE nfe.Id_Unidade='".$_GET["Unidade"]."'
                    AND nfe.Protocolo<>''
                    AND nfe.Data_Nfe >= '".data_banco($_GET["De"])."' 
                    AND nfe.Data_Nfe <= '".data_banco($_GET["Ate"])."') as nfe
                    LEFT JOIN (SELECT Id,Id_Cfop,Id_Pedido FROM nfe_pedido_produto) as nfe_pedido_produto ON nfe_pedido_produto.Id_Pedido = nfe.Id_Pedido
                    INNER JOIN (SELECT Id,CAST(Cfop AS int) as Cfop FROM cfop ) cfop ON cfop.Id = nfe_pedido_produto.Id_Cfop
                    WHERE 1=1
                    ORDER BY cfop.Cfop ");

while ($reg_prod = mysqli_fetch_assoc($sql_vprod)) {
    if($reg_prod['Id_Cfop']){
        $cfop_id[$reg_prod['Id_Cfop']]= $reg_prod['CCfop'];
    }
}
##FIM VENDAS - CFOP

asort($cfop_id);
$cfop_id1 = array_unique($cfop_id);





ob_start(); //CR=10
$conteudo = '';

foreach($cfop_id1 as $vetor => $vetor2){


$regCfop=[];




##COMPRAS POR CFOP

$sql_vprod = mysqli_query($con,"SELECT compra_produto.ST_Icms,
                        compra_produto.Icms,
                        compra_produto.Icms_Bc,
                        compra_produto.Icms_Bc_NT,
                        compra_produto.Icms_Real,
                        compra_produto.Valor_Item,
                        compra_produto.Preco,
                        compra_produto.Qtd,
                        compra_produto.Desconto,
                        compra_produto.Desconto_Real,
                        compra_produto.Desconto_Total,
                        compra_produto.Icms_Sub_Real,
                        compra_produto.Outros,
                        compra_produto.Icms_Sub,
                        compra_produto.Conversao,
                        compra_produto.Qtd_Conversao,
                        compra_produto.Ipi_Real,
                        compra_produto.Frete,
                        fornecedor.Cpf_Cnpj,
                        fornecedor.Estado,
                        fornecedor.Codigo,
                        fornecedor.Id as Id_Fornecedor,
                        fornecedor.Codigo_Cidade,
                        CONCAT(Origem_ST,ST_Icms) as CST,
                        produto.Id as Id_Produto,
                        produto.Origem_ST,
                        cfop.Cfop,
                        compra_produto.Id_Cfop,
                        compra.Cod_Mun_Dest,
                        compra.Cte,
                        cidade_ibge.Uf
                        FROM (
                        (SELECT Id,Id_Fornecedor,Cod_Mun_Dest,Cte FROM compra 
                        WHERE compra.Id_Unidade='".$_GET["Unidade"]."' 
                        AND compra.Status = 'Finalizado'
                        AND compra.Nfse='No'
                        AND compra.Cte='No'
                        AND compra.Ener_Tel='No'
                        AND compra.Telefone='No'
                        AND compra.NF='No'
                        AND compra.Data_Conclusao >= '".data_banco($_GET["De"])."' 
                        AND compra.Data_Conclusao <= '".data_banco($_GET["Ate"])."'
                        $ef_compra)
                            UNION
                        (SELECT Id,Id_Fornecedor,Cod_Mun_Dest,Cte FROM compra 
                        WHERE compra.Id_Unidade='".$_GET["Unidade"]."' 
                        AND compra.Status = 'Finalizado'
                        AND compra.Ener_Tel='Sim'
                        AND compra.NF='No'
                        AND compra.Data_Conclusao >= '".data_banco($_GET["De"])."' 
                        AND compra.Data_Conclusao <= '".data_banco($_GET["Ate"])."'
                        $ef_compra)
                            UNION
                        (SELECT Id,Id_Fornecedor,Cod_Mun_Dest,Cte FROM compra 
                        WHERE compra.Id_Unidade='".$_GET["Unidade"]."' 
                        AND compra.Status = 'Finalizado'
                        AND compra.Cte='Sim'
                        AND compra.NF='No'
                        AND compra.Data_Conclusao >= '".data_banco($_GET["De"])."' 
                        AND compra.Data_Conclusao <= '".data_banco($_GET["Ate"])."'
                        $ef_compra)
                            UNION
                        (SELECT Id,Id_Fornecedor,Cod_Mun_Dest,Cte FROM compra 
                        WHERE compra.Id_Unidade='".$_GET["Unidade"]."' 
                        AND compra.Status = 'Finalizado'
                        AND compra.Telefone='Sim'
                        AND compra.NF='No'
                        AND compra.Data_Conclusao >= '".data_banco($_GET["De"])."' 
                        AND compra.Data_Conclusao <= '".data_banco($_GET["Ate"])."'
                        $ef_compra)
                        ) as compra
                        INNER JOIN (SELECT Id,ST_Icms,Icms,Preco,Qtd,Desconto,Desconto_Real,Id_Compra,Id_Cfop,
                        Id_Produto,Icms_Sub,Conversao,Qtd_Conversao,Ipi_Real,Frete,
                        Icms_Bc,Icms_Real,Icms_Bc_NT,Valor_Item,Desconto_Total,Icms_Sub_Real,
                        Outros
                        FROM compra_produto WHERE compra_produto.Id_Cfop = '".$vetor."' ) as compra_produto ON compra_produto.Id_Compra = compra.Id
                        INNER JOIN (SELECT Id,CAST(Cfop AS int) as Cfop FROM cfop WHERE UPPER(SUBSTRING(CAST(Cfop AS int), 1, 1)) <= '3') as cfop ON cfop.Id = compra_produto.Id_Cfop
                        LEFT JOIN (SELECT Id,Origem_ST FROM produto) as produto ON compra_produto.Id_Produto = produto.Id
                        INNER JOIN (
                            SELECT fornecedor.Id,Cpf_Cnpj,Razao_Social,Estado,Codigo,Codigo_Cidade,Codigo_Gia FROM fornecedor
                            LEFT JOIN (SELECT Id,Codigo_Gia FROM cidade_ibge) as cidade_ibge ON fornecedor.Id_Cidade = cidade_ibge.Id
                        ) as fornecedor ON compra.Id_Fornecedor = fornecedor.Id
                        LEFT JOIN (SELECT Id,Codigo,Uf,Codigo_Gia FROM cidade_ibge) as cidade_ibge ON compra.Cod_Mun_Dest = cidade_ibge.Codigo
                        WHERE 1=1
                        ORDER BY cidade_ibge.Codigo_Gia,fornecedor.Codigo_Gia  ");

$xx=1;
$xy=1;
$VL_DOC='0';
$VL_BC_ICMS_TOTAL='0';
$VL_ICMS_TOTAL='0';
$VL_BC_ICMS_NT='0';
$VL_OUT_IMP='0';
while ($reg_vprod = mysqli_fetch_assoc($sql_vprod)) {
    
    if($reg_vprod["Icms_Bc"]<'0'){
        $reg_vprod["Icms_Bc"] = abs($reg_vprod["Icms_Bc"]);
    }
    if($reg_vprod["Icms_Real"]<'0'){
        $reg_vprod["Icms_Real"] = abs($reg_vprod["Icms_Real"]);
    }
    if($reg_vprod["Valor_Item"]<'0'){
        $reg_vprod["Valor_Item"] = abs($reg_vprod["Valor_Item"]);
    }
    if($reg_vprod["Desconto_Total"]<'0'){
        $reg_vprod["Desconto_Total"] = abs($reg_vprod["Desconto_Total"]);
    }
    if($reg_vprod["Icms_Bc_NT"]<'0'){
        $reg_vprod["Icms_Bc_NT"] = abs($reg_vprod["Icms_Bc_NT"]);
    }
    if($reg_vprod["Ipi_Real"]<'0'){
        $reg_vprod["Ipi_Real"] = abs($reg_vprod["Ipi_Real"]);
    }
    if($reg_vprod['Outros']<'0'){
        $reg_vprod['Outros'] = abs($reg_vprod['Outros']);
    }

    if( ($reg_vprod["ST_Icms"]=='30')  || ($reg_vprod["ST_Icms"]=='41')
        || ($reg_vprod["ST_Icms"]=='50') || ($reg_vprod["ST_Icms"]=='70') ){
        $VL_BC_ICMS = '0';
        $VL_ICMS = '0';
    }else{
        $VL_BC_ICMS = $reg_vprod["Icms_Bc"];
        $VL_ICMS = $reg_vprod["Icms_Real"];
    }
    
    $VL_DOC=($reg_vprod["Valor_Item"] - $reg_vprod["Desconto_Total"]) + $reg_vprod["Frete"] + $reg_vprod['Outros'] 
            + $reg_vprod["Icms_Sub_Real"] + $reg_vprod["Ipi_Real"];
    $VL_BC_ICMS_TOTAL=($VL_ICMS > 0) ? $VL_BC_ICMS : 0;
    $VL_ICMS_TOTAL=$VL_ICMS;
    $VL_BC_ICMS_NT=$reg_vprod["Icms_Bc_NT"];
    $VL_OUT_IMP=$reg_vprod["Ipi_Real"];





//*REGISTRO CR10 (VARIOS POR ARQUIVO)
$regCfop[$vetor2][10]["Cfop"] = $vetor2; // 02 CFOP
$regCfop[$vetor2][10]["ValorContabil"] += number_format($VL_DOC,2,".","");//ValorContbil
$regCfop[$vetor2][10]["BaseCalculo"] += number_format($VL_BC_ICMS_TOTAL,2,".","");//BaseClculo
$regCfop[$vetor2][10]["Imposto"] += number_format($VL_ICMS_TOTAL,2,".","");//Imposto
$regCfop[$vetor2][10]["IsentasNaoTrib"] += number_format($VL_BC_ICMS_NT,2,".","");//IsentasNoTrib
$regCfop[$vetor2][10]["Outras"] += number_format(0,2,".","");//Outras
$regCfop[$vetor2][10]["ImpostoRetidoST"] += number_format(0,2,".","");//ImpostoRetidoST
$regCfop[$vetor2][10]["ImpRetSubstitutoST"] += number_format(0,2,".","");//ImpRetSubstitutoST
$regCfop[$vetor2][10]["ImpRetSubstituido"] += number_format(0,2,".","");//ImpRetSubstitudo
$regCfop[$vetor2][10]["OutrosImpostos"] += number_format($VL_OUT_IMP,2,".","");//OutrosImpostos



$estados = [
    "01" => "AC",
    "02" => "AL",
    "03" => "AP",
    "04" => "AM",
    "05" => "BA",
    "06" => "CE",
    "07" => "DF",
    "08" => "ES",
    "10" => "GO",
    "12" => "MA",
    "13" => "MT",
    "28" => "MS",
    "14" => "MG",
    "15" => "PA",
    "16" => "PB",
    "17" => "PR",
    "18" => "PE",
    "19" => "PI",
    "22" => "RJ",
    "20" => "RN",
    "21" => "RS",
    "23" => "RO",
    "24" => "RR",
    "25" => "SC",
    "26" => "SP",
    "27" => "SE",
    "29" => "TO",
];

if(substr($reg_vprod["Cfop"],0,1)=='2' OR substr($reg_vprod["Cfop"],0,1)=='6'){
    if(!empty($reg_vprod["Cod_Mun_Dest"]) && $reg_vprod["Cte"]=='Sim' && $reg_vprod["Uf"]!='SP'){
        $reg_vprod["Codigo_Cidade"] = $reg_vprod["Cod_Mun_Dest"];
        $reg_vprod["Estado"] = $reg_vprod["Uf"];
    }
}

switch($reg_vprod["Codigo_Cidade"]){
    case '1100106' : $reg_vprod["Codigo_Cidade"] ='00001';
    break;
    case '1200104' : $reg_vprod["Codigo_Cidade"] ='00105';
    break;
    case '1200203' : $reg_vprod["Codigo_Cidade"] ='00107';
    break;
    case '1302603' : $reg_vprod["Codigo_Cidade"] ='00255';
    break;
    case '1400159' : $reg_vprod["Codigo_Cidade"] ='00307';
    break;
    case '1600303' : $reg_vprod["Codigo_Cidade"] ='00605';
    break;
    case '1600600' : $reg_vprod["Codigo_Cidade"] ='00615';
    break;
    case '1303536' : $reg_vprod["Codigo_Cidade"] ='09841';
    break;
    case '1303569' : $reg_vprod["Codigo_Cidade"] ='09843';
    break;
    case '1304062' : $reg_vprod["Codigo_Cidade"] ='09847';
    break;
    case '1200252' : $reg_vprod["Codigo_Cidade"] ='99998';
    break;
    case '1400100' : $reg_vprod["Codigo_Cidade"] ='00301';
    break;
    case '1400456' : $reg_vprod["Codigo_Cidade"] ='99999';
    break;
}

foreach($estados as $reg1 => $reg2){
    if(substr($vetor2,0,1)=='2' OR substr($vetor2,0,1)=='6'){
        if($reg_vprod["Estado"]==$reg2){
            if($reg_vprod["Estado"]!='SP'){
                $regCfop[$vetor2][10][14][$reg_vprod["Estado"]]["UF"] = $reg1; // 02 UF
                $regCfop[$vetor2][10][14][$reg_vprod["Estado"]]["Valor_Contabil_1"] += number_format($VL_DOC,2,".","");//Valor_Contbil_1
                $regCfop[$vetor2][10][14][$reg_vprod["Estado"]]["BaseCalculo_1"] += number_format($VL_BC_ICMS_TOTAL,2,".","");//BaseClculo_1
                $regCfop[$vetor2][10][14][$reg_vprod["Estado"]]["Valor_Contabil_2"] += number_format(0,2,".","");//Valor_Contbil_2
                $regCfop[$vetor2][10][14][$reg_vprod["Estado"]]["BaseCalculo_2"] += number_format(0,2,".","");//BaseClculo_2
                $regCfop[$vetor2][10][14][$reg_vprod["Estado"]]["Imposto"] += number_format($VL_ICMS_TOTAL,2,".","");//Imposto
                $regCfop[$vetor2][10][14][$reg_vprod["Estado"]]["Outras"] += number_format(0,2,".","");//Outras
                $regCfop[$vetor2][10][14][$reg_vprod["Estado"]]["ICMSCobradoST"] += number_format(0,2,".","");//ICMSCobradoST
                $regCfop[$vetor2][10][14][$reg_vprod["Estado"]]["PetroleoEnergia"] += number_format(0,2,".","");//PetrleoEnergia
                $regCfop[$vetor2][10][14][$reg_vprod["Estado"]]["OutrosProdutos"] += number_format(0,2,".","");//OutrosProdutos
                $regCfop[$vetor2][10][14][$reg_vprod["Estado"]]["Benef"] = 0;//Benef
                $regCfop[$vetor2][10]["Q14"] .= $reg_vprod["Estado"].',';//TotalQ14s
    
            
            if($reg_vprod["Suframa"]!=''){
                if($reg_vprod["Estado"]=='AC' OR $reg_vprod["Estado"]=='AP' OR $reg_vprod["Estado"]=='AM' 
                    OR $reg_vprod["Estado"]=='RO' OR $reg_vprod["Estado"]=='RR'){
                    $regCfop[$vetor2][10][14][$reg_vprod["Estado"]][18][$xy]["NF"] = $reg_vprod["Fatura"]; // 02 NF
                    $regCfop[$vetor2][10][14][$reg_vprod["Estado"]][18][$xy]["Data"] = $reg_vprod["Data_Compra"];//Data
                    $regCfop[$vetor2][10][14][$reg_vprod["Estado"]][18][$xy]["Valor"] = number_format($reg_vprod["Valor_Pago"],2,".","");//Valor
                    $regCfop[$vetor2][10][14][$reg_vprod["Estado"]][18][$xy]["CNPJDest"] = $reg_vprod["Cpf_Cnpj"];//CNPJDest
                    $regCfop[$vetor2][10][14][$reg_vprod["Estado"]][18][$xy]["MunicipioDest"] = $reg_vprod["Codigo_Cidade"];//MunicpioDest
                    $regCfop[$vetor2][10][14][$reg_vprod["Estado"]]["Q18"] += 1;//TotalQ14s
                    $regCfop[$vetor2][10][14][$reg_vprod["Estado"]]["Benef"] = 1;//Benef
                    $xy++;
                }
            }
            $xx++;
            }
        
        }
    }
    
}






}







##FIM COMPRAS POR CFOP





##VENDA POR CFOP


$sql_vprod = mysqli_query($con,"SELECT nfe_pedido_produto.ST_Icms,
                    nfe_pedido_produto.Icms,
                    nfe_pedido_produto.Icms_Bc,
                    nfe_pedido_produto.Icms_Bc_NT,
                    nfe_pedido_produto.Icms_Real,
                    nfe_pedido_produto.Valor_Total_Produto,
                    nfe_pedido_produto.Preco,
                    nfe_pedido_produto.Qtd,
                    nfe_pedido_produto.Desconto,
                    nfe_pedido_produto.Desconto_Real,
                    nfe_pedido_produto.Desconto_Real_Pe_Nota,
                    nfe_pedido_produto.Desconto_Total,
                    nfe_pedido_produto.Despesa,
                    nfe_pedido_produto.Frete,
                    nfe_pedido_produto.Ipi_Real,
                    nfe_pedido_produto.Ipi_Devol_Real,
                    nfe_pedido_produto.Id_Cfop,
                    nfe_pedido_produto.vICMSDeson,
                    nfe.Numero_Nota,
                    nfe.Data_Nfe,
                    produto.Id as Id_Produto,
                    produto.Origem_ST,
                    CONCAT(Origem_ST,ST_Icms) as CST,
                    cfop.Cfop,
                    cliente.Cpf_Cnpj,
                    cliente.Estado,
                    cliente.Codigo,
                    cliente.Suframa,
                    cliente.Codigo_Cidade,
                    cliente.Id as Id_Cliente
                    FROM (SELECT Id,Id_Pedido,Numero_Nota,Data_Nfe
                    FROM nfe 
                    WHERE nfe.Id_Unidade='".$_GET["Unidade"]."'
                    AND nfe.Protocolo<>''
                    AND nfe.Status='Ativa'
                    AND nfe.Data_Nfe >= '".data_banco($_GET["De"])."' 
                    AND nfe.Data_Nfe <= '".data_banco($_GET["Ate"])."') as nfe
                    INNER JOIN (SELECT Id,ST_Icms,Icms,Id_Cfop,Id_Nfe,
                    Preco,Qtd,Desconto,Desconto_Real,Id_Pedido,Id_Produto,Data_Cadastro,Desconto_Real_Pe_Nota,Despesa,
                    Icms_Bc,Icms_Bc_NT,Icms_Real,Valor_Total_Produto,Desconto_Total,Ipi_Real,vICMSDeson,
                    Ipi_Devol_Real,Frete
                    FROM nfe_pedido_produto
                    WHERE nfe_pedido_produto.Id_Cfop = '".$vetor."') as nfe_pedido_produto ON nfe_pedido_produto.Id_Nfe = nfe.Id
                    LEFT JOIN (SELECT Id,Origem_ST FROM produto) as produto ON nfe_pedido_produto.Id_Produto = produto.Id
                    LEFT JOIN (SELECT Id,CAST(Cfop AS int) as Cfop FROM cfop) as cfop ON cfop.Id = nfe_pedido_produto.Id_Cfop
                    INNER JOIN (SELECT Id,Id_Cliente,Id_Nfe FROM nfe_pedido ) as nfe_pedido ON nfe_pedido.Id_Nfe = nfe.Id
                    LEFT JOIN (
                        (SELECT cliente.Id,Cpf_Cnpj,Estado,Codigo,Codigo_Cidade,Suframa,cidade_ibge.Codigo_Gia FROM cliente
                        LEFT JOIN (SELECT Id,Codigo_Gia FROM cidade_ibge) as cidade_ibge ON cliente.Id_Cidade = cidade_ibge.Id)
                        UNION
                        (SELECT fornecedor.Id,Cpf_Cnpj,Estado,Codigo,Codigo_Cidade,'' as Suframa,cidade_ibge.Codigo_Gia FROM fornecedor
                        LEFT JOIN (SELECT Id,Codigo_Gia FROM cidade_ibge) as cidade_ibge ON fornecedor.Id_Cidade = cidade_ibge.Id)
                     ) as cliente ON nfe_pedido.Id_Cliente = cliente.Id
                    WHERE 1=1
                    ORDER BY cliente.Codigo_Gia ");

$xx=1;
$xy=1;
$VL_DOC='0';
$VL_BC_ICMS_TOTAL='0';
$VL_ICMS_TOTAL='0';
$VL_BC_ICMS_NT='0';
$VL_OUT_IMP='0';
while ($reg_vprod = mysqli_fetch_assoc($sql_vprod)) {

    if($reg_vprod["Icms_Bc"]<'0'){
        $reg_vprod["Icms_Bc"] = abs($reg_vprod["Icms_Bc"]);
    }
    if($reg_vprod["Icms_Real"]<'0'){
        $reg_vprod["Icms_Real"] = abs($reg_vprod["Icms_Real"]);
    }
    if($reg_vprod["Valor_Total_Produto"]<'0'){
        $reg_vprod["Valor_Total_Produto"] = abs($reg_vprod["Valor_Total_Produto"]);
    }
    if($reg_vprod["Desconto_Total"]<'0'){
        $reg_vprod["Desconto_Total"] = abs($reg_vprod["Desconto_Total"]);
    }
    if($reg_vprod["Icms_Bc_NT"]<'0'){
        $reg_vprod["Icms_Bc_NT"] = abs($reg_vprod["Icms_Bc_NT"]);
    }
    if($reg_vprod["Ipi_Real"]<'0'){
        $reg_vprod["Ipi_Real"] = abs($reg_vprod["Ipi_Real"]);
    }

    if($reg_vprod["Desconto_Total"]==0 && $reg_vprod["vICMSDeson"]>0){
        $reg_vprod["Desconto_Total"] = $reg_vprod["vICMSDeson"];
    }

    if($reg_vprod['Despesa']<'0'){
        $reg_vprod['Despesa'] = abs($reg_vprod['Despesa']);
    }

    $reg_vprod["Ipi_Real"] = ($reg_vprod['Ipi_Devol_Real']>0) ? $reg_vprod['Ipi_Devol_Real'] : $reg_vprod["Ipi_Real"];

    if( ($reg_vprod["ST_Icms"]=='30')  || ($reg_vprod["ST_Icms"]=='41')
        || ($reg_vprod["ST_Icms"]=='50') || ($reg_vprod["ST_Icms"]=='60') || ($reg_vprod["ST_Icms"]=='70') ){
        $VL_BC_ICMS = '0';
        $VL_ICMS = '0';
    }else{
        $VL_BC_ICMS = $reg_vprod["Icms_Bc"];
        $VL_ICMS = $reg_vprod["Icms_Real"];
    }
    
    $VL_DOC=($reg_vprod["Valor_Total_Produto"] - $reg_vprod["Desconto_Total"]) + $reg_vprod["Frete"] + $reg_vprod['Despesa'] 
                + $reg_vprod["Ipi_Real"];
    $VL_BC_ICMS_TOTAL=($VL_ICMS > 0) ? $VL_BC_ICMS : 0;
    $VL_ICMS_TOTAL=$VL_ICMS;
    $VL_BC_ICMS_NT=$reg_vprod["Icms_Bc_NT"];
    $VL_OUT_IMP=$reg_vprod["Ipi_Real"];














//*REGISTRO CR10 (VARIOS POR ARQUIVO)
$regCfop[$vetor2][10]["Cfop"] = $vetor2; // 02 CFOP
$regCfop[$vetor2][10]["ValorContabil"] += number_format($VL_DOC,2,".","");//ValorContbil
$regCfop[$vetor2][10]["BaseCalculo"] += number_format($VL_BC_ICMS_TOTAL,2,".","");//BaseClculo
$regCfop[$vetor2][10]["Imposto"] += number_format($VL_ICMS_TOTAL,2,".","");//Imposto
$regCfop[$vetor2][10]["IsentasNaoTrib"] += number_format($VL_BC_ICMS_NT,2,".","");//IsentasNoTrib
$regCfop[$vetor2][10]["Outras"] += number_format(0,2,".","");//Outras
$regCfop[$vetor2][10]["ImpostoRetidoST"] += number_format(0,2,".","");//ImpostoRetidoST
$regCfop[$vetor2][10]["ImpRetSubstitutoST"] += number_format(0,2,".","");//ImpRetSubstitutoST
$regCfop[$vetor2][10]["ImpRetSubstituido"] += number_format(0,2,".","");//ImpRetSubstitudo
$regCfop[$vetor2][10]["OutrosImpostos"] += number_format($VL_OUT_IMP,2,".","");//OutrosImpostos



$estados = [
    "01" => "AC",
    "02" => "AL",
    "03" => "AP",
    "04" => "AM",
    "05" => "BA",
    "06" => "CE",
    "07" => "DF",
    "08" => "ES",
    "10" => "GO",
    "12" => "MA",
    "13" => "MT",
    "28" => "MS",
    "14" => "MG",
    "15" => "PA",
    "16" => "PB",
    "17" => "PR",
    "18" => "PE",
    "19" => "PI",
    "22" => "RJ",
    "20" => "RN",
    "21" => "RS",
    "23" => "RO",
    "24" => "RR",
    "25" => "SC",
    "26" => "SP",
    "27" => "SE",
    "29" => "TO",
];

switch($reg_vprod["Codigo_Cidade"]){
    case '1100106' : $reg_vprod["Codigo_Cidade"] ='00001';
    break;
    case '1200104' : $reg_vprod["Codigo_Cidade"] ='00105';
    break;
    case '1200203' : $reg_vprod["Codigo_Cidade"] ='00107';
    break;
    case '1302603' : $reg_vprod["Codigo_Cidade"] ='00255';
    break;
    case '1400159' : $reg_vprod["Codigo_Cidade"] ='00307';
    break;
    case '1600303' : $reg_vprod["Codigo_Cidade"] ='00605';
    break;
    case '1600600' : $reg_vprod["Codigo_Cidade"] ='00615';
    break;
    case '1303536' : $reg_vprod["Codigo_Cidade"] ='09841';
    break;
    case '1303569' : $reg_vprod["Codigo_Cidade"] ='09843';
    break;
    case '1304062' : $reg_vprod["Codigo_Cidade"] ='09847';
    break;
    case '1200252' : $reg_vprod["Codigo_Cidade"] ='99998';
    break;
    case '1400100' : $reg_vprod["Codigo_Cidade"] ='00301';
    break;
    case '1400456' : $reg_vprod["Codigo_Cidade"] ='99999';
    break;
}


foreach($estados as $reg1 => $reg2){
    if(substr($vetor2,0,1)=='2' OR substr($vetor2,0,1)=='6'){
        if($reg_vprod["Estado"]==$reg2){
            if($reg_vprod["Estado"]!='SP'){
                $regCfop[$vetor2][10][14][$reg_vprod["Estado"]]["UF"] = $reg1; // 02 UF
                $regCfop[$vetor2][10][14][$reg_vprod["Estado"]]["Valor_Contabil_1"] += number_format($VL_DOC,2,".","");//Valor_Contbil_1
                $regCfop[$vetor2][10][14][$reg_vprod["Estado"]]["BaseCalculo_1"] += number_format($VL_BC_ICMS_TOTAL,2,".","");//BaseClculo_1
                $regCfop[$vetor2][10][14][$reg_vprod["Estado"]]["Valor_Contabil_2"] += number_format(0,2,".","");//Valor_Contbil_2
                $regCfop[$vetor2][10][14][$reg_vprod["Estado"]]["BaseCalculo_2"] += number_format(0,2,".","");//BaseClculo_2
                $regCfop[$vetor2][10][14][$reg_vprod["Estado"]]["Imposto"] += number_format($VL_ICMS_TOTAL,2,".","");//Imposto
                $regCfop[$vetor2][10][14][$reg_vprod["Estado"]]["Outras"] += number_format(0,2,".","");//Outras
                $regCfop[$vetor2][10][14][$reg_vprod["Estado"]]["ICMSCobradoST"] += number_format(0,2,".","");//ICMSCobradoST
                $regCfop[$vetor2][10][14][$reg_vprod["Estado"]]["PetroleoEnergia"] += number_format(0,2,".","");//PetrleoEnergia
                $regCfop[$vetor2][10][14][$reg_vprod["Estado"]]["OutrosProdutos"] += number_format(0,2,".","");//OutrosProdutos
                $regCfop[$vetor2][10][14][$reg_vprod["Estado"]]["Benef"] = 0;//Benef
                $regCfop[$vetor2][10]["Q14"] .= $reg_vprod["Estado"].',';//TotalQ14s


                
                if($reg_vprod["Suframa"]!=''){
                    if($reg_vprod["Estado"]=='AC' OR $reg_vprod["Estado"]=='AP' OR $reg_vprod["Estado"]=='AM' 
                        OR $reg_vprod["Estado"]=='RO' OR $reg_vprod["Estado"]=='RR'){
                        $regCfop[$vetor2][10][14][$reg_vprod["Estado"]][18][$xy]["NF"] = $reg_vprod["Numero_Nota"]; // 02 NF
                        $regCfop[$vetor2][10][14][$reg_vprod["Estado"]][18][$xy]["Data"] = $reg_vprod["Data_Nfe"];//Data
                        $regCfop[$vetor2][10][14][$reg_vprod["Estado"]][18][$xy]["Valor"]+= number_format($VL_DOC,2,".","");//Valor
                        $regCfop[$vetor2][10][14][$reg_vprod["Estado"]][18][$xy]["CNPJDest"] = $reg_vprod["Cpf_Cnpj"];//CNPJDest
                        $regCfop[$vetor2][10][14][$reg_vprod["Estado"]][18][$xy]["MunicipioDest"] = $reg_vprod["Codigo_Cidade"];//MunicpioDest
                        $regCfop[$vetor2][10][14][$reg_vprod["Estado"]]["Q18"] += 1;//TotalQ14s
                        $regCfop[$vetor2][10][14][$reg_vprod["Estado"]]["Benef"] = 1;//Benef
                        $xy++;
                    }
                }
                $xx++;
        }

        }
    }
}

















}

//echo "<pre>";
//var_dump($regCfop);
//echo "</pre>";

foreach($regCfop as $reg3){
    
    foreach($reg3 as $reg4 => $valor1){
            
            //echo "<pre>";
            //var_dump($valor1["Q14"]);
            //echo "</pre>";

            $valor1["Q14"] = explode(",",$valor1["Q14"]);
            $valor1["Q14"] = count(array_filter(array_unique($valor1["Q14"])));
            
            $conteudo .= '10';
            $conteudo .= str_pad($valor1["Cfop"],"6","0", STR_PAD_RIGHT);
            $conteudo .= str_pad(soNumero(valor_exibir($valor1["ValorContabil"])),"15","0", STR_PAD_LEFT);
            $conteudo .= str_pad(soNumero(valor_exibir($valor1["BaseCalculo"])),"15","0", STR_PAD_LEFT);
            $conteudo .= str_pad(soNumero(valor_exibir($valor1["Imposto"])),"15","0", STR_PAD_LEFT);
            $conteudo .= str_pad(soNumero(valor_exibir($valor1["IsentasNaoTrib"])),"15","0", STR_PAD_LEFT);
            $conteudo .= str_pad(soNumero(valor_exibir($valor1["Outras"])),"15","0", STR_PAD_LEFT);
            $conteudo .= str_pad(soNumero(valor_exibir($valor1["ImpostoRetidoST"])),"15","0", STR_PAD_LEFT);
            $conteudo .= str_pad(soNumero(valor_exibir($valor1["ImpRetSubstitutoST"])),"15","0", STR_PAD_LEFT);
            $conteudo .= str_pad(soNumero(valor_exibir($valor1["ImpRetSubstitudo"])),"15","0", STR_PAD_LEFT);
            $conteudo .= str_pad(soNumero(valor_exibir($valor1["OutrosImpostos"])),"15","0", STR_PAD_LEFT);
            $conteudo .= str_pad($valor1["Q14"],"4","0", STR_PAD_LEFT);
            $conteudo .= chr(13).chr(10); //essa  a quebra de linha
            $reg+=1;
            $reg2+=1;
            $totalBloco["10"]+=1;

        foreach($valor1 as $valor2 => $valor3){

            //asort($valor3);

            foreach($valor3 as $valor5 => $valor6){
                //echo "<pre>";
                //var_dump($valor6);
                //echo "</pre>";

                if($valor6["Q18"]>0){
                    $valor6["Benef"] = 1;
                }

                $conteudo .= '14';
                $conteudo .= $valor6["UF"];
                $conteudo .= str_pad(soNumero(valor_exibir($valor6["Valor_Contabil_1"])),"15","0", STR_PAD_LEFT);
                $conteudo .= str_pad(soNumero(valor_exibir($valor6["BaseCalculo_1"])),"15","0", STR_PAD_LEFT);
                $conteudo .= str_pad(soNumero(valor_exibir($valor6["Valor_Contabil_2"])),"15","0", STR_PAD_LEFT);
                $conteudo .= str_pad(soNumero(valor_exibir($valor6["BaseCalculo_2"])),"15","0", STR_PAD_LEFT);
                $conteudo .= str_pad(soNumero(valor_exibir($valor6["Imposto"])),"15","0", STR_PAD_LEFT);
                $conteudo .= str_pad(soNumero(valor_exibir($valor6["Outras"])),"15","0", STR_PAD_LEFT);
                $conteudo .= str_pad(soNumero(valor_exibir($valor6["ICMSCobradoST"])),"15","0", STR_PAD_LEFT);
                $conteudo .= str_pad(soNumero(valor_exibir($valor6["PetroleoEnergia"])),"15","0", STR_PAD_LEFT);
                $conteudo .= str_pad(soNumero(valor_exibir($valor6["OutrosProdutos"])),"15","0", STR_PAD_LEFT);
                $conteudo .= $valor6["Benef"];
                $conteudo .= str_pad($valor6["Q18"],"4","0", STR_PAD_LEFT);
                $conteudo .= chr(13).chr(10); //essa  a quebra de linha
                $reg+=1;
                $reg2+=1;
                $totalBloco["14"]+=1;
    
                
                foreach($valor6 as $valor7 => $valor8){

                    foreach($valor8 as $valor9 => $valor10){
                        //echo "<pre>";
                        //var_dump($valor10);
                        //echo "</pre>";

                        $conteudo .= '18';
                        $conteudo .= str_pad($valor10["NF"],"9","0", STR_PAD_LEFT);
                        $conteudo .= data_exibirtxt($valor10["Data"]);
                        $conteudo .= str_pad(soNumero(valor_exibir($valor10["Valor"])),"15","0", STR_PAD_LEFT);
                        $conteudo .= str_pad(soNumero($valor10["CNPJDest"]),"14","0", STR_PAD_LEFT);
                        $conteudo .= str_pad(soNumero($valor10["MunicipioDest"]),"5","0", STR_PAD_LEFT);
                        $conteudo .= chr(13).chr(10); //essa  a quebra de linha
                        $reg+=1;
                        $reg2+=1;
                        $totalBloco["18"]+=1;
                    
                    }
                }
            }
        }
    }

}



##FIM VENDA POR CFOP









}
echo $conteudo;
$sql_101418 = ob_get_contents();
ob_end_clean();//fim CR=10









ob_start(); //CR=05
$conteudo = '';

//CR=05 - Cabealho do Documento Fiscal

$sql_05 = mysqli_query($con,"Select unidade.Id,
                         unidade.Razao_Social,
                         unidade.Titulo,
                         unidade.Cnpj,
                         unidade.Estado,
                         unidade.Estadual,
                         unidade.Codigo_Cidade as Cidade_Ibge,
                         unidade.Nire
                         FROM unidade
                         WHERE unidade.Id='".$_GET["Unidade"]."'");
$linha05 = mysqli_fetch_assoc($sql_05);

//CR=05 (UM POR ARQUIVO)
$conteudo .= '05'; // 01 REG - C - 004.
$conteudo .= str_pad(soNumero($linha05["Estadual"]), 12,"0", STR_PAD_LEFT); // 02 IND_MOV - N - 01 - O
$conteudo .= str_pad(CaracteresEspeciais($linha05["Cnpj"],"Sim","Sim"), 14,"0", STR_PAD_LEFT);
$conteudo .= '0000000';
$conteudo .= '01';
$conteudo .= $ano_de.$mes_de;
$conteudo .= '000000';
$conteudo .= '01';
$conteudo .= '1';
$conteudo .= '0';
$conteudo .= '000000000000000';
$conteudo .= '000000000000000';
$conteudo .= '20755929000138';
$conteudo .= '0';
$conteudo .= '000000000000000';
$conteudo .= '00000000000000000000000000000000';
$conteudo .= str_pad($linha05["q07"], 4,"0", STR_PAD_LEFT);
$conteudo .= str_pad($totalBloco["10"], 4,"0", STR_PAD_LEFT);
$conteudo .= str_pad($linha05["q20"], 4,"0", STR_PAD_LEFT);
$conteudo .= str_pad($linha05["q30"], 4,"0", STR_PAD_LEFT);
$conteudo .= str_pad($linha05["q31"], 4,"0", STR_PAD_LEFT);
$conteudo .= chr(13).chr(10); //essa  a quebra de linha
$reg+=1;
$reg2+=1;
$totalBloco["05"]+=1;

echo $conteudo;
$sql_05 = ob_get_contents();
ob_end_clean();//fim CR=05








/**** MONTAGEM GERAL ******/

$conteudo = $sql_01.
            $sql_05.
            $sql_101418.
            $sql_9001;

/**** MONTAGEM GERAL ******/







$Sequencial_Cobranca = "GIA- ".substr($linha05["Titulo"],0,20)." ".CaracteresEspeciais($linha05["Cnpj"],"Sim","Sim")." - DE ".data_exibirtxt(data_banco($_GET["De"]))." ATE ".data_exibirtxt(data_banco($_GET["Ate"]));

$fp = fopen($Sequencial_Cobranca.".prf", "w");

// Escreve "exemplo de escrita" no bloco1.txt
$escreve = fwrite($fp, $conteudo);

// Fecha o arquivo
$finaliza = fclose($fp);

$aquivoNome = $Sequencial_Cobranca.".prf"; // nome do arquivo que ser enviado p/ download
$arquivoLocal = $aquivoNome; // caminho absoluto do arquivo

// Definimos o novo nome do arquivo
$novoNome = $Sequencial_Cobranca.".prf";

// Configuramos os headers que sero enviados para o browser
header('Content-Description: File Transfer');
header('Content-Disposition: attachment; filename="'.$novoNome.'"');
header('Content-Type: application/octet-stream');
header('Content-Transfer-Encoding: binary');
header('Content-Length: ' . filesize($aquivoNome));
header('Cache-Control: must-revalidate, post-check=0, pre-check=0');
header('Pragma: public');
header('Expires: 0');

// Envia o arquivo para o cliente
readfile($aquivoNome);

//copiando e deletando o arquivo
//$origem = 'arquivo.txt';
//$destino = 'pasta/example.txt';
//copy($origem, $destino);
unlink($arquivoLocal);

?>