<?php
include_once '../include/conecta.php'; //Conecta com a nosso banco de dados MySQL
ini_set('session.gc_maxlifetime', 60*120); session_start();
/*include_once '../include/ver_sessao.php'; //Verifica se a sesso est ativa*/
include_once '../include/funcoesPhp.php'; include_once '../menu_movimento.php';

function data_exibirtxt($data){
	if (trim($data)!=''){
		$ano = substr($data,0,4);
                //$ano = substr($data,2,2);
		$mes = substr($data,5,2);
		$dia = substr($data,8,2);
		//return $ano.$mes.$dia;
                return $dia.$mes.$ano;
	}
}

function limit($palavra,$limite)
{
    if(strlen($palavra) >= $limite)
    {
        $var = substr($palavra, 0,$limite);
    }
    else
    {
        $max = (int)($limite-strlen($palavra));
        $var = $palavra.complementoRegistro($max,"brancos");
    }
    return $var;
}

function sequencial($i)
{
    if($i < 10)
    {
        return zeros(0,5).$i;
    }
    else if($i >= 10 && $i < 100)
    {
        return zeros(0,4).$i;
    }
    else if($i >= 100 && $i < 1000)
    {
        return zeros(0,3).$i;
    }
    else if($i >= 1000 && $i < 10000)
    {
        return zeros(0,2).$i;
    }
    else if($i >= 10000 && $i < 100000)
    {
        return zeros(0,1).$i;
    }
}

function zeros($min,$max)
{
    $zeros = '';
    $x = ($max - strlen($min));
    for($i = 0; $i < $x; $i++)
    {
        $zeros .= '0';
    }
    return $zeros.$min;
}

function complementoRegistro($int,$tipo)
{
    if($tipo == "zeros")
    {
        $space = '';
        for($i = 1; $i <= $int; $i++)
        {
            $space .= '0';
        }
    }
    else if($tipo == "brancos")
    {
        $space = '';
        for($i = 1; $i <= $int; $i++)
        {
            $space .= ' ';
        }
    }

    return $space;
}

if($_GET["EF"]==''){
    $ef = " ";
}else{
    $ef_estoque = " AND estoque.EF = '".$_GET["EF"]."' ";
}

#formatando datas#
$data_1 = $_GET["De"];
$partes = explode("/", $data_1);
$dia_de = $partes[0];
$mes_de = $partes[1];
$ano_de = $partes[2];

$data_1 = $_GET["Ate"];
$partes = explode("/", $data_1);
$dia_ate = $partes[0];
$mes_ate = $partes[1];
$ano_ate = $partes[2];

$mes_anterior1 = date('d/m/Y', strtotime('-1 months', strtotime( $ano_ate.'-'.$mes_ate.'-30' )));
$partes_anterior = explode("/", $mes_anterior1);
$dia_anterior = $partes_anterior[0];
$mes_anterior = $partes_anterior[1];
$ano_anterior = $partes_anterior[2];

$primeiro_dia = '01/01/'.$ano_de;


$reg = '0';
$reg2 = '0';
$conteudo .= '|';

//BLOCO 0 - ABERTURA

$_GET["Unidade"] = '3';

$sql_0000 = mysqli_query($con,"Select unidade.Id,
                         unidade.Razao_Social,
                         unidade.Titulo,
                         unidade.Cnpj,
                         unidade.Estado,
                         unidade.Estadual,
                         unidade.Codigo_Cidade as Cidade_Ibge,
                         unidade.Nire
                         FROM unidade
                         WHERE unidade.Id='".$_GET["Unidade"]."'");
$linha0000 = mysqli_fetch_assoc($sql_0000);

//*REGISTRO 0000 (UM POR ARQUIVO)
$conteudo .= '0000'.'|'; // 01 REG - C - 004.
$conteudo .= 'LFPD'.'|';
$conteudo .= data_exibirtxt(data_banco($_GET["Ate"])).'|'; // 04 DT_INI - N - 08* - O
$conteudo .= data_exibirtxt(data_banco($_GET["Ate"])).'|'; // 05 DT_FIN - N - 08* - O
$conteudo .= substr($linha0000["Razao_Social"],0,59).'|'; // 06 NOME - C - 100 - O
$conteudo .= CaracteresEspeciais($linha0000["Cnpj"],"Sim").'|'; // 07 CNPJ - N - 14* - OC
$conteudo .= $linha0000["Estado"].'|'; // 09 UF - C - 02* - O
$conteudo .= substr(CaracteresEspeciais($linha0000["Estadual"],"Sim"),0,13).'|'; // 10 IE - C - 14 - O
$conteudo .= $linha0000["Cidade_Ibge"].'|'; // 11 COD_MUN - N - 07* - O
$conteudo .= ''.'|'; //$linha0000["Municipal"].'|'; // 12 IM - C - 08 - OC
$conteudo .= ''.'|';
$conteudo .= ''.'|'; // 13 SUFRAMA - C - 09* - OC
$conteudo .= '2000'.'|'; // versao
$conteudo .= '0'.'|'; // 03 COD_FIN - N - 01 - O
$conteudo .= '21'.'|';
$conteudo .= 'BRASIL'.'|';
$conteudo .= substr($linha0000["Titulo"],0,59).'|'; // 06 NOME - C - 100 - O
$conteudo .= substr($linha0000["Nire"],0,10).'|'; // NIRE
$conteudo .= ''.'|'; // CPF
$conteudo .= ''.'|';
$conteudo .= chr(13).chr(10); //essa  a quebra de linha
$reg+=1;
$reg2+=1;
$totalBloco["0000"]+=1;


$conteudo .= '|';
//*REGISTRO 0001 (UM POR ARQUIVO)
$conteudo .= '0001'.'|'; // 01 REG - C - 004.
$conteudo .= '0'.'|'; // 02 IND_MOV - N - 01 - O
$conteudo .= chr(13).chr(10); //essa  a quebra de linha
$reg+=1;
$reg2+=1;
$totalBloco["0001"]+=1;



$sql_0005 = mysqli_query($con,"Select unidade.Id,
                         unidade.Titulo,
                         unidade.Responsavel,
                         unidade.Responsavel_Cpf,
                         unidade.Cep,
                         unidade.Rua,
                         unidade.Numero,
                         unidade.Complemento,
                         unidade.Bairro,
                         unidade.Fone1,
                         unidade.Fone2,
                         unidade.Email
                         FROM unidade
                         WHERE Id='".$_GET["Unidade"]."'");
$linha0005 = mysqli_fetch_assoc($sql_0005);

$conteudo .= '|';
//*REGISTRO 0005 (UM POR ARQUIVO)
$conteudo .= '0005'.'|'; // 01 REG - C - 004.
$conteudo .= substr($linha0005["Responsavel"],0,59).'|'; // 02 FANTASIA - C - 60 - O
$conteudo .= '203'.'|'; // 01 REG - C - 004.
$conteudo .= CaracteresEspeciais($linha0005["Responsavel_Cpf"],"Sim","Sim").'|'; // 03 CPF - N - 08* - O
$conteudo .= CaracteresEspeciais($linha0005["Cep"],"Sim","Sim").'|'; // 03 CEP - N - 08* - O
$conteudo .= substr($linha0005["Rua"],0,39).'|'; // 04 END - C - 60 - O
$conteudo .= $linha0005["Numero"].'|'; // 05 NUM - C - 10 - OC
$conteudo .= substr($linha0005["Complemento"],0,49).'|'; // 06 COMPL - C - 60 - OC
$conteudo .= substr($linha0005["Bairro"],0,59).'|'; // 07 BAIRRO - C - 60 - O
$conteudo .= CaracteresEspeciais($linha0005["Cep"],"Sim","Sim").'|'; // 03 CEP - N - 08* - O
$conteudo .= ''.'|';
$conteudo .= CaracteresEspeciais($linha0005["Fone1"],"Sim","Sim").'|'; // 08 FONE - C - 11 - OC
$conteudo .= CaracteresEspeciais($linha0005["Fone2"],"Sim","Sim").'|'; // 09 FAX - C - 11 - OC
$conteudo .= $linha0005["Email"].'|'; // 10 EMAIL - C - 40 - OC
$conteudo .= chr(13).chr(10); //essa  a quebra de linha
$reg+=1;
$reg2+=1;
$totalBloco["0005"]+=1;




$conteudo .= '|';
//*REGISTRO 0030 (UM POR ARQUIVO)
$conteudo .= '0030'.'|'; // 01 REG - C - 004.
$conteudo .= '1'.'|';
$conteudo .= '6'.'|';
$conteudo .= '9'.'|';
$conteudo .= '2'.'|';
$conteudo .= ''.'|';
$conteudo .= ''.'|';
$conteudo .= ''.'|';
$conteudo .= ''.'|';
$conteudo .= ''.'|';
$conteudo .= ''.'|';
$conteudo .= '1'.'|';
$conteudo .= ''.'|';
$conteudo .= '0'.'|';
$conteudo .= '1'.'|';
$conteudo .= '1'.'|';
$conteudo .= '1'.'|';
$conteudo .= ''.'|';
$conteudo .= chr(13).chr(10); //essa  a quebra de linha
$reg+=1;
$reg2+=1;
$totalBloco["0030"]+=1;



/*
//REGISTRO 0015 (VARIOS POR ARQUIVO)
$conteudo .= '0015'; // 01 REG - C - 004.
$conteudo .= '0000'; // 02 UF_ST - C - 02* - O
$conteudo .= '0000'; // 03 IE_ST - C - 14 - O
 * 
 */

$sql_0100 = mysqli_query($con,"Select Cont_Nome,
                        Cont_Cpf,
                        Cont_Crc,
                        Cont_Cnpj,
                        Cont_Cep,
                        Cont_End,
                        Cont_Num,
                        Cont_Compl,
                        Cont_Bairro,
                        Cont_Fone,
                        Cont_Fax,
                        Cont_Email,
                        Cont_Estado,
                        Cont_Cidade,
                        Cont_Cod_Mun
                        FROM unidade
                        WHERE Id='".$_GET["Unidade"]."'");
$linha0100 = mysqli_fetch_assoc($sql_0100);

$conteudo .= '|';
//*REGISTRO 0100 (UM POR ARQUIVO)
$conteudo .= '0100'.'|'; // 01 REG - C - 004.
$conteudo .= $linha0100["Cont_Nome"].'|'; // 02 NOME - C - 100 - O
$conteudo .= '900'.'|';
$conteudo .= CaracteresEspeciais($linha0100["Cont_Cnpj"],"Sim").'|'; // 05 CNPJ - N - 14* - OC
$conteudo .= CaracteresEspeciais($linha0100["Cont_Cpf"],"Sim").'|'; // 03 CPF - N - 11* - O
$conteudo .= CaracteresEspeciais($linha0100["Cont_Crc"],"Sim").'|'; // 04 CRC - C - 15 - O
$conteudo .= CaracteresEspeciais($linha0100["Cont_Cep"],"Sim").'|'; // 06 CEP - N - 08* - OC
$conteudo .= substr($linha0100["Cont_End"],0,39).'|'; // 07 END - C - 60 - OC
$conteudo .= $linha0100["Cont_Num"].'|'; // 08 NUM - C - 10 - OC
$conteudo .= substr($linha0100["Cont_Compl"],0,49).'|'; // 09 COMPL - C - 60 - OC
$conteudo .= $linha0100["Cont_Bairro"].'|'; // 10 BAIRRO - C - 60 - OC
$conteudo .= $linha0100["Cont_Estado"].'|';
$conteudo .= $linha0100["Cont_Cod_Mun"].'|'; // 14 COD_MUN - N - 07* - OC
$conteudo .= ''.'|'; // 06 CEP - N - 08* - OC
$conteudo .= ''.'|'; // 06 CEP - N - 08* - OC
$conteudo .= CaracteresEspeciais($linha0100["Cont_Fone"],"Sim").'|'; // 11 FONE - C - 11 - OC
$conteudo .= CaracteresEspeciais($linha0100["Cont_Fax"],"Sim").'|'; // 12 FAX - C - 11 - OC
$conteudo .= $linha0100["Cont_Email"].'|'; // 13 EMAIL - C - 40 - O
$conteudo .= chr(13).chr(10); //essa  a quebra de linha
$reg+=1;
$reg2+=1;
$totalBloco["0100"]+=1;


/*
$conteudo .= '|';
//*REGISTRO 0110 (UM POR ARQUIVO)
$conteudo .= '0110'.'|'; // 01 REG - C - 004.
$conteudo .= substr($linha0110["Titulo"],0,59).'|'; // 02 COD_EST - C - 60 - N
$conteudo .= substr($linha0110["Razao_Social"],0,99).'|'; // 03 NOME - C - 100 - S
$conteudo .= CaracteresEspeciais($linha0110["Cnpj"],"Sim").'|'; // 04 CNPJ - N - 14* - S
$conteudo .= $linha0140["Estado"].'|'; // 05 UF - C - 02* - S
$conteudo .= $linha0110["Estadual"].'|'; // 06 IE - C - 14 - S
$conteudo .= $linha0110["Codigo_Cidade"].'|'; // 07 COD_MUN - N - 07* - S
$conteudo .= $linha0110["Municipal"].'|'; // 08 IM - C - 10 - S
$conteudo .= '||'; // 09 SUFRAMA - C - 09* - S
$conteudo .= chr(13).chr(10); //essa  a quebra de linha
$reg+=1;
$reg2+=1;
$totalBloco["0110"]+=1;
*/



$sql_0150 = mysqli_query($con,"Select unidade.Id,
                         unidade.Razao_Social,
                         unidade.Titulo,
                         unidade.Cnpj,
                         unidade.Estado,
                         unidade.Estadual,
                         unidade.Codigo_Cidade as Cidade_Ibge,
                         unidade.Natureza
                         FROM unidade
                         WHERE unidade.Id='".$_GET["Unidade"]."'");
$linha0150 = mysqli_fetch_assoc($sql_0150);

$conteudo .= '|';
//*REGISTRO 0150 (VARIOS POR ARQUIVO)
$conteudo .= '0150'.'|'; // 01 REG - C - 004.
$conteudo .= '1'.'|'; // 02 COD_PART - C - 60 - O
$conteudo .= substr($linha0150["Razao_Social"],0,59).'|'; // 03 NOME - C - 60 - O
$conteudo .= '01058'.'|'; // 04 COD_PAIS - N - 05 - O
if($linha0150["Natureza"]=='PF'){
    $conteudo .= ''.'|'; // 05 CNPJ - N - 14* - OC
    $conteudo .= CaracteresEspeciais($linha0150["Cnpj"],"Sim").'|'; // 06 CPF - N - 11* - OC
}else{
    $conteudo .= CaracteresEspeciais($linha0150["Cnpj"],"Sim").'|'; // 05 CNPJ - N - 14* - OC
    $conteudo .= ''.'|'; // 06 CPF - N - 11* - OC
}
$conteudo .= ''.'|'; // VAZIO
$conteudo .= $linha0150["Estado"].'|';
$conteudo .= CaracteresEspeciais($linha0150["Estadual"],"Sim").'|'; // 07 IE - C - 14 - OC
$conteudo .= ''.'|'; // IE ST
$conteudo .= $linha0150["Cidade_Ibge"].'|'; // 08 COD_MUN - C - 07* - OC
$conteudo .= ''.'|'; // IM
$conteudo .= $linha0150["Suframa"].'|'; // 09 SUFRAMA - C - 09* - OC
$conteudo .= chr(13).chr(10); //essa  a quebra de linha
$reg+=1;
$reg2+=1;
$totalBloco["0150"]+=1;


/*
$sql_0150 = mysqli_query($con,"Select DISTINCT cliente.Cpf_Cnpj,
                         cliente.Id,
                         cliente.Razao_Social,
                         cliente.Codigo_Pais,
                         cliente.Natureza,
                         cliente.Estadual,
                         cliente.Rua,
                         cliente.Numero,
                         cliente.Complemento,
                         cliente.Bairro,
                         cliente.Estado,
                         cliente.Codigo_Cidade as Cidade_Ibge
                         FROM (SELECT Id,Data_Nfe,Id_Pedido,Id_Unidade,Status 
                         FROM nfe 
                         WHERE nfe.Id_Unidade='".$_GET["Unidade"]."'
                         AND nfe.Data_Nfe >= '".data_banco($_GET["De"])."' 
                         AND nfe.Data_Nfe <= '".data_banco($_GET["Ate"])."'
                         ) as nfe
                         LEFT JOIN (SELECT Id,Id_Cliente FROM nfe_pedido) as nfe_pedido ON nfe_pedido.Id = nfe.Id_Pedido
                         LEFT JOIN (
                         (SELECT Id,Id_Cidade,Cpf_Cnpj,Razao_Social,Codigo_Cidade,Estado,
                         Codigo_Pais,Natureza,Estadual,Rua,Numero,Complemento,Bairro FROM cliente
                         WHERE (cliente.Razao_Social<>'' OR Id<>'84c09c43f28bc1c9823907b038508c7c') )
                         UNION
                         (SELECT Id,Id_Cidade,Cpf_Cnpj,Razao_Social,Codigo_Cidade,Estado,
                         Codigo_Pais,Natureza,Estadual,Rua,Numero,Complemento,Bairro FROM fornecedor
                         WHERE (fornecedor.Razao_Social<>'' OR Id<>'84c09c43f28bc1c9823907b038508c7c') )
                         ) as cliente ON nfe_pedido.Id_Cliente = cliente.Id
                         WHERE cliente.Razao_Social<>''
                         ORDER BY cliente.Razao_Social ");

while ($linha0150 = mysqli_fetch_assoc($sql_0150)) {

$conteudo .= '|';
//*REGISTRO 0150 (VARIOS POR ARQUIVO)
$conteudo .= '0150'.'|'; // 01 REG - C - 004.
$conteudo .= CaracteresEspeciais($linha0150["Cpf_Cnpj"],"Sim").'|'; // 02 COD_PART - C - 60 - O
$conteudo .= substr($linha0150["Razao_Social"],0,59).'|'; // 03 NOME - C - 60 - O
$conteudo .= str_pad($linha0150["Codigo_Pais"], 5,"0", STR_PAD_LEFT).'|'; // 04 COD_PAIS - N - 05 - O
if($linha0150["Natureza"]=='PF'){
    $conteudo .= ''.'|'; // 05 CNPJ - N - 14* - OC
    $conteudo .= CaracteresEspeciais($linha0150["Cpf_Cnpj"],"Sim").'|'; // 06 CPF - N - 11* - OC
}else{
    $conteudo .= CaracteresEspeciais($linha0150["Cpf_Cnpj"],"Sim").'|'; // 05 CNPJ - N - 14* - OC
    $conteudo .= ''.'|'; // 06 CPF - N - 11* - OC
}
$conteudo .= ''.'|'; // VAZIO
$conteudo .= $linha0150["Estado"].'|';
$conteudo .= CaracteresEspeciais($linha0150["Estadual"],"Sim").'|'; // 07 IE - C - 14 - OC
$conteudo .= ''.'|'; // IE ST
$conteudo .= $linha0150["Cidade_Ibge"].'|'; // 08 COD_MUN - C - 07* - OC
$conteudo .= ''.'|'; // IM
$conteudo .= $linha0150["Suframa"].'|'; // 09 SUFRAMA - C - 09* - OC
//$conteudo .= substr($linha0150["Rua"],0,59).'|'; // 10 END - C - 60 - O
//$conteudo .= $linha0150["Numero"].'|'; // 11 NUM - C - 10 - OC
//$conteudo .= substr($linha0150["Complemento"],0,59).'|'; // 12 COMPL - C - 60 - OC
//$conteudo .= substr($linha0150["Bairro"],0,59).'|'; // 13 BAIRRO - C - 60 - OC
$conteudo .= chr(13).chr(10); //essa  a quebra de linha
$reg+=1;
$reg2+=1;
$totalBloco["0150"]+=1;

}
*/





$sql_0200 = mysqli_query($con,"Select DISTINCT produto.Codigo,
                            produto.Descricao,
                            produto.Genero_Produto
                            FROM produto
                            LEFT JOIN
                            (SELECT Id_Produto,Qtd,Concluido,Id_Unidade,Data_Externo,Id_Local_Estoque 
                            FROM estoque
                            WHERE estoque.Data_Externo <= '".data_banco($_GET["Ate"])."'
                            AND estoque.Data_Externo >= '".data_banco($primeiro_dia)."' 
                            AND estoque.Concluido = 'Sim'
                            AND estoque.Id_Unidade='".$_GET["Unidade"]."'
                            $ef_estoque
                            ) as estoque
                            ON produto.Id = estoque.Id_Produto
                            where 1=1
                            AND produto.Tipo_Produto = 'P'
                            GROUP BY produto.Id
                            order by produto.Titulo");
//WHERE estoque.Data_Externo >= '".data_banco($_GET["De"])."' 
//AND estoque.Data_Externo <= '".data_banco($_GET["Ate"])."'
//HAVING Estoque_Atual > '0'
while ($linha0200 = mysqli_fetch_assoc($sql_0200)) {
    
    if(!empty($linha0200["Descricao"])){
        $conteudo .= '|';
        //*REGISTRO 0200 (VARIOS POR ARQUIVO)
        $conteudo .= '0200'.'|'; // 01 REG - C - 004.
        $conteudo .= $linha0200["Codigo"].'|'; // 02 COD_ITEM - C - 60 - O
        $conteudo .= substr(trim($linha0200["Descricao"]),0,98).'|'; // 03 DESCR_ITEM - C - 100 - O
        $conteudo .= $linha0200["Genero_Produto"].'|'; // 10 COD_GEN - N - 02* - OC
        $conteudo .= ''.'|'; // 11 COD_LST - C - 05 - OC
        $conteudo .= chr(13).chr(10); //essa  a quebra de linha
        $reg+=1;
        $reg2+=1;
        $totalBloco["0200"]+=1;
    }
    
}




$reg+=1;
$reg2+=1;
$conteudo .= '|';
//*REGISTRO 0990 (UM POR ARQUIVO)
$conteudo .= '0990'.'|'; // 01 REG - C - 004.
$conteudo .= $reg.'|'; // 02 QTD_LIN_0 - N - 08 - O
$conteudo .= chr(13).chr(10); //essa  a quebra de linha
$totalBloco["0990"]+=1;

//BLOCO 0 - FIM



//BLOCO H - ABERTURA
$reg='0';

$conteudo .= '|';
//*REGISTRO H001 (UM POR ARQUIVO)
$conteudo .= 'H001'.'|'; // 01 REG - C - 004.
$conteudo .= '0'.'|'; // 02 IND_MOV - C - 01 - O
$conteudo .= chr(13).chr(10); //essa  a quebra de linha
$reg+=1;
$reg2+=1;
$totalBloco["H001"]+=1;



$sql_H020 = mysqli_query($con,"Select produto.Id,
                            produto.Codigo,
                            SUM(estoque.Qtd) as Estoque_Atual,
                            Preco_Custo,
                            produto.Custo
                            FROM (SELECT Id,Codigo,Custo FROM produto WHERE Tipo_Produto = 'P' ) as produto
                            INNER JOIN
                            (SELECT Id_Produto,Qtd,Concluido,Id_Unidade,Data_Externo,Preco_Custo 
                            FROM estoque
                            WHERE estoque.Data_Externo <= '".data_banco($_GET["Ate"])."'
                            AND estoque.Data_Externo >= '".data_banco($primeiro_dia)."' 
                            AND estoque.Concluido = 'Sim'
                            AND estoque.Id_Unidade='".$_GET["Unidade"]."'
                            $ef_estoque
                            ) as estoque
                            ON produto.Id = estoque.Id_Produto
                            where 1=1
                            GROUP BY produto.Id
                            order by produto.Codigo");

$valor_estoque='0';
while ($linhaH020 = mysqli_fetch_assoc($sql_H020)) {

    if($linhaH020['Estoque_Atual']<'0'){
        $linhaH020['Estoque_Atual']=abs($linhaH020['Estoque_Atual']);
    }
    if($linhaH020['Preco_Custo']<'0'){
        $linhaH020['Preco_Custo']=abs($linhaH020['Preco_Custo']);
    }
    
    $vcust = ($linhaH020['Preco_Custo'] * arredondar_estoque($linhaH020['Estoque_Atual']));
    $vcust = valor_exibir($vcust);
    $valor_estoque+= valor_banco($vcust);
    $valor_estoque2+= valor_banco($vcust);

}

$conteudo .= '|';
//*REGISTRO H020 (UM POR ARQUIVO)
$conteudo .= 'H020'.'|'; // 01 REG - C - 004.
$conteudo .= '0'.'|';
$conteudo .= data_exibirtxt(data_banco($_GET["Ate"])).'|'; // 02 DT_EST - N - 8 - O
$conteudo .= number_format($valor_estoque/5,2,",","").'|'; // 04 QTD - N - 10,02 - O
$conteudo .= '0'.'|';
$conteudo .= '0'.'|';
$conteudo .= '0'.'|';
$conteudo .= '0'.'|';
$conteudo .= '0'.'|';
$conteudo .= number_format($valor_estoque2/5,2,",","").'|'; // 04 QTD - N - 10,02 - O
$conteudo .= ''.'|';
$conteudo .= ''.'|';
$conteudo .= chr(13).chr(10); //essa  a quebra de linha
$reg+=1;
$reg2+=1;
$totalBloco["H020"]+=1;
    



$sql_H030 = mysqli_query($con,"Select DISTINCT produto.Id,
                            produto.Codigo,
                            produto.Ncm,
                            produto.Medida,
                            produto.Custo,
                            Preco_Custo,
                            SUM(estoque.Qtd) as Estoque_Atual
                            FROM (SELECT Id,Codigo,Ncm,Medida,Custo FROM produto WHERE produto.Tipo_Produto = 'P') as produto
                            LEFT JOIN
                            (SELECT Id_Produto,Qtd,Concluido,Id_Unidade,Data_Externo,Id_Local_Estoque,Preco_Custo
                            FROM estoque
                            WHERE estoque.Data_Externo <= '".data_banco($_GET["Ate"])."'
                            AND estoque.Data_Externo >= '".data_banco($primeiro_dia)."' 
                            AND estoque.Concluido = 'Sim'
                            AND estoque.Id_Unidade='".$_GET["Unidade"]."'
                            $ef_estoque
                            ) as estoque
                            ON produto.Id = estoque.Id_Produto
                            where 1=1
                            GROUP BY produto.Id
                            order by produto.Codigo");

while ($linhaH030 = mysqli_fetch_assoc($sql_H030)) {

    $linhaH030['Estoque_Atual']=valor_exibir($linhaH030['Estoque_Atual']);
    $linhaH030['Estoque_Atual']=valor_banco($linhaH030['Estoque_Atual']);
    
if($linhaH030['Estoque_Atual']<"0"){
if($linhaH030['Estoque_Atual']<'0'){
    $linhaH030['Estoque_Atual']=abs($linhaH030['Estoque_Atual']);
}

$pc = $linhaH030['Preco_Custo']/5;

$pc2=valor_exibir($pc);
$pc2=valor_banco($pc2);

$conteudo .= '|';
//*REGISTRO H030 (UM POR ARQUIVO)
$conteudo .= 'H030'.'|'; // 01 REG - C - 004.
$conteudo .= '0'.'|';
$conteudo .= '1'.'|';
$conteudo .= '0'.'|';
$conteudo .= $linhaH030['Ncm'].'|'; // 03 COD_ITEM - C - 60 - O
$conteudo .= $linhaH030['Codigo'].'|'; // 03 COD_ITEM - C - 60 - O
$conteudo .= $linhaH030['Medida'].'|';
$conteudo .= number_format($pc,2,",","").'|';
$conteudo .= number_format($linhaH030['Estoque_Atual'],2,",","").'|';
$conteudo .= number_format($pc2*$linhaH030['Estoque_Atual'],2,",","").'|'; // 04 QTD - N - 10,02 - O
$conteudo .= '0'.'|';
$conteudo .= '0'.'|';
$conteudo .= '0'.'|';
$conteudo .= '0'.'|';
$conteudo .= '0'.'|';
$conteudo .= ''.'|';
$conteudo .= chr(13).chr(10); //essa  a quebra de linha
$reg+=1;
$reg2+=1;
$totalBloco["H030"]+=1;

$ver+=$pc2*$linhaH030['Estoque_Atual'];
}

}




$sql_H040 = mysqli_query($con,"Select produto.Id,
                            produto.Codigo,
                            SUM(estoque.Qtd) as Estoque_Atual,
                            Preco_Custo,
                            produto.Custo
                            FROM (SELECT Id,Codigo,Custo FROM produto WHERE produto.Tipo_Produto = 'P') as produto
                            LEFT JOIN
                            (SELECT Id_Produto,Qtd,Concluido,Id_Unidade,Data_Externo,Preco_Custo 
                            FROM estoque
                            WHERE estoque.Data_Externo <= '".data_banco($_GET["Ate"])."'
                            AND estoque.Data_Externo >= '".data_banco($primeiro_dia)."' 
                            AND estoque.Concluido = 'Sim'
                            
                            AND estoque.Id_Unidade='".$_GET["Unidade"]."'
                            $ef_estoque
                            ) as estoque
                            ON produto.Id = estoque.Id_Produto
                            where 1=1
                            GROUP BY produto.Id
                            order by produto.Codigo");

$valor_estoque='0';
while ($linhaH040 = mysqli_fetch_assoc($sql_H040)) {
    if($linhaH040['Estoque_Atual']<'0'){
        $linhaH040['Estoque_Atual']=abs($linhaH040['Estoque_Atual']);
    }
    if($linhaH040['Preco_Custo']<'0'){
        $linhaH040['Preco_Custo']=abs($linhaH040['Preco_Custo']);
    }
    
    $vcust = ($linhaH040['Preco_Custo'] * arredondar_estoque($linhaH040['Estoque_Atual']));
    $vcust = valor_exibir($vcust);
    $valor_estoque+= valor_banco($vcust);

}

$conteudo .= '|';
//*REGISTRO H040 (UM POR ARQUIVO)
$conteudo .= 'H040'.'|'; // 01 REG - C - 004.
$conteudo .= '0'.'|';
$conteudo .= number_format($valor_estoque/5,2,",","").'|'; // 04 QTD - N - 10,02 - O
$conteudo .= chr(13).chr(10); //essa  a quebra de linha
$reg+=1;
$reg2+=1;
$totalBloco["H040"]+=1;




$conteudo .= '|';
//*REGISTRO H050 (UM POR ARQUIVO)
$conteudo .= 'H050'.'|'; // 01 REG - C - 004.
$conteudo .= '0'.'|';
$conteudo .= number_format($valor_estoque/5,2,",","").'|'; // 04 QTD - N - 10,02 - O
$conteudo .= chr(13).chr(10); //essa  a quebra de linha
$reg+=1;
$reg2+=1;
$totalBloco["H050"]+=1;




$sql_H060 = mysqli_query($con,"Select produto.Id,
                            produto.Codigo,
                            produto.Ncm,
                            SUM(estoque.Qtd) as Estoque_Atual,
                            SUM(estoque.Qtd*Preco_Custo) as Valor_Estoque,
                            SUM(estoque.Qtd*Custo) as Valor_Custo
                            FROM (SELECT Id,Codigo,Ncm,Custo FROM produto WHERE produto.Tipo_Produto = 'P') as produto
                            LEFT JOIN
                            (SELECT Id_Produto,Qtd,Concluido,Id_Unidade,Data_Externo,Preco_Custo 
                            FROM estoque
                            WHERE estoque.Data_Externo <= '".data_banco($_GET["Ate"])."'
                            AND estoque.Data_Externo >= '".data_banco($primeiro_dia)."' 
                            AND estoque.Concluido = 'Sim'
                            AND estoque.Id_Unidade='".$_GET["Unidade"]."'
                            $ef_estoque
                            ) as estoque
                            ON produto.Id = estoque.Id_Produto
                            where 1=1
                            GROUP BY produto.Ncm
                            order by produto.Codigo");

while ($linhaH060 = mysqli_fetch_assoc($sql_H060)) {

    $linhaH060['Valor_Estoque']=valor_exibir($linhaH060['Valor_Estoque']);
    $linhaH060['Valor_Estoque']=valor_banco($linhaH060['Valor_Estoque']);
    
if($linhaH060['Valor_Estoque']<"0"){
if($linhaH060['Valor_Estoque']<'0'){
    $linhaH060['Valor_Estoque']=abs($linhaH060['Valor_Estoque']);
}

$conteudo .= '|';
//*REGISTRO H060 (UM POR ARQUIVO)
$conteudo .= 'H060'.'|'; // 01 REG - C - 004.
$conteudo .= $linhaH060['Ncm'].'|';
$conteudo .= number_format($linhaH060['Valor_Estoque']/5,2,",","").'|'; // 04 QTD - N - 10,02 - O
$conteudo .= chr(13).chr(10); //essa  a quebra de linha
$reg+=1;
$reg2+=1;
$totalBloco["H060"]+=1;
}

}




$reg+=1;
$reg2+=1;
$totalBloco["H990"]+=1;
$conteudo .= '|';
//*REGISTRO H990 (UM POR ARQUIVO)
$conteudo .= 'H990'.'|'; // 01 REG - C - 004.
$conteudo .= $reg.'|'; // 02 QTD_LIN_0 - N - 08 - O
$conteudo .= chr(13).chr(10); //essa  a quebra de linha





//BLOCO 9 - ABERTURA
$reg='0';

$conteudo .= '|';
//*REGISTRO 9001 (UM POR ARQUIVO)
$conteudo .= '9001'.'|'; // 01 REG - C - 004.
$conteudo .= '0'.'|'; // 02 IND_MOV - C - 01 - O
$conteudo .= chr(13).chr(10); //essa  a quebra de linha
$reg+=1;
$reg2+=1;
$totalBloco["9001"]+=1;

$ad=1;
foreach($totalBloco as $posicao=>$campo){

$conteudo .= '|';
//*REGISTRO 9900 (VARIOS POR ARQUIVO)
$conteudo .= '9900'.'|'; // 01 REG - C - 004.
$conteudo .= $posicao.'|'; // 02 REG_BLC - C - 4 - O
$conteudo .= $campo.'|'; // 03 QTD_REG_BLC - N - 10 - O
$conteudo .= chr(13).chr(10); //essa  a quebra de linha

$reg+=1;
$reg2+=1;
//$totalBloco["9900"]+=1;

$ad++;
}
$ad+=2;
$conteudo .= '|';
$conteudo .= '9900'.'|'; // 01 REG - C - 004.
$conteudo .= '9900'.'|'; // 02 REG_BLC - C - 4 - O
$conteudo .= $ad.'|'; // 03 QTD_REG_BLC - N - 10 - O
$conteudo .= chr(13).chr(10); //essa  a quebra de linha
$reg+=1;
$reg2+=1;

$conteudo .= '|';
$conteudo .= '9900'.'|'; // 01 REG - C - 004.
$conteudo .= '9990'.'|'; // 02 REG_BLC - C - 4 - O
$conteudo .= '1'.'|'; // 03 QTD_REG_BLC - N - 10 - O
$conteudo .= chr(13).chr(10); //essa  a quebra de linha
$reg+=1;
$reg2+=1;

$conteudo .= '|';
$conteudo .= '9900'.'|'; // 01 REG - C - 004.
$conteudo .= '9999'.'|'; // 02 REG_BLC - C - 4 - O
$conteudo .= '1'.'|'; // 03 QTD_REG_BLC - N - 10 - O
$conteudo .= chr(13).chr(10); //essa  a quebra de linha
$reg+=1;
$reg2+=1;


$reg+=2;//pra contar o de baixo
$reg2+=1;
$totalBloco["9990"]+=1;
$conteudo .= '|';
//*REGISTRO 9990 (UM POR ARQUIVO)
$conteudo .= '9990'.'|'; // 01 REG - C - 004.
$conteudo .= $reg.'|'; // 02 QTD_LIN_0 - N - 08 - O
$conteudo .= chr(13).chr(10); //essa  a quebra de linha

$reg+=1;
$reg2+=1;
$totalBloco["9999"]+=1;
$conteudo .= '|';
//*REGISTRO 9999 (UM POR ARQUIVO)
$conteudo .= '9999'.'|'; // 01 REG - C - 004.
$conteudo .= $reg2.'|'; // 02 QTD_LIN_0 - N - 08 - O
$conteudo .= chr(13).chr(10); //essa  a quebra de linha




$Sequencial_Cobranca = "SEF II INVENTARIO - LMC - ".substr($linha0000["Razao_Social"],0,19)." - DE ".data_exibirtxt(data_banco($_GET["De"]))." ATE ".data_exibirtxt(data_banco($_GET["Ate"]));

$fp = fopen($Sequencial_Cobranca.".txt", "w");

// Escreve "exemplo de escrita" no bloco1.txt
$escreve = fwrite($fp, $conteudo);

// Fecha o arquivo
$finaliza = fclose($fp);

$aquivoNome = $Sequencial_Cobranca.".txt"; // nome do arquivo que ser enviado p/ download
$arquivoLocal = $aquivoNome; // caminho absoluto do arquivo

// Definimos o novo nome do arquivo
$novoNome = $Sequencial_Cobranca.".txt";

// Configuramos os headers que sero enviados para o browser
header('Content-Description: File Transfer');
header('Content-Disposition: attachment; filename="'.$novoNome.'"');
header('Content-Type: application/octet-stream');
header('Content-Transfer-Encoding: binary');
header('Content-Length: ' . filesize($aquivoNome));
header('Cache-Control: must-revalidate, post-check=0, pre-check=0');
header('Pragma: public');
header('Expires: 0');

// Envia o arquivo para o cliente
readfile($aquivoNome);

//copiando e deletando o arquivo
//$origem = 'arquivo.txt';
//$destino = 'pasta/example.txt';
//copy($origem, $destino);
unlink($arquivoLocal);
?>