<?php
include_once '../include/conecta.php'; //Conecta com a nosso banco de dados MySQL
ini_set('session.gc_maxlifetime', 60*120); session_start();
/*include_once '../include/ver_sessao.php'; //Verifica se a sesso est ativa*/
include_once '../include/funcoesPhp.php'; include_once '../menu_movimento.php';

function data_exibirtxt($data){
	if (trim($data)!=''){
		$ano = substr($data,0,4);
                //$ano = substr($data,2,2);
		$mes = substr($data,5,2);
		$dia = substr($data,8,2);
		//return $ano.$mes.$dia;
                return $dia.$mes.$ano;
	}
}

function limit($palavra,$limite)
{
    if(strlen($palavra) >= $limite)
    {
        $var = substr($palavra, 0,$limite);
    }
    else
    {
        $max = (int)($limite-strlen($palavra));
        $var = $palavra.complementoRegistro($max,"brancos");
    }
    return $var;
}

function sequencial($i)
{
    if($i < 10)
    {
        return zeros(0,5).$i;
    }
    else if($i >= 10 && $i < 100)
    {
        return zeros(0,4).$i;
    }
    else if($i >= 100 && $i < 1000)
    {
        return zeros(0,3).$i;
    }
    else if($i >= 1000 && $i < 10000)
    {
        return zeros(0,2).$i;
    }
    else if($i >= 10000 && $i < 100000)
    {
        return zeros(0,1).$i;
    }
}

function zeros($min,$max)
{
    $zeros = '';
    $x = ($max - strlen($min));
    for($i = 0; $i < $x; $i++)
    {
        $zeros .= '0';
    }
    return $zeros.$min;
}

function complementoRegistro($int,$tipo)
{
    if($tipo == "zeros")
    {
        $space = '';
        for($i = 1; $i <= $int; $i++)
        {
            $space .= '0';
        }
    }
    else if($tipo == "brancos")
    {
        $space = '';
        for($i = 1; $i <= $int; $i++)
        {
            $space .= ' ';
        }
    }

    return $space;
}


$reg = '0';
$reg2 = '0';
$conteudo .= '|';

//BLOCO 0 - ABERTURA

$sql_0000 = mysqli_query($con,"Select unidade.Id,
                         unidade.Razao_Social,
                         unidade.Cnpj,
                         unidade.Estado,
                         unidade.Estadual,
                         cidade_ibge.Codigo as Cidade_Ibge
                         FROM unidade
                         LEFT JOIN (SELECT Id,Codigo FROM cidade_ibge) as cidade_ibge ON cidade_ibge.Id = unidade.Id_Cidade
                         WHERE unidade.Id='".$_GET["Unidade"]."'");
$linha0000 = mysqli_fetch_assoc($sql_0000);

//*REGISTRO 0000 (UM POR ARQUIVO)
$conteudo .= '0000'.'|'; // 01 REG - C - 004.
$conteudo .= '008'.'|'; // 02 COD_VER - N - 03* - O
$conteudo .= '0'.'|'; // 03 COD_FIN - N - 01 - O
$conteudo .= data_exibirtxt(data_banco($_GET["De"])).'|'; // 04 DT_INI - N - 08* - O
$conteudo .= data_exibirtxt(data_banco($_GET["Ate"])).'|'; // 05 DT_FIN - N - 08* - O
$conteudo .= substr($linha0000["Razao_Social"],0,99).'|'; // 06 NOME - C - 100 - O
$conteudo .= CaracteresEspeciais($linha0000["Cnpj"],"Sim").'|'; // 07 CNPJ - N - 14* - OC
$conteudo .= ''.'|'; // 08 CPF - N - 11* - OC
$conteudo .= $linha0000["Estado"].'|'; // 09 UF - C - 02* - O
$conteudo .= CaracteresEspeciais($linha0000["Estadual"],"Sim").'|'; // 10 IE - C - 14 - O
$conteudo .= $linha0000["Cidade_Ibge"].'|'; // 11 COD_MUN - N - 07* - O
$conteudo .= $linha0000["Municipal"].'|'; // 12 IM - C - 08 - OC
$conteudo .= ''.'|'; // 13 SUFRAMA - C - 09* - OC
$conteudo .= $_GET["Perfil"].'|'; // 14 IND_PERFIL - C - 01 - O
$conteudo .= '1'.'|'; // 15 IND_ATIV - N - 01 - O
$conteudo .= chr(13).chr(10); //essa  a quebra de linha
$reg+=1;
$reg2+=1;
$totalBloco["0000"]+=1;


$conteudo .= '|';
//*REGISTRO 0001 (UM POR ARQUIVO)
$conteudo .= '0001'.'|'; // 01 REG - C - 004.
$conteudo .= '0'.'|'; // 02 IND_MOV - N - 01 - O
$conteudo .= chr(13).chr(10); //essa  a quebra de linha
$reg+=1;
$reg2+=1;
$totalBloco["0001"]+=1;


$sql_0005 = mysqli_query($con,"Select unidade.Id,
                         unidade.Titulo,
                         unidade.Cep,
                         unidade.Rua,
                         unidade.Numero,
                         unidade.Complemento,
                         unidade.Bairro,
                         unidade.Fone1,
                         unidade.Fone2,
                         unidade.Email
                         FROM unidade
                         WHERE Id='".$_GET["Unidade"]."'");
$linha0005 = mysqli_fetch_assoc($sql_0005);

$conteudo .= '|';
//*REGISTRO 0005 (UM POR ARQUIVO)
$conteudo .= '0005'.'|'; // 01 REG - C - 004.
$conteudo .= substr($linha0005["Titulo"],0,59).'|'; // 02 FANTASIA - C - 60 - O
$conteudo .= CaracteresEspeciais($linha0005["Cep"],"Sim").'|'; // 03 CEP - N - 08* - O
$conteudo .= substr($linha0005["Rua"],0,59).'|'; // 04 END - C - 60 - O
$conteudo .= $linha0005["Numero"].'|'; // 05 NUM - C - 10 - OC
$conteudo .= substr($linha0005["Complemento"],0,59).'|'; // 06 COMPL - C - 60 - OC
$conteudo .= substr($linha0005["Bairro"],0,59).'|'; // 07 BAIRRO - C - 60 - O
$conteudo .= CaracteresEspeciais($linha0005["Fone1"],"Sim").'|'; // 08 FONE - C - 11 - OC
$conteudo .= CaracteresEspeciais($linha0005["Fone2"],"Sim").'|'; // 09 FAX - C - 11 - OC
$conteudo .= $linha0005["Email"].'|'; // 10 EMAIL - C - 40 - OC
$conteudo .= chr(13).chr(10); //essa  a quebra de linha
$reg+=1;
$reg2+=1;
$totalBloco["0005"]+=1;


/*
//REGISTRO 0015 (VARIOS POR ARQUIVO)
$conteudo .= '0015'; // 01 REG - C - 004.
$conteudo .= '0000'; // 02 UF_ST - C - 02* - O
$conteudo .= '0000'; // 03 IE_ST - C - 14 - O
 * 
 */

$sql_0100 = mysqli_query($con,"Select Cont_Nome,
                        Cont_Cpf,
                        Cont_Crc,
                        Cont_Cnpj,
                        Cont_Cep,
                        Cont_End,
                        Cont_Num,
                        Cont_Compl,
                        Cont_Bairro,
                        Cont_Fone,
                        Cont_Fax,
                        Cont_Email,
                        Cont_Estado,
                        Cont_Cidade,
                        Cont_Cod_Mun
                        FROM unidade
                        WHERE Id='".$_GET["Unidade"]."'");
$linha0100 = mysqli_fetch_assoc($sql_0100);

$conteudo .= '|';
//*REGISTRO 0100 (UM POR ARQUIVO)
$conteudo .= '0100'.'|'; // 01 REG - C - 004.
$conteudo .= $linha0100["Cont_Nome"].'|'; // 02 NOME - C - 100 - O
$conteudo .= CaracteresEspeciais($linha0100["Cont_Cpf"],"Sim").'|'; // 03 CPF - N - 11* - O
$conteudo .= $linha0100["Cont_Crc"].'|'; // 04 CRC - C - 15 - O
$conteudo .= CaracteresEspeciais($linha0100["Cont_Cnpj"],"Sim").'|'; // 05 CNPJ - N - 14* - OC
$conteudo .= CaracteresEspeciais($linha0100["Cont_Cep"],"Sim").'|'; // 06 CEP - N - 08* - OC
$conteudo .= substr($linha0100["Cont_End"],0,59).'|'; // 07 END - C - 60 - OC
$conteudo .= $linha0100["Cont_Num"].'|'; // 08 NUM - C - 10 - OC
$conteudo .= substr($linha0100["Cont_Compl"],0,59).'|'; // 09 COMPL - C - 60 - OC
$conteudo .= $linha0100["Cont_Bairro"].'|'; // 10 BAIRRO - C - 60 - OC
$conteudo .= CaracteresEspeciais($linha0100["Cont_Fone"],"Sim").'|'; // 11 FONE - C - 11 - OC
$conteudo .= CaracteresEspeciais($linha0100["Cont_Fax"],"Sim").'|'; // 12 FAX - C - 11 - OC
$conteudo .= $linha0100["Cont_Email"].'|'; // 13 EMAIL - C - 40 - O
$conteudo .= $linha0100["Cont_Cod_Mun"].'|'; // 14 COD_MUN - N - 07* - OC
$conteudo .= chr(13).chr(10); //essa  a quebra de linha
$reg+=1;
$reg2+=1;
$totalBloco["0100"]+=1;


$sql_0150 = mysqli_query($con,"Select DISTINCT cliente.Id,
                         cliente.Cpf_Cnpj,
                         cliente.Razao_Social,
                         cliente.Codigo_Pais,
                         cliente.Natureza,
                         cliente.Estadual,
                         cliente.Suframa,
                         cliente.Rua,
                         cliente.Numero,
                         cliente.Complemento,
                         cliente.Bairro,
                         cidade_ibge.Codigo as Cidade_Ibge
                         FROM (SELECT Id,Data_Nfe,Id_Pedido,Id_Unidade,Status FROM nfe) as nfe
                         LEFT JOIN (SELECT Id,Id_Cliente FROM nfe_pedido) as nfe_pedido ON nfe_pedido.Id = nfe.Id_Pedido
                         LEFT JOIN (SELECT Id,Id_Cidade,Cpf_Cnpj,Razao_Social,
                         Codigo_Pais,Natureza,Estadual,Suframa,Rua,Numero,Complemento,Bairro FROM cliente) as cliente ON nfe_pedido.Id_Cliente = cliente.Id
                         LEFT JOIN (SELECT Id,Codigo FROM cidade_ibge) as cidade_ibge ON cidade_ibge.Id = cliente.Id_Cidade
                         WHERE nfe.Id_Unidade='".$_GET["Unidade"]."'
                         AND nfe.Status = 'Ativa'
                         AND nfe.Data_Nfe <= '".data_banco($_GET["Ate"])."' 
                         ORDER BY cliente.Razao_Social ");
//AND nfe.Data_Nfe >= '".data_banco($_GET["De"])."' 
while ($linha0150 = mysqli_fetch_assoc($sql_0150)) {

$conteudo .= '|';
//*REGISTRO 0150 (VARIOS POR ARQUIVO)
$conteudo .= '0150'.'|'; // 01 REG - C - 004.
$conteudo .= CaracteresEspeciais($linha0150["Cpf_Cnpj"],"Sim").'|'; // 02 COD_PART - C - 60 - O
$conteudo .= $linha0150["Razao_Social"].'|'; // 03 NOME - C - 100 - O
$conteudo .= $linha0150["Codigo_Pais"].'|'; // 04 COD_PAIS - N - 05 - O
if($linha0150["Natureza"]=='PF'){
    $conteudo .= ''.'|'; // 05 CNPJ - N - 14* - OC
    $conteudo .= CaracteresEspeciais($linha0150["Cpf_Cnpj"],"Sim").'|'; // 06 CPF - N - 11* - OC
}else{
    $conteudo .= CaracteresEspeciais($linha0150["Cpf_Cnpj"],"Sim").'|'; // 05 CNPJ - N - 14* - OC
    $conteudo .= ''.'|'; // 06 CPF - N - 11* - OC
}
$conteudo .= $linha0150["Estadual"].'|'; // 07 IE - C - 14 - OC
$conteudo .= $linha0150["Cidade_Ibge"].'|'; // 08 COD_MUN - C - 07* - OC
$conteudo .= $linha0150["Suframa"].'|'; // 09 SUFRAMA - C - 09* - OC
$conteudo .= substr($linha0150["Rua"],0,59).'|'; // 10 END - C - 60 - O
$conteudo .= $linha0150["Numero"].'|'; // 11 NUM - C - 10 - OC
$conteudo .= substr($linha0150["Complemento"],0,59).'|'; // 12 COMPL - C - 60 - OC
$conteudo .= substr($linha0150["Bairro"],0,59).'|'; // 13 BAIRRO - C - 60 - OC
$conteudo .= chr(13).chr(10); //essa  a quebra de linha
$reg+=1;
$reg2+=1;
$totalBloco["0150"]+=1;

}


/*
//REGISTRO 0175 (VARIOS POR ARQUIVO)
$conteudo .= '0175'; // 01 REG - C - 004.
$conteudo .= '0000'; // 02 DT_ALT - N - 08* - O
$conteudo .= '0000'; // 03 NR_CAMPO - C - 02 - O
$conteudo .= '0000'; // 04 CONT_ANT - C - 100 - O
 * 
 */

$sql_0190 = mysqli_query($con,"Select DISTINCT produto.Medida
                         FROM (SELECT Id,Data_Nfe,Id_Pedido,Id_Unidade,Status FROM nfe) as nfe
                         LEFT JOIN (SELECT Id,Id_Produto,Id_Pedido FROM nfe_pedido_produto) as nfe_pedido_produto ON nfe_pedido_produto.Id_Pedido = nfe.Id_Pedido
                         LEFT JOIN (SELECT Id,Medida FROM produto) as produto ON produto.Id = nfe_pedido_produto.Id_Produto
                         WHERE nfe.Id_Unidade='".$_GET["Unidade"]."'
                         AND nfe.Status = 'Ativa'
                         AND nfe.Data_Nfe <= '".data_banco($_GET["Ate"])."' 
                         ORDER BY produto.Medida ");
//AND nfe.Data_Nfe >= '".data_banco($_GET["De"])."' 
while ($linha0190 = mysqli_fetch_assoc($sql_0190)) {

switch($linha0190["Medida"]){
    case 'UN' : $desc_medida ='UNIDADE';
    break;
    case 'PC' : $desc_medida ='PECA';
    break;
    case 'KG' : $desc_medida ='KILOGRAMA';
    break;
    case 'LT' : $desc_medida ='LITRO';
    break;
    case 'CX' : $desc_medida ='CAIXA';
    break;
    case 'TN' : $desc_medida ='TONELADA';
    break;
    case 'SC' : $desc_medida ='SACO';
    break;
    case 'CT' : $desc_medida ='CONTEINER';
    break;
    case 'FD' : $desc_medida ='FARDO';
    break;
    case 'GL' : $desc_medida ='GALAO';
    break;
    case 'QT' : $desc_medida ='QUANTIDADE';
    break;
    case 'BD' : $desc_medida ='BALDE';
    break;
    case 'MG' : $desc_medida ='MILIGRAMA';
    break;
    case 'ML' : $desc_medida ='MILILITRO';
    break;
    case 'CJ' : $desc_medida ='CONJUNTO';
    break;
    case 'MT' : $desc_medida ='METRO';
    break;
    case 'M2' : $desc_medida ='METRO QUADRADO';
    break;
    case 'M3' : $desc_medida ='METRO CUBICO';
    break;
}
$conteudo .= '|';
//*REGISTRO 0190 (VARIOS POR ARQUIVO)
$conteudo .= '0190'.'|'; // 01 REG - C - 004.
$conteudo .= $linha0190["Medida"].'|'; // 02 UNID - C - 06 - O
$conteudo .= $desc_medida.'|'; // 03 DESCR - C - 20 - O
$conteudo .= chr(13).chr(10); //essa  a quebra de linha
$reg+=1;
$reg2+=1;
$totalBloco["0190"]+=1;

}


$sql_0200 = mysqli_query($con,"Select DISTINCT produto.Id,
                         produto.Codigo,
                         produto.Descricao,
                         produto.Gtin,
                         produto.Medida,
                         produto.Ncm,
                         produto.Ex_Tipi,
                         produto.Aliquota
                         FROM (SELECT Id,Data_Nfe,Id_Pedido,Id_Unidade,Status FROM nfe) as nfe
                         LEFT JOIN (SELECT Id,Id_Produto,Id_Pedido FROM nfe_pedido_produto) as nfe_pedido_produto ON nfe_pedido_produto.Id_Pedido = nfe.Id_Pedido
                         LEFT JOIN (SELECT Id,Codigo,Descricao,Gtin,Medida,Ncm,Ex_Tipi,Aliquota FROM produto) as produto ON produto.Id = nfe_pedido_produto.Id_Produto
                         WHERE nfe.Id_Unidade='".$_GET["Unidade"]."'
                         AND nfe.Status = 'Ativa'
                         AND nfe.Data_Nfe <= '".data_banco($_GET["Ate"])."' 
                         ORDER BY produto.Codigo,produto.Descricao ");
//AND nfe.Data_Nfe >= '".data_banco($_GET["De"])."' 
while ($linha0200 = mysqli_fetch_assoc($sql_0200)) {

$conteudo .= '|';
//*REGISTRO 0200 (VARIOS POR ARQUIVO)
$conteudo .= '0200'.'|'; // 01 REG - C - 004.
$conteudo .= $linha0200["Codigo"].'|'; // 02 COD_ITEM - C - 60 - O
$conteudo .= $linha0200["Descricao"].'|'; // 03 DESCR_ITEM - C - 100 - O
$conteudo .= $linha0200["Gtin"].'|'; // 04 COD_BARRA - C - 20 - OC
$conteudo .= ''.'|'; // 05 COD_ANT_ITEM - C - 60 - N (informar no 0205)
$conteudo .= $linha0200["Medida"].'|'; // 06 UNID_INV - C - 06 - O
$conteudo .= '00'.'|'; // 07 TIPO_ITEM - N - 02 - O
$conteudo .= $linha0200["Ncm"].'|'; // 08 COD_NCM - C - 08* - OC
$conteudo .= $linha0200["Ex_Tipi"].'|'; // 09 EX_IPI - C - 03 - OC
$conteudo .= ''.'|'; // 10 COD_GEN - N - 02* - OC
$conteudo .= ''.'|'; // 11 COD_LST - C - 05 - OC
$conteudo .= $linha0200["Aliquota"].'|'; // 12 ALIQ_ICMS - N - 06,02 - OC
$conteudo .= chr(13).chr(10); //essa  a quebra de linha
$reg+=1;
$reg2+=1;
$totalBloco["0200"]+=1;

}

/*
//REGISTRO 0205 (VARIOS POR ARQUIVO)
$conteudo .= '0205'; // 01 REG - C - 004.
$conteudo .= '0000'; // 02 DESCR_ANT_ITEM - C - 100 - OC
$conteudo .= '0000'; // 03 DT_INI - N - 08* - O
$conteudo .= '0000'; // 04 DT_FIM - N - 08* - O
$conteudo .= '0000'; // 05 COD_ANT_ITEM - C - 60 - OC

//REGISTRO 0206 (UM POR ARQUIVO)
$conteudo .= '0206'; // 01 REG - C - 004.
$conteudo .= '0000'; // 02 COD_COMB - C - 100 - O

//REGISTRO 0210 (VARIOS POR ARQUIVO)
$conteudo .= '0210'; // 01 REG - C - 004.
$conteudo .= '0000'; // 02 COD_ITEM_COMP - C - 60 - O
$conteudo .= '0000'; // 03 QTD_COMP - N - 10,06 - O
$conteudo .= '0000'; // 04 PERDA - N - 10,04 - O

//REGISTRO 0220 (VARIOS POR ARQUIVO)
$conteudo .= '0220'; // 01 REG - C - 004.
$conteudo .= '0000'; // 02 UNID_CONV - C - 06 - O
$conteudo .= '0000'; // 03 FAT_CONV - N - 10,06 - O

//REGISTRO 0300 (VARIOS POR ARQUIVO)
$conteudo .= '0300'; // 01 REG - C - 004.
$conteudo .= '0000'; // 02 COD_IND_BEM - C - 60 - O
$conteudo .= '0000'; // 03 IDENT_MERC - C - 01 - O
$conteudo .= '0000'; // 04 DESCR_ITEM - C - 100 - O
$conteudo .= '0000'; // 05 COD_PRNC - C - 60 - OC
$conteudo .= '0000'; // 06 COD_CTA - C - 60 - O
$conteudo .= '0000'; // 07 NR_PARC - N - 03 - OC

//REGISTRO 0305 (UM POR ARQUIVO)
$conteudo .= '0305'; // 01 REG - C - 004.
$conteudo .= '0000'; // 02 COD_CCUS - C - 60 - O
$conteudo .= '0000'; // 03 FUNC - C - 100 - O
$conteudo .= '0000'; // 04 VIDA_UTIL - N - 03 - C
 * 
 */

$sql_0400 = mysqli_query($con,"Select DISTINCT cfop.Cfop,
                         cfop.Titulo
                         FROM (SELECT Id,Data_Nfe,Id_Pedido,Id_Unidade,Status FROM nfe) as nfe
                         LEFT JOIN (SELECT Id,Id_Cfop FROM nfe_pedido) as nfe_pedido ON nfe_pedido.Id = nfe.Id_Pedido
                         LEFT JOIN (SELECT Id,Cfop,Titulo FROM cfop) as cfop ON cfop.Id = nfe_pedido.Id_Cfop
                         WHERE nfe.Id_Unidade='".$_GET["Unidade"]."'
                         AND nfe.Status = 'Ativa'
                         AND nfe.Data_Nfe <= '".data_banco($_GET["Ate"])."'
                         ORDER BY cfop.Cfop ");
//AND nfe.Data_Nfe >= '".data_banco($_GET["De"])."' 
while ($linha0400 = mysqli_fetch_assoc($sql_0400)) {

$conteudo .= '|';
//*REGISTRO 0400 (VARIOS POR ARQUIVO)
$conteudo .= '0400'.'|'; // 01 REG - C - 004.
$conteudo .= $linha0400["Cfop"].'|'; // 02 COD_NAT - C - 10 - O
$conteudo .= substr(SoPalavrasEspeciais($linha0400["Titulo"]),0,99).'|'; // 03 DESCR_NAT - C - 100 - O
$conteudo .= chr(13).chr(10); //essa  a quebra de linha
$reg+=1;
$reg2+=1;
$totalBloco["0400"]+=1;

}

/*
//REGISTRO 0450 (VARIOS POR ARQUIVO)
$conteudo .= '0450'; // 01 REG - C - 004.
$conteudo .= '0000'; // 02 COD_INF - C - 06 - O
$conteudo .= '0000'; // 03 TXT - C - 1000 - O

//REGISTRO 0460 (VARIOS POR ARQUIVO)
$conteudo .= '0460'; // 01 REG - C - 004.
$conteudo .= '0000'; // 02 COD_OBS - C - 06 - O
$conteudo .= '0000'; // 03 TXT - C - 1000 - O

//REGISTRO 0500 (VARIOS POR ARQUIVO)
$conteudo .= '0500'; // 01 REG - C - 004.
$conteudo .= '0000'; // 02 DT_ALT - N - 08* - O
$conteudo .= '0000'; // 03 COD_ NAT_CC - C - 02* - O
$conteudo .= '0000'; // 04 IND_CTA - C - 01* - O
$conteudo .= '0000'; // 05 NVEL - N - 05 - O
$conteudo .= '0000'; // 06 COD_CTA - C - 60 - O
$conteudo .= '0000'; // 07 NOME_CTA - C - 60 - O

//REGISTRO 0600 (VARIOS POR ARQUIVO)
$conteudo .= '0600'; // 01 REG - C - 004.
$conteudo .= '0000'; // 02 DT_ALT - N - 08* - O
$conteudo .= '0000'; // 03 COD_CCUS - C - 60 - O
$conteudo .= '0000'; // 04 CCUS - C - 60 - O
 * 
 */

$reg+=1;
$reg2+=1;
$conteudo .= '|';
//*REGISTRO 0990 (UM POR ARQUIVO)
$conteudo .= '0990'.'|'; // 01 REG - C - 004.
$conteudo .= $reg.'|'; // 02 QTD_LIN_0 - N - 08 - O
$conteudo .= chr(13).chr(10); //essa  a quebra de linha
$totalBloco["0990"]+=1;

//BLOCO 0 - FIM


//BLOCO C - ABERTURA
$reg='0';

$conteudo .= '|';
//*REGISTRO C001 (UM POR ARQUIVO)
$conteudo .= 'C001'.'|'; // 01 REG - C - 004.
$conteudo .= '0'.'|'; // 02 IND_MOV - C - 01 - O
$conteudo .= chr(13).chr(10); //essa  a quebra de linha
$reg+=1;
$reg2+=1;
$totalBloco["C001"]+=1;


#### gerando as notas emitidas pelo proprio cliente ####
#### Para NFe (emisao propria) informar somente os registros C100 e C190 e se for o caso,
# os registros C105, C110, e filhos, C120, C170 e C176, ou C195, ou C195 e C197 ####
$sql_C100 = mysqli_query($con,"Select DISTINCT nfe.Id,
                         nfe.Tipo,
                         nfe.Finalidade_Emissao,
                         nfe.Status,
                         nfe.Serie,
                         nfe.Numero_Nota,
                         nfe.Chave,
                         nfe.Data_Nfe,
                         nfe.vBC,
                         nfe.vICMS,
                         nfe.vBCST,
                         nfe.vST,
                         nfe.vProd,
                         nfe.vFrete,
                         nfe.vSeg,
                         nfe.vDesc,
                         nfe.vII,
                         nfe.vIPI,
                         nfe.vPIS,
                         nfe.vCOFINS,
                         nfe.vOutro,
                         nfe_pedido.Valor_Original,
                         nfe_pedido.Valor_Pago,
                         nfe_pedido.Id_Tipo_Pagamento,
                         nfe_pedido.Tipo_Frete,
                         nfe_pedido.Frete,
                         nfe_pedido.Despesa,
                         cliente.Cpf_Cnpj
                         FROM nfe
                         LEFT JOIN nfe_pedido ON nfe_pedido.Id = nfe.Id_Pedido
                         LEFT JOIN (SELECT Id,Cpf_Cnpj,Razao_Social FROM cliente) as cliente ON nfe_pedido.Id_Cliente = cliente.Id
                         WHERE nfe.Id_Unidade='".$_GET["Unidade"]."'
                         AND nfe.Status = 'Ativa'
                         AND nfe.Data_Nfe <= '".data_banco($_GET["Ate"])."'
                         ORDER BY nfe.Tipo,nfe.Status,nfe.Data_Nfe ");
//AND nfe.Data_Nfe >= '".data_banco($_GET["De"])."' 
while ($linhaC100 = mysqli_fetch_assoc($sql_C100)) {

$conteudo .= '|';
//*REGISTRO C100 (VARIOS POR ARQUIVO)
$conteudo .= 'C100'.'|'; // 01 REG - C - 004.
$conteudo .= $linhaC100["Tipo"].'|'; // 02 IND_OPER - C - 01 - O
$conteudo .= '0'.'|'; // 03 IND_EMIT - C - 01 - O | 0- Emisso prpria; 1- Terceiros
$conteudo .= $linhaC100["Cpf_Cnpj"].'|'; // 04 COD_PART - C - 60 - O
$conteudo .= '55'.'|'; // 05 COD_MOD - C - 02* - O
if($linhaC100["Status"]=='Ativa'){
    $COD_SIT = '00';
}elseif($linhaC100["Status"]=='Cancelada'){
    $COD_SIT = '02';
}elseif( ($linhaC100["Finalidade_Emissao"]=='2') || ($linhaC100["Finalidade_Emissao"]=='3') ){
    $COD_SIT = '06';
}
$conteudo .= $COD_SIT.'|'; // 06 COD_SIT - N - 02* - O
$conteudo .= $linhaC100["Serie"].'|'; // 07 SER - C - 03 - OC
$conteudo .= $linhaC100["Numero_Nota"].'|'; // 08 NUM_DOC - N - 09 - O
$conteudo .= $linhaC100["Chave"].'|'; // 09 CHV_NFE - N - 44* - O
$conteudo .= data_exibirtxt($linhaC100["Data_Nfe"]).'|'; // 10 DT_DOC - N - 08 - O
$conteudo .= data_exibirtxt($linhaC100["Data_Nfe"]).'|'; // 11 DT_E_S - N - 08 - OC
$conteudo .= number_format($linhaC100["vProd"],2,",","").'|'; // 12 VL_DOC - N - 10,02 - O
if($linhaC100["Id_Tipo_Pagamento"]=='1'){
    $IND_PGTO='0';
}else{
    $IND_PGTO='1';
}
$conteudo .= $IND_PGTO.'|'; // 13 IND_PGTO - C - 01* - O
$conteudo .= number_format($linhaC100["vDesc"],2,",","").'|'; // 14 VL_DESC - N - 10,02 - OC
$conteudo .= '0'.'|'; // 15 VL_ABAT_NT - N - 10,02 - OC
$conteudo .= number_format($linhaC100["vProd"],2,",","").'|'; // 16 VL_MERC - N - 10,02 - OC
$conteudo .= $linhaC100["Tipo_Frete"].'|'; // 17 IND_FRT - C - 01 - O
$conteudo .= number_format($linhaC100["Frete"],2,",","").'|'; // 18 VL_FRT - N - 10,02 - OC
$conteudo .= '0'.'|'; // 19 VL_SEG - N - 10,02 - OC
$conteudo .= number_format($linhaC100["vDesc"],2,",","").'|'; // 20 VL_OUT_DA - N - 10,02 - OC
$conteudo .= number_format($linhaC100["vBC"],2,",","").'|'; // 21 VL_BC_ICMS - N - 10,02 - OC
$conteudo .= number_format($linhaC100["vICMS"],2,",","").'|'; // 22 VL_ICMS - N - 10,02 - OC
$conteudo .= number_format($linhaC100["vBCST"],2,",","").'|'; // 23 VL_BC_ICMS_ST - N - 10,02 - OC
$conteudo .= number_format($linhaC100["vST"],2,",","").'|'; // 24 VL_ICMS_ST - N - 10,02 - OC
$conteudo .= number_format($linhaC100["vIPI"],2,",","").'|'; // 25 VL_IPI - N - 10,02 - OC
$conteudo .= number_format($linhaC100["vPIS"],2,",","").'|'; // 26 VL_PIS - N - 10,02 - OC
$conteudo .= number_format($linhaC100["vCOFINS"],2,",","").'|'; // 27 VL_COFINS - N - 10,02 - OC
$conteudo .= '0'.'|'; // 28 VL_PIS_ST - N - 10,02 - OC
$conteudo .= '0'.'|'; // 29 VL_COFINS_ST - N - 10,02 - OC
$conteudo .= chr(13).chr(10); //essa  a quebra de linha
$reg+=1;
$reg2+=1;
$totalBloco["C100"]+=1;

/*
//REGISTRO C105 (UM POR ARQUIVO)
$conteudo .= 'C105'; // 01 REG - C - 004.
$conteudo .= '0000'; // 02 OPER - N - 01 - O
$conteudo .= '0000'; // 03 UF - C - 02 - O

//REGISTRO C110 (VARIOS POR ARQUIVO)
$conteudo .= 'C110'; // 01 REG - C - 004.
$conteudo .= '0000'; // 02 COD_INF - N - 06 - O
$conteudo .= '0000'; // 03 TXT_COMPL - C - 1000 - OC

//REGISTRO C111 (VARIOS POR ARQUIVO)
$conteudo .= 'C111'; // 01 REG - C - 004.
$conteudo .= '0000'; // 02 NUM_PROC - C - 15 - O
$conteudo .= '0000'; // 03 IND_PROC - C - 01* - O

//REGISTRO C112 (VARIOS POR ARQUIVO)
$conteudo .= 'C112'; // 01 REG - C - 004.
$conteudo .= '0000'; // 02 COD_DA - C - 01* - O
$conteudo .= '0000'; // 03 UF - C - 02* - O
$conteudo .= '0000'; // 04 NUM_DA - C - 100 - OC
$conteudo .= '0000'; // 05 COD_AUT - C - 100 - OC
$conteudo .= '0000'; // 06 VL_DA - N - 10,02 - O
$conteudo .= '0000'; // 07 DT_VCTO - N - 08* - O
$conteudo .= '0000'; // 08 DT_PGTO - N - 08* - O

//REGISTRO C113 (VARIOS POR ARQUIVO)
$conteudo .= 'C113'; // 01 REG - C - 004.
$conteudo .= '0000'; // 02 IND_OPER - C - 01* - O
$conteudo .= '0000'; // 03 IND_EMIT - C - 01* - O
$conteudo .= '0000'; // 04 COD_PART - C - 60 - O
$conteudo .= '0000'; // 05 COD_MOD - C - 02* - O
$conteudo .= '0000'; // 06 SER - C - 04 - OC
$conteudo .= '0000'; // 07 SUB - N - 03 - OC
$conteudo .= '0000'; // 08 NUM_DOC - N - 09 - O
$conteudo .= '0000'; // 09 DT_DOC - N - 08* - O

//REGISTRO C114 (VARIOS POR ARQUIVO)
$conteudo .= 'C114'; // 01 REG - C - 004.
$conteudo .= '0000'; // 02 COD_MOD - C - 02* - O
$conteudo .= '0000'; // 03 ECF_FAB - C - 021 - O
$conteudo .= '0000'; // 04 ECF_CX - N - 03 - O
$conteudo .= '0000'; // 05 NUM_DOC - N - 09 - O
$conteudo .= '0000'; // 06 DT_DOC - N- 08* - O

//REGISTRO C115 (VARIOS POR ARQUIVO)
$conteudo .= 'C115'; // 01 REG - C - 004.
$conteudo .= '0000'; // 02 IND_CARGA - N - 01* - O
$conteudo .= '0000'; // 03 CNPJ_COL - N - 14* - O
$conteudo .= '0000'; // 04 IE_COL - C - 14 - O
$conteudo .= '0000'; // 05 CPF_COL - N - 11* - O
$conteudo .= '0000'; // 06 COD_MUN_COL - N- 07* - O
$conteudo .= '0000'; // 07 CNPJ_ENTG - N- 14* - O
$conteudo .= '0000'; // 08 IE_ENTG - C- 14* - O
$conteudo .= '0000'; // 09 CPF_ENTG - N- 11* - O
$conteudo .= '0000'; // 10 COD_MUN_ENTG - N- 07* - O

//REGISTRO C116 (VARIOS POR ARQUIVO)
$conteudo .= 'C116'; // 01 REG - C - 004.
$conteudo .= '0000'; // 02 COD_MOD - C - 02 - O
$conteudo .= '0000'; // 03 NR_SAT - N - 09 - O
$conteudo .= '0000'; // 04 CHV_CFE - N- 44 - O
$conteudo .= '0000'; // 05 NUM_CFE - N - 06 - O
$conteudo .= '0000'; // 06 DT_DOC - N- 08 - O

//REGISTRO C120 (VARIOS POR ARQUIVO)
$conteudo .= 'C120'; // 01 REG - C - 004.
$conteudo .= '0000'; // 02 COD_DOC_IMP - C - 01 - O
$conteudo .= '0000'; // 03 NUM_DOC_IMP - C - 12 - O
$conteudo .= '0000'; // 04 PIS_IMP - N - 10,02 - OC
$conteudo .= '0000'; // 05 COFINS IMP - N - 10,02 - OC
$conteudo .= '0000'; // 06 NUM_ACDRAW - C- 20 - OC

//REGISTRO C130 (UM POR ARQUIVO)
$conteudo .= 'C130'; // 01 REG - C - 004.
$conteudo .= '0000'; // 02 VL_SERV_NT - C - 10,02 - O
$conteudo .= '0000'; // 03 VL_BC_ISSQN - C - 10,02 - O
$conteudo .= '0000'; // 04 VL_ISSQN - N - 10,02 - OC
$conteudo .= '0000'; // 05 VL_BC_IRRF - N - 10,02 - OC
$conteudo .= '0000'; // 06 VL_ IRRF - C- 10,02 - OC
$conteudo .= '0000'; // 07 VL_BC_PREV - C- 10,02 - OC
$conteudo .= '0000'; // 08 VL_ PREV - C- 10,02 - OC

//REGISTRO C140 (UM POR ARQUIVO)
$conteudo .= 'C140'; // 01 REG - C - 004.
$conteudo .= '0000'; // 02 IND_EMIT - C - 01* - O
$conteudo .= '0000'; // 03 IND_TIT - C - 02* - O
$conteudo .= '0000'; // 04 DESC_TIT - C - 20 - OC
$conteudo .= '0000'; // 05 NUM_TIT - C - 20 - OC
$conteudo .= '0000'; // 06 QTD_PARC - N- 02 - OC
$conteudo .= '0000'; // 07 VL_TIT - N- 10,02 - OC

//REGISTRO C141 (VARIOS POR ARQUIVO)
$conteudo .= 'C141'; // 01 REG - C - 004.
$conteudo .= '0000'; // 02 NUM_PARC - N - 02* - O
$conteudo .= '0000'; // 03 DT_VCTO - N - 08* - O
$conteudo .= '0000'; // 04 VL_PARC - N - 10,02 - O

//REGISTRO C160 (UM POR ARQUIVO)
$conteudo .= 'C160'; // 01 REG - C - 004.
$conteudo .= '0000'; // 02 COD_PART - C - 60 - OC
$conteudo .= '0000'; // 03 VEIC_ID - C - 07 - OC
$conteudo .= '0000'; // 04 QTD_VOL - N - 10 - O
$conteudo .= '0000'; // 05 PESO_BRT - N - 10,02 - O
$conteudo .= '0000'; // 06 PESO_LIQ - N - 10,02 - O
$conteudo .= '0000'; // 07 UF_ID - C - 02 - OC

//REGISTRO C165 (VARIOS POR ARQUIVO)
$conteudo .= 'C165'; // 01 REG - C - 004.
$conteudo .= '0000'; // 02 COD_PART - C - 60 - OC
$conteudo .= '0000'; // 03 VEIC_ID - C - 07 - O
$conteudo .= '0000'; // 04 COD_AUT - C - 20 - OC
$conteudo .= '0000'; // 05 NR_PASSE - C - 20 - OC
$conteudo .= '0000'; // 06 HORA - N - 06* - O
$conteudo .= '0000'; // 07 TEMPER - N - 10,02 - OC
$conteudo .= '0000'; // 08 QTD_VOL - N - 10 - O
$conteudo .= '0000'; // 09 PESO_BRT - N - 10,02 - O
$conteudo .= '0000'; // 10 PESO_LIQ - N - 10,02 - O
$conteudo .= '0000'; // 11 NOM_MOT - C - 60 - OC
$conteudo .= '0000'; // 12 CPF - N - 11* - OC
$conteudo .= '0000'; // 13 UF_ID - C - 02 - OC
 * 
 */


/*
$sql_C170 = mysqli_query($con,"Select DISTINCT produto.Id,
                         produto.Codigo,
                         produto.Descricao,
                         produto.Medida,
                         produto.CST_Ipi,
                         produto.CST_Cofins,
                         produto.CST_Pis,
                         produto.Regime_ST,
                         produto.Origem_ST,
                         nfe_pedido_produto.Qtd,
                         nfe_pedido_produto.Preco,
                         nfe_pedido_produto.Desconto,
                         nfe_pedido_produto.Desconto_Real,
                         nfe_pedido_produto.ST_Icms,
                         nfe_pedido_produto.Icms,
                         cfop.Cfop
                         FROM nfe
                         LEFT JOIN nfe_pedido_produto ON nfe_pedido_produto.Id_Pedido = nfe.Id_Pedido
                         LEFT JOIN (SELECT Id,Descricao,Codigo,Medida,CST_Ipi,CST_Cofins,CST_Pis,Regime_ST,Origem_ST FROM produto) as produto ON nfe_pedido_produto.Id_Produto = produto.Id
                         LEFT JOIN (SELECT Id,Cfop FROM cfop) as cfop ON nfe_pedido_produto.Id_Cfop = cfop.Id
                         WHERE nfe.Id='".$linhaC100["Id"]."'
                         ORDER BY nfe_pedido_produto.Data_Cadastro ");
$ab='1';
while ($linhaC170 = mysqli_fetch_assoc($sql_C170)) {

$conteudo .= '|';
//*REGISTRO C170 (VARIOS POR ARQUIVO)
$conteudo .= 'C170'.'|'; // 01 REG - C - 004.
$conteudo .= $ab.'|'; // 02 NUM_ITEM - N - 03 - O
$conteudo .= $linhaC170["Codigo"].'|'; // 03 COD_ITEM - C - 60 - O
$conteudo .= substr($linhaC170["Descricao"],0,99).'|'; // 04 DESCR_COMPL - C - 100 - OC
$conteudo .= number_format($linhaC170["Qtd"],2,",","").'|'; // 05 QTD - N - 10,05 - O
$conteudo .= $linhaC170["Medida"].'|'; // 06 UNID - C - 06 - O
$VL_ITEM = (( ($linhaC170['Preco']*$linhaC170["Qtd"]) - ( ($linhaC170['Preco']*$linhaC170["Qtd"]) * ($linhaC170['Desconto']/100) ) ) -$linhaC170['Desconto_Real']);
$conteudo .= number_format( $VL_ITEM ,2,",","").'|'; // 07 VL_ITEM - N - 10,02 - O
$conteudo .= (( ($linhaC170['Preco']*$linhaC170["Qtd"]) * ($linhaC170['Desconto']/100) ) -$linhaC170['Desconto_Real']).'|'; // 08 VL_DESC - N - 10,02 - OC
$conteudo .= '0'.'|'; // 09 IND_MOV - C - 01* - O
if(strlen($linhaC170["ST_Icms"])<='2'){
    $ori = $linhaC170["Origem_ST"];
}
if(!$linhaC170["ST_Icms"]){
    $ori='0';
}
$conteudo .= $ori.$linhaC170["ST_Icms"].'|'; // 10 CST_ICMS - N - 03* - O
$conteudo .= $linhaC170["Cfop"].'|'; // 11 CFOP - N - 04* - O
$conteudo .= $linhaC170["Cfop"].'|'; // 12 COD_NAT - C - 10 - OC
if( ($linhaC170["ST_Icms"]=='30') || ($linhaC170["ST_Icms"]=='40') || ($linhaC170["ST_Icms"]=='41')
        || ($linhaC170["ST_Icms"]=='50') || ($linhaC170["ST_Icms"]=='60') ){
    $VL_BC_ICMS = '0';
    $ALIQ_ICMS = '0';
    $VL_ICMS = '0';
}else{
    $VL_BC_ICMS = (($linhaC170['Preco']-( $linhaC170['Preco']*($linhaC170['Desconto']/100) ) ) -$linhaC170['Desconto_Real']);
    $ALIQ_ICMS = $linhaC170["Icms"];
    $VL_ICMS = $VL_BC_ICMS * ($linhaC170["Icms"]/100);
}
$conteudo .= $VL_BC_ICMS.'|'; // 13 VL_BC_ICMS - N - 10,02 - OC
$conteudo .= $ALIQ_ICMS.'|'; // 14 ALIQ_ICMS - N - 06,02 - OC
$conteudo .= $VL_ICMS.'|'; // 15 VL_ICMS - N - 10,02 - OC
$conteudo .= '0'.'|'; // 16 VL_BC_ICMS_ST - N - 10,02 - OC
$conteudo .= '0'.'|'; // 17 ALIQ_ST - N - 10,02 - OC
$conteudo .= '0'.'|'; // 18 VL_ICMS_ST - N - 10,02 - OC
$conteudo .= '0'.'|'; // 19 IND_APUR - C - 01* - OC
$conteudo .= $linhaC170["CST_Ipi"].'|'; // 20 CST_IPI - C - 02* - OC
$conteudo .= ''.'|'; // 21 COD_ENQ - C - 03* - OC
$conteudo .= '0'.'|'; // 22 VL_BC_IPI - N - 10,02 - OC
$conteudo .= '0'.'|'; // 23 ALIQ_IPI - N - 06,02 - OC
$conteudo .= '0'.'|'; // 24 VL_IPI - N - 10,02 - OC
$conteudo .= $linhaC170["CST_Pis"].'|'; // 25 CST_PIS - N - 02* - OC
$conteudo .= '0'.'|'; // 26 VL_BC_PIS - N - 10,02 - OC
$conteudo .= '0'.'|'; // 27 ALIQ_PIS - N - 08,04 - OC
$conteudo .= '0'.'|'; // 28 QUANT_BC_PIS - N - 10,03 - OC
$conteudo .= '0'.'|'; // 29 ALIQ_PIS - N - 10,04 - OC
$conteudo .= '0'.'|'; // 30 VL_PIS - N - 10,02 - OC
$conteudo .= $linhaC170["CST_Cofins"].'|'; // 31 CST_COFINS - N - 02* - OC
$conteudo .= '0'.'|'; // 32 VL_BC_COFINS - N - 10,02 - OC
$conteudo .= '0'.'|'; // 33 ALIQ_COFINS - N - 08,04 - OC
$conteudo .= '0'.'|'; // 34 QUANT_BC_COFINS - N - 10,03 - OC
$conteudo .= '0'.'|'; // 35 ALIQ_COFINS - N - 10,04 - OC
$conteudo .= '0'.'|'; // 36 VL_COFINS - N - 10,02 - OC
$conteudo .= ''.'|'; // 37 COD_CTA - C - 20 - OC
$conteudo .= chr(13).chr(10); //essa  a quebra de linha

$reg+=1;
$reg2+=1;
$totalBloco["C170"]+=1;
$ab++;
}
*/


/*
//REGISTRO C171 (VARIOS POR ARQUIVO)
$conteudo .= 'C171'; // 01 REG - C - 004.
$conteudo .= '0000'; // 02 NUM_TANQUE - C - 03 - O
$conteudo .= '0000'; // 03 QTDE - N - 10,03 - O

//REGISTRO C172 (UM POR ARQUIVO)
$conteudo .= 'C172'; // 01 REG - C - 004.
$conteudo .= '0000'; // 02 VL_BC_ISSQN - N - 10,02 - O
$conteudo .= '0000'; // 03 ALIQ_ISSQN - N - 06,03 - O
$conteudo .= '0000'; // 04 VL_ISSQN - N - 10,02 - O

//REGISTRO C173 (UM POR ARQUIVO)
$conteudo .= 'C173'; // 01 REG - C - 004.
$conteudo .= '0000'; // 02 LOTE_MED - C - 10 - O
$conteudo .= '0000'; // 03 QTD_ITEM - N - 10,03 - O
$conteudo .= '0000'; // 04 DT_FAB - N - 08* - O
$conteudo .= '0000'; // 05 DT_VAL - N - 08* - O
$conteudo .= '0000'; // 06 IND_MED - C - 01 - O
$conteudo .= '0000'; // 07 TP_PROD - C - 01* - O
$conteudo .= '0000'; // 08 VL_TAB_MAX - N - 10,02 - O

//REGISTRO C174 (UM POR ARQUIVO)
$conteudo .= 'C174'; // 01 REG - C - 004.
$conteudo .= '0000'; // 02 IND_ARM - C - 01 - O
$conteudo .= '0000'; // 03 NUM_ARM - C - 10 - O
$conteudo .= '0000'; // 04 DESCR_COMPL - C - 10 - O

//REGISTRO C175 (VARIOS POR ARQUIVO)
$conteudo .= 'C175'; // 01 REG - C - 004.
$conteudo .= '0000'; // 02 IND_VEIC_OPER - C - 01* - O
$conteudo .= '0000'; // 03 CNPJ - N - 14* - OC
$conteudo .= '0000'; // 04 UF - C - 02* - OC
$conteudo .= '0000'; // 05 CHASSI_VEIC - C - 17 - O

//REGISTRO C176 (VARIOS POR ARQUIVO)
$conteudo .= 'C176'; // 01 REG - C - 004.
$conteudo .= '0000'; // 02 COD_MOD_ULT_E - C - 02* - O
$conteudo .= '0000'; // 03 NUM_DOC_ULT_E - N - 09 - O
$conteudo .= '0000'; // 04 SER_ULT_E - C - 03 - OC
$conteudo .= '0000'; // 05 DT_ULT_E - N - 08* - O
$conteudo .= '0000'; // 06 COD_PART_ULT_E - C - 60 - O
$conteudo .= '0000'; // 07 QUANT_ULT_E - N - 10,03 - O
$conteudo .= '0000'; // 08 VL_UNIT_ULT_E - N - 10,03 - O
$conteudo .= '0000'; // 09 VL_UNIT_BC_ST - N - 10,03 - O

//REGISTRO C177 (UM POR ARQUIVO)
$conteudo .= 'C177'; // 01 REG - C - 004.
$conteudo .= '0000'; // 02 COD_SELO_IPI - C - 06* - O
$conteudo .= '0000'; // 03 QT_SELO_IPI - N - 12 - O

//REGISTRO C178 (UM POR ARQUIVO)
$conteudo .= 'C178'; // 01 REG - C - 004.
$conteudo .= '0000'; // 02 CL_ENQ - C - 05 - O
$conteudo .= '0000'; // 03 VL_UNID - N - 10,02 - O
$conteudo .= '0000'; // 04 QUANT_PAD - N - 10,03 - O

//REGISTRO C179 (UM POR ARQUIVO)
$conteudo .= 'C179'; // 01 REG - C - 004.
$conteudo .= '0000'; // 02 BC_ST_ORIG_DEST - N - 10,02 - O
$conteudo .= '0000'; // 03 ICMS_ST_REP - N - 10,02 - O
$conteudo .= '0000'; // 04 ICMS_ST_COMPL - N - 10,02 - OC
$conteudo .= '0000'; // 05 BC_RET - N - 10,02 - OC
$conteudo .= '0000'; // 06 ICMS_RET - N - 10,02 - OC
 * 
 */

$sql_C190 = mysqli_query($con,"Select DISTINCT nfe_pedido_produto.ST_Icms,
                         nfe_pedido_produto.Icms,
                         SUM( (nfe_pedido_produto.Preco*nfe_pedido_produto.Qtd) - (( (nfe_pedido_produto.Preco*nfe_pedido_produto.Qtd)* (nfe_pedido_produto.Desconto/100) )-nfe_pedido_produto.Desconto_Real) ) as Valor,
                         produto.Origem_ST,
                         cfop.Cfop
                         FROM nfe
                         LEFT JOIN nfe_pedido_produto ON nfe_pedido_produto.Id_Pedido = nfe.Id_Pedido
                         LEFT JOIN (SELECT Id,Origem_ST FROM produto) as produto ON nfe_pedido_produto.Id_Produto = produto.Id
                         LEFT JOIN (SELECT Id,Cfop FROM cfop) as cfop ON nfe_pedido_produto.Id_Cfop = cfop.Id
                         WHERE nfe.Id='".$linhaC100["Id"]."'
                         GROUP BY nfe_pedido_produto.ST_Icms
                         ORDER BY nfe_pedido_produto.Data_Cadastro ");

while ($linhaC190 = mysqli_fetch_assoc($sql_C190)) {

$conteudo .= '|';
//*REGISTRO C190 (VARIOS POR ARQUIVO)
$conteudo .= 'C190'.'|'; // 01 REG - C - 004.
if(strlen($linhaC190["ST_Icms"])<='2'){
    $ori = $linhaC190["Origem_ST"];
}
if(!$linhaC190["ST_Icms"]){
    $ori='0';
}
$conteudo .= $ori.$linhaC190["ST_Icms"].'|'; // 02 CST_ICMS - N - 003* - O
$conteudo .= $linhaC190["Cfop"].'|'; // 03 CFOP - N - 004* - O
$conteudo .= $linhaC190["Icms"].'|'; // 04 ALIQ_ICMS - N - 006,02 - OC
$conteudo .= number_format($linhaC190["Valor"],2,",","").'|'; // 05 VL_OPR - N - 10,02 - O
if( ($linhaC190["ST_Icms"]=='30') || ($linhaC190["ST_Icms"]=='40') || ($linhaC190["ST_Icms"]=='41')
        || ($linhaC190["ST_Icms"]=='50') || ($linhaC190["ST_Icms"]=='60') ){
    $VL_BC_ICMS = '0';
    $ALIQ_ICMS = '0';
    $VL_ICMS = '0';
}else{
    $VL_BC_ICMS = number_format($linhaC190["Valor"],2,",","");
    $ALIQ_ICMS = $linhaC190["Icms"];
    $VL_ICMS = $VL_BC_ICMS * ($linhaC190["Icms"]/100);
}
$conteudo .= number_format($VL_BC_ICMS,2,",","").'|'; // 06 VL_BC_ICMS - N - 10,02 - O
$conteudo .= number_format( $VL_ICMS ,2,",","").'|'; // 07 VL_ICMS - N - 10,02 - O
$conteudo .= '0'.'|'; // 08 VL_BC_ICMS_ST - N - 10,02 - O
$conteudo .= '0'.'|'; // 09 VL_ICMS_ST - N - 10,02 - O
$conteudo .= '0'.'|'; // 10 VL_RED_BC - N - 10,02 - O
$conteudo .= '0'.'|'; // 11 VL_IPI - N - 10,02 - O
$conteudo .= ''.'|'; // 12 COD_OBS - N - 006 - OC
$conteudo .= chr(13).chr(10); //essa  a quebra de linha

$reg+=1;
$reg2+=1;
$totalBloco["C190"]+=1;

}

}

/*
//REGISTRO C195 (VARIOS POR ARQUIVO)
$conteudo .= 'C195'; // 01 REG - C - 004.
$conteudo .= '0000'; // 02 COD_OBS - C - 06 - O
$conteudo .= '0000'; // 03 TXT_COMPL - C - 60 - OC

//REGISTRO C197 (VARIOS POR ARQUIVO)
$conteudo .= 'C197'; // 01 REG - C - 004.
$conteudo .= '0000'; // 02 COD_OBS - C - 10* - O
$conteudo .= '0000'; // 03 TXT_COMPL - C - 60 - OC
$conteudo .= '0000'; // 04 TXT_COMPL - C - 06 - OC
$conteudo .= '0000'; // 05 TXT_COMPL - N - 10,02 - OC
$conteudo .= '0000'; // 06 TXT_COMPL - N - 06,02 - OC
$conteudo .= '0000'; // 07 TXT_COMPL - N - 10,02 - OC
$conteudo .= '0000'; // 08 TXT_COMPL - N - 10,02 - OC

//REGISTRO C300 (VARIOS POR ARQUIVO)
$conteudo .= 'C197'; // 01 REG - C - 004.
$conteudo .= '0000'; // 02 COD_MOD - C - 02* - O
$conteudo .= '0000'; // 03 SER - C - 04 - O
$conteudo .= '0000'; // 04 SUB - C - 03 - O
$conteudo .= '0000'; // 05 NUM_DOC_INI - N - 06 - O
$conteudo .= '0000'; // 06 NUM_DOC_FIN - N - 06 - O
$conteudo .= '0000'; // 07 DT_DOC - N - 08* - O
$conteudo .= '0000'; // 08 VL_DOC - N - 10,02 - O
$conteudo .= '0000'; // 09 VL_PIS - N - 10,02 - OC
$conteudo .= '0000'; // 10 VL_COFINS - N - 10,02 - OC
$conteudo .= '0000'; // 11 COD_CTA - C - 60 - OC
*/

$reg+=1;
$reg2+=1;
$totalBloco["C990"]+=1;
$conteudo .= '|';
//*REGISTRO C990 (UM POR ARQUIVO)
$conteudo .= 'C990'.'|'; // 01 REG - C - 004.
$conteudo .= $reg.'|'; // 02 QTD_LIN_0 - N - 08 - O
$conteudo .= chr(13).chr(10); //essa  a quebra de linha


//BLOCO D - ABERTURA
$reg='0';

$conteudo .= '|';
//*REGISTRO D001 (UM POR ARQUIVO)
$conteudo .= 'D001'.'|'; // 01 REG - C - 004.
$conteudo .= '1'.'|'; // 02 IND_MOV - C - 01 - O
$conteudo .= chr(13).chr(10); //essa  a quebra de linha
$reg+=1;
$reg2+=1;
$totalBloco["D001"]+=1;

$reg+=1;
$reg2+=1;
$totalBloco["D990"]+=1;
$conteudo .= '|';
//*REGISTRO D990 (UM POR ARQUIVO)
$conteudo .= 'D990'.'|'; // 01 REG - C - 004.
$conteudo .= $reg.'|'; // 02 QTD_LIN_0 - N - 08 - O
$conteudo .= chr(13).chr(10); //essa  a quebra de linha


//BLOCO E - ABERTURA
$reg='0';

$conteudo .= '|';
//*REGISTRO E001 (UM POR ARQUIVO)
$conteudo .= 'E001'.'|'; // 01 REG - C - 004.
$conteudo .= '0'.'|'; // 02 IND_MOV - C - 01 - O
$conteudo .= chr(13).chr(10); //essa  a quebra de linha
$reg+=1;
$reg2+=1;
$totalBloco["E001"]+=1;

$conteudo .= '|';
//*REGISTRO E100 (VARIOS POR ARQUIVO)
$conteudo .= 'E100'.'|'; // 01 REG - C - 004.
$conteudo .= data_exibirtxt(data_banco($_GET["De"])).'|'; // 02 DT_INI - N - 08 - O
$conteudo .= data_exibirtxt(data_banco($_GET["Ate"])).'|'; // 03 DT_FIN - N - 08 - O
$conteudo .= chr(13).chr(10); //essa  a quebra de linha
$reg+=1;
$reg2+=1;
$totalBloco["E100"]+=1;

$sql_E110 = mysqli_query($con,"Select DISTINCT nfe.Id,
                         nfe.Tipo,
                         nfe.Finalidade_Emissao,
                         nfe.Serie,
                         nfe.Numero_Nota,
                         nfe.Chave,
                         nfe.Data_Nfe,
                         nfe.vBC,
                         SUM(nfe.vICMS) as Total_vICMS,
                         nfe.vBCST,
                         nfe.vST,
                         nfe.vProd,
                         nfe.vFrete,
                         nfe.vSeg,
                         nfe.vDesc,
                         nfe.vII,
                         nfe.vIPI,
                         nfe.vPIS,
                         nfe.vCOFINS,
                         nfe.vOutro,
                         nfe_pedido.Valor_Original,
                         nfe_pedido.Valor_Pago,
                         nfe_pedido.Id_Tipo_Pagamento,
                         nfe_pedido.Tipo_Frete,
                         nfe_pedido.Frete,
                         nfe_pedido.Despesa
                         FROM nfe
                         LEFT JOIN nfe_pedido ON nfe_pedido.Id = nfe.Id_Pedido
                         WHERE nfe.Id_Unidade='".$_GET["Unidade"]."'
                         AND nfe.Status = 'Ativa'
                         AND nfe.Data_Nfe <= '".data_banco($_GET["Ate"])."'
                         ORDER BY nfe.Tipo,nfe.Status,nfe.Data_Nfe ");
//AND nfe.Data_Nfe >= '".data_banco($_GET["De"])."' 
$linhaE110 = mysqli_fetch_assoc($sql_E110);

$conteudo .= '|';
//*REGISTRO E110 (UM POR ARQUIVO)
$conteudo .= 'E110'.'|'; // 01 REG - C - 004.
$conteudo .= number_format($linhaE110["Total_vICMS"],2,",","").'|'; // 02 VL_TOT_DEBITOS - N - 08,2 - O
$conteudo .= '0'.'|'; // 03 VL_AJ_DEBITOS - N - 08,2 - O
$conteudo .= '0'.'|'; // 04 VL_TOT_AJ_DEBITOS - N - 08,2 - O
$conteudo .= '0'.'|'; // 05 VL_ESTORNOS_CRED - N - 08,2 - O
$conteudo .= '0'.'|'; // 06 VL_TOT_CREDITOS - N - 08,2 - O
$conteudo .= '0'.'|'; // 07 VL_AJ_CREDITOS - N - 08,2 - O
$conteudo .= '0'.'|'; // 08 VL_TOT_AJ_CREDITOS - N - 08,2 - O
$conteudo .= '0'.'|'; // 09 VL_ESTORNOS_DEB - N - 08,2 - O
$conteudo .= '0'.'|'; // 10 VL_SLD_CREDOR_ANT - N - 08,2 - O
$conteudo .= '0'.'|'; // 11 VL_SLD_APURADO - N - 08,2 - O
$conteudo .= '0'.'|'; // 12 VL_TOT_DED - N - 08,2 - O
$conteudo .= '0'.'|'; // 13 VL_ICMS_RECOLHER - N - 08,2 - O
$conteudo .= '0'.'|'; // 14 VL_SLD_CREDOR_TRANSPORTAR - N - 08,2 - O
$conteudo .= '0'.'|'; // 15 DEB_ESP - N - 08,2 - O
$conteudo .= chr(13).chr(10); //essa  a quebra de linha
$reg+=1;
$reg2+=1;
$totalBloco["E110"]+=1;


$reg+=1;
$reg2+=1;
$totalBloco["E990"]+=1;
$conteudo .= '|';
//*REGISTRO E990 (UM POR ARQUIVO)
$conteudo .= 'E990'.'|'; // 01 REG - C - 004.
$conteudo .= $reg.'|'; // 02 QTD_LIN_0 - N - 08 - O
$conteudo .= chr(13).chr(10); //essa  a quebra de linha


//BLOCO G - ABERTURA
$reg='0';

$conteudo .= '|';
//*REGISTRO G001 (UM POR ARQUIVO)
$conteudo .= 'G001'.'|'; // 01 REG - C - 004.
$conteudo .= '1'.'|'; // 02 IND_MOV - C - 01 - O
$conteudo .= chr(13).chr(10); //essa  a quebra de linha
$reg+=1;
$reg2+=1;
$totalBloco["G001"]+=1;

$reg+=1;
$reg2+=1;
$totalBloco["G990"]+=1;
$conteudo .= '|';
//*REGISTRO G990 (UM POR ARQUIVO)
$conteudo .= 'G990'.'|'; // 01 REG - C - 004.
$conteudo .= $reg.'|'; // 02 QTD_LIN_0 - N - 08 - O
$conteudo .= chr(13).chr(10); //essa  a quebra de linha


//BLOCO H - ABERTURA
$reg='0';

$conteudo .= '|';
//*REGISTRO H001 (UM POR ARQUIVO)
$conteudo .= 'H001'.'|'; // 01 REG - C - 004.
$conteudo .= '0'.'|'; // 02 IND_MOV - C - 01 - O
$conteudo .= chr(13).chr(10); //essa  a quebra de linha
$reg+=1;
$reg2+=1;
$totalBloco["H001"]+=1;

$sql_H005 = mysqli_query($con,"Select produto.Titulo as 'Produto',
                            produto.Custo,
                            SUM(estoque.Qtd) as Estoque_Atual
                            from produto
                            LEFT JOIN
                            (
                            SELECT estoque.Id_Produto,
                            estoque.Qtd,
                            estoque.Concluido,
                            estoque.Id_Unidade,
                            estoque.Data_Externo,
                            estoque.Id_Local_Estoque
                            estoque.Id_Externo
                            FROM estoque
                            
                            INNER JOIN (
                            SELECT nfe.Id,nfe.Id_Pedido,nfe.Status,nfe.Data_Nfe,nfe.Id_Unidade
                            FROM nfe
                            WHERE nfe.Id_Unidade='".$_GET["Unidade"]."'
                            AND nfe.Status = 'Ativa'
                            AND nfe.Data_Nfe <= '".data_banco($_GET["Ate"])."'
                            ) as nfe ON nfe.Id_Pedido = estoque.Id_Externo
                            
                            WHERE estoque.Concluido = 'Sim'
                            ) as estoque
                            ON produto.Id = estoque.Id_Produto
                            where 1=1
                            AND produto.Tipo_Produto = 'P'
                            GROUP BY produto.Id
                            HAVING Estoque_Atual <> '0'
                            order by produto.Titulo");

//HAVING Estoque_Atual > '0'
//HAVING Estoque_Atual < '0'
//HAVING Estoque_Atual <> '0'

$ac='1';
while ($linhaH005 = mysqli_fetch_assoc($sql_H005)) {
    $valor_estoque+= $linhaH005["Estoque_Atual"]*$linhaH005["Custo"];
}

$conteudo .= '|';
//*REGISTRO H005 (UM POR ARQUIVO)
$conteudo .= 'H005'.'|'; // 01 REG - C - 004.
$conteudo .= data_exibirtxt(data_banco($_GET["Ate"])).'|'; // 02 DT_INV - N - 8 - O
$conteudo .= number_format($valor_estoque,2,",","").'|'; // 03 VL_INV - N - 10,02 - O
$conteudo .= '01'.'|'; // 04 MOT_INV - C - 2 - O
$conteudo .= chr(13).chr(10); //essa  a quebra de linha
$reg+=1;
$reg2+=1;
$totalBloco["H005"]+=1;

echo("Select produto.Titulo as 'Produto',
                            produto.Custo,
                            produto.Codigo,
                            produto.Descricao,
                            produto.Medida,
                            SUM(estoque.Qtd) as Estoque_Atual
                            from produto
                            LEFT JOIN
                            (SELECT estoque.Id_Produto,
                            estoque.Qtd,
                            estoque.Concluido,
                            estoque.Id_Unidade,
                            estoque.Data_Externo,
                            estoque.Id_Local_Estoque,
                            estoque.Id_Externo
                            FROM estoque
                            
                            INNER JOIN (
                            SELECT nfe.Id,nfe.Id_Pedido,nfe.Status,nfe.Data_Nfe,nfe.Id_Unidade
                            FROM nfe
                            WHERE nfe.Id_Unidade='".$_GET["Unidade"]."'
                            AND nfe.Status = 'Ativa'
                            AND nfe.Data_Nfe <= '".data_banco($_GET["Ate"])."'
                            ) as nfe ON nfe.Id_Pedido = estoque.Id_Externo

                            WHERE estoque.Concluido = 'Sim'
                            ) as estoque
                            ON produto.Id = estoque.Id_Produto
                            where 1=1
                            AND produto.Tipo_Produto = 'P'
                            GROUP BY produto.Id
                            HAVING Estoque_Atual <> '0'
                            order by produto.Titulo");die();

//HAVING Estoque_Atual > '0'
//HAVING Estoque_Atual < '0'
//HAVING Estoque_Atual <> '0'
                            
while ($linhaH010 = mysqli_fetch_assoc($sql_H010)) {

$conteudo .= '|';
//*REGISTRO H010 (VARIOS POR ARQUIVO)
$conteudo .= 'H010'.'|'; // 01 REG - C - 004.
$conteudo .= $linhaH010["Codigo"].'|'; // 02 COD_ITEM - C - 60 - O
$conteudo .= $linhaH010["Medida"].'|'; // 03 UNID - C - 6 - O
$conteudo .= $linhaH010["Estoque_Atual"].'|'; // 04 QTD - N - 10,03 - O
$conteudo .= number_format($linhaH010["Custo"],2,",","").'|'; // 05 VL_UNIT - N - 10,06 - O
$conteudo .= number_format( ($linhaH010["Custo"]*$linhaH010["Estoque_Atual"]),2,",","").'|'; // 06 VL_ITEM - N - 10,02 - O
$conteudo .= '0'.'|'; // 07 IND_PROP - C - 1 - O
$conteudo .= ''.'|'; // 08 COD_PART - C - 60 - O
$conteudo .= $linhaH010["Descricao"].'|'; // 09 TXT_COMPL - C - 100 - O
$conteudo .= ''.'|'; // 10 COD_CTA - C - 100 - O
//$conteudo .= ''.'|'; // 11 VL_ITEM_IR - N - 10,02 - O
$conteudo .= chr(13).chr(10); //essa  a quebra de linha
$reg+=1;
$reg2+=1;
$totalBloco["H010"]+=1;

}


$reg+=1;
$reg2+=1;
$totalBloco["H990"]+=1;
$conteudo .= '|';
//*REGISTRO H990 (UM POR ARQUIVO)
$conteudo .= 'H990'.'|'; // 01 REG - C - 004.
$conteudo .= $reg.'|'; // 02 QTD_LIN_0 - N - 08 - O
$conteudo .= chr(13).chr(10); //essa  a quebra de linha


//BLOCO 1 - ABERTURA
$reg='0';

$conteudo .= '|';
//*REGISTRO 1001 (UM POR ARQUIVO)
$conteudo .= '1001'.'|'; // 01 REG - C - 004.
$conteudo .= '0'.'|'; // 02 IND_MOV - C - 01 - O
$conteudo .= chr(13).chr(10); //essa  a quebra de linha
$reg+=1;
$reg2+=1;
$totalBloco["1001"]+=1;

$conteudo .= '|';
//*REGISTRO 1010 (UM POR ARQUIVO)
$conteudo .= '1010'.'|'; // 01 REG - C - 004.
$conteudo .= 'N'.'|'; // 02 IND_EXP - C - 01 - O
$conteudo .= 'N'.'|'; // 03 IND_CCRF - C - 01 - O
$conteudo .= 'N'.'|'; // 04 IND_COMB - C - 01 - O
$conteudo .= 'N'.'|'; // 05 IND_USINA - C - 01 - O
$conteudo .= 'N'.'|'; // 06 IND_VA - C - 01 - O
$conteudo .= 'N'.'|'; // 07 IND_EE - C - 01 - O
$conteudo .= 'N'.'|'; // 08 IND_CART - C - 01 - O
$conteudo .= 'N'.'|'; // 09 IND_FORM - C - 01 - O
$conteudo .= 'N'.'|'; // 10 IND_AER - C - 01 - O
$conteudo .= chr(13).chr(10); //essa  a quebra de linha
$reg+=1;
$reg2+=1;
$totalBloco["1010"]+=1;


$reg+=1;
$reg2+=1;
$totalBloco["1990"]+=1;
$conteudo .= '|';
//*REGISTRO 1990 (UM POR ARQUIVO)
$conteudo .= '1990'.'|'; // 01 REG - C - 004.
$conteudo .= $reg.'|'; // 02 QTD_LIN_0 - N - 08 - O
$conteudo .= chr(13).chr(10); //essa  a quebra de linha



//BLOCO 9 - ABERTURA
$reg='0';

$conteudo .= '|';
//*REGISTRO 9001 (UM POR ARQUIVO)
$conteudo .= '9001'.'|'; // 01 REG - C - 004.
$conteudo .= '0'.'|'; // 02 IND_MOV - C - 01 - O
$conteudo .= chr(13).chr(10); //essa  a quebra de linha
$reg+=1;
$reg2+=1;
$totalBloco["9001"]+=1;

$ad=1;
foreach($totalBloco as $posicao=>$campo){

$conteudo .= '|';
//*REGISTRO 9900 (VARIOS POR ARQUIVO)
$conteudo .= '9900'.'|'; // 01 REG - C - 004.
$conteudo .= $posicao.'|'; // 02 REG_BLC - C - 4 - O
$conteudo .= $campo.'|'; // 03 QTD_REG_BLC - N - 10 - O
$conteudo .= chr(13).chr(10); //essa  a quebra de linha

$reg+=1;
$reg2+=1;
//$totalBloco["9900"]+=1;

$ad++;
}
$ad+=2;
$conteudo .= '|';
$conteudo .= '9900'.'|'; // 01 REG - C - 004.
$conteudo .= '9900'.'|'; // 02 REG_BLC - C - 4 - O
$conteudo .= $ad.'|'; // 03 QTD_REG_BLC - N - 10 - O
$conteudo .= chr(13).chr(10); //essa  a quebra de linha
$reg+=1;
$reg2+=1;

$conteudo .= '|';
$conteudo .= '9900'.'|'; // 01 REG - C - 004.
$conteudo .= '9990'.'|'; // 02 REG_BLC - C - 4 - O
$conteudo .= '1'.'|'; // 03 QTD_REG_BLC - N - 10 - O
$conteudo .= chr(13).chr(10); //essa  a quebra de linha
$reg+=1;
$reg2+=1;

$conteudo .= '|';
$conteudo .= '9900'.'|'; // 01 REG - C - 004.
$conteudo .= '9999'.'|'; // 02 REG_BLC - C - 4 - O
$conteudo .= '1'.'|'; // 03 QTD_REG_BLC - N - 10 - O
$conteudo .= chr(13).chr(10); //essa  a quebra de linha
$reg+=1;
$reg2+=1;


$reg+=2;//pra contar o de baixo
$reg2+=1;
$totalBloco["9990"]+=1;
$conteudo .= '|';
//*REGISTRO 9990 (UM POR ARQUIVO)
$conteudo .= '9990'.'|'; // 01 REG - C - 004.
$conteudo .= $reg.'|'; // 02 QTD_LIN_0 - N - 08 - O
$conteudo .= chr(13).chr(10); //essa  a quebra de linha

$reg+=1;
$reg2+=1;
$totalBloco["9999"]+=1;
$conteudo .= '|';
//*REGISTRO 9999 (UM POR ARQUIVO)
$conteudo .= '9999'.'|'; // 01 REG - C - 004.
$conteudo .= $reg2.'|'; // 02 QTD_LIN_0 - N - 08 - O
$conteudo .= chr(13).chr(10); //essa  a quebra de linha




$Sequencial_Cobranca = "EFD FISCAL - ".substr($linha0000["Razao_Social"],0,99)." - DE ".data_exibirtxt(data_banco($_GET["De"]))." ATE ".data_exibirtxt(data_banco($_GET["Ate"]));

$fp = fopen($Sequencial_Cobranca.".txt", "w");

// Escreve "exemplo de escrita" no bloco1.txt
$escreve = fwrite($fp, $conteudo);

// Fecha o arquivo
$finaliza = fclose($fp);

$aquivoNome = $Sequencial_Cobranca.".txt"; // nome do arquivo que ser enviado p/ download
$arquivoLocal = $aquivoNome; // caminho absoluto do arquivo

// Definimos o novo nome do arquivo
$novoNome = $Sequencial_Cobranca.".txt";

// Configuramos os headers que sero enviados para o browser
header('Content-Description: File Transfer');
header('Content-Disposition: attachment; filename="'.$novoNome.'"');
header('Content-Type: application/octet-stream');
header('Content-Transfer-Encoding: binary');
header('Content-Length: ' . filesize($aquivoNome));
header('Cache-Control: must-revalidate, post-check=0, pre-check=0');
header('Pragma: public');
header('Expires: 0');

// Envia o arquivo para o cliente
readfile($aquivoNome);

//copiando e deletando o arquivo
//$origem = 'arquivo.txt';
//$destino = 'pasta/example.txt';
//copy($origem, $destino);
unlink($arquivoLocal);
?>