<?php
include_once '../include/conecta.php'; //Conecta com a nosso banco de dados MySQL
include_once '../include/ver_sessao.php'; //Verifica se a sesso est ativa
include_once '../include/funcoesPhp.php';
include_once '../menu_movimento.php';
$modulo_lista = 'Tarefa';
include '../include/sessao_lista.php';

//se no houver nada na pesquisa da listagem
if (!$_GET['Pesq']) {
        //listagem padro
        if (!isset($_GET['Status_Lista']))
                $_GET['Status_Lista'] = 'Aberto';
}
?>
<?php
$menu = mysqli_query($con, "select permissao.Relatorio,
                                    permissao.Cadastrar,
                                    permissao.Alterar,
                                    permissao.Deletar
                                    from permissao
                                    inner join menu_usuario ON menu_usuario.Id_Menu = permissao.Id_Menu
                                    where menu_usuario.Id_Responsavel='" . $_SESSION["Id"] . "'
                                    and permissao.Id_Responsavel='" . $_SESSION["Id"] . "'
                                    and permissao.Id_Menu = '326' ");
$menu = mysqli_fetch_assoc($menu);
?>
<?php
//if (!$_GET['Pesq']) {
if ($_GET["Status_Lista"]) {
        $Status_Lista1 = " and tarefa.Status = '" . $_GET["Status_Lista"] . "' ";
}
//}
if ($_GET["Ordenar"]) {
        $Ordenar1 = " ORDER BY " . $_GET["Ordenar"] . ", tarefa.Data_Inicio ";
} else {
        $Ordenar1 = " ORDER BY tarefa.Data_Inicio ";
}
if ($_GET["Ordem_Lista"] == "Desc") {
        $Ordem_Lista1 = ' DESC ';
} else {
        $Ordem_Lista1 = ' ASC ';
}


if ($_GET['Pesq']) {
        $pesquisa = " AND " . $_GET['Ordenar'] . " like '%" . $_GET['Pesq'] . "%' ";
}

if ($_SESSION["Id_Nivel"] != 1) {
        $filtrar = "and tarefa.Id_Responsavel = '" . $_SESSION["Id"] . "' ";
}
if ($_GET["Filtro"] == "Seus") {
        $filtro = " AND (Id_Supervisor = '" . $_SESSION["Id_Funcionario"] . "' OR Id_Responsavel = '" . $_SESSION["Id_Funcionario"] . "') ";
} else {
        $filtro = '';
}

/* Inicio dos parmetros da Paginao*/

/*varivel com o cdigo SQL da consulta ao banco de dados*/
$_pagi_sql = "SELECT tarefa.Id,
                      cliente.Titulo as Cliente,
                      funcionario.Titulo as 'Supervisor',
                      funcionario2.Titulo as 'Responsavel',
                      tarefa.Titulo,
                      tarefa.Id_Supervisor,
                      tarefa.Situacao,
                      tarefa.Status,
                      tarefa.Codigo,
                      tarefa.Data_Inicio,
                      tarefa.Data_Fim,
                      tarefa.Hora_Inicio,
                      tarefa.Hora_Fim
                      FROM tarefa
                      left join (SELECT Id,Titulo FROM funcionario) as funcionario ON funcionario.Id = tarefa.Id_Supervisor
                      left join (SELECT Id,Titulo FROM funcionario) as funcionario2 ON funcionario2.Id = tarefa.Id_Responsavel
                      left join (SELECT Id,Titulo FROM cliente) as cliente ON cliente.Id = tarefa.Id_Cliente
                      where tarefa.Codigo_Pai = '0' $Status_Lista1 $filtro
                      $filtrar $pesquisa $Ordenar1 $Ordem_Lista1 ";

/* pagina fora que contem todas as opcoes do paginator */
include_once '../include/paginator_opcao.php';
include_once '../include/paginator.inc.php'; //incluindo o script de paginao PAGINATOR
/*Paginao na listagem dos clientes. Apenas nos arquivos listar.
 * Inclue-se depois que passa os parmetros da funo
 * seus resultados so aparentementes satisfatrio
 * */
?>
<html>

<head>
        <title>Gw - Gesto Web</title>
        <link rel="stylesheet" type="text/css" href="../estilo/<?php echo SKIN; ?>/listless.css" />
        <script type="text/javascript" language="javascript" src="../js/jquery.js"></script>
        <?php include '../include/script_cabeca.php'; ?>
        <script type="text/javascript" language="javascript" src="../js/script.js"></script>
        <script type="text/javascript" language="javascript">
                function submeteFiltro(valor) {
                        document.forms['ordenar'].submit();
                }
        </script>
</head>

<body>
        <!-- Centro -->
        <div id="centro">
                <!-- Contedo -->
                <div id="conteudo" class="ajustar">

                        <div class="titulo">
                                <span>Tarefas</span>
                                <form name="pesquisa" method="get" action="">
                                        <span class="inputs">
                                                <?php echo $_pagi_info; ?>
                                        </span>
                                </form>
                        </div>
                        <!-- Navegao -->
                        <div class="botoes_cima">
                                <a href="javascript:void(0);" class="voltar" alt="Voltar" title="Voltar" onclick="javascript:history.back(1);">Voltar</a>

                                <?php if ($menu["Relatorio"] == "Sim") { ?>
                                        <a href="rel_tarefa.php" alt="Relatrio" title="Relatrio" class="relatorio">Relatrio</a>
                                <?php } ?>

                                <?php if ($menu["Cadastrar"] == "Sim") { ?>
                                        <a href="cad_tarefa.php?acao=entrar" alt="Cadastrar" title="Cadastrar" class="incluir">Cadastrar</a>
                                <?php } ?>

                                <a href="rel_qualidade.php" alt="Qualidade" title="Qualidade">Qualidade</a>

                                <form name="ordenar" method="get" action="">

                                        <span style="margin-left: 4%;float: left;">
                                                <span style="float: left">
                                                        Buscar por : &nbsp;&nbsp;&nbsp;
                                                </span>
                                                <?php
                                                if ($_GET["Filtro"] == "Seus") {
                                                        $marcS = "checked";
                                                } else {
                                                        $marcT = "checked";
                                                }
                                                ?>
                                                <input type="radio" name="Filtro" value='Todos' id="Todos" <?php echo $marcT; ?>><label for="Todos">Todos</label>
                                                <input type="radio" name="Filtro" value='Seus' id="Seus" <?php echo $marcS; ?>><label for="Seus">S Seus</label>
                                        </span>

                                        <span class="ordenar_por">
                                                <label for="Pesq">Busca:</label>
                                                <input type="text" name="Pesq" size="30" value="<?php echo $_GET['Pesq']; ?>">
                                                <label for="Pesq">Ordenar Por:</label>
                                                <?php
                                                $vetor = array(
                                                        '' => 'Status',
                                                        'Aberto' => 'Aberto',
                                                        'Finalizado' => 'Finalizado'
                                                );
                                                select_tela("Status_Lista", "Status_Lista", $_GET["Status_Lista"], $vetor, "onchange='submeteFiltro(this.value)'");
                                                ?>
                                                <?php
                                                $vetor = array(
                                                        'tarefa.Codigo' => 'Cdigo',
                                                        'tarefa.Data_Inicio' => 'Data Inicio',
                                                        'tarefa.Titulo' => 'Ttulo',
                                                        'funcionario.Titulo' => 'Supervisor',
                                                        'funcionario2.Titulo' => 'Responsvel',
                                                        'cliente.Titulo' => 'Cliente',
                                                        'tarefa.Situacao' => 'Situao',
                                                        'tarefa.Status' => 'Status'
                                                );
                                                select_tela("Ordenar", "Ordenar", $_GET["Ordenar"], $vetor, "onchange='submeteFiltro(this.value)'");
                                                ?>
                                                <?php
                                                $vetor = array('Desc' => 'Decrescente', 'Asc' => 'Crescente');
                                                select_tela("Ordem_Lista", "Ordem_Lista", $_GET["Ordem_Lista"], $vetor, "onchange='submeteFiltro(this.value)'");
                                                ?>
                                        </span>
                                </form>
                                <!-- Fim Navegao -->
                        </div>

                        <table id="lista">
                                <thead>
                                        <tr>
                                                <td>Cdigo</td>
                                                <td>Incio</td>
                                                <td>Fim</td>
                                                <td>Descrio</td>
                                                <td>Cliente</td>
                                                <td>Supervisor</td>
                                                <td>Responsvel</td>
                                                <td>Situao</td>
                                                <td>Status</td>
                                                <td>Opes</td>
                                        </tr>
                                </thead>
                                <tfoot>
                                        <tr>
                                                <td colspan="12">
                                                        <div id="paginacao">
                                                                <p><?php echo $_pagi_navegacion; ?></p>
                                                        </div>
                                                </td>
                                        </tr>
                                </tfoot>
                                <tbody>
                                        <?php $color = "#F5F5F5";
                                        while ($linha = mysqli_fetch_assoc($_pagi_result)) {
                                                if ($color == "#F5F5F5") {
                                                        $color = "#E8E8E8";
                                                        $cass = "";
                                                } else {
                                                        $color = "#F5F5F5";
                                                        $cass = "class='azul'";
                                                }
                                                $corStatus = "";
                                                if ($linha['Status'] == 'Finalizado') {
                                                        $corStatus = "color = '#228B22' ";
                                                }
                                                if ($linha['Status'] == 'Aberto') {
                                                        $corStatus = "color = '#3A5FCD' ";
                                                }

                                                $corSituacao = "";
                                                if ($linha['Situacao'] == 'Concludo') {
                                                        $corSituacao = "color = '#228B22' ";
                                                }
                                                if ($linha['Situacao'] == 'No Concludo') {
                                                        $corSituacao = "color = '#CD2626' ";
                                                }
                                                if ($linha['Situacao'] == 'Pendente') {
                                                        $corSituacao = "color = '#E07700' ";
                                                }
                                                if ($linha['Situacao'] == 'Em Andamento') {
                                                        $corSituacao = "color = '#3A5FCD' ";
                                                }
                                                if ($linha['Situacao'] == 'Pendncia Cliente') {
                                                        $corSituacao = "color = '#7D26CD' ";
                                                }
                                                if ($linha['Situacao'] == 'Pendncia Empresa') {
                                                        $corSituacao = "color = '#E07700' ";
                                                }


                                                $Time1 = '';
                                                $Time2 = '';
                                                $corAnalise = '';

                                                if ($linha['Status'] == 'Aberto') {
                                                        //se a data do Pedido passar da Data de Entrega/dias fica vermelho
                                                        $Time1 = strtotime(date("Y-m-d H:i:s"));

                                                        if (!empty($linha['Hora_Fim'])) {
                                                                $seg_time2 = " " . $linha['Hora_Fim'] . ":" . date("s");
                                                        }
                                                        $Time2 = strtotime($linha['Data_Fim'] . $seg_time2);
                                                        //$Time2 = $Time2 + (2 * 86400);

                                                        //vendo os dias que falta
                                                        $dias = date("d", $Time2 - $Time1);

                                                        if ($Time1 > $Time2) {
                                                                $corAnalise = "color = '#CD2626' ";
                                                        }
                                                }

                                        ?>
                                                <tr <?php echo "$cass"; ?>>
                                                        <td><?php echo $linha['Codigo']; ?></td>
                                                        <td><?php echo data_exibir($linha['Data_Inicio']) . " " . $linha['Hora_Inicio']; ?></td>
                                                        <td>
                                                                <font <?php echo $corAnalise ?>><?php echo data_exibir($linha['Data_Fim']) . " " . $linha['Hora_Fim']; ?></font>
                                                        </td>
                                                        <td><?php echo $linha['Titulo']; ?></td>
                                                        <td><?php echo $linha['Cliente']; ?></td>
                                                        <td><?php echo $linha['Supervisor']; ?></td>
                                                        <td><?php echo $linha['Responsavel']; ?></td>
                                                        <td>
                                                                <font <?php echo $corSituacao ?>><b><?php echo $linha['Situacao']; ?></b></font>
                                                        </td>
                                                        <td>
                                                                <font <?php echo $corStatus ?>><b><?php echo $linha['Status']; ?></b></font>
                                                        </td>
                                                        <td>
                                                                <!--
                <a href='cad_mensagem.php?id_mensagem=<?php echo $linha['Id']; ?>&acao=alterar&status=ver'><img src="../imagem/bt_visualizar.png" alt="Visualizar" border="0" title="Visualizar"></a>

                <a href='ver_tarefa.php?id_tarefa=<?php echo $linha['Id']; ?>'><img src="../imagem/bt_visualizar.png" alt="Visualizar" border="0" title="Visualizar"></a>
                -->
                                                                <?php
                                                                $link2 = "alt_tarefa.php?id_tarefa=" . $linha['Id'] . "&acao=alterar";
                                                                $figura2 = "../imagem/bt_visualizar.png";
                                                                ?>
                                                                <a href='<?php echo $link2; ?>'><img src="<?php echo $figura2; ?>" title="Visualizar" alt="Visualizar" border="0" /></a>

                                                                <a href='imp_rac.php?id_tarefa=<?php echo $linha['Id']; ?>' target="_blank"><img src="../imagem/bt_pedido.png" title="RAC" alt="RAC" border="0" /></a>

                                                                <?php
                                                                $visualizado = mysqli_query($con, "SELECT tarefa_visualizada.Id_Tarefa,
                                                                                                        tarefa_visualizada.Id_Usuario,
                                                                                                        tarefa_visualizada.Visualizado,
                                                                                                        usuario.Login as Titulo
                                                                                                FROM tarefa_visualizada
                                                                                                LEFT JOIN (SELECT Id,Login FROM usuario) as usuario ON usuario.Id = tarefa_visualizada.Id_Usuario
                                                                                                WHERE tarefa_visualizada.Id_Tarefa = '" . $linha['Id'] . "' ");
                                                                $ex_fun = 'Visualizados por:' . "\n";
                                                                while ($visualizadoFunc = mysqli_fetch_assoc($visualizado)) {
                                                                        $ex_fun .= $visualizadoFunc["Titulo"] . "\n";
                                                                }
                                                                ?>
                                                                <img border="0" src="../imagem/ver.png" title="<?php echo $ex_fun; ?>" alt="<?php echo $ex_fun; ?>" />

                                                                <?php
                                                                if ($menu["Alterar"] == "Sim") {
                                                                        if ($_SESSION['Id_Funcionario'] == $linha['Id_Supervisor'] || $_SESSION['Id_Funcionario'] == '7d425838854deb60da956fd617eb546f') {
                                                                                $link3 = "cad_tarefa.php?id_tarefa=" . $linha['Id'] . "&acao=alterar";
                                                                                $figura3 = "../imagem/bt_editar.png";
                                                                ?>
                                                                                <a href='<?php echo $link3; ?>'><img src="<?php echo $figura3; ?>" title="Alterar" alt="Alterar" border="0" /></a>
                                                                                <?php } else if (CLIENTE_EMAIL == 'unigames' || CLIENTE_EMAIL == 'gw') {
                                                                                if ($_SESSION['Id_Nivel'] <= 20) {

                                                                                        $link3 = "cad_tarefa.php?id_tarefa=" . $linha['Id'] . "&acao=alterar";
                                                                                        $figura3 = "../imagem/bt_editar.png";
                                                                                ?>
                                                                                        <a href='<?php echo $link3; ?>'><img src="<?php echo $figura3; ?>" title="Alterar" alt="Alterar" border="0" /></a>
                                                                <?php }
                                                                        }
                                                                } ?>

                                                                <?php
                                                                if ($menu["Deletar"] == "Sim") {
                                                                        $link4 = "deletar('" . $linha["Id"] . "', 'del_tarefa.php?id_tarefa=');";
                                                                        $figura4 = "../imagem/bt_excluir.png";
                                                                ?>
                                                                        <a href='javascript:void(0);'><img src="<?php echo $figura4; ?>" alt="Excluir" title="Excluir" border="0" onclick="<?php echo $link4; ?>" /></a>
                                                                <?php } ?>
                                                        </td>
                                                </tr>
                                        <?php } ?>
                                </tbody>
                        </table>
                        <!-- Navegao Inferior -->
                        <div class="botoes_baixo">
                                <a href="javascript:void(0);" class="voltar" alt="Voltar" title="Voltar" onclick="javascript:history.back(1);">Voltar</a>

                                <?php if ($menu["Cadastrar"] == "Sim") { ?>
                                        <a href="cad_tarefa.php?acao=entrar" alt="Cadastrar" title="Cadastrar" class="incluir">Cadastrar</a>
                                <?php } ?>
                                <!-- Fim Navegao Inferior -->
                        </div>

                </div>
                <!-- Fim do Contedo -->
        </div>
        <!-- Fim de Centro -->

</body>

</html>