$(document).ready(function(){
    const formatarCnpj = (e) => {
        switch(e.target.value.length) {
            case 2: case 6:
                e.target.value += '.';
                break;
            case 10:
                e.target.value += '/';
                break;
            case 15:
                e.target.value += '-';
            break;

        }
    }

    const formatarCpf = (e) => {
        switch(e.target.value.length) {
            case 3: case 7:
                e.target.value += '.';
                break;
            case 11:
                e.target.value += '-';
                break;
        }
    }

    const somenteNumeros = (e) => {
        let charCode = (e.which) ? e.which : e.keyCode
        if (charCode > 31 && (charCode < 48 || charCode > 57))
            e.preventDefault();
    }

    $("input[name=cpfCnpj]").focus();

    $("select[name=natureza]").change(function() {
        if($(this).val() == 'CNPJ') {
            $("input[name=cpfCnpj").attr('maxlength', 18).val('');
        }
        else {
            $("input[name=cpfCnpj").attr('maxlength', 14).val('');
        }
    })

    $("input[name=cpfCnpj").keypress(function(e) {
        somenteNumeros(e);
        if($("select[name=natureza]").val() == "CNPJ") {
            formatarCnpj(e)
        }
        else {
            formatarCpf(e);
        }
    });
});