<?php
include_once "../include/conecta.php"; //Conecta com a nosso banco de dados MySQL
ini_set('session.gc_maxlifetime', 60*120); session_start();
/* include_once "../include/ver_sessao.php"; //Verifica se a sesso est ativa */
include_once "../include/funcoesPhp.php"; //Inclue a pgina con todas as funes a ser usada.
?>
<?php 
$venda = listar("SELECT transferencia_estoque_temp.Obs,
                transferencia_estoque_temp.Codigo,
                transferencia_estoque_temp.Id_Unidade_Saida as Id_Unidade,
                transferencia_estoque_temp.Lancamento,
                funcionario.Titulo as Funcionario
                FROM transferencia_estoque_temp
                left join (SELECT Id,Titulo FROM funcionario) as funcionario ON funcionario.Id = transferencia_estoque_temp.Id_Funcionario
                where transferencia_estoque_temp.Id = '".$_GET["id_transferencia_estoque"]."'
                order by transferencia_estoque_temp.Lancamento DESC");

$_GET["Unidade"] = $venda[0]["Id_Unidade"];
               
?>
<html>
<head>
<title>Gw - Gesto Web</title>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1" />
<link rel="shortcut icon" href="../imagem/favi_gw.ico" type="image/x-icon" />
<link rel="stylesheet" type="text/css" href="../estilo/<?php echo SKIN ;?>/tabela_imp.css" />
<script type="text/javascript" language="javascript" src="../js/jquery.js"></script>
<?php include '../include/script_cabeca.php'; ?>
<script type="text/javascript" language="javascript" src="../js/script.js"></script>
<script type="text/javascript" language="javascript" src="../js/meiomask/meiomask.js"></script>
<script type="text/javascript" language="javascript" src="../js/meiomask/<?php if(PAIS=="USA"){ echo "mascaras-usa"; }else{ echo "mascaras"; }?>.js"></script>
<script type="text/javascript" language="javascript">
  window.onload = function(){
    window.print();
  }
</script>
</head>
<body>

<table width="98%" align="center"><!-- TABELA Q ENVOLVE TODO O CONTEUDO -->
<tr>
    <td>
    <?php include "../include/cabecalho_pedido.php"; ?>
    </td>
</tr>
<tr>
	<td>
		<table width="100%" align="center">
			<tr>
                            <td colspan="2" align="center">
                                <font face="verdana" size="3">
                                    <b>
                                        <i>
                                            <?php echo "Transferncia - ".$venda[0]["Lancamento"]; ?>
                                        </i>
                                    </b>
                                </font>
                            </td>
			</tr>
		</table>
	</td>
</tr>
<tr>
	<td>
		<table width="100%" align="center" class="tabela">
			<tr>
				<td colspan="10"><i>Produtos</i></td>
			</tr>
			<?php

            $venda_pro = listar("SELECT produto.Titulo as 'Produto',
                                produto.Codigo,
                                produto.Medida,
                                transferencia_estoque_temp.Qtd,
                                transferencia_estoque_temp.Id,
                                transferencia_estoque_temp.Lote_Entrada,
                                transferencia_estoque_temp.Lote_Saida,
                                transferencia_estoque_temp.Obs,
                                local_estoque.Titulo as Local_Saida,
                                local_estoque2.Titulo as Local_Entrada,
                                unidade.Titulo as Unidade_Saida,
                                unidade2.Titulo as Unidade_Entrada
                                FROM transferencia_estoque_temp
                                left join (SELECT Id,Titulo,Codigo,Medida FROM produto) as produto ON produto.Id = transferencia_estoque_temp.Id_Produto
                                left join (SELECT Id,Titulo FROM local_estoque) as local_estoque ON local_estoque.Id = transferencia_estoque_temp.Id_Local_Estoque_Saida
                                left join (SELECT Id,Titulo FROM local_estoque) as local_estoque2 ON local_estoque2.Id = transferencia_estoque_temp.Id_Local_Estoque_Entrada
                                left join (SELECT Id,Titulo FROM unidade) as unidade ON unidade.Id = transferencia_estoque_temp.Id_Unidade_Saida
                                left join (SELECT Id,Titulo FROM unidade) as unidade2 ON unidade2.Id = transferencia_estoque_temp.Id_Unidade_Entrada
                                where transferencia_estoque_temp.Codigo = '".$venda[0]["Codigo"]."'
                                ORDER BY transferencia_estoque_temp.Lancamento ");

                        $x=1; foreach($venda_pro as $linha){?>

                        <?php if($x==1){ ?>
			<tr class="azul-claro">
				<td>Cdigo:</td>
                                <td>Item:</td>
                                <td>Un:</td>
                                <td>Qtd:</td>
                                <td>Unidade Sada:</td>
                                <td>Local Sada:</td>
                                <td>Lote Sada:</td>
                                <td>Unidade Entrada:</td>
                                <td>Local Entrada:</td>
                                <td>Lote Entrada:</td>
			</tr>
                        <?php } ?>
                        
			<tr>
				<td><?php echo $linha['Codigo'];?></td>
                                <td><?php echo $linha['Produto'];?></td>
                                <td><?php echo $linha['Medida'];?></td>
                                <td><?php echo valor_exibir($linha['Qtd']);?></td>
                                <td><?php echo $linha['Unidade_Saida'];?></td>
                                <td><?php echo $linha['Local_Saida'];?></td>
                                <td><?php echo $linha['Lote_Saida'];?></td>
                                <td><?php echo $linha['Unidade_Entrada'];?></td>
                                <td><?php echo $linha['Local_Entrada'];?></td>
                                <td><?php echo $linha['Lote_Entrada'];?></td>
			</tr>
			<?php $x++; } ?>
		</table>
	</td>
</tr>
</table>
<br/>
<table width="98%" align="center">
	<tr>
		<td align="center">________________________</td>
		<td align="center">________________________</td>
	</tr>
	<tr>
		<td align="center"><font face="verdana" size="2">Solicitante</font></td>
		<td align="center"><font face="verdana" size="2">Representante: <?php echo $venda[0]["Funcionario"];?></font></td>
	</tr>
</table>

<br>
</body>
</html>
<?php include "../include/rodape.php";?>