<?php
include_once "../include/conecta.php"; //Conecta com a nosso banco de dados MySQL
ini_set('session.gc_maxlifetime', 60*120); session_start();
/* include_once "../include/ver_sessao.php"; //Verifica se a sesso est ativa */
include_once "../include/funcoesPhp.php"; //Inclue a pgina con todas as funes a ser usada.
?>
<?php 
        $venda = listar("SELECT produto.Titulo as 'Produto',
                                produto.Codigo,
                                transferencia_estoque.Lancamento,
                                transferencia_estoque.Qtd,
                                transferencia_estoque.Qtd_Venda,
                                transferencia_estoque.Qtd_Falta,
                                transferencia_estoque.Id,
                                transferencia_estoque.Armazenagem,
                                local_estoque.Titulo as Local_Saida,
                                local_estoque2.Titulo as Local_Entrada,
                                unidade.Titulo as Unidade_Saida,
                                unidade2.Titulo as Unidade_Entrada,
                                funcionario.Titulo as Funcionario
                                FROM transferencia_estoque
                                left join (SELECT Id,Titulo,Codigo FROM produto) as produto ON produto.Id = transferencia_estoque.Id_Produto
                                left join (SELECT Id,Titulo FROM local_estoque) as local_estoque ON local_estoque.Id = transferencia_estoque.Id_Local_Estoque_Saida
                                left join (SELECT Id,Titulo FROM local_estoque) as local_estoque2 ON local_estoque2.Id = transferencia_estoque.Id_Local_Estoque_Entrada
                                left join (SELECT Id,Titulo FROM unidade) as unidade ON unidade.Id = transferencia_estoque.Id_Unidade_Saida
                                left join (SELECT Id,Titulo FROM unidade) as unidade2 ON unidade2.Id = transferencia_estoque.Id_Unidade_Entrada
                                left join (SELECT Id,Titulo FROM funcionario) as funcionario ON funcionario.Id = transferencia_estoque.Id_Funcionario
                                WHERE transferencia_estoque.Codigo = '".$_GET["codigo"]."'
                                ORDER BY transferencia_estoque.Lancamento ");


//$_GET["Unidade"] = $venda[0]["Id_Unidade"];
               
?>
<html>
<head>
<title>Gw - Gesto Web</title>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1" />
<link rel="shortcut icon" href="../imagem/favi_gw.ico" type="image/x-icon" />
<link rel="stylesheet" type="text/css" href="../estilo/<?php echo SKIN ;?>/tabela_imp.css" />
<script type="text/javascript" language="javascript" src="../js/jquery.js"></script>
<?php include '../include/script_cabeca.php'; ?>
<script type="text/javascript" language="javascript" src="../js/script.js"></script>
<script type="text/javascript" language="javascript" src="../js/meiomask/meiomask.js"></script>
<script type="text/javascript" language="javascript" src="../js/meiomask/<?php if(PAIS=="USA"){ echo "mascaras-usa"; }else{ echo "mascaras"; }?>.js"></script>
<script type="text/javascript" language="javascript">
  window.onload = function(){
    //window.print();
  };
</script>
</head>
<body>

<table width="98%" align="center"><!-- TABELA Q ENVOLVE TODO O CONTEUDO -->
<tr>
	<td>
            <?php include "../include/cabecalho_pedido.php"; ?>
	</td>
</tr>
<tr>
	<td>
		<table width="100%" align="center">
			<tr>
                            <td colspan="2" align="center">
                                <font face="verdana" size="3">
                                    <b>
                                        <i>
                                            <?php echo "Transferncia"; ?>
                                        </i>
                                    </b>
                                </font>
                            </td>
			</tr>
		</table>
	</td>
</tr>
<tr>
	<td>
		<table width="100%" align="center" class="tabela">
			<tr>
                            <td colspan="2">Funcionrio: <?php echo $venda[0]["Funcionario"];?></td>
			</tr>
		</table>
	</td>
</tr>
<tr>
	<td>
		<table width="100%" align="center" class="tabela">
			<tr>
				<td colspan="9"><i>Produtos</i></td>
			</tr>
                        <tr class="azul-claro">
                                <td>Id</td>
                                <td>Item</td>
                                <?php if(CLIENTE_EMAIL=="paradise"){ ?>
                                <td>Storage</td>
                                <?php } ?>
                                <td>Qtd</td>
                                <td>Unidade Sada</td>
                                <td>Local Sada</td>
                                <td>Unidade Entrada</td>
                                <td>Local Entrada</td>
			</tr>
			<?php
                        
                        $x=1; 
                        foreach($venda as $chave){
                        ?>
			<tr>
                            <td><?php echo $chave['Lancamento'];?></td>
                            <td><?php echo $chave['Codigo']." : ".$chave['Produto'];?></td>
                            <?php if(CLIENTE_EMAIL=="paradise"){ ?>
                            <td><?php echo $chave['Armazenagem'];?></td>
                            <?php } ?>
                            <td><?php echo valor_exibir($chave['Qtd']);?></td>
                            <td><?php echo $chave['Unidade_Saida'];?></td>
                            <td><?php echo $chave['Local_Saida'];?></td>
                            <td><?php echo $chave['Unidade_Entrada'];?></td>
                            <td><?php echo $chave['Local_Entrada'];?></td>
			</tr>
			<?php
			$Qtd_Venda+= $chave["Qtd_Venda"];
			$x++; }
			?>
		</table>
	</td>
</tr>
</table>
<br/>
<table width="98%" align="center">
	<tr>
		<td align="center">________________________</td>
		<td align="center">________________________</td>
	</tr>
	<tr>
		<td align="center">
                    <font face="verdana" size="2">
                    Emp Sada:  <?php echo $venda[0]["Unidade_Saida"];?>
                    </font>
                </td>
		<td align="center"><font face="verdana" size="2">Emp Entrada: <?php echo $venda[0]["Unidade_Entrada"];?></font></td>
	</tr>
</table>

<br>
</body>
</html>
<?php include "../include/rodape.php";?>