<?php
include_once '../../include/conecta.php'; //Conecta com a nosso banco de dados MySQL
ini_set('session.gc_maxlifetime', 60*120); session_start();
/*include_once '../include/ver_sessao.php'; //Verifica se a sesso est ativa*/
include_once '../../include/funcoesPhp.php'; include_once '../../menu_movimento.php';

$os = mysqli_query($con,"Select treinamento.Id,
               treinamento.Data,
               treinamento.Hora_Inicio,
               treinamento.Hora_Fim,
               treinamento.Obs,
               treinamento.Modulo,
               treinamento.Coordenador,
               treinamento.Numero_Funcionario,
               cliente.Titulo as 'Cliente',
               cliente.Razao_Social,
               cliente.Email,
               cliente.Natureza,
               cliente.Cpf_Cnpj,
               cliente.Endereco,
               cliente.Cep,
               cliente.Bairro,
               cliente.Estado,
               cliente.Fone1,
               cliente.Cidade,
               tecnico.Titulo as Tecnico,
               tecnico.Sobrenome
               from treinamento
               left join (SELECT Id,Titulo,Razao_Social,Email,Natureza,Cpf_Cnpj,Endereco,Cep,Bairro,Estado,Fone1,Cidade FROM cliente) as cliente ON cliente.Id = treinamento.Id_Cliente
               left join (SELECT Id,Titulo,Sobrenome FROM funcionario) as tecnico ON tecnico.Id = treinamento.Id_Funcionario
               where treinamento.Id = '".$_GET["id_treinamento"]."' ");
$os = mysqli_fetch_assoc($os);

mysqli_query($con,"UPDATE treinamento SET Imp = (Imp+1) WHERE Id='".$_GET["id_treinamento"]."' ");
?>
<html>
<head>
<title>Gw - Gesto Web</title>
<link rel="stylesheet" type="text/css" href="../../estilo/tabela_imp.css" />
<script type="text/javascript" language="javascript" src="../../js/jquery.js"></script>
<?php include '../../include/script_cabeca.php'; ?>
<script type="text/javascript" language="javascript" src="../../js/script.js"></script>
<script type="text/javascript" language="javascript" src="../../js/editing/editing2.js"></script>
<script type="text/javascript" language="javascript">
  //window.onload = function(){
    //window.print();
  //}
</script>
<style type="text/css" media="print">

thead	{display: table-header-group;	}
tfoot	{display: table-footer-group;	}
thead th, thead td	{position: static; }

thead tr	{position: static; } /*prevent problem if print after scrolling table*/
table tfoot tr {     position: static;    }


</style>
</head>
<body>
<table width="98%" align="center"><!-- TABELA Q ENVOLVE TODO O CONTEUDO -->
<thead>
    <tr>
        <td>
            <table width="100%">
                <tr>
                    <td align="left" width="50%"><img src="logo_pontti.png"></td>
                    <td align="right" width="50%"><font size="2">Rua 75, n 85<br>
                    Maranguape 1 - Paulista - PE<br>20.755.929/0001-38</font></td>
                </tr>
            </table>
        </td>
    </tr>
</thead>
    <tr>
        <td>
            <table width="100%">
                <tr>
                    <td align="justify">
                        <span style="font-size: 14px">
                    <br/><br/><br/>
                    <b>
                        <center>
                            <font size="4">
                            CERTIFICADO DE CONCLUSO DE IMPLANTAO DE SISTEMA
                            </font>
                        </center>
                    </b>
                    <br/><br/><br/>
                    A <b>PonttiWeb LTDA - ME</b> representada aqui, neste ato, por seu Tcnico de Implantao, Sr(a) 
                    <b><?php echo $os["Tecnico"];?></b>, confirma a concluso de todas as etapas de implantao do sistema GW WEB 3.0 nos seus mdulos: 
                    <br>
                    <b><?php echo nl2br($os["Modulo"]);?></b>
                    <br/><br/>
                    A <b>Pontti Web Ltda - ME</b> foi responsvel pela disponibilizao do sistema, 
                    disponibilizao do banco de dados, treinamento dos usurios e dos replicadores do conhecimento, 
                    realizao do helpdesk em segundo nvel.
                    <br/>
                    Estando os usurios da empresa <b><?php echo $os["Cliente"]." - ".$os["Razao_Social"];?></b>, 
                    APTOS a utilizar o sistema.
                    <br/>
                    Passando a ter em seu quadro pessoal <b><?php echo $os["Numero_Funcionario"];?></b> funcionrio(s) conhecedores dos mdulos, tendo sido 
                    esse(s) funcionrio(s) escolhido(s) pela administrao da referida empresa para receberem a 
                    qualificao e com capacidade de transmitir esse conhecimento para quantos mais funcionrios se faa necessrio.
                    <br/>
                    Dando o Sistema GW WEB 3.0 como <b>implantado</b> e com o uso liberado e disponvel para uso <b>imediato</b> 
                    em ambiente de produo na empresa 
                    <b><?php echo $os["Cliente"]." - ".$os["Razao_Social"];?></b>
                    e atestado pelo seu responsvel o Sr(a) <b><?php echo $os["Coordenador"];?></b>
                    que coordenou e o acompanhou o processo de implantao.
                    <br/><br/>
                    <b>CERTIFICADO.</b>
                    </td>
                </tr>
                <tr>
                    <td align="right">
                        <font size="2">
                        <br/><br/>Paulista, <?php echo data_extenso($os["Data"]) ?><br/>
                        </font>
                    </td>
                </tr>
            </table>
            <table width="100%">
                <tr>
                    <td align="center">
                        <font size="2"><br/><br/>
                        _______________________________________________________
                        <br/><?php echo $os["Coordenador"];?>
                        <br/><?php echo $os["Cliente"]." - ".$os["Razao_Social"];?>
                        <br>Coordenador da Implantao
                        </font>
                    </td>
                    <td align="center">
                        <font size="2"><br/><br/>
                        _______________________________________________________
                        <br/>Pontti Web LTDA - ME
                        <br/><?php echo $os["Tecnico"]." ".$os["Sobrenome"];?>
                        <br>Analista de implantao
                        </font>
                    </td>
                </tr>
            </table>
        </td>
    </tr>
    <tr>
        <td>
            <font size="1">
            <br/>* Prazo de 02 meses, apartir da assinatura deste documentos, para solicitar agendamento para horas de aulas pendentes.
            </font>
        </td>
    </tr>
</table>
</body>
</html>