<?php
include_once "../include/conecta.php"; //Conecta com a nosso banco de dados MySQL
ini_set('session.gc_maxlifetime', 60*120); session_start();
/* include_once "../include/ver_sessao.php"; //Verifica se a sesso est ativa */
include_once "../include/funcoesPhp.php"; //Inclue a pgina con todas as funes a ser usada.
?>
<?php 
               $venda = listar("Select venda.Id,
 					venda.Lancamento,
 					venda.Status,
 					venda.Data_Venda,
                                        venda.Data_Entrega,
 					venda.Obs as 'Obs_Venda',
 					venda.Valor_Original,
 					venda.Valor_Pago,
                                        venda.Desconto,
                                        venda.Desconto_Real,
                                        venda.Frete,
                                        venda.Valor_Frete,
                                        venda.Id_Unidade,
                                        venda.Valor_Ipi,
                                        venda.Valor_Icms_Sub,
                                        venda.Numero_Pedido as Romaneio,
                                        venda.Placa,
 					cliente.Titulo as 'Cliente',
                                        cliente.Razao_Social,
 					cliente.Email,
 					cliente.Natureza,
 					cliente.Cpf_Cnpj,
 					cliente.Rua,
                                        cliente.Numero,
 					cliente.Cep,
 					cliente.Bairro,
 					cliente.Estado,
 					cliente.Fone1,
                                        cliente.Contato,
                                        cliente.Endereco,
                                        cliente.Ponto_Referencia,
 					cliente.Obs as 'Obs_Cliente',
                                        cliente.Codigo,
                                        cidade_ibge.Titulo as Cidade,
 					funcionario.Titulo as 'Funcionario',
                                        vendedor.Titulo as 'Vendedor',
                                        tipo_pagamento.Titulo as 'Tipo_Pagamento'
 					from venda
 					left join 
                                        (SELECT Id,Titulo,Email,Natureza,Cpf_Cnpj,Estadual,Rua,Numero,Cep,Bairro,Estado,Fone1,
                                        Obs,Id_Cidade,Razao_Social,Contato,Endereco,Ponto_Referencia,Codigo FROM cliente) as cliente 
                                        ON cliente.Id = venda.Id_Cliente
                                        left join (SELECT Id,Titulo FROM cidade_ibge) as cidade_ibge ON cidade_ibge.Id = cliente.Id_Cidade
 					left join (SELECT Id,Titulo FROM funcionario) as funcionario ON funcionario.Id = venda.Id_Funcionario
                                        left join (SELECT Id,Titulo FROM funcionario) as vendedor ON venda.Id_Vendedor = vendedor.Id
                                        left join (SELECT Id,Titulo FROM tipo_pagamento) as tipo_pagamento ON tipo_pagamento.Id = venda.Id_Tipo_Pagamento
 					where venda.Id = '".$_GET["id_venda"]."'
					order by venda.Lancamento DESC");


$_GET["Unidade"] = $venda[0]["Id_Unidade"];
               
?>
<html>
<head>
<title>Gw - Gesto Web</title>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1" />
<link rel="shortcut icon" href="../imagem/favi_gw.ico" type="image/x-icon" />
<link rel="stylesheet" type="text/css" href="../estilo/<?php echo SKIN ;?>/tabela_imp.css" />
<script type="text/javascript" language="javascript" src="../js/jquery.js"></script>
<?php include '../include/script_cabeca.php'; ?>
<script type="text/javascript" language="javascript" src="../js/script.js"></script>
<script type="text/javascript" language="javascript" src="../js/meiomask/meiomask.js"></script>
<script type="text/javascript" language="javascript" src="../js/meiomask/<?php if(PAIS=="USA"){ echo "mascaras-usa"; }else{ echo "mascaras"; }?>.js"></script>
<script type="text/javascript" language="javascript">
  window.onload = function(){
    window.print();
  }
</script>
</head>
<body>

<table width="98%" align="center"><!-- TABELA Q ENVOLVE TODO O CONTEUDO -->
<tr>
	<td>
		
<table width="90%" align="center">
<?php
        if(!$_GET["Unidade"]){
                $_GET["Unidade"] = $_SESSION["Unidade"];
        }
        
        $empresa = listar("Select Logo,Titulo,Cnpj,Rua,Numero,
                                Bairro,Cidade,Estado,Cep,Fone1,Fone2,Email,Site,Razao_Social
                                from unidade where Id = '".$_GET["Unidade"]."' ");
?>
        <tr>
            <td width="40%">
            <?php
                if(file_exists("../unidade/foto/".$empresa[0]["Logo"]."")){
                    $cam_arq = "../unidade/foto/".$empresa[0]["Logo"];
                }else{
                    $cam_arq = "../../unidade/foto/".$empresa[0]["Logo"];
                }
            ?>
                <img src="<?php echo $cam_arq; ?>" title="Logo" alt="Logo" border="0" width="140px" height="auto"/>
            </td>
                <td width="60%" class="razao">
                    <b> <font face="verdana" size="3">
                            <?php echo $empresa[0]["Razao_Social"];?>
                        </font>
                    </b><br>
                </td>
        </tr>
</table>
            
	</td>
</tr>
<tr>
	<td>
		<table width="100%" align="center">
			<tr>
                            <td colspan="2" align="center">
                                <font face="verdana" size="3">
                                    <b>
                                        <i>
                                            <?php
                                           
                                                echo "Pedido - ".$venda[0]["Lancamento"];
                                            
                                            ?>
                                        </i>
                                    </b>
                                </font>
                            </td>
			</tr>
		</table>
	</td>
</tr>
<tr>
	<td>
		<table width="100%" align="center" class="tabela">
			<tr>
                                <td width="70%">Cliente: 
                                    <?php
                                    if(CLIENTE_RAZAO_SOCIAL=='Sim'){
                                        echo $venda[0]["Codigo"]." - ".$venda[0]["Razao_Social"];
                                    }else{
                                        echo $venda[0]["Codigo"]." - ".$venda[0]["Cliente"];
                                    }
                                    ?>
                                </td>
				<td width="30%">Data: <?php echo data_exibir($venda[0]["Data_Venda"]);?></td>
			</tr>
			<tr>
				<td width="70%">End: <?php echo $venda[0]["Endereco"];?></td>
				<td width="30%">Fone: <?php echo $venda[0]["Fone1"];?></td>
			</tr>
			<tr>
				<td width="70%"><?php echo 'Bairro:'.$venda[0]["Bairro"].' Cidade:'.
                                                                        $venda[0]["Cidade"].' UF:'.
                                                                        $venda[0]["Estado"];?>
                                </td>
				<?php if($venda[0]["Natureza"] == "PF"){?>
				<td width="30%">CPF: <?php echo $venda[0]["Cpf_Cnpj"];?></td>
				<?php }else{?>
				<td width="30%">CNPJ: <?php echo $venda[0]["Cpf_Cnpj"];?></td>
				<?php }?>
			</tr>
                        <tr>
				<td width="70%">Referncia: <?php echo $venda[0]["Ponto_Referencia"];?></td>
				<td width="30%">E-mail: <?php echo $venda[0]["Email"];?></td>
			</tr>
			<tr>
				<td width="70%">Pagamento: <?php echo $venda[0]["Tipo_Pagamento"];?></td>
				<td width="30%">CEP: <?php echo $venda[0]["Cep"];?></td>
			</tr>
                        <tr>
				<td width="70%">Contato: <?php echo $venda[0]["Contato"];?></td>
				<td width="30%">Frete: <?php echo $venda[0]["Frete"];?></td>
			</tr>
                        <?php if((CLIENTE_EMAIL=='naturezaviva') || (CLIENTE_EMAIL=='ciclovital')){ ?>
                        <tr>
				<td width="70%">Romaneio: <?php echo $venda[0]["Romaneio"];?></td>
				<td width="30%">Placa: <?php echo $venda[0]["Placa"];?></td>
			</tr>
                        <?php } ?>
			<tr>
				<td width="70%">Data Entrega: <?php echo data_exibir($venda[0]["Data_Entrega"]);?></td>
                                <td width="30%">Frete: <?php echo valor_exibir($venda[0]["Valor_Frete"]);?></td>
			</tr>
                        <tr>
                            <td colspan="2">Obs: <?php echo $venda[0]["Obs_Venda"];?></td>
			</tr>
		</table>
	</td>
</tr>
<tr>
	<td>
		<table width="100%" align="center" class="tabela">
			<tr>
				<td colspan="9"><i>Produtos</i></td>
			</tr>
			<?php

            $venda_pro = listar("Select DISTINCT venda_produto.Id,
                                    venda_produto.Preco as 'Preco_Venda',
                                    venda_produto.Qtd as 'Qtd_Venda',
                                    venda_produto.Desconto as 'Desconto_Venda',
                                    venda_produto.Desconto_Real,
                                    venda_produto.Unificado,
                                    produto.Titulo as 'Produto',
                                    produto.Descricao,
                                    produto.Medida,
                                    produto.Codigo,
                                    local_estoque.Titulo as Local_Estoque
                                    from venda_produto
                                    left join (SELECT Id,Titulo,Descricao,Codigo,Medida FROM produto) as produto ON produto.Id = venda_produto.Id_Produto
                                    left join (SELECT Id,Titulo FROM local_estoque) as local_estoque ON local_estoque.Id = venda_produto.Id_Local_Estoque
                                    where venda_produto.Id_Venda = '".$_GET["id_venda"]."'
                                    ORDER BY venda_produto.Data_Cadastro ");

                        $x=1;
                        $tQtd='0';
                        foreach($venda_pro as $chave){?>

                        <?php if($x==1){ ?>
			<tr class="azul-claro">
				<td width="3%">N</td>
				<td width="10%">Cdigo</td>
				<td>Produto</td>
				<td width="5%">Qtd</td>
				<td width="8%">Valor</td>
				<td width="8%">Desc %</td>
                                <td width="8%">Desc $</td>
				<td width="8%">Total</td>
			</tr>
                        <?php } ?>
                        
			<tr>
				<td><?php echo $x;?></td>
				<td><?php echo $chave["Codigo"];?></td>
				<td><?php echo $chave["Produto"];?></td>
				<td><?php echo $chave["Qtd_Venda"];?></td>
				<td><?php echo number_format($chave["Preco_Venda"],2,',','.');?></td>
				<td><?php echo number_format($chave["Desconto_Venda"],2,',','.');?></td>
                                <td><?php echo number_format($chave["Desconto_Real"],2,',','.');?></td>
				<td>
                                    <?php echo number_format( ( ($chave['Qtd_Venda']*$chave['Preco_Venda']) - ( ($chave['Qtd_Venda']*$chave['Preco_Venda']) * ($chave['Desconto_Venda']/100) ) ) - $chave['Desconto_Real'],2,',','.');?></td>
                                </td>
			</tr>
			<?php
			$Qtd_Venda+= $chave["Qtd_Venda"];
			$Preco_Venda+=$chave["Preco_Venda"];
			$Desconto_Venda+=$chave["Desconto_Venda"];
                        $Desconto_Real+=$chave["Desconto_Real"];
			$Total+= ( ($chave["Preco_Venda"]*$chave["Qtd_Venda"])-
					(($chave["Preco_Venda"]*$chave["Qtd_Venda"])*($chave["Desconto_Venda"]/100)) ) - $chave['Desconto_Real'];
			$x++;
                        $tQtd += $chave["Qtd_Venda"]; }
			?>
                        <tr>
				<td colspan="2"></td>
                                <td align="center" colspan="<?php echo "1"+$ab+$abc ?>">Totais do Pedido:</td>
                                <?php if(CLIENTE_EMAIL=='brmcomercio') { ?>
                                <td><?php echo $tQtd ?></td>
                                <?php }else{?>
                                <td>
                                    <?php if($venda[0]["Valor_Ipi"] > "0"){ ?>
                                    <b>IPI: </b><?php echo valor_exibir($venda[0]["Valor_Ipi"])?>
                                    <?php } ?>
                                </td>
                                <?php } ?>
                                <td>
                                    <?php if($venda[0]["Valor_Icms_Sub"] > "0"){ ?>
                                    <b>ICMS ST: </b><?php echo valor_exibir($venda[0]["Valor_Icms_Sub"])?>
                                    <?php } ?>
                                </td>
                                <td><?php echo number_format($venda[0]["Desconto"],2,',','.');?></td>
                                <td><?php echo number_format($venda[0]["Desconto_Real"],2,',','.');?></td>
				<td><?php echo number_format((( ( $Total - ( $Total*($venda[0]["Desconto"]/100) ) ) - $venda[0]["Desconto_Real"]) + $chave["Valor_Ipi"] + $chave["Valor_Icms_Sub"] + $venda[0]["Valor_Frete"]),2,',','.');?></td>
                                
			</tr>
		</table>
	</td>
</tr>
<?php

        $venda_parcela = listar("Select venda.Id,
					conta_receber.Lancamento,
					conta_receber.Data_Vencimento,
					conta_receber.Valor_Original, 
 					tipo_pagamento.Titulo as 'Tipo_Pagamento'
 					from venda
 					left join (SELECT Id,Titulo FROM tipo_pagamento) as tipo_pagamento ON tipo_pagamento.Id = venda.Id_Tipo_Pagamento
 					left join (SELECT Id,Lancamento,Data_Vencimento,Valor_Original,Id_Externo FROM conta_receber) as conta_receber ON conta_receber.Id_Externo = venda.Id
 					where venda.Id = '".$_GET["id_venda"]."' 					
					order by conta_receber.Data_Vencimento");

if($venda[0]["Status"]=='Finalizado'){
?>
<tr>
	<td>
		<table width="100%" align="center" class="tabela">
			<tr>
				<td colspan="4"><i>Parcelas</i></td>
			</tr>
			<tr class="azul-claro">
				<td>N</td>
				<td>Vencimento</td>
				<td>Valor</td>
				<td>Tipo</td>
			</tr>
            
			<?php $x=1; foreach($venda_parcela as $chave){?>
			<tr>
				<td><?php echo $x;?></td>
				<td><?php echo data_exibir($chave["Data_Vencimento"])?></td>
				<td><?php echo number_format($chave["Valor_Original"],2,',','.')?></td>
				<td><?php echo $chave["Tipo_Pagamento"]?></td>
			</tr>
			<?php $x++; }?>
            <?php } ?>
		</table>
	</td>
</tr>
</table>
<br/>
<table width="98%" align="center">
	<tr>
		<td align="center">________________________</td>
		<td align="center">________________________</td>
	</tr>
	<tr>
		<td align="center">
                    <font face="verdana" size="2">
                    Cliente
                    <?php
//                    if(CLIENTE_RAZAO_SOCIAL=='Sim'){
//                        echo $venda[0]["Razao_Social"];
//                    }else{
//                        echo $venda[0]["Cliente"];
//                    }
                    ?>
                    </font>
                </td>
		<td align="center"><font face="verdana" size="2">Vendedor: <?php echo $venda[0]["Vendedor"];?></font></td>
	</tr>
        
</table>
<br><br><br>
            <tr>
                <td>
                    <table width="100%" align="center">
                            <tr>
                                <td colspan="2" align="center">
                                    <font face="verdana">
                                     
                                                Endereo: <?php echo $empresa[0]["Rua"]. ', ' ,$empresa[0]["Numero"]. ', ' , $empresa[0]["Bairro"]. ', ' , $empresa[0]["Cidade"]. ' - ' ,$empresa[0]["Estado"]. ', CEP: ' ,$empresa[0]["Cep"];?><br>
                                                Telefone: <?php echo $empresa[0]["Fone1"].' | '.$empresa[0]["Fone2"]?> | Edson: (81) 991328148<br>
                                                Email: <?php echo $empresa[0]["Email"]?><br>
                                           
                                    </font>
                                </td>
                            </tr>
                    </table>
                </td>
            </tr>

<br>
</body>
</html>
<?php include "../include/rodape.php";?>