<?php
include_once '../include/conecta.php'; //Conecta com a nosso banco de dados MySQL
ini_set('session.gc_maxlifetime', 60 * 120);
session_start();
/* include_once '../include/ver_sessao.php'; //Verifica se a sesso est ativa */
include_once '../include/funcoesPhp.php';
include_once '../menu_movimento.php';
?>
<?php
if ($_GET["De"])
    $data .= "AND venda.Data_Venda >= '" . data_banco($_GET["De"]) . " 00:00:00' ";
if ($_GET["Ate"])
    $data .= "AND venda.Data_Venda <= '" . data_banco($_GET["Ate"]) . " 23:59:59' ";


if ($_GET["Vendedor"]) {
    $consulta .= "and venda.Id_Vendedor = '" . $_GET["Vendedor"] . "' ";
}

if ($_GET['Tipo_Experiencia']) {
    $experiencia = " AND venda.Tipo_Experiencia='" . $_GET['Tipo_Experiencia'] . "' ";
}

if ($_GET["Ok"]) {
    $funcionario = mysqli_query($con, "SELECT DISTINCT vendedor.Id as Id_Vendedor,
                           vendedor.Titulo as Vendedor,
                           COUNT(vendedor.Id) as Qtd
                           FROM (SELECT Id,Data_Venda,Id_Vendedor,Tipo_Experiencia FROM venda WHERE Tipo_Movimentacao='Registro_Ativacao' $data $consulta) as venda
                           left join (SELECT Id,Titulo FROM funcionario) as vendedor ON vendedor.Id = venda.Id_Vendedor
                           where 1=1 $experiencia
                           GROUP BY Id_Vendedor
                           order by Qtd DESC, vendedor.Titulo ");
}
?>
<?php ob_start(); /* Inicia o fluxo */ ?>
<html>

<head>
    <link rel="stylesheet" type="text/css" href="../estilo/<?php echo SKIN; ?>/tabela_imp.css" />
    <script type="text/javascript" language="javascript" src="../js/jquery.js"></script>
    <?php include '../include/script_cabeca.php'; ?>
    <script type="text/javascript" language="javascript" src="../js/script.js"></script>
    <script type="text/javascript" language="javascript" src="../js/meiomask/meiomask.js"></script>
    <script type="text/javascript" language="javascript" src="../js/meiomask/<?php
                                                                                if (PAIS == "USA") {
                                                                                    echo "mascaras-usa";
                                                                                } else {
                                                                                    echo "mascaras";
                                                                                }
                                                                                ?>.js"></script>
</head>

<body>
    <?php include "../include/cabecalho_relatorio.php"; ?>
    <table width="100%">
        <tr>
            <td>
                <font face="verdana" size="2"><i>Relatrio de Gratificao Semanal</i></font>
            </td>
        </tr>
        <tr>
            <td>
                <font face="verdana" size="2">
                    <?php
                    if ($_GET["De"]) {
                        echo "Perodo: " . $_GET["De"];
                    }
                    if ($_GET["Ate"]) {
                        echo "  " . $_GET["Ate"];
                    }
                    if ($_GET["Funcionario"]) {
                        $achar = listar("Select Titulo from funcionario
			where Id = '" . $_GET["Funcionario"] . "' ");
                        echo " - " . $achar[0]["Titulo"];
                    }
                    if ($_GET["Cliente"]) {
                        if (CLIENTE_RAZAO_SOCIAL == 'Sim') {
                            $nome = 'Razao_Social';
                        } else {
                            $nome = 'Titulo';
                        }
                        $achar = listar("Select " . $nome . " as Titulo from cliente
			where Id = '" . $_GET["Cliente"] . "' ");
                        echo " - " . $achar[0]["Titulo"];
                    }
                    if ($_GET["Produto"]) {
                        $achar = listar("Select Titulo from produto
			where Id = '" . $_GET["Produto"] . "' ");
                        echo " - " . $achar[0]["Titulo"];
                    }
                    if ($_GET["Cancelado"]) {
                        echo " - " . $_GET["Cancelado"];
                    }
                    if ($_GET["Finalizado"]) {
                        echo " - " . $_GET["Finalizado"];
                    }
                    if ($_GET["Aberto"]) {
                        echo " - " . $_GET["Aberto"];
                    }
                    //se o sistema for Multi Empresa
                    if ((MULTI_EMPRESA == "Sim") && ($_SESSION["Id_Nivel"] == '1')) {

                        if ($_GET["Unidade"]) {
                            $achar = listar("Select Titulo from unidade
						where Id = '" . $_GET["Unidade"] . "' ");
                            echo " - " . $achar[0]["Titulo"];
                        }
                    }
                    ?>
                </font>
            </td>
        </tr>
    </table>
    <table width="100%" class="tabela">

        <tr class="azul-claro">
            <td>Agente</td>
            <td>Qtd</td>
            <td>Gratificao</td>
            <td>Bnus Dirio</td>
            <td>Bnus Semanal</td>
            <td>Total</td>
        </tr>
        <?php
        if ($_GET["Ok"]) {



            while ($chave = mysqli_fetch_assoc($funcionario)) {



                $qtd_venda = mysqli_query($con, "Select COUNT(Id) as Qtd
                           FROM (SELECT Id,Data_Venda,Id_Vendedor
                                    FROM venda
                                    WHERE Id_Vendedor='" . $chave["Id_Vendedor"] . "' AND Tipo_Movimentacao='Registro_Ativacao'
                                    $data $consulta) as venda
                                    where 1=1
                                    order by venda.Data_Venda");
                $reg = mysqli_fetch_assoc($qtd_venda);

                $Valor_Comissao = '50';
        ?>
                <tr>
                    <td><?php echo $chave["Vendedor"] ?></td>
                    <td><?php echo $reg["Qtd"] ?></td>
                    <td>
                        <?php
                        $Valor_Comissao_Func = $reg["Qtd"] * $Valor_Comissao;
                        echo valor_exibir($Valor_Comissao_Func);
                        ?>
                    </td>
                    <td>
                        <?php
                        //Star date
                        $dateStart = $_GET["De"];
                        $dateStart = implode('-', array_reverse(explode('/', substr($dateStart, 0, 10)))) . substr($dateStart, 10);
                        $dateStart = new DateTime($dateStart);

                        //End date
                        $dateEnd = $_GET["Ate"];
                        $dateEnd = implode('-', array_reverse(explode('/', substr($dateEnd, 0, 10)))) . substr($dateEnd, 10);
                        $dateEnd = new DateTime($dateEnd);

                        //Prints days according to the interval
                        $dateRange = array();
                        while ($dateStart <= $dateEnd) {
                            $dateRange[] = $dateStart->format('Y-m-d');
                            $dateStart = $dateStart->modify('+1day');
                        }


                        $Valor_Bonus_Diario = '0';
                        foreach ($dateRange as $Data_Dia) {
                            $qtd_venda_dia = mysqli_query($con, "Select COUNT(Id) as Qtd
                                            FROM (SELECT Id,Data_Venda,Id_Vendedor
                                            FROM venda
                                            WHERE Id_Vendedor='" . $chave["Id_Vendedor"] . "' AND Tipo_Movimentacao='Registro_Ativacao'
                                            AND venda.Data_Venda = '" . $Data_Dia . "'
                                            $consulta) as venda
                                            where 1=1
                                            order by venda.Data_Venda");
                            $reg_dia = mysqli_fetch_assoc($qtd_venda_dia);

                            if ($reg_dia["Qtd"] == '2') {
                                $Valor_Bonus_Diario += '20';
                            } else if ($reg_dia["Qtd"] >= '3') {
                                $Valor_Bonus_Diario += '50';
                            }
                        }

                        echo valor_exibir($Valor_Bonus_Diario);
                        ?>
                    </td>
                    <td>
                        <?php
                        $Valor_Bonus_Semana = '0';
                        if ($reg["Qtd"] == '4') {
                            $Valor_Bonus_Semana = '70';
                        } else if ($reg["Qtd"] == '5') {
                            $Valor_Bonus_Semana = '100';
                        } else if ($reg["Qtd"] == '6') {
                            $Valor_Bonus_Semana = '150';
                        } else if ($reg["Qtd"] >= '7') {
                            $Valor_Bonus_Semana = '200';
                        }

                        echo valor_exibir($Valor_Bonus_Semana);
                        ?>
                    </td>
                    <td><?php echo valor_exibir($Valor_Comissao_Func + $Valor_Bonus_Semana + $Valor_Bonus_Diario); ?></td>
                </tr>
        <?php
                $Valor_Comissao_FuncG += $Valor_Comissao_Func;
                $Valor_Bonus_DiarioG += $Valor_Bonus_Diario;
                $Valor_Bonus_SemanaG += $Valor_Bonus_Semana;
            }
        }
        ?>
        <tr>
            <td colspan="2" align="right"><b>Total: &nbsp;&nbsp;</b></td>
            <td><b><?php echo valor_exibir($Valor_Comissao_FuncG) ?></b></td>
            <td><b><?php echo valor_exibir($Valor_Bonus_DiarioG) ?></b></td>
            <td><b><?php echo valor_exibir($Valor_Bonus_SemanaG) ?></b></td>
            <td><b><?php echo valor_exibir($Valor_Comissao_FuncG + $Valor_Bonus_SemanaG + $Valor_Bonus_DiarioG) ?></b></td>
        </tr>
    </table>
</body>

</html>
<?php
$html = ob_get_contents();
ob_end_clean();

include_once "../include/excel_opcao.php";
?>