<?php
include_once "../include/conecta.php"; //Conecta com a nosso banco de dados MySQL
ini_set('session.gc_maxlifetime', 60*120); session_start();
/* include_once "../include/ver_sessao.php"; //Verifica se a sesso est ativa */
include_once "../include/funcoesPhp.php"; //Inclue a pgina con todas as funes a ser usada.
?>
<?php 
               $venda = listar("Select venda.Id,
 					venda.Lancamento,
 					venda.Status,
 					venda.Data_Venda,
                                        venda.Data_Entrega,
                                        venda.Terminal,
 					venda.Obs as 'Obs_Venda',
 					venda.Valor_Original,
 					venda.Valor_Pago,
                                        venda.Desconto,
                                        venda.Desconto_Real,
                                        venda.Taxa,
                                        venda.Taxa_Real,
                                        venda.Frete,
                                        venda.Valor_Frete,
                                        venda.Id_Unidade,
                                        venda.Id_Projeto,
                                        venda.Rua as Endereco_Entrega,
                                        venda.Num as Cep_Entrega,
                                        venda.Bairro as Cidade_Entrega,
                                        venda.Estado as Estado_Entrega,
                                        venda.Numero_Pedido_Cliente,
                                        venda.Credito,
                                        venda.Valor_Credito,
 					cliente.Titulo as 'Cliente',
                                        cliente.Razao_Social,
 					cliente.Email,
 					cliente.Natureza,
 					cliente.Cpf_Cnpj,
 					cliente.Rua,
                                        cliente.Numero,
 					cliente.Cep,
 					cliente.Bairro,
 					cliente.Estado,
 					cliente.Fone1,
                                        cliente.Contato,
                                        cliente.Endereco,
                                        cliente.Ponto_Referencia,
 					cliente.Obs as 'Obs_Cliente',
                                        cliente.Cidade,
                                        cliente.Endereco_Cobranca,
                                        cliente.Cep_Cobranca,
                                        cliente.Bairro_Cobranca,
                                        cliente.Cidade_Cobranca,
                                        cliente.Estado_Cobranca,
                                        cliente.Radio_Endereco_Cobranca,
                                        cliente.Radio_Endereco_Entrega,
 					funcionario.Titulo as 'Funcionario',
                                        vendedor.Titulo as 'Vendedor',
                                        tipo_pagamento.Titulo as 'Tipo_Pagamento',
                                        transportadora.Titulo as Transportadora
 					from venda
 					left join 
                                        (SELECT Id,Titulo,Email,Natureza,Cpf_Cnpj,Estadual,Rua,Numero,Cep,Bairro,Estado,Fone1,
                                        Obs,Id_Cidade,Razao_Social,Contato,Endereco,Ponto_Referencia,Cidade,
                                        Radio_Endereco_Cobranca,Endereco_Cobranca,Cep_Cobranca,Bairro_Cobranca,Cidade_Cobranca,Estado_Cobranca,
                                        Radio_Endereco_Entrega,Endereco_Entrega,Cep_Entrega,Bairro_Entrega,Cidade_Entrega,Estado_Entrega
                                        FROM cliente) as cliente ON cliente.Id = venda.Id_Cliente
 					left join (SELECT Id,Titulo FROM funcionario) as funcionario ON funcionario.Id = venda.Id_Funcionario
                                        left join (SELECT Id,Titulo FROM funcionario) as vendedor ON venda.Id_Vendedor = vendedor.Id
                                        left join (SELECT Id,Titulo FROM tipo_pagamento) as tipo_pagamento ON tipo_pagamento.Id = venda.Id_Tipo_Pagamento
                                        left join (SELECT Id,Titulo FROM fornecedor WHERE Tipo = 'T') as transportadora ON transportadora.Id = venda.Id_Transportadora
 					where venda.Id = '".$_GET["id_venda"]."'
					order by venda.Lancamento DESC");

//cliente.Endereco_Entrega,
//cliente.Cep_Entrega,
//cliente.Bairro_Entrega,
//cliente.Cidade_Entrega,
//cliente.Estado_Entrega,

$_GET["Unidade"] = $venda[0]["Id_Unidade"];
               
if($_GET["Id_Unidade_Usuario"]){
    mysqli_query($con,"UPDATE venda SET Boleto_Lido = 'Sim' WHERE Id = '".$_GET["id_venda"]."' ");
}
?>
<html>
<head>
<title>Gw - Gesto Web</title>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1" />
<link rel="shortcut icon" href="../imagem/favi_gw.ico" type="image/x-icon" />
<link rel="stylesheet" type="text/css" href="../estilo/<?php echo SKIN ;?>/tabela_imp.css" />
<script type="text/javascript" language="javascript" src="../js/jquery.js"></script>
<?php include '../include/script_cabeca.php'; ?>
<script type="text/javascript" language="javascript" src="../js/script.js"></script>
<script type="text/javascript" language="javascript" src="../js/meiomask/meiomask.js"></script>
<script type="text/javascript" language="javascript" src="../js/meiomask/<?php if(PAIS=="USA"){ echo "mascaras-usa"; }else{ echo "mascaras"; }?>.js"></script>
<style>
.footer {
    position:absolute;
    bottom:4%;
}
</style>
</head>
<body>

<table width="98%" align="center"><!-- TABELA Q ENVOLVE TODO O CONTEUDO -->
<tr>
	<td>
<table width="90%" align="center">
<?php
        
        //variavel $_GET["Unidade"], vem de todos os filtros de relatorios.
        if(!$_GET["Unidade"]){
                $_GET["Unidade"] = $_SESSION["Unidade"];
        }
        $empresa = listar("Select Logo,Titulo,Cnpj,Rua,Numero,
                                Bairro,Id_Cidade,Estado,Cep,Fone1,Fone2,Email,Site
                                from unidade where Id = '".$_GET["Unidade"]."' ");
?>
        <tr>
            <td width="45%" class="razao" style="font-size: 12px">
                    <b><font face="verdana" size="3">
                            <?php echo $empresa[0]["Titulo"];?>
                    </font></b><br>
                    <?php echo $empresa[0]["Rua"].", ".$empresa[0]["Numero"];?><br>
                    <?php echo $empresa[0]["Id_Cidade"].", ".$empresa[0]["Estado"]." - ".$empresa[0]["Cep"];?><br>
                    Phone: <?php echo $empresa[0]["Fone1"];?><br>
                    <?php
                    if($empresa[0]["Fone2"]){
                        echo "Fax: ".$empresa[0]["Fone2"];
                    }
                    ?>
                    <br>
                    <?php echo $empresa[0]["Email"];?><br>
                    <?php
                    if($empresa[0]["Site"]){
                        echo 'Site: '.$empresa[0]["Site"];
                    }
                    ?>
            </td>
            <td width="30%" style="font-size: 12px">
            <?php
                if(file_exists("../unidade/foto/".$empresa[0]["Logo"]."")){
                    $cam_arq = "../unidade/foto/".$empresa[0]["Logo"];
                }else{
                    $cam_arq = "../../unidade/foto/".$empresa[0]["Logo"];
                }
            ?>
                <img src="<?php echo $cam_arq; ?>" title="Logo" alt="Logo" border="0" width="120px" height="auto"/>
            </td>
            <td width="30%" class="razao" style="font-size: 12px">
                
                <table width="100%" class="tabela">
                    <tr>
                        <td class="razao" style="font-size: 12px" >
                            &nbsp;&nbsp;&nbsp; Number: <?php echo $venda[0]["Lancamento"];?>
                        </td>
                    </tr>
                    <tr>
                        <td class="razao" style="font-size: 12px" >
                            &nbsp;&nbsp;&nbsp;&nbsp;
                            &nbsp;&nbsp;&nbsp; Date: <?php echo data_exibir($venda[0]["Data_Venda"]);?>
                        </td>
                    </tr>
                    <tr>
                        <td class="razao" style="font-size: 12px" >
                            &nbsp;&nbsp; Sales: <?php echo $venda[0]["Vendedor"];?>
                        </td>
                    </tr>
                </table>
                
            </td>
        </tr>
</table>
	</td>
</tr>
<tr>
	<td>
        <table width="100%" align="center" class="tabela">
            <tr>
                <td width="100%" class="razao" style="font-size: 12px" colspan="2" align="center" >
                    <font face="verdana" size="3">
                    <b>
                        <i>
                        <?php
                        if($venda[0]["Status"]=='Aberto'){
                            echo "Pre Order";
                        } else
                        if($venda[0]["Status"]=='On Hold'){
                            echo "On Hold";
                        } else {
                            echo "Invoice";
                        }
                        
                        ?>
                        </i>
                    </b>
                    </font>
                </td>
            </tr>
            <tr>
                <td width="50%" class="razao" style="font-size: 12px; border-left: 0px; border-right: 0px;">
                    SOLD TO:
                </td>
                <td width="50%" class="razao" style="font-size: 12px; border-left: 0px; border-right: 0px;">
                    SHIP TO:
                </td>
            </tr>
            <tr>
                <td width="50%" class="razao" style="font-size: 12px">
                    <b>
                        <?php
                        
                        if(CLIENTE_RAZAO_SOCIAL=='Sim'){
                            echo $venda[0]["Razao_Social"];
                        }else{
                            echo $venda[0]["Cliente"];
                        }
                        ?>
                    </b><br>
                        <?php echo $venda[0]["Endereco_Cobranca"];?><br>
                        <?php echo $venda[0]["Cidade_Cobranca"];?> <?php echo $venda[0]["Estado_Cobranca"];?> <?php echo $venda[0]["Cep_Cobranca"];?><br>
                        <?php echo $venda[0]["Fone1"];?><br>
                </td>
                <td width="50%" class="razao" style="font-size: 12px">
                    <b>
                        <?php
                            $projeto = listar("Select Titulo,Fone from venda_cliente where Id = '".$venda[0]["Id_Projeto"]."' ");
                            echo $projeto[0]["Titulo"];
                        ?>
                    </b><br>
                        <?php echo $venda[0]["Endereco_Entrega"];?><br>
                        <?php echo $venda[0]["Cidade_Entrega"];?> <?php echo $venda[0]["Estado_Entrega"];?> <?php echo $venda[0]["Cep_Entrega"];?><br>
                        <?php echo $projeto[0]["Fone"];?><br>
                </td>
            </tr>
            <tr>
                    <td colspan="2">Special Instructions: <?php echo $venda[0]["Obs_Venda"];?></td>
            </tr>
        </table>
	</td>
</tr>
<tr>
	<td>
                <table width="100%" class="tabela">
                    <tr>
                        <td class="razao" style="font-size: 12px" >
                            Ship Via: <?php echo $venda[0]["Transportadora"];?>
                        </td>
                        <td class="razao" style="font-size: 12px" >
                            Shipped By: <?php echo $venda[0]["Terminal"];?>
                        </td>
                        <td class="razao" style="font-size: 12px" >
                            Shipped Date: <?php echo data_exibir($venda[0]["Data_Entrega"]);?>
                        </td>
                        <td class="razao" style="font-size: 12px" >
                            P.O: <?php echo $venda[0]["Numero_Pedido_Cliente"];?>
                        </td>
                    </tr>
                </table>
	</td>
</tr>
<tr>
	<td>
		<table width="100%" align="center" class="tabela">
			<tr class="azul-claro">
				<td width="3%">N</td>
                                <td width="5%">Qty</td>
                                <td width="5%">Sf</td>
                                <td width="5%">U/M</td>
                                <td width="5%">Hei</td>
                                <td width="5%">Wid</td>
				<td width="10%">Code</td>
                                <td width="10%">Sto</td>
				<td>Description</td>
				<td width="8%">Price</td>
				<td width="8%">Amount</td>
			</tr>
			<?php

               $venda_pro = listar("Select DISTINCT venda_produto.Id,
                                        venda_produto.Preco_Dolar as 'Preco_Venda',
 					venda_produto.Qtd as 'Qtd_Venda',
 					venda_produto.Desconto as 'Desconto_Venda',
                                        venda_produto.Desconto_Real,
                                        venda_produto.Largura,
                                        venda_produto.Altura,
                                        venda_produto.Id_Categoria_Produto,
 					produto.Titulo as 'Produto',
 					produto.Descricao,
 					produto.Codigo,
                                        produto.Armazenagem,
                                        venda_produto.Sf,
                                        produto.Medida,
                                        produto.Codigo_Barras_Aux,
                                        local_estoque.Titulo as Local_Estoque
 					from venda_produto
 					left join (SELECT Id,Titulo,Descricao,Codigo,Sf,Medida,Armazenagem,Codigo_Barras_Aux FROM produto) as produto ON produto.Id = venda_produto.Id_Produto
                                        left join (SELECT Id,Titulo FROM local_estoque) as local_estoque ON local_estoque.Id = venda_produto.Id_Local_Estoque
 					where venda_produto.Id_Venda = '".$_GET["id_venda"]."'
                                        ORDER BY produto.Titulo,produto.Armazenagem,produto.Codigo ");

                        $x=1; foreach($venda_pro as $chave){?>

			<tr>
				<td><?php echo $x;?></td>
                                <td><?php echo $chave["Qtd_Venda"];?></td>
                                <td><?php echo $chave["Sf"];?></td>
                                <td><?php echo $chave["Medida"];?></td>
                                <td><?php echo $chave["Altura"];?></td>
                                <td><?php echo $chave["Largura"];?></td>
                                <td><?php echo $chave["Codigo"];?></td>
                                <td><?php echo $chave["Armazenagem"];?></td>
				<td>
                                    <?php
                                        if($chave["Id_Categoria_Produto"]=='118' || $chave["Id_Categoria_Produto"]=='122'){
                                            echo $chave["Produto"]." - ".$chave["Codigo_Barras_Aux"];
                                        }else{
                                            echo $chave["Produto"];
                                        }
                                    ?>
                                </td>
				<td><?php echo number_format($chave["Preco_Venda"],2,',','.');?></td>
				<td>
                                    <?php
                                    if($chave['Sf']=='0' || $chave['Sf']=='0.00'){
                                        $mult = ($chave['Preco_Venda']);
                                    }else{
                                        $mult = ($chave['Preco_Venda']*$chave['Sf']);
                                    }
                                    echo number_format( ( ($chave['Qtd_Venda']*$mult) 
                                            - ( ($chave['Qtd_Venda']*$mult) * ($chave['Desconto_Venda']/100) ) ) - $chave['Desconto_Real'],2,',','.');
                                    ?>
                                </td>
			</tr>
			<?php
                        
                        /*************
                         * validando o radape se deixa fixo ou no.
                         * se tiver mais de 24 itens deixa o Rodape normal sem a classe
                         *********/
                        if($x<'25'){
                            $n_class = ' class="footer" style="width: 94.6%;margin-left: 1.5%;"';
                        }else{
                            $n_class = ' style="width: 97%;margin-left: 1.5%;" ';
                        }
                        
                        
			$Qtd_Venda+= $chave["Qtd_Venda"];
			$Preco_Venda+=$chave["Preco_Venda"];
			$Desconto_Venda+=$chave["Desconto_Venda"];
                        $Desconto_Real+=$chave["Desconto_Real"];
			$Total+= ( ($mult*$chave["Qtd_Venda"])-
					(($mult*$chave["Qtd_Venda"])*($chave["Desconto_Venda"]/100)) ) - $chave['Desconto_Real'];
			$x++; 
                        
                        }
			?>
                        <!--
                        <tr>
				<td colspan="9" align="right">Tax % &nbsp;&nbsp;&nbsp;&nbsp;</td>
                                <td><?php echo number_format($venda[0]["Taxa"],2,',','.');?></td>
                                <td><?php echo number_format($Total * ($venda[0]["Taxa"]/100),2,',','.');?></td>
			</tr>
                        <tr>
				<td colspan="10" align="right">Freight $ &nbsp;&nbsp;&nbsp;&nbsp;</td>
                                <td><?php echo number_format($venda[0]["Valor_Frete"],2,',','.');?></td>
			</tr>
                        <tr>    <td colspan="5">
                                <?php
                                    if($venda[0]["Credito"]=='Sim'){
                                        echo "Credit Used : ".number_format($venda[0]["Valor_Credito"],2,',','.');
                                    }
                                    
                                ?>
                                &nbsp;&nbsp;&nbsp;&nbsp;
                                </td>
				<td colspan="5" align="right">Totais : &nbsp;&nbsp;&nbsp;&nbsp;</td>
				<td><?php echo number_format( ( ( ( $Total - ($Total*($venda[0]["Desconto"]/100)) ) - $venda[0]["Desconto_Real"] ) + ($Total*($venda[0]["Taxa"]/100)) + ($venda[0]["Taxa_Real"]) + ($venda[0]["Valor_Frete"]) ),2,',','.');?></td>
                                
			</tr>
                        -->
		</table>
	</td>
</tr>
</table>


<div <?php echo $n_class; ?> >
    <table class="tabela">
            <tr>
                    <td colspan="4" align="right">Tax % &nbsp;&nbsp;&nbsp;&nbsp;</td>
                    <td align="right"><?php echo number_format($venda[0]["Taxa"],2,',','.');?></td>
                    <td align="right"><?php echo number_format($Total * ($venda[0]["Taxa"]/100),2,',','.');?></td>
            </tr>
            <tr>
                    <td colspan="5" align="right">Freight $ &nbsp;&nbsp;&nbsp;&nbsp;</td>
                    <td align="right"><?php echo number_format($venda[0]["Valor_Frete"],2,',','.');?></td>
            </tr>
            <tr>    <td colspan="3" align="right">
                    <?php
                        if($venda[0]["Credito"]=='Sim'){
                            echo "Credit Used : ".number_format($venda[0]["Valor_Credito"],2,',','.')." | ";
                        }
                    ?>
                    &nbsp;&nbsp;&nbsp;&nbsp;
                    Payment : <?php echo $venda[0]["Tipo_Pagamento"];?>
                    </td>
                    <td colspan="2" align="right">Totais : &nbsp;&nbsp;&nbsp;&nbsp;</td>
                    <td align="right"><?php echo number_format( ( ( ( $Total - ($Total*($venda[0]["Desconto"]/100)) ) - $venda[0]["Desconto_Real"] ) + ($Total*($venda[0]["Taxa"]/100)) + ($venda[0]["Taxa_Real"]) + ($venda[0]["Valor_Frete"]) ),2,',','.');?></td>

            </tr>
        <tr height="5">
            <td colspan="6" style="border-left: 0px;border-right: 0px;"></td>
        </tr>
        <tr>
            <td>
                Taxable: <?php echo number_format($Total,2,",",".");?>
            </td>
            <td>
                Non-Taxable: <?php echo number_format(0,2,",",".");?>
            </td>
            <td>
                Sales Tax: <?php echo number_format($Total * ($venda[0]["Taxa"]/100),2,",",".");?>
            </td>
            <td>
                Invoice Amount: <?php echo number_format($Total,2,',','.');?>
            </td>
            <td>
                Prev Pmts: <?php echo number_format($venda_parcela[0]["Valor"],2,",",".");?>
            </td>
            <td>
                Amount Due: <?php echo number_format( ( ( ( $Total - ($Total*($venda[0]["Desconto"]/100)) ) - $venda[0]["Desconto_Real"] ) + ($Total*($venda[0]["Taxa"]/100)) + ($venda[0]["Taxa_Real"]) + ($venda[0]["Valor_Frete"]) ),2,',','.');?>
            </td>
        </tr>
        <tr height="5">
            <td colspan="6" style="border-left: 0px;border-right: 0px;"></td>
        </tr>
        <tr>
            <td colspan="6">
    <span class="razao" style="font-size: 9px; text-align: justify" >
        I agree that Marble Quality LLC is not responsible for any consequential damages that may result from 
        the handling, measunring, cutting or installing of product. I have the right to inspect purchased material 
        prior to cutting or installation. My fabricator/installer has the right to inspect purchased material prior to cutting 
        or installation. Marble Quality is no responsible and has no liability once the material is cut by the fabricator. 
        Material quarried from a mountain is naturally occurring and may vary in pattern and color between slabs. 
        I hereby acknowledge receipt of all invoiced products. Marble Quality reserves the right to add a restocking fee of 
        15% on any and all items returned within seven days and 25% on items thereafter until thirty days.
    </span>
            </td>
        </tr>
        <tr>
            <td colspan="6" style="font-size: 12px; border-bottom: 0px;border-left: 0px;border-right: 0px;">
                <br>
                Customer's Signature _________________________ Date ______/______/___________
            </td>
        </tr>
    </table>
</div>

</body>
</html>
<?php include "../include/rodape.php";?>