<?php
include_once '../include/conecta.php'; //Conecta com a nosso banco de dados MySQL
include_once '../include/ver_sessao.php'; //Verifica se a sesso est ativa
include_once '../include/funcoesPhp.php';
include_once '../menu_movimento.php';
?>
<?php
if (($_GET["Pre-Venda"]) || ($_GET["Enviado"]) || ($_GET["Faturado_Parcial"]) || ($_GET["Faturado"]) || ($_GET["Nao_Faturado"]) || ($_GET["Cancelado"])) {

    $status = "and (";

    if ($_GET["Pre-Venda"]) {
        $status .= " venda.Status = 'Pr-Venda' OR";
    }
    if ($_GET["Enviado"]) {
        $status .= " venda.Status = 'Enviado' OR";
    }
    if ($_GET["Faturado_Parcial"]) {
        $status .= " venda.Status = 'Faturado Parcial' OR";
    }
    if ($_GET["Faturado"]) {
        $status .= " venda.Status = 'Faturado' OR";
    }
    if ($_GET["Nao_Faturado"]) {
        $status .= " venda.Status = 'Nao_Faturado' OR";
    }
    if ($_GET["Cancelado"]) {
        $status .= " venda.Status = 'Cancelado' OR";
    }

    $status = substr($status, 0, -2);
    $status .= ")";
}

if ($_GET['Data_Filtro'] == 'Data') {
    if ($_GET["De"])
        $data .= "AND venda.Data_Venda >= '" . data_banco($_GET["De"]) . " 00:00:00' ";
    if ($_GET["Ate"])
        $data .= "AND venda.Data_Venda <= '" . data_banco($_GET["Ate"]) . " 23:59:59' ";
}
if ($_GET['Data_Filtro'] == 'Conclusao') {
    if ($_GET["De"])
        $data .= "AND venda.Data_Conclusao >= '" . data_banco($_GET["De"]) . " 00:00:00' ";
    if ($_GET["Ate"])
        $data .= "AND venda.Data_Conclusao <= '" . data_banco($_GET["Ate"]) . " 23:59:59' ";
}

if ($_GET["Cliente"]) {

    $mystring = $_GET["Cliente"];
    $findme = " : ";

    $posicao = strpos($mystring, $findme);

    $cod_cli = substr($_GET["Cliente"], 0, $posicao);
    $nome_cli = substr($_GET["Cliente"], ($posicao + 3));


    if (CLIENTE_RAZAO_SOCIAL == 'Sim') {
        $nome = 'Razao_Social';
    } else {
        $nome = 'Titulo';
    }
    /* convertendo o nome do fornecedor, para o seu codigo */
    $Prodt = listar("SELECT Id FROM cliente WHERE " . $nome . " ='" . $nome_cli . "' AND Codigo = '" . $cod_cli . "' ");
    $_GET["Cliente"] = $Prodt[0]["Id"];

    $Cliente .= "and venda.Id_Cliente = '" . $_GET["Cliente"] . "' ";
}

if ($_GET["Fornecedor"]) {

    $mystring = $_GET["Fornecedor"];
    $findme = " : ";

    $posicao = strpos($mystring, $findme);

    $cod_cli = substr($_GET["Fornecedor"], 0, $posicao);
    $nome_cli = substr($_GET["Fornecedor"], ($posicao + 3));


    if (FORNECEDOR_RAZAO_SOCIAL == 'Sim') {
        $nome = 'Razao_Social';
    } else {
        $nome = 'Titulo';
    }
    /* convertendo o nome do fornecedor, para o seu codigo */
    $Prodt = listar("SELECT Id FROM fornecedor WHERE " . $nome . " ='" . $nome_cli . "' AND Codigo = '" . $cod_cli . "' ");
    $_GET["Fornecedor"] = $Prodt[0]["Id"];

    $Cliente .= "and venda.Id_Fornecedor = '" . $_GET["Fornecedor"] . "' ";
}

if ($_GET["Produto"]) {

    $mystring = $_GET["Produto"];
    $findme = " : ";

    $posicao = strpos($mystring, $findme);

    $cod_cli = substr($_GET["Produto"], 0, $posicao);
    $nome_cli = substr($_GET["Produto"], ($posicao + 3));


    /* convertendo o nome do fornecedor, para o seu codigo */
    $Prodt = listar("SELECT Id FROM produto WHERE Titulo='" . $nome_cli . "' AND Codigo = '" . $cod_cli . "' ");
    $_GET["Produto"] = $Prodt[0]["Id"];

    $venda_produto = "and venda_produto.Id_Produto = '" . $_GET["Produto"] . "' ";
}

if ($_GET["Vendedor"])
    $vend = "and venda.Id_Vendedor = '" . $_GET["Vendedor"] . "' ";

if ($_GET["Estado"]) {
    $vend .= "and cliente.Estado = '" . $_GET["Estado"] . "' ";
}
if ($_GET["Categoria_Cliente"]) {
    $natureza .= "and cliente.Id_Categoria_Cliente = '" . $_GET["Categoria_Cliente"] . "' ";
}
if ($_GET["Categoria_Cliente_Filho"]) {
    $natureza .= "and cliente.Id_Categoria_Cliente_Filho = '" . $_GET["Categoria_Cliente_Filho"] . "' ";
}

if ($_GET["Ok"]) {
    $venda = mysqli_query($con,"Select venda.Id, venda.Lancamento,
                            venda.Status,
                            venda.Data_Venda,
                            venda.Data_Conclusao,
                            venda.Desconto,
                            venda.Desconto_Real,
                            venda.Numero_Pedido_Fornecedor,
                            venda.Numero_Pedido_Cliente,
                            venda.Frete,
                            cliente.Titulo as Cliente,
                            cliente.Razao_Social,
                            fornecedor.Titulo as Fornecedor,
                            fornecedor.Razao_Social as Razao_Fornecedor,
                            vendedor.Titulo as 'Vendedor'
                            from venda
                            left join venda_produto ON venda_produto.Id_Venda = venda.Id
                            LEFT JOIN (SELECT Id,Titulo FROM funcionario) as vendedor ON vendedor.Id = venda.Id_Vendedor
                            LEFT JOIN (SELECT Id,Titulo,Razao_Social,Estado,Id_Categoria_Cliente,Id_Categoria_Cliente_Filho FROM cliente) as cliente ON venda.Id_Cliente = cliente.Id
                            LEFT JOIN (SELECT Id,Titulo,Razao_Social FROM fornecedor) as fornecedor ON venda.Id_Fornecedor = fornecedor.Id
                            where 1=1
                            $data $status $Cliente $venda_produto $vend $natureza
                            group by venda.Lancamento
                            order by venda.Lancamento");
}
?>
<html>
    <head>
        <title>Gw - Gesto Web</title>
        <link rel="stylesheet" type="text/css" href="../estilo/<?php echo SKIN; ?>/tabelas.css" />
        <link rel="stylesheet" type="text/css" href="../js/datePicker/datePicker.css" />
        <link rel="stylesheet" type="text/css" href="../js/autocomplete/jquery.autocomplete.css" />
        <link rel="stylesheet" type="text/css" href="../js/autocomplete/lib/thickbox.css" />
        <script type="text/javascript" language="javascript" src="../js/jquery.js"></script>
<?php include '../include/script_cabeca.php'; ?>
        <script type="text/javascript" language="javascript" src="../js/script.js"></script>
        <script type="text/javascript" language="javascript" src="../js/meiomask/meiomask.js"></script>
        <script type="text/javascript" language="javascript" src="../js/meiomask/<?php if (PAIS == "USA") {
    echo "mascaras-usa";
} else {
    echo "mascaras";
} ?>.js"></script>
        <script type="text/javascript" language="javascript" src="../js/autocomplete/lib/jquery.bgiframe.min.js"></script>
        <script type="text/javascript" language="javascript" src="../js/autocomplete/lib/jquery.ajaxQueue.js"></script>
        <script type="text/javascript" language="javascript" src="../js/autocomplete/lib/thickbox-compressed.js"></script>
        <script type="text/javascript" language="javascript" src="../js/autocomplete/jquery.autocomplete.js"></script>
        <!-- required plugins -->
        <script language="javascript" type="text/javascript" src="../js/datePicker/<?php if (PAIS == "USA") {
    echo "date";
} else {
    echo "date-pt";
} ?>.js"></script>
        <!--[if IE]>
                <script type="text/javascript" src="../js/datePicker/jquery.bgiframe.js"></script>
                <![endif]-->
        <!-- jquery.datePicker.js -->
        <script type="text/javascript" src="../js/datePicker/jquery.datePicker.js"></script>
        <script type="text/javascript" language="javascript" >
            Date.firstDayOfWeek = 0;
<?php if (PAIS == "USA") {
    echo "Date.format='mm/dd/yyyy';";
} else {
    echo "Date.format='dd/mm/yyyy';";
} ?>
            $(function() {
                $('.date-pick').datePicker({startDate: '01/01/1990'})
            });
        </script>
        <script type="text/javascript" language="javascript" >
            $(document).ready(function() {

                $('#bt_Enviar_Email').click(function() {
                    $.blockUI({message: $('#Tela_Email'), css: {width: '350px'}});
                    //setTimeout($.unblockUI, 6000);
                });


                $('#Enviar_Email').click(function() {
                    $.blockUI({message: "<h2>Enviando E-mail...</h2>"});

                    var nomeDestinatario = $("#Nome_Destinatario").val();
                    var emailDestinatario = $("#Email_Destinatario").val();
                    //var nomeCopia = $("#Nome_Copia").val();
                    //var emailCopia = $("#Email_Copia").val();
                    var de = $("#De").val();
                    var ate = $("#Ate").val();
                    var Funcionario = $("#Funcionario").val();
                    var Cliente = $("#Cliente").val();
                    var Produto = $("#Produto").val();
                    var Finalizado_rel = $("#Finalizado_Rel").val();
                    var cancelado_rel = $("#Cancelado_Rel").val();
                    var aberto_rel = $("#Aberto_Rel").val();
                    $.get("email_rel_venda_faturada.php", {Nome_Destinatario: nomeDestinatario, Email_Destinatario: emailDestinatario,
                        De: de, Ate: ate, Funcionario: Funcionario,
                        Produto: Produto, Finalizado: Finalizado_rel,
                        Cancelado: cancelado_rel, Aberto: aberto_rel,
                        Cliente: Cliente},
                            function(data) {
                                $("#div_resposta").html(data);
                                $.unblockUI();
                                $("#Nome_Destinatario").val('');
                                $("#Email_Destinatario").val('');
                                $("#Nome_Copia").val('');
                                $("#Email_Copia").val('');
                            });

                });


                $('#Cancelar_Email').click(function() {
                    $.unblockUI();
                    return false;
                });


            });
        </script>
        <script type="text/javascript" language="javascript" >
            $(document).ready(function() {
                $("#Cliente").autocomplete("venda/busca_cliente2.php", {
                    width: 340,
                    selectFirst: true,
                    scroll: false,
                    cacheLength: 100,
                    max: 100
                });
                $("#Fornecedor").autocomplete("venda/busca_fornecedor.php", {
                    width: 340,
                    selectFirst: true,
                    scroll: false,
                    cacheLength: 100,
                    max: 100
                });
                $("#Produto").autocomplete("venda/busca_produto_1.php", {
                    width: 340,
                    selectFirst: true,
                    scroll: false,
                    cacheLength: 100,
                    max: 100,
                    extraParams: {'Fornecedor': function() {
                            return $('#Fornecedor').val()
                        },

                    }
                });
            });
        </script>
        <script type="text/javascript" language="javascript" >
            function centroCusto(valor) {
                $.post("busca_categoria_cliente.php", {Categoria_Cliente: valor},
                        function(data) {
                            $("#div_cc").html(data);
                        });
            }
        </script>
        <style type="text/css">
            thead { display: table-header-group; }
            tfoot { display: table-footer-group; }
        </style>
    </head>
    <body>
        <table width="100%" height="400px"><!-- TABELA Q ENVOLVE TODO O CONTEUDO -->
            <tr>
                <td>
                    <table width="100%">
                        <tr>
                            <td align="left">
                                <font face="verdana" size="2"><i><b>Relatrio de Vendas Faturadas</b></i></font>
                            </td>
                            <td align="center">
                                <a href='imp_pdf_venda_faturada.php?<?php echo $_SERVER["QUERY_STRING"] ?>' title="Pdf"><img src="../imagem/pdfG.png" border="0" alt="Pdf" title="Pdf"/></a>
                                <br/><font face="verdana" size="2"><i>Pdf</i></font>
                            </td>
                            <td align="center">
                                <a href='imp_excel_venda_faturada.php?<?php echo $_SERVER["QUERY_STRING"] ?>' title="Excel"><img src="../imagem/excelG.png" border="0" alt="Excel" title="Excel"/></a>
                                <br/><font face="verdana" size="2"><i>Excel</i></font>
                            </td>
                            <td align="center">
                                <a href='javascript:void(0);' id="bt_Enviar_Email" title="Email"><img src="../imagem/emailG.png" border="0" alt="E-mail" title="E-mail"/></a>
                                <br/><font face="verdana" size="2"><i>E-mail</i></font>
                            </td>
                            <td align="center">
                                <a href="imp_rel_venda_faturada.php?<?php echo $_SERVER["QUERY_STRING"] ?>" title="Imprimir" target="_blank"><img src="../imagem/imprimirG.png" border="0" alt="Imprimir" title="Imprimir"/></a>
                                <br/><font face="verdana" size="2"><i>Imprimir</i></font>
                            </td>
                        </tr>
                    </table>
                </td>
            </tr>
            <tr>
                <td>
                    <form action="" method="get">
                        <table width="100%" class="busca_rel">
                            <tr class="azul">
                                <td>De<input type="text" name="De" id="De" class="date-pick" size="10" value="<?php echo $_GET["De"]; ?>" ></td>
                                <td>At<input type="text" name="Ate" id="Ate" class="date-pick" size="10" value="<?php echo $_GET["Ate"]; ?>" ></td>
                                <?php
                                if ($_GET['Data_Filtro'] == 'Data') {
                                    $Data = 'checked';
                                } else if ($_GET['Data_Filtro'] == 'Conclusao') {
                                    $Conclusao = 'checked';
                                } else {
                                    $Data = 'checked';
                                }
                                ?>
                                <td>
                                    <input type="radio" name="Data_Filtro" value='Data' id="Data" <?php echo $Data; ?> ><label class="label_radio" for="Data">Data Abertura</label>
                                    <input type="radio" name="Data_Filtro" value='Conclusao' id="Conclusao" <?php echo $Conclusao; ?> ><label class="label_radio" for="Conclusao">Data Concluso</label>
                                </td>
                            </tr>
                            <tr class="azul">
                                <td>
                                    <?php
                                    if (CLIENTE_RAZAO_SOCIAL == 'Sim') {
                                        $nome = 'Razao_Social';
                                    } else {
                                        $nome = 'Titulo';
                                    }

                                    $Produt = listar("SELECT CONCAT(Codigo,' : ', " . $nome . ") as Titulo FROM cliente WHERE Id='" . $_GET['Cliente'] . "'");
                                    $_GET["Cliente"] = $Produt[0]["Titulo"];
                                    ?>
                                    <label for="Cliente"><b> * Cdigo / Cliente :</b></label>
                                    <input style="width: 220px; height: 20px;" type="text" id="Cliente" name="Cliente" value="<?php echo $_GET['Cliente']; ?>" />
                                </td>
                                <td>
                                    <?php
                                    if (FORNECEDOR_RAZAO_SOCIAL == 'Sim') {
                                        $nome = 'Razao_Social';
                                    } else {
                                        $nome = 'Titulo';
                                    }

                                    $Produt = listar("SELECT CONCAT(Codigo,' : ', " . $nome . ") as Titulo FROM fornecedor WHERE Id='" . $_GET['Fornecedor'] . "'");
                                    $_GET["Fornecedor"] = $Produt[0]["Titulo"];
                                    ?>
                                    <label for="Fornecedor"><b> * Cdigo / Fornecedor :</b></label>
                                    <input style="width: 220px; height: 20px;" type="text" id="Fornecedor" name="Fornecedor" value="<?php echo $_GET['Fornecedor']; ?>" />
                                </td>
                                <td>
<?php
/* convertendo o codigo do produto, para o seu nome */
$Produt = listar("SELECT CONCAT(Codigo,' : ', Titulo) as Titulo FROM produto WHERE Id='" . $_GET["Produto"] . "'");
$_GET["Produto"] = $Produt[0]["Titulo"];
?>
                                    <label for="Produto"><b> * Cdigo / Produto :</b></label>
                                    <input style="width: 200px; height: 20px;" type="text" name="Produto" id="Produto" value="<?php echo $_GET["Produto"] ?>">
                                </td>
                                </td>
                            </tr>
                            <tr class="azul">
                                <td>
                                    <input type="hidden" value="Faturado_Parcial" name="Faturado_Parcial" id="Faturado_Parcial">
                                    <input type="hidden" value="Faturado" name="Faturado" id="Faturado">
                                    <?php
                                    if(VER_APENAS_SUAS_VENDAS=='Sim'){
                                        $func = "AND Id = '" . $_SESSION["Id_Funcionario"] . "' ";
                                        $_GET["Vendedor"] = $_SESSION["Id_Funcionario"];
                                    }
                                    if ($_GET["Vendedor"] == "")
                                        $_GET["Vendedor"] = $_SESSION["Id_Funcionario"];

                                    echo select_banco2("Select distinct Id, Titulo from funcionario where Ativo = 'Sim' $func AND Vendedor = 'Sim' order by Titulo", "Vendedor", "Vendedor", "Vendedor", $_GET["Vendedor"], 'style="width:200px"', "");
                                    ?>
                                </td>
                                <td>
                                    <?php
                                    $vetor = array('' => 'Estados',
                                        'AL' => 'Alagoas',
                                        'BA' => 'Bahia',
                                        'CE' => 'Cear',
                                        'PB' => 'Paraba',
                                        'PE' => 'Pernambuco', 'PI' => 'Piau',
                                        'RN' => 'Rio Grande do Norte',
                                        'SE' => 'Sergipe');
                                    select_tela("Estado", "Estado", $_GET["Estado"], $vetor, 'onchange="comboEstado(this.value);"', "");
                                    ?>

                                </td>
                                <td>

                                    <?php
                                    echo select_banco2("Select distinct Id, Titulo from funcionario where Ativo = 'Sim' AND Vendedor = 'Sim' order by Titulo", "Funcionario", "Funcionario", "Responsvel", $_GET["Funcionario"], 'style="width:200px"', "");
                                    ?>
                            </tr>
                            <tr class="azul">
                                <td>
                                        <?php
                                        echo select_banco2("Select Id, Titulo from categoria_cliente WHERE Id_Pai = '' order by Titulo",
                                                "Categoria_Cliente", "Categoria_Cliente", "Categoria Cliente", $_GET["Categoria_Cliente"], "onchange='centroCusto(this.value);' style='width:200px'", "campo_tableless")
                                        ?>
                                </td>
                                <td>
                                    <div id="div_cc">
                                        <?php
                                        echo select_banco2("Select Id, Titulo from categoria_cliente
                                WHERE Id_Pai = '" . $_GET["Categoria_Cliente"] . "'
                                AND Id_Pai <> ''
                                order by Titulo", "Categoria_Cliente_Filho", "Categoria_Cliente_Filho", "Sub Categoria", $_GET["Categoria_Cliente_Filho"], "style='width:200px'", "campo_tableless")
                                        ?>
                                    </div>
                                </td>
                                <td align="center">
                                    <input type="submit" value="Ok" name="Ok">
                                </td>
                            </tr>
                        </table>
                    </form>
                </td>
            </tr>
            <tr>
                <td>
                    <table width="100%" class="tabela">
                        <?php
                        if ($_GET["Ok"]) {

                            while ($chave = mysqli_fetch_assoc($venda)) {
                                ?>
                                <tr class="azul-claro">
                                    <td>Pedido Cliente: <b><?php echo $chave["Numero_Pedido_Cliente"] ?></b></td>
                                    <td>Cliente:
                                        <b>
                                            <?php
                                            if (CLIENTE_RAZAO_SOCIAL == 'Sim') {
                                                echo $chave["Razao_Social"];
                                            } else {
                                                echo $chave["Cliente"];
                                            }
                                            ?>
                                        </b>
                                    </td>
                                    <td>Pedido Fornecedor: <b><?php echo $chave["Numero_Pedido_Fornecedor"] ?></b></td>
                                    <td>Fornecedor:
                                        <b>
                                            <?php
                                            if (FORNECEDOR_RAZAO_SOCIAL == 'Sim') {
                                                echo $chave["Razao_Fornecedor"];
                                            } else {
                                                echo $chave["Fornecedor"];
                                            }
                                            ?>
                                        </b>
                                    </td>
                                    <td>Vendedor: <b><?php echo $chave["Vendedor"] ?></b></td>
                                    <!--
                                    <td>Data: <b><?php echo data_exibir($chave["Data_Venda"]) ?></b></td>
                                    -->
                                    <?php
                                    $corStatus = "";
                                    if ($chave['Status'] == 'Pr-Venda') {//amarelo gold
                                        $corStatus = "color = '#B8860B' ";
                                    }
                                    if ($chave['Status'] == 'Enviado') {//azul
                                        $corStatus = "color = '#3A5FCD' ";
                                    }
                                    if ($chave['Status'] == 'Faturado Parcial') {//magenta
                                        $corStatus = "color = '#FF00FF' ";
                                    }
                                    if ($chave['Status'] == 'Faturado') {//verde
                                        $corStatus = "color = '#228B22' ";
                                    }
                                    if ($chave['Status'] == 'No Faturado') {//vermelho
                                        $corStatus = "color = '#CD2626' ";
                                    }
                                    if ($chave['Status'] == 'Cancelado') {//vermelho escuro
                                        $corStatus = "color = '#8B1A1A' ";
                                    }
                                    ?>
                                    <td>Status:
                                        <font <?php echo $corStatus ?>>
                                        <b><?php echo $chave["Status"] ?></b>
                                        </font>
                                    </td>
                                </tr>
                                <tr>
                                    <td>Cdigo</td>
                                    <td>Produto</td>
                                    <td>Valor</td>
                                    <td>Qtd</td>
                                    <td>Faturado</td>
                                    <!--
                                    <td>Falta</td>
                                    -->
                                    <td>Total</td>
                                </tr>
                                <?php
                                $produto = mysqli_query($con,"Select produto.Titulo,
                                    venda_produto.Preco,
                                    venda_produto.Qtd,
                                    venda_produto.Qtd_Faturado,
                                    venda_produto.Desconto,
                                    venda_produto.Desconto_Real,
                                    produto.Codigo
                                    from venda_produto
                                    left join (SELECT Id,Titulo,Codigo FROM produto) as produto ON produto.Id = venda_produto.Id_Produto
                                    where venda_produto.Id_Venda = '" . $chave["Id"] . "'
                                    $venda_produto
                                    ORDER BY venda_produto.Data_Cadastro");
                                ?>
                                <?php
                                $color = "#F5F5F5";
                                $totalQtd = '0';
                                $totalFaturado = '0';
                                $totalDiferenca = '0';
                                $vtotal = '0';
                                while ($valor = mysqli_fetch_assoc($produto)) {

                                    if ($color == "#F5F5F5") {
                                        $color = "#E8E8E8";
                                    } else {
                                        $color = "#F5F5F5";
                                    }
                                    ?>
                                    <tr bgcolor=<?php echo "$color"; ?>>
                                        <td><?php echo $valor["Codigo"] ?></td>
                                        <td><?php echo $valor["Titulo"] ?></td>
                                        <td><?php echo @valor_exibir(( ($valor["Preco"]) - ($valor["Preco"] * ($valor["Desconto"] / 100)) ) - $valor["Desconto_Real"]); ?></td>
                                        <td><?php echo valor_exibir($valor["Qtd"]) ?></td>
                                        <td><?php echo valor_exibir($valor["Qtd_Faturado"]) ?></td>
                                        <!--
                                        <td><?php echo valor_exibir($valor["Qtd"] - $valor["Qtd_Faturado"]) ?></td>
                                        -->
                                        <td><?php echo @valor_exibir(( ($valor["Preco"] * $valor["Qtd_Faturado"]) - ( ($valor["Preco"] * $valor["Qtd_Faturado"]) * ($valor["Desconto"] / 100) ) ) - $valor["Desconto_Real"]); ?></td>
                                    </tr>
                                    <?php
                                    $totalQtd += $valor["Qtd"];
                                    $totalFaturado += $valor["Qtd_Faturado"];
                                    $totalDiferenca += $valor["Qtd"] - $valor["Qtd_Faturado"];
                                    $vtotal += ( ( ($valor["Preco"] * $valor["Qtd_Faturado"]) - ( ($valor["Preco"] * $valor["Qtd_Faturado"]) * ($valor["Desconto"] / 100) ) ) - $valor["Desconto_Real"]);
                                }
                                ?>

                                <?php
//exibindo as nf faturadas
                                $fat = mysqli_query($con,"SELECT venda_fatura.Id,
                                venda_fatura.Numero_Duplicata,
                                venda_fatura.Data,
                                venda_fatura.Valor
                                FROM venda_fatura
                                WHERE venda_fatura.Id_Venda = '" . $chave["Id"] . "'
                                AND Status = 'Faturado' ");
                                ?>
                                <?php
                                $ex_fun = '';
                                while ($linha4 = mysqli_fetch_assoc($fat)) {

                                    $ex_fun .= 'NF: ' . $linha4["Numero_Duplicata"] . ' - ' . valor_exibir($linha4['Valor']) . ' - ' . data_exibir($linha4['Data']) . ', ';
                                }
                                $ex_fun = substr($ex_fun, 0, -2);
                                ?>


                                <tr>
                                    <td>&nbsp;</td>
                                    <td colspan="2"><?php echo $ex_fun; ?></td>
                                    <td><b><?php echo valor_exibir($totalQtd); ?></b></td>
                                    <td><b><?php echo valor_exibir($totalFaturado); ?></b></td>
                                    <!--
                                    <td><b><?php echo valor_exibir($totalDiferenca); ?></b></td>
                                    -->
                                    <td><b><?php echo valor_exibir(( ($vtotal) - ($vtotal * ($chave["Desconto"] / 100)) ) - $chave["Desconto_Real"]); ?></b></td>
                                </tr>
                                <?php
                                $vtotalacum[$chave["Status"]] += ( ($vtotal) - ($vtotal * ($chave["Desconto"] / 100)) ) - $chave["Desconto_Real"];
                                $vtotalacumA += ( ($vtotal) - ($vtotal * ($chave["Desconto"] / 100)) ) - $chave["Desconto_Real"];
                                ?>

                                <tr>
                                    <td colspan="6">&nbsp;</td>
                                </tr>
    <?php }
} ?>

                        <tr>
                            <td align="right"><b>Valores Finais:</b> &nbsp;</td>
                            <td colspan="5" align="right">
                                Faturado Parcial : <b><?php echo valor_exibir($vtotalacum["Faturado Parcial"]); ?></b>&nbsp;&nbsp;&nbsp;
                                Faturado 100% : <b><?php echo valor_exibir($vtotalacum["Faturado"]); ?></b>&nbsp;&nbsp;&nbsp;
                                Total Geral : <b><?php echo valor_exibir($vtotalacum["Faturado Parcial"] + $vtotalacum["Faturado"]); ?></b>
                            </td>
                        </tr>
                    </table>
                </td>
            </tr>
            <tr>
                <td>
                    <div id="div_resposta"></div>
                </td>
            </tr>
        </table>
        <!-- INICIO DA TELA MODAL ENVIO DE EMAIL-->
        <!-- No css existe um estilo para essas divs que as deixa invisivel - display:none; -->
<?php include_once "../include/email_tabela.php"; ?>
        <!-- FIM DA TELA MODAL ENVIO DE EMAIL-->
        <br>
    </body>
</html>