<?php
include_once '../include/conecta.php'; //Conecta com a nosso banco de dados MySQL
ini_set('session.gc_maxlifetime', 60*120); session_start();
/*include_once '../include/ver_sessao.php'; //Verifica se a sesso est ativa*/
include_once '../include/funcoesPhp.php'; include_once '../menu_movimento.php';

 $pro_pdv = mysqli_query($con,"SELECT DISTINCT venda_produto.Id,
                            venda_produto.Id_Produto,
                            venda_produto.Preco,
                            venda_produto.Qtd,
                            venda_produto.Desconto,
                            venda_produto.Desconto_Real,
                            produto.Codigo,
                            produto.Titulo as 'Produto',
                            produto.Medida,                            
                            funcionario.Titulo as Vendedor
                            FROM venda_produto
                            LEFT JOIN (SELECT Id,Titulo,Codigo,Medida FROM produto) as produto ON produto.Id = venda_produto.Id_Produto
                            LEFT JOIN (SELECT Id,Titulo FROM funcionario) as funcionario ON funcionario.Id = venda_produto.Id_Funcionario
                            WHERE venda_produto.Id_Venda='".$_GET["id_venda"]."'
                            ORDER BY venda_produto.Data_Cadastro");

 	//ob_start();
?>
<html>
<head>
<title>Gw - Gesto Web</title>
<style type="text/css">
* {
	margin: 0px;
	padding: 0px;
}
body {
	font: 10px Arial, Arial, Helvetica, sans-serif;
	background-color: #fff;
}
</style>
<script type="text/javascript" language="javascript" src="../js/jquery.js"></script>
<?php include '../include/script_cabeca.php'; ?>
<script type="text/javascript" language="javascript" src="../js/script.js"></script>
<script type="text/javascript" language="javascript" src="../js/meiomask/meiomask.js"></script>
<script type="text/javascript" language="javascript" src="../js/meiomask/<?php if(PAIS=="USA"){ echo "mascaras-usa"; }else{ echo "mascaras"; }?>.js"></script>
<script type="text/javascript" language="javascript">
  window.onload = function(){
    window.print();
  }
</script>
</head>
<body>
    <table width="290">
    <?php
                    if(!$_GET["Id_Unidade_Usuario"]){
                            $_GET["Id_Unidade_Usuario"] = $_SESSION["Unidade"];
                    }
                    $empresa = listar("Select Titulo,Rua,Numero,
                                        Bairro,Cidade,Estado,Fone1,Site
                                        from unidade where Id = '".$_GET["Id_Unidade_Usuario"]."' ");
    ?>
            <tr>
                    <td align="left" class="razao" ><?php echo strtoupper($empresa[0]["Titulo"]);?><br>End: <?php echo $empresa[0]["Rua"] .', '. $empresa[0]["Numero"];?> <br><?php echo $empresa[0]["Bairro"];?> - <?php echo $empresa[0]["Cidade"];?> - <?php echo $empresa[0]["Estado"];?><br>
Tel: <?php echo $empresa[0]["Fone1"];?></td>
                    <td align="left" class="razao" >&nbsp;</td>
            </tr>
         <tr>
            <td colspan="2">-----------------------------------------------</td>
        </tr>
        <tr>
            <td colspan="2" align="left">
                <table>
                    <tr>
                        <?php 
                        $data_pdv = listar("Select venda.Lancamento,
                                                venda.Valor_Pago,
                                                venda.Obs,
                                                Desconto,
                                                Desconto_Real,
                                                DATE_FORMAT(venda.Data_Venda, '%d/%m/%Y %H:%i:%s') as Data,
                                                tipo_pagamento.Titulo as Tipo_Pagamento,
                                                cliente.Titulo as Cliente
                                                from venda
                                                LEFT JOIN (SELECT Id,Titulo FROM tipo_pagamento) as tipo_pagamento ON tipo_pagamento.Id = venda.Id_Tipo_Pagamento
                                                LEFT JOIN (SELECT Id,Titulo FROM cliente) as cliente ON cliente.Id = venda.Id_Cliente
                                                where venda.Id = '".$_GET["id_venda"]."' ");
                        ?>
                        <td align="left"><pre><?php echo $data_pdv[0]["Data"]; ?></pre></td>
                    </tr>
                    <tr>
                        <td align="left"><pre><b>COD. <?php echo sprintf("%06d",$data_pdv[0]["Lancamento"]);?></b></pre></td>
                    </tr>
                </table>
            </td>
        </tr>
        <tr>
            <td height="20" colspan="2">
                -----------------------------------------------</td>
        </tr>
        <tr>
            <td colspan="2">
                <table class="razao">
                    <tr>
                        <td width="16%">ITEM</td>
                        <td width="12%">COD</td>
                        <td colspan="4">DESCRICAO</td>
                    </tr>
                    <tr>
                        <td>QTD</td>
                        <td>UNI</td>
                        <td width="25%">VL.UNIT</td>
                        <td width="14%">DESC.</td>
                        <td width="33%" align="left">VL.ITEM</td>
                        <td width="33%" align="left">&nbsp;</td>
                    </tr>
                    <tr>
                        <td height="5" colspan="8">-----------------------------</td>
                    </tr>
               <?php
                   $y = '1';
                   while($chave = mysqli_fetch_assoc($pro_pdv)){
                ?>
                    <tr>
                        <td><?php echo $y;?></td>
                        <td><?php echo $chave["Codigo"];?></td>
                        <td colspan="4"><?php echo SoPalavrasEspeciais($chave["Produto"]);?></td>
                        <td colspan="4"><pre><?php echo SoPalavrasEspeciais(wordwrap($chave["Produto"], 30, "\n", 1));?></pre></td>
                    </tr>
                    <tr>
                        <td><?php echo $chave["Qtd"];?></td>
                        <td><?php echo $chave["Medida"];?></td>
                        <td><?php echo number_format($chave["Preco"],2,",",".");?></td>
                        <td><?php echo number_format(( ($chave['Qtd']*$chave['Preco']) * ($chave['Desconto']/100) ) - $chave['Desconto_Real'],2,",",".");?> -- </td>
                        <td align="left"><?php echo number_format( ( ($chave['Qtd']*$chave['Preco']) - ( ($chave['Qtd']*$chave['Preco']) * ($chave['Desconto']/100) ) ) - $chave['Desconto_Real'],2,',','.');?></td>
                        <td align="left">&nbsp;</td>
                    </tr>
                <?php
                    $ValTotal+= ( ($chave['Qtd']*$chave['Preco']) - ( ($chave['Qtd']*$chave['Preco']) * ($chave['Desconto']/100) ) ) - $chave['Desconto_Real'];
                    $y++;
                    }
                ?>
                    <tr>
                        <td height="5" colspan="8">-----------------------------</td>
                    </tr>
                    <tr>
                        <td colspan="4">VL.PEDIDO</td>
                        <td align="left"><?php echo number_format($ValTotal,2,",",".");?></td>
                        <td align="left">&nbsp;</td>
                    </tr>
                    <tr>
                        <td height="5" colspan="8">-----------------------------------------------</td>
                    </tr>
                </table>
            </td>
        </tr>
        <tr>
            <td height="30" colspan="2">
        <table class="razao">
        <tr>
            <td><pre><?php echo $data_pdv[0]["Tipo_Pagamento"] ?></pre></td>
        </tr>
        </table>
            </td>
        </tr>
        <tr>
            <td height="30" colspan="2">-----------------------------------------------</td>
        </tr>
        <tr>
            <td colspan="2" align="left" class="razao">
            <?php
                if($data_pdv[0]["Obs"]!=''){
                    echo substr('OBS: '.SoPalavrasEspeciais($data_pdv[0]["Obs"]),0,50);
                    echo "<br/>";
                    echo substr(SoPalavrasEspeciais($data_pdv[0]["Obs"]),48,100);
                }
                ?>
            <br>-------------------------
            </td>
        </tr>
        <tr>
            <td colspan="2" align="left" class="razao">
            Documento Sem valor Fiscal.
            </td>
        </tr>
    </table>

<br>
</body>
</html>
<?php
/*
	$pagina = ob_get_contents();
	ob_end_clean();
	echo utf8_encode($pagina);
 */
?>