<?php
include_once "../include/conecta.php"; //Conecta com a nosso banco de dados MySQL
ini_set('session.gc_maxlifetime', 60 * 120);
session_start();
/* include_once "../include/ver_sessao.php"; //Verifica se a sesso est ativa */
include_once "../include/funcoesPhp.php"; //Inclue a pgina con todas as funes a ser usada.
?>
<?php
$venda = listar("Select venda.Id,
 					venda.Lancamento,
 					venda.Status,
 					venda.Data_Venda,
 					venda.Obs as 'Obs_Venda',
 					venda.Valor_Original,
 					venda.Valor_Pago,
                    venda.Desconto,
                    venda.Desconto_Real,
                    venda.Frete,
                    venda.Valor_Frete,
                    venda.Id_Unidade,
                    venda.Numero_Pedido as Romaneio,
                    venda.Placa,
                    venda.Data_Retirada,
                    venda.Fatura,
 					cliente.Titulo as 'Cliente',
                    cliente.Razao_Social,
 					cliente.Email,
 					cliente.Natureza,
 					cliente.Cpf_Cnpj,
 					cliente.Rua,
                    cliente.Numero,
 					cliente.Cep,
 					cliente.Bairro,
 					cliente.Estado,
 					cliente.Fone1,
                    cliente.Fone2,
                    cliente.Contato,
                    cliente.Endereco,
                    venda.Rua as Endereco_Entrega,
                    cidade.Titulo as Cidade_Entrega,
                    venda.Bairro as Bairro_Entrega,
                    venda.Estado as Estado_Entrega,
                    venda.Num as Numero_Entrega,
                    venda.Complemento as Complemento_Entrega,
 					cliente.Obs as 'Obs_Cliente',
                    cliente.Codigo,
                    cliente.Cidade,
                    cliente.Ponto_Referencia,
 					funcionario.Titulo as 'Funcionario',
                    vendedor.Titulo as 'Vendedor'
 					from venda
 					left join (SELECT Id,Titulo,Email,Natureza,Cpf_Cnpj,Estadual,Rua,Numero,Cep,Ponto_Referencia,Bairro,Estado,Fone1,Fone2,Obs,Cidade,Razao_Social,Contato,Endereco,Codigo,Endereco_Entrega,Cep_Entrega,Bairro_Entrega,Estado_Entrega,Cidade_Entrega FROM cliente) as cliente ON cliente.Id = venda.Id_Cliente
 					left join (SELECT Id,Titulo FROM funcionario) as funcionario ON funcionario.Id = venda.Id_Funcionario
                    left join (SELECT Id,Titulo FROM funcionario) as vendedor ON venda.Id_Vendedor = vendedor.Id
                    left join (SELECT Id,Titulo FROM cidade_ibge) as cidade ON cidade.Id = venda.Id_Cidade
 					where venda.Id = '" . $_GET["id_venda"] . "'
					order by venda.Lancamento DESC");

$_GET["Unidade"] = $venda[0]["Id_Unidade"];
?>
<html>

<head>
    <title>Gw - Gesto Web</title>
    <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1" />
    <link rel="shortcut icon" href="../imagem/favi_gw.ico" type="image/x-icon" />
    <link rel="stylesheet" type="text/css" href="../estilo/<?php echo SKIN; ?>/tabela_imp.css" />
    <script type="text/javascript" language="javascript" src="../js/jquery.js"></script>
    <?php include '../include/script_cabeca.php'; ?>
    <script type="text/javascript" language="javascript" src="../js/script.js"></script>
    <script type="text/javascript" language="javascript" src="../js/meiomask/meiomask.js"></script>
    <script type="text/javascript" language="javascript" src="../js/meiomask/<?php
                                                                                if (PAIS == "USA") {
                                                                                    echo "mascaras-usa";
                                                                                } else {
                                                                                    echo "mascaras";
                                                                                }
                                                                                ?>.js"></script>
</head>

<body>

    <table width="98%" align="center">
        <!-- TABELA Q ENVOLVE TODO O CONTEUDO -->
        <tr>
            <td>
                <?php include "../include/cabecalho_pedido.php"; ?>
            </td>
        </tr>
        <tr>
            <td>
                <table width="100%" align="center">
                    <tr>
                        <td colspan="2" align="center">
                            <font face="verdana" size="3">
                                <b>
                                    <i>
                                        <?php
                                        if ($venda[0]["Fatura"]) {
                                            $fat = " (" . $venda[0]["Fatura"] . ")";
                                        }

                                        if ($venda[0]["Status"] == 'Cotao') {
                                            echo "Cotao - " . $venda[0]["Lancamento"];
                                        } else {
                                            echo "Venda - " . $venda[0]["Lancamento"] . $fat;
                                        }
                                        ?>
                                    </i>
                                </b>
                            </font>
                        </td>
                    </tr>
                </table>
            </td>
        </tr>
        <tr>
            <td>
                <table width="100%" align="center" class="tabela">
                    <tr class="azul-claro">
                        <td width="70%">Cliente:

                            <?php
                            if ($venda[0]["Natureza"] == 'PJ') {
                                echo $venda[0]["Codigo"] . " - " . $venda[0]["Razao_Social"] . " - " . $venda[0]["Cliente"];
                            } else {
                                echo $venda[0]["Codigo"] . " - " . $venda[0]["Cliente"];
                            }
                            ?>

                        </td>
                        <td width="30%">Data: <?php echo data_exibir($venda[0]["Data_Venda"]); ?></td>
                    </tr>
                    <tr>
                        <td width="70%">End: <?php echo $venda[0]["Endereco"]; ?></td>
                        <td width="30%">
                            Fone:
                            <?php
                            echo $venda[0]["Fone1"];
                            if ($venda[0]["Fone2"]) {
                                echo "/" . $venda[0]["Fone2"];
                            }
                            ?>
                        </td>
                    </tr>
                    <tr>
                        <td width="70%"><?php
                                        echo 'Bairro: ' . $venda[0]["Bairro"] . ' Cidade: ' .
                                            $venda[0]["Cidade"] . ' UF: ' .
                                            $venda[0]["Estado"];
                                        ?>
                        </td>
                        <?php if ($venda[0]["Natureza"] == "PF") { ?>
                        <td width="30%">CPF: <?php echo $venda[0]["Cpf_Cnpj"]; ?></td>
                        <?php } else { ?>
                        <td width="30%">CNPJ: <?php echo $venda[0]["Cpf_Cnpj"]; ?></td>
                        <?php } ?>
                    </tr>
                    <?php if ($venda[0]["Endereco_Entrega"] != '') { ?>
                    <tr>
                        <td colspan="2">End. Entrega: <?php
                                                            echo $venda[0]["Endereco_Entrega"] . ', N' . $venda[0]["Numero_Entrega"] . ', Bairro: ' . $venda[0]["Bairro_Entrega"] . ' Cidade: ' .
                                                                $venda[0]["Cidade_Entrega"] . ' UF: ' .
                                                                $venda[0]["Estado_Entrega"];
                                                            ?>
                        </td>
                    </tr>
                    <?php } ?>
                    <tr>
                        <?php
                        $cod_auto2 = mysqli_query($con, "SELECT tipo_pagamento.Titulo
                                                            FROM venda_tipo_pagamento
                                                            LEFT JOIN (SELECT Id,Titulo FROM tipo_pagamento) as tipo_pagamento ON tipo_pagamento.Id = venda_tipo_pagamento.Id_Tipo_Pagamento
                                                            WHERE venda_tipo_pagamento.Id_Venda = '" . $_GET["id_venda"] . "'
                                                            ORDER BY Ordem");
                        $ex_tip = '';
                        while ($valor1 = mysqli_fetch_assoc($cod_auto2)) {
                            $ex_tip .= $valor1["Titulo"] . " ,";
                        }
                        $ex_tip = substr($ex_tip, 0, -2);
                        ?>
                        <td width="70%">Pagamento: <?php echo $ex_tip; ?></td>
                        <td width="30%">CEP: <?php echo $venda[0]["Cep"]; ?></td>
                    </tr>
                    <tr>
                        <td width="70%">Contato: <?php echo $venda[0]["Contato"]; ?></td>
                        <td width="30%">Frete: <?php echo $venda[0]["Frete"]; ?></td>
                    </tr>
                    <tr>
                        <td width="70%">Obs: <?php echo $venda[0]["Obs_Venda"]; ?></td>
                        <td width="30%">Frete: <?php echo valor_exibir($venda[0]["Valor_Frete"]); ?></td>
                    </tr>
                    <tr>
                        <td colspan="2">Ref: <?php echo $venda[0]["Ponto_Referencia"]; ?></td>
                    </tr>
                </table>
            </td>
        </tr>
        <tr>
            <td>
                <table width="100%" align="center" class="tabela">
                    <tr>
                        <td colspan="13"><i>Produtos</i></td>
                    </tr>
                    <tr class="azul-claro">
                        <td width="3%">N</td>
                        <td width="10%">Cdigo</td>
                        <td>Produto</td>
                        <td>Medida</td>
                        <td>Largura</td>
                        <td>Altura</td>
                        <td>M</td>
                        <td width="5%">Qtd</td>
                        <td width="8%">Valor</td>
                        <td width="8%">Desc %</td>
                        <td width="8%">Desc $</td>
                        <td width="8%">Total</td>
                    </tr>
                    <?php
                    $venda_pro = listar("Select DISTINCT venda_produto.Id,
                                        venda_produto.Preco as 'Preco_Venda',
 					venda_produto.Qtd as 'Qtd_Venda',
 					venda_produto.Desconto as 'Desconto_Venda',
                                        venda_produto.Desconto_Real,
                                        venda_produto.Comprimento,
                                        venda_produto.Largura,
                                        venda_produto.Altura,
                                        venda_produto.Comprimento,
                                        venda_produto.Obs_Produto,
                                        venda_produto.Caminho_Arquivo,
 					produto.Titulo as 'Produto',
 					produto.Descricao,
 					produto.Codigo,
                                        produto.Medida,
                                        produto.Ncm,
                                        produto.Peso_Bruto,
                                        produto.Codigo_Fornecedor,
                                        local_estoque.Titulo as Local_Estoque
 					from venda_produto
 					left join (SELECT Id,Titulo,Descricao,Codigo,Codigo_Fornecedor,Medida,Ncm,Peso_Bruto FROM produto) as produto ON produto.Id = venda_produto.Id_Produto
                                        left join (SELECT Id,Titulo FROM local_estoque) as local_estoque ON local_estoque.Id = venda_produto.Id_Local_Estoque
 					where venda_produto.Id_Venda = '" . $_GET["id_venda"] . "'
                                        ORDER BY $amen venda_produto.Data_Cadastro ");

                    $x = 1;
                    $tQtd = 0;
                    foreach ($venda_pro as $chave) {
                    ?>

                    <tr>
                        <td><?php echo $x; ?></td>
                        <td><?php echo $chave["Codigo"] . $cod_for; ?></td>
                        <td><?php echo $chave["Produto"]; ?></td>
                        <td><?php echo $chave["Medida"]; ?></td>
                        <td><?php echo number_format($chave["Largura"], 4, ',', '.'); ?></td>
                        <td><?php echo number_format($chave["Altura"], 4, ',', '.'); ?></td>
                        <td><?php echo number_format($chave["Altura"] * $chave["Largura"], 4, ',', '.'); ?></td>
                        <td><?php echo $chave["Qtd_Venda"]; ?></td>
                        <td><?php echo number_format($chave["Preco_Venda"], 2, ',', '.'); ?></td>
                        <td><?php echo number_format($chave["Desconto_Venda"], 2, ',', '.'); ?></td>
                        <td><?php echo number_format($chave["Desconto_Real"], 2, ',', '.'); ?></td>
                        <td class="table_prod_valor"><?php
                                                            $Quadrado = (($chave['Altura'] * $chave['Largura']));
                                                            if ($Quadrado <= '0') {
                                                                $Quadrado = '1';
                                                            } else {
                                                                $Quadrado = $Quadrado;
                                                            }
                                                            echo valor_exibir((($Quadrado * $chave['Qtd_Venda'] * $chave['Preco_Venda']) - (($Quadrado * $chave['Preco_Venda']) * ($chave['Desconto_Venda'] / 100))) - $chave['Desconto_Real']);
                                                            ?>
                        </td>
                        <!--                                <td>
                                    <?php echo number_format((($chave['Qtd_Venda'] * $chave['Preco_Venda']) - (($chave['Qtd_Venda'] * $chave['Preco_Venda']) * ($chave['Desconto_Venda'] / 100))) - $chave['Desconto_Real'], 2, ',', '.'); ?>
                                </td>-->
                    </tr>
                    <tr>
                        <td class="table_prod_nome" colspan="12">Observao: <?php echo $chave['Obs_Produto']; ?></td>
                    </tr>
                    <!--                            <tr>
                                <td class="table_prod_nome" colspan="9">Caminho: <?php echo $chave['Caminho_Arquivo']; ?></td>
                            </tr>-->

                    <?php
                        $Peso_Venda += $chave["Peso_Bruto"] * $chave["Qtd_Venda"];
                        $Qtd_Venda += $chave["Qtd_Venda"];
                        $Preco_Venda += $chave["Preco_Venda"];
                        $Desconto_Venda += $chave["Desconto_Venda"];
                        $Desconto_Real += $chave["Desconto_Real"];
                        $tQtd += $chave["Qtd_Venda"];
                        if (CLIENTE_EMAIL == 'printjet' || CLIENTE_EMAIL == 'premoldaco' || CLIENTE_EMAIL == 'gw') {
                            $mQuadrado = valor_banco($chave['Altura'] * $chave['Largura']);

                            if ($mQuadrado <= '0') {
                                $mQuadrado = '1';
                            } else {
                                $mQuadrado = $mQuadrado;
                            }
                            $Total += valor_banco(valor_exibir((($mQuadrado * $chave["Qtd_Venda"] * $chave["Preco_Venda"]) - (($mQuadrado * $chave["Preco_Venda"]) * ($chave["Desconto_Venda"] / 100))) - $chave['Desconto_Real']));
                        } else {
                            $Total += (($chave["Preco_Venda"] * $chave["Qtd_Venda"]) -
                                (($chave["Preco_Venda"] * $chave["Qtd_Venda"]) * ($chave["Desconto_Venda"] / 100))) - $chave['Desconto_Real'];
                        }
                        $x++;
                    }
                    ?>
                    <tr>
                        <td colspan="3">&nbsp;</td>
                        <td colspan="3"><?php echo "Total Peso: " . number_format($Peso_Venda, 4, ',', '.'); ?></td>
                        <td colspan="2" align="right">Quantidade Total: <?php echo $tQtd; ?></td>
                        <td align="center" colspan="3"><?php echo "Sub Total:"; ?></td>
                        <td><?php echo valor_exibir($Total); ?></td>
                    </tr>
                    <tr>
                        <td colspan="6">&nbsp;</td>
                        <td colspan="3" align="center">Total Geral</td>
                        <td><?php echo number_format($venda[0]["Desconto"], 2, ',', '.'); ?></td>
                        <td><?php echo number_format($venda[0]["Desconto_Real"], 2, ',', '.'); ?></td>
                        <td><?php echo number_format((($Total - ($Total * ($venda[0]["Desconto"] / 100))) - $venda[0]["Desconto_Real"]), 2, ',', '.'); ?>
                        </td>

                    </tr>
                </table>
            </td>
        </tr>
        <?php if (($venda[0]["Status"] != 'Finalizado') || ($venda[0]["Status"] != 'Fatura')) { ?>
        <table width="98%" align="center" class="tabela">
            <tr>
                <td colspan="2">
                    <center>
                        <b>Condies de Gerais</b>
                    </center>
                </td>
            </tr>
            <tr>
                <?php

                    $VendaPag = listar("SELECT Id_Venda,
                                                              Valor_Pago,
                                                              Data_Cadastro,
                                                           tipo_pagamento.Titulo as Tipo_Pagamento
                                                      FROM venda_tipo_pagamento 
                                                LEFT JOIN (SELECT Id,Titulo FROM tipo_pagamento) as tipo_pagamento ON tipo_pagamento.Id = venda_tipo_pagamento.Id_Tipo_Pagamento
                                                     WHERE Id_Venda = '" . $_GET["id_venda"] . "' ")

                    ?>
                <td colspan="2"><b>Tipo de Pagamento:</b> <?php echo $VendaPag[0]["Tipo_Pagamento"]; ?></td>
            </tr>
            <tr>
                <td colspan="2">
                    ATENO: PREZADO CLIENTE, INFORMAMOS QUE DEVEM SER CONFERIDAS TODAS AS MERCADORIAS CONSTANTES NA
                    NOTA NO ATO DA ENTREGA. NO ACEITAMOS RECLAMAES POSTERIORES SEM QUE AS MESMAS ESTEJAM INFORMADAS
                    NO ATO DO RECEBIMENTO.
                </td>
            </tr>
        </table>
        <?php //} 
            ?>

        <?php

            $venda_parcela = listar("Select venda.Id,
                                conta_receber.Lancamento,
                                conta_receber.Data_Vencimento,
                                conta_receber.Valor_Original, 
                                tipo_pagamento.Titulo as 'Tipo_Pagamento'
                                from venda
                                left join (SELECT Id,Lancamento,Data_Vencimento,Valor_Original,Id_Externo,Id_Tipo_Pagamento FROM conta_receber) as conta_receber ON conta_receber.Id_Externo = venda.Id
                                left join (SELECT Id,Titulo FROM tipo_pagamento) as tipo_pagamento ON tipo_pagamento.Id = conta_receber.Id_Tipo_Pagamento
                                where venda.Id = '" . $_GET["id_venda"] . "' 					
                                order by conta_receber.Data_Vencimento");


            if (($venda[0]["Status"] == 'Finalizado') || ($venda[0]["Status"] == 'Fatura')) {
            ?>
        <tr>
            <td>
                <table width="100%" align="center" class="tabela">
                    <tr>
                        <td colspan="5"><i>Parcelas</i></td>
                    </tr>
                    <tr class="azul-claro">
                        <td>N</td>
                        <td>Vencimento</td>
                        <td>Valor</td>
                        <td>Tipo</td>
                    </tr>
                    <?php $x = 1;
                            foreach ($venda_parcela as $chave) {
                            ?>
                    <tr>
                        <td><?php echo $x; ?></td>
                        <td><?php echo data_exibir($chave["Data_Vencimento"]) ?></td>
                        <td><?php echo number_format($chave["Valor_Original"], 2, ',', '.') ?></td>
                        <td><?php echo $chave["Tipo_Pagamento"] ?></td>
                    </tr>
                    <?php $x++;
                            }
                        }
                        ?>
                </table>
            </td>
        </tr>
        <?php } ?>
    </table>
    <br />
    <table width="98%" align="center">
        <tr>
            <td align="center">________________________</td>
            <td align="center">
                <font face="verdana" size="2">
                    <?php
                    echo "<br> _____/_____/__________";
                    ?>
                    <br>
                    Vendedor: <?php echo $venda[0]["Vendedor"]; ?>
            </td>
            </font>
            </td>
        </tr>
        <tr>
            <td align="center">
                <font face="verdana" size="2">
                    <?php
                    if (CLIENTE_RAZAO_SOCIAL == 'Sim') {
                        echo $venda[0]["Razao_Social"];
                    } else {
                        echo $venda[0]["Cliente"];
                    }
                    ?>
                </font>
            </td>

        </tr>
    </table>

    <br>
</body>

</html>

<?php include "../include/rodape.php"; ?>