<?php
include_once "../include/conecta.php"; //Conecta com a nosso banco de dados MySQL
ini_set('session.gc_maxlifetime', 60*120); session_start();
/* include_once "../include/ver_sessao.php"; //Verifica se a sesso est ativa */
include_once "../include/funcoesPhp.php"; //Inclue a pgina con todas as funes a ser usada.
?>
<?php 
               $venda = listar("Select venda.Id,
 					venda.Lancamento,
 					venda.Status,
 					venda.Data_Venda,
 					venda.Obs as 'Obs_Venda',
 					venda.Valor_Original,
 					venda.Valor_Pago,
                                        venda.Desconto,
                                        venda.Desconto_Real,
                                        venda.Frete,
                                        venda.Valor_Frete,
                                        venda.Id_Unidade,
                                        venda.Peso_Liquido,
                                        venda.Peso_Bruto,
                                        venda.Placa,
 					cliente.Titulo as 'Cliente',
                                        cliente.Razao_Social,
 					cliente.Email,
 					cliente.Natureza,
 					cliente.Cpf_Cnpj,
 					cliente.Rua,
                                        cliente.Numero,
 					cliente.Cep,
 					cliente.Bairro,
 					cliente.Estado,
 					cliente.Fone1,
                                        cliente.Fone2,
                                        cliente.Contato,
                                        cliente.Endereco,
                                        cliente.Ponto_Referencia,
 					cliente.Obs as 'Obs_Cliente',
                                        cliente.Codigo,
                                        cliente.Cidade,
                                        vendedor.Titulo as 'Vendedor'
 					from venda
 					left join (SELECT Id,Titulo,Email,Natureza,Cpf_Cnpj,Estadual,Rua,Numero,Cep,
                                        Bairro,Estado,Fone1,Fone2,Obs,Cidade,Razao_Social,Contato,Endereco,Codigo,Ponto_Referencia FROM cliente) as cliente ON cliente.Id = venda.Id_Cliente
                                        left join (SELECT Id,Titulo FROM funcionario) as vendedor ON venda.Id_Vendedor = vendedor.Id
 					where venda.Id = '".$_GET["id_venda"]."'
					order by venda.Lancamento DESC");

$_GET["Unidade"] = $venda[0]["Id_Unidade"];
               
?>
<html>
<head>
<title>Gw - Gesto Web</title>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1" />
<link rel="shortcut icon" href="../imagem/favi_gw.ico" type="image/x-icon" />
<link rel="stylesheet" type="text/css" href="../estilo/<?php echo SKIN ;?>/tabela_imp.css" />
<script type="text/javascript" language="javascript" src="../js/jquery.js"></script>
<?php include '../include/script_cabeca.php'; ?>
<script type="text/javascript" language="javascript" src="../js/script.js"></script>
<script type="text/javascript" language="javascript" src="../js/meiomask/meiomask.js"></script>
<script type="text/javascript" language="javascript" src="../js/meiomask/<?php if(PAIS=="USA"){ echo "mascaras-usa"; }else{ echo "mascaras"; }?>.js"></script>
</head>
<body>

<table width="98%" align="center"><!-- TABELA Q ENVOLVE TODO O CONTEUDO -->
<tr>
	<td>
		<?php include "../include/cabecalho_pedido.php"; ?>
	</td>
</tr>
<tr>
	<td>
		<table width="100%" align="center">
			<tr>
                            <td colspan="2">
                                <font face="verdana" size="3">
                                    <b><i>Pedido - <?php echo $venda[0]["Lancamento"];?></i></b>
                                </font>
                            </td>
			</tr>
		</table>
	</td>
</tr>
<tr>
	<td>
		<table width="100%" align="center" class="tabela">
			<tr>
                                <td width="70%">Razo: <?php echo $venda[0]["Codigo"]." - ".$venda[0]["Razao_Social"]; ?></td>
				<td width="30%">Data: <?php echo data_exibir($venda[0]["Data_Venda"]);?></td>
			</tr>
                        <tr>
                                <td width="70%">Fantasia: <?php echo $venda[0]["Codigo"]." - ".$venda[0]["Cliente"]; ?></td>
				<td width="30%">Fone: <?php echo $venda[0]["Fone1"];?></td>
			</tr>
			<tr>
				<td width="70%">End: <?php echo $venda[0]["Endereco"];?></td>
				<td width="30%">Fone 2: <?php echo $venda[0]["Fone2"];?></td>
			</tr>
                        <tr>
                            <td colspan="2">Ponto Ref: <?php echo $venda[0]["Ponto_Referencia"];?></td>
			</tr>
			<tr>
				<td width="70%"><?php echo 'Bairro:'.$venda[0]["Bairro"].' Cidade:'.
                                                                        $venda[0]["Cidade"].' UF:'.
                                                                        $venda[0]["Estado"];?>
                                </td>
				<?php if($venda[0]["Natureza"] == "PF"){?>
				<td width="30%">CPF: <?php echo $venda[0]["Cpf_Cnpj"];?></td>
				<?php }else{?>
				<td width="30%">CNPJ: <?php echo $venda[0]["Cpf_Cnpj"];?></td>
				<?php }?>
			</tr>
			<tr>
				<td width="70%">Vendedor: <?php echo $venda[0]["Vendedor"];?></td>
				<td width="30%">CEP: <?php echo $venda[0]["Cep"];?></td>
			</tr>
                        <tr>
				<td width="70%">Contato: <?php echo $venda[0]["Contato"];?></td>
				<td width="30%">Frete: <?php echo $venda[0]["Frete"];?></td>
			</tr>
			<tr>
				<td width="70%">Obs: <?php echo $venda[0]["Obs_Venda"];?></td>
                                <td width="30%">Frete: <?php echo valor_exibir($venda[0]["Valor_Frete"]);?></td>
			</tr>
                        <tr>
				<td width="70%">
                                    Peso Bruto: <?php echo $venda[0]["Peso_Bruto"];?>
                                    &nbsp;&nbsp;&nbsp;&nbsp;
                                    Peso Liquido: <?php echo $venda[0]["Peso_Liquido"];?>
                                </td>
                                <td width="30%">Vendedor: <?php echo $venda[0]["Vendedor"];?></td>
			</tr>
		</table>
	</td>
</tr>
<tr>
	<td>
		<table width="100%" align="center" class="tabela">
			<tr>
				<td colspan="10"><i>Produtos</i></td>
			</tr>
			<tr class="azul-claro">
				<td width="3%">N</td>
				<td width="10%">Cdigo</td>
				<td>Produto</td>
                                <td width="5%">Qtd</td>
                                <td width="5%">Un</td>
			</tr>
			<?php

               $venda_pro = listar("Select DISTINCT venda_produto.Id,
                                        venda_produto.Preco as 'Preco_Venda',
 					SUM(venda_produto.Qtd) as 'Qtd_Venda',
 					venda_produto.Desconto as 'Desconto_Venda',
                                        venda_produto.Desconto_Real,
 					produto.Titulo as 'Produto',
 					produto.Descricao,
 					produto.Codigo,
                                        produto.Medida,
                                        produto.Peso_Bruto,
                                        produto.Codigo_Fornecedor
 					from venda_produto
 					left join (SELECT Id,Titulo,Descricao,Codigo,Codigo_Fornecedor,Medida,Peso_Bruto FROM produto) as produto ON produto.Id = venda_produto.Id_Produto
 					where venda_produto.Id_Venda = '".$_GET["id_venda"]."'
                                        GROUP BY venda_produto.Id_Produto
                                        ORDER BY venda_produto.Data_Cadastro ");

                        $x=1; foreach($venda_pro as $chave){
                        ?>
                        
			<tr>
				<td><?php echo $x;?></td>
				<td><?php echo $chave["Codigo"];?></td>
				<td><?php echo substr($chave["Produto"],0,30);?></td>
                                <td><?php echo $chave["Qtd_Venda"];?></td>
                                <td><?php echo $chave["Medida"];?></td>
			</tr>
			<?php
			$Qtd_Venda+= $chave["Qtd_Venda"];
			$Preco_Venda+=$chave["Preco_Venda"];
			$x++; }
			?>
                        <tr>
                            <td colspan="3"></td>
                            <td><?php echo $Qtd_Venda;?></td>
                            <td></td>
			</tr>
		</table>
	</td>
</tr>
</table>
<br/>
<table width="98%" align="center">
	<tr>
		<td align="center">________________________</td>
                <td align="center">________________________</td>
	</tr>
	<tr>
            <td align="center"><font face="verdana" size="2">Conferente</font></td>
            <td align="center">
                <font face="verdana" size="2">
                <?php
                if(CLIENTE_RAZAO_SOCIAL=='Sim'){
                    echo $venda[0]["Razao_Social"];
                }else{
                    echo $venda[0]["Cliente"];
                }
                ?>
                </font>
            </td>
	</tr>
</table>

<br>
</body>
</html>
<?php include "../include/rodape.php";?>