<?php
include_once "../include/conecta.php"; //Conecta com a nosso banco de dados MySQL
ini_set('session.gc_maxlifetime', 60 * 120);
session_start();
/* include_once "../include/ver_sessao.php"; //Verifica se a sesso est ativa */
include_once "../include/funcoesPhp.php"; //Inclue a pgina con todas as funes a ser usada.
?>
<?php
$venda = listar("SELECT venda.Id,
                        venda.Lancamento,
                        venda.Status,
                        venda.Data_Venda,
                        venda.Obs as 'Obs_Venda',
                        venda.Valor_Original,
                        venda.Valor_Pago,
                        venda.Desconto,
                        venda.Desconto_Real,
                        venda.Frete,
                        venda.Valor_Frete,
                        venda.Id_Unidade,
                        venda.Peso_Liquido,
                        venda.Peso_Bruto,
                        venda.Placa,
                        cliente.Titulo as 'Cliente',
                        cliente.Razao_Social,
                        cliente.Email,
                        cliente.Natureza,
                        cliente.Cpf_Cnpj,
                        cliente.Rua,
                        cliente.Numero,
                        cliente.Cep,
                        cliente.Bairro,
                        cliente.Estado,
                        cliente.Fone1,
                        cliente.Contato,
                        cliente.Endereco,
                        cliente.Ponto_Referencia,
                        cliente.Obs as 'Obs_Cliente',
                        cliente.Codigo,
                        cliente.Cidade,
                        funcionario.Titulo as 'Funcionario',
                        vendedor.Titulo as 'Vendedor'
                   FROM venda
             LEFT JOIN (SELECT Id,Titulo,Email,Natureza,Cpf_Cnpj,Estadual,Rua,Numero,Cep,Cidade,Bairro,Estado,Fone1,Obs,Id_Cidade,Razao_Social,Contato,Endereco,Codigo,Ponto_Referencia FROM cliente) as cliente ON cliente.Id = venda.Id_Cliente
             LEFT JOIN (SELECT Id,Titulo FROM funcionario) as funcionario ON funcionario.Id = venda.Id_Funcionario
             LEFT JOIN (SELECT Id,Titulo FROM funcionario) as vendedor ON venda.Id_Vendedor = vendedor.Id
                  WHERE venda.Id = '" . $_GET["id_venda"] . "'
               ORDER BY venda.Lancamento DESC");

$_GET["Unidade"] = $venda[0]["Id_Unidade"];
?>
<html>
    <head>
        <title>Gw - Gesto Web</title>
        <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1" />
        <link rel="shortcut icon" href="../imagem/favi_gw.ico" type="image/x-icon" />
        <link rel="stylesheet" type="text/css" href="../estilo/<?php echo SKIN; ?>/tabela_imp.css" />
        <script type="text/javascript" language="javascript" src="../js/jquery.js"></script>
        <?php include '../include/script_cabeca.php'; ?>
        <script type="text/javascript" language="javascript" src="../js/script.js"></script>
        <script type="text/javascript" language="javascript" src="../js/meiomask/meiomask.js"></script>
        <script type="text/javascript" language="javascript" src="../js/meiomask/<?php
        if (PAIS == "USA") {
            echo "mascaras-usa";
        } else {
            echo "mascaras";
        }
        ?>.js"></script>
    </head>
    <body>

        <table width="98%" align="center"><!-- TABELA Q ENVOLVE TODO O CONTEUDO -->
            <tr>
                <td>
<?php include "../include/cabecalho_pedido.php"; ?>
                </td>
            </tr>
            <tr>
                <td>
                    <table width="100%" align="center">
                        <tr>
                            <td colspan="2" align="center">
                                <font face="verdana" size="3">
                                <b><i>Venda - <?php echo $venda[0]["Lancamento"]; ?></i></b>
                                </font>
                            </td>
                        </tr>
                    </table>
                </td>
            </tr>
            <tr>
                <td>
                    <table width="100%" align="center" class="tabela">
                        <tr>
                            <td width="70%">Cliente: <?php echo $venda[0]["Codigo"] . " - " . $venda[0]["Cliente"] . " - " . $venda[0]["Razao_Social"]; ?></td>
                            <td width="30%">Data: <?php echo data_exibir($venda[0]["Data_Venda"]); ?></td>
                        </tr>
                        <tr>
                            <td width="70%">End: <?php echo $venda[0]["Endereco"]; ?></td>
                            <td width="30%">Fone: <?php echo $venda[0]["Fone1"]; ?></td>
                        </tr>
                        <tr>
                            <td colspan="2">Ponto Ref: <?php echo $venda[0]["Ponto_Referencia"]; ?></td>
                        </tr>
                        <tr>
                            <td width="70%"><?php
                                echo 'Bairro:' . $venda[0]["Bairro"] . ' Cidade:' .
                                $venda[0]["Cidade"] . ' UF:' .
                                $venda[0]["Estado"];
                                ?>
                            </td>
                            <?php if ($venda[0]["Natureza"] == "PF") { ?>
                                <td width="30%">CPF: <?php echo $venda[0]["Cpf_Cnpj"]; ?></td>
                            <?php } else { ?>
                                <td width="30%">CNPJ: <?php echo $venda[0]["Cpf_Cnpj"]; ?></td>
                            <?php } ?>
                        </tr>
                        <tr>
                            <?php
                            $cod_auto2 = mysqli_query($con, "SELECT tipo_pagamento.Titulo
                                                            FROM venda_tipo_pagamento
                                                            LEFT JOIN (SELECT Id,Titulo FROM tipo_pagamento) as tipo_pagamento ON tipo_pagamento.Id = venda_tipo_pagamento.Id_Tipo_Pagamento
                                                            WHERE venda_tipo_pagamento.Id_Venda = '" . $_GET["id_venda"] . "'
                                                            ORDER BY Ordem");
                            $ex_tip = '';
                            while ($valor1 = mysqli_fetch_assoc($cod_auto2)) {
                                $ex_tip .= $valor1["Titulo"] . " ,";
                            }
                            $ex_tip = substr($ex_tip, 0, -2);
                            ?>
                            <td width="70%">Pagamento: <?php echo $ex_tip; ?></td>
                            <td width="30%">CEP: <?php echo $venda[0]["Cep"]; ?></td>
                        </tr>
                        <tr>
                            <td width="70%">Contato: <?php echo $venda[0]["Contato"]; ?></td>
                            <td width="30%">Frete: <?php echo $venda[0]["Frete"]; ?></td>
                        </tr>
                        <tr>
                            <td width="70%">Obs: <?php echo $venda[0]["Obs_Venda"]; ?></td>
                            <td width="30%">Frete: <?php echo valor_exibir($venda[0]["Valor_Frete"]); ?></td>
                        </tr>
                        <tr>
                            <td width="70%">
                                Peso Bruto: <?php echo $venda[0]["Peso_Bruto"]; ?>
                                &nbsp;&nbsp;&nbsp;&nbsp;
                                Peso Liquido: <?php echo $venda[0]["Peso_Liquido"]; ?>
                            </td>
                            <td width="30%">Vendedor: <?php echo $venda[0]["Vendedor"]; ?></td>
                        </tr>
                    </table>
                </td>
            </tr>
            <tr>
                <td>
                    <table width="100%" align="center" class="tabela">
                        <tr>
                            <td colspan="13"><i>Produtos</i></td>
                        </tr>
                        <tr class="azul-claro">
                            <td width="3%">N</td>
                            <td width="10%">Cdigo</td>
                            <?php if ((CLIENTE_EMAIL == 'peparts') || CLIENTE_EMAIL == 'maqtractor' || (CLIENTE_EMAIL == 'gw')) { ?>
                                <td>Fabricante</td>
                                <td>NCM</td>
                            <?php } ?>
                            <td>Produto</td>
                            <td width="5%">Qtd</td>
                            <td width="5%">Un</td>
                            <td width="8%">Preo</td>
                            <td width="8%">Valor</td>
                            <td width="8%">Desc %</td>
                            <td width="8%">Desc $</td>
                            <td width="8%">Total</td>
                            <?php if ((CLIENTE_EMAIL == 'peparts') || CLIENTE_EMAIL == 'maqtractor' || (CLIENTE_EMAIL == 'gw')) { ?>
                            <td width="8%">Entrega</td>
                            <?php } ?>
                        </tr>
                        <?php
                           $venda_pro = listar("Select DISTINCT venda_produto.Id,
                                                                venda_produto.Preco as 'Preco_Venda',
                                                                venda_produto.Qtd as 'Qtd_Venda',
                                                                venda_produto.Desconto as 'Desconto_Venda',
                                                                venda_produto.Desconto_Real,
                                                                venda_produto.Id_Produto,
                                                                venda_produto.Tipo_Entrega,
                                                                produto.Titulo as 'Produto',
                                                                produto.Descricao,
                                                                produto.Codigo,
                                                                produto.Medida,
                                                                produto.Peso_Bruto,
                                                                produto.Ncm,
                                                                fabricante.Titulo as Fabricante,
                                                                produto.Codigo_Fornecedor,
                                                                local_estoque.Titulo as Local_Estoque
                                                           FROM venda_produto
                                                    LEFT JOIN (SELECT Id,Titulo,Descricao,Codigo,Ncm,Codigo_Fornecedor,Medida,Peso_Bruto,Id_Fabricante FROM produto) as produto ON produto.Id = venda_produto.Id_Produto
                                                    LEFT JOIN (SELECT Id,Titulo FROM local_estoque) as local_estoque ON local_estoque.Id = venda_produto.Id_Local_Estoque
                                                    LEFT JOIN (SELECT Id,Titulo FROM fabricante) as fabricante ON fabricante.Id = produto.Id_Fabricante
                                                         WHERE venda_produto.Id_Venda = '" . $_GET["id_venda"] . "'
                                                      ORDER BY venda_produto.Data_Cadastro ");

                        $x = 1;
                        foreach ($venda_pro as $chave) {
                            ?>

                            <tr>
                                <td><?php echo $x; ?></td>
                                <td><?php echo $chave["Codigo"] . $cod_for; ?></td>
                                <?php if ((CLIENTE_EMAIL == 'peparts') || CLIENTE_EMAIL == 'maqtractor' || (CLIENTE_EMAIL == 'gw')) { ?>
                                    <td><?php echo $chave["Fabricante"]; ?></td>
                                    <td><?php echo $chave["Ncm"]; ?></td>
    <?php } ?>
                                <td><?php echo $chave["Produto"]; ?></td>
                                <td><?php echo $chave["Qtd_Venda"]; ?></td>
                                <td><?php echo $chave["Medida"]; ?></td>
                                <td><?php echo number_format($chave["Preco_Venda"], 2, ',', '.'); ?></td>
                                <td><?php echo number_format($chave["Qtd_Venda"] * $chave["Preco_Venda"], 2, ',', '.'); ?></td>
                                <td><?php echo number_format($chave["Desconto_Venda"], 2, ',', '.'); ?></td>
                                <td><?php echo number_format($chave["Desconto_Real"], 2, ',', '.'); ?></td>
                                <td>
                                    <?php echo number_format(( ($chave['Qtd_Venda'] * $chave['Preco_Venda']) - ( ($chave['Qtd_Venda'] * $chave['Preco_Venda']) * ($chave['Desconto_Venda'] / 100) ) ) - $chave['Desconto_Real'], 2, ',', '.'); ?></td>
                                </td>
                                <?php if ((CLIENTE_EMAIL == 'peparts') || CLIENTE_EMAIL == 'maqtractor' || (CLIENTE_EMAIL == 'gw')) { ?>
                                <td>
                                    <?php
                                        echo $chave["Tipo_Entrega"];
                                  /*
                                    $Sql = mysqli_query($con,"SELECT SUM(estoque.Qtd) as Estoque
                                                                    FROM (SELECT Id,
                                                                                Titulo,
                                                                                Id_Categoria_Produto,
                                                                                Id_Fornecedor,
                                                                                Id_Fabricante,
                                                                                Ativo
                                                                          FROM produto
                                                                          WHERE produto.Id = '".$chave["Id_Produto"]."'
                                                                          )
                                                                    as produto
                                                                    LEFT JOIN
                                                                    (SELECT Id_Produto,Qtd,Concluido FROM estoque WHERE Concluido = 'Sim') as estoque ON produto.Id = estoque.Id_Produto
                                                                    where 1=1
                                                                    GROUP BY produto.Id
                                                                    order by produto.Titulo");
                                    
                                                foreach ($Sql as $Estoque) {

                                                if ($chave["Qtd_Venda"] <= $Estoque["Estoque"]) {
                                                    echo 'Imediata'; 
                                                }else{
                                                    echo  'Indisponvel';; 
                                                }

                                            }
                                   */
                                    ?>
                                </td>
                                <?php } ?>
                            </tr>
                            <?php
                            $Qtd_Venda += $chave["Qtd_Venda"];
                            $Preco_Venda += $chave["Preco_Venda"];
                            $Desconto_Venda += $chave["Desconto_Venda"];
                            $Desconto_Real += $chave["Desconto_Real"];
                            $Total += ( ($chave["Preco_Venda"] * $chave["Qtd_Venda"]) -
                                    (($chave["Preco_Venda"] * $chave["Qtd_Venda"]) * ($chave["Desconto_Venda"] / 100)) ) - $chave['Desconto_Real'];
                            $x++;
                        }
                        ?>
<?php if (CLIENTE_EMAIL == 'peparts' || CLIENTE_EMAIL == 'maqtractor' || (CLIENTE_EMAIL == 'gw')) { ?>

                            <tr>
                                <td colspan="9">&nbsp;</td>
                                <td colspan="2">Sub Total: </td>
                                <td><?php echo number_format($Total, 2, ',', '.'); ?></td>
                                <td>&nbsp;</td>
                            </tr>
                            <tr>
                                <?php $tGeral = (( ( $Total - ( $Total * ($venda[0]["Desconto"] / 100) ) ) - $venda[0]["Desconto_Real"])) ?>
                                <td colspan="7">&nbsp;</td>
                                <td colspan="2">Total Geral:</td>
                            <!--<td><?php echo number_format($Total-$tGeral, 2, ',', '.')  ?></td>-->
                                <td><?php echo number_format($venda[0]["Desconto"], 2, ',', '.'); ?></td>
                                <td><?php echo number_format($venda[0]["Desconto_Real"], 2, ',', '.'); ?></td>
                                <td><?php echo number_format($tGeral, 2, ',', '.') ?></td>
                                <td>&nbsp;</td>
                            </tr>
<?php } else { ?>

                            <tr>
                                <td colspan="4">Totais da Venda:</td>
                                <td></td>
                                <td><?php echo $tQtd; ?></td>
                                <td></td>
                                <td><?php echo number_format($venda[0]["Desconto"], 2, ',', '.'); ?></td>
                                <td><?php echo number_format($venda[0]["Desconto_Real"], 2, ',', '.'); ?></td>
                                <td><?php echo number_format(( ( $Total - ( $Total * ($venda[0]["Desconto"] / 100) ) ) - $venda[0]["Desconto_Real"]), 2, ',', '.'); ?></td>

                            </tr>
<?php } ?>
                    </table>
                </td>
            </tr>
            <?php
            $venda_parcela = listar("SELECT financeiro_pedido.*,
                                            tipo_pagamento.Titulo as 'Tipo_Pagamento'
                                       FROM financeiro_pedido
                                  LEFT JOIN (SELECT Id,Titulo FROM tipo_pagamento) as tipo_pagamento ON tipo_pagamento.Id = financeiro_pedido.Id_Tipo_Pagamento
                                      WHERE financeiro_pedido.Id_Externo = '" . $_GET["id_venda"] . "' 
                                        AND financeiro_pedido.Id_Tipo_Pagamento <> '0'
                                   ORDER BY financeiro_pedido.Ordem ");
            ?>
            <tr>
                <td>
                    <table width="100%" align="center" class="tabela">
                        <tr>
                            <td colspan="4"><i>Parcelas</i></td>
                        </tr>
                        <tr class="azul-claro">
                            <td>N</td>
                            <td>Vencimento</td>
                            <td>Valor</td>
                            <td>Tipo</td>
                        </tr>
                        <?php

                        for ($i=1; $i<=PARCELA_PAGAMENTO; $i++) {
                                $campo_tp.=" Taxa".str_pad($i, 2,"0", STR_PAD_LEFT).", Prazo".str_pad($i, 2,"0", STR_PAD_LEFT).", ";
                            }
                            $campo_tp = substr($campo_tp,0,-2);

                        foreach ($venda_parcela as $chave) {

                              $tip = mysqli_query($con, "SELECT $campo_tp
                                                           FROM tipo_pagamento
                                                          WHERE Id = '{$chave["Id_Tipo_Pagamento"]}'  ")
                                    or die("ERRO no comando SQL:" . mysqli_error($con));
                            $array_tipo = mysqli_fetch_assoc($tip);


                            $z = 1;
                            for ($x = 1; $x<=PARCELA_PAGAMENTO; $x++) {

                                if ($x < 10) {
                                    $z = '0' . $x;
                                }

                                if ($array_tipo["Prazo" . $z] == "") {
                                    break;
                                }
                                ?>
                                <tr>
                                    <td><?php echo $x; ?></td>
                                    <td><?php echo data_exibir($chave["Data$z"]) ?></td>
                                    <td><?php echo number_format($chave["Valor$z"], 2, ',', '.') ?></td>
                                    <td><?php echo $chave["Tipo_Pagamento"] ?></td>
                                </tr>
                                <?php
                                $z++;
                            }
                        }
                        ?>
                    </table>
                </td>
            </tr>

        </table>
        <br/>
        <table width="98%" align="center">
            <tr>
                <td align="center">________________________</td>
                <td align="center">________________________</td>
            </tr>
            <tr>
                <td align="center">
                    <font face="verdana" size="2">
                    <?php
                    if (CLIENTE_RAZAO_SOCIAL == 'Sim') {
                        echo $venda[0]["Razao_Social"];
                    } else {
                        echo $venda[0]["Cliente"];
                    }


                    $cod_auto2 = mysqli_query($con, "SELECT Titulo FROM unidade WHERE Id = '" . $_GET["Unidade"] . "' ");
                    $valor1 = mysqli_fetch_assoc($cod_auto2);
                    ?>
                    </font>
                </td>
                <td align="center"><font face="verdana" size="2"><?php echo $valor1["Titulo"] ?></font></td>
            </tr>
        </table>

        <br>
    </body>
</html>
<?php include "../include/rodape.php"; ?>