<?php
include_once '../../include/conecta.php'; //Conecta com a nosso banco de dados MySQL
include_once '../../include/ver_sessao.php'; //Verifica se a sesso est ativa
include_once '../../include/funcoesPhp.php';
include_once '../../menu_movimento.php';
?>
<html>

<head>
    <title>Gw - Gesto Web</title>
    <link rel="stylesheet" type="text/css" href="../../estilo/<?php echo SKIN; ?>/tableless.css" />
    <script language="javascript" type="text/javascript" src="../../js/jquery.js"></script>
    <script language="javascript" type="text/javascript" src="../../js/script.js"></script>
    <?php include '../../include/script_cabeca.php'; ?>
    <?php include '../../include/script_campo.php'; ?>
    <?php include 'cabecalho.php'; ?>
</head>

<body>
    <?php
    $item = mysqli_query($con, "SELECT venda_produto.Id_Venda,
                                venda_produto.Id_Funcionario,
                                venda_produto.Preco,
                                venda_produto.Qtd,
                                venda_produto.Desconto,
                                venda_produto.Desconto_Real,
                                venda_produto.Ipi,
                                venda_produto.CST_Ipi,
                                venda_produto.Icms,
                                venda_produto.ST_Icms,
                                venda_produto.Id_Cfop,
                                venda_produto.Id_Local_Estoque,
                                venda_produto.Comissao,
                                venda_produto.Preco_Tabela,
                                venda_produto.vBCSTRet,
                                venda_produto.vICMSSTRet,
                                venda_produto.vICMSDeson,
                                venda_produto.motDesICMS,
                                venda_produto.Icms_Sub,
                                venda_produto.Mva,
                                venda_produto.Reducao,
                                venda_produto.xPed,
                                venda_produto.nItemPed,
                                venda_produto.Aproveitamento,
                                venda_produto.Id_Unidade,
                                venda_produto.Id_Funcionario,
                                produto.Id as Id_Produto,
                                produto.Titulo as Produto,
                                produto.Regime_ST,
                                venda.DV,
                                venda.Status
                                FROM venda_produto
                                LEFT JOIN (SELECT Id,Status,DV FROM venda) as venda ON venda.Id = venda_produto.Id_Venda
                                LEFT JOIN (SELECT Id,Titulo,Regime_ST FROM produto) as produto ON produto.Id = venda_produto.Id_Produto
                                WHERE venda_produto.Id = '" . $_GET["id_linha"] . "' ");
    $_POST = mysqli_fetch_assoc($item);
    ?>
    <form action="" method="post" name="historico">

        <fieldset class="envolve">
            <legend>Adicionar Produto</legend>

            <!-- <input type="hidden" name="Id_Linha" value="<?php echo $_GET["id_linha"] ?>">
            <input type="hidden" name="Status" value="<?php echo $_POST["Status"] ?>">
            <input type="hidden" name="Unidade" id="Unidade" value="<?php echo $_POST["Id_Unidade"] ?>">
            <input type="hidden" name="Id_Produto" value="<?php echo $_POST["Id_Produto"] ?>">
            <input type="hidden" name="Id_Funcionario" id="Id_Funcionario" value="<?php echo $_POST["Id_Funcionario"] ?>"> -->

            <fieldset class="grupo">
                <div class="campo" style="width: 50%">
                    <label for="Produto_Novo" key="Produto_Novo" class="tr">Produto</label>
                    <input type="text" readonly name="Produto_Novo" id="Produto_Novo" value="<?php echo $_GET["codigo_prod"] . " : " . $_GET["desc_Prod"]; ?>" onblur="getValor(this.value, 0);getImposto(this.value, 0);comissProduto(this.value, 0);" style="width: 75%; float: left" />
                </div>
            </fieldset>

            <!-- <div class="linhas_historico"> Produto : <?php echo $_POST["Produto"] ?></div> -->
            <!-- <br /> -->
            <fieldset class="grupo">
                <?php
                $empresa = mysqli_query($con, "Select Tabela_Preco from unidade where Id = '" . $_SESSION["Unidade"] . "' ");
                $empresa = mysqli_fetch_assoc($empresa);
                $_POST["Tabela_Preco"] = $empresa["Tabela_Preco"];


                if (TABELA_PRECO == 'Sim') {
                ?>
                    <div class="campo">
                        <label for="Tabela" key="Tabela" class="tr">Tabela</label>
                        <?php
                        $tabela_pr = mysqli_query($con, "Select Id,Titulo,Valor from produto_tabela WHERE Ativo='Sim' ");

                        $vetor = '';
                        $vetor = array();
                        while ($reg = mysqli_fetch_assoc($tabela_pr)) {
                            $vetor[$reg["Valor"]] = $reg["Titulo"];
                        }

                        select_tela("Tabela_Preco", "Tabela_Preco", $_POST["Tabela_Preco"], $vetor, '', "");
                        ?>
                    </div>
                <?php
                } else {
                    echo '<input type="hidden" name="Tabela_Preco" id="Tabela_Preco" value="' . $_POST["Tabela_Preco"] . '" >';
                }
                ?>
                <div class="campo" style="width: 25%">
                    <label for="Valor" key="Valor" class="tr">* Valor</label>
                    <div id="recebeValor">
                        <input type="text" name="Valor" id="Valor" value="<?php echo $_POST["Valor"]; ?>" class="money" onblur="fazerValor(this.value, 'Valor')">
                    </div>
                </div>
                <div class="campo" style="width: 25%">
                    <label for="Qtd_Novo" key="Qtd_Novo" class="tr">* Qtd</label>
                    <input type="text" name="Qtd_Novo" id="Qtd_Novo" value="<?php echo $_POST["Qtd_Novo"]; ?>" class="money" onblur="fazerValor(this.value, 'Qtd_Novo')">
                </div>
                <div class="campo" style="width: 25%">
                    <label for="Desconto_Novo" key="Desconto_Novo" class="tr">Desconto %</label>
                    <input type="text" name="Desconto_Novo" id="Desconto_Novo" value="<?php echo $_POST["Desconto_Novo"]; ?>" class="money" onblur="fazerValor(this.value, 'Desconto_Novo')">
                </div>
                <div class="campo" style="width: 25%">
                    <label for="Desconto_Real_Novo" key="Desconto_Real_Novo" class="tr">Desconto Real</label>
                    <input type="text" name="Desconto_Real_Novo" id="Desconto_Real_Novo" value="<?php echo $_POST["Desconto_Real_Novo"]; ?>" class="money" onblur="fazerValor(this.value, 'Desconto_Real_Novo')">
                </div>
                <?php
                if (LOCAL_ESTOQUE_EXIBIR == 'Sim') {
                ?>
                    <div class="campo">
                        <label for="Local_Estoque" key="Local_Estoque" class="tr">Local Estoque</label>
                        <?php echo select_banco(
                            "Select Id, Titulo from local_estoque WHERE Tipo <> 'Compras' order by Titulo",
                            "Local_Estoque",
                            "Local_Estoque",
                            $_POST["Id_Local_Estoque"],
                            'style="width:150px"',
                            ""
                        );
                        ?>
                    </div>
                <?php } else { ?>
                    <input type='hidden' name='Local_Estoque' id='Local_Estoque' value='<?php echo $_POST["Id_Local_Estoque"]; ?>'>
                <?php } ?>
            </fieldset>

            <fieldset class="grupo">
                <?php if (CLIENTE_EMAIL != "hcdistribuidora") { ?>

                    <div class="campo">
                        <label for="Vendedor">* Profissional</label>
                        <?php
                        echo select_banco(
                            "SELECT Id, Titulo FROM funcionario WHERE Ativo = 'Sim' AND Vendedor = 'Sim' ORDER BY Titulo",
                            "Vendedor_Novo",
                            "Vendedor_Novo",
                            $_POST["Id_Funcionario"],
                            "onchange='comissaoProf();' style='width:150px'",
                            ""
                        );
                        ?>
                    </div>

                <?php }
                if (EXIBIR_COMISSAO_VENDA == 'Sim' && VER_COMISSAO_VENDA == 'Sim') { ?>
                    <?php if (COMISSAO_TIPO == 'Produto') { ?>
                        <div class="campo" style="width: 8%">
                            <label for="Comissao_Vendedor">Comisso</label>
                            <div id="divComissao">
                                <input type="hidden" name="Comissao_Vendedor" id="Comissao_Vendedor" value="<?php echo $_POST["Comissao_Vendedor"]; ?>" class="money" onblur="fazerValor(this.value, 'Comissao_Vendedor');">
                            </div>
                        </div>
                <?php
                    }
                }
                ?>
                <div id="divImposto">

                    <div class="campo" style="width: 8%">
                        <!-- <label for="Icms_Novo" key="Icms_Novo" class="tr">Icms %</label> -->
                        <input type="hidden" name="Icms_Novo" id="Icms_Novo" value="<?php echo $_POST["Icms_Novo"]; ?>" class="money" onblur="fazerValor(this.value,'Icms_Novo')">
                    </div>
                    <div class="campo">
                        <!-- <label for="ST_Icms" key="ST_Icms" class="tr">ST Icms</label> -->
                        <!-- <?php
                                $vetor = array('' => '');
                                select_tela("ST_Icms", "ST_Icms", $_POST["ST_Icms"], $vetor, '', "");
                                ?> -->
                        <input type="hidden" name="ST_Icms" id="ST_Icms" value="<?php echo $_POST["ST_Icms"]; ?>">
                    </div>
                    <div class="campo" style="width: 8%">
                        <!-- <label for="Ipi_Novo" key="Ipi_Novo" class="tr">Ipi %</label> -->
                        <input type="hidden" name="Ipi_Novo" id="Ipi_Novo" value="<?php echo $_POST["Ipi_Novo"]; ?>" class="money" onblur="fazerValor(this.value,'Ipi_Novo')">
                    </div>
                </div>
                <?php if (EXIBIR_COMISSAO_VENDA == 'Sim' && VER_COMISSAO_VENDA == 'Sim') { ?>
                    <?php if (COMISSAO_TIPO == 'Produto') { ?>
                        <div class="campo" style="width: 8%">
                            <label for="Comissao_Vendedor">Comisso</label>
                            <input type="text" name="Comissao_Vendedor" id="Comissao_Vendedor" value="<?php echo $_POST["Comissao_Vendedor"]; ?>" class="money" onblur="fazerValor(this.value, 'Comissao_Vendedor');">
                        </div>
                <?php
                    } else {
                        echo '<input type="hidden" name="Comissao_Vendedor" id="Comissao_Vendedor" value="' . $_POST["Comissao_Vendedor"] . '">';
                    }
                } else {
                    echo '<input type="hidden" name="Comissao_Vendedor" id="Comissao_Vendedor" value="' . $_POST["Comissao_Vendedor"] . '">';
                }
                ?>
            </fieldset>

            <fieldset class="grupo">
                <button class="bt_cadastro" type="button" name="Cadastrar" value="Salvar" onclick="CriarLinha()">Salvar</button>
                <button class="botao" type="button" value="Cancelar" name="Cancelar" onclick="window.close();">Cancelar</button>
            </fieldset>

        </fieldset>

    </form>

    <script type="text/javascript" language="javascript">
        document.getElementById('Produto_Novo').focus();
        document.getElementById('Valor').focus();
    </script>

</body>

</html>