<?php
if($_POST['Data_Venda'] && $_POST['Funcionario'] && $_POST["Cliente"] && $_POST["Vendedor"]) {
    $totalRecompra = 0;
    $idUnidade = !empty($_POST["Unidade"]) ? addslashes($_POST["Unidade"]) : $_SESSION['Unidade'];
    $ufUnidade = mysqli_query($con, "SELECT Estado FROM unidade WHERE Id = '$idUnidade'");
    $ufUnidade = mysqli_fetch_assoc($ufUnidade)['Estado'];

    foreach($produtos as $produto) {
        if($produto['qtdRecompra'] > 0) {
            $precoProduto = mysqli_query($con, "SELECT Preco1 FROM produto WHERE Id = '{$produto['id']}'");
            $precoProduto = mysqli_fetch_assoc($precoProduto)['Preco1'];
            $totalRecompra += $precoProduto * $produto['qtdRecompra'];
        }
    }
    $totalRecompra = str_replace(['.', ','], ['', '.'], $totalRecompra);
    
    if($valorTotalParcelas > $totalRecompra) {
        $mensagemErro = "Total das parcelas maior que o total da venda";
    }
    elseif($_POST['Status'] == 'Finalizado' && $totalRecompra > $valorTotalParcelas) {
        $mensagemErro = "Total da venda maior que o total das parcelas";
    }
    else {
        $dataVenda = explode("/", addslashes($_POST['Data_Venda']));
        $dataVenda = "{$dataVenda[2]}-{$dataVenda[1]}-{$dataVenda[0]}";
        $idFuncionario = addslashes($_POST['Funcionario']);
        $obs = addslashes($_POST['Obs']);
        $status = addslashes($_POST['Status']);
        $dataPagamento = $status == 'Finalizado' && $valorTotalParcelas >= $totalRecompra ? date("Y-m-d") : "0000-00-00";
        $valorPago = $valorTotalParcelas > $totalRecompra ? $valorTotalParcelas - $totalRecompra : $valorTotalParcelas;
        $lancamento = addslashes($_POST['Lancamento']);
        $motivo = addslashes($_POST['Motivo']);
        $dataConclusao = explode("/", addslashes($_POST['Data_Conclusao']));
        $dataConclusao = "{$dataConclusao[2]}-{$dataConclusao[1]}-{$dataConclusao[0]}";
        $horaVenda = addslashes($_POST['Hora_Venda']);
        $dataCadastro = date("Y-m-d H:i:s");
        $ordemFinanceiroPedido = 1;
        $idCentroCusto = $_POST['Centro_Custo'] ?? "";
        $idAtividade = $_POST['Atividade'] ?? "";
        $estoqueConcluido = $status == 'Finalizado' && $cfopMovimentaEstoque == 'Sim' ? 'Sim' : 'No';

        foreach($produtos as $produto) {
            $idVendaProduto = md5($produto['id'].microtime());
            $infoProduto = mysqli_query($con, "SELECT Id, Titulo, Preco1, Custo, Id_Local_Estoque_Saida, Flag_Kit, Comissao, Situacao_Tributaria,
                Id_Cfop_Venda, Id_Cfop_Venda_F, Aliquota, Descricao, Descricao2, Gtin, CST_Ipi, Aliquota_Ipi, CST_Pis, Aliquota_Pis, CST_Cofins,
                Aliquota_Cofins, Tabela_Icms, Regime_ST, Aliquota_Simples, Codigo_ST, Codigo_ST2, Id_Ncm FROM produto WHERE Id = '{$produto['id']}'");
            $infoProduto = mysqli_fetch_assoc($infoProduto);
            $comissaoPedido = COMISSAO_TIPO == 'Venda' ? $comissaoAVista1 : $infoProduto['Comissao'];
            $dataHoraAtual = date("Y-m-d H:i:s");
            $idCfopProduto = $cliente['Estado'] == $ufUnidade ? $infoProduto['Id_Cfop_Venda'] : $infoProduto['Id_Cfop_Venda_F'];
            $idCfopProduto = empty($idCfopProduto) ? $cliente['Id_Cfop'] : $idCfopProduto;
            include "./imposto_produto.php";
            $aliquotaIcms = $aliquotaIcms ?? 0;
            $icmsSub = $icmsSub ?? 0;
            $mva = $mva ?? 0;
            $reducao = $reducao ?? 0;
            $infoProduto['Codigo_ST'] = empty($infoProduto['Codigo_ST']) ? '00' : $infoProduto['Codigo_ST'];
            $qtdRecompra = empty($produto['qtdRecompra']) ? 0 : $produto['qtdRecompra'];
            $qtdRetorno = $produto['retorno'];
            $saldoProduto = $qtdRecompra + $qtdRetorno;

            if($qtdRecompra > 0 || $qtdRetorno > 0) {
                mysqli_query($con, "INSERT INTO venda_produto SET Id = '$idVendaProduto', Id_Venda = '$idVenda', Id_Produto = '{$produto['id']}',
                    Preco = '{$infoProduto['Preco1']}', Qtd = '$qtdRecompra', Qtd_Retorno = '$qtdRetorno', Saldo = '$saldoProduto',
                    Preco_Custo = '{$infoProduto['Custo']}', Ipi = '{$infoProduto['Aliquota_Ipi']}', CST_Ipi = '{$infoProduto['CST_Ipi']}',
                    Aliquota_Pis = '{$infoProduto['Aliquota_Pis']}', CST_Pis = '{$infoProduto['CST_Pis']}', Aliquota_Cofins = '{$infoProduto['Aliquota_Cofins']}',
                    CST_Cofins = '{$infoProduto['CST_Cofins']}', Icms = '$aliquotaIcms', Icms_Sub = '$icmsSub', Mva = '$mva', Reducao = '$reducaoIcms',
                    ReducaoBC = '$reducaoBC', Id_Cfop = '$idCfopProduto', ST_Icms = '{$infoProduto['Codigo_ST']}',
                    Id_Local_Estoque = '{$infoProduto['Id_Local_Estoque_Saida']}', Situacao_Tributaria = '{$infoProduto['Situacao_Tributaria']}', Origem_ST = '0',
                    Id_Funcionario = '{$_POST['Vendedor']}', Comissao = '$comissaoPedido', Preco_Tabela = '{$infoProduto['Preco1']}', vBCSTRet = '0',
                    vICMSSTRet = '0', vICMSDeson = '0', motDesICMS = '0', Aliquota = '{$infoProduto['Aliquota']}', C_Produto = '{$infoProduto['Descricao']}',
                    Id_Cliente = '{$cliente['Id']}', Id_Unidade = '$idUnidade', Gtin = '{$infoProduto['Gtin']}', Id_Usuario = '{$_SESSION['Id']}',
                    Id_Usuario_Upd = '{$_SESSION['Id']}', Data_Cadastro = '$dataHoraAtual', Data_Cadastro_Upd = '$dataHoraAtual', Financeiro = '$gerarFinanceiro'");
            }

            if($cfopMovimentaEstoque == 'Sim' && $qtdRecompra > 0) {
                $qtdDeduzir = $qtdRecompra > 0 ? -$qtdRecompra : 0;
                
                cadEstoque($idVendaProduto, $produto['id'], -$qtdDeduzir, $infoProduto['Id_Local_Estoque_Saida'], $infoProduto['Custo'],
                    $infoProduto['Preco1'], $idCfopProduto, $cliente['Id'], $aliquotaIcms, $infoProduto['Aliquota_Ipi'], "Venda", $estoqueConcluido,
                    $idVenda, $idUnidade, $dataVenda, $icmsSub, $mva, $reducao
                );
            }
        }

        $cadastrarVenda = mysqli_query($con,"INSERT INTO venda SET Id = '$idVenda', Data_Venda = '$dataVenda', Hora_Venda = '$horaVenda',
            Id_Funcionario = '$idFuncionario', Id_Cliente = '{$cliente['Id']}', Obs = '$obs', Status = '$status', Data_Pagamento = '$dataPagamento',
            Valor_Original = '$totalRecompra', Valor_Pago = '$valorPago', Fatura = '$lancamento', Motivo = '$motivo', Data_Conclusao = '$dataConclusao',
            Id_Centro_Custo = '$idCentroCusto', Id_Atividade = '$idAtividade', Id_Cfop = '{$_POST['Cfop']}', Id_Unidade = '$idUnidade',
            Id_Vendedor = '{$_POST['Vendedor']}', Comissao_Av_1 = '$comissaoAVista1', Comissao_Ap_1 = '$comissaoAPrazo1', Financeiro = '$gerarFinanceiro',
            Id_Usuario = '{$_SESSION['Id']}', Id_Usuario_Upd = '{$_SESSION['Id']}', Data_Cadastro = '$dataCadastro', Data_Cadastro_Upd = '$dataCadastro'");

        if($cadastrarVenda) {
            $lancamentoFinanceiro = mysqli_query($con, "SELECT Lancamento FROM financeiro_pedido ORDER BY Lancamento DESC LIMIT 1");
            $lancamentoFinanceiro = mysqli_fetch_assoc($lancamentoFinanceiro)['Lancamento'] + 1;
            $sqlFinanceiro = "INSERT INTO financeiro_pedido SET Id_Externo = '$idVenda', Tipo = 'Venda', Lancamento = '$lancamentoFinanceiro',
                Ordem = '$ordemFinanceiroPedido', Id_Usuario = '{$_SESSION['Id']}', Id_Usuario_Upd = '{$_SESSION['Id']}',
                Data_Cadastro = '$dataCadastro', Data_Cadastro_Upd = '$dataCadastro'";
            $numeroFinanceiro = 1;

            foreach($pagamentos as $indicePagamento => $pagamento) {
                $tipoPagamento = mysqli_query($con, "SELECT Id, Titulo, Baixa_Caixa, Gerar_Financeiro, Id_Conta FROM tipo_pagamento 
                    WHERE Ativo = 'Sim' AND Id = '{$pagamento['id']}'");
                $tipoPagamento = mysqli_fetch_assoc($tipoPagamento);
                $qtdParcelas = str_pad(sizeof($pagamento['parcelas']), 2, '0', STR_PAD_LEFT);
                $dataHoraAtual = date("Y-m-d H:i:s", strtotime(date("Y-m-d H:i:s")) + $indicePagamento);
    
                foreach($pagamento['parcelas'] as $indiceParcela => $parcela) {
                    $ordem = mysqli_query($con, "SELECT MAX(Ordem) Ultima_Ordem FROM venda_tipo_pagamento WHERE Id_Venda = '$idVenda'");
                    $ordem = mysqli_fetch_assoc($ordem)['Ultima_Ordem'] + 1;
                    $idVendaTipoPagamento = md5($idVenda . microtime());
                    $valorParcela = str_replace(['.', ','], ['', '.'], $parcela['valorParcela']);
                    $dataVencimento = explode("/", $parcela['dataVencimento']);
                    $dataVencimento = "{$dataVencimento[2]}-{$dataVencimento[1]}-{$dataVencimento[0]}";
                    $troco = $pagamento['id'] == 1 && $valorParcela > $totalRecompra ? ($valorTotalParcelas - $totalRecompra) : 0;
                    $numeroParcela = $indiceParcela + 1;
                    $fatura = "$lancamento-".str_pad($numeroParcela, 2, '0', STR_PAD_LEFT)."/$qtdParcelas";
        
                    mysqli_query($con, "INSERT INTO venda_tipo_pagamento SET Id = '$idVendaTipoPagamento', Data_Cadastro = '$dataHoraAtual', Id_Venda = '$idVenda',
                        Id_Funcionario = '$idFuncionario', Id_Cliente = '{$cliente['Id']}', Id_Tipo_Pagamento = '{$tipoPagamento['Id']}', Valor_Pago = '$valorTotalParcelas',
                        Valor = '$valorParcela',  Valor_Troco = '$troco', Id_Unidade = '$idUnidade', Data_Pagamento = '$dataVencimento', Ordem = '$ordem',
                        Qtd_Parcelas = '1'");
        
                    if($status == 'Finalizado' && $gerarFinanceiro == 'Sim' && $tipoPagamento['Gerar_Financeiro'] == 'Sim') {
                        $numeroFinanceiro = str_pad($numeroFinanceiro, 2, '0', STR_PAD_LEFT);
                        $sqlFinanceiro .= ", Id_Tipo_Pagamento$numeroFinanceiro = '{$tipoPagamento['Id']}', Valor$numeroFinanceiro = '$valorParcela',
                            Data$numeroFinanceiro = '$dataVencimento'";

                        $idContaReceber = md5($pagamento['id'] . microtime());
                        $idContaPagamento = empty($tipoPagamento['Id_Conta']) ? '1' : $tipoPagamento['Id_Conta'];
                        $statusContaReceber = $tipoPagamento['Baixa_Caixa'] == "Sim" ? "Liquidado" : "Aberto";
                        $valorContaReceber = $statusContaReceber == "Liquidado" ? $valorParcela : 0;
        
                        mysqli_query($con, "INSERT INTO conta_receber SET Id = '$idContaReceber', Id_Usuario = '{$_SESSION['Id']}', Id_Usuario_Upd = '{$_SESSION['Id']}',
                            Data_Cadastro = '$dataHoraAtual', Data_Cadastro_Upd = '$dataHoraAtual', Id_Cliente = '{$cliente['Id']}', Descricao = '$lancamento',
                            Fatura = '$fatura', Data_Emissao = '$dataVenda', Data_Vencimento = '$dataVencimento', Data_Pagamento = '$dataVencimento',
                            Valor_Original = '$valorParcela', Valor_Pago = '$valorContaReceber', Valor_Inicial = '$valorParcela', Valor_Total = '$totalRecompra',
                            Id_Atividade = '$idAtividade', Id_Centro_Custo = '$idCentroCusto', Id_Funcionario = '$idFuncionario', Id_Vendedor1 = '{$_POST['Vendedor']}',
                            Id_Conta = '$idContaPagamento', Status = '$statusContaReceber', Parcela = '$numeroParcela', Origem = 'VDA',
                            Id_Tipo_Pagamento = '{$pagamento['id']}', Id_Unidade = '$idUnidade', Id_Externo = '$idVenda'");
        
                        if($tipoPagamento['Baixa_Caixa'] == 'Sim') {
                            $idCaixa = md5($idContaReceber.microtime());
                            $obs = "$dataVencimento $lancamento {$cliente[$nome]}";
                            $funcionario = mysqli_query($con, "SELECT Titulo FROM funcionario WHERE Id = '$idFuncionario'");
                            $funcionario = mysqli_fetch_assoc($funcionario)['Titulo'];
    
                            mysqli_query($con, "INSERT INTO caixa SET Id = '$idCaixa', Id_Usuario = '{$_SESSION['Id']}', Id_Usuario_Upd = '{$_SESSION['Id']}',
                                Data_Cadastro = '$dataHoraAtual', Data_Cadastro_Upd = '$dataHoraAtual', Tipo = 'Entrada', Valor = '$valorParcela',
                                Data_Caixa = '$dataVencimento', Obs = '$obs', Tipo_Pagamento = '{$tipoPagamento['Titulo']}', Id_Tipo_Pagamento = '{$tipoPagamento['Id']}',
                                Funcionario = '$funcionario', Id_Funcionario = '$idFuncionario', Id_Externo = '$idContaReceber', Origem = 'Conta a Receber',
                                Id_Unidade = '$idUnidade', Id_Conta = '$idContaPagamento', Id_Atividade = '{$_POST['Atividade']}', Id_Centro_Custo = '$idCentroCusto',
                                Id_Cliente = '{$cliente['Id']}'");
                        }
                        $numeroFinanceiro++;
                    }
                }
            }

            if($status == 'Finalizado') {
                if($gerarFinanceiro == 'Sim' && $tipoPagamento['Gerar_Financeiro'] == 'Sim') {
                    mysqli_query($con, $sqlFinanceiro);
                }
                if(MENSAGEM_VENDA == 'Sim') {
                    echo "<script>ImprimirRecibo('$idVenda');</script>";
                }
            }

            echo"<script>window.location.href='../list_venda.php'</script>";
            exit;
        }
    }
}
?>