<?php
include_once '../include/conecta.php'; //Conecta com a nosso banco de dados MySQL
include_once '../include/ver_sessao.php'; //Verifica se a sesso est ativa
include_once '../include/funcoesPhp.php';
include_once '../menu_movimento.php';

if($_SERVER['REQUEST_METHOD'] == 'POST') {
    $idVenda = addslashes($_GET['id_venda']);
    $tipoOperacao = addslashes($_POST['tipoOperacao']);
    $idOperadora = addslashes($_POST['idOperadora']);
    $codigoAutorizacao = addslashes($_POST['codigoAutorizacao']);
    $bandeiraCartao = addslashes($_POST['bandeiraCartao']);
    $cnpjOperadora = mysqli_query($con, "SELECT Cnpj FROM operadora_cartao WHERE Id='$idOperadora'");
    $cnpjOperadora = mysqli_fetch_assoc($cnpjOperadora)['Cnpj'];
    $atualizarVenda = mysqli_query($con, "UPDATE venda SET Tipo_Operacao_Pagamento='$tipoOperacao', Id_Operadora_Cartao='$idOperadora',
    Cnpj_Operadora_Cartao='$cnpjOperadora', Codigo_Autorizacao='$codigoAutorizacao', Codigo_Bandeira_Cartao='$bandeiraCartao' WHERE Id='$idVenda'");   

    if($atualizarVenda) {
        echo "<script>window.opener.location.href='gera_nfce.php?id_venda=$idVenda'; window.close()</script>";
    }
    else {
        echo "<script>alert('No foi possvel realizar operao. $con->error');</script>";
    }
}
$venda = mysqli_query($con, "SELECT Tipo_Operacao_Pagamento, Id_Operadora_Cartao, Codigo_Autorizacao, Codigo_Bandeira_Cartao FROM venda 
WHERE Id='".$_GET['id_venda']."'");
$venda = mysqli_fetch_assoc($venda);

function formatarCnpj(string $cnpj): string {
    return substr($cnpj, 0, 2).".".substr($cnpj, 2, 3).".".substr($cnpj, 5, 3)."/".substr($cnpj, 8, 4)."-".substr($cnpj, 12, 2);
}

?>
<!DOCTYPE html>
<html lang="en">
<head>
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Document</title>
    <link rel="stylesheet" type="text/css" href="../estilo/<?php echo SKIN ;?>/tableless.css"/>
    <script type="text/javascript" language="javascript" src="../js/jquery.js"></script>
    <script language="javascript" type="text/javascript" src="../js/script.js"></script>
    <style>
        body {
            height: 100vh;
        }
        form > div {
            display: flex;
            flex-direction: column;
            width: 40%;
        }
        input, select {
            height: 35px;
            padding: 0 5px;
        }
        button {
            padding: 5px 30px !important;
        }
    </style>
</head>
<body>
    <form class="envolve" method="POST" style="display:flex;height:100%;margin-left:0;flex-direction:column;align-items:center;">
        <h3 style="margin-top: 40px;">Configurar Operao Venda</h3>
        <div style="margin-top:30px;">
            <span>Tipo</span>
            <select name="tipoOperacao">
                <option value="POS" <?php echo $venda['Tipo_Operacao_Pagamento'] == 'POS' || $venda['Tipo_Operacao_Pagamento'] == null ? 'selected': '';?>>POS</option>
                <option value="TEF" <?php echo $venda['Tipo_Operacao_Pagamento'] == 'TEF' ? 'selected': '';?>>TEF</option>
            </select>
        </div>
        <div style="margin-top:10px">
            <span>Operadora Carto</span>
            <select name="idOperadora">
                <option disabled <?php echo $venda['Id_Operadora_Cartao'] == null ? 'selected' : '';?>>Selecione</option>
                <?php
                $getOperadoras = mysqli_query($con, "SELECT Id, Titulo, Cnpj FROM operadora_cartao");
                while($operadoraCartao = mysqli_fetch_assoc($getOperadoras)){
                    $cnpj = formatarCnpj($operadoraCartao['Cnpj']);?>
                    <option value="<?php echo $operadoraCartao['Id'];?>"  <?php echo $venda['Id_Operadora_Cartao'] == $operadoraCartao['Id'] ? 'selected' : '';?>>
                        <?php echo $cnpj ." - ". $operadoraCartao['Titulo'];?>
                    </option>
                <?php }?>
            </select>
        </div>
        <div style="margin-top:10px">
            <span>Bandeira</span>
            <select name="bandeiraCartao">
                <option disabled <?php echo $venda['Codigo_Bandeira_Cartao'] == null ? 'selected' : '';?>>Selecione</option>
                <?php
                $bandeirasCartao = [
                    "01"=> "Visa",
                    "02"=> "Mastercard",
                    "03"=> "American Express",
                    "04"=> "Sorocred",
                    "05"=> "Diners Club",
                    "06"=> "Elo",
                    "07"=> "Hipercard",
                    "08"=> "Aura",
                    "09"=> "Cabal",
                    "99"=> "Outros"
                ];
                foreach($bandeirasCartao as $indice => $bandeira){?>
                    <option value="<?php echo $indice;?>" <?php echo $venda['Codigo_Bandeira_Cartao'] == $indice ? 'selected' : '';?>>
                        <?php echo $bandeira;?>
                    </option>
                <?php }?>
            </select>
        </div>
        <div style="margin-top:10px">
            <span>Cdigo autorizao</span>
            <input type="text" name="codigoAutorizacao" minlength="1" maxlength="50" value="<?php echo $venda['Codigo_Autorizacao'] ?? '' ?>" required>
        </div>
        <button class="botao_novo" style="margin-top:20px">Salvar</button>
    </form>
    <script>
        $(document).ready(function() {
            $("form").submit(function(e) {
                if($("select[name=idOperadora] option:selected").attr("value") == "Selecione") {
                    e.preventDefault();
                    alert("Selecione a operadora");
                    return;
                }
                if($("select[name=bandeiraCartao] option:selected").attr("value") == "Selecione") {
                    e.preventDefault();
                    alert("Selecione a bandeira");
                    return;
                }
                if($("input[name=codigoAutorizacao]").val().replace("", "").trim() == "") {
                    e.preventDefault();
                    alert("Indique o cdigo de autorizao");
                    $("input[name=codigoAutorizacao]").val("");
                }
            });
        });
    </script>
</body>
</html>