<?php
include_once "../include/conecta.php"; //Conecta com a nosso banco de dados MySQL
ini_set('session.gc_maxlifetime', 60 * 120);
session_start();
/* include_once "../include/ver_sessao.php"; //Verifica se a sesso est ativa */
include_once "../include/funcoesPhp.php"; //Inclue a pgina con todas as funes a ser usada.
include('../phpqrcode/qrlib.php');

$usuario = listar("SELECT venda.Id,
                          venda.Lancamento,
                          venda.Status,
                          venda.Data_venda,
                          venda.Valor_Pago,
                          venda.Obs,
                          venda.Id_Cliente,
                          venda.Desconto,
                          venda.Desconto_Real,
                          cliente.Titulo as 'Cliente',
                          cliente.Email,
                          cliente.Natureza,
                          cliente.Cpf_Cnpj,
                          cliente.Endereco,
                          cliente.Cep,
                          cliente.Bairro,
                          cliente.Cidade,
                          cliente.Estado,
                          cliente.Fone1,
                          cliente.Ponto_Referencia,
                          cliente.Obs as 'Obs_Cliente',
                          funcionario.Titulo as 'Funcionario',
                          vendedor.Titulo as Vendedor
                          from venda
                          left join cliente ON cliente.Id = venda.Id_Cliente
                          left join funcionario ON funcionario.Id = venda.Id_Funcionario
                          left join (SELECT Id,Titulo FROM funcionario) as vendedor ON vendedor.Id = venda.Id_Vendedor
                          where venda.Id = '" . $_GET["id_venda"] . "'
                          order by venda.Lancamento DESC");
?>
<html>

<head>
    <title>Pedido</title>
    <link rel="stylesheet" type="text/css" href="../estilo/<?php echo SKIN; ?>/tabela_imp.css" />
    <script type="text/javascript" language="javascript" src="../js/jquery.js"></script>
    <?php include '../include/script_cabeca.php'; ?>
    <script type="text/javascript" language="javascript" src="../js/script.js"></script>
    <script type="text/javascript" language="javascript">
        window.onload = function () {
            // window.print();
            //window.close();
        };
    </script>
    <style type="text/css">
        .razao {
            font-size: 12px;
        }
    </style>
</head>

<body>

    <table width="100%">
        <?php
        if (!$_GET["Id_Unidade_Usuario"]) {
            $_GET["Id_Unidade_Usuario"] = $_SESSION["Unidade"];
        }
        $empresa = listar("SELECT * FROM unidade WHERE Id = '" . $_GET["Id_Unidade_Usuario"] . "' ");
        ?>
        <tr>
            <td align="right">
                <table width="100%">
                    <tr>
                        <td width="40%">
                            <?php
                            if (file_exists("../unidade/foto/" . $empresa[0]["Logo"] . "")) {
                                $cam_arq = "../unidade/foto/" . $empresa[0]["Logo"];
                            } else {
                                $cam_arq = "../../unidade/foto/" . $empresa[0]["Logo"];
                            }
                            ?>
                            <img src="<?php echo $cam_arq; ?>" title="Logo" alt="Logo" border="0" width="140px"
                                height="auto" />
                        </td>
                        <td width="50%" class="razao" align="left">
                            <?php echo strtoupper($empresa[0]["Titulo"]); ?><br>
                            <?php echo $empresa[0]["Rua"] . ", " . $empresa[0]["Numero"]; ?><br>
                            <?php echo $empresa[0]["Cidade"] . ", " . $empresa[0]["Estado"] . " - " . $empresa[0]["Cep"]; ?><br>
                            Fone: <?php echo $empresa[0]["Fone1"]; ?><br>
                            <?php
                            if ($empresa[0]["Fone2"]) {
                                echo "Fax: " . $empresa[0]["Fone2"];
                            }
                            ?>
                        </td>
                    </tr>
                </table>
            </td>
        </tr>
        <tr>
            <td align="center" style="background-color:#000000;">
                <font color="#FFFFFF">
                    Identificao do Documento
                </font>
            </td>
        </tr>

        <tr>
            <td align="">
                <table width="100%" class="razao">
                    <tr>
                        <td align="left"><b>N Pedido</b></td>
                        <td aling="rigth"><?php echo ($usuario[0]["Lancamento"]) ?></td>
                    </tr>
                    <tr>
                        <td aling="left"><b>Data</b></td>
                        <td aling="rigth"><?php echo data_exibir($usuario[0]["Data_venda"]) ?></td>
                    </tr>
                </table>
            </td>
        </tr>
        <tr>
            <td align="">
                <table width="100%" class="razao">
                    <tr>
                        <td colspan="3" align="center" style="background-color:#000000;">
                            <font color="#FFFFFF">
                                Identificao do Cliente
                            </font>
                        </td>
                    </tr>
                    <tr>
                        <td><b>Cliente:</b> <?php echo ($usuario[0]["Cliente"]); ?></td>
                    </tr>
                    <tr>
                        <td><b>Fone:</b> <?php echo ($usuario[0]["Fone1"]); ?></td>
                    </tr>
                    <tr>
                        <td><b>Endereo:</b>
                            <?php echo $usuario[0]["Endereco"] . ', ' . $usuario[0]["Bairro"] . ', ' . $usuario[0]["Cidade"] . ' - ' . $usuario[0]["Estado"] ?>
                        </td>
                    </tr>
                    <tr>
                        <td><b>Marcador:</b> <?php echo ($usuario[0]["Vendedor"]); ?></td>
                        <td align="left">&nbsp;</td>
                    </tr>
                    <tr>
                        <td><b>Obs:</b> <?php echo ($usuario[0]["Obs"]); ?></td>
                        <td align="left">&nbsp;</td>
                    </tr>
                    <tr>
                        <td><b>Ponto Referncia:</b> <?php echo ($usuario[0]["Ponto_Referencia"]); ?></td>
                        <td align="left">&nbsp;</td>
                    </tr>
                </table>
            </td>
        </tr>
        <tr>
            <td>
                <table width="100%" class="razao">
                    <tr>
                        <td colspan="8" width="100%" align="left" style="background-color:#000000;">
                            <font color="#FFFFFF">
                                Produtos
                            </font>
                        </td>
                    </tr>

                    <?php

                    $venda_pro = mysqli_query($con, "SELECT DISTINCT venda_produto.Id,
                                                    venda_produto.Preco,
                                                    venda_produto.Qtd,
                                                    venda_produto.Descricao_Servico,
                                                    venda_produto.Descricao_Servico2,
                                                    venda_produto.Descricao_Servico3,
                                                    venda_produto.Descricao_Servico4,
                                                    venda_produto.Descricao_Servico5,
                                                    venda_produto.Desconto_Real,
                                                    venda.Id_Tipo_Pagamento,
                                                    pagamento.Titulo as 'Pagamento',
                                                    peca.Titulo as 'Peca',
                                                    produto.Titulo as 'Produto',
                                                    produto2.Titulo as 'Produto2',
                                                    produto3.Titulo as 'Produto3',
                                                    produto4.Titulo as 'Produto4',
                                                    produto5.Titulo as 'Produto5',
                                                    produto.Codigo
                                                    from venda_produto
                                                    left join (SELECT Id,Titulo,Codigo FROM produto) as produto ON produto.Id = venda_produto.Id_Produto
                                                    left join (SELECT Id,Titulo,Codigo FROM produto) as produto2 ON produto2.Id = venda_produto.Id_Produto2
                                                    left join (SELECT Id,Titulo,Codigo FROM produto) as produto3 ON produto3.Id = venda_produto.Id_Produto3
                                                    left join (SELECT Id,Titulo,Codigo FROM produto) as produto4 ON produto4.Id = venda_produto.Id_Produto4
                                                    left join (SELECT Id,Titulo,Codigo FROM produto) as produto5 ON produto5.Id = venda_produto.Id_Produto5
                                                    left join (SELECT Id,Titulo,Codigo FROM produto) as peca ON peca.Id = venda_produto.Peca
                                                    LEFT JOIN (SELECT Id,Id_Tipo_Pagamento FROM venda) as venda ON venda.Id = venda_produto.Id_venda
                                                    LEFT JOIN (SELECT Id,Titulo FROM tipo_pagamento) as pagamento ON pagamento.Id = venda.Id_Tipo_Pagamento
                                                    where venda_produto.Id_venda = '" . $_GET["id_venda"] . "' ");


                    $x = 0;
                    while ($chave = mysqli_fetch_assoc($venda_pro)) {
                        ?>
                        <tr>
                            <td align="left"><b>Pea</b></td>
                            <td align="left"><b>Serv</b></td>
                            <td align="left"><b>Descr</b></td>
                            <td align="left"><b>Qtd</b></td>
                            <td align="left"><b>Preo</b></td>
                            <td align="left"><b>Total</b></td>
                        </tr>
                        <tr>
                            <td align="left"><?php echo $chave["Peca"]; ?></td>
                            <td class="table_prod_valor">
                                <?php
                                echo $chave['Produto'];

                                if ($chave['Produto2'] != '') {
                                    echo ', ' . $chave['Produto2'];
                                }
                                if ($chave['Produto3'] != '') {
                                    echo ', ' . $chave['Produto3'];
                                }
                                if ($chave['Produto4'] != '') {
                                    echo ', ' . $chave['Produto4'];
                                }
                                if ($chave['Produto5'] != '') {
                                    echo ', ' . $chave['Produto5'];
                                }
                                ?>
                            </td>
                            <td class="table_prod_valor">
                                <?php
                                echo $chave['Descricao_Servico'];

                                if ($chave['Descricao_Servico2'] != '') {
                                    echo ', ' . $chave['Descricao_Servico2'];
                                }
                                if ($chave['Descricao_Servico3'] != '') {
                                    echo ', ' . $chave['Descricao_Servico3'];
                                }
                                if ($chave['Descricao_Servico4'] != '') {
                                    echo ', ' . $chave['Descricao_Servico4'];
                                }
                                if ($chave['Descricao_Servico5'] != '') {
                                    echo ', ' . $chave['Descricao_Servico5'];
                                }
                                ?>
                            </td>
                            <td align="left"><?php echo $chave["Qtd"]; ?></td>
                            <td align="left"><?php echo number_format($chave["Preco"], 2, ',', '.'); ?></td>
                            <td align="left">
                                <?php echo number_format(($chave["Qtd"] * ($chave["Preco"]) - ($chave["Desconto_Real"])), 2, ",", "."); ?>
                            </td>
                        </tr>

                        <?php
                        $x++;
                        $Qtd_Venda += $chave["Qtd"];
                        $Preco_Venda += $chave["Preco"] * $chave["Qtd"];
                        $Desconto_Real += $chave["Desconto_Real"];
                        $Total += ($chave["Qtd"] * $chave["Preco"]);
                    }
                    ?>
                    <tr>
                        <td colspan="8" width="100%" align="left" style="background-color:#000000;">
                            <font color="#FFFFFF">
                                Totais
                            </font>
                        </td>
                    </tr>
                    <tr>
                        <td colspan="5">Sub Total:</td>
                        <td align="right"><?php echo number_format($Preco_Venda, 2, ',', '.'); ?></td>
                    </tr>
                    <tr>
                        <td colspan="5">Desconto:</td>
                        <td align="right">
                            <?php $descPer = $Preco_Venda * ($usuario[0]['Desconto'] / 100);
                            echo number_format(($Desconto_Real + $descPer) + $usuario[0]['Desconto_Real'], 2, ',', '.'); ?>
                        </td>
                    </tr>
                    <tr>
                        <td colspan="5"><b>Total (R$):</b></td>
                        <td align="right">
                            <b><?php echo number_format($Total - ($usuario[0]['Desconto_Real'] + $descPer), 2, ',', '.'); ?></b>
                        </td>
                    </tr>
                    <tr>
                        <td colspan="3" width="100%" align="left" style="background-color:#000000;">
                            <font color="#FFFFFF">
                                Forma Pagamento
                            </font>
                        </td>

                        <td colspan="3" width="100%" align="left" style="background-color:#000000;">
                            <font color="#FFFFFF">
                                Valor R$:
                            </font>
                        </td>
                    </tr>
                    <?php

                    $venda_tp = mysqli_query($con, "SELECT tipo_pagamento.Titulo as Tipo_Pagamento,
                                                           venda_tipo_pagamento.Valor_Troco,
                                                           tipo_pagamento.Pix,
                                                           venda_tipo_pagamento.Valor as Valor_Pago
                                                           FROM venda_tipo_pagamento
                                                           LEFT JOIN (SELECT Id,Titulo,Pix FROM tipo_pagamento) as tipo_pagamento ON tipo_pagamento.Id = venda_tipo_pagamento.Id_Tipo_Pagamento
                                                           WHERE Id_venda='" . $_GET["id_venda"] . "'
                                                           ORDER BY venda_tipo_pagamento.Data_Cadastro");

                    while ($pg_venda = mysqli_fetch_assoc($venda_tp)) {
                        if ($pg_venda["Pix"] == 'Sim') {
                            $pix_valor += $pg_venda["Valor_Pago"];
                            $pix_descr = $pg_venda["Tipo_Pagamento"];
                        }
                        ?>


                        <tr>
                            <td colspan="3"><?php echo $pg_venda["Tipo_Pagamento"] ?></td>
                            <td align="right" colspan="3">
                                <?php echo number_format($pg_venda["Valor_Pago"], 2, ',', '.'); ?><br>
                            </td>
                        </tr>

                        <?php $tVlPago += $pg_venda["Valor_Pago"];
                        ?>
                    <?php } ?>

                    <tr>
                        <td align="left" colspan="3"><b>Total (R$):</b></td>
                        <td align="right" colspan="3">
                            <b><?php echo number_format($tVlPago, 2, ',', '.'); ?></b>
                        </td>
                    </tr>
                    <tr>
                        <td colspan="3">Troco R$</td>
                        <td align="right" colspan="3">
                            <?php echo number_format($usuario[0]['Troco'], 2, ',', '.'); ?><br>
                        </td>
                    </tr>
                    <tr>
                        <td colspan="8" width="100%" align="left">
                            &nbsp;
                        </td>
                    </tr>
                    <?php
                    if ($usuario[0]["Id_Cliente"] != "84c09c43f28bc1c9823907b038508c7c") {
                        ?>
                        <tr>
                            <td colspan="8" align="center" style="background-color:#000000;">
                                <font color="#FFFFFF">
                                    VISTO CLIENTE
                                </font>
                            </td>
                        </tr>

                        <tr>
                            <td colspan="8" align="center"><br><?php echo strtoupper($empresa[0]["Titulo"]); ?><br>
                                <?php echo $empresa[0]["Rua"] . ", " . $empresa[0]["Numero"]; ?><br>
                                <?php echo $empresa[0]["Cidade"] . ", " . $empresa[0]["Estado"] . " - " . $empresa[0]["Cep"]; ?><br>
                                Fone: <?php echo $empresa[0]["Fone1"]; ?><br>
                            </td>
                        </tr>
                        <br>
                        <tr>
                            <td colspan="8" width="100%" align="left">
                                &nbsp;
                            </td>
                        </tr>
                        <tr>
                            <td align="left" colspan="2"><b>N Pedido: </b><?php echo ($usuario[0]["Lancamento"]) ?></td>
                            <td aling="left"><b>Data:</b></td>
                            <td aling="rigth"><?php echo data_exibir($usuario[0]["Data_venda"]) ?></td>
                        </tr>
                        <tr>
                            <td colspan="8"><br><b>Cliente:</b> <?php echo ($usuario[0]["Cliente"]); ?></td>
                        </tr>
                        <tr>
                            <td colspan="8" width="100%" align="left">
                            </td>
                        </tr>
                        <tr>
                            <td colspan="2"></td>
                            <td colspan="2"><b>Valor:</b></td>
                            <td colspan="2" align="right">
                                <b><?php echo number_format($Total - ($usuario[0]['Desconto_Real'] + $descPer), 2, ',', '.'); ?></b>
                            </td>
                        </tr>
                        <tr>
                            <td colspan="8" width="100%" align="left">
                                &nbsp;
                            </td>
                        </tr>
                        <tr>
                            <td>&nbsp;</td>
                        </tr>
                        <tr>
                            <td>&nbsp;</td>
                        </tr>
                        <tr>
                            <td colspan="8" align="center">_______________________________________</td>
                        </tr>
                        <tr>
                            <td colspan="8" align="center"><b>VISTO CLIENTE</b></td>
                        </tr>
                    <?php }
                    if (!empty($pix_descr)) { ?>
                        <tr>
                            <td>&nbsp;</td>
                        </tr>
                        <tr>
                            <td colspan="8" width="100%" align="center" style="background-color:#000000;">
                                <font color="#FFFFFF">
                                    Dados Pix
                                </font>
                            </td>
                        </tr>
                        <tr>
                            <td colspan="3">
                                <pre><br></pre>
                                <pre>COD: <b><?php echo sprintf("%06d", $usuario[0]["Lancamento"]) . " - " . data_exibir($usuario[0]["Data_venda"]) ?></b><br></pre>
                                <pre>Cliente: <b><?php echo $usuario[0]["Cliente"]; ?></b><br></pre>
                                <pre>Total: <?php echo "R$ " . number_format($pix_valor, 2, ",", "."); ?><br></pre>
                                <pre>Pgto: <?php echo $pix_descr; ?><br></pre>
                                <pre>Valor: <b><?php echo "R$ " . number_format($pix_valor, 2, ",", "."); ?></b><br></pre>
                            </td>
                        </tr>

                    <?php } ?>
                    <tr style="margin-top:100ppx; ">
                        <td colspan="8" width="100%" align="center">&nbsp;</td>
                    </tr>
            </td>
        </tr>


    </table>
    </td>
    </tr>
    </table>

</body>

</html>