<?php
include_once '../include/conecta.php'; //Conecta com a nosso banco de dados MySQL
include_once '../include/ver_sessao.php'; //Verifica se a sesso est ativa
include_once '../include/funcoesPhp.php';
include_once '../menu_movimento.php';

if ($_GET["De"])
    $data .= "AND estoque.Data_Externo >= '" . data_banco($_GET["De"]) . " 00:00:00' ";
if ($_GET["Ate"])
    $data .= "AND estoque.Data_Externo <= '" . data_banco($_GET["Ate"]) . " 23:59:59' ";
?>
<html>

<head>
    <title>Gw - Gesto Web</title>
    <link rel="stylesheet" type="text/css" href="../estilo/<?php echo SKIN; ?>/tabelas.css" />
    <link rel="stylesheet" type="text/css" href="../js/datePicker/datePicker.css" />
    <link rel="stylesheet" type="text/css" href="../js/autocomplete/jquery.autocomplete.css" />
    <link rel="stylesheet" type="text/css" href="../js/autocomplete/lib/thickbox.css" />
    <script type="text/javascript" language="javascript" src="../js/jquery.js"></script>
    <?php include '../include/script_cabeca.php'; ?>
    <script type="text/javascript" language="javascript" src="../js/script.js"></script>
    <script type="text/javascript" language="javascript" src="../js/meiomask/meiomask.js"></script>
    <script type="text/javascript" language="javascript" src="../js/meiomask/<?php if (PAIS == "USA") {
        echo "mascaras-usa";
    } else {
        echo "mascaras";
    } ?>.js"></script>
    <script type="text/javascript" language="javascript" src="../js/autocomplete/lib/jquery.bgiframe.min.js"></script>
    <script type="text/javascript" language="javascript" src="../js/autocomplete/lib/jquery.ajaxQueue.js"></script>
    <script type="text/javascript" language="javascript" src="../js/autocomplete/lib/thickbox-compressed.js"></script>
    <script type="text/javascript" language="javascript" src="../js/autocomplete/jquery.autocomplete.js"></script>
    <!-- required plugins -->
    <script language="javascript" type="text/javascript" src="../js/datePicker/<?php if (PAIS == "USA") {
        echo "date";
    } else {
        echo "date-pt";
    } ?>.js"></script>
    <script type="text/javascript" src="../js/datePicker/jquery.datePicker.js"></script>
    <script type="text/javascript" language="javascript">
        Date.firstDayOfWeek = 0;
        <?php if (PAIS == "USA") {
            echo "Date.format='mm/dd/yyyy';";
        } else {
            echo "Date.format='dd/mm/yyyy';";
        } ?>
        $(function () {
            $('.date-pick').datePicker({
                startDate: '01/01/1990'
            });
        });
    </script>
    <script type="text/javascript" language="javascript">
        $(document).ready(function () {
            $("#Produto").autocomplete("busca_produto.php", {
                width: 340,
                selectFirst: true,
                scroll: false,
                cacheLength: 100,
                max: 100
            });
        });
    </script>
    <script>
        function atualizarData() {
            const dataAtual = new Date();
            const dataFormatada = dataAtual.toLocaleDateString('pt-BR');
            document.getElementById('data').textContent = `Data Atual: ${dataFormatada}`;
        }
    </script>
    <style type="text/css">
        thead {
            display: table-header-group;
        }

        tfoot {
            display: table-footer-group;
        }
    </style>
</head>

<body>
    <table width="100%" height="400px">
        <tr>
            <td>
                <table width="100%">
                    <tr>
                        <td align="left">
                            <font face="verdana" size="2"><i><b>Tinturaria</b></i></font>
                        </td>
                        <td align="center">
                            <a href="imp_rel_tinturaria.php?<?php echo $_SERVER["QUERY_STRING"] ?>" title="Imprimir"
                                target="_blank"><img src="../imagem/imprimirG.png" border="0" alt="Imprimir"
                                    title="Imprimir" /></a>
                            <br />
                            <font face="verdana" size="2"><i>Imprimir</i></font>
                        </td>
                    </tr>
                </table>
            </td>
        </tr>
        <tr>
            <td>
                <form action="" method="get">
                    <table width="100%" class="busca_rel">
                        <tr class="azul">
                            <td>De<input type="text" name="De" id="De" class="date-pick" size="10"
                                    value="<?php echo $_GET["De"]; ?>"></td>
                            <td>At<input type="text" name="Ate" id="Ate" class="date-pick" size="10"
                                    value="<?php echo $_GET["Ate"]; ?>"></td>
                            <td>
                                <input type="submit" value="Ok" name="Ok">
                            </td>
                        </tr>
                    </table>
                </form>
            </td>
        </tr>
        <tr>
            <td>
                <table width="100%" class="tabela">
                    <tr class="cinza">
                        <td>Pedido</td>
                        <td>Servio</td>
                        <td>Descrio Servio</td>
                        <td>Pea</td>
                        <td>Cor</td>
                        <td>Data Pedido</td>
                        <td>Data Sada</td>
                        <td>Data Retorno</td>
                        <td>Data Previso Entrega</td>
                    </tr>
                    <?php
                    if ($color == "#F5F5F5") {
                        $color = "#E8E8E8";
                    } else {
                        $color = "#F5F5F5";
                    }
                    
                        $buscaVenda = mysqli_query($con, "SELECT produto.Titulo as Servico,
                                                            venda.Lancamento,
                                                            venda.Data_Venda,
                                                            venda_produto.Id,
                                                            venda_produto.Data_Previsao_Entrega,
                                                            venda_produto.Data_Saida_Tinturaria,
                                                            venda_produto.Saida_Tinturaria,
                                                            venda_produto.Data_Retorno_Tinturaria,
                                                            venda_produto.Retorno_Tinturaria,
                                                            venda_produto.Cor,
                                                            venda_produto.Descricao_Servico,
                                                            pecas.Titulo as Peca,
                                                            produto.Id_Categoria_Produto as Id_Categoria_Produto,
                                                            produto2.Id_Categoria_Produto as Id_Categoria_Produto2,
                                                            produto3.Id_Categoria_Produto as Id_Categoria_Produto3,
                                                            produto4.Id_Categoria_Produto as Id_Categoria_Produto4,
                                                            produto5.Id_Categoria_Produto as Id_Categoria_Produto5
                                                FROM venda_produto 
                                                LEFT JOIN (SELECT Id,Titulo,Id_Categoria_Produto FROM produto WHERE Id_Categoria_Produto='3') as produto ON venda_produto.Id_Produto = produto.Id
                                                LEFT JOIN (SELECT Id,Titulo,Id_Categoria_Produto FROM produto WHERE Id_Categoria_Produto='3') as produto2 ON venda_produto.Id_Produto2 = produto.Id
                                                LEFT JOIN (SELECT Id,Titulo,Id_Categoria_Produto FROM produto WHERE Id_Categoria_Produto='3') as produto3 ON venda_produto.Id_Produto3 = produto.Id
                                                LEFT JOIN (SELECT Id,Titulo,Id_Categoria_Produto FROM produto WHERE Id_Categoria_Produto='3') as produto4 ON venda_produto.Id_Produto4 = produto.Id
                                                LEFT JOIN (SELECT Id,Titulo,Id_Categoria_Produto FROM produto WHERE Id_Categoria_Produto='3') as produto5 ON venda_produto.Id_Produto5 = produto.Id
                                                LEFT JOIN (SELECT Id,Titulo FROM produto) as pecas ON venda_produto.Peca = pecas.Id
                                                INNER JOIN (SELECT Id,Data_Venda,Lancamento FROM venda WHERE Status ='Aberto') as venda ON venda_produto.Id_Venda= venda.Id 
                                                ORDER BY venda.Data_Venda ASC");
                        $contadorProduto = 0;
                        while ($retornoVenda = mysqli_fetch_assoc($buscaVenda)) {
                            if($retornoVenda['Id_Categoria_Produto']=='3' OR $retornoVenda['Id_Categoria_Produto2']=='3' OR 
                            $retornoVenda['Id_Categoria_Produto3']=='3' OR $retornoVenda['Id_Categoria_Produto4']=='3' OR 
                            $retornoVenda['Id_Categoria_Produto5']=='3'){
                            ?>
                        <tr bgcolor=<?php echo "$color"; ?>>
                            <td><?php echo $retornoVenda['Lancamento'] ?></td>
                            <td><?php echo $retornoVenda['Servico'] ?></td>
                            <td><?php echo $retornoVenda['Descricao_Servico'] ?></td>
                            <td><?php echo $retornoVenda['Peca'] ?></td>
                            <td class="table_prod_valor" style="background-color: <?php echo $retornoVenda['Cor']; ?>"></td>
                            <td><?php echo data_exibir($retornoVenda['Data_Venda']) ?></td>
                            <td>
                                <a href='./venda/atualizarSaidaTinturaria.php?id=<?php echo $retornoVenda['Id']; ?>'><img
                                        src="../imagem/sinal_verde.png" alt="Atualizar Sada" border="0"
                                        title="Atualizar Sada"></a>
                                <?php
                                if ($retornoVenda['Data_Saida_Tinturaria'] == '') {
                                    echo '00/00/0000';
                                } else {
                                    echo data_exibir($retornoVenda['Data_Saida_Tinturaria']);
                                }
                                ?>
                            </td>
                            <td>
                                <a href='./venda/atualizarRetornoTinturaria.php?id=<?php echo $retornoVenda['Id']; ?>'><img
                                        src="../imagem/sinal_verde.png" alt="Atualizar Retorno" border="0"
                                        title="Atualizar Retorno"></a>
                                <?php
                                if ($retornoVenda['Data_Retorno_Tinturaria'] == '') {
                                    echo '00/00/0000';
                                } else {
                                    echo data_exibir($retornoVenda['Data_Retorno_Tinturaria']);
                                }
                                ?>
                            </td>
                            <td><?php echo data_exibir($retornoVenda['Data_Previsao_Entrega']) ?></td>
                        </tr>
                        <?php $contadorProduto++; } } ?>

    </table>
    </td>
    </tr>
    <tr>
        <td>
            <div id="div_resposta"></div>
        </td>
    </tr>
    </table>
</body>

</html>