<?php
include_once '../include/conecta.php'; //Conecta com a nosso banco de dados MySQL
ini_set('session.gc_maxlifetime', 60 * 120);
session_start();
/*include_once '../include/ver_sessao.php'; //Verifica se a sesso est ativa*/
include_once '../include/funcoesPhp.php';
include_once '../menu_movimento.php';

$venda_nfe = mysqli_query($con, "SELECT venda.Id,
                                    venda.Lancamento,
                                    venda.Data_Nfe,
                                    venda.Chave_Nfe,
                                    venda.Protocolo,
                                    venda.Fatura,
                                    nfe.Valor_Nfe,
                                    Info_Contribuinte,
                                    unidade.Titulo as Unidade_Titulo,
                                    unidade.Razao_Social as Unidade_Razao,
                                    unidade.Cnpj as Unidade_Cnpj,
                                    unidade.Cidade as Unidade_Cidade,
                                    unidade.Estado as Unidade_Estado,
                                    cliente.Titulo as Cliente_Titulo,
                                    cliente.Razao_Social as Cliente_Razao,
                                    cliente.Cpf_Cnpj as Cliente_Cnpj,
                                    cliente.Cidade as Cliente_Cidade,
                                    cliente.Estado as Cliente_Estado
                                    FROM venda
                                    LEFT JOIN (SELECT Id,Id_Pedido,Valor_Nfe,Info_Contribuinte FROM nfe) as nfe ON nfe.Id_Pedido = venda.Id
                                    LEFT JOIN (SELECT Id,Titulo,Razao_Social,Cnpj,Cidade,Estado FROM unidade) as unidade ON unidade.Id = venda.Id_Unidade
                                    LEFT JOIN (SELECT Id,Titulo,Razao_Social,Cpf_Cnpj,Cidade,Estado FROM cliente) as cliente ON cliente.Id = venda.Id_Cliente
                                    WHERE venda.Id='" . $_GET["id_venda"] . "' ");
$venda_nfe = mysqli_fetch_assoc($venda_nfe);


function geraCodigoBarra($numero) {

    $fino = 1;
    $largo = 3;
    $altura = 40;

    $barcodes[0] = '00110';
    $barcodes[1] = '10001';
    $barcodes[2] = '01001';
    $barcodes[3] = '11000';
    $barcodes[4] = '00101';
    $barcodes[5] = '10100';
    $barcodes[6] = '01100';
    $barcodes[7] = '00011';
    $barcodes[8] = '10010';
    $barcodes[9] = '01010';

    for ($f1 = 9; $f1 >= 0; $f1--) {
        for ($f2 = 9; $f2 >= 0; $f2--) {
            $f = ($f1 * 10) + $f2;
            $texto = '';
            for ($i = 1; $i < 6; $i++) {
                $texto .= substr($barcodes[$f1], ($i - 1), 1) . substr($barcodes[$f2], ($i - 1), 1);
            }
            $barcodes[$f] = $texto;
        }
    }

    echo '<img src="../etiqueta/imagens/p.gif" width="' . $fino . '" height="' . $altura . '" border="0" />';
    echo '<img src="../etiqueta/imagens/b.gif" width="' . $fino . '" height="' . $altura . '" border="0" />';
    echo '<img src="../etiqueta/imagens/p.gif" width="' . $fino . '" height="' . $altura . '" border="0" />';
    echo '<img src="../etiqueta/imagens/b.gif" width="' . $fino . '" height="' . $altura . '" border="0" />';

    echo '<img ';

    $texto = $numero;

    if ((strlen($texto) % 2) <> 0) {
        $texto = '0' . $texto;
    }

    while (strlen($texto) > 0) {
        $i = round(substr($texto, 0, 2));
        $texto = substr($texto, strlen($texto) - (strlen($texto) - 2), (strlen($texto) - 2));

        if (isset($barcodes[$i])) {
            $f = $barcodes[$i];
        }

        for ($i = 1; $i < 11; $i += 2) {
            if (substr($f, ($i - 1), 1) == '0') {
                $f1 = $fino;
            } else {
                $f1 = $largo;
            }

            echo 'src="../etiqueta/imagens/p.gif" width="' . $f1 . '" height="' . $altura . '" border="0">';
            echo '<img ';

            if (substr($f, $i, 1) == '0') {
                $f2 = $fino;
            } else {
                $f2 = $largo;
            }

            echo 'src="../etiqueta/imagens/b.gif" width="' . $f2 . '" height="' . $altura . '" border="0">';
            echo '<img ';
        }
    }
    echo 'src="../etiqueta/imagens/p.gif" width="' . $largo . '" height="' . $altura . '" border="0" />';
    echo '<img src="../etiqueta/imagens/b.gif" width="' . $fino . '" height="' . $altura . '" border="0" />';
    echo '<img src="../etiqueta/imagens/p.gif" width="1" height="' . $altura . '" border="0" />';
}
?>
<html>

<head>
    <title>Gw - Gesto Web</title>
    <style type="text/css">
    * {
        margin: 0px;
        padding: 0px;
    }

    body {
        font: 10px Arial, Arial, Helvetica, sans-serif;
        background-color: #fff;
    }
    </style>
    <script type="text/javascript" language="javascript" src="../js/jquery.js"></script>
    <?php include '../include/script_cabeca.php'; ?>
    <script type="text/javascript" language="javascript" src="../js/script.js"></script>
    <script type="text/javascript" language="javascript">
    // window.onload = function() {
    //     window.print();
    // }
    </script>
</head>

<body>
    <table width="290">
        <tr>
            <td width="300" align="left" class="razao">
                <pre>DANFE SIMPLIFICADA</pre>
            </td>
        </tr>
        <tr>
            <td colspan="2">-----------------------------------------------</td>
        </tr>
        <tr>
            <td colspan="2" align="left">
                <table width="300px">
                    <tr>
                        <td align="left">
                            <pre>PEDIDO: <?php echo $venda_nfe["Lancamento"]; ?></pre>
                        </td>
                    </tr>
                    <tr>
                        <td align="left">
                            <pre>NOTA: <?php echo $venda_nfe["Fatura"]; ?></pre>
                        </td>
                    </tr>
                    <tr>
                        <td align="left">
                            <pre>EMISSAO: <?php echo data_exibir($venda_nfe["Data_Nfe"]); ?></pre>
                        </td>
                    </tr>
                    <tr>
                        <td align="left">
                            <pre>PROTOCOLO: <?php echo $venda_nfe["Protocolo"]; ?></pre>
                        </td>
                    </tr>
                    <tr>
                        <td align="left">
                            <pre>CHAVE: <?php echo $venda_nfe["Chave_Nfe"]; ?></pre>
                        </td>
                    </tr>
                    <tr>
                        <td align="left">
                            <?php geraCodigoBarra($venda_nfe["Chave_Nfe"]); ?>
                        </td>
                    </tr>
                </table>
            </td>
        </tr>
        <tr>
            <td colspan="2">-----------------------------------------------</td>
        </tr>
        <tr>
            <td colspan="2" align="left">
                <table width="300px">
                    <tr>
                        <td align="left">
                            <pre>EMITENTE: <?php echo $venda_nfe["Unidade_Razao"]; ?></pre>
                        </td>
                    </tr>
                    <tr>
                        <td align="left">
                            <pre><?php echo $venda_nfe["Unidade_Cnpj"]; ?></pre>
                        </td>
                    </tr>
                    <tr>
                        <td align="left">
                            <pre><?php echo $venda_nfe["Unidade_Cidade"].' - '.$venda_nfe["Unidade_Estado"]; ?></pre>
                        </td>
                    </tr>
                </table>
            </td>
        </tr>
        <tr>
            <td colspan="2">-----------------------------------------------</td>
        </tr>
        <tr>
            <td colspan="2" align="left">
                <table width="300px">
                    <tr>
                        <td align="left">
                            <pre>DESTINATARIO: <?php echo $venda_nfe["Cliente_Razao"]; ?></pre>
                        </td>
                    </tr>
                    <tr>
                        <td align="left">
                            <pre><?php echo $venda_nfe["Cliente_Cnpj"]; ?></pre>
                        </td>
                    </tr>
                    <tr>
                        <td align="left">
                            <pre><?php echo $venda_nfe["Cliente_Cidade"].' - '.$venda_nfe["Cliente_Estado"]; ?></pre>
                        </td>
                    </tr>
                </table>
            </td>
        </tr>
        <tr>
            <td colspan="2">-----------------------------------------------</td>
        </tr>
        <tr>
            <td colspan="2" align="left">
                <table width="300px">
                    <tr>
                        <td align="left">
                            <pre>VALOR NOTA: <?php echo valor_exibir($venda_nfe["Valor_Nfe"]); ?></pre>
                        </td>
                    </tr>
                </table>
            </td>
        </tr>
        <tr>
            <td colspan="2">-----------------------------------------------</td>
        </tr>
        <tr>
            <td colspan="2" align="left">
                <table width="300px">
                    <tr>
                        <td align="left">
                            <pre>DADOS ADICIONARIS: <?php echo $venda_nfe["Info_Contribuinte"]; ?></pre>
                        </td>
                    </tr>
                </table>
            </td>
        </tr>
</table>
</body>

</html>