<?php
include_once '../../include/conecta.php'; //Conecta com a nosso banco de dados MySQL
include_once '../../include/ver_sessao.php'; //Verifica se a sesso est ativa
include_once '../../include/funcoesPhp.php';
include_once '../../menu_movimento.php';

$sql_venda = mysqli_query($con, "SELECT venda_ponto_funcionario.Id, 
                                                      venda_ponto_funcionario.Id_Funcionario,
                                                      venda_ponto_funcionario.Id_Venda,
                                                      venda_ponto_funcionario.Feriado,
                                                      venda_ponto_funcionario.Adicional_Noturno,
                                                      venda_ponto_funcionario.Data_Ponto,
                                                      venda_ponto_funcionario.Hora1,
                                                      venda_ponto_funcionario.Hora2,
                                                      venda_ponto_funcionario.Hora3,
                                                      venda_ponto_funcionario.Hora4,
                                                      venda_ponto_funcionario.Dia_Semana,
                                                      venda_ponto_funcionario.Total_Hora_Extra_Trabalhada,
                                                      venda_ponto_funcionario.Total_Hora_Extra_Especial_Trabalhada,
                                                      funcionario.Titulo as Funcionario
                                                FROM venda_ponto_funcionario
                                                LEFT JOIN (SELECT Id, Titulo FROM funcionario) AS funcionario ON funcionario.Id = venda_ponto_funcionario.Id_Funcionario
                                                WHERE venda_ponto_funcionario.Id_Venda = '" . $_POST["Codigo_Venda"] . "'
                                                AND venda_ponto_funcionario.Id_Funcionario = '" . $_POST["Id_Funcionario"] . "'
                                            ORDER BY venda_ponto_funcionario.Data_Ponto ")
    or die("ERRO no comando SQL:" . mysqli_error($con));

ob_start();
?>
<table width="100%" align="center" border="0" cellpadding="2" cellspacing="2">
    <tr>
        <td class="table_prod_nome">Data</td>
        <td class="table_prod_nome">1 Entrada</td>
        <td class="table_prod_nome">1 Sada</td>
        <td class="table_prod_nome">2 Entrada</td>
        <td class="table_prod_nome">2 Sada</td>
        <td class="table_prod_nome">Dom/Feriado</td>
        <td class="table_prod_nome">Adic Noturno</td>
        <td class="table_prod_nome">Horas Trabalhadas</td>
    </tr>
    <?php

    $color = "#F5F5F5";
    $y = 1;
    $totalProjeto = 0;
    while ($linha = mysqli_fetch_assoc($sql_venda)) {
        if ($color == "#F5F5F5") {
            $color = "#E8E8E8";
        } else {
            $color = "#F5F5F5";
        }

        ?>
    <tr bgcolor=<?php echo "$color"; ?>>
        <td class="table_prod_valor">
            <?php echo data_exibir($linha['Data_Ponto']) . ' - ' . $linha['Dia_Semana']; ?>
        </td>
        <td class="table_prod_valor"><?php echo $linha['Hora1']; ?></td>
        <td class="table_prod_valor"><?php echo $linha['Hora2']; ?></td>
        <td class="table_prod_valor"><?php echo $linha['Hora3']; ?></td>
        <td class="table_prod_valor"><?php echo $linha['Hora4']; ?></td>
        <td class="table_prod_valor"><?php echo $linha['Feriado']; ?></td>
        <td class="table_prod_valor"><?php echo $linha['Adicional_Noturno']; ?></td>
        <td class="table_prod_valor">
            <!-- horas trabalhadas -->
            <?php
                list($horas1, $minutos1, $segundos1) = explode(":", $linha['Hora1']);
                $calc_hora1 = $horas1 * 3600 + $minutos1 * 60 + $segundos1;

                list($horas2, $minutos2, $segundos2) = explode(":", $linha['Hora2']);
                $calc_hora2 = $horas2 * 3600 + $minutos2 * 60 + $segundos2;

                list($horas3, $minutos3, $segundos3) = explode(":", $linha['Hora3']);
                $calc_hora3 = $horas3 * 3600 + $minutos3 * 60 + $segundos3;

                list($horas4, $minutos4, $segundos4) = explode(":", $linha['Hora4']);
                $calc_hora4 = $horas4 * 3600 + $minutos4 * 60 + $segundos4;

                $form1 = '0';
                $form2 = '0';
                if ($calc_hora1 > '0' && $calc_hora2 > '0') {
                    $form1 = ($calc_hora2 - $calc_hora1);
                }
                if ($calc_hora3 > '0' && $calc_hora4 > '0') {
                    $form2 = ($calc_hora4 - $calc_hora3);
                }

                $horas += $form1 + $form2;

                echo segundos_em_tempo($form1 + $form2);
                ?>
        </td>
        <td class="table_prod_valor">
            <button class="botao_novo" type="button" value="Remover"
                onclick="ApagarLinhaPonto('<?php echo $linha['Id']; ?>');">
                Remover
            </button>
        </td>
    </tr>
    <tr>
        <td height="2"></td>
    </tr>
    <?php
        $y++;
        // $totalProjeto += valor_banco(valor_exibir((($linha['Hora_Funcionario_Projeto'] * $linha['Valor_Hora_Funcionario_Projeto']) + ($linha['Hora_Extra_Funcionario_Projeto'] * $linha['Valor_Hora_Extra_Funcionario_Projeto']))));
    }
    ?>

</table>
<!-- <table width="100%">
    <tr>
        <td colspan="3"></td>
        <td width="30%" colspan="3" align="center">
            <font face="verdana" size="2"><?php echo $total_v; ?>Total:
                <input type="text" name="Valor_Total" id="Valor_Total" readonly="readonly"
                    value="<?php echo valor_exibir($totalProjeto); ?>" size="10">
            </font>
        </td>
    </tr>
    <input type="hidden" name="Voltas" value="<?php echo $x++ ?>">
    <input type="hidden" name="Qtd_Volume" id="Qtd_Volume" value="<?php echo valor_exibir($qtd_volume); ?>">
    <input type="hidden" name="Total_Bruto" id="Total_Bruto" value="<?php echo valor_exibir($total_bruto); ?>">
    <input type="hidden" name="Total_Liquido" id="Total_Liquido" value="<?php echo valor_exibir($total_liquido); ?>">
    <input type="hidden" name="Valor_Total_S" id="Valor_Total_S" value="<?php echo valor_exibir($Valor_Total_S); ?>">
    <script type="text/javascript">
        jogarValor();
    </script>
</table> -->
<?php
$pagina = ob_get_contents();
ob_end_clean();
echo utf8_encode($pagina);
?>