<?php
include_once "../include/conecta.php"; //Conecta com a nosso banco de dados MySQL
ini_set('session.gc_maxlifetime', 60*120); session_start();
/* include_once "../include/ver_sessao.php"; //Verifica se a sesso est ativa */
include_once "../include/funcoesPhp.php"; //Inclue a pgina con todas as funes a ser usada.
?>
<?php 
               $venda = listar("Select venda.Id,
 					venda.Lancamento,
 					venda.Status,
 					venda.Data_Venda,
 					venda.Obs as 'Obs_Venda',
 					venda.Valor_Original,
 					venda.Valor_Pago,
                                        venda.Desconto,
                                        venda.Desconto_Real,
                                        venda.Frete,
                                        venda.Id_Unidade,
 					cliente.Titulo as 'Cliente',
                                        cliente.Razao_Social,
 					cliente.Email,
 					cliente.Natureza,
 					cliente.Cpf_Cnpj,
 					cliente.Rua,
                                        cliente.Numero,
 					cliente.Cep,
 					cliente.Bairro,
 					cliente.Estado,
 					cliente.Fone1,
                                        cliente.Endereco,
                                        cliente.Ponto_Referencia,
 					cliente.Contato,
                                        cliente.Cidade,
 					funcionario.Titulo as 'Funcionario',
                                        vendedor.Titulo as 'Vendedor',
                                        tipo_pagamento.Titulo as 'Tipo_Pagamento'
 					from venda
 					left join 
                                        (SELECT Id,Titulo,Email,Natureza,Cpf_Cnpj,Estadual,Rua,Numero,Cep,Bairro,Estado,Fone1,
                                        Obs,Cidade,Razao_Social,Contato,Endereco,Ponto_Referencia FROM cliente) as cliente 
                                        ON cliente.Id = venda.Id_Cliente
 					left join (SELECT Id,Titulo FROM funcionario) as funcionario ON funcionario.Id = venda.Id_Funcionario
                                        left join (SELECT Id,Titulo FROM funcionario) as vendedor ON venda.Id_Vendedor = vendedor.Id
                                        left join (SELECT Id,Titulo FROM tipo_pagamento) as tipo_pagamento ON tipo_pagamento.Id = venda.Id_Tipo_Pagamento
 					where venda.Id = '".$_GET["id_venda"]."'
					order by venda.Lancamento DESC");


$_GET["Unidade"] = $venda[0]["Id_Unidade"];
               
?>
<html>
<head>
<title>Gw - Gesto Web</title>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1" />
<link rel="shortcut icon" href="../imagem/favi_gw.ico" type="image/x-icon" />
<link rel="stylesheet" type="text/css" href="../estilo/<?php echo SKIN ;?>/tabela_imp.css" />
<script type="text/javascript" language="javascript" src="../js/jquery.js"></script>
<?php include '../include/script_cabeca.php'; ?>
<script type="text/javascript" language="javascript" src="../js/script.js"></script>
<script type="text/javascript" language="javascript" src="../js/meiomask/meiomask.js"></script>
<script type="text/javascript" language="javascript" src="../js/meiomask/<?php if(PAIS=="USA"){ echo "mascaras-usa"; }else{ echo "mascaras"; }?>.js"></script>
</head>
<body>

<table width="98%" align="center"><!-- TABELA Q ENVOLVE TODO O CONTEUDO -->
<tr>
	<td>
		<?php include "../include/cabecalho_pedido.php"; ?>
	</td>
</tr>
<tr>
	<td>
		<table width="100%" align="center">
			<tr>
                            <td colspan="2" align="center">
                                <font face="verdana" size="3">
                                    <b><i>Venda - <?php echo $venda[0]["Lancamento"];?></i></b>
                                </font>
                            </td>
			</tr>
		</table>
	</td>
</tr>
<tr>
	<td>
		<table width="100%" align="center" class="tabela">
			<tr>
                                <td width="70%">Cliente: 
                                    <?php
                                    if(CLIENTE_RAZAO_SOCIAL=='Sim'){
                                        echo $venda[0]["Razao_Social"];
                                    }else{
                                        echo $venda[0]["Cliente"];
                                    }
                                    ?>
                                </td>
				<td width="30%">Data: <?php echo data_exibir($venda[0]["Data_Venda"]);?></td>
			</tr>
			<tr>
				<td width="70%">End: <?php echo $venda[0]["Endereco"];?></td>
				<td width="30%">Fone: <?php echo $venda[0]["Fone1"];?></td>
			</tr>
			<tr>
				<td width="70%"><?php echo 'Bairro:'.$venda[0]["Bairro"].' Cidade:'.
                                                                        $venda[0]["Cidade"].' UF:'.
                                                                        $venda[0]["Estado"];?>
                                </td>
				<?php if($venda[0]["Natureza"] == "PF"){?>
				<td width="30%">CPF: <?php echo $venda[0]["Cpf_Cnpj"];?></td>
				<?php }else{?>
				<td width="30%">CNPJ: <?php echo $venda[0]["Cpf_Cnpj"];?></td>
				<?php }?>
			</tr>
                        <tr>
				<td width="70%">Referncia: <?php echo $venda[0]["Ponto_Referencia"];?></td>
				<td width="30%">E-mail: <?php echo $venda[0]["Email"];?></td>
			</tr>
			<tr>
				<td width="70%">Pagamento: <?php echo $venda[0]["Tipo_Pagamento"];?></td>
				<td width="30%">CEP: <?php echo $venda[0]["Cep"];?></td>
			</tr>
                        <tr>
				<td width="70%">Contato: <?php echo $venda[0]["Contato"];?></td>
				<td width="30%">Frete: <?php echo $venda[0]["Frete"];?></td>
			</tr>
			<tr>
                                <td colspan="2">Obs: <?php echo $venda[0]["Obs_Venda"];?></td>
			</tr>
		</table>
	</td>
</tr>
<tr>
	<td>
		<table width="100%" align="center" class="tabela">
			<tr>
				<td colspan="9"><i>Produtos</i></td>
			</tr>
			<tr class="azul-claro">
				<td width="3%">N</td>
				<td width="10%">Cdigo</td>
				<td>Produto</td>
				<td width="5%">Qtd</td>
			</tr>
			<?php

               $venda_pro = listar("Select DISTINCT venda_produto.Id,
                                        venda_produto.Id_Venda,
                                        venda_produto.Id_Produto,
                                        venda_produto.Preco as 'Preco_Venda',
 					venda_produto.Qtd as 'Qtd_Venda',
 					venda_produto.Desconto as 'Desconto_Venda',
                                        venda_produto.Desconto_Real,
 					produto.Titulo as 'Produto',
 					produto.Descricao,
 					produto.Codigo,
                                        local_estoque.Titulo as Local_Estoque
 					from venda_produto
 					left join (SELECT Id,Titulo,Descricao,Codigo FROM produto) as produto ON produto.Id = venda_produto.Id_Produto
                                        left join (SELECT Id,Titulo FROM local_estoque) as local_estoque ON local_estoque.Id = venda_produto.Id_Local_Estoque
 					where venda_produto.Id_Venda = '".$_GET["id_venda"]."'
                                        ORDER BY venda_produto.Data_Cadastro ");

                        $x=1;
                        foreach($venda_pro as $chave){
                        ?>

			<tr>
                            <td style="border-top: 3px solid #000"><?php echo $x;?></td>
                            <td style="border-top: 3px solid #000"><b><?php echo $chave["Codigo"];?></b></td>
                            <td style="border-top: 3px solid #000"><b><?php echo $chave["Produto"];?></b></td>
                            <td style="border-top: 3px solid #000"><b><?php echo $chave["Qtd_Venda"];?></b></td>
			</tr>
                        
                        
			<?php

               $producao = listar("SELECT produto.Titulo as Produto,
                                    venda_producao.Qtd,
                                    produto.Codigo
                                    FROM venda_producao
                                    LEFT JOIN (SELECT Id,Titulo,Codigo FROM produto) as produto ON produto.Id = venda_producao.Id_Produto
                                    WHERE venda_producao.Id_Venda='".$chave["Id_Venda"]."'
                                    AND venda_producao.Id_Produto_Pai='".$chave["Id_Produto"]."'
                                    ORDER BY venda_producao.Data_Cadastro ");

                        foreach($producao as $valor){
                        ?>
                        <tr>
				<td><img src="../imagem/seta_esq_baixo.png"></td>
				<td><?php echo $valor["Codigo"];?></td>
				<td><?php echo $valor["Produto"];?></td>
                                <td><?php echo $valor["Qtd"];?></td>
			</tr>
                        <?php
                        
                        } 

			$x++; }
                        
                        ?>
		</table>
	</td>
</tr>
</table>
<br/>
<table width="98%" align="center">
	<tr>
		<td align="center">________________________</td>
	</tr>
	<tr>
		<td align="center"><font face="verdana" size="2"><?php echo $venda[0]["Vendedor"];?></font></td>
	</tr>
</table>

<br>
</body>
</html>
<?php include "../include/rodape.php";?>