<?php
include_once '../include/conecta.php'; //Conecta com a nosso banco de dados MySQL
include_once '../include/ver_sessao.php'; //Verifica se a sesso est ativa
include_once '../include/funcoesPhp.php';
include_once '../menu_movimento.php';
?>
<?php
if (($_GET["Pre-Venda"]) || ($_GET["Enviado"]) || ($_GET["Faturado_Parcial"]) || ($_GET["Faturado"]) || ($_GET["Nao_Faturado"]) || ($_GET["Cancelado"]) || ($_GET["Bonificado"])) {

    $status = "and (";

    if ($_GET["Pre-Venda"]) {
        $status .= " venda.Status = 'Pr-Venda' OR";
    }
    if ($_GET["Enviado"]) {
        $status .= " venda.Status = 'Enviado' OR";
    }
    if ($_GET["Aguardando_Retorno"]) {
        $status .= " venda.Status = 'Aguardando Retorno' OR";
    }
    if ($_GET["Faturado_Parcial"]) {
        $status .= " venda.Status = 'Faturado Parcial' OR";
    }
    if ($_GET["Faturado"]) {
        $status .= " venda.Status = 'Faturado' OR";
    }
    if ($_GET["Nao_Faturado"]) {
        $status .= " venda.Status = 'Nao_Faturado' OR";
    }
    if ($_GET["Cancelado"]) {
        $status .= " venda.Status = 'Cancelado' OR";
    }
    if ($_GET["Bonificado"]) {
        $status .= " venda.Status = 'Bonificado' OR";
    }

    $status = substr($status, 0, -2);
    $status .= ")";
}

if ($_GET['Data_Filtro'] == 'Data') {
    if ($_GET["De"])
        $data .= "AND venda.Data_Venda >= '" . data_banco($_GET["De"]) . " 00:00:00' ";
    if ($_GET["Ate"])
        $data .= "AND venda.Data_Venda <= '" . data_banco($_GET["Ate"]) . " 23:59:59' ";
}
if ($_GET['Data_Filtro'] == 'Conclusao') {
    if ($_GET["De"])
        $data .= "AND venda.Data_Conclusao >= '" . data_banco($_GET["De"]) . " 00:00:00' ";
    if ($_GET["Ate"])
        $data .= "AND venda.Data_Conclusao <= '" . data_banco($_GET["Ate"]) . " 23:59:59' ";
}

if ($_GET["Cliente"]) {

    $mystring = $_GET["Cliente"];
    $findme = " : ";

    $posicao = strpos($mystring, $findme);

    $cod_cli = substr($_GET["Cliente"], 0, $posicao);
    $nome_cli = substr($_GET["Cliente"], ($posicao + 3));


    if (CLIENTE_RAZAO_SOCIAL == 'Sim') {
        $nome = 'Razao_Social';
    } else {
        $nome = 'Titulo';
    }
    /* convertendo o nome do fornecedor, para o seu codigo */
    $Prodt = listar("SELECT Id FROM cliente WHERE " . $nome . " ='" . $nome_cli . "' AND Codigo = '" . $cod_cli . "' ");
    $_GET["Cliente"] = $Prodt[0]["Id"];

    $Cliente .= "and venda.Id_Cliente = '" . $_GET["Cliente"] . "' ";
}

if ($_GET["Fornecedor"]) {

    $mystring = $_GET["Fornecedor"];
    $findme = " : ";

    $posicao = strpos($mystring, $findme);

    $cod_cli = substr($_GET["Fornecedor"], 0, $posicao);
    $nome_cli = substr($_GET["Fornecedor"], ($posicao + 3));


    if (FORNECEDOR_RAZAO_SOCIAL == 'Sim') {
        $nome = 'Razao_Social';
    } else {
        $nome = 'Titulo';
    }
    /* convertendo o nome do fornecedor, para o seu codigo */
    $Prodt = listar("SELECT Id FROM fornecedor WHERE " . $nome . " ='" . $nome_cli . "' AND Codigo = '" . $cod_cli . "' ");
    $_GET["Fornecedor"] = $Prodt[0]["Id"];

    $Cliente .= "and venda.Id_Fornecedor = '" . $_GET["Fornecedor"] . "' ";
}

if ($_GET["Produto"]) {

    $mystring = $_GET["Produto"];
    $findme = " : ";

    $posicao = strpos($mystring, $findme);

    $cod_cli = substr($_GET["Produto"], 0, $posicao);
    $nome_cli = substr($_GET["Produto"], ($posicao + 3));


    /* convertendo o nome do fornecedor, para o seu codigo */
    $Prodt = listar("SELECT Id FROM produto WHERE Titulo='" . $nome_cli . "' AND Codigo = '" . $cod_cli . "' ");
    $_GET["Produto"] = $Prodt[0]["Id"];

    $venda_produto = "and venda_produto.Id_Produto = '" . $_GET["Produto"] . "' ";
}

if ($_GET["Usuario"])
    $Usuario = "and venda.Id_Usuario = '" . $_GET["Usuario"] . "' ";

if ($_GET["Funcionario"])
    $usuario_p = "and venda.Id_Funcionario = '" . $_GET["Funcionario"] . "' ";

if ($_GET["Unidade"]) {
    $Unidade = "and venda.Id_Unidade = '" . $_GET["Unidade"] . "' ";
}

if ($_GET["Vendedor"])
    $vend .= "and venda.Id_Vendedor = '" . $_GET["Vendedor"] . "' ";

if ($_GET["Estado"]) {
    $natureza .= "and cliente.Estado = '" . $_GET["Estado"] . "' ";
}
if ($_GET["Categoria_Cliente"]) {
    $natureza .= "and cliente.Id_Categoria_Cliente = '" . $_GET["Categoria_Cliente"] . "' ";
}
if ($_GET["Categoria_Cliente_Filho"]) {
    $natureza .= "and cliente.Id_Categoria_Cliente_Filho = '" . $_GET["Categoria_Cliente_Filho"] . "' ";
}

if ($_GET["Ok"]) {
$venda = mysqli_query($con,"Select venda.Id, venda.Lancamento,
                    venda.Status,
                    venda.Data_Venda,
                    venda.Valor_Pago,
                    venda.Numero_Pedido_Fornecedor,
                    venda.Numero_Pedido_Cliente,
                    cliente.Titulo as Cliente,
                    cliente.Razao_Social,
                    fornecedor.Titulo as Fornecedor,
                    fornecedor.Razao_Social as Fornecedor_Razao_Social,
                    vendedor.Titulo as 'Vendedor'
                    from venda
                    left join (SELECT Id,Id_Produto,Id_Venda FROM venda_produto) as venda_produto ON venda_produto.Id_Venda = venda.Id
                    LEFT JOIN (SELECT Id,Titulo FROM funcionario) as vendedor ON vendedor.Id = venda.Id_Vendedor
                    INNER JOIN (SELECT Id,Titulo,Razao_Social,Estado,Codigo,Id_Categoria_Cliente,Id_Categoria_Cliente_Filho FROM cliente WHERE 1=1 $natureza) as cliente ON venda.Id_Cliente = cliente.Id
                    LEFT JOIN (SELECT Id,Titulo,Razao_Social FROM fornecedor) as fornecedor ON venda.Id_Fornecedor = fornecedor.Id
                    WHERE 1=1
                    $data $status $usuario_p $Cliente $venda_produto $Unidade $Usuario $vend
                    group by venda.Lancamento
                    order by venda.Lancamento");
}
?>
<?php ob_start(); /* Inicia o fluxo*/?>
<html>
<head>
<link rel="stylesheet" type="text/css" href="../estilo/<?php echo SKIN ;?>/tabela_imp.css" />
<script type="text/javascript" language="javascript" src="../js/jquery.js"></script>
<?php include '../include/script_cabeca.php'; ?>
<script type="text/javascript" language="javascript" src="../js/script.js"></script>
<script type="text/javascript" language="javascript" src="../js/meiomask/meiomask.js"></script>
<script type="text/javascript" language="javascript" src="../js/meiomask/<?php if(PAIS=="USA"){ echo "mascaras-usa"; }else{ echo "mascaras"; }?>.js"></script>
</head>
<body>
<table width="90%" align="center">
        <tr>
            <td width="40%">
            <?php
                $empresa = listar("Select Logo,Titulo from unidade where Id = '1' ");
            
                if(file_exists("../unidade/foto/".$empresa[0]["Logo"]."")){
                    $cam_arq = "../unidade/foto/".$empresa[0]["Logo"];
                }else{
                    $cam_arq = "../../unidade/foto/".$empresa[0]["Logo"];
                }
            ?>
                <img src="<?php echo $cam_arq; ?>" title="Logo" alt="Logo" border="0" width="140px" height="auto"/>
            </td>
            <td width="60%" class="razao">
                <b>
                    <font face="verdana" size="3">
                        <?php echo $empresa[0]["Titulo"];?>
                    </font>
                </b>
            </td>
        </tr>
</table>
<table width="100%">
<tr>
	<td>
		<font face="verdana" size="2"><i>Relatrio de Vendas</i></font>
	</td>
</tr>
<tr>
	<td><font face="verdana" size="2">
		<?php 
		if($_GET["De"]){
			echo "Perodo: ".$_GET["De"];
		}
		if($_GET["Ate"]){
			echo "  ".$_GET["Ate"];
		}
		if($_GET["Funcionario"]){
		$achar = listar("Select Titulo from funcionario
			where Id = '".$_GET["Funcionario"]."' ");
			echo " - ".$achar[0]["Titulo"];
		}
		if($_GET["Vendedor"]){
		$achar = listar("Select Titulo from funcionario
			where Id = '".$_GET["Vendedor"]."' ");
			echo " - ".$achar[0]["Titulo"];
		}
                if($_GET["Cliente"]){   
		$achar = listar("Select Titulo from cliente
			where Id = '".$_GET["Cliente"]."' ");
			echo " - ".$achar[0]["Titulo"];
		}
		if($_GET["Fornecedor"]){         
		$achar = listar("Select Titulo from fornecedor
			where Id = '".$_GET["Fornecedor"]."' ");
			echo " - ".$achar[0]["Titulo"];
		}
		if($_GET["Produto"]){
		$achar = listar("Select Titulo from produto
			where Id = '".$_GET["Produto"]."' ");
			echo " - ".$achar[0]["Titulo"];
		}
		if($_GET["Categoria_Cliente"]){
		$achar = listar("Select Titulo from categoria_cliente
			where Id = '".$_GET["Categoria_Cliente"]."' ");
			echo " - ".$achar[0]["Titulo"];
		}
		if($_GET["Categoria_Cliente_Filho"]){
		$achar = listar("Select Titulo from categoria_cliente
			where Id = '".$_GET["Categoria_Cliente_Filho"]."' ");
			echo " - ".$achar[0]["Titulo"];
		}
		if($_GET["Estado"]){
			echo " - ".$_GET["Estado"];
		}
		if($_GET["Cancelado"]){
			echo " - ".$_GET["Cancelado"];
		}
		if($_GET["Faturado"]){
			echo " - ".$_GET["Faturado"];
		}
		if($_GET["Nao_Faturado"]){
			echo " - ".$_GET["Nao_Faturado"];
		}
                if($_GET["Faturado_Parcial"]){
			echo " - ".$_GET["Faturado_Parcial"];
		}
		if($_GET["Enviado"]){
			echo " - ".$_GET["Enviado"];
		}
		if($_GET["Pre-Venda"]){
			echo " - ".$_GET["Pre-Venda"];
		}
        //se o sistema for Multi Empresa
        if( (MULTI_EMPRESA=="Sim") && ($_SESSION["Id_Nivel"]=='1')){

                if($_GET["Unidade"]){
			$achar = listar("Select Titulo from unidade
						where Id = '".$_GET["Unidade"]."' ");
			echo " - ".$achar[0]["Titulo"];
		}
        
        }
		?>
	</font>	
	</td>
</tr>
</table>
	<br>
<table width="100%" class="tabela">
    <tr class="azul-claro">
            <td>Pedido Cliente</td>
            <td>Pedido Forencedor</td>
            <td>Data</td>
            <td>Cliente</td>
            <td>Fornecedor</td>
            <td>Vendedor</td>
            <td>Valor</td>
            <td>Status</td>
    </tr>
<tfoot>
	<tr class="cinza"><td colspan="20">Relatrio de Vendas</td></tr>
</tfoot>
	<?php 
	if($_GET["Ok"]){
            
        $color = "#F5F5F5";
	while ($chave = mysqli_fetch_assoc($venda)) {
            
        if ($color == "#F5F5F5") {
                $color = "#E8E8E8";
        } else {
                $color = "#F5F5F5";
        }
        ?>
	<tr bgcolor=<?php echo "$color"; ?>>
                <td><?php echo $chave["Numero_Pedido_Cliente"]?></td>
		<td><?php echo $chave["Numero_Pedido_Fornecedor"]?></td>
                <td><?php echo data_exibir($chave["Data_Venda"])?></td>
                <td>
                    <?php
                    if(CLIENTE_RAZAO_SOCIAL=='Sim'){
                        echo $chave["Razao_Social"];
                    }else{
                        echo $chave["Cliente"];
                    }
                    ?>
                </td>
                <td align="center">
                    <?php
                    if(FORNECEDOR_RAZAO_SOCIAL=='Sim'){
                        echo $chave["Fornecedor_Razao_Social"];
                    }else{
                        echo $chave["Fornecedor"];
                    }
                    ?>
                </td>
                <td><?php echo $chave["Vendedor"]?></td>
                <td><?php echo valor_exibir($chave["Valor_Pago"])?></td>
                <?php 
                $corStatus = "";
                if($chave['Status']=='Pr-Venda'){//amarelo gold
                        $corStatus = "color = '#B8860B' ";
                }
                if($chave['Status']=='Enviado'){//azul
                        $corStatus = "color = '#3A5FCD' ";
                }
                if ($chave['Status'] == 'Aguardando Retorno') {//laranja red
                    $corStatus = "color = '#FF4500' ";
                }
                if($chave['Status']=='Faturado Parcial'){//magenta
                        $corStatus = "color = '#FF00FF' ";
                }
                if($chave['Status']=='Faturado'){//verde
                        $corStatus = "color = '#228B22' ";
                }
                if($chave['Status']=='No Faturado'){//vermelho
                        $corStatus = "color = '#CD2626' ";
                }
                if($chave['Status']=='Cancelado'){//vermelho escuro
                        $corStatus = "color = '#8B1A1A' ";
                }
                ?>
		<td><font <?php echo $corStatus?>><?php echo $chave["Status"]?></font></td>
	</tr>
    <?php 
	 $produto = mysqli_query($con,"Select produto.Titulo,
                                    venda_produto.Preco,
                                    venda_produto.Qtd,
                                    venda_produto.Desconto,
                                    venda_produto.Desconto_Real,
                                    produto.Codigo,
                                    produto.Peso_Bruto,
                                    produto.Peso_Liquido
                                    from venda_produto
                                    left join (SELECT Id,Titulo,Codigo,Peso_Bruto,Peso_Liquido FROM produto) as produto ON produto.Id = venda_produto.Id_Produto
                                    where venda_produto.Id_Venda = '" . $chave["Id"] . "'
                                    $venda_produto
                                    ORDER BY venda_produto.Data_Cadastro");

    while ($valor = mysqli_fetch_assoc($produto)) { 
        $qtdTotalF +=$valor["Qtd"];
        $pesoLiquidoF +=$valor["Peso_Liquido"]*$valor["Qtd"];
        $pesoBrutoF +=$valor["Peso_Bruto"]*$valor["Qtd"];
    }
    ?>
        <?php
        $vtotalacum[$chave["Status"]]+= $chave["Valor_Pago"];
        $vtotalacumA+= $chave["Valor_Pago"];
        ?>
	<?php } }?>
        <tr>
		<td colspan="8">&nbsp;</td>
	</tr>
	<tr>
                <td align="right"><b>Valores Finais:</b> &nbsp;</td>
                <td colspan="7" align="right">
                    Pr-Venda : <b><?php echo valor_exibir($vtotalacum["Pr-Venda"]);?></b>&nbsp;&nbsp;&nbsp;
                    Enviado : <b><?php echo valor_exibir($vtotalacum["Enviado"]);?></b>&nbsp;&nbsp;&nbsp;
                    Faturado Parcial : <b><?php echo valor_exibir($vtotalacum["Faturado Parcial"]);?></b>&nbsp;&nbsp;&nbsp;
                    Faturado : <b><?php echo valor_exibir($vtotalacum["Faturado"]);?></b>&nbsp;&nbsp;&nbsp;
                    No Faturado : <b><?php echo valor_exibir($vtotalacum["No Faturado"]);?></b>&nbsp;&nbsp;&nbsp;
                    Cancelado : <b><?php echo valor_exibir($vtotalacum["Cancelado"]);?></b>&nbsp;&nbsp;&nbsp;
                    Total Geral : <b><?php echo valor_exibir($vtotalacum["Pr-Venda"] + $vtotalacum["Enviado"] + $vtotalacum["Faturado Parcial"] + $vtotalacum["Faturado"]);?></b>
                </td>
	</tr>
    <tr>
        <td colspan="8" align="center">
            Qtd : <b><?php echo valor_exibir($qtdTotalF); ?></b>&nbsp;&nbsp;&nbsp;
            Peso Liquido : <b><?php echo valor_exibir($pesoLiquidoF); ?></b>&nbsp;&nbsp;&nbsp;
            Peso Bruto : <b><?php echo valor_exibir($pesoBrutoF); ?></b>
        </td>
    </tr>
</table>
</body>
</html>
<?php 
$html = ob_get_contents();
ob_end_clean();

include_once "../include/excel_opcao.php";
?>