<?php
include_once '../../include/conecta.php'; //Conecta com a nosso banco de dados MySQL
include_once '../../include/ver_sessao.php'; //Verifica se a sesso est ativa
include_once '../../include/funcoesPhp.php';
include_once '../../menu_movimento.php';


/*BUSCA REALIZADA PARA MONTAR A TABELA DE CONSULTA DOS ITENS SO ATIVA QUANDO O BUTAO FOR CHAMADO*/
$sql_venda = mysqli_query($con, "SELECT DISTINCT venda_produto.Id,
                                        venda_produto.Id_Produto,
                                        venda_produto.Preco,
                                        venda_produto.Qtd,
                                        venda_produto.Desconto,
                                        venda_produto.Desconto_Real,
                                        venda_produto.Desconto_Real_Pe_Nota,
                                        venda_produto.ST_Icms,
                                        venda_produto.Icms,
                                        venda_produto.Icms_Sub,
                                        venda_produto.Mva,
                                        venda_produto.Reducao,
                                        venda_produto.Ipi,
                                        venda_produto.C_Produto,
                                        venda_produto.Volume,
                                        produto.Id as Id_Produto,
                                        produto.Titulo as 'Produto',
                                        produto.Codigo,
                                        produto.Qtd_Caixa,
                                        produto.Peso_Bruto,
                                        produto.Peso_Liquido,
                                        local_estoque.Titulo as Local_Estoque
                                        FROM venda_produto
                                        left join (SELECT Id,Titulo,Regime_ST,Codigo,Qtd_Caixa,Peso_Bruto,Peso_Liquido FROM produto) as produto ON produto.Id = venda_produto.Id_Produto
                                        left join (SELECT Id,Titulo FROM local_estoque) as local_estoque ON local_estoque.Id = venda_produto.Id_Local_Estoque
                                        WHERE venda_produto.Id_Venda='" . $_POST["Codigo_Venda"] . "'
                                        ORDER BY venda_produto.Data_Cadastro $orde ")
    or die("ERRO no comando SQL:" . mysqli_error($con));


//calculando o frete
$qtd_c = mysqli_query($con, "SELECT SUM(Qtd) as Qtd_Total
                            FROM venda_produto
                            WHERE Id_Venda = '" . $_POST["Codigo_Venda"] . "' ");
$qtd_c = mysqli_fetch_assoc($qtd_c);

$qtd_total = $qtd_c["Qtd_Total"];
//se no houver itens eu colocar zero
if (!$qtd_total) {
    $qtd_total = '0';
}

$Frete = $_POST["Valor_Frete"] / $qtd_total; //acho valor de 1 unico produto
$Frete = valor_exibir($Frete);
$Frete = valor_banco($Frete);

$Despesa = $_POST["Despesa"] / $qtd_total; //acho valor de 1 unico produto
$Despesa = valor_exibir($Despesa);
$Despesa = valor_banco($Despesa);

if (PAIS == 'USA') {
    $codigo = 'Code';
    $item = 'Item';
    $valor = 'Value';
    $qtd = 'Qty';
    $local = 'Location';
    $total = 'Total';
    $alterar = 'Alter';
    $remover = 'Delete';
    $total_v = 'Total Invice';
} else {
    $codigo = 'Codigo';
    $item = 'Item';
    $valor = 'Valor';
    $qtd = 'Qtd';
    $local = 'Local';
    $total = 'Valor Total';
    $alterar = 'Alterar';
    $remover = 'Remover';
    $total_v = 'Total Venda';
}
?>
<script language="javascript" type="text/javascript">
    function idProduto(Id, Id_Linha) {
        window.open('produto_descricao.php?id_produto=' + Id + '&id_linha=' + Id_Linha, 'Descricao', 'width=600,height=400,top=0,left=0,scrollbars=yes');
    }
</script>
<?php

ob_start();

$color = "#F5F5F5";
$x = 0;
$y = 1;
$qtdVol = 0;
while ($linha = mysqli_fetch_assoc($sql_venda)) {
    if ($color == "#F5F5F5") {
        $color = "#E8E8E8";
    } else {
        $color = "#F5F5F5";
    }

    $desc_perc = valor_banco(valor_exibir((($linha['Qtd'] * $linha['Preco']) * ($linha['Desconto'] / 100)), 2));
?>

    <?php if ($x == 0) { ?>
        <table width="100%" align="center" border="0" cellpadding="2" cellspacing="2">
            <tr>
                <td class="table_prod_nome">X</td>
                <td class="table_prod_nome"><?php echo $codigo; ?></td>
                <td class="table_prod_nome"><?php echo $item; ?></td>
                <td class="table_prod_nome"><?php echo $valor; ?></td>
                <td class="table_prod_nome"><?php echo $qtd; ?></td>
                <td class="table_prod_nome">Desc %:</td>
                <td class="table_prod_nome">Desc:</td>
                <td class="table_prod_nome">Desc Rat</td>
                <td class="table_prod_nome"><?php echo $local; ?></td>
                <td class="table_prod_nome"><?php echo $total; ?></td>
                <td class="table_prod_nome"><?php echo $alterar; ?></td>
                <td class="table_prod_nome"><?php echo $remover; ?></td>
            </tr>
        <?php } ?>


        <tr bgcolor=<?php echo "$color"; ?>>
            <td class="table_prod_valor"><?php echo $y; ?></td>
            <td class="table_prod_valor"><?php echo $linha['Codigo']; ?></td>
            <td class="table_prod_valor" title="<?php echo $linha['C_Produto']; ?>" style="cursor: pointer;" ondblclick="idProduto('<?php echo $linha["Id_Produto"]; ?>','<?php echo $linha["Id"]; ?>')">
                <?php echo $linha['Produto']; ?>
            </td>
            <td class="table_prod_valor"><?php echo valor_exibir($linha['Preco']); ?></td>
            <td class="table_prod_valor"><?php echo $linha['Qtd']; ?></td>
            <td class="table_prod_valor"><?php echo valor_exibir($linha['Desconto']); ?></td>
            <td class="table_prod_valor"><?php echo valor_exibir($linha['Desconto_Real']); ?></td>
            <td class="table_prod_valor"><?php echo valor_exibir($linha['Desconto_Real_Pe_Nota']); ?></td>
            <td class="table_prod_valor"><?php echo $linha['Local_Estoque']; ?></td>
            <td class="table_prod_valor"><?php echo valor_exibir((($linha['Qtd'] * $linha['Preco']) - $desc_perc) - $linha['Desconto_Real'] - $linha['Desconto_Real_Pe_Nota'], 2); ?></td>
            <?php if ($_POST["Opcao_Ver"] != 'ver') { ?>
                <td class="table_prod_valor">
                    <?php if (VENDA8_ALTERAR == 'Sim') { ?>
                        <button class="botao_novo" type="button" value="Alterar" onclick="window.open('tabela_alterar.php?id_linha=<?php echo $linha['Id']; ?>','Alterar','width=600,height=550,top=0,left=0,scrollbars=yes')">
                            <?php echo $alterar; ?>
                        </button>
                    <?php } ?>
                </td>
                <td class="table_prod_valor">
                    <?php if (VENDA8_REMOVER == 'Sim') { ?>
                        <button class="botao_novo" type="button" value="Remover" onclick="ApagarLinha('<?php echo $linha['Id']; ?>');">
                            <?php echo $remover; ?>
                        </button>
                    <?php } ?>
                <?php } ?>
                </td>
        </tr>
        <tr>
            <td height="2"></td>
        </tr>

    <?php
    $Valor_Total_S += valor_banco(valor_exibir((($linha['Qtd'] * $linha['Preco']) - $desc_perc) - $linha['Desconto_Real'], 2));
    $Valor_Total += valor_banco(valor_exibir((($linha['Qtd'] * $linha['Preco']) - $desc_perc) - $linha['Desconto_Real'] - $linha['Desconto_Real_Pe_Nota'], 2));
    // $qtd_volume+=$linha['Qtd']/$linha['Qtd_Caixa'];
    $qtd_volume += $linha['Volume'];
    $total_bruto += $linha['Qtd'] * $linha['Peso_Bruto'];
    $total_liquido += $linha['Qtd'] * $linha['Peso_Liquido'];
    $qtdVol +=  $linha['Volume'];

    $x++;
    $y++;
}
    ?>

        </table>
        <table width="100%">
            <tr>
                <td colspan="3"></td>
                <td width="30%" colspan="3" align="center">
                    <font face="verdana" size="2"><?php echo $total_v; ?>:
                        <input type="text" name="Valor_Total" id="Valor_Total" readonly="readonly" value="<?php echo  valor_exibir($Valor_Total); ?>" size="10">
                    </font>
                </td>
            </tr>
            <input type="hidden" name="Voltas" value="<?php echo $x++ ?>">
            <input type="hidden" name="Qtd_Volume" id="Qtd_Volume" value="<?php echo valor_exibir($qtd_volume); ?>">
            <input type="hidden" name="Total_Bruto" id="Total_Bruto" value="<?php echo valor_exibir($total_bruto); ?>">
            <input type="hidden" name="Total_Liquido" id="Total_Liquido" value="<?php echo valor_exibir($total_liquido); ?>">
            <input type="hidden" name="Valor_Total_S" id="Valor_Total_S" value="<?php echo valor_exibir($Valor_Total_S); ?>">
            <!-- coloca o valor total dos itens no valor pago jogarVolume();-->
            <script type="text/javascript">jogarValor();</script>
        </table>
        <?php
        $pagina = ob_get_contents();
        ob_end_clean();
        echo utf8_encode($pagina);
        ?>