<?php
include_once "../include/conecta.php"; //Conecta com a nosso banco de dados MySQL
ini_set('session.gc_maxlifetime', 60 * 120);
session_start();
/* include_once "../include/ver_sessao.php"; //Verifica se a sesso est ativa */
include_once "../include/funcoesPhp.php"; //Inclue a pgina con todas as funes a ser usada.
?>
<?php
$venda = listar("SELECT venda.Id,
 					venda.Lancamento,
 					venda.Status,
 					venda.Data_Venda,
 					venda.Obs as 'Obs_Venda',
 					venda.Valor_Original,
 					venda.Valor_Pago,
                    venda.Desconto,
                    venda.Desconto_Real,
                    venda.Frete,
                    venda.Valor_Frete,
                    venda.Id_Unidade,
                    venda.Numero_Pedido as Romaneio,
                    venda.Placa,
 					cliente.Titulo as 'Cliente',
                    cliente.Razao_Social,
 					cliente.Email,
 					cliente.Natureza,
 					cliente.Cpf_Cnpj,
 					cliente.Rua,
                    cliente.Numero,
 					cliente.Cep,
 					cliente.Bairro,
 					cliente.Estado,
 					cliente.Fone1,
                    cliente.Contato,
                    cliente.Endereco,
                    cliente.Ponto_Referencia,
 					cliente.Obs as 'Obs_Cliente',
                    cliente.Codigo,
                    cidade_ibge.Titulo as Cidade,
 					funcionario.Titulo as 'Funcionario',
                    vendedor.Titulo as 'Vendedor',
                    tipo_pagamento.Titulo as 'Tipo_Pagamento'
 					from venda
 					left join 
                    (SELECT Id,Titulo,Email,Natureza,Cpf_Cnpj,Estadual,Rua,Numero,Cep,Bairro,Estado,Fone1,
                    Obs,Id_Cidade,Razao_Social,Contato,Endereco,Ponto_Referencia,Codigo FROM cliente) as cliente 
                    ON cliente.Id = venda.Id_Cliente
                    left join (SELECT Id,Titulo FROM cidade_ibge) as cidade_ibge ON cidade_ibge.Id = cliente.Id_Cidade
 					left join (SELECT Id,Titulo FROM funcionario) as funcionario ON funcionario.Id = venda.Id_Funcionario
                    left join (SELECT Id,Titulo FROM funcionario) as vendedor ON venda.Id_Vendedor = vendedor.Id
                    left join (SELECT Id,Titulo FROM tipo_pagamento) as tipo_pagamento ON tipo_pagamento.Id = venda.Id_Tipo_Pagamento
 					where venda.Id = '" . $_GET["id_venda"] . "'
					order by venda.Lancamento DESC");


$_GET["Unidade"] = $venda[0]["Id_Unidade"];

?>
<html>

<head>
    <title>Gw - Gesto Web</title>
    <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1" />
    <link rel="shortcut icon" href="../imagem/favi_gw.ico" type="image/x-icon" />
    <link rel="stylesheet" type="text/css" href="../estilo/<?php echo SKIN; ?>/tabela_imp.css" />
    <script type="text/javascript" language="javascript" src="../js/jquery.js"></script>
    <?php include '../include/script_cabeca.php'; ?>
    <script type="text/javascript" language="javascript" src="../js/script.js"></script>
    <script type="text/javascript" language="javascript" src="../js/meiomask/meiomask.js"></script>
    <script type="text/javascript" language="javascript" src="../js/meiomask/<?php if (PAIS == "USA") {
                                                                                    echo "mascaras-usa";
                                                                                } else {
                                                                                    echo "mascaras";
                                                                                } ?>.js"></script>
</head>

<body>

    <table width="98%" align="center">
        <!-- TABELA Q ENVOLVE TODO O CONTEUDO -->
        <tr>
            <td>
                <?php include "../include/cabecalho_pedido.php"; ?>
            </td>
        </tr>
        <tr>
            <td>
                <table width="100%" align="center">
                    <tr>
                        <td colspan="2" align="center">
                            <font face="verdana" size="3">
                                <b>
                                    <i>
                                        <?php
                                        if ((CLIENTE_EMAIL == 'amendoneto')) {
                                            echo "Pedido - " . $venda[0]["Lancamento"];
                                        } else {
                                            echo "Venda - " . $venda[0]["Lancamento"];
                                        }
                                        ?>
                                    </i>
                                </b>
                            </font>
                        </td>
                    </tr>
                </table>
            </td>
        </tr>
        <tr>
            <td>
                <table width="100%" align="center" class="tabela">
                    <tr>
                        <td width="70%">Cliente:
                            <?php
                            if (CLIENTE_RAZAO_SOCIAL == 'Sim') {
                                echo $venda[0]["Codigo"] . " - " . $venda[0]["Razao_Social"];
                            } else {
                                echo $venda[0]["Codigo"] . " - " . $venda[0]["Cliente"];
                            }
                            ?>
                        </td>
                        <td width="30%">Data: <?php echo data_exibir($venda[0]["Data_Venda"]); ?></td>
                    </tr>
                    <tr>
                        <td width="70%">End: <?php echo $venda[0]["Endereco"]; ?></td>
                        <td width="30%">Fone: <?php echo $venda[0]["Fone1"]; ?></td>
                    </tr>
                    <tr>
                        <td width="70%"><?php echo 'Bairro:' . $venda[0]["Bairro"] . ' Cidade:' .
                                            $venda[0]["Cidade"] . ' UF:' .
                                            $venda[0]["Estado"]; ?>
                        </td>
                        <?php if ($venda[0]["Natureza"] == "PF") { ?>
                            <td width="30%">CPF: <?php echo $venda[0]["Cpf_Cnpj"]; ?></td>
                        <?php } else { ?>
                            <td width="30%">CNPJ: <?php echo $venda[0]["Cpf_Cnpj"]; ?></td>
                        <?php } ?>
                    </tr>
                    <tr>
                        <td width="70%">Referncia: <?php echo $venda[0]["Ponto_Referencia"]; ?></td>
                        <td width="30%">E-mail: <?php echo $venda[0]["Email"]; ?></td>
                    </tr>
                    <tr>
                        <td width="70%">Pagamento: <?php echo $venda[0]["Tipo_Pagamento"]; ?></td>
                        <td width="30%">CEP: <?php echo $venda[0]["Cep"]; ?></td>
                    </tr>
                    <tr>
                        <td width="70%">Contato: <?php echo $venda[0]["Contato"]; ?></td>
                        <td width="30%">Frete: <?php echo $venda[0]["Frete"]; ?></td>
                    </tr>
                    <?php if ((CLIENTE_EMAIL == 'naturezaviva') || (CLIENTE_EMAIL == 'ciclovital')) { ?>
                        <tr>
                            <td width="70%">Romaneio: <?php echo $venda[0]["Romaneio"]; ?></td>
                            <td width="30%">Placa: <?php echo $venda[0]["Placa"]; ?></td>
                        </tr>
                    <?php } ?>
                    <tr>
                        <td width="70%">Obs: <?php echo $venda[0]["Obs_Venda"]; ?></td>
                        <td width="30%">Frete: <?php echo valor_exibir($venda[0]["Valor_Frete"]); ?></td>
                    </tr>
                </table>
            </td>
        </tr>
        <tr>
            <td>
                <table width="100%" align="center" class="tabela">
                    <tr>
                        <td colspan="12"><i>Produtos</i></td>
                    </tr>
                    <?php

                    $venda_pro = listar("SELECT DISTINCT venda_produto.Id,
                                        venda_produto.Preco as 'Preco_Venda',
                                        venda_produto.Qtd as 'Qtd_Venda',
                                        venda_produto.Desconto as 'Desconto_Venda',
                                        venda_produto.Desconto_Real,
                                        venda_produto.Unificado,
                                        venda_produto.Lote,
                                        venda_produto.Data_Validade,
                                        venda_produto.Data_Fabricacao,
                                        produto.Titulo as 'Produto',
                                        produto.Descricao,
                                        produto.Medida,
 					                    produto.Codigo,
                                        local_estoque.Titulo as Local_Estoque
 					                    from venda_produto
 					                    left join (SELECT Id,Titulo,Descricao,Codigo,Medida FROM produto) as produto ON produto.Id = venda_produto.Id_Produto
                                        left join (SELECT Id,Titulo FROM local_estoque) as local_estoque ON local_estoque.Id = venda_produto.Id_Local_Estoque
 					                    where venda_produto.Id_Venda = '" . $_GET["id_venda"] . "'
                                        GROUP BY venda_produto.Id_Produto,venda_produto.Lote
                                        ORDER BY venda_produto.Data_Cadastro ");

                    $x = 1;
                    foreach ($venda_pro as $chave) { ?>

                        <?php if ($x == 1) { ?>
                            <tr class="azul-claro">
                                <?php if ($chave["Unificado"]) { ?>
                                    <td width="3%">Unificado</td>
                                <?php } else { ?>
                                    <td></td>
                                <?php } ?>
                                <td width="3%">N</td>
                                <td width="10%">Cdigo</td>
                                <td>Produto</td>
                                <td width="8%">Lote</td>
                                <td width="8%">Validade</td>
                                <td width="8%">Fabricao</td>
                                <td width="5%">Qtd</td>
                                <td width="8%">Valor</td>
                                <td width="8%">Desc %</td>
                                <td width="8%">Desc $</td>
                                <td width="8%">Total</td>
                            </tr>
                        <?php } ?>

                        <tr>
                            <?php if ($chave["Unificado"]) { ?>
                                <td><?php echo $chave["Unificado"]; ?></td>
                            <?php } else { ?>
                                <td></td>
                            <?php $ab = '1';
                            } ?>
                            <td><?php echo $x; ?></td>
                            <td><?php echo $chave["Codigo"]; ?></td>
                            <td><?php echo $chave["Produto"]; ?></td>
                            <td><?php echo $chave["Lote"]; ?></td>
                            <td><?php echo data_exibir($chave["Data_Validade"]); ?></td>
                            <td><?php echo data_exibir($chave["Data_Fabricacao"]); ?></td>
                            <td><?php echo $chave["Qtd_Venda"]; ?></td>
                            <td><?php echo number_format($chave["Preco_Venda"], 2, ',', '.'); ?></td>
                            <td><?php echo number_format($chave["Desconto_Venda"], 2, ',', '.'); ?></td>
                            <td><?php echo number_format($chave["Desconto_Real"], 2, ',', '.'); ?></td>
                            <td>
                                <?php echo number_format((($chave['Qtd_Venda'] * $chave['Preco_Venda']) - (($chave['Qtd_Venda'] * $chave['Preco_Venda']) * ($chave['Desconto_Venda'] / 100))) - $chave['Desconto_Real'], 2, ',', '.'); ?>
                            </td>
            </td>
        </tr>
    <?php
                        $Qtd_Venda += $chave["Qtd_Venda"];
                        $Preco_Venda += $chave["Preco_Venda"];
                        $Desconto_Venda += $chave["Desconto_Venda"];
                        $Desconto_Real += $chave["Desconto_Real"];
                        $Total += (($chave["Preco_Venda"] * $chave["Qtd_Venda"]) -
                            (($chave["Preco_Venda"] * $chave["Qtd_Venda"]) * ($chave["Desconto_Venda"] / 100))) - $chave['Desconto_Real'];
                        $x++;
                    }
    ?>
    <tr>
        <td colspan="7"></td>
        <td><?php echo $Qtd_Venda; ?></td>
        <td></td>
        <td colspan="2">Subtotal</td>
        <td><?php echo number_format($Total, 2, ',', '.'); ?></td>

    </tr>
    <tr>
        <td colspan="9"></td>
        <td colspan="2">Desc</td>
        <td><?php echo number_format(($Total * ($venda[0]["Desconto"] / 100)) - $venda[0]["Desconto_Real"], 2, ',', '.'); ?>
        </td>

    </tr>
    <tr>
        <td colspan="9"></td>
        <td colspan="2">Total</td>
        <td><?php echo number_format((($Total - ($Total * ($venda[0]["Desconto"] / 100))) - $venda[0]["Desconto_Real"]), 2, ',', '.'); ?>
        </td>

    </tr>
    </table>
    </td>
    </tr>
    <?php
    $venda_parcela = listar("SELECT financeiro_pedido.*,
                                tipo_pagamento.Titulo as 'Tipo_Pagamento'
                           FROM financeiro_pedido
                      LEFT JOIN (SELECT Id,Titulo FROM tipo_pagamento) as tipo_pagamento ON tipo_pagamento.Id = financeiro_pedido.Id_Tipo_Pagamento
                          WHERE financeiro_pedido.Id_Externo = '" . $_GET["id_venda"] . "' 
                            AND financeiro_pedido.Id_Tipo_Pagamento <> '0'
                       ORDER BY financeiro_pedido.Ordem ");
    ?>
    <tr>
        <td>
            <table width="100%" align="center" class="tabela">
                <tr>
                    <td colspan="4"><i>Parcelas</i></td>
                </tr>
                <tr class="azul-claro">
                    <td>N</td>
                    <td>Vencimento</td>
                    <td>Valor</td>
                    <td>Tipo</td>
                </tr>
                <?php

                for ($i = 1; $i <= PARCELA_PAGAMENTO; $i++) {
                    $campo_tp .= " Taxa" . str_pad($i, 2, "0", STR_PAD_LEFT) . ", Prazo" . str_pad($i, 2, "0", STR_PAD_LEFT) . ", ";
                }
                $campo_tp = substr($campo_tp, 0, -2);

                foreach ($venda_parcela as $chave) {

                    $tip = mysqli_query($con, "SELECT $campo_tp
                                               FROM tipo_pagamento
                                              WHERE Id = '{$chave["Id_Tipo_Pagamento"]}'  ")
                        or die("ERRO no comando SQL:" . mysqli_error($con));
                    $array_tipo = mysqli_fetch_assoc($tip);


                    $z = 1;
                    for ($x = 1; $x <= PARCELA_PAGAMENTO; $x++) {

                        if ($x < 10) {
                            $z = '0' . $x;
                        }

                        if ($array_tipo["Prazo" . $z] == "") {
                            break;
                        }
                ?>
                        <tr>
                            <td><?php echo $x; ?></td>
                            <td><?php echo data_exibir($chave["Data$z"]) ?></td>
                            <td><?php echo number_format($chave["Valor$z"], 2, ',', '.') ?></td>
                            <td><?php echo $chave["Tipo_Pagamento"] ?></td>
                        </tr>
                <?php
                        $z++;
                    }
                }
                ?>
            </table>
        </td>
    </tr>
    </table>
    <br />
    <table width="98%" align="center">
        <tr>
            <td align="center">________________________</td>
            <td align="center">________________________</td>
        </tr>
        <tr>
            <td align="center">
                <font face="verdana" size="2">
                    <?php
                    if (CLIENTE_RAZAO_SOCIAL == 'Sim') {
                        echo $venda[0]["Razao_Social"];
                    } else {
                        echo $venda[0]["Cliente"];
                    }
                    ?>
                </font>
            </td>
            <td align="center">
                <font face="verdana" size="2">Representante: <?php echo $venda[0]["Vendedor"]; ?></font>
            </td>
        </tr>
    </table>

    <br>
</body>

</html>
<?php include "../include/rodape.php"; ?>