<?php
include_once '../include/conecta.php'; //Conecta com a nosso banco de dados MySQL
include_once '../include/ver_sessao.php'; //Verifica se a sesso est ativa
include_once '../include/funcoesPhp.php';
include_once '../menu_movimento.php';
?>
<?php
if (($_GET["Finalizado"]) || ($_GET["Aberto"]) || ($_GET["Cancelado"]) || ($_GET["Cotacao"]) || ($_GET["Fracionamento"])) {

    $status = "AND (";

    if ($_GET["Finalizado"]) {
        $status .= " venda.Status = 'Finalizado' OR";
    }
    if ($_GET["Aberto"]) {
        $status .= " venda.Status = 'Aberto' OR";
    }
    if ($_GET["Cancelado"]) {
        $status .= " venda.Status = 'Cancelado' OR";
    }
    if ($_GET["Cotacao"]) {
        $status .= " venda.Status = 'Cotacao' OR";
    }
    if ($_GET["Fracionamento"]) {
        $status .= " venda.Status = 'Fracionamento' OR";
    }

    $status = substr($status, 0, -2);
    $status .= ")";
}

if ($_GET['Data_Filtro'] == 'Data') {
    if ($_GET["De"])
        $data .= "AND venda.Data_Venda >= '" . data_banco($_GET["De"]) . " 00:00:00' ";
    if ($_GET["Ate"])
        $data .= "AND venda.Data_Venda <= '" . data_banco($_GET["Ate"]) . " 23:59:59' ";
}
if ($_GET['Data_Filtro'] == 'Conclusao') {
    if ($_GET["De"])
        $data .= "AND venda.Data_Conclusao >= '" . data_banco($_GET["De"]) . " 00:00:00' ";
    if ($_GET["Ate"])
        $data .= "AND venda.Data_Conclusao <= '" . data_banco($_GET["Ate"]) . " 23:59:59' ";
}

if ($_GET["Cliente"]) {

    $mystring = $_GET["Cliente"];
    $findme = " : ";

    $posicao = strpos($mystring, $findme);

    $cod_cli = substr($_GET["Cliente"], 0, $posicao);
    $nome_cli = substr($_GET["Cliente"], ($posicao + 3));


    if (CLIENTE_RAZAO_SOCIAL == 'Sim') {
        $nome = 'Razao_Social';
    } else {
        $nome = 'Titulo';
    }
    /* convertendo o nome do fornecedor, para o seu codigo */
    $Prodt = listar("SELECT Id FROM cliente WHERE " . $nome . " ='" . $nome_cli . "' AND Codigo = '" . $cod_cli . "' ");
    $_GET["Cliente"] = $Prodt[0]["Id"];

    $Cliente .= "AND venda.Id_Cliente = '" . $_GET["Cliente"] . "' ";
}

if ($_GET["Produto"]) {

    $mystring = $_GET["Produto"];
    $findme = " : ";

    $posicao = strpos($mystring, $findme);

    $cod_cli = substr($_GET["Produto"], 0, $posicao);
    $nome_cli = substr($_GET["Produto"], ($posicao + 3));


    /* convertendo o nome do fornecedor, para o seu codigo */
    $Prodt = listar("SELECT Id FROM produto WHERE Titulo='" . $nome_cli . "' AND Codigo = '" . $cod_cli . "' ");
    $_GET["Produto"] = $Prodt[0]["Id"];

    $venda_produto = "AND venda_produto.Id_Produto = '" . $_GET["Produto"] . "' ";
}

if ($_GET["Usuario"])
    $Usuario = "AND venda.Id_Usuario = '" . $_GET["Usuario"] . "' ";

if ($_GET["Funcionario"])
    $usuario_p .= "AND venda.Id_Funcionario = '" . $_GET["Funcionario"] . "' ";

if ($_GET["Vendedor"])
    $usuario_p .= "AND venda.Id_Vendedor = '" . $_GET["Vendedor"] . "' ";
if ($_GET["Vendedor2"])
    $usuario_p .= "AND venda.Id_Vendedor2 = '" . $_GET["Vendedor2"] . "' ";

if ($_GET["EF"])
    $usuario_p .= "AND venda.EF = '" . $_GET["EF"] . "' ";

if ($_GET["Unidade"]) {
    $Unidade = "AND venda.Id_Unidade = '" . $_GET["Unidade"] . "' ";
}
if ($_GET["Financeiro"]) {
    $faturamento = "AND venda.Financeiro = '" . $_GET["Financeiro"] . "' ";
}
if ($_GET["Estado"]) {
    $estado = "AND cliente.Estado = '" . $_GET["Estado"] . "' ";
}
if ($_GET["Ok"]) {
    $venda = mysqli_query($con, "SELECT venda.Id, venda.Lancamento,
                                venda.Status,
                                venda.Fatura,
                                venda.Frete,
                                venda.Valor_Frete,
                                venda.Despesa,
                                venda.Valor_Icms_Sub,
                                venda.Data_Venda,
                                venda.Data_Conclusao,
                                venda.EF,
                                venda.Desconto,
                                venda.Desconto_Real,
                                cliente.Titulo as Cliente,
                                cliente.Razao_Social,
                                cliente.Estado,
                                tipo_pagamento.Titulo as Tipo_Pagamento,
                                funcionario.Titulo as 'Funcionario',
                                vendedor.Titulo as 'Vendedor',
                                cfop.Cfop
                                from venda
                                left join (SELECT Id,Id_Produto,Id_Venda FROM venda_produto) as venda_produto ON venda_produto.Id_Venda = venda.Id
                                LEFT JOIN (SELECT Id,Titulo FROM funcionario) as vendedor ON vendedor.Id = venda.Id_Vendedor
                                LEFT JOIN (SELECT Id,Titulo FROM funcionario) as funcionario ON funcionario.Id = venda.Id_Funcionario
                                LEFT JOIN (SELECT Id,Titulo,Razao_Social,Estado FROM cliente) as cliente ON venda.Id_Cliente = cliente.Id
                                LEFT JOIN (SELECT Id,Titulo FROM tipo_pagamento) as tipo_pagamento ON venda.Id_Tipo_Pagamento = tipo_pagamento.Id
                                LEFT JOIN (SELECT Id,Cfop FROM cfop) as cfop ON venda.Id_Cfop = cfop.Id
                                WHERE 1=1
                                $data $status $usuario_p $Cliente $venda_produto $Unidade $Usuario $faturamento $estado
                                group by venda.Lancamento
                                order by venda.Lancamento");
}

?>
<html>

<head>
    <title>Gw - Gesto Web</title>
    <link rel="stylesheet" type="text/css" href="../estilo/<?php echo SKIN; ?>/tabela_imp.css" />
    <script type="text/javascript" language="javascript" src="../js/jquery.js"></script>
    <?php include '../include/script_cabeca.php'; ?>
    <script type="text/javascript" language="javascript" src="../js/script.js"></script>
    <script type="text/javascript" language="javascript" src="../js/meiomask/meiomask.js"></script>
    <script type="text/javascript" language="javascript" src="../js/meiomask/<?php if (PAIS == "USA") {
                                                                                    echo "mascaras-usa";
                                                                                } else {
                                                                                    echo "mascaras";
                                                                                } ?>.js"></script>
    <script type="text/javascript" language="javascript">
    window.onload = function() {
        window.print();
    }
    </script>
</head>

<body>
    <table width="98%" align="center">
        <!-- TABELA Q ENVOLVE TODO O CONTEUDO -->
        <tr>
            <td>
                <?php include "../include/cabecalho_relatorio.php"; ?>
            </td>
        </tr>
        <tr>
            <td>
                <font face="verdana" size="2"><i>Relatrio de Vendas</i></font>
            </td>
        </tr>
        <tr>
            <td>
                <font face="verdana" size="2">
                    <?php
                    if ($_GET["De"]) {
                        echo "Perodo: " . $_GET["De"];
                    }
                    if ($_GET["Ate"]) {
                        echo "  " . $_GET["Ate"];
                    }
                    if ($_GET["Funcionario"]) {
                        $achar = listar("Select Titulo from funcionario
			where Id = '" . $_GET["Funcionario"] . "' ");
                        echo " - " . $achar[0]["Titulo"];
                    }
                    if ($_GET["Cliente"]) {
                        if (CLIENTE_RAZAO_SOCIAL == 'Sim') {
                            $nome = 'Razao_Social';
                        } else {
                            $nome = 'Titulo';
                        }
                        $achar = listar("Select " . $nome . " as Titulo from cliente
			where Id = '" . $_GET["Cliente"] . "' ");
                        echo " - " . $achar[0]["Titulo"];
                    }
                    if ($_GET["Produto"]) {
                        $achar = listar("Select Titulo from produto
			where Id = '" . $_GET["Produto"] . "' ");
                        echo " - " . $achar[0]["Titulo"];
                    }
                    if ($_GET["Cancelado"]) {
                        echo " - " . $_GET["Cancelado"];
                    }
                    if ($_GET["Finalizado"]) {
                        echo " - " . $_GET["Finalizado"];
                    }
                    if ($_GET["Aberto"]) {
                        echo " - " . $_GET["Aberto"];
                    }
                    //se o sistema for Multi Empresa
                    if ((MULTI_EMPRESA == "Sim") && ($_SESSION["Id_Nivel"] == '1')) {

                        if ($_GET["Unidade"]) {
                            $achar = listar("Select Titulo from unidade
						where Id = '" . $_GET["Unidade"] . "' ");
                            echo " - " . $achar[0]["Titulo"];
                        }
                    }
                    ?>
                </font>
            </td>
        </tr>
        <tr>
            <td>
                <table width="100%" class="tabela">
                    <?php
                    if ($_GET["Ok"]) {

                        while ($chave = mysqli_fetch_assoc($venda)) {


                            $corStatus = "";
                            if ($chave['Status'] == 'Finalizado') {
                                $corStatus = "color = '#228B22' ";
                            }
                            if ($chave['Status'] == 'Aberto') {
                                $corStatus = "color = '#3A5FCD' ";
                            }
                            if ($chave['Status'] == 'Cancelado') {
                                $corStatus = "color = '#CD2626' ";
                            }
                    ?>
                    <tr class="azul-claro">
                        <td>N: <b><?php echo $chave["Lancamento"] ?></b></td>
                        <td>Fatura:
                            <b>
                                <?php
                                        if ($chave['EF'] == 'Sim') {
                                            echo $chave["Fatura"];
                                        }
                                        ?>
                            </b>
                        </td>
                        <td>Data: <b><?php echo data_exibir($chave["Data_Venda"]) ?></b></td>
                        <td colspan="2">Cliente:
                            <b>
                                <?php
                                        if (CLIENTE_RAZAO_SOCIAL == 'Sim') {
                                            echo $chave["Razao_Social"];
                                        } else {
                                            echo $chave["Cliente"];
                                        }
                                        ?>
                            </b>
                        </td>
                        <?php if (CLIENTE_EMAIL == 'panforno') { ?>
                        <td>Estado: <b><?php echo $chave["Estado"] ?></b></td>
                        <?php } else { ?>
                        <td>Frete: <b><?php echo $chave["Frete"] ?></b></td>
                        <?php } ?>
                        <td>Vendedor: <?php echo $chave["Vendedor"] ?></td>
                        <?php
                                $cod_auto2 = mysqli_query($con, "SELECT tipo_pagamento.Titulo
                                            FROM venda_tipo_pagamento
                                            LEFT JOIN (SELECT Id,Titulo FROM tipo_pagamento) as tipo_pagamento ON tipo_pagamento.Id = venda_tipo_pagamento.Id_Tipo_Pagamento
                                            WHERE venda_tipo_pagamento.Id_Venda = '" . $chave['Id'] . "'
                                            ORDER BY Ordem");
                                $ex_tip = '';
                                while ($valor1 = mysqli_fetch_assoc($cod_auto2)) {
                                    $ex_tip .= $valor1["Titulo"] . " ,";
                                }
                                $ex_tip = substr($ex_tip, 0, -2);
                                ?>
                        <td>Tipo Pagamento: <?php echo $ex_tip; ?></td>
                        <td>Cfop: <b><?php echo $chave["Cfop"] ?></b></td>
                        <td>Concluso: <?php echo data_exibir($chave["Data_Conclusao"]) ?></td>
                        <td>Status: <font <?php echo $corStatus ?>>
                                <b><?php echo $chave["Status"] ?></b>
                            </font>
                        </td>


                    </tr>
                    <tr>
                        <td>Cdigo</td>
                        <td colspan="2">Produto</td>
                        <td>Lote</td>
                        <td>Validade</td>
                        <td>Fabricao</td>
                        <td>Valor</td>
                        <td>Qtd</td>
                        <td>Desc %</td>
                        <td>Desc R$</td>
                        <td>Total</td>
                    </tr>
                    <?php
                            $produto = mysqli_query($con, "SELECT produto.Titulo,
                                    produto.Codigo,
                                    venda_produto.Preco,
                                    venda_produto.Qtd,
                                    venda_produto.Desconto,
                                    venda_produto.Desconto_Real,
                                    venda_produto.Lote,
                                    venda_produto.Data_Validade,
                                    venda_produto.Data_Fabricacao
                                    from venda_produto
                                    left join (SELECT Id,Titulo,Codigo FROM produto) as produto ON produto.Id = venda_produto.Id_Produto
                                    where venda_produto.Id_Venda = '" . $chave["Id"] . "'
                                    $venda_produto
                                    ORDER BY venda_produto.Data_Cadastro");
                            ?>
                    <?php
                            $color = "#F5F5F5";
                            $vtotal = '0';
                            while ($valor = mysqli_fetch_assoc($produto)) {

                                if ($color == "#F5F5F5") {
                                    $color = "#E8E8E8";
                                } else {
                                    $color = "#F5F5F5";
                                }

                            ?>
                    <tr bgcolor=<?php echo "$color"; ?>>
                        <td><?php echo $valor["Codigo"] ?></td>
                        <td colspan="2"><?php echo $valor["Titulo"] ?></td>
                        <td><?php echo $valor["Lote"] ?></td>
                        <td><?php echo data_exibir($valor["Data_Validade"]) ?></td>
                        <td><?php echo data_exibir($valor["Data_Fabricacao"]) ?></td>
                        <td><?php echo valor_exibir($valor["Preco"]); ?></td>
                        <td><?php echo valor_exibir($valor["Qtd"]) ?></td>
                        <td><?php echo valor_exibir($valor["Desconto"]) ?></td>
                        <td><?php echo valor_exibir($valor["Desconto_Real"]) ?></td>
                        <td><?php echo @valor_exibir((($valor["Preco"] * $valor["Qtd"]) - (($valor["Preco"] * $valor["Qtd"]) * ($valor["Desconto"] / 100))) - $valor["Desconto_Real"]); ?>
                        </td>
                    </tr>
                    <?php
                                $vtotal += ((($valor["Preco"] * $valor["Qtd"]) - (($valor["Preco"] * $valor["Qtd"]) * ($valor["Desconto"] / 100))) - $valor["Desconto_Real"]);
                            }
                            ?>
                    <tr>
                        <td colspan="5">&nbsp;</td>
                        <td>Icms Sub: <?php echo valor_exibir($chave["Valor_Icms_Sub"]); ?></td>
                        <td>Frete:
                            <?php
                                    if ($chave["Frete"] == 'CIF') {
                                        $v_frete = $chave["Valor_Frete"];
                                    } else {
                                        $v_frete = '0';
                                    }
                                    echo valor_exibir($v_frete);
                                    ?>
                        </td>
                        <td>Despesa: <?php echo valor_exibir($chave["Despesa"]); ?></td>
                        <td>Desconto %: <?php echo valor_exibir($chave["Desconto"]); ?></td>
                        <td>Desconto Real: <?php echo valor_exibir($chave["Desconto_Real"]); ?></td>
                        <td><b><?php echo valor_exibir((($vtotal) + $chave["Despesa"] + $v_frete + $chave["Valor_Icms_Sub"] - ($vtotal * ($chave["Desconto"] / 100))) - $chave["Desconto_Real"]); ?></b>
                        </td>
                    </tr>
                    <?php
                            $vtotalacum[$chave["Status"]] += (($vtotal) + $chave["Despesa"] + $v_frete + $chave["Valor_Icms_Sub"] - ($vtotal * ($chave["Desconto"] / 100))) - $chave["Desconto_Real"];
                            $vtotalacumA += (($vtotal) + $chave["Despesa"] + $v_frete + $chave["Valor_Icms_Sub"] - ($vtotal * ($chave["Desconto"] / 100))) - $chave["Desconto_Real"];
                            ?>
                    <tr>
                        <td colspan="11">&nbsp;</td>
                    </tr>
                    <?php }
                    } ?>

                    <tr>
                        <td colspan="4" align="right"><b>Valores Finais:</b> &nbsp;</td>
                        <td colspan="7" align="right">
                            Em Lanamento : <b><?php echo valor_exibir($vtotalacum["Aberto"]); ?></b>&nbsp;&nbsp;&nbsp;
                            Finalizado : <b><?php echo valor_exibir($vtotalacum["Finalizado"]); ?></b>&nbsp;&nbsp;&nbsp;
                            Cancelado : <b><?php echo valor_exibir($vtotalacum["Cancelado"]); ?></b>&nbsp;&nbsp;&nbsp;
                            Total Geral :
                            <b><?php echo valor_exibir($vtotalacum["Aberto"] + $vtotalacum["Finalizado"]); ?></b>
                        </td>
                    </tr>
                </table>
            </td>
        </tr>
    </table>
</body>

</html>