<?php
include_once '../include/conecta.php'; //Conecta com a nosso banco de dados MySQL
include_once '../include/ver_sessao.php'; //Verifica se a sesso est ativa
include_once '../include/funcoesPhp.php';
include_once '../menu_movimento.php';

if ($_GET['Data_Filtro'] == 'Vencimento') {
    if ($_GET["De"])
        $data .= "AND conta_receber.Data_Vencimento >= '" . data_banco($_GET["De"]) . " 00:00:00' ";
    if ($_GET["Ate"])
        $data .= "AND conta_receber.Data_Vencimento <= '" . data_banco($_GET["Ate"]) . " 23:59:59' ";
}
if ($_GET['Data_Filtro'] == 'Pagamento') {
    if ($_GET["De"])
        $data .= "AND conta_receber.Data_Pagamento >= '" . data_banco($_GET["De"]) . " 00:00:00' ";
    if ($_GET["Ate"])
        $data .= "AND conta_receber.Data_Pagamento <= '" . data_banco($_GET["Ate"]) . " 23:59:59' ";
}
if ($_GET['Data_Filtro'] == 'Emissao') {
    if ($_GET["De"])
        $data .= "AND conta_receber.Data_Emissao >= '" . data_banco($_GET["De"]) . " 00:00:00' ";
    if ($_GET["Ate"])
        $data .= "AND conta_receber.Data_Emissao <= '" . data_banco($_GET["Ate"]) . " 23:59:59' ";
}

if ($_GET["Cliente"])
    $cliente = "AND conta_receber.Id_Cliente = '" . $_GET["Cliente"] . "' ";

if ($_GET["Unidade"]) {
    $Unidade = "AND conta_receber.Id_Unidade = '" . $_GET["Unidade"] . "' ";
}

if ($_GET["Ok"]) {
    $produto = mysqli_query($con, "SELECT DISTINCT vendedor.Id as Id_Vendedor,
                            vendedor.Titulo as 'Vendedor',
                            conta_receber.Id_Externo,
                            venda.Id_Vendedor
                            FROM (SELECT Id,
                                        Lancamento,
                                        Status,
                                        Data_Vencimento,
                                        Data_Pagamento,
                                        Data_Emissao,
                                        Id_Cliente,
                                        Id_Tipo_Pagamento,
                                        Id_Unidade,
                                        Id_Externo
                                        FROM conta_receber
                                        WHERE 1=1 
                                        AND conta_receber.Status = 'Liquidado'
                                        $data 
                                        $cliente 
                                        $Unidade) as conta_receber
                            INNER JOIN(SELECT Id,Id_Vendedor FROM venda WHERE 1=1 $cliente1 ) as venda ON venda.Id = conta_receber.Id_Externo
                            INNER JOIN (SELECT Id, Titulo,Id_Categoria_Tipo_Pagamento FROM tipo_pagamento) as tipo_pagamento ON tipo_pagamento.Id = conta_receber.Id_Tipo_Pagamento
                            INNER JOIN (SELECT Id, Titulo FROM funcionario) as vendedor ON vendedor.Id = venda.Id_Vendedor
                            WHERE venda.Id_Vendedor = 'd7e932a293c85b51c64f48c15dc55e66'
                            GROUP BY vendedor.Id
                            ORDER BY conta_receber.Data_Vencimento,
                            conta_receber.Data_Pagamento,
                            conta_receber.Lancamento ");
}

?>
<html>

<head>
    <title>Gw - Gesto Web</title>
    <link rel="stylesheet" type="text/css" href="../estilo/<?php echo SKIN; ?>/tabelas.css" />
    <link rel="stylesheet" type="text/css" href="../js/datePicker/datePicker.css" />
    <script type="text/javascript" language="javascript" src="../js/jquery.js"></script>
    <?php include '../include/script_cabeca.php'; ?>
    <script type="text/javascript" language="javascript" src="../js/script.js"></script>
    <script type="text/javascript" language="javascript" src="../js/meiomask/meiomask.js"></script>
    <script type="text/javascript" language="javascript" src="../js/meiomask/<?php if (PAIS == "USA") {
        echo "mascaras-usa";
    } else {
        echo "mascaras";
    } ?>.js"></script>
    <script type="text/javascript" language="javascript" src="../js/blockUI/blockUI.js"></script>
    <script language="javascript" type="text/javascript" src="../js/datePicker/<?php if (PAIS == "USA") {
        echo "date";
    } else {
        echo "date-pt";
    } ?>.js">
    </script>
    <script type="text/javascript" src="../js/datePicker/jquery.datePicker.js"></script>
    <script type="text/javascript" language="javascript">
    Date.firstDayOfWeek = 0;
    <?php if (PAIS == "USA") {
            echo "Date.format='mm/dd/yyyy';";
        } else {
            echo "Date.format='dd/mm/yyyy';";
        } ?>
    $(function() {
        $('.date-pick').datePicker({
            startDate: '01/01/1990'
        })
    });
    </script>
    <style type="text/css">
    thead {
        display: table-header-group;
    }

    tfoot {
        display: table-footer-group;
    }
    </style>
</head>

<body>
    <table width="100%" height="400px">
        <tr>
            <td>
                <table width="100%">
                    <tr>
                        <td align="left">
                            <font face="verdana" size="2">
                                <i>
                                    <b>Relatrio de Lucro Por Produto Vendido Sobre Ttulo Recebido</b>
                                </i>
                            </font>
                        </td>
                        <td align="center">
                            <a href='imp_pdf_venda_mt.php?<?php echo $_SERVER["QUERY_STRING"] ?>'
                                title="Pdf"><img src="../imagem/pdfG.png" border="0" alt="Pdf" title="Pdf" /></a>
                            <br />
                            <font face="verdana" size="2"><i>Pdf</i></font>
                        </td>
                        <td align="center">
                            <a href='imp__venda_mt.php?<?php echo $_SERVER["QUERY_STRING"] ?>'
                                title="Excel"><img src="../imagem/excelG.png" border="0" alt="Excel"
                                    title="Excel" /></a>
                            <br />
                            <font face="verdana" size="2"><i>Excel</i></font>
                        </td>
                        <td align="center">
                            <a href="imp_rel_venda_mt.php?<?php echo $_SERVER["QUERY_STRING"] ?>"
                                title="Imprimir" target="_blank"><img src="../imagem/imprimirG.png" border="0"
                                    alt="Imprimir" title="Imprimir"></a>
                            <br />
                            <font face="verdana" size="2"><i>Imprimir</i></font>
                        </td>
                    </tr>
                </table>
            </td>
        </tr>
        <tr>
            <td>
                <form action="" method="get">
                    <table width="100%" class="busca_rel">
                        <tr class="azul">
                            <td>De<input type="text" name="De" id="De" class="date-pick" size="10"
                                    value="<?php echo $_GET["De"]; ?>"></td>
                            <td>At<input type="text" name="Ate" id="Ate" class="date-pick" size="10"
                                    value="<?php echo $_GET["Ate"]; ?>"></td>
                            <?php
                            if ($_GET['Data_Filtro'] == 'Vencimento') {
                                $Vencimento = 'checked';
                            } else if ($_GET['Data_Filtro'] == 'Pagamento') {
                                $Pagamento = 'checked';
                            } else if ($_GET['Data_Filtro'] == 'Emissao') {
                                $Emissao = 'checked';
                            } else {
                                $Vencimento = 'checked';
                            }
                            ?>
                            <td>
                                <input type="radio" name="Data_Filtro" value='Vencimento' id="Data_Filtro"
                                    <?php echo $Vencimento; ?>><label class="label_radio"
                                    for="Vencimento">Vencimento</label>
                                <input type="radio" name="Data_Filtro" value='Pagamento' id="Data_Filtro"
                                    <?php echo $Pagamento; ?>><label class="label_radio"
                                    for="Pagamento">Pagamento</label>
                                <input type="radio" name="Data_Filtro" value='Emissao' id="Data_Filtro"
                                    <?php echo $Emissao; ?>><label class="label_radio" for="Emissao">Emisso</label>
                            </td>
                            <td>
                                <?php
                                if (CLIENTE_RAZAO_SOCIAL == 'Sim') {
                                    $nome = 'Razao_Social';
                                } else {
                                    $nome = 'Titulo';
                                }
                                echo select_banco2(
                                    "SELECT Id, " . $nome . " as Titulo from cliente WHERE Tipo_Cliente = 'Cliente' order by Titulo",
                                    "Cliente",
                                    "Cliente",
                                    "Cliente",
                                    $_GET['Cliente'],
                                    'style="width:300px"'
                                );
                                ?>
                            </td>
                            <td>

                                <?php
                                //se o sistema for Multi Empresa
                                if (MULTI_EMPRESA == "Sim") {

                                    //se o usuario for de gerente acima ele escolhe pra quem vai
                                    if (ESCOLHER_EMPRESA == 'Sim') {
                                        ?>

                                <?php echo select_banco2(
                                            "SELECT Id,Titulo FROM unidade WHERE Ativo='Sim' ORDER BY Titulo",
                                            "Unidade",
                                            "Unidade",
                                            "Empresa",
                                            $_GET["Unidade"],
                                            'style="width:200px"',
                                            ""
                                        );
                                        ?>

                                <?php
                                    } else {
                                        echo "<input type='hidden' name='Unidade' id='Unidade' value='" . $_SESSION["Unidade"] . "' >";
                                    }
                                } else {
                                    echo "<input type='hidden' name='Unidade' id='Unidade' value='" . $_SESSION["Unidade"] . "' >";
                                }
                                ?>

                            </td>
                        
                            <td>
                                <input type="submit" value="Ok" name="Ok">
                            </td>
                        </tr>
                    </table>
                </form>
            </td>
        </tr>
        <tr>
            <td>
                <table width="100%" class="tabela">
                    <?php
                    if ($_GET["Ok"]) {

                        $y = 1;
                        $color = "#F5F5F5";
                        while ($valor = mysqli_fetch_assoc($produto)) {
                            ?>
                    <tr class="cinza">
                        <td colspan="18">
                            <b>Vendedor : </b><?php echo $valor["Vendedor"]; ?>
                        </td>
                    </tr>
                    <?php

                            $produto1 = mysqli_query($con, "SELECT cliente.Titulo as 'Cliente',
                            cliente.Razao_Social,
                            DATE_FORMAT(cliente.Data_Cadastro, '%Y') as Data_Cadastro,
                            conta_receber.Lancamento,
                            conta_receber.Descricao,
                            conta_receber.Data_Emissao,
                            conta_receber.Data_Vencimento,
                            conta_receber.Data_Pagamento,
                            conta_receber.Valor_Original,
                            conta_receber.Valor_Desconto,
                            IF(Credito_Cliente='Sim',
                            Valor_Original,
                            Valor_Pago) as Valor_Pago,
                            conta_receber.Fatura,
                            conta_receber.Id_Externo,
                            conta_receber.Status,
                            venda.Fatura as NF_Fatura,
                            tipo_pagamento.Titulo as 'Tipo_Pagamento'
                            FROM (SELECT Id,
                                    Status,
                                    Data_Vencimento,
                                    Data_Pagamento,
                                    Lancamento,
                                    Data_Emissao,
                                    Valor_Desconto,
                                    Id_Tipo_Pagamento,
                                    Id_Cliente,
                                    Id_Externo,
                                    Id_Conta,
                                    Id_Unidade,
                                    Descricao,
                                    Valor_Original,
                                    Valor_Pago,
                                    Fatura,
                                    Credito_Cliente
                                    FROM conta_receber
                                    WHERE 1=1
                                    AND conta_receber.Status = 'Liquidado'
                                    $data $cliente $Unidade) as conta_receber
                            INNER JOIN (SELECT Id,Id_Vendedor,Fatura FROM venda WHERE Id_Vendedor = 'd7e932a293c85b51c64f48c15dc55e66' $cliente1 $cliente2 ) as venda ON venda.Id = conta_receber.Id_Externo
                            LEFT JOIN (SELECT Id, Titulo,Razao_Social,Data_Cadastro FROM cliente) as cliente ON cliente.Id = conta_receber.Id_Cliente
                            INNER JOIN (SELECT Id, Titulo FROM tipo_pagamento) as tipo_pagamento ON tipo_pagamento.Id = conta_receber.Id_Tipo_Pagamento
                            WHERE 1=1
                            ORDER BY conta_receber.Data_Vencimento,
                            conta_receber.Data_Pagamento,
                            conta_receber.Lancamento ");

                            $Valor_Aberto = '0';
                            $Valor_Liqu = '0';
                            $Valor_Can = '0';

                            $y = 1;
                            $color = "#F5F5F5";
                            while ($chave = mysqli_fetch_assoc($produto1)) {
                                if ($color == "#F5F5F5") {
                                    $color = "#E8E8E8";
                                } else {
                                    $color = "#F5F5F5";
                                }


                                $corStatus = "";
                                if ($chave['Status'] == 'Liquidado') {
                                    $corStatus = "color = '#228B22' ";
                                }
                                ?>
                    <tr class="azul-claro">
                        <td colspan="7"><b>Cliente: </b><?php
                                    if (CLIENTE_RAZAO_SOCIAL == 'Sim') {
                                        echo $chave["Razao_Social"];
                                    } else {
                                        echo $chave["Cliente"];
                                    }
                                    ?>
                        </td>
                        <td colspan="3"><b>Fatura: </b><?php echo $chave["Fatura"] ?></td>
                        <td colspan="2"><b>Tipo Pagamento: </b><?php echo $chave["Tipo_Pagamento"] ?></td>
                        <td colspan="2"><b>Pagamento: </b><?php echo data_exibir($chave["Data_Pagamento"]) ?></td>
                        <td colspan="3"><b>Valor Original: <?php echo valor_exibir($chave["Valor_Original"]) ?></td>
                        <td>
                            <font <?php echo $corStatus ?>>
                                <b><?php echo $chave["Status"] ?></b>
                            </font>
                        </td>
                        <?php
                                    if ($chave["Status"] == 'Liquidado') {
                                        $Valor_Liqu += $chave["Valor_Pago"];
                                        $Valor_LiquT += $chave["Valor_Pago"];
                                    }
                                   
                                    ?>
                    </tr>
                    <?php $y++;
                                $buscaParcelas = mysqli_query($con, "SELECT COUNT(Id) as Contador
                                                from conta_receber
                                                where conta_receber.Id_Externo= '" . $chave["Id_Externo"] . "'
                                                ORDER BY conta_receber.Data_Cadastro");
                                $totalParcelas = mysqli_fetch_assoc($buscaParcelas);
                                ?>

                    <tr>
                        <td colspan="5">Produto</td>
                        <td>Qtd</td>
                        <td>Custo</td>
                        <td>Icms</td>
                        <td>Pis</td>
                        <td>Cofins</td>
                        <td>Icms Sub</td>
                        <td>Despesa</td>
                        <td>Preo</td>
                        <td>Total Custo</td>
                        <td>Total Venda</td>
                        <td>0<?php echo $totalParcelas["Contador"] ?> Parcela(s)</td>
                        <td>Custo <i>Recebido</i></td>
                        <td>Lucro</td>

                    </tr>
                    <?php
                                $buscaItensVenda = mysqli_query($con, "SELECT produto.Titulo,
                                                                                            produto.Codigo,
                                                                                            venda_produto.Preco_Custo,
                                                                                            venda_produto.Preco,
                                                                                            venda_produto.Qtd,
                                                                                            venda_produto.Desconto,
                                                                                            venda_produto.Desconto_Real,
                                                                                            venda_produto.Id_Produto,
                                                                                            venda_produto.Id_Funcionario
                                                                                            FROM venda_produto
                                                                                            LEFT JOIN (SELECT Id,Titulo,Codigo FROM produto) as produto ON produto.Id = venda_produto.Id_Produto
                                                                                            WHERE venda_produto.Id_Venda = '" . $chave["Id_Externo"] . "'
                                                                                            AND venda_produto.Id_Funcionario = 'd7e932a293c85b51c64f48c15dc55e66'
                                                                                            GROUP BY venda_produto.Preco_Custo
                                                                                            ORDER BY venda_produto.Data_Cadastro");
                                $vtotal= 0;
                                $parcelas = 0;
                                $tCusto = 0;
                                $tFaturado = 0;
                                while ($itensVenda = mysqli_fetch_assoc($buscaItensVenda)) {

                                    ?>
                    <tr bgcolor=<?php echo "$color"; ?>>
                        <td colspan="5"><?php echo $itensVenda["Codigo"] . ': ' . $itensVenda["Titulo"] ?></td>
                        <td><?php echo valor_exibir($itensVenda["Qtd"]) ?></td>
                        <td><?php echo valor_exibir($itensVenda["Preco_Custo"]); ?></td>
                        <td>
                            <?php
                                $buscaIcms = mysqli_query($con,"SELECT Icms_Real 
                                                                                FROM nfe_pedido_produto 
                                                                               WHERE nfe_pedido_produto.Id_Pedido = '" . $chave["Id_Externo"] . "'
                                                                               AND nfe_pedido_produto.Id_Produto = '" . $itensVenda["Id_Produto"] . "' ");
                                $retornoIcms = mysqli_fetch_assoc($buscaIcms);
                                echo valor_exibir($retornoIcms["Icms_Real"]/$itensVenda["Qtd"])?>
                        </td>
                        <td>
                            <?php
                                $buscaPis = mysqli_query($con,"SELECT Pis_Real 
                                                                                FROM nfe_pedido_produto 
                                                                               WHERE nfe_pedido_produto.Id_Pedido = '" . $chave["Id_Externo"] . "'
                                                                               AND nfe_pedido_produto.Id_Produto = '" . $itensVenda["Id_Produto"] . "' ");
                                $retornoPis = mysqli_fetch_assoc($buscaPis);
                                echo valor_exibir($retornoPis["Pis_Real"]/$itensVenda["Qtd"])?>
                        </td>
                        <td>
                            <?php
                                $buscaCofins = mysqli_query($con,"SELECT Cofins_Real 
                                                                                FROM nfe_pedido_produto 
                                                                               WHERE nfe_pedido_produto.Id_Pedido = '" . $chave["Id_Externo"] . "'
                                                                               AND nfe_pedido_produto.Id_Produto = '" . $itensVenda["Id_Produto"] . "' ");
                                $retornoCofins = mysqli_fetch_assoc($buscaCofins);
                                echo valor_exibir($retornoCofins["Cofins_Real"]/$itensVenda["Qtd"])?>
                        </td>
                        <td>
                            <?php
                                $buscaIcmsSub = mysqli_query($con,"SELECT Icms_Sub_Real 
                                                                                FROM nfe_pedido_produto 
                                                                               WHERE nfe_pedido_produto.Id_Pedido = '" . $chave["Id_Externo"] . "'
                                                                               AND nfe_pedido_produto.Id_Produto = '" . $itensVenda["Id_Produto"] . "' ");
                                $retornoIcmsSub = mysqli_fetch_assoc($buscaIcmsSub);
                                echo valor_exibir($retornoIcmsSub["Icms_Sub_Real"]/$itensVenda["Qtd"])?>
                        </td>
                        <td>
                            <?php
                                $contaLinha = mysqli_query($con, "SELECT COUNT(Id) as Contador
                                                                    from venda_produto
                                                                    where venda_produto.Id_Venda= '" . $chave["Id_Externo"] . "'
                                                                    ORDER BY venda_produto.Data_Cadastro");
                                $totalLinha = mysqli_fetch_assoc($contaLinha);

                                $buscaDespesa = mysqli_query($con,"SELECT Icms_Sub_Real 
                                                                                FROM nfe_pedido_produto 
                                                                               WHERE nfe_pedido_produto.Id_Pedido = '" . $chave["Id_Externo"] . "'
                                                                               AND nfe_pedido_produto.Id_Produto = '" . $itensVenda["Id_Produto"] . "' ");
                                $retornoDespesa = mysqli_fetch_assoc($buscaDespesa);
                                echo valor_exibir(($retornoDespesa["Despesa"]/$itensVenda["Qtd"]) + (($chave['Valor_Desconto']/$totalLinha['Contador'])) )?>
                        </td>
                        <td><?php echo valor_exibir($itensVenda["Preco"]); ?></td>
                        <td><?php echo valor_exibir($custo = (
                                                     ($itensVenda["Preco_Custo"] * $itensVenda["Qtd"]) + 
                                                     $retornoIcms["Icms_Real"] +
                                                     $itensPis["Pis_Real"] +
                                                     $retornoCofins["Cofins_Real"] +
                                                     $retornoIcmsSub["Icms_Sub_Real"] +
                                                     ($retornoDespesa["Despesa"]+($chave['Valor_Desconto']/$totalLinha['Contador'])))); 
                            ?>
                        </td>
                        <td><?php echo @valor_exibir((($itensVenda["Preco"] * $itensVenda["Qtd"]) - (($itensVenda["Preco"] * $itensVenda["Qtd"]) * ($itensVenda["Desconto"] / 100))) - $itensVenda["Desconto_Real"]); ?>
                        </td>
                        <td><?php
                                        $valorTotal = ((($itensVenda["Preco"] * $itensVenda["Qtd"]) - (($itensVenda["Preco"] * $itensVenda["Qtd"]) * ($itensVenda["Desconto"] / 100))) - $itensVenda["Desconto_Real"]);

                                        echo valor_exibir($valorTotal / $totalParcelas['Contador']);
                                        ?>
                        </td>
                        <td>
                            <?php  $custo = (($itensVenda["Preco_Custo"] * $itensVenda["Qtd"]) + 
                                                                        $retornoIcms["Icms_Real"] +
                                                                        $itensPis["Pis_Real"] +
                                                                        $retornoCofins["Cofins_Real"] +
                                                                        $retornoIcmsSub["Icms_Sub_Real"] +
                                                                        ($retornoDespesa["Despesa"]+($chave['Valor_Desconto']/$totalLinha['Contador']))); 
                                            echo valor_exibir($custo/$totalParcelas['Contador']);
                            ?>
                        </td>
                        <td>
                            <?php 
                                            $custo = (($itensVenda["Preco_Custo"] * $itensVenda["Qtd"]) + 
                                                                                    $retornoIcms["Icms_Real"] +
                                                                                    $itensPis["Pis_Real"] +
                                                                                    $retornoCofins["Cofins_Real"] +
                                                                                    $retornoIcmsSub["Icms_Sub_Real"] +
                                                                                    ($retornoDespesa["Despesa"]+($chave['Valor_Desconto']/$totalLinha['Contador']))); 
                                            $faturado = ((($itensVenda["Preco"] * $itensVenda["Qtd"]) - (($itensVenda["Preco"] * $itensVenda["Qtd"]) * ($itensVenda["Desconto"] / 100))) - $itensVenda["Desconto_Real"]);
                                            $lucro = $faturado - $custo;
                                            echo valor_exibir($lucro/$totalParcelas['Contador']);
                                            ?>
                        </td>
                    </tr>
                    <?php
                                    $vtotal += ((($itensVenda["Preco"] * $itensVenda["Qtd"]) - (($itensVenda["Preco"] * $itensVenda["Qtd"]) * ($itensVenda["Desconto"] / 100))) - $itensVenda["Desconto_Real"]);
                                    $parcelas += $valorTotal;
                                    $tCusto +=  $custo; 
                                    $tFaturado += $faturado;
                                } ?>
                    <tr>
                        <td colspan="13"></td>
                        <td>
                            <?php echo number_format($tCusto, 2, ",", "."); ?>
                        </td>
                         <td>
                            <?php echo number_format($vtotal, 2, ",", "."); ?>
                        </td>
                        <td>
                            <?php echo number_format(($parcelas/ $totalParcelas['Contador']), 2, ",", "."); ?>
                        </td>
                        <td>
                            <?php echo number_format(($tCusto/ $totalParcelas['Contador']), 2, ",", "."); ?>
                        </td>
                        <td>
                            <?php echo number_format((($tFaturado - $tCusto)/$totalParcelas['Contador']), 2, ",", "."); ?>
                        </td>
                    </tr>
                    <tr>
                        <td colspan="12">&nbsp;</td>
                    </tr>
                    <?php
                    $gtCusto += $tCusto;

                    $gtFaturado += $tFaturado;
                            }
                            ?>
                    <tr>
                        <td colspan="18">&nbsp;</td>
                    </tr>
                    <?php
                        }
                    }
                    ?>
                    <tr>
                        <td style="float:center" colspan="18" align="right">
                            <span><b>Total: </b></span>
                            <span style="color: #228B22;" ><b><?php echo valor_exibir($gtFaturado); ?></b></span> - 
                            <span style="color: red;" ><b><?php echo valor_exibir($gtCusto); ?></b></span> = 
                            <span style="color: red;" ><b><?php echo valor_exibir($gtFaturado - $gtCusto); ?></b></span>
                        </td>
                    </tr>
                </table>
                <br />
            </td>
        </tr>
        <tr>
            <td>
                <div id="div_resposta"></div>
            </td>
        </tr>
    </table>
</body>

</html>