<?php

include_once '../../include/conecta.php'; //Conecta com a nosso banco de dados MySQL
include_once '../../include/ver_sessao.php'; //Verifica se a sesso est ativa
include_once '../../include/funcoesPhp.php';
include_once '../../menu_movimento.php';

ob_start();

$consulta = utf8_decode($_POST['Produto']);
$n_pro = $consulta;

$posicao1 = strpos($n_pro, " (SALDO");
$n_pro = trim(substr($n_pro, 0, $posicao1));

$mystring = $n_pro;
$findme = " : ";

$posicao = strpos($mystring, $findme);

$cod_pro = substr($n_pro, 0, $posicao);
$nome_pro = substr($n_pro, ($posicao + 3));

$custo = mysqli_query($con, "SELECT Id, Id_Categoria_Produto FROM produto WHERE Titulo='" . $nome_pro . "' AND Codigo = '" . $cod_pro . "' ");
$custo = mysqli_fetch_assoc($custo);


if ($_POST['Local_Estoque'] == '') {
    $_POST['Local_Estoque'] = '1';
}

if ($_POST['Alterar'] == 'Sim') {
    $custo = mysqli_query($con, "SELECT Id, Id_Categoria_Produto FROM produto WHERE Id = '" . $_POST['Produto'] . "' ");
    $custo = mysqli_fetch_assoc($custo);
}

if (CLIENTE_EMAIL == 'tupanfarmadistribuidora' && $custo['Id_Categoria_Produto'] == '52') {

    echo '<select name="Lote" id="Lote" onchange="atualizaPrecoCusto(this);">';

    $query = "SELECT estoque.Lote, estoque.Data_Validade, estoque.Preco_Custo, 
                 SUM(estoque.Qtd) as Estoque
          FROM estoque 
          WHERE estoque.Concluido = 'Sim' 
          AND estoque.Id_Produto = '" . mysqli_real_escape_string($con, $custo["Id"]) . "'
          AND Id_Unidade = '" . mysqli_real_escape_string($con, $_POST['Unidade']) . "'
          AND Id_Local_Estoque = '" . mysqli_real_escape_string($con, $_POST['Local_Estoque']) . "'
          GROUP BY estoque.Lote, estoque.Preco_Custo
          HAVING Estoque > 0
          ORDER BY estoque.Data_Validade, estoque.Preco_Custo";

    $retornoLote = mysqli_query($con, $query);

    while ($lote = mysqli_fetch_assoc($retornoLote)) {
        $selected = (isset($_POST["Lote"]) && $_POST["Lote"] == $lote["Lote"]) ? 'selected' : '';

        echo '<option value="' . $lote["Lote"] . '" data-preco="' . $lote["Preco_Custo"] . '" ' . $selected . '>' .
            $lote["Lote"] . ' | Validade: ' . data_exibir($lote['Data_Validade']) .
            ' | Qtd:' . number_format($lote["Estoque"], 2, ',', '.') .
            '</option>';
    }

    echo '</select>';
    ?>
    <input type="hidden" name="Preco_Custo" id="Preco_Custo" />

    <script>
        function atualizaPrecoCusto(select) {
            let precoCusto = select.options[select.selectedIndex].getAttribute("data-preco");
            document.getElementById("Preco_Custo").value = precoCusto;
        }
    </script>
    <?php
} else {
    echo select_banco("SELECT estoque.Lote as Id,CONCAT(estoque.Lote,' - ',DATE_FORMAT(estoque.Data_Validade, '%d/%m/%Y'),' - ', FORMAT( SUM(estoque.Qtd), 2) ) as Titulo,
                        SUM(estoque.Qtd) as Estoque_Atual
                        FROM (SELECT Id,
                                    Titulo
                              FROM produto 
                              WHERE produto.Tipo_Produto = 'P'
                              AND Id = '" . $custo["Id"] . "' )
                        as produto
                        LEFT JOIN
                        (SELECT Id_Produto,Qtd,Concluido,Id_Unidade,Id_Local_Estoque,Lote,Data_Validade,Data_Fabricacao 
                        FROM estoque WHERE estoque.Concluido = 'Sim' 
                        AND Id_Unidade = '" . $_POST['Unidade'] . "'
                        AND Id_Local_Estoque = '" . $_POST['Local_Estoque'] . "') as estoque
                        ON produto.Id = estoque.Id_Produto
                        where 1=1 
                        GROUP BY estoque.Lote,produto.Id " . LOTE_TIPO . " 
                        HAVING Estoque_Atual > '0' 
                        order by estoque.Data_Validade",
        "Lote",
        "Lote",
        $_POST["Lote"],
        'onchange="BuscaValidade(this.value, 0);"',
        ""
    );

}

$pagina = ob_get_contents();
ob_end_clean();
echo utf8_encode($pagina);
?>