<?php
include_once '../include/conecta.php'; //Conecta com a nosso banco de dados MySQL
include_once '../include/ver_sessao.php'; //Verifica se a sesso est ativa
include_once '../include/funcoesPhp.php';
include_once '../menu_movimento.php';

if ($_GET["De"])
    $data .= "AND ponto_funcionario.Data_Cadastro >= '" . data_banco($_GET["De"]) . " 00:00:00' ";
if ($_GET["Ate"])
    $data .= "AND ponto_funcionario.Data_Cadastro <= '" . data_banco($_GET["Ate"]) . " 23:59:59' ";

if ($_GET["Funcionario"])
    $vend .= "AND ponto_funcionario.Id_Funcionario = '" . $_GET["Funcionario"] . "' ";

if ($_GET["Unidade"]) {
    $Unidade = "and ponto_funcionario.Id_Unidade = '" . $_GET["Unidade"] . "' ";
}


$cliente = mysqli_query($con, "SELECT DISTINCT funcionario.Id,
                                            funcionario.Titulo as Funcionario
                                            FROM venda_ponto_funcionario
                                            left join (SELECT Id, Titulo FROM funcionario) as funcionario ON funcionario.Id = venda_ponto_funcionario.Id_Funcionario
                                            where venda_ponto_funcionario.Id_Venda = '{$_GET['id_venda']}'
                                            ORDER BY funcionario.Titulo");

?>
<html>

<head>
    <title>Gw - Gesto Web</title>
    <link rel="stylesheet" type="text/css" href="../estilo/<?php echo SKIN; ?>/tabelas.css" />
    <link rel="stylesheet" type="text/css" href="../js/datePicker/datePicker.css" />
    <script type="text/javascript" language="javascript" src="../js/jquery.js"></script>
    <?php include '../include/script_cabeca.php'; ?>
    <script type="text/javascript" language="javascript" src="../js/script.js"></script>
    <script type="text/javascript" language="javascript" src="../js/meiomask/meiomask.js"></script>
    <script type="text/javascript" language="javascript" src="../js/meiomask/<?php if (PAIS == "USA") {
        echo "mascaras-usa";
    } else {
        echo "mascaras";
    } ?>.js"></script>
    <script type="text/javascript" language="javascript" src="../js/blockUI/blockUI.js"></script>
    <script language="javascript" type="text/javascript" src="../js/datePicker/<?php if (PAIS == "USA") {
        echo "date";
    } else {
        echo "date-pt";
    } ?>.js"></script>
    <script type="text/javascript" src="../js/datePicker/jquery.datePicker.js"></script>
    <script language="javascript" type="text/javascript">
        Date.firstDayOfWeek = 0;
        <?php if (PAIS == "USA") {
            echo "Date.format='mm/dd/yyyy';";
        } else {
            echo "Date.format='dd/mm/yyyy';";
        } ?>
        $(function () {
            $('.date-pick').datePicker({ startDate: '01/01/1990' })
        });
    </script>

    <style type="text/css">
        thead {
            display: table-header-group;
        }

        tfoot {
            display: table-footer-group;
        }
    </style>
</head>

<body>
    <table width="100%" height="400px"><!-- TABELA Q ENVOLVE TODO O CONTEUDO -->
        <tr>
            <td>
                <form action="" method="get">
                    <table width="100%" class="busca_rel">
                        <tr class="azul">
                            <td><input type="text" name="De" id="De" class="date-pick"
                                    value="<?php echo $_GET["De"]; ?>">&nbsp;&nbsp;&nbsp;De</td>
                            <td><input type="text" name="Ate" id="Ate" class="date-pick"
                                    value="<?php echo $_GET["Ate"]; ?>">&nbsp;&nbsp;&nbsp;At</td>
                            <td>
                                <?php
                                echo select_banco2(
                                    "Select Id, Titulo FROM funcionario WHERE Ativo = 'Sim' ORDER BY Titulo",
                                    "Funcionario",
                                    "Funcionario",
                                    "Funcionrio",
                                    $_GET["Funcionario"],
                                    'style="width:200px"',
                                    ""
                                )
                                    ?>

                            </td>
                            <td>

                                &nbsp;&nbsp;&nbsp;&nbsp;

                                <input type="submit" value="Ok" name="Ok">
                            </td>
                        </tr>
                    </table>
                </form>
            </td>
        </tr>
        <tr>
            <td>
                <table width="100%" class="tabela">
                    <tbody>
                        <?php

                        $x = 0;
                        while ($chave = mysqli_fetch_assoc($cliente)) {
                            $horas = '';
                            ?>
                            <tr class="cinza">
                                <td colspan="10"><b>Funcionrio : </b><?php echo $chave["Funcionario"]; ?></td>
                            </tr>
                            <tr class="azul-claro">
                                <td align="center" height="25">Data</td>
                                <td align="center" height="25">Hora Entrada</td>
                                <td align="center" height="25">Hora Sada</td>
                                <td align="center" height="25">Hora Entrada</td>
                                <td align="center" height="25">Hora Sada</td>
                                <td align="center" height="25">Total</td>
                            </tr>

                            <?php
                            //Star date
                            $dateStart = data_banco($_GET["De"]);
                            $dateStart = implode('-', array_reverse(explode('/', substr($dateStart, 0, 10)))) . substr($dateStart, 10);
                            $dateStart = new DateTime($dateStart);

                            //End date
                            $dateEnd = data_banco($_GET["Ate"]);
                            $dateEnd = implode('-', array_reverse(explode('/', substr($dateEnd, 0, 10)))) . substr($dateEnd, 10);
                            $dateEnd = new DateTime($dateEnd);

                            //Prints days according to the interval
                            $dateRange = [];
                            while ($dateStart <= $dateEnd) {
                                $dateRange[] = $dateStart->format('Y-m-d');
                                $dateStart = $dateStart->modify('+1day');
                            }


                            foreach ($dateRange as $reg) {

                                $adiant = mysqli_query($con, "SELECT venda_ponto_funcionario.Id,
                                                                                    venda_ponto_funcionario.Hora1,
                                                                                    venda_ponto_funcionario.Hora2,
                                                                                    venda_ponto_funcionario.Hora3,
                                                                                    venda_ponto_funcionario.Hora4,
                                                                                    venda_ponto_funcionario.Data_Cadastro
                                                                                    FROM ponto_funcionario
                                                                                    where venda_ponto_funcionario.Id_Venda = '" . $_GET['id_venda'] . "'
                                                                                    AND venda_ponto_funcionario.Id_Funcionario = '" . $chave['Id'] . "'
                                                                                    AND DATE_FORMAT(venda_ponto_funcionario.Data_Cadastro, '%Y-%m-%d') = '" . $reg . "'
                                                                                    ORDER BY venda_ponto_funcionario.Data_Cadastro");
                                $linha = mysqli_fetch_assoc($adiant);

                                $diasemana = array('Domingo', 'Segunda', 'Tera', 'Quarta', 'Quinta', 'Sexta', 'Sbado');
                                $diasemana_numero = date('w', strtotime($reg));
                                ?>
                                <input type="hidden" name="Codigo_Venda" id="Codigo_Venda" value="<?php $_POST['id_venda'] = $_GET['id_venda'];
                                echo $_POST['id_venda'] ?>" />
                                <tr bgcolor=<?php echo $color; ?>>
                                    <td width="15%" align="center">
                                        <?php echo data_exibir($reg) . " - " . $diasemana[$diasemana_numero]; ?>
                                    </td>
                                    <td width="15%" align="center">
                                        <input type="text" name="Hora1" id="Hora1" value="<?php echo $_POST['Hora1'] ?>">
                                    </td>
                                    <td width="15%" align="center">
                                        <input type="text" name="Hora2" id="Hora2" value="<?php echo $linha['Hora2'] ?>">
                                    </td>
                                    <td width="15%" align="center">
                                        <input type="text" name="Hora3" id="Hora3" value="<?php echo $linha['Hora3'] ?>">
                                    </td>
                                    <td width="15%" align="center">
                                        <input type="text" name="Hora4" id="Hora4" value="<?php echo $linha['Hora4'] ?>">
                                    </td>
                                    <td align="center" height="25">
                                        <?php
                                        list($horas1, $minutos1, $segundos1) = explode(":", $linha['Hora1']);
                                        $calc_hora1 = $horas1 * 3600 + $minutos1 * 60 + $segundos1;

                                        list($horas2, $minutos2, $segundos2) = explode(":", $linha['Hora2']);
                                        $calc_hora2 = $horas2 * 3600 + $minutos2 * 60 + $segundos2;

                                        list($horas3, $minutos3, $segundos3) = explode(":", $linha['Hora3']);
                                        $calc_hora3 = $horas3 * 3600 + $minutos3 * 60 + $segundos3;

                                        list($horas4, $minutos4, $segundos4) = explode(":", $linha['Hora4']);
                                        $calc_hora4 = $horas4 * 3600 + $minutos4 * 60 + $segundos4;

                                        $form1 = '0';
                                        $form2 = '0';
                                        if ($calc_hora1 > '0' && $calc_hora2 > '0') {
                                            $form1 = ($calc_hora2 - $calc_hora1);
                                        }
                                        if ($calc_hora3 > '0' && $calc_hora4 > '0') {
                                            $form2 = ($calc_hora4 - $calc_hora3);
                                        }

                                        $horas += $form1 + $form2;

                                        echo segundos_em_tempo($form1 + $form2);
                                        ?>
                                    </td>

                                </tr>
                            <?php } ?>
                            <tr>
                                <td colspan="4" height="25"></td>
                                <td align="center">&nbsp;&nbsp; Horas</td>
                                <td align="center">
                                    <b>
                                        <?php echo $tfHora = segundos_em_tempo($horas); ?> x
                                        <?php echo valor_exibir($chave['Comissao_Aprazo']) ?> =
                                        <?php
                                        list($horas, $minutos, $segundos) = explode(":", $tfHora);
                                        $calc_min_total = (($horas * 60) + $minutos) / 60;

                                        echo valor_exibir($calc_min_total * $chave['Comissao_Aprazo']);
                                        ?>
                                    </b>
                                </td>
                            </tr>
                            <?php
                            $x++;

                        } ?>

                    </tbody>
                </table>
            </td>
        </tr>
        <tr>
            <td>
                <div id="div_resposta"></div>
            </td>
        </tr>
    </table>

    <?php include "../include/rodape.php"; ?>



</body>

</html>