<?php
include_once '../include/conecta.php'; //Conecta com a nosso banco de dados MySQL
include_once '../include/ver_sessao.php'; //Verifica se a sesso est ativa
include_once '../include/funcoesPhp.php';
include_once '../menu_movimento.php';

//deletando o registro da NFe se no tiver sido emitido.
if (CLIENTE_RAZAO_SOCIAL == 'Sim') {
    $nome = 'Razao_Social';
} else {
    $nome = 'Titulo';
}
$veri_venda = mysqli_query($con, "SELECT venda.Id,venda.Lancamento,venda.Id_Unidade,venda.Total_Pagar, venda.Taxa_Servico_Restaurante,
venda.Taxa_Couvert_Artistico, cliente.Destinatario,cfop.Cfop, venda.Protocolo
FROM (SELECT Id,Lancamento,Protocolo,Id_Unidade,Id_Cliente,Id_Cfop,Valor_Pago as Total_Pagar, Taxa_Couvert_Artistico,Taxa_Servico_Restaurante FROM venda) as venda
LEFT JOIN (SELECT Id, $nome as Destinatario FROM cliente) as cliente ON cliente.Id = venda.Id_Cliente
LEFT JOIN (SELECT Id,Cfop FROM cfop) as cfop ON cfop.Id = venda.Id_Cfop
WHERE venda.Id = '" . $_GET["id_venda"] . "' ");
$veri_venda = mysqli_fetch_assoc($veri_venda);

//so entra se a nota nunca tiver side emitida
if ($veri_venda["Protocolo"] == '') {

    //pegando o  numero da nota se ja houver
    $veri_nfe = mysqli_query($con, "SELECT Id,Numero_Nota,Serie FROM nfe WHERE Id_Pedido = '" . $_GET["id_venda"] . "' ");
    $veri_nfe = mysqli_fetch_assoc($veri_nfe);

    //verificando se ja tem numero de nota pra esta venda
    if ($veri_nfe["Numero_Nota"] != '') {
        $Numero_Nota = $veri_nfe["Numero_Nota"];
        $Serie = $veri_nfe["Serie"];
    } else {

        $ultimoNumero = mysqli_query($con, "SELECT Numero_Nfce,Serie_Nfce,Tipo_Impressao from unidade WHERE Id = '" . $veri_venda["Id_Unidade"] . "' ");
        $ultimoNumero = mysqli_fetch_assoc($ultimoNumero);

        $Serie = $ultimoNumero["Serie_Nfce"];

        if (!$ultimoNumero["Numero_Nfce"]) {
            $Numero_Nota = 1;
        } else {
            $Numero_Nota = $ultimoNumero["Numero_Nfce"] + 1;
        }

        //atualizando o cadastro
        mysqli_query($con, "UPDATE unidade SET Numero_Nfce = '" . $Numero_Nota . "' WHERE Id = '" . $veri_venda["Id_Unidade"] . "' ");
    } //FIM verificando se ja tem numero de nota pra esta venda
    //deletando pra gerar uma nfe com novos dados
    mysqli_query($con, "DELETE FROM nfe WHERE Id_Pedido='" . $_GET["id_venda"] . "' ");
    mysqli_query($con, "DELETE FROM nfe_pedido WHERE Id='" . $_GET["id_venda"] . "' ");
    mysqli_query($con, "DELETE FROM nfe_pedido_produto WHERE Id_Pedido='" . $_GET["id_venda"] . "' ");

    $id_nfe = md5($_GET["id_venda"] . microtime());
    $totalTaxas = ($veri_venda['Taxa_Servico_Restaurante'] + $veri_venda['Taxa_Couvert_Artistico']);
    $totalTaxas = str_replace(['.', ','], ['', '.'], $totalTaxas);
    //gerando o cabecalho da NFCe

    mysqli_query($con, "INSERT INTO nfe SET Id='$id_nfe', Serie='$Serie', Numero_Nota='$Numero_Nota', Natureza='', Tipo='1', Data_Nfe='" . date("Y-m-d") . "',
    Hora_Nfe='" . date("H:i") . "', Forma_Emissao='1', Finalidade_Emissao='1', Tipo_Impressao='4', Status='Ativa', Id_Pedido='{$veri_venda["Id"]}',
    Lancamento='{$veri_venda["Lancamento"]}', Info_Fisco='', Info_Contribuinte='', Frete='', Id_Transportadora='', Ref_Nfe='', Horario_Verao='No',
    Exibir_Financeiro='Sim', Operacao='1', Consumidor_Final='1', Presenca='1', Natureza_Autorizacao='', Cpf_Cnpj='',
    Id_Unidade='{$veri_venda["Id_Unidade"]}', modECF='', nECF='', nCOO='', Valor_Nfe='{$veri_venda['Total_Pagar']}',
    Destinatario='{$veri_venda['Destinatario']}', Cfop='{$veri_venda['Cfop']}', Tipo_Nfe='NFCe',
    Base_Icms_Pis_Cofins='".BASE_ICMS_PIS_COFINS."',
     Id_Usuario='{$_SESSION['Id']}',
    Id_Usuario_Upd='{$_SESSION['Id']}', Data_Cadastro='" . date("Y-m-d H:i:s") . "', Data_Cadastro_Upd='" . date("Y-m-d H:i:s") . "'");

    mysqli_query($con, "UPDATE venda SET NF='Sim' WHERE Id='" . $_GET["id_venda"] . "' ");

    /* Selecionando informaes da venda para inserir */
    $venda = mysqli_query($con, "SELECT venda.Id,venda.Id_Usuario,venda.Id_Usuario_Upd,venda.Data_Cadastro,venda.Data_Cadastro_Upd,venda.Data_Venda,
    venda.Data_Conclusao,venda.Id_Funcionario,venda.Id_Cliente,venda.Id_Tipo_Pagamento,venda.Status,venda.Data_Pagamento,venda.Valor_Original,
    venda.Valor_Pago,venda.Lancamento,venda.Id_Unidade,venda.Id_Cfop,venda.Desconto,venda.Desconto_Real,venda.Id_Transportadora,venda.Valor_Frete,
    venda.Frete,venda.Tipo_Frete,venda.Despesa,venda.Qtd_Vol,venda.Especie_Vol,venda.Marca_Vol,venda.Numero_Vol,venda.Obs_Danfe as Obs,
    venda.Endereco_Entrega,venda.Rua,venda.Num,venda.Complemento,venda.Bairro,venda.Id_Cidade,venda.Estado,venda.Peso_Bruto,venda.Peso_Liquido,
    venda.Placa,venda.Uf_Placa,venda.UFSaidaPais,venda.xLocEmbarq,venda.xLocDespacho,venda.Numero_Pedido,venda.Id_Vendedor,venda.Id_Vendedor2,venda.DV
                                FROM venda
                                WHERE venda.Id='" . $_GET["id_venda"] . "' ")
        or die("Erro no SQL: " . mysqli_error($con));

    while ($venda = mysqli_fetch_assoc($venda)) {

        $dataCadastro = date("Y-m-d H:i:s");

        if ($venda['Lancamento']) {
            $venda["Obs"] = $venda["Obs"] . '<br> N Pedido: ' . $venda['Lancamento'];
        }
        if (VENDEDOR_NFE == 'Sim') {
        if ($venda['Id_Vendedor']) {
            $vend1 = mysqli_query($con, "SELECT Titulo from funcionario where Id='" . $venda['Id_Vendedor'] . "' ");
            $vend1 = mysqli_fetch_assoc($vend1);
            $venda["Obs"] = $venda["Obs"] . '<br> Vendedor: ' . $vend1['Titulo'];
        }
        if ($venda['Id_Vendedor2']) {
            $vend2 = mysqli_query($con, "SELECT Titulo from funcionario where Id='" . $venda['Id_Vendedor2'] . "' ");
            $vend2 = mysqli_fetch_assoc($vend2);
            $venda["Obs"] = $venda["Obs"] . '<br> Vendedor 2: ' . $vend2['Titulo'];
        }
    }

        mysqli_query($con, "INSERT INTO nfe_pedido SET Id='{$venda["Id"]}',Id_Usuario = '{$_SESSION['Id']}', Id_Usuario_Upd = '{$_SESSION['Id']}',
        Data_Cadastro = '$dataCadastro', Data_Cadastro_Upd = '$dataCadastro',Data_Pedido='{$venda["Data_Venda"]}',
        Data_Conclusao='{$venda["Data_Conclusao"]}',Id_Funcionario='{$venda["Id_Funcionario"]}',Id_Cliente='{$venda["Id_Cliente"]}',
        Id_Tipo_Pagamento='{$venda["Id_Tipo_Pagamento"]}',Status='{$venda["Status"]}',Data_Pagamento='{$venda["Data_Pagamento"]}',
        Valor_Original='{$venda["Valor_Original"]}',Valor_Pago='{$venda["Valor_Pago"]}',Lancamento='{$venda["Lancamento"]}',
        Id_Unidade='{$venda["Id_Unidade"]}',Id_Cfop='{$venda["Id_Cfop"]}',Desconto='{$venda["Desconto"]}',Desconto_Real='{$venda["Desconto_Real"]}',
        Id_Nfe='{$id_nfe}',Id_Transportadora='{$venda["Id_Transportadora"]}',Valor_Frete='{$venda["Valor_Frete"]}',Frete='{$venda["Frete"]}',
        Tipo_Frete='{$venda["Tipo_Frete"]}',Despesa='{$venda["Despesa"]}',Qtd_Vol='{$venda["Qtd_Vol"]}',Especie_Vol='{$venda["Especie_Vol"]}',
        Marca_Vol='{$venda["Marca_Vol"]}',Numero_Vol='{$venda["Numero_Vol"]}',Tipo='Venda',Obs='{$venda["Obs"]}',
        Endereco_Entrega='{$venda["Endereco_Entrega"]}',Rua='{$venda["Rua"]}',Num='{$venda["Num"]}',Complemento='{$venda["Complemento"]}',
        Bairro='{$venda["Bairro"]}',Id_Cidade='{$venda["Id_Cidade"]}',Estado='{$venda["Estado"]}',Peso_Bruto='{$venda["Peso_Bruto"]}',
        Peso_Liquido='{$venda["Peso_Liquido"]}',Placa='{$venda["Placa"]}',Uf_Placa='{$venda["Uf_Placa"]}',UFSaidaPais='{$venda["UFSaidaPais"]}',
        xLocEmbarq='{$venda["xLocEmbarq"]}',xLocDespacho='{$venda["xLocDespacho"]}',DV = '{$venda['DV']}'")
            or die("Erro no comando SQL:" . mysqli_error($con));
    }

    /* inserindo agora os produtos relacionados */
    $produtos = mysqli_query($con, "SELECT venda_produto.Id, venda_produto.Id_Venda, venda_produto.Id_Produto, venda_produto.Preco, venda_produto.Qtd,
        venda_produto.Desconto, venda_produto.Desconto_Real, venda_produto.Preco_Custo, venda_produto.Frete, venda_produto.Despesa, venda_produto.Ipi,
        venda_produto.Icms, venda_produto.Icms_Sub, venda_produto.Mva, venda_produto.Reducao, venda_produto.ReducaoBC, venda_produto.Id_Unidade,
        venda_produto.Id_Cfop, venda_produto.ST_Icms, venda_produto.Id_Unidade, venda_produto.Data_Cadastro, venda_produto.vBCSTRet,
        venda_produto.vICMSSTRet, venda_produto.vICMSDeson, venda_produto.motDesICMS, venda_produto.Desconto_Real_Pe_Nota, venda_produto.Ibpt,
        venda_produto.C_Produto, venda_produto.Id_Cor, venda_produto.Lote, venda_produto.Data_Validade, venda_produto.Aliquota_Pis,
        venda_produto.Aliquota_Cofins, venda_produto.CST_Pis, venda_produto.CST_Cofins, venda_produto.xPed, venda_produto.nItemPed, venda_produto.CST_Ipi,
        produto.cProdANP, produto.descANP, produto.UFCons, produto.vPart, produto.pGLP, produto.pGNn, produto.pGNi, produto.qTemp,produto.Id_Cfop_Venda FROM venda_produto
        LEFT JOIN produto ON produto.Id = venda_produto.Id_Produto WHERE venda_produto.Id_Venda='{$_GET['id_venda']}' AND produto.Tipo_Produto = 'P'
        AND venda_produto.Embalagem_Primaria <> 'KIT' AND venda_produto.Cancelado='No' ORDER BY venda_produto.Data_Cadastro") or die("Erro no SQL: " . mysqli_error($con));

    $idPedido = '';
    while ($linha = mysqli_fetch_assoc($produtos)) {

        if ($linha["Id_Cfop_Venda"] == '') {
            $idCfop = $linha["Id_Cfop"];
        } else {
            $idCfop = $linha["Id_Cfop_Venda"];
        }

        $idPedido = $linha["Id_Venda"];

        mysqli_query($con, "INSERT INTO nfe_pedido_produto SET Id='{$linha["Id"]}',Data_Cadastro='{$linha["Data_Cadastro"]}',
        Id_Pedido='{$linha["Id_Venda"]}',Id_Produto='{$linha["Id_Produto"]}',Preco='{$linha["Preco"]}',Qtd='{$linha["Qtd"]}',Desconto='{$linha["Desconto"]}',
        Desconto_Real='{$linha["Desconto_Real"]}',Preco_Custo='{$linha["Preco_Custo"]}',Frete='{$linha["Frete"]}',Despesa='{$linha["Despesa"]}',
        Icms='{$linha["Icms"]}',Icms_Sub='{$linha["Icms_Sub"]}',Mva='{$linha["Mva"]}',Reducao='{$linha["Reducao"]}',ReducaoBC='{$linha["ReducaoBC"]}',
        Ipi='{$linha["Ipi"]}',CST_Ipi='{$linha["CST_Ipi"]}',Id_Nfe='{$id_nfe}',Id_Cfop='{$idCfop}',ST_Icms='{$linha["ST_Icms"]}',
        vBCSTRet='{$linha["vBCSTRet"]}',vICMSSTRet='{$linha["vICMSSTRet"]}',vICMSDeson='{$linha["vICMSDeson"]}',motDesICMS='{$linha["motDesICMS"]}',
        Id_Unidade='{$linha["Id_Unidade"]}',Desconto_Real_Pe_Nota='{$linha["Desconto_Real_Pe_Nota"]}',Ibpt='{$linha["Ibpt"]}',C_Produto='{$linha["C_Produto"]}',
        Lote='{$linha["Lote"]}',Data_Validade='{$linha["Data_Validade"]}',Aliquota_Pis='{$linha["Aliquota_Pis"]}',Aliquota_Cofins='{$linha["Aliquota_Cofins"]}',
        CST_Pis='{$linha["CST_Pis"]}',CST_Cofins='{$linha["CST_Cofins"]}',xPed='{$linha["xPed"]}',nItemPed='{$linha["nItemPed"]}',cProdANP='{$linha["cProdANP"]}',
        descANP='{$linha["descANP"]}',UFCons='{$linha["UFCons"]}',vPart='{$linha["vPart"]}',pGLP='{$linha["pGLP"]}',pGNn='{$linha["pGNn"]}',pGNi='{$linha["pGNi"]}',
        qTemp='{$linha["qTemp"]}'")
            or die("Erro no comando SQL:" . mysqli_error($con));
    }
    if ($totalTaxas > 0) {
        //colocando o item TAXA DE SERVICO
        $item_serv = mysqli_query($con, "SELECT Id FROM nfe_pedido_produto WHERE Id_Nfe='$Codigo_Nfe' AND Id_Produto='37d98b929724cfcaa7ff4c29b27bff23'");
        $item_serv = mysqli_fetch_assoc($item_serv);



        if ($item_serv["Id"] == '') {
            //pegando as informacoes dos itens
            $item_prod = mysqli_query($con, "SELECT Id,Titulo,Id_Cfop_Venda,Id_Cfop_Venda_F,Cest,Ipi,Aliquota_Pis,Aliquota_Cofins,CST_Pis,
             CST_Cofins,CST_Ipi,Codigo_ST
             FROM produto WHERE Id='37d98b929724cfcaa7ff4c29b27bff23'");
            $item_prod = mysqli_fetch_assoc($item_prod);

            if ($devolucaoVenda == 'Sim') {
                $idCfop = $idCfopDevolucao;
            } else {
                $idCfop = $item_prod["Id_Cfop_Venda"];
            }

            $qtdTaxa = $devolucaoVenda == 'Sim' ? -1 : 1;

            $reg = mysqli_query($con, "SELECT * FROM nfe_pedido_produto WHERE Id_Nfe='$Codigo_Nfe' AND ST_Icms<>'' LIMIT 1 ");
            $reg = mysqli_fetch_assoc($reg);

            $id_item_avul = md5($item_prod["Id"] . microtime());
            $dataCadastro = date('Y-m-d H:i:s');

            mysqli_query($con, "INSERT INTO nfe_pedido_produto SET Id='{$id_item_avul}',Data_Cadastro='{$dataCadastro}',Id_Pedido='{$idPedido}',
            Id_Produto='37d98b929724cfcaa7ff4c29b27bff23',Preco='{$totalTaxas}',Qtd='{$qtdTaxa}',Desconto='',Desconto_Real='',Preco_Custo='',Frete='',
            Despesa='',Icms='',Icms_Sub='',Mva='',Reducao='',Ipi='{$item_prod["Ipi"]}',CST_Ipi='{$item_prod["CST_Ipi"]}',Id_Nfe='{$id_nfe}',Id_Cfop='{$idCfop}',
            ST_Icms='{$item_prod["Codigo_ST"]}',vBCSTRet='',vICMSSTRet='',vICMSDeson='',motDesICMS='',Id_Unidade='{$veri_venda["Id_Unidade"]}',Desconto_Real_Pe_Nota='',
            Ibpt='',C_Produto='{$item_prod["Titulo"]}',Lote='',Data_Validade='',Aliquota_Pis='{$item_prod["Aliquota_Pis"]}',Aliquota_Cofins='{$item_prod["Aliquota_Cofins"]}',
            CST_Pis='{$item_prod["CST_Pis"]}',CST_Cofins='{$item_prod["CST_Cofins"]}',xPed='',nItemPed=''")
                or die("Erro no comando SQL: $con->error");
        } else {
            mysqli_query($con, "UPDATE nfe_pedido_produto SET Preco='$totalTaxas', Qtd='1' WHERE Id_Nfe='$id_nfe' AND Id_Produto='37d98b929724cfcaa7ff4c29b27bff23'");
        }
    }

    mysqli_query($con, "UPDATE nfe_pedido SET Endereco_Entrega='No' WHERE Endereco_Entrega='' AND Id_Nfe='" . $id_nfe . "' ");
    // PASSAR O ID DA VENDA PARA O XERAR XML NFCE
    echo "<script>window.open('../nfce/gerar_xml_nfce.php?id_nfe=$id_nfe&origem=restaurante','_blank', 'width=600,height=800,top=0,left=0,scrollbars=yes');</script>";
    logUsuario($_SERVER['REMOTE_ADDR'], $_SESSION['Login'], $_SESSION['Email'], $_SESSION['Unidade'], "NFCe", "Cadastro", $Numero_Nota);
    echo "<script>window.close()</script>";
} else {

    ##reimprimindo a NFCe
    $veri_nfe = mysqli_query($con, "SELECT Id FROM nfe WHERE Id_Pedido = '" . $_GET["id_venda"] . "' ");
    $veri_nfe = mysqli_fetch_assoc($veri_nfe);
    $parametros = isset($_GET['origem']) && $_GET['origem'] == "restaurante" ? "?id_nfe={$veri_nfe["Id"]}&origem=restaurante" : "?id_nfe={$veri_nfe["Id"]}";
    echo "<script>window.open('../nfce/reimprimir_nfce.php?id_nfe=$parametros','Reimprimir','width=600,height=800,top=0,left=0,scrollbars=yes');</script>";
    echo "<script>window.close()</script>";
}
