<?php
include_once '../include/conecta.php'; //Conecta com a nosso banco de dados MySQL
include_once '../include/ver_sessao.php'; //Verifica se a sesso est ativa
include_once '../include/funcoesPhp.php';
include_once '../menu_movimento.php';

if ($_GET["De"])
    $data .= "AND venda_tipo_pagamento.Data_Pagamento >= '" . data_banco($_GET["De"]) . "' ";
if ($_GET["Ate"])
    $data .= "AND venda_tipo_pagamento.Data_Pagamento <= '" . data_banco($_GET["Ate"]) . "' ";


if ($_GET["Vendedor"]) {
    $operador = "AND venda_tipo_pagamento.Id_Funcionario = '" . $_GET["Vendedor"] . "' ";
}

if ($_GET["Categoria_Tipo_Pagamento"]) {
    $tipo_pagto_cat .= "AND categoria_tipo_pagamento.Id = '" . $_GET["Categoria_Tipo_Pagamento"] . "' ";
}

if ($_GET["Unidade"]) {
    $empresa = "AND venda.Id_Unidade = '" . $_GET["Unidade"] . "' ";
}

if ($_GET["Origem"]) {
    $origem = "AND venda.Origem = '" . $_GET["Origem"] . "' ";
}

if ($_GET["Tipo_Pagamento"]) {
    $pagamento = "AND venda_tipo_pagamento.Id_Tipo_Pagamento = '" . $_GET["Tipo_Pagamento"] . "' ";
}

if ($_GET["Ok"]) {

    $cat_pagto = listar("SELECT DISTINCT Id, Titulo FROM categoria_tipo_pagamento
    LEFT JOIN (SELECT Id_Categoria_Tipo_Pagamento,Ativo,Restaurante FROM tipo_pagamento) as tipo_pagamento ON tipo_pagamento.Id_Categoria_Tipo_Pagamento = categoria_tipo_pagamento.Id
    WHERE tipo_pagamento.Ativo ='Sim' AND tipo_pagamento.Restaurante = 'Sim'
    ORDER BY Titulo");
}

?>
<html>

<head>
    <title>Gw - Gesto Web</title>
    <link rel="stylesheet" type="text/css" href="../estilo/<?php echo SKIN; ?>/tabelas.css" />
    <link rel="stylesheet" type="text/css" href="../js/datePicker/datePicker.css" />
    <link rel="stylesheet" type="text/css" href="../js/autocomplete/jquery.autocomplete.css" />
    <link rel="stylesheet" type="text/css" href="../js/autocomplete/lib/thickbox.css" />
    <script type="text/javascript" language="javascript" src="../js/jquery.js"></script>
    <?php include '../include/script_cabeca.php'; ?>
    <script type="text/javascript" language="javascript" src="../js/script.js"></script>
    <script type="text/javascript" language="javascript" src="../js/meiomask/meiomask.js"></script>
    <script type="text/javascript" language="javascript" src="../js/meiomask/<?php if (PAIS == "USA") {
                                                                                    echo "mascaras-usa";
                                                                                } else {
                                                                                    echo "mascaras";
                                                                                } ?>.js"></script>
    <script type="text/javascript" language="javascript" src="../js/autocomplete/lib/jquery.bgiframe.min.js"></script>
    <script type="text/javascript" language="javascript" src="../js/autocomplete/lib/jquery.ajaxQueue.js"></script>
    <script type="text/javascript" language="javascript" src="../js/autocomplete/lib/thickbox-compressed.js"></script>
    <script type="text/javascript" language="javascript" src="../js/autocomplete/jquery.autocomplete.js"></script>
    <!-- required plugins -->
    <script language="javascript" type="text/javascript" src="../js/datePicker/<?php if (PAIS == "USA") {
                                                                                    echo "date";
                                                                                } else {
                                                                                    echo "date-pt";
                                                                                } ?>.js"></script>
    <!--[if IE]>
	<script type="text/javascript" src="../js/datePicker/jquery.bgiframe.js"></script>
	<![endif]-->
    <!-- jquery.datePicker.js -->
    <script type="text/javascript" src="../js/datePicker/jquery.datePicker.js"></script>
    <script type="text/javascript" language="javascript">
        Date.firstDayOfWeek = 0;
        <?php if (PAIS == "USA") {
            echo "Date.format='mm/dd/yyyy';";
        } else {
            echo "Date.format='dd/mm/yyyy';";
        } ?>
        $(function() {
            $('.date-pick').datePicker({
                startDate: '01/01/1990'
            })
        });
    </script>
    <script type="text/javascript" language="javascript">
        $(document).ready(function() {
            $("#Cliente").autocomplete("venda/busca_cliente2.php", {
                width: 340,
                selectFirst: true,
                scroll: false,
                cacheLength: 100,
                max: 100
            });
            $("#Produto").autocomplete("venda/busca_produto.php", {
                width: 340,
                selectFirst: true,
                scroll: false,
                cacheLength: 100,
                max: 100
            });
        });
    </script>
    <style type="text/css">
        thead {
            display: table-header-group;
        }

        tfoot {
            display: table-footer-group;
        }
    </style>
</head>

<body>
    <table width="100%" height="400px">
        <!-- TABELA Q ENVOLVE TODO O CONTEUDO -->
        <tr>
            <td>
                <table width="100%">
                    <tr>
                        <td align="left">
                            <font face="verdana" size="2"><i><b>Relatrio de Vendas por Tipo de Pagamento</b></i></font>
                        </td>
                        <td align="center">
                            <a href='imp_pdf_venda_tipo_pagamento.php?<?php echo $_SERVER["QUERY_STRING"] ?>' title="Pdf"><img src="../imagem/pdfG.png" border="0" alt="Pdf" title="Pdf" /></a>
                            <br />
                            <font face="verdana" size="2"><i>Pdf</i></font>
                        </td>
                        <td align="center">
                            <a href='imp_excel_venda_tipo_pagamento.php?<?php echo $_SERVER["QUERY_STRING"] ?>' title="Excel"><img src="../imagem/excelG.png" border="0" alt="Excel" title="Excel" /></a>
                            <br />
                            <font face="verdana" size="2"><i>Excel</i></font>
                        </td>
                        <td align="center">
                            <a href="imp_rel_venda_tipo_pagamento.php?<?php echo $_SERVER["QUERY_STRING"] ?>" title="Imprimir" target="_blank"><img src="../imagem/imprimirG.png" border="0" alt="Imprimir" title="Imprimir" /></a>
                            <br />
                            <font face="verdana" size="2"><i>Imprimir</i></font>
                        </td>
                    </tr>
                </table>
            </td>
        </tr>
        <tr>
            <td>
                <form action="" method="get">
                    <table width="100%" class="busca_rel">
                        <tr class="azul">
                            <td>De<input type="text" name="De" id="De" class="date-pick" size="10" value="<?php echo $_GET["De"]; ?>"></td>
                            <td colspan="2">At<input type="text" name="Ate" id="Ate" class="date-pick" size="10" value="<?php echo $_GET["Ate"]; ?>"></td>

                        </tr>
                        <tr class="azul">
                            <td>
                                <?php
                                $vetor = array('' => 'Origem', 'Mesa' => 'Mesa', 'Comanda' => 'Comanda', 'Ifood' => 'Ifood');
                                select_tela("Origem", "Origem", $_GET["Origem"], $vetor);
                                ?>
                                <input type="hidden" value="<?php echo $_GET["Origem"]; ?>" name="Origem_Pedido" id="Origem_Pedido">
                                &nbsp;&nbsp;&nbsp;&nbsp;

                                <?php
                                //se o sistema for Multi Empresa
                                if (MULTI_EMPRESA == "Sim") {

                                    //se o usuario master ele escolhe pra quem vai
                                    if (ESCOLHER_EMPRESA == 'Sim') {
                                ?>

                                <?php
                                        echo select_banco2(
                                            "SELECT Id,Titulo FROM unidade WHERE Ativo='Sim' ORDER BY Titulo",
                                            "Unidade",
                                            "Unidade",
                                            "Empresa",
                                            $_GET["Unidade"],
                                            'style="width:200px"',
                                            ""
                                        );

                                        //se no for, a unidade sempre ser a sua
                                    } else {
                                        echo "<input type='hidden' name='Unidade' id='Unidade' value='" . $_SESSION["Unidade"] . "' >";
                                    }
                                } else {
                                    echo "<input type='hidden' name='Unidade' id='Unidade' value='" . $_SESSION["Unidade"] . "' >";
                                }
                                ?>
                            </td>
                            <td colspan="3">
                                <?php
                                if (VER_APENAS_SUAS_VENDAS == 'Sim') {
                                    $func = "AND Id = '" . $_SESSION["Id_Funcionario"] . "' ";
                                    $_GET["Vendedor"] = $_SESSION["Id_Funcionario"];
                                    $dis = "disabled";
                                    echo "<input type='hidden' name='Vendedor' id='Vendedor' value='" . $_GET["Vendedor"] . "'>";
                                }
                                echo select_banco2(
                                    "SELECT Id, Titulo from funcionario where Ativo = 'Sim' AND Vendedor = 'Sim' $func order by Titulo",
                                    "Vendedor",
                                    "Vendedor",
                                    "Operador",
                                    $_GET["Vendedor"],
                                    'style="width:200px" ' . $dis . ' '
                                );
                                ?>
                            </td>
                        </tr>
                        <tr class="azul">
                            <td>
                                <?php
                                echo select_banco2(
                                    "SELECT Id, Titulo FROM tipo_pagamento WHERE Ativo='Sim' AND Restaurante='Sim' ORDER BY Titulo",
                                    "Tipo_Pagamento",
                                    "Tipo_Pagamento",
                                    "Tipo Pagamento",
                                    $_GET["Tipo_Pagamento"],
                                    'style="width:200px"'
                                );
                                ?>
                            </td>
                            <td>
                                <?php
                                echo select_banco2(
                                    "SELECT DISTINCT Id, Titulo FROM categoria_tipo_pagamento
                                        LEFT JOIN (SELECT Id_Categoria_Tipo_Pagamento,Ativo,Restaurante FROM tipo_pagamento) as tipo_pagamento ON tipo_pagamento.Id_Categoria_Tipo_Pagamento = categoria_tipo_pagamento.Id
                                        WHERE tipo_pagamento.Ativo ='Sim' AND tipo_pagamento.Restaurante = 'Sim'
                                        ORDER BY Titulo",
                                    "Categoria_Tipo_Pagamento",
                                    "Categoria_Tipo_Pagamento",
                                    "Categoria Pagamento",
                                    $_GET["Categoria_Tipo_Pagamento"],
                                    'style="width:200px"'
                                );
                                ?>
                            </td>
                            <td>
                                <input type="submit" value="Ok" name="Ok">
                            </td>
                        </tr>
                    </table>
                </form>
            </td>
        </tr>
        <tr>
            <td>
                <table width="100%" class="tabela">
                    <?php
                    if ($_GET["Ok"]) {

                        foreach ($cat_pagto as $valor) {

                    ?>
                            <tr class="cinza">
                                <td colspan="12"><b>Categoria Tipo Pagamento : </b><?php echo $valor["Titulo"]; ?></td>
                            </tr>

                            <tr class="azul-claro">
                                <td width="30%">&nbsp;</td>
                                <td width="40%">Tipo Pagamento</td>
                                <td width="30%">Valor</td>
                            </tr>
                            <?php

                            $venda = listar("SELECT SUM(venda_tipo_pagamento.Valor_Pago) as Valor_Pago,
                            SUM(venda_tipo_pagamento.Valor_Troco) as Valor_Troco,tipo_pagamento.Titulo as Tipo_Pagamento
                            FROM venda
                            LEFT JOIN venda_tipo_pagamento ON venda_tipo_pagamento.Id_Venda = venda.Id
                            INNER JOIN (SELECT Id,Titulo FROM tipo_pagamento WHERE Id_Categoria_Tipo_Pagamento = '" . $valor["Id"] . "')
                            as tipo_pagamento ON venda_tipo_pagamento.Id_Tipo_Pagamento = tipo_pagamento.Id
                            WHERE 1=1 AND venda.Status != 'Cancelado'
                            $data $Unidade $operador $origem
                            GROUP BY tipo_pagamento.Id
                            order by tipo_pagamento.Titulo");

                            $vCate = '0';
                            $color = "#F5F5F5";
                            foreach ($venda as $chave) {

                                if ($color == "#F5F5F5") {
                                    $color = "#E8E8E8";
                                } else {
                                    $color = "#F5F5F5";
                                }
                            ?>

                                <tr bgcolor=<?php echo "$color"; ?>>
                                    <td>&nbsp;</td>
                                    <td><?php echo $chave["Tipo_Pagamento"] ?></td>
                                    <td><?php echo valor_exibir($chave["Valor_Pago"] - $chave["Valor_Troco"]) ?></td>
                                </tr>

                            <?php
                                $vCate += $chave["Valor_Pago"] - $chave["Valor_Troco"];
                                $vCateFinal += $chave["Valor_Pago"] - $chave["Valor_Troco"];
                            }
                            ?>
                            <tr>
                                <td colspan="2" align="right">Valor Total &nbsp;</td>
                                <td><?php echo valor_exibir($vCate); ?></td>
                            </tr>
                            <tr>
                                <td colspan="3">&nbsp;</td>
                            </tr>

                    <?php
                        }
                    }
                    ?>

                    <tr>
                        <td colspan="2" align="right"><b>Valores Finais:</b> &nbsp;</td>
                        <td><b><?php echo valor_exibir($vCateFinal); ?></b></td>
                    </tr>
                </table>
            </td>
        </tr>
        <tr>
            <td>
                <div id="div_resposta"></div>
            </td>
        </tr>
    </table>
</body>

</html>