<?php

/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
namespace App\Controller\Categoria;

use App\Model\Conn\Conn;
use \App\Config\ConfigWPKeys\ConfigWPKeys;
use App\Controller\Produto\Produto;
/**
 * Description of Categoria
 *
 * @author PonttiWEB
 */
class Categoria {
    //put your code here
//    private Produto $produto;
    
    public function __construct() {}
    
    public function selectTodasCategoriasWP(){
        $paginaCategoria = 2;
        try {
            echo "<pre>";            
            $categorias = (ConfigWPKeys::getInstance()->get('products/categories', array( 'per_page' => 100)));
            do{
                $request = (ConfigWPKeys::getInstance()->get('products/categories?per_page=100&page='.$paginaCategoria));

                for($i = 0; $i< sizeof($request); $i++){
                    array_push($categorias, $request[$i]);
                }
                $paginaCategoria++;
            }while (!empty($request));
//            print_r(ConfigWPKeys::getInstance()->get('products/categories/142'));
            
            echo "</pre>";
//            // Array of response results.
//            $results = ConfigWPKeys::getInstance()->get('products/categories');
//            
//            // Example: ['customers' => [[ 'id' => 8, 'created_at' => '2015-05-06T17:43:51Z', 'email' => ...
//            echo '<pre><code>' . print_r($results, true) . '</code><pre>'; // JSON output.            
            return $categorias;
        } catch (HttpClientException $e) {
            echo '<pre><code>' . print_r($e->getMessage(), true) . '</code><pre>'; // Error message.
            echo '<pre><code>' . print_r($e->getRequest(), true) . '</code><pre>'; // Last request data.
            echo '<pre><code>' . print_r($e->getResponse(), true) . '</code><pre>'; // Last response data.
        }
    }
    
    private function selectCategoriaPontti() {
        $con = Conn::getInstance();
        $configCategoria = $con->query("SELECT Categoria_Loja_Virtual FROM opcao");
        $configCategoria = mysqli_fetch_assoc($configCategoria)['Categoria_Loja_Virtual'];
        $configCategoria = $configCategoria == "Categoria" ? '=' : '!=';
        $sql = "SELECT Titulo, Id FROM categoria_produto WHERE Id_Pai $configCategoria 0 AND Ativo='Sim' AND Site='Sim' AND 
        (Id_Loja_Virtual IS NULL OR Id_Loja_Virtual = '') GROUP BY(Titulo)";

        return Conn::executaQuerySelect($sql);
    }
    
    public function inserirCategoriaWP() {
        //Insere na categoria do gw o id da categoria virtual, caso já esteja cadastrada mas sem o Id 
        $pagina = 1;
        $categoriasVirtual = ConfigWPKeys::getInstance()->get("products/categories?per_page=100&page=$pagina");
        $configCategoria = Conn::getInstance()->query("SELECT Categoria_Loja_Virtual FROM opcao");
        $configCategoria = mysqli_fetch_assoc($configCategoria)['Categoria_Loja_Virtual'];
        $configCategoria = $configCategoria == "Categoria" ? '=' : '!=';
        
        while(sizeof($categoriasVirtual) > 0) {
            for ($i = 0; $i < sizeof($categoriasVirtual); $i++) {
                if(isset($categoriasVirtual[$i]->id)) {
                    $idCategoriaVirtual = $categoriasVirtual[$i]->id;
                    $nomeCategoriaVirtual = $categoriasVirtual[$i]->name;
                    $con = Conn::getInstance();
                    $con->set_charset("utf8mb4");
                    $sql = "UPDATE categoria_produto SET Id_Loja_Virtual='$idCategoriaVirtual' WHERE Titulo='$nomeCategoriaVirtual'
                    AND Id_Pai $configCategoria 0 AND (Id_Loja_Virtual IS NULL OR Id_Loja_Virtual='')";
                    $con->query($sql);
                }
            }
            $pagina++;
            $categoriasVirtual = ConfigWPKeys::getInstance()->get("products/categories?per_page=100&page=$pagina");
        }

        $data = array();
        $categorias = $this->selectCategoriaPontti();
        $qtdCategoriasImportadas = 0;
        
        foreach ($categorias as $categoria){
            
            array_push($data, ["name" => $categoria["Titulo"]]);
        }
        
        foreach($data as $categoria){
            $importarCategoria = ConfigWPKeys::getInstance()->post('products/categories', $categoria);
            if(isset($importarCategoria->id)) {
                $idCategoriaVirtual = $importarCategoria->id;
                $nomeCategoriaVirtual = $importarCategoria->name;
                $con = Conn::getInstance();
                $con->set_charset("utf8mb4");
                $con->query("UPDATE categoria_produto SET Id_Loja_Virtual='$idCategoriaVirtual' WHERE Titulo='$nomeCategoriaVirtual'
                AND Id_Pai $configCategoria 0 AND (Id_Loja_Virtual IS NULL OR Id_Loja_Virtual='')");
            }
            $qtdCategoriasImportadas++;
        }
        // $this->getCategoriaId();
        $this->updateCategoriaProduto();

        echo $qtdCategoriasImportadas > 0 ? "Categorias importadas com sucesso </>" : "Nenhuma categoria foi importada </br>";
    }
    
    public function getCategoriaId(){
        $categorias = $this->selectTodasCategoriasWP();
        
        foreach ($categorias as $categoria){
            if($categoria->name == "Sem categoria"){
                continue;
            }
            $this->updateCategoriaId($this->limpaString($categoria->name, false), $categoria->id);
//            print_r($categoria);
        }
        $this->updateCategoriaProduto();
    }
    
    public function updateCategoriaProduto() {
        $categoriasIdWP = $this->selectCategoriaId();
        
        $produto = new Produto();   
        $produto->updateProdutoCategoria("0", "15");//chamada para quando o id_Categoria_produto_filho for = zero
        foreach ($categoriasIdWP as $categoriasId){
            $produto->updateProdutoCategoria($categoriasId["Id"], $categoriasId["Id_Loja_Virtual"]);
        }
    }
    
    private function updateCategoriaId($nome, $id) {
//        echo "<br>".$nome."<br>";
        $sql = "UPDATE categoria_produto SET Id_Loja_Virtual = ? "
                . "WHERE Titulo LIKE ? AND (Id_Loja_Virtual IS NULL OR Id_Loja_Virtual = '')";
        Conn::executaQueryUpdate($sql, $id, $nome);
        
//        print_r (Conn::executaQuerySelectParam($sql, $nome));
    }
    
    private function selectCategoriaId() {
        $con = Conn::getInstance();
        $configCategoria = $con->query("SELECT Categoria_Loja_Virtual FROM opcao");
        $configCategoria = mysqli_fetch_assoc($configCategoria)['Categoria_Loja_Virtual'];
        $configCategoria = $configCategoria == "Categoria" ? "=" : "!=";
        $sql = "SELECT Id, Id_Loja_Virtual FROM categoria_produto WHERE Id_Pai $configCategoria 0";
        return Conn::executaQuerySelect($sql);
    }
    
     private function limpaString($text, bool $insert = false) {
        if($insert){
            $text = mb_convert_encoding($text, "UTF-8", "latin1");
        }else{
            $text = mb_convert_encoding($text, "latin1", "UTF-8");
        }
        return $text;
            
        $utf8 = array(
            '/[áàâãªä]/u'   =>   'a',
            '/[ÁÀÂÃÄ]/u'    =>   'A',
            '/[ÍÌÎÏ]/u'     =>   'I',
            '/[íìîï]/u'     =>   'i',
            '/[éèêë]/u'     =>   'e',
            '/[ÉÈÊË]/u'     =>   'E',
            '/[óòôõºö]/u'   =>   'o',
            '/[ÓÒÔÕÖ]/u'    =>   'O',
            '/[úùûü]/u'     =>   'u',
            '/[ÚÙÛÜ]/u'     =>   'U',
            '/ç/'           =>   'c',
            '/Ç/'           =>   'C',
            '/ñ/'           =>   'n',
            '/Ñ/'           =>   'N',
            '/–/'           =>   '-', // UTF-8 hyphen to "normal" hyphen
            '/[’‘‹›‚]/u'    =>   ' ', // Literally a single quote
            '/[“”«»„]/u'    =>   ' ', // Double quote
            '/ /'           =>   ' ', // nonbreaking space (equiv. to 0x160)
        );
        return preg_replace(array_keys($utf8), array_values($utf8), $text);
    }
}
