<?php
include_once '../include/conecta.php'; //Conecta com a nosso banco de dados MySQL
// include_once '../include/ver_sessao.php'; //Verifica se a sesso est ativa
include_once '../include/funcoesPhp.php';
// include_once '../menu_movimento.php';
?>

<!DOCTYPE html>

<head>
	<!-- <meta http-equiv="X-UA-Compatible" content="IE=edge" /> -->
	<meta name="viewport" content="width=device-width, initial-scale=1.0" />
	<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1" />

	<!-- arquivos style -->
	<link rel="stylesheet" type="text/css" href="../js/jquery-ui/jquery-ui.min.css" />
	<link rel="stylesheet" type="text/css" href="../js/autocomplete/jquery.autocomplete.css" />
	<link rel="stylesheet" type="text/css" href="../js/autocomplete/lib/thickbox.css" />
	<link rel=" stylesheet" type="text/css" href="../estilo/login/bootstrap5.3.0/bootstrap.min.css">
	<link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap-icons@1.11.3/font/bootstrap-icons.min.css">
	<link href="./css/style.css" rel="stylesheet">
	<!-- <link href="./css/darkMode.css" rel="stylesheet"> -->

	<title>Gw - Gesto Web</title>

</head>
<!-- dark mode -->

<!-- <div class="toggle">
	<input id="switch" type="checkbox" name="theme">
	<label for="switch">Toggle</label>
</div> -->

<!-- -------- -->

<body>
	<div style=" width:100%; min-height:400px">
		<div id="container">
			<div id="header">
				<button id="backButton">Ms Anterior</button>
				<div id="monthDisplay"></div>
				<button id="nextButton">Ms Seguinte</button>

			</div>

			<div id="weekdays">
				<div>Domingo</div>
				<div>Segunda-feira</div>
				<div>Tera-feira</div>
				<div>Quarta-feira</div>
				<div>Quinta-feira</div>
				<div>Sexta-feira</div>
				<div>Sbado</div>
			</div>


			<!-- div dinamic -->
			<div id="calendar"></div>


		</div>
	</div>

	<div id="newEventModal">
		<h2>Agenda</h2>

		<input id="eventTitleInput" placeholder="Event Title" />

		<button id="saveButton"> Salvar</button>
		<button id="cancelButton">Cancelar</button>
	</div>

	<div id="deleteEventModal">
		<h2>Evento</h2>

		<div id="eventText"></div><br>


		<button id="deleteButton">Deletar</button>
		<button id="closeButton">Fechar</button>
	</div>

	<div id="modalBackDrop"></div>


	<!-- Modal Agendamento -->
	<div class="modal fade" id="modalAgendamento" tabindex="-1" aria-labelledby="modalAgendamentoLabel" aria-hidden="true" style="z-index: 2000;">
		<div class="modal-dialog modal-dialog-centered modal-dialog-scrollable">
			<form class="modal-content">
				<div class="modal-header">
					<h1 class="modal-title fs-5" id="modalAgendamentoLabel">Agendamento</h1>
					<button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
				</div>
				<div class="modal-body">
					<div class="mb-3">
						<span>Especialista</span>
						<?php
						echo select_banco(
							"SELECT Id,Titulo FROM especialista WHERE Ativo='Sim'  ORDER BY Titulo",
							"Especialista",
							"Especialista",
							$_POST["Especialista"],
							'',
							"form-select"
						);
						?>
					</div>
					<div class="mb-3">
						<input type="text" name="Cliente" id="Cliente" placeholder="Cliente" class="form-control input_pedido" autofocus value="">
					</div>

					<div class="mb-3">
						<span>Sala</span>
						<?php
						echo select_banco(
							"SELECT sala.Id,
									sala.Titulo 
							   FROM sala 
						   ORDER BY sala.Titulo",
							"Sala",
							"Sala",
							$_POST["Sala"],
							'',
							"form-select"
						);
						?>
					</div>

					<div class="input-group mb-3 gap-3">
						<input type="time" class="form-control" name="horaInicioAgenda" id="horaInicioAgenda" placeholder="Hora Incio" value="">
						<input type="time" class="form-control" name="horaFimAgenda" id="horaFimAgenda" placeholder="Hora Fim" value="">
					</div>

					<div class="mb-3">
						<textarea class="form-control" name="obsAgenda" id="obsAgenda" rows="4" cols="50" placeholder="Observaes" value=""></textarea>
					</div>

				</div>
				<div class="modal-footer">
					<button type="button" class="btn btn-secondary" data-bs-dismiss="modal">Fechar</button>
					<button type="button" class="btn btn-primary" id="criarAgendamento" onclick="criarAgenda()">Agendar</button>
				</div>
			</form>
		</div>
	</div>

	<!-- Modal list Agenda -->
	<div class="modal fade" id="modalListAgenda" tabindex="-1" aria-labelledby="modalListAgendaLabel" aria-hidden="true">
		<div class="modal-dialog modal-xl">
			<div class="modal-content" style="height: 90vh;">
				<div class="modal-header">
					<h1 class="modal-title fs-5" id="modalListAgendaLabel">Agendamentos</h1>
					<button type="button" class="btn btn-primary" id="agendar" data-bs-target="modalAgendamento">Agendar</button>
				</div>
				<div class="modal-body d-flex overflow-hidden">

					<div class="d-flex flex-column w-25">
						<span class="fs-5">Profissionais</span>
						<div class="d-flex flex-column gap-3 ">
							<?php
							$profissionais = $con->query("SELECT Id,Titulo FROM especialista WHERE Ativo = 'Sim' ");
							while ($profissional = $profissionais->fetch_assoc()) { ?>
								<label for="<?php echo $profissional['Id'] ?>"><input type="checkbox" name="profissional" id="<?php echo $profissional['Id'] ?>" value="<?php echo $profissional['Id'] ?>"> <?php echo $profissional['Titulo'] ?></label>
							<?php } ?>
						</div>
					</div>
					<div class="d-flex flex-column w-75">
						<div id="dataAgenda"></div>
						<div class="d-flex flex-column overflow-y-scroll gap-4 h-100" id="agendamentos" style="scrollbar-width: thin"></div>
					</div>

					<input type="hidden" name="diaSelecionado" id="diaSelecionado">
					<input type="hidden" name="diaExtensoSelecionado" id="diaExtensoSelecionado">
					<input type="hidden" name="mesSelecionado" id="mesSelecionado">
					<input type="hidden" name="mesExtensoSelecionado" id="mesExtensoSelecionado">
					<input type="hidden" name="anoSelecionado" id="anoSelecionado">

				</div>
				<div class="modal-footer">
					<button type="button" class="btn btn-secondary" data-bs-dismiss="modal">Fechar</button>

				</div>
			</div>
		</div>
	</div>



	<script src="../js/jquery-3.3.1.min.js"></script>
	<script src="../estilo/login/bootstrap5.3.0/bootstrap.bundle.min.js"></script>
	<!-- <script src="./scripts/darkMode.js"></script> -->
	<script src="./scripts/main.js"></script>
	<script type="text/javascript" language="javascript" src="../js/autocomplete/lib/jquery.bgiframe.min.js"></script>
	<script type="text/javascript" language="javascript" src="../js/autocomplete/lib/jquery.ajaxQueue.js"></script>
	<script type="text/javascript" language="javascript" src="../js/autocomplete/lib/thickbox-compressed.js"></script>
	<script type="text/javascript" language="javascript" src="../js/autocomplete/jquery.autocomplete.js"></script>
	<script src="../js/jquery-ui/jquery-ui.min.js"></script>
	<script src="./cabecalho.js"></script>





</body>

</html>