<?php

include_once '../include/conecta.php'; //Conecta com a nosso banco de dados MySQL

include_once '../include/ver_sessao.php'; //Verifica se a sesso est ativa

include_once '../include/funcoesPhp.php';
include_once '../menu_movimento.php';

?>

<?php

if (CLIENTE_RAZAO_SOCIAL == 'Sim') {

	$nome = 'Razao_Social';
} else {

	$nome = 'Titulo';
}

$dadosAgenda = listar("SELECT agenda_calendario.Id, agenda_calendario.Hora_Inicio, agenda_calendario.Hora_Final, agenda_calendario.Dia, agenda_calendario.Mes,
agenda_calendario.Texto_Declaracao1,agenda_calendario.Texto_Declaracao2,agenda_calendario.Texto_Declaracao3,agenda_calendario.Texto_Declaracao4,agenda_calendario.Mes_Extenso,
agenda_calendario.Ano, cliente.$nome Cliente, cliente.Rg RG, especialista.Titulo Especialista, especialista.Coren COREN
                                FROM agenda_calendario
                                LEFT JOIN (SELECT Id,Titulo,Razao_Social,Rg FROM cliente) as cliente ON agenda_calendario.Id_Cliente = cliente.Id
                                LEFT JOIN (SELECT Id,Titulo,Coren FROM especialista) as especialista ON agenda_calendario.Id_Consultor = especialista.Id
                                WHERE agenda_calendario.Id = '" . $_GET["id_agenda"] . "' ");

?>

<html>

<head>

	<title>Gw - Gesto Web</title>

	<script type="text/javascript" language="javascript" src="../js/jquery.js"></script>
	<?php include '../include/script_cabeca.php'; ?>
	<script type="text/javascript" language="javascript" src="../js/script.js"></script>
	<!-- <script type="text/javascript" language="javascript" src="../js/editing/editing.js"></script> -->
	<script type="text/javascript" language="javascript">
		window.onload = function() {
			window.print();
		}
	</script>
		<script type="text/javascript" language="javascript">
		$(document).ready(function() {
			function slideout() {
				setTimeout(function() {
						$("#response").slideUp("slow", function() {});
					},
					2000);
			}
			$(".inlineEdit").bind("click", updateText);
			var OrigText, NewText;
			$(".save").live("click", function() {
				$("#loading").fadeIn('slow');
				NewText = $(this).siblings("form").children(".edit").val();
				var id = $(this).parent().attr("id");
				//var data = '?id=' + id + '&text=' + NewText;
				var data = 'id=' + id + '&text=' + NewText;
				$.post("edit.php", data, function(response) {
					$("#retorno").html(response);
					$("#response").slideDown('slow');
					slideout();
					$("#loading").fadeOut('slow');
				});
				$(this).parent().removeClass("selected").bind("click", updateText).html(NewText);
				// recarregar();
			});
			$(".revert").live("click", function() {
				$(this).parent().html(OrigText).removeClass("selected").bind("click", updateText);
			});

			function updateText() {
				$('span').removeClass("inlineEdit");
				OrigText = $(this).html();
				$(this).addClass("selected").html('<form><textarea class="edit" rows="8" cols="90">' + OrigText + 
				'</textarea></form><a href="#" class="save"><img src="../js/editing/images/save.png" border="0" width="48" height="15"/></a> <a href="#" class="revert"><img src="../js/editing/images/cancel.png" border="0" width="58" height="15"/></a>').unbind('click', updateText);
			}

			// function recarregar() {
			// 	setTimeout(function() {
			// 		location.reload();
			// 	}, 1000);
			// }

		});
	</script>

</head>

<body>
	<div style="display: flex;  justify-content: center;flex-direction: column;">
		<div align="center">
			<?php include "../include/cabecalho_pedido.php" ?>
		</div>
		<br>
		<div align="center" style="display: flex; flex-direction: column; gap: 10px;">
			
			<span style="padding-bottom: 20px;text-align: center;"><b>DECLARAO</b></span>

			<span>Declaro para os devidos fins que o Sr.(a)</span>
			<span class="inlineEdit" id="P<?php echo $dadosAgenda[0]["Id"] . "-Texto_Declaracao1"; ?>" style="cursor: pointer;" alt="Clique para Editar !" title="Clique para Editar !">
				<?php
				if ($dadosAgenda[0]["Texto_Declaracao1"] == "") {
					echo $dadosAgenda[0]["Cliente"];
				} else {
					echo $dadosAgenda[0]["Texto_Declaracao1"];
				}
				?>
			</span>
			<span class="inlineEdit" id="P<?php echo $dadosAgenda[0]["Id"] . "-Texto_Declaracao2"; ?>" style="cursor: pointer;" alt="Clique para Editar !" title="Clique para Editar !">
				<?php
				if ($dadosAgenda[0]["Texto_Declaracao2"] == "") {
					echo "portador (a) de RG sob o N" . $dadosAgenda[0]["RG"] . ", esteve em atendimento em nosso servio";
				} else {
					echo $dadosAgenda[0]["Texto_Declaracao2"];
				}
				?>
			</span>
			
			<span>para <b>TRATAMENTO DE FERIDAS ESPECIALIZADO,</b><br></span>
			<span>no horrio das <?php echo $dadosAgenda[0]["Hora_Inicio"]; ?> s <?php echo $dadosAgenda[0]["Hora_Final"]; ?>, no dia de <?php echo str_pad($dadosAgenda[0]["Dia"],2,"0",STR_PAD_LEFT) . '/' .  str_pad($dadosAgenda[0]["Mes"],2,"0",STR_PAD_LEFT) . '/' . $dadosAgenda[0]["Ano"] ?>. <br></span>

			<span class="inlineEdit" id="P<?php echo $dadosAgenda[0]["Id"] . "-Texto_Declaracao3"; ?>" style="cursor: pointer;padding-top: 35px;" alt="Clique para Editar !" title="Clique para Editar !">
				<?php
				if ($dadosAgenda[0]["Texto_Declaracao3"] == "") {
					echo "( )Necessitando manter repouso no dia de hoje.";
				} else {
					echo $dadosAgenda[0]["Texto_Declaracao3"];
				}
				?>
			</span>
			<span class="inlineEdit" id="P<?php echo $dadosAgenda[0]["Id"] . "-Texto_Declaracao4"; ?>" style="cursor: pointer;" alt="Clique para Editar !" title="Clique para Editar !">
				<?php
				if ($dadosAgenda[0]["Texto_Declaracao4"] == "") {
					echo "( )Podendo retornar as suas atividades dirias.";
				} else {
					echo $dadosAgenda[0]["Texto_Declaracao4"];
				}
				?>
			</span>

			<span style="text-align: center; padding-top: 35px;">Recife, <?php echo str_pad($dadosAgenda[0]["Dia"],2,"0",STR_PAD_LEFT); ?> de <?php echo $dadosAgenda[0]["Mes_Extenso"]; ?> de <?php echo $dadosAgenda[0]["Ano"]; ?></span>

			<span style="text-align: center;">____________________________________________________</span>
			<span style="text-align: center;"><?php echo $dadosAgenda[0]["Especialista"]; ?></span>
			<span style="text-align: center;">COREN/PE.: <?php echo $dadosAgenda[0]["COREN"]; ?></span>

		</div>
	</div>
</body>

</html>
<?php include "../include/rodape.php"; ?>