// variaveis globais

let nav = 0
let clicked = null
let events = localStorage.getItem('events') ? JSON.parse(localStorage.getItem('events')) : []


// variavel do modal:
const newEvent = document.getElementById('newEventModal')
const deleteEventModal = document.getElementById('deleteEventModal')
const backDrop = document.getElementById('modalBackDrop')
const eventTitleInput = document.getElementById('eventTitleInput')
// --------
const calendar = document.getElementById('calendar') // div calendar:
const weekdays = ['domingo', 'segunda-feira', 'tera-feira', 'quarta-feira', 'quinta-feira', 'sexta-feira', 'sbado'] //array with weekdays:

//funes

// function openModal(date) {
// 	clicked = date
// 	const eventDay = events.find((event) => event.date === clicked)


// 	if (eventDay) {
// 		document.getElementById('eventText').innerText = eventDay.title
// 		deleteEventModal.style.display = 'block'


// 	} else {
// 		newEvent.style.display = 'block'

// 	}

// 	backDrop.style.display = 'block'
// }

//funso load() ser chamada quando a pagina carregar:

async function load() {
	const date = new Date()

	//mudar titulo do Ms:
	if (nav !== 0) {
		date.setMonth(new Date().getMonth() + nav)
	}

	const day = date.getDate()
	const month = date.getMonth()
	const year = date.getFullYear()

	const daysMonth = new Date(year, month + 1, 0).getDate()
	const firstDayMonth = new Date(year, month, 1)

	const dateString = firstDayMonth.toLocaleDateString('pt-br', {
		weekday: 'long',
		year: 'numeric',
		month: 'numeric',
		day: 'numeric',
	})

	const paddinDays = weekdays.indexOf(dateString.split(', ')[0])

	let mesExtenso = `${date.toLocaleDateString('pt-br', { month: 'long' })}`

	//mostrar ms e ano:
	document.getElementById('monthDisplay').innerText = `${mesExtenso[0].toUpperCase()}${mesExtenso.substr(1)}, ${year}`

	const monthLong = `${date.toLocaleDateString('pt-br', { month: 'long' })}`
	// const weekdayLong = date.toLocaleDateString('pt-br', {weekday: 'long'})

	calendar.innerHTML = ''

	// criando uma div com os dias:

	const  quantidadeAgendamento = await $.ajax({
		method: 'POST',
		url: './quantidade_agendamento.php',
		dataType: 'json',
		accept: 'application/json',
		data: {
			mes: month + 1,
            ano: year
		},
		success: (response) => response
		

	})

	for (let i = 1; i <= paddinDays + daysMonth; i++) {
		const dayS = document.createElement('div')
		dayS.classList.add('day')


		let novaData = new Date();
		novaData.setDate(i - paddinDays)
		novaData.setMonth(month)
		novaData.setFullYear(year)
		const dayString = `${month + 1}/${i - paddinDays}/${year}`
		let weekDayLong = `${novaData.toLocaleDateString('pt-br', { weekday: 'long' })}`
		

		//condicional para criar os dias de um ms:

		if (i > paddinDays) {
		let [qtdAgendamento] = quantidadeAgendamento.filter(qtd=>qtd.Dia==i - paddinDays)

			dayS.innerText = i - paddinDays
			if (qtdAgendamento) {
				dayS.innerHTML += `<span class="qtdAgendamento">${qtdAgendamento.Quantidade}</span>`
				dayS.classList.add('bordaAgendamento')
			}

			const eventDay = events.find(event => event.date === dayString)

			if (i - paddinDays === day && nav === 0) {
				dayS.id = 'currentDay'
			}

			if (eventDay) {
				const eventDiv = document.createElement('div')
				eventDiv.classList.add('event')
				eventDiv.innerText = eventDay.title
				dayS.appendChild(eventDiv)

			}

			dayS.setAttribute('title', 'Cadastrar Agenda')
			dayS.setAttribute('data-bs-toggle', 'modal')
			dayS.setAttribute('data-bs-target', '#modalListAgenda')
			dayS.setAttribute('data-dia',i - paddinDays)
			dayS.setAttribute('data-mes',month+1)
			dayS.setAttribute('data-mesextenso',monthLong)
			dayS.setAttribute('data-ano', year)
			dayS.setAttribute('data-date', dayString)
			dayS.setAttribute('data-diaextenso', weekDayLong)
			
			// dayS.addEventListener('click', () => show(dayString))

		} else {
			dayS.classList.add('padding')
		}

		calendar.appendChild(dayS)
	}
}

// function closeModal() {
// 	eventTitleInput.classList.remove('error')
// 	newEvent.style.display = 'none'
// 	backDrop.style.display = 'none'
// 	deleteEventModal.style.display = 'none'

// 	eventTitleInput.value = ''
// 	clicked = null
// 	load()

// }
// function saveEvent() {
// 	if (eventTitleInput.value) {
// 		eventTitleInput.classList.remove('error')

// 		events.push({
// 			date: clicked,
// 			title: eventTitleInput.value
// 		})

// 		localStorage.setItem('events', JSON.stringify(events))
// 		closeModal()

// 	} else {
// 		eventTitleInput.classList.add('error')
// 	}
// }

// function deleteEvent() {

// 	events = events.filter(event => event.date !== clicked)
// 	localStorage.setItem('events', JSON.stringify(events))
// 	closeModal()
// }

// botes 

function buttons() {
	document.getElementById('backButton').addEventListener('click', () => {
		nav--
		load()

	})

	document.getElementById('nextButton').addEventListener('click', () => {
		nav++
		load()

	})

	document.getElementById('saveButton').addEventListener('click', () => saveEvent())

	document.getElementById('cancelButton').addEventListener('click', () => closeModal())

	document.getElementById('deleteButton').addEventListener('click', () => deleteEvent())

	document.getElementById('closeButton').addEventListener('click', () => closeModal())

}
buttons()
load()

