<?php
include_once 'include/conecta.php'; //Conecta com a nosso banco de dados MySQL
include_once './include/ver_sessao.php'; //Verifica se a sesso est ativa
include_once 'include/funcoesPhp.php'; //Inclue a pgina con todas as funes a ser usada.
include_once 'menu_movimento.php';

$sessao_unidade = $_SESSION["Unidade"];
?>

<?php
if (CLIENTE_EMAIL == 'nexco' || CLIENTE_EMAIL == 'ggm' && $_SESSION["Email"] == 'vendas@nexco.com.br') {
    $clienteSemVenda = mysqli_query($con, "SELECT cliente.Id
    FROM cliente
    WHERE (SELECT Pedido.Data_Venda FROM venda as Pedido WHERE Pedido.Id_Cliente = cliente.Id ORDER BY Pedido.Data_Venda DESC LIMIT 1) <= SUBDATE(CURDATE(), 365)");
    while ($inativaCliente = mysqli_fetch_assoc($clienteSemVenda)) {
        mysqli_query($con, "UPDATE cliente SET Ativo = 'No' WHERE Id = '" . $inativaCliente['Id'] . "' ");
    }
}
?>
<?php
//se o usuario entrar no inicio, limpamos as sessoes
$_SESSION["Modulo"] = '';
$_SESSION["Pagina"] = '';
$_SESSION["Ordenar"] = '';
$_SESSION["Ordem_Lista"] = '';
$_SESSION["Status_Lista"] = '';
$_SESSION["Pesq"] = '';
$_SESSION["tipo"] = '';
?>
<html>

<head>
    <title>Gw - Gesto Web</title>
    <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
    <link rel="stylesheet" type="text/css" href="estilo/<?php echo SKIN; ?>/bemvindo.css" />
    <script type="text/javascript" language="javascript" src="js/jquery.js"></script>
    <?php include './include/script_cabeca.php'; ?>
    <style>
        .logo_flutuante {
            width: 9.7%;
            height: auto;
            position: fixed;
            z-index: 1000;
            right: 0;
            top: 1rem;
        }
    </style>

<body>

    <?php
    $emp1 = mysqli_query($con, "SELECT Titulo from unidade where Id='" . $sessao_unidade . "' ");
    $emp12 = mysqli_fetch_assoc($emp1);
    ?>
    <div style='float:right;font-size:10px;'><b>Empresa:</b> <?php echo $emp12["Titulo"]; ?></div>
    <br>
    <div style='float:right;font-size:10px;'><b>Usurio:</b> <?php echo $_SESSION["Login"]; ?></div>

    <div class="logo_flutuante">
        <img src="imagem/pontti_slogan.png" alt="Pontti - Fbrica de Solues Web | 81-3014.2099"
            title="Pontti - Fbrica de Solues Web | 81-3014.2099" width="98%" height="auto" />

    </div>

    <!-- quadro de paineis -->
    <div id="quadro_painel">

        <?php
        //inicio menu financeiro
        $menu_financeiro = mysqli_query($con, "SELECT menu.Chamada
                                        from menu_usuario
                                        inner join
                                        (SELECT Id, Chamada, Id_Pai, Ordem FROM menu WHERE menu.Ativo = 'Sim') as menu
                                        ON menu_usuario.Id_Menu = menu.Id
                                        inner join
                                        (SELECT Id FROM menu WHERE menu.Id = '4') as menu_pai
                                        ON menu_pai.Id = menu.Id_Pai
                                        where menu_usuario.Id_Responsavel='" . $_SESSION["Id"] . "'
                                        order by menu.Chamada ");

        $quadro_cp = '';
        $quadro_cr = '';
        while ($linha = mysqli_fetch_assoc($menu_financeiro)) {

            if ($linha['Chamada'] == "Conta_Pagar") {
                $quadro_cp = 'conta_pagar';
            } else if ($linha['Chamada'] == "Conta_Pagar3") {
                $quadro_cp = 'conta_pagar3';
            } else if ($linha['Chamada'] == "Conta_Pagar4") {
                $quadro_cp = 'conta_pagar4';
            }

            if ($linha['Chamada'] == "Conta_Receber") {
                $quadro_cr = 'conta_receber';
            } else if ($linha['Chamada'] == "Conta_Receber3") {
                $quadro_cr = 'conta_receber3';
            } else if ($linha['Chamada'] == "Conta_Receber4") {
                $quadro_cr = 'conta_receber4';
            }
        }
        //fim menu financeiro
        
        //inicio menu operacoes
        $menu_operacao = mysqli_query($con, "SELECT menu.Chamada
                        from menu_usuario
                        inner join
                        (SELECT Id, Chamada, Id_Pai, Ordem FROM menu WHERE menu.Ativo = 'Sim') as menu
                        ON menu_usuario.Id_Menu = menu.Id
                        inner join
                        (SELECT Id FROM menu WHERE (menu.Id = '3' OR menu.Id ='8')) as menu_pai
                        ON menu_pai.Id = menu.Id_Pai
                        where menu_usuario.Id_Responsavel='" . $_SESSION["Id"] . "'
                        order by menu.Chamada ");

        $quadro_venda = '';
        $quadro_pre_venda = '';
        while ($linha = mysqli_fetch_assoc($menu_operacao)) {

            if ($linha['Chamada'] == "Venda") {
                $quadro_venda = 'venda';
            } else if ($linha['Chamada'] == "Venda1") {
                $quadro_venda = 'venda1';
            } else if ($linha['Chamada'] == "Venda2") {
                $quadro_venda = 'venda2';
            } else if ($linha['Chamada'] == "Venda3") {
                $quadro_venda = 'venda3';
            } else if ($linha['Chamada'] == "Venda4") {
                $quadro_venda = 'venda4b';
            } else if ($linha['Chamada'] == "Venda5") {
                $quadro_venda = 'venda5';
            } else if ($linha['Chamada'] == "Venda6") {
                $quadro_venda = 'venda6';
            } else if ($linha['Chamada'] == "Venda7") {
                $quadro_venda = 'venda7';
            } else if ($linha['Chamada'] == "Venda8") {
                $quadro_venda = 'venda8';
            } else if ($linha['Chamada'] == "Venda9") {
                $quadro_venda = 'venda9';
            } else if ($linha['Chamada'] == "Venda10") {
                $quadro_venda = 'venda10';
            } else if ($linha['Chamada'] == "Venda11") {
                $quadro_venda = 'venda11';
            } else if ($linha['Chamada'] == "Venda12") {
                $quadro_venda = 'venda12';
            } else if ($linha['Chamada'] == "Venda13") {
                $quadro_venda = 'venda13';
            } else if ($linha['Chamada'] == "Venda14") {
                $quadro_venda = 'venda14';
            } else if ($linha['Chamada'] == "Venda15") {
                $quadro_venda = 'venda15';
            } else if ($linha['Chamada'] == "Venda16") {
                $quadro_venda = 'venda16';
            } else if ($linha['Chamada'] == "Venda18") {
                $quadro_venda = 'venda18';
            } else if ($linha['Chamada'] == "Venda19") {
                $quadro_venda = 'venda19';
            } else if ($linha['Chamada'] == "Venda20") {
                $quadro_venda = 'venda20';
            } else if ($linha['Chamada'] == "Venda21") {
                $quadro_venda = 'venda21';
            } else if ($linha['Chamada'] == "Venda24") {
                $quadro_venda = 'venda24';
            } else if ($linha['Chamada'] == "Venda25") {
                $quadro_venda = 'Venda25';
            } else if ($linha['Chamada'] == "Venda26") {
                $quadro_venda = 'Venda26';
            } else if ($linha['Chamada'] == "Venda_Lote") {
                $quadro_venda = 'venda_lote';
            } else if ($linha['Chamada'] == "Venda_Lote_1") {
                $quadro_venda = 'venda_lote1';
            } else if ($linha['Chamada'] == "Venda_Lote_2") {
                $quadro_venda = 'venda_lote2';
            } else if ($linha['Chamada'] == "Venda_Lote_3") {
                $quadro_venda = 'venda_lote3';
            } else if ($linha['Chamada'] == "Venda_Lote_4") {
                $quadro_venda = 'venda_lote4';
            } else if ($linha['Chamada'] == "Venda_Lote_5") {
                $quadro_venda = 'venda_lote5';
            } else if ($linha['Chamada'] == "Venda_Lote_6") {
                $quadro_venda = 'venda_lote6';
            } else if ($linha['Chamada'] == "Venda_Lote_7") {
                $quadro_venda = 'venda_lote7';
            } else if ($linha['Chamada'] == "Venda_Lote_8") {
                $quadro_venda = 'venda_lote8';
            } else if ($linha['Chamada'] == "Movimento_Restaurante") {
                $quadro_venda = 'venda_restaurante';
            }
        }
        //fim menu operacoes
        ?>


        <?php if (!$_SESSION["Id_Cliente"]) { ?>

            <?php

            $verificausuario = mysqli_query($con, "SELECT Escolher_Empresa FROM usuario WHERE Id = '" . $_SESSION['Id'] . "' ");
            $retornoUsuario = mysqli_fetch_assoc($verificausuario);

            if ($retornoUsuario["Escolher_Empresa"] == 'No') {
                $unidade = " AND Id_Unidade='" . $sessao_unidade . "' ";
            }

            if (DASH_CAIXA_GERAL == 'S') {

                $ult_dia = date("t", mktime(0, 0, 0, date("m"), 1, date("Y")));
                $de = date("Y") . "-" . date("m") . "-01";
                $ate = date("Y") . "-" . date("m") . "-" . $ult_dia;
                $caixa_data .= " AND caixa.Data_Caixa >= '" . $de . " 00:00:00' ";
                $caixa_data .= " AND caixa.Data_Caixa <= '" . $ate . " 23:59:59' ";

                //if(PAIS=='USA'){
                //$de_url=date("m")."%2F01"."%2F".date("Y");
                //$ate_url=date("m")."%2F".$ult_dia."%2F".date("Y");
                //}else{
                //$de_url="01"."%2F".date("m")."%2F".date("Y");
                //$ate_url=$ult_dia."%2F".date("m")."%2F".date("Y");
                //}
        
                $qtd_caixa_e = mysqli_query($con, "SELECT SUM(Valor) as Valor
                            FROM caixa
                            WHERE Tipo = 'Entrada' $caixa_data $unidade ");
                $qtd_caixa_e = mysqli_fetch_assoc($qtd_caixa_e);

                $qtd_caixa_s = mysqli_query($con, "SELECT SUM(Valor) as Valor
                            FROM caixa
                            WHERE Tipo = 'Saida' $caixa_data $unidade ");
                $qtd_caixa_s = mysqli_fetch_assoc($qtd_caixa_s);
                ?>
                <a
                    href="caixa/rel_caixa_sem_acumulado.php?De=<?php echo data_exibir($de); ?>&Ate=<?php echo data_exibir($ate); ?>&Conta=&Unidade=&Transferencia=&Contra_Partida=&Centro_Custo=&EF=&EF_Rel=&Atividade=&Tipo_Pagamento=&Tipo=&Tipo_Rel=&Funcionario=&Ok=Ok">
                    <div class="blocos_home" style="background-color:#001F3F; border-color:#001F3F; color:#FFF;">
                        <img src="imagem/icon_caixa.png" class="img_bloco" />
                        <h2><?php echo valor_exibir($qtd_caixa_e['Valor'] - $qtd_caixa_s['Valor'], 2); ?></h2>
                        <p key="Caixa_Geral_Mes" class="tr">Caixa Geral Ms</p>
                        <span key="Mais_Info" class="tr">Mais informaes</span>
                    </div>
                </a>
            <?php } ?>
            <?php
            if (DASH_CONTA_RECEBER == 'S') {

                $ult_dia = date("t", mktime(0, 0, 0, date("m"), 1, date("Y")));
                $de = date("Y") . "-" . date("m") . "-01";
                $ate = date("Y") . "-" . date("m") . "-" . $ult_dia;
                $cr_data .= " AND conta_receber.Data_Vencimento >= '" . $de . " 00:00:00' ";
                $cr_data .= " AND conta_receber.Data_Vencimento <= '" . $ate . " 23:59:59' ";

                $qtd_cr = mysqli_query($con, "SELECT SUM(Valor_Original) as Valor FROM conta_receber where Status='Aberto' $cr_data $unidade ");
                $qtd_cr = mysqli_fetch_assoc($qtd_cr);
                ?>
                <a
                    href="<?php echo $quadro_cr; ?>/rel_conta_receber.php?De=<?php echo data_exibir($de); ?>&Ate=<?php echo data_exibir($ate); ?>&Data_Filtro=Vencimento&EF=&EF_Rel=&Cliente=&Aberto=Aberto&Liquidado_Rel=&Aberto_Rel=Aberto&Cancelado_Rel=&Conta=&Categoria_Tipo_Pagamento=&Tipo_Pagamento=&Funcionario=&Atividade=&Situacao=&Unidade=&Estado=&Estado_Rel=&Cidade=&Origem=&Ok=Ok">
                    <div class="blocos_home" style="background-color:#00A65A; border-color:#00A65A; color:#FFF;">
                        <img src="imagem/icon_contas-receber.png" class="img_bloco" />
                        <h2><?php echo valor_exibir($qtd_cr['Valor'], 2); ?></h2>
                        <p key="Contas_Receber_Mes" class="tr">Receber no ms</p>
                        <span key="Mais_Info" class="tr">Mais informaes</span>
                    </div>
                </a>
            <?php } ?>
            <?php
            if (DASH_CONTA_RECEBER_ABERTO == 'S') {

                $qtd_cr = mysqli_query($con, "SELECT SUM(Valor_Original) as Valor FROM conta_receber where Status='Aberto' $unidade ");
                $qtd_cr = mysqli_fetch_assoc($qtd_cr);
                ?>
                <a
                    href="<?php echo $quadro_cr; ?>/rel_conta_receber.php?Data_Filtro=Vencimento&EF=&EF_Rel=&Cliente=&Aberto=Aberto&Liquidado_Rel=&Aberto_Rel=&Cancelado_Rel=&Conta=&Categoria_Tipo_Pagamento=&Tipo_Pagamento=&Funcionario=&Atividade=&Situacao=&Unidade=&Estado=&Estado_Rel=&Cidade=&Origem=&Ok=Ok">
                    <div class="blocos_home" style="background-color:#BF930C; border-color:#BF930C; color:#FFF;">
                        <img src="imagem/icon_contas-receber.png" class="img_bloco" />
                        <h2><?php echo valor_exibir($qtd_cr['Valor'], 2); ?></h2>
                        <p key="Contas_Receber_Mes_Aberto" class="tr">Receber em Aberto</p>
                        <span key="Mais_Info" class="tr">Mais informaes</span>
                    </div>
                </a>
            <?php } ?>
            <?php
            if (DASH_CONTA_PAGAR == 'S') {

                $ult_dia = date("t", mktime(0, 0, 0, date("m"), 1, date("Y")));
                $de = date("Y") . "-" . date("m") . "-01";
                $ate = date("Y") . "-" . date("m") . "-" . $ult_dia;
                $cp_data .= " AND conta_pagar.Data_Vencimento >= '" . $de . " 00:00:00' ";
                $cp_data .= " AND conta_pagar.Data_Vencimento <= '" . $ate . " 23:59:59' ";

                $qtd_cp = mysqli_query($con, "SELECT SUM(Valor_Original) as Valor FROM conta_pagar where Status='Aberto' $cp_data $unidade ");
                $qtd_cp = mysqli_fetch_assoc($qtd_cp);
                ?>
                <a
                    href="<?php echo $quadro_cp; ?>/rel_conta_pagar.php?De=<?php echo data_exibir($de); ?>&Ate=<?php echo data_exibir($ate); ?>&Data_Filtro=Vencimento&EF=&EF_Rel=&Cliente=&Aberto=Aberto&Liquidado_Rel=&Aberto_Rel=Aberto&Cancelado_Rel=&Conta=&Categoria_Tipo_Pagamento=&Tipo_Pagamento=&Funcionario=&Atividade=&Situacao=&Unidade=&Estado=&Estado_Rel=&Cidade=&Origem=&Ok=Ok">
                    <div class="blocos_home" style="background-color:#DD4B39; border-color:#DD4B39; color:#FFF;">
                        <img src="imagem/icon_contas-pagar.png" class="img_bloco" />
                        <h2><?php echo valor_exibir($qtd_cp['Valor'], 2); ?></h2>
                        <p key="Contas_Pagar_Mes" class="tr">Pagar no ms</p>
                        <span key="Mais_Info" class="tr">Mais informaes</span>
                    </div>
                </a>
            <?php } ?>
            <?php
            if (DASH_VENDA_DIA == 'S') {

                if (CLIENTE_EMAIL == 'grupoblockade') {
                    $Data_Filtro = "Faturado";
                    $vend_block = "Data_Faturado";
                    $status_block = "1=1";
                    $campos_block = "SUM(Valor_Pago - Valor_Icms_Sub - Valor_Ipi) as Valor";
                } else {
                    $Data_Filtro = "Conclusao";
                    $finali = "Finalizado=Finalizado";
                    $vend_block = "Data_Conclusao";
                    $status_block = "Status='Finalizado'";
                    $campos_block = "SUM(Valor_Pago) as Valor";
                }

                $ven_data = '';
                $de = date("Y") . "-" . date("m") . "-" . date("d");
                $ate = date("Y") . "-" . date("m") . "-" . date("d");
                $ven_data .= " AND venda." . $vend_block . " >= '" . $de . " 00:00:00' ";
                $ven_data .= " AND venda." . $vend_block . " <= '" . $ate . " 23:59:59' ";

                if (VER_APENAS_SUAS_VENDAS == 'Sim') {
                    $func_venda = " AND Id_Vendedor='" . $_SESSION["Id_Funcionario"] . "' ";
                    $vFuncionario = $_SESSION["Id_Funcionario"];
                }

                $qtd_venda = mysqli_query($con, "SELECT $campos_block FROM venda where $status_block AND Financeiro='Sim' $ven_data $unidade $func_venda ");
                $qtd_venda = mysqli_fetch_assoc($qtd_venda);

                ?>
                <a
                    href="<?php echo $quadro_venda; ?>/rel_venda_simples.php?De=<?php echo data_exibir($de); ?>&Ate=<?php echo data_exibir($ate); ?>&Vendedor=<?php echo $vFuncionario; ?>&Data_Filtro=<?php echo $Data_Filtro; ?>&Cliente=&EF=&Financeiro=Sim&EF_Rel=&Unidade=&Funcionario=&Produto=&<?php echo $finali; ?>&Finalizado_Rel=Finalizado&Aberto_Rel=Aberto&Cancelado_Rel=Cancelado&Ok=Ok">
                    <div class="blocos_home" style="background-color:#BDC0C7; border-color:#BDC0C7; color:#FFF;">
                        <img src="imagem/book_pdv.png" class="img_bloco" />
                        <h2><?php echo valor_exibir($qtd_venda['Valor'], 2) ?></h2>
                        <p key="Vendas_Dia" class="tr">Vendas do Dia</p>
                        <span key="Mais_Info" class="tr">Mais informaes</span>
                    </div>
                </a>
            <?php } ?>
            <?php
            if (DASH_VENDA_MES == 'S') {

                if (CLIENTE_EMAIL == 'grupoblockade') {
                    $Data_Filtro = "Faturado";
                    $vend_block = "Data_Faturado";
                    $status_block = "1=1";
                    $campos_block = "SUM(Valor_Pago - Valor_Icms_Sub - Valor_Ipi) as Valor";
                } else {
                    $Data_Filtro = "Conclusao";
                    $finali = "Finalizado=Finalizado";
                    $vend_block = "Data_Conclusao";
                    $status_block = "Status='Finalizado'";
                    $campos_block = "SUM(Valor_Pago) as Valor";
                }

                $ven_data = '';
                $ult_dia = date("t", mktime(0, 0, 0, date("m"), 1, date("Y")));
                $de = date("Y") . "-" . date("m") . "-01";
                $ate = date("Y") . "-" . date("m") . "-" . $ult_dia;
                $ven_data .= " AND venda." . $vend_block . " >= '" . $de . " 00:00:00' ";
                $ven_data .= " AND venda." . $vend_block . " <= '" . $ate . " 23:59:59' ";

                if (VER_APENAS_SUAS_VENDAS == 'Sim') {
                    $func_venda = " AND Id_Vendedor='" . $_SESSION["Id_Funcionario"] . "' ";
                    $vFuncionario = $_SESSION["Id_Funcionario"];
                }

                $qtd_venda = mysqli_query($con, "SELECT SUM( ( (venda_produto.Preco*venda_produto.Qtd) - ( (venda_produto.Preco*venda_produto.Qtd)*(venda_produto.Desconto/100) ) ) - venda_produto.Desconto_Real - venda_produto.Desconto_Real_Pe_Nota) as Valor
                                                    FROM venda
                                                    LEFT JOIN (SELECT Id,Id_Venda,Preco,Qtd,Desconto,Desconto_Real,Desconto_Real_Pe_Nota FROM venda_produto)as venda_produto ON venda_produto.Id_Venda = venda.Id
                                                    where $status_block AND venda.Financeiro='Sim' $ven_data $unidade $func_venda ");
                $qtd_venda = mysqli_fetch_assoc($qtd_venda);

                $qtd_venda2 = mysqli_query($con, "SELECT SUM(Valor_Pago) as Valor_Icms_Sub
                                                    FROM venda
                                                    where $status_block AND venda.Financeiro='Sim' $ven_data $unidade $func_venda ");
                $qtd_venda2 = mysqli_fetch_assoc($qtd_venda2);

                $vlr_frete = mysqli_query($con, "SELECT SUM(Valor_Frete) as Total_Frete
                FROM venda
                where $status_block AND venda.Financeiro='Sim' $ven_data $unidade $func_venda ");
                $vlr_frete = mysqli_fetch_assoc($vlr_frete);
                ?>

                <a
                    href="<?php echo $quadro_venda; ?>/rel_venda.php?De=<?php echo data_exibir($de); ?>&Ate=<?php echo data_exibir($ate); ?>&Vendedor=<?php echo $vFuncionario; ?>&Data_Filtro=<?php echo $Data_Filtro; ?>&Cliente=&EF=&Financeiro=Sim&EF_Rel=&Unidade=&Funcionario=&Produto=&<?php echo $finali; ?>&Finalizado_Rel=Finalizado&Aberto_Rel=&Cancelado_Rel=&Tipo_Pagamento=&Ok=Ok">
                    <div class="blocos_home" style="background-color:#00ACD7; border-color:#00ACD7; color:#FFF;">
                        <img src="imagem/book_pdv.png" class="img_bloco" />
                        <?php if (
                            CLIENTE_EMAIL == 'cdggaranhuns' || CLIENTE_EMAIL == 'cdgcaruaru' || CLIENTE_EMAIL == 'cdgarcoverde' ||
                            CLIENTE_EMAIL == 'cdgrecife' || CLIENTE_EMAIL == 'cdg'
                        ) { ?>
                            <h2><?php echo valor_exibir($qtd_venda2['Valor_Icms_Sub'] - $vlr_frete['Total_Frete'], 2) ?></h2>
                        <?php } else { ?>
                            <h2><?php echo valor_exibir($qtd_venda2['Valor_Icms_Sub'], 2) ?></h2>

                        <?php } ?>
                        <p key="Vendas_Mes" class="tr">Vendas do Ms</p>
                        <span key="Mais_Info" class="tr">Mais informaes</span>
                    </div>
                </a>
            <?php } ?>
            <?php
            if (DASH_QTD_VENDA_ABERTA == 'S') {

                if (VER_APENAS_SUAS_VENDAS == 'Sim') {
                    $func_venda = " AND Id_Vendedor='" . $_SESSION["Id_Funcionario"] . "' ";
                    $vFuncionario = $_SESSION["Id_Funcionario"];
                }
                if (ESCOLHER_EMPRESA == 'No') {

                } else {
                    $sessao_unidade = '';
                }
                $qtd_venda = mysqli_query($con, "SELECT COUNT(Id) as Qtd, SUM(Valor_Original) as Valor FROM venda WHERE Status='Aberto' AND Financeiro='Sim' $func_venda $unidade ");
                $qtd_venda = mysqli_fetch_assoc($qtd_venda);
                ?>
                <a
                    href="<?php echo $quadro_venda; ?>/rel_venda.php?Data_Filtro=Data&Cliente=&Vendedor=<?php echo $vFuncionario; ?>&EF=&Financeiro=&EF_Rel=&Unidade=<?php echo $sessao_unidade; ?>&Funcionario=&Produto=&Aberto=Aberto&Finalizado_Rel=&Aberto_Rel=&Cancelado_Rel=&Tipo_Pagamento=&Ok=Ok">
                    <div class="blocos_home" style="background-color:#001F3F; border-color:#001F3F; color:#FFF;">
                        <img src="imagem/book_pdv.png" class="img_bloco" />
                        <h2><?php echo $qtd_venda['Qtd'] . ' (R$ ' . valor_exibir($qtd_venda['Valor'], 2) . ')'; ?></h2>
                        <p key="Venda_Aberta" class="tr"> Quantidade Vendas Abertas</p>
                        <span key="Mais_Info" class="tr">Mais informaes</span>
                    </div>
                </a>
            <?php } ?>

            <?php
            if (DASH_PDV_DIA == 'S') {

                $Data_Filtro = "Data";
                $finali = "Finalizado=Finalizado";
                $vend_block = "Data_Pdv";
                $status_block = "Status='Finalizado'";
                $campos_block = "SUM(Valor_Pago-Troco) as Valor";

                $ven_data = '';
                $de = date("Y") . "-" . date("m") . "-" . date("d");
                $ate = date("Y") . "-" . date("m") . "-" . date("d");
                $ven_data .= " AND pdv." . $vend_block . " >= '" . $de . " 00:00:00' ";
                $ven_data .= " AND pdv." . $vend_block . " <= '" . $ate . " 23:59:59' ";

                if (VER_APENAS_SUAS_VENDAS == 'Sim') {
                    $func_venda = " AND Id_Vendedor='" . $_SESSION["Id_Funcionario"] . "' ";
                    $vFuncionario = $_SESSION["Id_Funcionario"];
                }

                $qtd_venda = mysqli_query($con, "SELECT $campos_block FROM pdv where $status_block AND Financeiro='Sim' $ven_data $unidade $func_venda ");
                $qtd_venda = mysqli_fetch_assoc($qtd_venda);

                ?>
                <a
                    href="pdv2/rel_pdv_simples.php?De=<?php echo data_exibir($de); ?>&Ate=<?php echo data_exibir($ate); ?>&Vendedor=<?php echo $vFuncionario; ?>&Data_Filtro=<?php echo $Data_Filtro; ?>&Cliente=&EF=&Financeiro=Sim&EF_Rel=&Unidade=&Funcionario=&Produto=&<?php echo $finali; ?>&Finalizado_Rel=Finalizado&Aberto_Rel=Aberto&Cancelado_Rel=Cancelado&Ok=Ok">
                    <div class="blocos_home" style="background-color:#BDC0C7; border-color:#BDC0C7; color:#FFF;">
                        <img src="imagem/book_pdv.png" class="img_bloco" />
                        <h2><?php echo valor_exibir($qtd_venda['Valor'], 2) ?></h2>
                        <p key="Pdv_Dia" class="tr">Pdv do Dia</p>
                        <span key="Mais_Info" class="tr">Mais informaes</span>
                    </div>
                </a>
            <?php } ?>
            <?php
            if (DASH_PDV_MES == 'S') {

                $Data_Filtro = "Data";
                $finali = "Finalizado=Finalizado";
                $vend_block = "Data_Pdv";
                $status_block = "Status='Finalizado'";
                $campos_block = "SUM(Valor_Pago-Troco) as Valor";

                $ven_data = '';
                $ult_dia = date("t", mktime(0, 0, 0, date("m"), 1, date("Y")));
                $de = date("Y") . "-" . date("m") . "-01";
                $ate = date("Y") . "-" . date("m") . "-" . $ult_dia;
                $ven_data .= " AND pdv." . $vend_block . " >= '" . $de . " 00:00:00' ";
                $ven_data .= " AND pdv." . $vend_block . " <= '" . $ate . " 23:59:59' ";

                if (VER_APENAS_SUAS_VENDAS == 'Sim') {
                    $func_venda = " AND Id_Vendedor='" . $_SESSION["Id_Funcionario"] . "' ";
                    $vFuncionario = $_SESSION["Id_Funcionario"];
                }
                /*
                $qtd_venda = mysqli_query($con, "SELECT SUM( ( (venda_produto.Preco*venda_produto.Qtd) - ( (venda_produto.Preco*venda_produto.Qtd)*(venda_produto.Desconto/100) ) ) - venda_produto.Desconto_Real - venda_produto.Desconto_Real_Pe_Nota) as Valor
                                                    FROM venda
                                                    LEFT JOIN (SELECT Id,Id_Venda,Preco,Qtd,Desconto,Desconto_Real,Desconto_Real_Pe_Nota FROM venda_produto)as venda_produto ON venda_produto.Id_Venda = venda.Id
                                                    where $status_block AND venda.Financeiro='Sim' $ven_data $unidade $func_venda ");
                $qtd_venda = mysqli_fetch_assoc($qtd_venda);
                */
                $qtd_venda2 = mysqli_query($con, "SELECT SUM(Valor_Pago - Troco) as Valor_Icms_Sub
                                                    FROM pdv
                                                    where $status_block AND pdv.Financeiro='Sim' $ven_data $unidade $func_venda ");
                $qtd_venda2 = mysqli_fetch_assoc($qtd_venda2);

                $vlr_frete = mysqli_query($con, "SELECT SUM(Valor_Frete) as Total_Frete
                FROM pdv
                where $status_block AND pdv.Financeiro='Sim' $ven_data $unidade $func_venda ");
                $vlr_frete = mysqli_fetch_assoc($vlr_frete);
                ?>

                <a
                    href="pdv2/rel_pdv.php?De=<?php echo data_exibir($de); ?>&Ate=<?php echo data_exibir($ate); ?>&Vendedor=<?php echo $vFuncionario; ?>&Data_Filtro=<?php echo $Data_Filtro; ?>&Cliente=&EF=&Financeiro=Sim&EF_Rel=&Unidade=&Funcionario=&Produto=&<?php echo $finali; ?>&Finalizado_Rel=Finalizado&Aberto_Rel=&Cancelado_Rel=&Tipo_Pagamento=&Ok=Ok">
                    <div class="blocos_home" style="background-color:#00ACD7; border-color:#00ACD7; color:#FFF;">
                        <img src="imagem/book_pdv.png" class="img_bloco" />
                        <?php if (
                            CLIENTE_EMAIL == 'cdggaranhuns' || CLIENTE_EMAIL == 'cdgcaruaru' || CLIENTE_EMAIL == 'cdgarcoverde' ||
                            CLIENTE_EMAIL == 'cdgrecife' || CLIENTE_EMAIL == 'cdg'
                        ) { ?>
                            <h2><?php echo valor_exibir($qtd_venda2['Valor_Icms_Sub'] - $vlr_frete['Total_Frete'], 2) ?></h2>
                        <?php } else { ?>
                            <h2><?php echo valor_exibir($qtd_venda2['Valor_Icms_Sub'], 2) ?></h2>

                        <?php } ?>
                        <p key="Pdv_Mes" class="tr">Pdv do Ms</p>
                        <span key="Mais_Info" class="tr">Mais informaes</span>
                    </div>
                </a>
            <?php } ?>
            <?php
            if (DASH_QTD_PDV_ABERTA == 'S') {

                if (VER_APENAS_SUAS_VENDAS == 'Sim') {
                    $func_venda = " AND Id_Vendedor='" . $_SESSION["Id_Funcionario"] . "' ";
                    $vFuncionario = $_SESSION["Id_Funcionario"];
                }
                $qtd_venda = mysqli_query($con, "SELECT COUNT(Id) as Qtd FROM pdv WHERE Status='Aberto' AND Financeiro='Sim' $func_venda $unidade ");
                $qtd_venda = mysqli_fetch_assoc($qtd_venda);
                ?>
                <a
                    href="pdv2/rel_pdv.php?Data_Filtro=Data&Cliente=&Vendedor=<?php echo $vFuncionario; ?>&EF=&Financeiro=&EF_Rel=&Unidade=<?php echo $sessao_unidade; ?>&Funcionario=&Produto=&Aberto=Aberto&Finalizado_Rel=&Aberto_Rel=&Cancelado_Rel=&Tipo_Pagamento=&Ok=Ok">
                    <div class="blocos_home" style="background-color:#001F3F; border-color:#001F3F; color:#FFF;">
                        <img src="imagem/book_pdv.png" class="img_bloco" />
                        <h2><?php echo $qtd_venda['Qtd']; ?></h2>
                        <p key="Pdv_Aberta" class="tr">Quantidade Pdv Abertas</p>
                        <span key="Mais_Info" class="tr">Mais informaes</span>
                    </div>
                </a>
            <?php } ?>

            <?php
            if (DASH_LUCRO_MES == 'S') {

                $ven_data = '';
                $ven_pdv = '';
                $ult_dia = date("t", mktime(0, 0, 0, date("m"), 1, date("Y")));
                $de = date("Y") . "-" . date("m") . "-01";
                $ate = date("Y") . "-" . date("m") . "-" . $ult_dia;
                $ven_data .= " AND venda.Data_Conclusao >= '" . $de . " 00:00:00' ";
                $ven_data .= " AND venda.Data_Conclusao <= '" . $ate . " 23:59:59' ";
                $ven_pdv .= " AND pdv.Data_Pdv >= '" . $de . " 00:00:00' ";
                $ven_pdv .= " AND pdv.Data_Pdv <= '" . $ate . " 23:59:59' ";

                if (VER_APENAS_SUAS_VENDAS == 'Sim') {
                    $func_venda = " AND Id_Vendedor='" . $_SESSION["Id_Funcionario"] . "' ";
                    $func_pdv = " AND Id_Vendedor='" . $_SESSION["Id_Funcionario"] . "' ";
                    $vFuncionario = $_SESSION["Id_Funcionario"];
                }



                $venda = mysqli_query($con, "SELECT venda.Id, venda.Lancamento,
                            venda.Status,
                            venda.Data_Venda,
                            venda.Desconto,
                            venda.Desconto_Real
                            FROM venda
                            INNER join (SELECT Id,Id_Produto,Id_Venda, Id_Categoria_Produto FROM venda_produto WHERE 1=1 $Categoria_Produto) as venda_produto ON venda_produto.Id_Venda = venda.Id
                            WHERE venda.Status = 'Finalizado'
                            AND Financeiro = 'Sim'
                            $ven_data $func_venda
                            group by venda.Lancamento
                            order by venda.Lancamento");

                $pdv = mysqli_query($con, "SELECT pdv.Id, pdv.Lancamento,
                            pdv.Status,
                            pdv.Data_Pdv,
                            pdv.Desconto_Total,
                            pdv.Tipo_Desconto,
                            pdv.Codigo_Paf,
                            pdv.Acrescimo
                            FROM pdv
                            INNER join (SELECT Id,Id_Produto,Id_Pdv,Id_Categoria_Produto FROM pdv_produto WHERE 1=1 $Categoria_ProdutoP) as pdv_produto ON pdv_produto.Id_Pdv = pdv.Id
                            WHERE pdv.Status = 'Finalizado'
                            AND Financeiro = 'Sim'
                            $ven_pdv $func_pdv
                            group by pdv.Lancamento
                            order by pdv.Lancamento");

                while ($chave = mysqli_fetch_assoc($venda)) {

                    $produto = mysqli_query($con, "SELECT DISTINCT venda_produto.Id,
                                produto.Titulo,
                                produto.Codigo,
                                venda_produto.Preco,
                                venda_produto.Qtd,
                                venda_produto.Desconto,
                                venda_produto.Desconto_Real,
                                venda_produto.Preco_Custo
                                from venda_produto
                                left join (SELECT Id,Titulo,Codigo FROM produto) as produto ON produto.Id = venda_produto.Id_Produto
                                where venda_produto.Id_Venda = '" . $chave["Id"] . "'
                                ORDER BY venda_produto.Data_Cadastro");

                    $vtotal = '0';
                    $vcusto = '0';
                    $custoprod = '0';
                    while ($valor = mysqli_fetch_assoc($produto)) {
                        $vtotal += ((($valor["Preco"] * $valor["Qtd"]) - (($valor["Preco"] * $valor["Qtd"]) * ($valor["Desconto"] / 100))) - $valor["Desconto_Real"]);
                        $vcusto += $valor["Preco_Custo"] * $valor["Qtd"];

                        $custoprod += $valor["Preco_Custo"] * $valor["Qtd"];
                    }

                    $vtotalacum[$chave["Status"]] += (($vtotal) - ($vtotal * ($chave["Desconto"] / 100))) - $chave["Desconto_Real"];
                    $vtotalacumCusto[$chave["Status"]] += $vcusto;
                    $vtotalacumA += (($vtotal) - ($vtotal * ($chave["Desconto"] / 100))) - $chave["Desconto_Real"];
                }

                while ($chave1 = mysqli_fetch_assoc($pdv)) {

                    $produto = mysqli_query($con, "SELECT produto.Codigo,
                    produto.Titulo,
                    pdv_produto.Preco,
                    pdv_produto.Qtd,
                    pdv_produto.Desconto_Real,
                    pdv_produto.Preco_Custo
                    from pdv_produto
                    left join (SELECT Id,Codigo,Titulo FROM produto) as produto ON produto.Id = pdv_produto.Id_Produto
                    where pdv_produto.Id_Pdv = '" . $chave1["Id"] . "'
                    AND pdv_produto.Cancelado = 'No'
                    order by pdv_produto.Data_Cadastro  ");

                    $vtotal = '0';
                    $vcusto = '0';
                    $custoprod = '0';
                    while ($valor1 = mysqli_fetch_assoc($produto)) {
                        $vtotal += (($valor1["Preco"] * $valor1["Qtd"]) - $valor1["Desconto_Real"]);
                        $vcusto += $valor1["Preco_Custo"] * $valor1["Qtd"];

                        $custoprod += $valor1["Preco_Custo"] * $valor1["Qtd"];
                    }

                    if ($chave1["Tipo_Desconto"] == 'Real') {
                        $vtotalacum[$chave1["Status"]] += $vtotal - $chave1["Desconto_Total"] + ($vtotal * ($chave1["Acrescimo"] / 100));
                        $vtotalacumA += $vtotal - $chave1["Desconto_Total"] + ($vtotal * ($chave1["Acrescimo"] / 100));
                    } else {
                        $vtotalacum[$chave1["Status"]] += ($vtotal) - ($vtotal * ($chave1["Desconto_Total"] / 100)) + ($vtotal * ($chave1["Acrescimo"] / 100));
                        $vtotalacumA += ($vtotal) - ($vtotal * ($chave1["Desconto_Total"] / 100)) + ($vtotal * ($chave1["Acrescimo"] / 100));
                    }
                    $vtotalacumCusto[$chave1["Status"]] += $vcusto;
                }
                ?>
                <a
                    href="./relatorio/rel_venda_lucro.php?De=<?php echo data_exibir($de); ?>&Ate=<?php echo data_exibir($ate); ?>&Vendedor=<?php echo $vFuncionario; ?>&Data_Filtro=Conclusao&Cliente=&Unidade=&Financeiro=Sim&Categoria_Produto=&Produto=&Finalizado=Finalizado&Finalizado_Rel=Finalizado&Aberto_Rel=&Cancelado_Rel=&Ok=Ok">
                    <div class="blocos_home" style="background-color:#00A65A; border-color:#00A65A; color:#FFF;">
                        <img src="imagem/controle_grafico.png" class="img_bloco" />
                        <h2><?php echo valor_exibir(($vtotalacum["Finalizado"]) - $vtotalacumCusto["Finalizado"], 2); ?>
                        </h2>
                        <p key="Lucro_Mes" class="tr">Lucro Ms</p>
                        <span key="Mais_Info" class="tr">Mais informaes</span>
                    </div>
                </a>
            <?php } ?>
            <?php if (DASH_META == 'S') { ?>
                <?php
                $ven_data = '';
                $ven_pdv = '';
                $ult_dia = date("t", mktime(0, 0, 0, date("m"), 1, date("Y")));
                $mes = date("m");
                $ano = date("Y");
                $ven_data .= "Data_Conclusao";

                //if(VER_APENAS_SUAS_VENDAS=='Sim'){
                $vFuncionario = $_SESSION["Id_Funcionario"];
                //}
        

                $ProjMes = mysqli_query($con, "SELECT Id,Meta
                FROM funcionario_meta
                WHERE Ano = '" . $ano . "'
                AND Mes = '" . $mes . "'
                AND Id_Funcionario = '" . $vFuncionario . "' ");
                $ProjMes = mysqli_fetch_assoc($ProjMes);

                $vendas = mysqli_query($con, "SELECT Id,
                                    SUM(Valor_Pago) as Valor
                                    FROM venda
                                    WHERE YEAR($ven_data) = '" . $ano . "'
                                    AND MONTH($ven_data) = '" . $mes . "'
                                    AND Status = 'Finalizado'
                                    AND Financeiro = 'Sim'
                                    $unidade $faturamento $DV $EF
                                    AND Id_Vendedor = '" . $vFuncionario . "' ");
                $vendas = mysqli_fetch_assoc($vendas);
                ?>
                <a
                    href="relatorio/rel_projetada_realizada.php?Ano=<?php echo $ano; ?>&Vendedor=<?php echo $vFuncionario; ?>&Data_Filtro=Conclusao&Financeiro=Sim&Ok=Ok">
                    <div class="blocos_home" style="background-color:#00ACD7; border-color:#00ACD7; color:#FFF;">
                        <img src="imagem/controle_grafico.png" class="img_bloco" />
                        <h2><?php echo valor_exibir($vendas["Valor"] - $ProjMes["Meta"]); ?></h2>
                        <p key="Relatorio" class="tr">Metas  Abater</p>
                        <span key="Mais_Info" class="tr">Mais informaes</span>
                    </div>
                </a>
            <?php } ?>
            <?php if (DASH_RELATORIO == 'S') { ?>
                <a href="relatorio/list_relatorio_customizado.php">
                    <div class="blocos_home" style="background-color:#565397; border-color:#565397; color:#FFF;">
                        <img src="imagem/icon_relatorios.png" class="img_bloco" />
                        <h2>03</h2>
                        <p key="Relatorio" class="tr">Relatrio Customizado</p>
                        <span key="Mais_Info" class="tr">Mais informaes</span>
                    </div>
                </a>
            <?php } ?>

            <?php
            if (DASH_ALERTA_ESTOQUE == 'S') {

                if (CLIENTE_EMAIL == 'jlbombons') {
                    $rel_alerta = "relatorio/rel_alerta.php";
                } else {
                    $rel_alerta = "produto/rel_alerta.php";
                }
                ?>
                <a href="<?php echo $rel_alerta; ?>">
                    <div class="blocos_home" style="background-color:#565397; border-color:#565397; color:#FFF;">
                        <img src="imagem/controle_estoque.png" class="img_bloco" />
                        <h2>Produtos</h2>
                        <p key="Alerta_Estoque" class="tr">Alerta Estoque</p>
                        <span key="Mais_Info" class="tr">Mais informaes</span>
                    </div>
                </a>
            <?php } ?>
            <?php if (DASH_ALERTA_CONTA_RECEBER == 'S') { ?>
                <a href="alert_conta_receber.php">
                    <div class="blocos_home" style="background-color:#00A65A; border-color:#00A65A; color:#FFF;">
                        <img src="imagem/controle_financeiro_cr.png" class="img_bloco" />
                        <h2>Contas a Receber</h2>
                        <p key="Alerta_Contas_Receber" class="tr">Alerta Contas Receber</p>
                        <span key="Mais_Info" class="tr">Mais informaes</span>
                    </div>
                </a>
            <?php } ?>
            <?php if (DASH_ALERTA_CONTA_PAGAR == 'S') { ?>
                <a href="alert_conta_pagar.php">
                    <div class="blocos_home" style="background-color:#DD4B39; border-color:#DD4B39; color:#FFF;">
                        <img src="imagem/controle_financeiro_cp.png" class="img_bloco" />
                        <h2>Contas a Pagar</h2>
                        <p key="Alerta_Contas_Pagar" class="tr">Alerta Contas Pagar</p>
                        <span key="Mais_Info" class="tr">Mais informaes</span>
                    </div>
                </a>
            <?php } ?>
            <?php if (CLIENTE_EMAIL == 'nesul' || CLIENTE_EMAIL == 'israelgeradores') { ?>
                <a href="cliente4/rel_troca_oleo.php.php">
                    <div class="blocos_home" style="background-color:#001F3F; border-color:#001F3F; color:#FFF;">
                        <img src="imagem/oleo.png" class="img_bloco" />
                        <h2>01</h2>
                        <p key="Troca_Oleo" class="tr">Troca de leo</p>
                        <span key="Mais_Info" class="tr">Mais informaes</span>
                    </div>
                </a>
            <?php } ?>
            <?php if (DASH_GRAFICO == 'S') { ?>
                <a href="grafico/list_grafico.php">
                    <div class="blocos_home" style="background-color:#001F3F; border-color:#001F3F; color:#FFF;">
                        <img src="imagem/controle_grafico.png" class="img_bloco" />
                        <h2>10</h2>
                        <p key="Graficos" class="tr">Grficos</p>
                        <span key="Mais_Info" class="tr">Mais informaes</span>
                    </div>
                </a>
            <?php } ?>
            <?php if (MENU_SUPORTE == 'Sim') { ?>
                <a href="suporte/chamado/list_chamado.php?acao=entrar">
                    <div class="blocos_home" style="background-color:#DA8C10; border-color:#DA8C10; color:#FFF;">
                        <img src="imagem/tk.png" class="img_bloco" />
                        <h2>Abrir Chamado</h2>
                        <p key="Chamado" class="tr">No fique com dvidas!</p>
                        <span key="Mais_Info" class="tr">Mais informaes</span>
                    </div>
                </a>
            <?php } ?>
            <a href="suporte/telefone.php">
                <div class="blocos_home" style="background-color:#088C55; border-color:#088C55; color:#FFF;">
                    <img src="imagem/WhatsAppLogo.png" class="img_bloco" />
                    <h2>Atendimento Pontti</h2>
                    <p key="Horarios" class="tr">81 2011-3434 / 81 3014-2099 / 81 9.8667-5441</p>
                    <span key="Mais_Info" class="tr">Mais informaes</span>
                </div>
            </a>
            <?php if (DASH_BOLETO == 'S') { ?>
                <a href="javascript:void();"
                    onclick="window.open('conta_receber/escolha_boleto_pontti.php','Boleto Pontti','width=900,height=800,top=0,left=0,scrollbars=yes')">
                    <div class="blocos_home" style="background-color:#DA8C10; border-color:#DA8C10; color:#FFF;">
                        <img src="imagem/boleto.png" class="img_bloco" />
                        <h2>Boletos Mensalidades</h2>
                        <p key="Boletos" class="tr">Evite bloqueios.</p>
                        <span key="Mais_Info" class="tr">Mais informaes</span>
                    </div>
                </a>
                <a href="https://www.santander.com.br/br/resolva-on-line/reemissao-de-boleto-vencido/" target="_blank">
                    <div class="blocos_home" style="background-color:#BDC0C7; border-color:#BDC0C7; color:#FFF;">
                        <img src="imagem/boleto.png" class="img_bloco" />
                        <h2>2 via do boleto</h2>
                        <p key="Boletos" class="tr">Boletos Pontti</p>
                        <span key="Mais_Info" class="tr">Mais informaes</span>
                    </div>
                </a>
            <?php } ?>

            <div>
                <?php
                if (DASH_COMODATO == 'S' && (CLIENTE_EMAIL == 'levfortconstrucoes' || CLIENTE_EMAIL == 'naldoconstrucoes')) {
                    $dataFiltro = date('Y-m-d', strtotime('+30 days'));
                    $qtd_venda = mysqli_query($con, "SELECT COUNT(Id) as Qtd FROM comodato WHERE Status != ('Cancelado' OR 'Cotao' OR 'Finalizado') AND Data_Agendamento <= '" . $dataFiltro . "' $unidade ");
                    $qtd_venda = mysqli_fetch_assoc($qtd_venda);
                    ?>
                    <a
                        href="./comodato/rel_comodato.php?De=&Ate=<?php echo data_exibir($dataFiltro); ?>&Data_Filtro=Retorno&Vendedor=&Emprestado=Emprestado&Aberto=Aberto&Servico_Manutencao=Servico_Manutencao&Finalizado_Rel=&Aberto_Rel=&Cancelado_Rel=&Cliente=&Produto=&Pesq=&Aditivo=&Ok=Ok">
                        <div class="blocos_home" style="background-color:#001F3F; border-color:#001F3F; color:#FFF;">
                            <img src="imagem/book_pdv.png" class="img_bloco" />
                            <h2><?php echo $qtd_venda['Qtd']; ?></h2>
                            <p key="Comodato" class="tr">Comodatos Prximos a Vencer ou Vencidos</p>
                            <span key="Mais_Info" class="tr">Mais informaes</span>
                        </div>
                    </a>
                <?php }
                ?>
            </div>

        <?php } ?>


    </div>

    <!-- fim de quadro de paineis -->


<?php 
  $verificaModuloAgenda  = mysqli_query($con, "SELECT menu.Id,
                                                               menu.Ativo 
                                                          FROM menu 
                                                         WHERE menu.Id = '602' 
                                                           AND menu.Ativo = 'Sim' ");
  $verificaModuloAgenda = mysqli_fetch_array($verificaModuloAgenda);

  if (!empty($verificaModuloAgenda)) {
 ?>


    <br><br>

    <div id="div_lembrete">
        <?php include_once "agenda/agenda_bemvindo.php"; ?>
    </div>

<?php } ?>

    <!-- Incio das tarefas -->
    <?php
    //Se o usuario logado tiver permissao Mensagens exibe
    $menu_tar = mysqli_query($con, "SELECT menu.Chamada
                    from menu_usuario
                    inner join
                    (SELECT Id, Chamada, Id_Pai, Ordem FROM menu WHERE menu.Ativo = 'Sim') as menu
                    ON menu_usuario.Id_Menu = menu.Id
                    inner join
                    (SELECT Id FROM menu WHERE menu.Id = '3') as menu_pai
                    ON menu_pai.Id = menu.Id_Pai
                    where menu_usuario.Id_Responsavel='" . $_SESSION["Id"] . "'
                    AND menu.Chamada = 'Tarefa'
                    order by menu.Chamada ");
    //se tiver 01 linha entra
    if (mysqli_num_rows($menu_tar) > 0) {
        ?>
        <br />
        <div id="div_mensagem">
            <div class="titulo">
                <span>Tarefas</span>
            </div>
            <table id="lista">
                <?php
                $empresasNegadas = ['unigames', 'gw'];

                if (!in_array(CLIENTE_EMAIL, $empresasNegadas)) {
                    $responsavelTarefa = "AND (tarefa.Id_Responsavel = '" . $_SESSION["Id_Funcionario"] . "' OR tarefa.Id_Supervisor = '" . $_SESSION["Id_Funcionario"] . "')";
                } else {
                    $tarefasVisualizadas = "AND (SELECT COUNT(Id) FROM tarefa_visualizada WHERE Id_Usuario = '{$_SESSION['Id']}' AND Id_Tarefa = tarefa.Id) < 1";
                }
                $resp_msg = mysqli_query($con, "SELECT tarefa.Id,
                              cliente.Titulo as Cliente,
                              funcionario.Titulo as 'Supervisor',
                              funcionario2.Titulo as 'Responsavel',
                              tarefa.Codigo,
                              tarefa.Titulo,
                              tarefa.Situacao,
                              tarefa.Status,
                              tarefa.Data_Inicio,
                              tarefa.Data_Fim,
                              tarefa.Hora_Inicio,
                              tarefa.Hora_Fim
                              FROM tarefa
                              LEFT JOIN (SELECT Id,Titulo FROM funcionario) as funcionario ON funcionario.Id = tarefa.Id_Supervisor
                              LEFT JOIN (SELECT Id,Titulo FROM funcionario) as funcionario2 ON funcionario2.Id = tarefa.Id_Responsavel
                              LEFT JOIN (SELECT Id,Titulo FROM cliente) as cliente ON cliente.Id = tarefa.Id_Cliente
                              WHERE tarefa.Codigo_Pai = '0'
                              AND tarefa.Status = 'Aberto'
                              $responsavelTarefa $tarefasVisualizadas
                              ORDER BY tarefa.Data_Cadastro ");

                ?>
                <?php if (mysqli_num_rows($resp_msg) > 0) { ?>
                    <thead>
                        <tr>
                            <td>Cd</td>
                            <td>Incio</td>
                            <td>Fim</td>
                            <td>Descrio</td>
                            <td>Cliente</td>
                            <td>Supervisor</td>
                            <td>Responsvel</td>
                            <td>Situao</td>
                            <td>Status</td>
                            <td>Opes</td>
                        </tr>
                    </thead>

                    <tbody>

                        <?php
                        $color = "#F5F5F5";
                        while ($linha = mysqli_fetch_assoc($resp_msg)) {
                            if ($color == "#F5F5F5") {
                                $color = "#E8E8E8";
                                $cass = "";
                            } else {
                                $color = "#F5F5F5";
                                $cass = "class='azul'";
                            }

                            $corStatus = "";
                            if ($linha['Status'] == 'Finalizado') {
                                $corStatus = "color = '#228B22' ";
                            }
                            if ($linha['Status'] == 'Aberto') {
                                $corStatus = "color = '#3A5FCD' ";
                            }

                            $corSituacao = "";
                            if ($linha['Situacao'] == 'Concludo') {
                                $corSituacao = "color = '#228B22' ";
                            }
                            if ($linha['Situacao'] == 'No Concludo') {
                                $corSituacao = "color = '#CD2626' ";
                            }
                            if ($linha['Situacao'] == 'Pendente') {
                                $corSituacao = "color = '#E07700' ";
                            }
                            ?>
                            <tr <?php echo "$cass"; ?>>
                                <td><?php echo $linha['Codigo']; ?></td>
                                <td><?php echo data_exibir($linha['Data_Inicio']) . " " . $linha['Hora_Inicio']; ?></td>
                                <td><?php echo data_exibir($linha['Data_Fim']) . " " . $linha['Hora_Fim']; ?></td>
                                <td><?php echo $linha['Titulo']; ?></td>
                                <td><?php echo $linha['Cliente']; ?></td>
                                <td><?php echo $linha['Supervisor']; ?></td>
                                <td><?php echo $linha['Responsavel']; ?></td>
                                <td>
                                    <font <?php echo $corSituacao ?>><b><?php echo $linha['Situacao']; ?></b></font>
                                </td>
                                <td>
                                    <font <?php echo $corStatus ?>><b><?php echo $linha['Status']; ?></b></font>
                                </td>
                                <td>
                                    <?php
                                    $link3 = "tarefa/alt_tarefa.php?id_tarefa=" . $linha['Id'] . "&acao=alterar";
                                    $figura3 = "imagem/bt_visualizar.png";
                                    ?>
                                    <a href='<?php echo $link3; ?>'><img src="<?php echo $figura3; ?>" title="Visualizar"
                                            alt="Visualizar" border="0" /></a>

                                </td>
                            </tr>
                            <?php
                        } ?>

                    <?php } else { ?>
                        <tr>
                            <td><b>No h tarefas para exibi-las.</b><br /></td>
                        </tr>
                    <?php } ?>
                </tbody>
            </table>
            <?php
            $menuTarefa = mysqli_query($con, "select permissao.Relatorio,
            permissao.Cadastrar
            from permissao
            inner join menu_usuario ON menu_usuario.Id_Menu = permissao.Id_Menu
            where menu_usuario.Id_Responsavel='" . $_SESSION["Id"] . "'
            and permissao.Id_Responsavel='" . $_SESSION["Id"] . "'
            and permissao.Id_Menu = '326' ");
            $menuTarefa = mysqli_fetch_assoc($menuTarefa);
            if ($menuTarefa["Cadastrar"] == 'Sim') { ?>
                <div class="botoes_cima">
                    <a href="tarefa/cad_tarefa.php?acao=entrar" class="incluir" alt="Cadastrar" title="Cadastrar">Cadastrar</a>
                </div>
            <?php } ?>
        </div>
        <!-- Fim das tarefas -->
        <br />
    <?php } ?>



    <?php
    //Se o usuario logado tiver permissao certidoes exibe
    $menu_cert = mysqli_query($con, "SELECT menu.Chamada
                from menu_usuario
                inner join
                (SELECT Id, Chamada, Id_Pai, Ordem FROM menu WHERE menu.Ativo = 'Sim') as menu
                ON menu_usuario.Id_Menu = menu.Id
                inner join
                (SELECT Id FROM menu WHERE menu.Id = '3') as menu_pai
                ON menu_pai.Id = menu.Id_Pai
                where menu_usuario.Id_Responsavel='" . $_SESSION["Id"] . "'
                AND menu.Chamada = 'Controle_Juridico'
                order by menu.Chamada ");

    //se tiver 01 linha entra
    if (mysqli_num_rows($menu_cert) > 0) {
        ?>
        <br />
        <div id="div_mensagem">
            <div class="titulo">
                <span>Controle Jurdico</span>
            </div>
            <table id="lista">
                <thead>
                    <tr>
                        <td>Fornecedor</td>
                        <td>UF</td>
                        <td>Licena</td>
                        <td>Validade</td>
                        <td>Status</td>
                    </tr>
                </thead>

                <?php
                $DataCert = AddData(date('d/m/Y'), 30);

                if (FORNECEDOR_RAZAO_SOCIAL == 'Sim') {
                    $nome = 'Razao_Social';
                } else {
                    $nome = 'Titulo';
                }


                //trocando o status
                mysqli_query($con, "UPDATE controle_juridico SET Status = 'Desatualizada' WHERE Validade_Licenca < '" . date("Y-m-d") . "' ");

                $sql_cert = "SELECT controle_juridico.Id,
                Atividade,
                Numero_Licenca,
                Validade_Licenca,
                Protocolo,
                Data_Entrada_Protocolo,
                Status,
                fornecedor.$nome as Fornecedor,
                fornecedor.Estado
                FROM controle_juridico
                LEFT JOIN (SELECT Id,Titulo,Razao_Social,Estado FROM fornecedor) as fornecedor ON fornecedor.Id = controle_juridico.Id_Fornecedor
                WHERE controle_juridico.Validade_Licenca <= '" . data_banco($DataCert) . "'";

                $sql_cert = mysqli_query($con, $sql_cert) or die("Erro no SQL:" . mysqli_error($con));

                $color = "#F5F5F5";
                while ($linha = mysqli_fetch_assoc($sql_cert)) {
                    if ($color == "#F5F5F5") {
                        $color = "#E8E8E8";
                        $cass = "";
                    } else {
                        $color = "#F5F5F5";
                        $cass = "class='azul'";
                    }

                    $Time1 = '';
                    $Time2 = '';
                    $corAnalise = '';

                    //se a data da OS passar de 2 dias fica vermelho
                    $Time1 = strtotime(date("Y-m-d"));
                    $Time2 = strtotime($linha['Validade_Licenca']);

                    $Time1 = $Time1 + (30 * 86400);

                    if ($Time1 > $Time2) {
                        $corAnalise = "color = '#CD2626' ";
                    }


                    $corStatus = "";
                    if ($linha['Status'] == 'Regular') {
                        $corStatus = "color = '#228B22' ";
                    }
                    if ($linha['Status'] == 'Irregular') {
                        $corStatus = "color = '#CD2626' ";
                    }
                    if ($linha['Status'] == 'Desatualizada') {
                        $corStatus = "color = '#FF8C00' ";
                    }
                    ?>

                    <tr <?php echo "$cass"; ?>>
                        <td><?php echo $linha['Fornecedor']; ?></td>
                        <td><?php echo $linha['Estado']; ?></td>
                        <td><?php echo $linha['Numero_Licenca']; ?></td>
                        <td>
                            <font <?php echo $corAnalise ?>><?php echo data_exibir($linha['Validade_Licenca']); ?></font>
                        </td>
                        <td>
                            <font <?php echo $corStatus ?>><?php echo $linha['Status']; ?></font>
                        </td>
                    </tr>

                <?php } ?>

            </table>
        </div>
        <br />
    <?php } ?>



    <?php
    //Se o usuario logado tiver permissao certidoes exibe
    $menu_cert = mysqli_query($con, "SELECT menu.Chamada
                from menu_usuario
                inner join
                (SELECT Id, Chamada, Id_Pai, Ordem FROM menu WHERE menu.Ativo = 'Sim') as menu
                ON menu_usuario.Id_Menu = menu.Id
                inner join
                (SELECT Id FROM menu WHERE menu.Id = '3') as menu_pai
                ON menu_pai.Id = menu.Id_Pai
                where menu_usuario.Id_Responsavel='" . $_SESSION["Id"] . "'
                AND menu.Chamada = 'Meio_Ambiente'
                order by menu.Chamada ");

    //se tiver 01 linha entra
    if (mysqli_num_rows($menu_cert) > 0) {
        ?>
        <br />
        <div id="div_mensagem">
            <div class="titulo">
                <span>Meio Ambiente</span>
            </div>
            <table id="lista">
                <thead>
                    <tr>
                        <td>Fornecedor</td>
                        <td>UF</td>
                        <td>Licena</td>
                        <td>Validade</td>
                        <td>Status</td>
                    </tr>
                </thead>

                <?php
                $DataCert = AddData(date('d/m/Y'), 30);

                if (FORNECEDOR_RAZAO_SOCIAL == 'Sim') {
                    $nome = 'Razao_Social';
                } else {
                    $nome = 'Titulo';
                }


                //trocando o status
                mysqli_query($con, "UPDATE certidoes SET Status = 'Desatualizada' WHERE Validade_Licenca < '" . date("Y-m-d") . "' ");

                $sql_cert = "SELECT certidoes.Id,
                Atividade,
                Numero_Licenca,
                Validade_Licenca,
                Protocolo,
                Data_Entrada_Protocolo,
                Status,
                fornecedor.$nome as Fornecedor,
                fornecedor.Estado
                FROM certidoes
                LEFT JOIN (SELECT Id,Titulo,Razao_Social,Estado FROM fornecedor) as fornecedor ON fornecedor.Id = certidoes.Id_Fornecedor
                WHERE certidoes.Validade_Licenca <= '" . data_banco($DataCert) . "'";

                $sql_cert = mysqli_query($con, $sql_cert) or die("Erro no SQL:" . mysqli_error($con));

                $color = "#F5F5F5";
                while ($linha = mysqli_fetch_assoc($sql_cert)) {
                    if ($color == "#F5F5F5") {
                        $color = "#E8E8E8";
                        $cass = "";
                    } else {
                        $color = "#F5F5F5";
                        $cass = "class='azul'";
                    }

                    $Time1 = '';
                    $Time2 = '';
                    $corAnalise = '';

                    //se a data da OS passar de 2 dias fica vermelho
                    $Time1 = strtotime(date("Y-m-d"));
                    $Time2 = strtotime($linha['Validade_Licenca']);

                    $Time1 = $Time1 + (30 * 86400);

                    if ($Time1 > $Time2) {
                        $corAnalise = "color = '#CD2626' ";
                    }


                    $corStatus = "";
                    if ($linha['Status'] == 'Regular') {
                        $corStatus = "color = '#228B22' ";
                    }
                    if ($linha['Status'] == 'Irregular') {
                        $corStatus = "color = '#CD2626' ";
                    }
                    if ($linha['Status'] == 'Desatualizada') {
                        $corStatus = "color = '#FF8C00' ";
                    }
                    ?>

                    <tr <?php echo "$cass"; ?>>
                        <td><?php echo $linha['Fornecedor']; ?></td>
                        <td><?php echo $linha['Estado']; ?></td>
                        <td><?php echo $linha['Numero_Licenca']; ?></td>
                        <td>
                            <font <?php echo $corAnalise ?>><?php echo data_exibir($linha['Validade_Licenca']); ?></font>
                        </td>
                        <td>
                            <font <?php echo $corStatus ?>><?php echo $linha['Status']; ?></font>
                        </td>
                    </tr>

                <?php } ?>

            </table>
        </div>
        <br />
    <?php } ?>


    <?php
    if (CLIENTE_EMAIL == "adar") {
        if ($_SESSION["Id_Departamento"] == '15') {
            echo "<br>";
            include_once "alert_adar.php";
        }
    }
    ?>

    <?php
    if (ANIVERSARIO_CLIENTE == "Sim") {
        echo "<br>";
        include_once "alert_aniversario.php";
    }
    ?>

    <?php
    if (ALERTA_CONTRATO == "Sim") {
        echo "<br>";
        include_once "alert_contrato_cliente.php";
    }
    ?>
    <!-- Fim do lembrete de pagamento -->
    <br />
    <?php
    if (RENOVACAO_SERVICO == "Sim") {
        echo "<br>";
        include_once "alert_renovacao_servico.php";
    }
    ?>
    <br />