<?php
include_once '../include/conecta.php'; //Conecta com a nosso banco de dados MySQL
ini_set('session.gc_maxlifetime', 60*120); session_start();
//include_once '../include/ver_sessao.php'; //Verifica se a sesso est ativa
include_once '../include/funcoesPhp.php'; include_once '../menu_movimento.php';

// +----------------------------------------------------------------------+
// | BoletoPhp - Versão Beta                                              |
// +----------------------------------------------------------------------+
// | Este arquivo está disponível sob a Licença GPL disponível pela Web   |
// | em http://pt.wikipedia.org/wiki/GNU_General_Public_License           |
// | Você deve ter recebido uma cópia da GNU Public License junto com     |
// | esse pacote; se não, escreva para:                                   |
// |                                                                      |
// | Free Software Foundation, Inc.                                       |
// | 59 Temple Place - Suite 330                                          |
// | Boston, MA 02111-1307, USA.                                          |
// +----------------------------------------------------------------------+

// +----------------------------------------------------------------------+
// | Originado do Projeto BBBoletoFree que tiveram colaborações de Daniel |
// | William Schultz e Leandro Maniezo que por sua vez foi derivado do    |
// | PHPBoleto de João Prado Maia e Pablo Martins F. Costa                |
// |                                                                      |
// | Se vc quer colaborar, nos ajude a desenvolver p/ os demais bancos :-)|
// | Acesse o site do Projeto BoletoPhp: www.boletophp.com.br             |
// +----------------------------------------------------------------------+

// +----------------------------------------------------------------------+
// | Equipe Coordenação Projeto BoletoPhp: <boletophp@boletophp.com.br>   |
// | Desenvolvimento Boleto BANCOOB/SICOOB: Marcelo de Souza              |
// | Ajuste de algumas rotinas: Anderson Nuernberg                        |
// +----------------------------------------------------------------------+


if(!function_exists('formata_numdoc')){
    function formata_numdoc($num,$tamanho){
        while(strlen($num)<$tamanho){
                $num="0".$num; 
        }
    return $num;
    }
}

//Se o email foi enviado e o cliente esta abrindo
if($_GET["Id_Unidade_Usuario"]){
    mysqli_query($con,"UPDATE conta_receber SET Boleto_Lido = 'Sim' WHERE Id = '".$_GET["id_conta_receber"]."' ");
}
//informando que j imprimiu o boleto
mysqli_query($con,"UPDATE conta_receber SET Boleto_Enviado = 'Sim' WHERE Id = '".$_GET["id_conta_receber"]."' ");

    //selecionando o conta a receber do cliente
    $esc_cr = "Select cliente.Razao_Social as 'Cliente',
                            cliente.Rua,
                            cliente.Numero,
                            cliente.Cep,
                            cliente.Bairro,
                            cliente.Cidade,
                            cliente.Natureza,
                            cliente.Cpf_Cnpj,
                            conta_receber.Lancamento,
                            conta_receber.Descricao,
                            conta_receber.Data_Vencimento,
                            conta_receber.Data_Emissao,
                            conta_receber.Valor_Original,
                            conta_receber.Fatura,
                            conta_receber.Id_Unidade,
                            conta_receber.Parcela,
                            banco.Titulo as 'Conta'
                            from conta_receber
                            INNER join (SELECT Id, Titulo,Razao_Social, Rua, Numero, Cep, Bairro,Cidade,Natureza,Cpf_Cnpj FROM cliente) as cliente ON cliente.Id = conta_receber.Id_Cliente
                            left join conta ON conta.Id = conta_receber.Id_Conta
                            left join banco ON banco.Id = conta.Id_Banco
                            where
                            conta_receber.Id = '".$_GET["id_conta_receber"]."' ";

    $sql_cr = mysqli_query($con,$esc_cr) or die("Erro no SQL:".mysqli_error($con));
    $cr = mysqli_fetch_assoc($sql_cr);
    
    
    //selecionando o banco do cliente
    $esc_banco = "SELECT Agencia,
                    Agencia_Digito,
                    Conta,
                    Conta_Digito,
                    Convenio,
                    Contrato,
                    Carteira,
                    Variacao_Carteira,
                    Instrucao1,
                    Instrucao2,
                    Desc_Instrucao1,
                    Desc_Instrucao2,
                    Juros_Dia,
                    Juros_Real,
                    Dia_Instrucao,
                    Multa,
                    Tipo_Multa,
                    Tipo_Conta
                    FROM conta
                  where conta.Id = '".$_GET["id_conta"]."' ";

    $sql_banco = mysqli_query($con,$esc_banco) or die("Erro no SQL:".mysqli_error($con));
    $banco = mysqli_fetch_assoc($sql_banco);
    
    if($banco["Tipo_Multa"]=='Perc'){
        $banco["Multa"] = $cr["Valor_Original"] * ($banco["Multa"]/100);
        $banco["Multa"] = valor_exibir($banco["Multa"]);
        $banco["Multa"] = str_replace('.','',$banco["Multa"]);
        $banco["Multa"] = str_replace(',','.',$banco["Multa"]);
    }
    
//calculando o valor de juros dos dias de atraso
if($_GET["data"]){
    
    $dia_de_hoje = data_banco($_GET["data"]);
    $data_do_banco = $cr["Data_Vencimento"];
    
    $time1 = strtotime($dia_de_hoje);
    $time2 = strtotime($data_do_banco);
    $dias_timestamp = $time1 - $time2;
    $dias_atraso = (int)floor( $dias_timestamp / (60 * 60 * 24));
    
    if($banco["Juros_Real"]>'0'){
        $valor_atraso = ($banco["Juros_Real"] * $dias_atraso );
    }else{
        $valor_atraso = ( ($cr["Valor_Original"] * ($banco["Juros_Dia"]/100)) * $dias_atraso );
    }
    $valor_boleto = $cr["Valor_Original"] + $banco["Multa"] + $valor_atraso;
    $valor_boleto = str_replace(",", ".",$valor_boleto);
    $valor_boleto=number_format($valor_boleto+$taxa_boleto, 2, ',', '');
}else{
    $valor_cobrado = $cr["Valor_Original"]; // Valor - REGRA: Sem pontos na milhar e tanto faz com "." ou "," ou com 1 ou 2 ou sem casa decimal
    $valor_cobrado = str_replace(",", ".",$valor_cobrado);
    $valor_boleto=number_format($valor_cobrado+$taxa_boleto, 2, ',', '');
}

/** CRIANDO O NOSSO NUMERO **/
$IdDoSeuSistemaAutoIncremento = $cr["Lancamento"]; // Deve informar um numero sequencial a ser passada a função abaixo, Até 6 dígitos
$agencia = $banco["Agencia"]; // Num da agencia, sem digito
$conta = $banco["Conta"]; // Num da conta, sem digito
$convenio = $banco["Convenio"]; //Número do convênio indicado no frontend

$NossoNumero = formata_numdoc($IdDoSeuSistemaAutoIncremento,7);
$qtde_nosso_numero = strlen($NossoNumero);
$sequencia = formata_numdoc($agencia,4).formata_numdoc(str_replace("-","",$convenio),10).formata_numdoc($NossoNumero,7);
$cont=0;
$calculoDv = '';
	for($num=0;$num<=strlen($sequencia);$num++){
		$cont++;
		if($cont == 1){
			// constante fixa Sicoob » 3197 
			$constante = 3;
		}
		if($cont == 2){
			$constante = 1;
		}
		if($cont == 3){
			$constante = 9;
		}
		if($cont == 4){
			$constante = 7;
			$cont = 0;
		}
		$calculoDv = $calculoDv + (substr($sequencia,$num,1) * $constante);
	}
$Resto = $calculoDv % 11;
$Dv = 11 - $Resto;
if ($Dv == 0) $Dv = 0;
//if ($Dv == 1) $Dv = 0;
if ($Dv > 9) $Dv = 0;
$dadosboleto["nosso_numero"] = $NossoNumero . $Dv;

/*************************************************************************
 * +++
 *************************************************************************/


if($cr["Fatura"]=='') $cr["Fatura"] = $cr["Lancamento"];
$dadosboleto["numero_documento"] = $cr["Fatura"];// Num do pedido ou do documento

if($_GET["data"]){
    $data_venc = $_GET["data"];//colocando a data se for atraso
}else{
    $data_venc = data_exibir($cr["Data_Vencimento"]);
}
$dadosboleto["data_vencimento"] = $data_venc; // Data de Vencimento do Boleto - REGRA: Formato DD/MM/AAAA
$dadosboleto["data_documento"] = date("d/m/Y"); // Data de emissão do Boleto
$dadosboleto["data_processamento"] = date("d/m/Y"); // Data de processamento do boleto (opcional)
$dadosboleto["valor_boleto"] = $valor_boleto; 	// Valor do Boleto - REGRA: Com vírgula e sempre com duas casas depois da virgula

if($cr["Natureza"]=='PF'){
    $cr["Cpf_Cnpj"] = cpf_exibir($cr["Cpf_Cnpj"]);
}else{
    $cr["Cpf_Cnpj"] = cnpj_exibir($cr["Cpf_Cnpj"]);
}

// DADOS DO SEU CLIENTE
if($entra['Radio_Endereco_Cobranca']=='Nao'){
$dadosboleto["sacado"]                  = $cr["Cliente"]." - ".$cr["Cpf_Cnpj"];
$dadosboleto["endereco1"] 		= $cr["Rua"].', '.$cr["Numero"];
$dadosboleto["endereco2"] 		= $cr["Cidade"].' - '.$cr["Estado"].' - '.$cr["Cep"];
}else {
$dadosboleto["sacado"]                  = $cr["Cliente"]." - ".$cr["Cpf_Cnpj"];
$dadosboleto["endereco1"] 		= $cr["Endereco_Cobranca"];
$dadosboleto["endereco2"] 		= $cr["Cidade_Cobranca"].' - '.$cr["Estado_Cobranca"].' - '.$cr["Cep_Cobranca"];    
}
    
    
    //selecionando as informacoes nas opcaoes
    $esc_info = "SELECT Info_Cliente1,
                        Info_Cliente2,
                        Info_Cliente3,
                        Info_Caixa1,
                        Info_Caixa2,
                        Info_Caixa3,
                        Info_Caixa4
                        FROM opcao ";

    $sql_info = mysqli_query($con,$esc_info) or die("Erro no SQL:".mysqli_error($con));
    $info = mysqli_fetch_assoc($sql_info);
    
//if($cr["Fatura"]){
    //$men_fat = "<br/>".$cr["Fatura"];
//}
if( ($banco["Desc_Instrucao1"]) && ($banco["Instrucao1"]!=='00') ){
    $men_desc1 = "<br/>".$banco["Desc_Instrucao1"];
}
if( ($banco["Desc_Instrucao2"]) && ($banco["Instrucao2"]!=='00')){
    $men_desc2 = "<br/>".$banco["Desc_Instrucao2"];
}
if($banco["Multa"]>'0'){
    $mem_jur.= "<br/>Aps o vencimento cobrar Multa por Atraso de R$ ".number_format($banco["Multa"],2,",",".");
}
if($banco["Juros_Dia"]>'0'){
    //o juros que  cadastrado  de % por dia
    $vJuros = ($cr["Valor_Original"] * ($banco["Juros_Dia"]/100) );
    $vJuros=str_replace('.','',$vJuros);
    $vJuros=str_replace(',','.',$vJuros);
    $mem_jur.= "<br/>Aps o vencimento cobrar juros R$ ".number_format($vJuros,2,",",".")." por dia.";
}
    
if(CLIENTE_EMAIL=='spw'){
    $info["Info_Cliente1"] = $cr["Descricao"]."<br>".$info["Info_Cliente1"];
    $info["Info_Caixa1"] = $cr["Descricao"]."<br>".$info["Info_Caixa1"];
}

// INFORMACOES PARA O CLIENTE
$dadosboleto["demonstrativo1"] = $info["Info_Cliente1"];
$dadosboleto["demonstrativo2"] = $info["Info_Cliente2"];
$dadosboleto["demonstrativo3"] = $info["Info_Cliente3"].$men_fat.$men_desc1.$men_desc2.$mem_jur;

// INSTRUES PARA O CAIXA
$dadosboleto["instrucoes1"] = $info["Info_Caixa1"];
$dadosboleto["instrucoes2"] = $info["Info_Caixa2"];
$dadosboleto["instrucoes3"] = $info["Info_Caixa3"].$men_fat.$men_desc1.$men_desc2.$mem_jur;
$dadosboleto["instrucoes4"] = $info["Info_Caixa4"];

// DADOS OPCIONAIS DE ACORDO COM O BANCO OU CLIENTE
$dadosboleto["quantidade"] = "1";
$dadosboleto["valor_unitario"] = "1";
$dadosboleto["aceite"] = "N";		
$dadosboleto["especie"] = "R$";
$dadosboleto["especie_doc"] = "DM";


// ---------------------- DADOS FIXOS DE CONFIGURAÇÃO DO SEU BOLETO --------------- //

if( ($cr["Parcela"]=='0') || empty($cr["Parcela"]) ){
    $cr["Parcela"]='1';
}

// DADOS ESPECIFICOS DO SICOOB
$dadosboleto["modalidade_cobranca"] = $banco["Tipo_Conta"];
$dadosboleto["numero_parcela"] = str_pad($cr["Parcela"], 3,"0", STR_PAD_LEFT);//3 casas decimais


// DADOS DA SUA CONTA - BANCO DO BRASIL
$dadosboleto["agencia"] = $banco["Agencia"]; // Num da agencia, sem digito
$dadosboleto["conta"] = $banco["Conta"]; // Num da conta, sem digito

// DADOS PERSONALIZADOS - SICOOB
$dadosboleto["convenio"] = $banco["Convenio"]; // Num do convênio - REGRA: No máximo 7 dígitos
$dadosboleto["carteira"] = $banco["Carteira"];

    //selecionando a empresa
    $esc_emp = "SELECT Titulo, Cnpj, Rua, Numero, Cidade, Estado, Razao_Social
                FROM unidade where Id = '".$cr["Id_Unidade"]."' ";

    $sql_emp = mysqli_query($con,$esc_emp) or die("Erro no SQL:".mysqli_error($con));
    $emp = mysqli_fetch_assoc($sql_emp);

// SEUS DADOS
$dadosboleto["identificacao"] = $emp["Titulo"];
$dadosboleto["cpf_cnpj"] = $emp["Cnpj"];
$dadosboleto["endereco"] = $emp["Rua"]." - ".$emp["Numero"];
$dadosboleto["cidade_uf"] = $emp["Cidade"]." - ".$emp["Estado"];
$dadosboleto["cedente"] = $emp["Razao_Social"];

// NÃO ALTERAR!
include("include/funcoes_bancoob.php");
include("include/layout_bancoob.php");
?>
