<?php
include_once '../include/conecta.php'; //Conecta com a nosso banco de dados MySQL
ini_set('session.gc_maxlifetime', 60 * 120);
session_start();
/* include_once '../include/ver_sessao.php'; //Verifica se a sesso est ativa */
include_once '../include/funcoesPhp.php';
include_once '../menu_movimento.php';
?>
<html>
    <head>
        <title>Gw - Gesto Web</title>
        <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1" />
        <link rel="shortcut icon" href="imagem/favi_gw.ico" type="image/x-icon" />
        <link rel="stylesheet" type="text/css" href="../estilo/<?php echo SKIN; ?>/tableless.css" />
        <link rel="stylesheet" type="text/css" href="../estilo/<?php echo SKIN; ?>/tabelas.css" />
        <link rel="stylesheet" type="text/css" href="../js/datePicker/datePicker.css" />
        <script language="javascript" type="text/javascript" src="../js/jquery.js"></script>
        <?php include '../include/script_cabeca.php'; ?>
        <?php include '../include/script_campo.php'; ?>
        <script language="javascript" type="text/javascript" src="../js/script.js"></script>
        <script type="text/javascript" language="javascript" src="../js/meiomask/meiomask.js"></script>
        <!-- required plugins -->
        <script language="javascript" type="text/javascript" src="../js/datePicker/<?php
        if (PAIS == "USA") {
            echo "date";
        } else {
            echo "date-pt";
        }
        ?>.js"></script>
        <script type="text/javascript" src="../js/datePicker/jquery.datePicker.js"></script>
        <script type="text/javascript" language="javascript" >
            Date.firstDayOfWeek = 0;
<?php
if (PAIS == "USA") {
    echo "Date.format='mm/dd/yyyy';";
} else {
    echo "Date.format='dd/mm/yyyy';";
}
?>
            $(function () {
                $('.date-pick').datePicker({startDate: '01/01/1990'})
            });
        </script>
        <script type="text/javascript" language="javascript" >
            $(document).ready(function () {
                $('input[name="De"]').setMask('date'); // data
                $('input[name="Ate"]').setMask('date'); // data
            });
        </script>
        <script type='text/javascript'>

            var pressedCtrl = false;
            $(document).keyup(function (e) {
                if (e.which == 17)
                    pressedCtrl = false;
            })

            $(document).keydown(function (e) {
                if (e.which == 17)
                    pressedCtrl = true;

                //CTRL + J (teclado) Bloqueado, erro com leitor de codigo de barras
                if (pressedCtrl == true && e.which == 74) {
                    return false;
                }
            });
        </script>
        <style type="text/css">
            .input{
                margin:0 5px;
                width:150px;
                height:20px;
                font:16px Georgia, "Trebuchet MS", Tahoma, Times, serif;
                font-weight:bold;
            }
            .codigo, .descricao{
                margin:0 5px;
                width:250px;
                height:20px;
                font:16px Georgia, "Trebuchet MS", Tahoma, Times, serif;
                font-weight:bold;
            }
            .fornecedor{
                margin:0 5px;
                width:80%;
                height:20px;
                font:16px Georgia, "Trebuchet MS", Tahoma, Times, serif;
                font-weight:bold;
            }
            h1{
                font:20px "Trebuchet MS", Tahoma, Helvetica, sans-serif;
                color:#f4f4f4;
            }
            .buscarprodutos{
                font:16px "Trebuchet MS", Tahoma, Helvetica, sans-serif;
                color:#f4f4f4;
                font-weight:bold;
            }
            strong{
                margin:0 5px;
                font:16px "Trebuchet MS", Tahoma, Geneva, sans-serif;
                color:#000000;
                font-weight:bold;
            }
            span{
                font:16px "Trebuchet MS", Tahoma, Helvetica, sans-serif;
                font-weight:bold;
                color:#069;
            }
            .over{
                overflow:scroll;
                height:300px;
                padding:0;
                background-color: #FFFFFF;
            }
            .tr-1{
                background-color: #E8E8E8;
            }
            .tr-2{
                background-color: #225F93;
            }
            .tr-3{
                background-color: #cccccc;
            }
            .destaque {background: #00C5CD !important;}
        </style>
        <script type="text/javascript" language="javascript" >
            //funcao de trocar a cor da TR no listar
            $(function () {
                $('table tr').hover(
                        function () {
                            $(this).addClass('destaque');
                        },
                        function () {
                            $(this).removeClass('destaque');
                        }
                );
            });
        </script>
        <script type="text/javascript">
            $(document).ready(function() {
                $('#selectAll').click(function() {
                    if (this.checked == true) {
                        $("input[type=checkbox]").each(function() {
                            this.checked = true;

                            var valorTotal = $("#Valor_Total").val();
                            $("#Valor_Pago_Anterior").val(valorTotal);
                        });
                    } else {
                        $("input[type=checkbox]").each(function() {
                            this.checked = false;

                            $("#Valor_Pago_Anterior").val('0,00');
                        });
                    }
                });
            });
        </script>
        <script type="text/javascript" language="javascript" >
            function handleClick(cb, id, valor) {
                //display("Clicked, new value = " + cb.checked);

                var Valor_Pago_Anterior = $("#Valor_Pago_Anterior").val();
                var Valor_Pago = $("#" + id + "Valor_Pago").val();

                var nVPA = Valor_Pago_Anterior.replace(".", "");
                var nanterior = nVPA.replace(",", ".");

                var nVP = Valor_Pago.replace(".", "");
                var npago = nVP.replace(",", ".");

                /*
                    if(cb.checked==true){
                    //positivo
                    var Valor_Total = parseFloat(nanterior) + parseFloat(valor);
                    }else{
                    //negativo
                    var Valor_Total = parseFloat(nanterior) - parseFloat(valor);
                    }
                    */
                if (cb.checked == true) {
                    //positivo
                    var Valor_Total = parseFloat(nanterior) + parseFloat(npago);
                } else {
                    //negativo
                    var Valor_Total = parseFloat(nanterior) - parseFloat(npago);
                }


                $("#Valor_Pago_Anterior").val(number_format(Valor_Total, 2, ',', '.'));

            }
        </script>
        <script language="javascript" type="text/javascript">
        function Radio_Tipo(valor){
                //var Comissao = $("input[name='Comissao']:checked").val();
                //div2 = document.getElementById("DivNF");
                if (valor=='Emissao'){
                        document.getElementById('divData').innerHTML = 'Data Emisso';
                        document.getElementById('divData2').innerHTML = 'Data Emisso';
                }
                if (valor=='Vencimento'){
                        document.getElementById('divData').innerHTML = 'Data Vencimento';
                        document.getElementById('divData2').innerHTML = 'Data Vencimento';
                }
        }
        </script>
    </head>
    <body>
        <form name="tabela_preco" id="tabela_preco" method="post" action="">
            <table width="98%" border="0" cellpadding="2" cellspacing="1" id="tabela_pdv">
                <tr>
                <td align="center" bgcolor="#225F93">
                    <span id="Caixa_Livre" class="buscarprodutos">
                        Ttulos
                    </span>
                </td>
                    <?php
                        if($_POST['Data_Remessa']=='Vencimento'){
                            $dat_v = 'checked';
                            $escri = 'Vencimento';
                        }else{
                            $dat_r = 'checked';
                            $escri = 'Emisso';
                        }
                    ?>
                    <td align="center" bgcolor="#225F93">
                        <span id="Caixa_Livre" class="buscarprodutos">
                            <input type="radio" name="Data_Remessa" value='Emissao' id="Emissao" <?php echo $dat_r; ?> style="float: left" onClick="Radio_Tipo(this.value);">
                            <label class="label_radio" for="Emissao" style="float: left">&nbsp;Emisso &nbsp;&nbsp;&nbsp;&nbsp;</label>
                            <input type="radio" name="Data_Remessa" value='Vencimento' id="Vencimento" <?php echo $dat_v; ?> style="float: left" onClick="Radio_Tipo(this.value);">
                            <label class="label_radio" for="Vencimento" style="float: left">&nbsp;Vencimento &nbsp;&nbsp;&nbsp;&nbsp;</label>
                        </span>
                    </td>
                </tr>
                <tr>
                    <td class="tr-1">
                        <strong>De</strong>
                        &nbsp;&nbsp;-&nbsp;&nbsp;&nbsp;
                        <span id="divData" style="color: #000; font-size: 18px">Data <?php echo $escri;?></span>
                    </td>
                    <td class="tr-1">
                        <strong>At</strong>
                        &nbsp;&nbsp;-&nbsp;&nbsp;&nbsp;
                        <span id="divData2" style="color: #000; font-size: 18px">Data <?php echo $escri;?></span>
                    </td>
                </tr>
                <tr>
                    <td class="tr-1"><input type="text" name="De" id="De" class="date-pick codigo" value="<?php echo $_POST["De"];?>" ></td>
                    <td class="tr-1"><input type="text" name="Ate" id="Ate" class="date-pick Descricao" value="<?php echo $_POST["Ate"];?>" ></td>
                </tr>
                <tr>
                    <td class="tr-1">
                        &nbsp;<input type="text" placeholder="Lanamento" name="Lancamento" id="Lancamento" value="<?php echo $_POST["Lancamento"] ?>">
                    </td>
                    <td class="tr-1">
                        &nbsp;<input type="text" placeholder="Fatura" name="Fatura" id="Fatura" value="<?php echo $_POST["Fatura"] ?>">
                    </td>
                </tr>
                <tr>
                    <td class="tr-1">
                        <?php
                        if (CLIENTE_RAZAO_SOCIAL == 'Sim') {
                            $nome = 'Razao_Social';
                        } else {
                            $nome = 'Titulo';
                        }
                        echo select_banco2("Select Id, " . $nome . " as Titulo from cliente WHERE Tipo_Cliente = 'Cliente' order by Titulo",
                                "Cliente", "Cliente", "Cliente",$_POST["Cliente"], '', 'fornecedor');
                        ?>
                    </td>
                    <td class="tr-1">
                        <?php
                        echo select_banco2("Select DISTINCT conta.Id, CONCAT(conta.Titular,' - ',conta.Nome_Banco,' - ag.',conta.Agencia,' - cc.',conta.Conta) as Titulo
                                                        from conta
                                                        WHERE conta.Ativo = 'Sim'
                                                        order by Titulo",
                                                "Conta","Conta","Conta",$_POST["Conta"],'',"fornecedor");
                        ?>
                    </td>
                </tr>
                <tr>
                    <td class="tr-1">
                        <?php
                        //se o sistema for Multi Empresa
                        if (MULTI_EMPRESA == "Sim") {

                            //se o usuario for de gerente acima ele escolhe pra quem vai
                            if (ESCOLHER_EMPRESA == 'Sim') {
                                ?>
                                <?php
                                echo select_banco2("SELECT Id,Titulo FROM unidade WHERE Ativo='Sim' ORDER BY Titulo",
                                        "Unidade", "Unidade", "Empresa", $_POST["Unidade"], '', "fornecedor");
                                ?>
                                <?php
                                //se no for, a unidade sempre ser a sua
                            } else {
                                echo "<input type='hidden' name='Unidade' id='Unidade' value='" . $_SESSION["Unidade"] . "' >";
                            }
                        } else {
                            echo "<input type='hidden' name='Unidade' id='Unidade' value='" . $_SESSION["Unidade"] . "' >";
                        }
                        ?>
                    </td>
                    <td class="tr-1">
                    <?php
                        echo select_banco2("Select Id, Titulo from portador order by Titulo",
                                "Portador", "Portador", "Portador", $_POST["Portador"], '', "fornecedor");
                        ?>
                    </td>
                </tr>

                <tr>
                    <td colspan="2" align="center" bgcolor="#225F93">
                        <button type="submit" name="Buscar" value="Buscar Ttulo" style="width: 400px; height: 30px"><span style="font-size: 18px;color: #000">Buscar Ttulo</span></button>
                    </td>
                </tr>
            </table>
        </form>

        <?php
        if ($_SERVER['REQUEST_METHOD'] == "POST") {

            if ($_POST["Buscar"]) {

                if($_POST['Data_Remessa']=='Emissao'){
                    if($_POST["De"])
                        $data .= "AND conta_receber.Data_Emissao >= '".data_banco($_POST["De"])." 00:00:00' ";
                    if($_POST["Ate"])
                        $data .= "AND conta_receber.Data_Emissao <= '".data_banco($_POST["Ate"])." 23:59:59' ";
                }
                if($_POST['Data_Remessa']=='Vencimento'){
                    if($_POST["De"])
                        $data .= "AND conta_receber.Data_Vencimento >= '".data_banco($_POST["De"])." 00:00:00' ";
                    if($_POST["Ate"])
                        $data .= "AND conta_receber.Data_Vencimento <= '".data_banco($_POST["Ate"])." 23:59:59' ";
                }
                
                if ($_POST["Unidade"]) {
                    $cond.= "AND conta_receber.Id_Unidade = '" . $_POST["Unidade"] . "' ";
                }
                if ($_POST["Cliente"]) {
                    $cond.= "AND conta_receber.Id_Cliente = '" . $_POST["Cliente"] . "' ";
                }
                if ($_POST["Lancamento"]) {
                    $cond.= "and conta_receber.Lancamento = '" . $_POST["Lancamento"] . "' ";
                }
                if ($_POST["Fatura"]) {
                    $cond.= "and conta_receber.Fatura like '%" . $_POST["Fatura"] . "%' ";
                }
                if ($_POST["Portador"]) {
                    $cond.= "and conta_receber.Id_Portador = '" . $_POST["Portador"] . "' ";
                }

                if(CLIENTE_RAZAO_SOCIAL=='Sim'){
                    $nome = 'Razao_Social';
                }else{
                    $nome = 'Titulo';
                }
                $pro_pdv = mysqli_query($con, "Select conta_receber.Id,
                                conta_receber.Lancamento,
                                conta_receber.Fatura,
                                conta_receber.Data_Vencimento,
                                conta_receber.Valor_Original,
                                cliente.$nome as Cliente,
                                cliente.Cpf_Cnpj,
                                portador.Titulo as Portador
                                from (SELECT Id,Id_Cliente,Fatura,Data_Vencimento,Valor_Original,Lancamento,
                                Id_Unidade,Data_Emissao,Id_Portador
                                FROM conta_receber 
                                WHERE conta_receber.Status = 'Aberto'
                                AND Bordero_Desconto = 'No') as conta_receber
                                left join (SELECT Id,Titulo,Razao_Social,Cpf_Cnpj FROM cliente) as cliente ON cliente.Id = conta_receber.Id_Cliente
                                left join (SELECT Id,Titulo FROM portador) as portador ON portador.Id = conta_receber.Id_Portador
                                where 1=1 $cond $data
                                ORDER BY Fatura,Lancamento,Data_Vencimento ");
            }


            if ($_POST["Salvar"]) {

                
                
                $y='1';
                foreach ($_POST as $chave => $valor) {
                    if ($chave != "todos") {
                    if ($chave != "Valor_Original") {
                    if ($chave != "Valor_Total") {
                    if ($chave != "Valor_Pago_Anterior") {
                        if ($chave != "Salvar") {
                            if ($valor != "") {

                                if ($valor["Id"]) {
                                    
                                    $cr = mysqli_query($con,"SELECT Id,Fatura,Id_Portador,Valor_Original FROM conta_receber WHERE Id= '".$valor["Id"]."' ");
                                    $upcr = mysqli_fetch_assoc($cr);

                                    mysqli_query($con,"UPDATE conta_receber SET Bordero_Desconto = 'Sim' WHERE Id= '".$valor["Id"]."' ");

                                    $Codigo_Registro = md5($upcr["Id"].microtime());
                                    mysqli_query($con,"INSERT INTO bordero_desconto_registro
                                                            (Id,
                                                            Id_Conta_Receber,
                                                            Id_Portador,
                                                            Fatura,
                                                            Id_Bordero_Desconto,
                                                            Status,
                                                            Deslocamento,
                                                            Valor_Titulo,
                                                            ".$padraoCampos.")
                                                            values('".$Codigo_Registro."',
                                                            '".$upcr["Id"]."',
                                                            '".$upcr["Id_Portador"]."',
                                                            '".$upcr["Fatura"]."',
                                                            '".$_GET["id_bordero_desconto"]."',
                                                            'Aberto',
                                                            '".$_POST["Deslocamento"]."',
                                                            '".$upcr["Valor_Original"]."',
                                                            ".$padraoPost.")");
                                    
                                    
                                }
                            }
                        }
                    } } } }
                    $y++;
                }
                
                
                
                
                
                
                
                
                echo "<script>window.opener.MontarTabela(); window.close();</script>";
            }
        }
        ?>
        <form name="conta" id="conta" method="post" action="">
            <table width="98%" border="0" cellpadding="2" cellspacing="1" id="tabela_pdv">
                <tr bgcolor="#225F93">
                    <td align="center"><input type="checkbox" id="selectAll" name="todos" value="todos" ><strong>Marcar Todos</strong></td>
                    <td><strong>Cd</strong></td>
                    <td width="2%"></td>
                    <td><strong>Fat</strong></td>
                    <td><strong>Data</strong></td>
                    <td><strong>Valor</strong></td>
                    <td><strong>Cliente</strong></td>
                    <td><strong>CPF/CNPJ</strong></td>
                    <?php if(CLIENTE_EMAIL=='gardenquimica' || CLIENTE_EMAIL=='testegarden' || CLIENTE_EMAIL=='igq'){ ?>
                    <td><strong>Portador</strong></td>
                    <?php } ?>
                </tr>
                <?php
                $y = '1';
                while ($chave = mysqli_fetch_assoc($pro_pdv)) {
                    
                    ?>
                    <tr class="tr-1">
                        <td align="center">
                            <b>
                                <input type="checkbox" name="<?php echo $chave["Id"]; ?>[Id]" value="<?php echo $chave["Id"]; ?>" onclick='handleClick(this, "<?php echo $chave["Id"]; ?>",<?php echo $chave["Valor_Original"]; ?>);' class="checkbox">
                            </b>
                        </td>
                        <td><b><?php echo $chave["Lancamento"]; ?></b></td>
                        <td width="2%"></td>
                        <td><b><?php echo $chave["Fatura"]; ?></b></td>
                        <td><b><?php echo data_exibir($chave["Data_Vencimento"]); ?></b></td>
                        <td>
                            <b><?php echo valor_exibir($chave["Valor_Original"]); ?></b>
                            <input type="hidden" name="Valor_Original" id="<?php echo $chave["Id"] ?>" value="<?php echo valor_exibir($chave["Valor_Original"]); ?>">
                            <?php
                            $valorTotal += $chave["Valor_Original"];
                            ?>

                                <input type="hidden" name="<?php echo $chave["Id"] ?>[Valor_Pago]"
                                id="<?php echo $chave["Id"] ?>Valor_Pago"
                                value="<?php echo valor_exibir($chave["Valor_Original"]); ?>"
                                class="money" onblur="fazerValor(this.value, '<?php echo $chave["Id"] ?>Valor_Pago');">
                        </td>
                        <td><b><?php echo $chave["Cliente"]; ?></b></td>
                        <td><b><?php echo cnpj_exibir($chave["Cpf_Cnpj"]); ?></b></td>
                        <?php if(CLIENTE_EMAIL=='gardenquimica' || CLIENTE_EMAIL=='testegarden' || CLIENTE_EMAIL=='igq'){ ?>
                        <td><b><?php echo $chave["Portador"]; ?></b></td>
                        <?php } ?>
                    </tr>
                    <tr class="tr-1" heigth="2">
                        <td colspan="11">&nbsp;</td>
                    </tr>
                    <?php
                    $y++;
                }
                ?>
                <tr class="tr-1">
                    <td colspan="3">&nbsp;</td>
                    <td align="right">Valor Total: &nbsp;&nbsp;</td>
                    <td><input size="10" type="text" name="Valor_Total" id="Valor_Total" value="<?php echo valor_exibir($valorTotal); ?>" readonly="readonly"></td>
                    <td align="right"> Valor Pago:  &nbsp;&nbsp;</td>
                    <td><input size="10" type="text" name="Valor_Pago_Anterior" id="Valor_Pago_Anterior" value="0,00" readonly="readonly"></td>
                </tr>
                <tr>
                    <td colspan="11" align="center" bgcolor="#225F93">
                        <button type="submit" name="Salvar" id="Salvar" value="Salvar" style="width: 400px; height: 40px">
                            <span style="font-size: 18px;color: #000">Salvar</span>
                        </button>
                    </td>
                </tr>
            </table>
        </form>
        <?php include "../include/rodape.php"; ?>
    </body>
</html>