<?php
include_once '../include/conecta.php'; //Conecta com a nosso banco de dados MySQL
include_once '../include/ver_sessao.php'; //Verifica se a sesso est ativa
include_once '../include/funcoesPhp.php';
include_once '../menu_movimento.php';
?>
<?php
if (CLIENTE_RAZAO_SOCIAL == 'Sim') {
    $nome = 'Razao_Social';
} else {
    $nome = 'Titulo';
}
if (($_GET["Fechado"]) || ($_GET["Aberto"])) {

    $status = "AND (";

    if ($_GET["Fechado"]) {
        $status .= " bordero_desconto.Status = 'Fechado' OR";
    }
    if ($_GET["Aberto"]) {
        $status .= " bordero_desconto.Status = 'Aberto'";
    }


    $status = substr($status, 0, -2);
    $status .= ")";
}

if ($_GET["De"])
    $data .= "AND bordero_desconto.Data_Operacao >= '" . data_banco($_GET["De"]) . "'";
if ($_GET["Ate"])
    $data .= "AND bordero_desconto.Data_Operacao <= '" . data_banco($_GET["Ate"]) . " ' ";

if ($_GET["Usuario"])
    $Usuario = "AND bordero_desconto.Id_Usuario = '" . $_GET["Usuario"] . "' ";

if ($_GET["Funcionario"])
    $usuario_p .= "AND bordero_desconto.Id_Funcionario = '" . $_GET["Funcionario"] . "' ";

if ($_GET["Conta"])
    $usuario_p .= "AND bordero_desconto.Id_Conta = '" . $_GET["Conta"] . "' ";


if ($_GET["Unidade"]) {
    $Unidade = "AND bordero_desconto.Id_Unidade = '" . $_GET["Unidade"] . "' ";
}

if ($_GET["Ok"]) {
    $bordero = mysqli_query($con, "SELECT    bordero_desconto.Id, 
                                        bordero_desconto.Numero_Bordero,
                                        bordero_desconto.Lancamento,
                                        bordero_desconto.Status,
                                        funcionario.Titulo as Id_Funcionario,
                                        conta.Titular as Id_Conta,
                                        bordero_desconto.Data_Operacao,
                                        bordero_desconto.Valor_Operacao,
                                        bordero_desconto.Prazo_Medio,
                                        bordero_desconto.Despesa_Compra,
                                        bordero_desconto.Outra_Despesa,
                                        bordero_desconto.Total_Despesa_Operacao,
                                        bordero_desconto.Valor_Liquido_Operacao,
                                        bordero_desconto.Liquido_Creditado,
                                        unidade.Titulo as Unidade
                                    FROM bordero_desconto
                                    LEFT JOIN (SELECT Id,Titulo FROM funcionario) as funcionario ON funcionario.Id = bordero_desconto.Id_Funcionario
                                    LEFT JOIN (SELECT Id,Titular FROM conta) as conta ON conta.Id = bordero_desconto.Id_Conta
                                    LEFT JOIN (SELECT Id,Titulo FROM unidade) as unidade ON unidade.Id = bordero_desconto.Id_Unidade
                                    WHERE Tipo_Bordero = 'Desconto'
                                    $data $status $usuario_p $Unidade 
                                    ORDER BY bordero_desconto.Data_Operacao,bordero_desconto.Numero_Bordero");
}

?>
<?php ob_start(); /* Inicia o fluxo*/ ?>
<html>

<head>
    <title>Gw - Gesto Web</title>
    <link rel="stylesheet" type="text/css" href="../estilo/<?php echo SKIN; ?>/tabelas.css" />
    <link rel="stylesheet" type="text/css" href="../js/datePicker/datePicker.css" />
    <link rel="stylesheet" type="text/css" href="../js/autocomplete/jquery.autocomplete.css" />
    <link rel="stylesheet" type="text/css" href="../js/autocomplete/lib/thickbox.css" />
    <script type="text/javascript" language="javascript" src="../js/jquery.js"></script>
    <?php include '../include/script_cabeca.php'; ?>
    <script type="text/javascript" language="javascript" src="../js/script.js"></script>
    <script type="text/javascript" language="javascript" src="../js/meiomask/meiomask.js"></script>
    <script type="text/javascript" language="javascript" src="../js/meiomask/<?php if (PAIS == "USA") {
                                                                                    echo "mascaras-usa";
                                                                                } else {
                                                                                    echo "mascaras";
                                                                                } ?>.js"></script>
    <script type="text/javascript" language="javascript" src="../js/autocomplete/lib/jquery.bgiframe.min.js"></script>
    <script type="text/javascript" language="javascript" src="../js/autocomplete/lib/jquery.ajaxQueue.js"></script>
    <script type="text/javascript" language="javascript" src="../js/autocomplete/lib/thickbox-compressed.js"></script>
    <script type="text/javascript" language="javascript" src="../js/autocomplete/jquery.autocomplete.js"></script>
    <!-- required plugins -->
    <script language="javascript" type="text/javascript" src="../js/datePicker/<?php if (PAIS == "USA") {
                                                                                    echo "date";
                                                                                } else {
                                                                                    echo "date-pt";
                                                                                } ?>.js"></script>
    <!--[if IE]>
	<script type="text/javascript" src="../js/datePicker/jquery.bgiframe.js"></script>
	<![endif]-->
    <!-- jquery.datePicker.js -->
    <script type="text/javascript" src="../js/datePicker/jquery.datePicker.js"></script>
    <script type="text/javascript" language="javascript">
        Date.firstDayOfWeek = 0;
        <?php if (PAIS == "USA") {
            echo "Date.format='mm/dd/yyyy';";
        } else {
            echo "Date.format='dd/mm/yyyy';";
        } ?>
        $(function() {
            $('.date-pick').datePicker({
                startDate: '01/01/1990'
            })
        });
    </script>
    <script type="text/javascript" language="javascript">
        $(document).ready(function() {
            $("#Cliente").autocomplete("venda/busca_cliente.php", {
                width: 340,
                selectFirst: true,
                scroll: false,
                cacheLength: 100,
                max: 100
            });
            $("#Produto").autocomplete("venda/busca_produto.php", {
                width: 340,
                selectFirst: true,
                scroll: false,
                cacheLength: 100,
                max: 100
            });
        });
    </script>
    <script type="text/javascript" language="javascript">
        $(document).ready(function() {

            $('#bt_Enviar_Email').click(function() {
                $.blockUI({
                    message: $('#Tela_Email'),
                    css: {
                        width: '350px'
                    }
                });
                //setTimeout($.unblockUI, 6000);
            });


            $('#Enviar_Email').click(function() {
                $.blockUI({
                    message: "<h2>Enviando E-mail...</h2>"
                });

                var nomeDestinatario = $("#Nome_Destinatario").val();
                var emailDestinatario = $("#Email_Destinatario").val();
                //var nomeCopia = $("#Nome_Copia").val();
                //var emailCopia = $("#Email_Copia").val();
                var de = $("#De").val();
                var ate = $("#Ate").val();
                var Funcionario = $("#Funcionario").val();
                var Cliente = $("#Cliente").val();
                var Produto = $("#Produto").val();
                var Fechado_rel = $("#Fechado_Rel").val();
                var cancelado_rel = $("#Cancelado_Rel").val();
                var aberto_rel = $("#Aberto_Rel").val();
                $.get("email_rel_venda_simples.php", {
                        Nome_Destinatario: nomeDestinatario,
                        Email_Destinatario: emailDestinatario,
                        De: de,
                        Ate: ate,
                        Funcionario: Funcionario,
                        Produto: Produto,
                        Fechado: Fechado_rel,
                        Cancelado: cancelado_rel,
                        Aberto: aberto_rel,
                        Cliente: Cliente
                    },
                    function(data) {
                        $("#div_resposta").html(data);
                        $.unblockUI();
                        $("#Nome_Destinatario").val('');
                        $("#Email_Destinatario").val('');
                        $("#Nome_Copia").val('');
                        $("#Email_Copia").val('');
                    });

            });


            $('#Cancelar_Email').click(function() {
                $.unblockUI();
                return false;
            });


        });
    </script>
    <style type="text/css">
        thead {
            display: table-header-group;
        }

        tfoot {
            display: table-footer-group;
        }
    </style>
</head>

<body>
    <tr>
        <td>
            <table width="100%" class="tabela">
                <?php
                if ($_GET["Ok"]) {
                    $vtotalacum = array("Aberto" => 0, "Fechado" => 0); // Inicialize os totais
                    $vtotalacumA = 0;
                    $totalDespesa = 0;
                    $color = "#F5F5F5";

                    while ($chave = mysqli_fetch_assoc($bordero)) {
                        if ($color == "#F5F5F5") {
                            $color = "#E8E8E8";
                        } else {
                            $color = "#F5F5F5";
                        }
                ?>
                        <tr class="azul-claro">
                            <td>N: <b><?php echo $chave["Lancamento"] ?></b></td>
                            <td>Descrio: <b><?php echo $chave["Numero_Bordero"] ?></b></td>
                            <td>Data Operao: <b><?php echo data_exibir($chave["Data_Operacao"]) ?></b></td>
                            <td>Empresa: <b><?php echo $chave["Unidade"] ?></b></td>
                            <td>Banco: <b><?php echo $chave["Id_Conta"] ?></b></td>
                            <td>Responsvel: <b><?php echo $chave["Id_Funcionario"] ?></b></td>
                            <?php
                            $cod_auto2 = mysqli_query($con, "SELECT tipo_pagamento.Titulo
                                            FROM bordero_desconto
                                            LEFT JOIN (SELECT Id,Titulo FROM tipo_pagamento) as tipo_pagamento ON tipo_pagamento.Id = bordero_desconto.Id_Tipo_Pagamento
                                            WHERE bordero_desconto.Id = '" . $chave['Id'] . "'
                                            ");
                            $ex_tip = '';
                            while ($valor1 = mysqli_fetch_assoc($cod_auto2)) {
                                $ex_tip .= $valor1["Titulo"] . " ,";
                            }
                            $ex_tip = substr($ex_tip, 0, -2);
                            $totalDespesa += $chave["Total_Despesa_Operacao"];
                            $totalCreditado += $chave["Liquido_Creditado"];
                            ?>
                            <td>Tipo de Pagamento: <b><?php echo $ex_tip; ?></b></td>
                            <td>Prazo Mdio: <b><?php echo valor_exibir($chave["Prazo_Medio"]) ?></b></td>
                            <td>Despesa Compra: <b><?php echo valor_exibir($chave["Despesa_Compra"]) ?></b></td>
                            <td>Outra Despesa: <b><?php echo valor_exibir($chave["Outra_Despesa"]) ?></b></td>
                            <td>Total Despesa: <b><?php echo valor_exibir($chave["Total_Despesa_Operacao"]) ?></b></td>
                            <td>Valor Creditado: <b><?php echo valor_exibir($chave["Liquido_Creditado"]) ?></b></td>
                            <?php
                            $corStatus = "";
                            if ($chave['Status'] == 'Fechado') {
                                $corStatus = "color = '#228B22' ";
                            }
                            if ($chave['Status'] == 'Aberto') {
                                $corStatus = "color = '#3A5FCD' ";
                            }
                            if ($chave['Status'] == 'Cancelado') {
                                $corStatus = "color = '#CD2626' ";
                            }
                            ?>
                            <td>Status: <font <?php echo $corStatus ?>><?php echo $chave["Status"] ?></font>
                            </td>
                        </tr>
                        <tr>
                            <td colspan="3"><b>Fatura</b></td>
                            <td colspan="3"><b>Cliente</b></td>
                            <td colspan="3"><b>Cnpj</b></td>
                            <td colspan="2"><b>Data Vencimento</b></td>
                            <td colspan="3"><b>Valor Original</b></td>
                        </tr>

                        <?php
                        $somatorioTotal = 0;
                        $registro = mysqli_query($con, "SELECT cliente.$nome as 'Cliente',
                                            conta_receber.Data_Vencimento,
                                            conta_receber.Valor_Original,
                                            conta_receber.Valor_Original as 'Valor_Original2',
                                            conta_receber.Fatura,
                                            conta_receber.Status,
                                            cliente.Razao_Social,
                                            cliente.Codigo,
                                            cliente.Cpf_Cnpj
                                        FROM bordero_desconto_registro
                                        LEFT JOIN conta_receber ON conta_receber.Id = bordero_desconto_registro.Id_Conta_Receber
                                        LEFT JOIN cliente ON cliente.Id = conta_receber.Id_Cliente
                                        WHERE bordero_desconto_registro.Id_Bordero_Desconto = '" . $chave["Id"] . "'
                                        ORDER BY conta_receber.Data_Vencimento");

                        while ($valor = mysqli_fetch_assoc($registro)) {
                        ?>

                            <tr>
                                <td colspan="3"><?php echo $valor["Fatura"]; ?></td>
                                <td colspan="3"><?php echo $valor["Codigo"] . ': ' . $valor["Cliente"]; ?></td>
                                <td colspan="3"><?php echo cnpj_exibir($valor["Cpf_Cnpj"]); ?></td>
                                <td colspan="2"><?php echo data_exibir($valor["Data_Vencimento"]); ?></td>
                                <td colspan="3"><?php echo valor_exibir($valor["Valor_Original"]); ?></td>
                            </tr>
                        <?php
                            $vtotalacum[$chave["Status"]] += $valor["Valor_Original"];
                            $vtotalacumA += $valor["Valor_Original"];
                            $somatorioTotal += $valor["Valor_Original2"];
                        }
                        ?>
                        <tr>
                            <td colspan="9">&nbsp;</td>
                            <td colspan="2"><b>Valor Total: </b></td>
                            <td colspan="2"><?php echo valor_exibir($somatorioTotal); ?></td>
                        </tr>
                <?php
                    }
                }
                ?>

                <tr>
                    <td colspan="2" align="right"><b>Valores Finais:</b> &nbsp;</td>
                    <td colspan="11" align="right">
                        Valor Creditado: <b><?php echo valor_exibir($totalCreditado); ?></b>&nbsp;&nbsp;&nbsp;
                        Despesas: <b><?php echo valor_exibir($totalDespesa); ?></b>&nbsp;&nbsp;&nbsp;
                        Aberto: <b><?php echo valor_exibir($vtotalacum["Aberto"]); ?></b>&nbsp;&nbsp;&nbsp;
                        Fechado: <b><?php echo valor_exibir($vtotalacum["Fechado"]); ?></b>&nbsp;&nbsp;&nbsp;
                        Total Geral: <b><?php echo valor_exibir($vtotalacum["Aberto"] + $vtotalacum["Fechado"]); ?></b>
                    </td>
                </tr>
            </table>

        </td>
    </tr>
    <tr>
        <td>
            <div id="div_resposta"></div>
        </td>
    </tr>
    </table>
    <!-- INICIO DA TELA MODAL ENVIO DE EMAIL-->
    <!-- No css existe um estilo para essas divs que as deixa invisivel - display:none; -->
    <?php include_once "../include/email_tabela.php"; ?>
    <!-- FIM DA TELA MODAL ENVIO DE EMAIL-->
    <br>
</body>

</html>
<?php
$html = ob_get_contents();
ob_end_clean();

include_once "../include/pdf_opcao.php";
?>