<?php
include_once '../include/conecta.php'; //Conecta com a nosso banco de dados MySQL
include_once '../include/ver_sessao.php'; //Verifica se a sesso est ativa
include_once '../include/funcoesPhp.php';
include_once '../menu_movimento.php';

if ($_POST["Id"] == "") {
    $_POST["Id"] = md5($_SESSION['Id'] . microtime());
}

if ($_SERVER['REQUEST_METHOD'] == "POST") {

    if (!empty($_POST["Atividade"])) {
        if (isset($_POST["Alterar"])) {

            $atividade = trim($_POST["Atividade"]);
            $centro_custo = trim($_POST["Centro_Custo"]);
            $id_caixa = $_GET["id_caixa"];

            if ($id_caixa) {

                $sqlCaixa = mysqli_query($con, "UPDATE caixa SET Id_Atividade = '{$_POST["Atividade"]}',
                                                                   Id_Centro_Custo = '{$_POST["Centro_Custo"]}',
                                                                   Data_Altera_Atividade = '" . date('Y-m-d') . "'
                                                                   WHERE Id = '{$_GET["id_caixa"]}'");

                logUsuario($_SERVER['REMOTE_ADDR'], $_SESSION['Login'], $_SESSION['Email'], $_SESSION['Unidade'], "Atividade,Centro Custo", "Atividade,Centro Custo");

                echo "<script>window.opener.location.href = './list_caixa.php';window.close();</script>";
            }
        } else {
            $msg = 'Atividade j cadastrada!';
        }
    } else {
        if (!$_POST["Atividade"]) {
            $obrig .= 'Atividade, ';
        }

        $obrig = substr($obrig, 0, -2);
        $msg = "Faltou Preencher: " . $obrig;
    }
}
if ($_GET["acao"] == 'alterar') {

    $buscaDadosConstaPagar = mysqli_query($con, "SELECT caixa.Id,
                                                                      caixa.Id_Atividade,
                                                                      caixa.Id_Centro_Custo,
                                                                      caixa.Valor,
                                                                      caixa.Obs,
                                                                      caixa.Lancamento
                                                                 FROM caixa
                                                                WHERE caixa.Id = '" . $_GET["id_caixa"] . "'
                                                                AND caixa.Origem = 'Caixa' ");
    $retornoDadosConstaPagar = mysqli_fetch_assoc($buscaDadosConstaPagar);

    $_POST["Lancamento"] = $retornoDadosConstaPagar["Lancamento"];
    $_POST["Atividade"] = $retornoDadosConstaPagar["Id_Atividade"];
    $_POST["Centro_Custo"] = $retornoDadosConstaPagar["Id_Centro_Custo"];
    $_POST["Valor"] = $retornoDadosConstaPagar["Valor"];
    $_POST["Obs"] = $retornoDadosConstaPagar["Obs"];
}
?>
<html>

<head>
    <title>Gw - Gesto Web</title>
    <?php include 'cabecalho.php'; ?>
</head>

<body>

    <form name="situacao" id="situacao" method="post" action="">

        <fieldset class="envolve">
            <legend>Atividade Financeira / Centro Custo</legend>

            <fieldset class="grupo">
                <div class="campo" style="width: 10%">
                    <label for="Lancamento" key="Lancamento" class="tr">* Id</label>
                    <input readonly type="text" id="Lancamento" name="Lancamento"
                        value="<?php echo $_POST["Lancamento"]; ?>" />
                </div>
                <div class="campo" style="width: 60%">
                    <label for="Obs" key="Obs" class="tr">* Descrio</label>
                    <input readonly type="text" id="Obs" name="Obs" value="<?php echo $_POST["Obs"]; ?>" />
                </div>
            </fieldset>
            <fieldset class="grupo">
                <div class="campo">
                    <label for="Valor" key="Valor" class="tr">* Valor</label>
                    <input readonly="readonly" type="text" name="Valor" id="Valor"
                        value="<?php echo valor_exibir($_POST["Valor"]); ?>" class="money"
                        onblur="fazerValor(this.value,'Valor')">
                </div>
                <div class="campo">
                    <label for="Atividade" key="Atividade" class="tr">Atividade Financeira</label>
                    <?php
                    if (ATIVIDADE_LIVRE == 'No') {
                        $atv = " AND atividade.Tipo = 'Debito' AND atividade.Ativo='Sim' ";
                    }
                    echo select_atividade(
                        "SELECT DISTINCT categoria_atividade.Id,
                                            CONCAT(categoria_atividade.Codigo,' ',categoria_atividade.Titulo) as Titulo
                                            FROM categoria_atividade
                                            INNER JOIN atividade ON categoria_atividade.Id = atividade.Id_Categoria_Atividade
                                            WHERE 1=1
                                            GROUP BY categoria_atividade.Id
                                            order by REPLACE(categoria_atividade.Codigo,'.','')",
                        "SELECT atividade.Id, CONCAT(Titulo,' ',Codigo) as Titulo
                                            FROM atividade
                                            WHERE 1=1 ",
                        "ORDER BY abs(REPLACE(atividade.Codigo,'.','')) ",
                        "Atividade",
                        "Atividade",
                        $_POST["Atividade"],
                        'style="width: 350px"',
                        ""
                    );
                    ?>
                </div>
                <div class="campo" style="width: 350px">
                    <label for="Centro_Custo" key="Centro_Custo" class="tr">Centro de Custo</label>
                    <?php
                    echo select_banco(
                        "SELECT Id, Titulo from centro_custo WHERE Id_Pai = '' AND Ativo='Sim' order by Titulo",
                        "Centro_Custo",
                        "Centro_Custo",
                        $_POST["Centro_Custo"],
                        "onchange='centroCusto(this.value);'",
                        ""
                    );
                    ?>
                </div>
            </fieldset>

            <button class="bt_cadastro" type="submit" name="Alterar" value="Salvar">Salvar</button>

            <button class="botao" type="button" value="Voltar" onclick="window.close()">Fechar</button>

        </fieldset>

    </form>

    <?php
    if ($_GET['id_caixa']) {
        $tabela_criacao = "Caixa";
        $id_corrente = $_GET['id_caixa'];
        include "../include/script_criacao.php";
        /* ARQUIVO ONDE MOSTRA QUEM CRIOU E QUEM ATUALIZOU*/
    }
    ?>
    <div id="retorno"></div>
    <?php include "../include/rodape.php"; ?>