<?php
include_once '../include/conecta.php'; //Conecta com a nosso banco de dados MySQL
include_once '../include/ver_sessao.php'; //Verifica se a sesso est ativa
include_once '../include/funcoesPhp.php';
include_once '../menu_movimento.php';

$modulo_lista = 'Caixa_Operador';
include '../include/sessao_lista.php';
?>
<?php
$menu = mysqli_query($con, "select permissao.Relatorio,
                                    permissao.Cadastrar,
                                    permissao.Alterar,
                                    permissao.Deletar
                                    from permissao
                                    inner join menu_usuario ON menu_usuario.Id_Menu = permissao.Id_Menu
					where menu_usuario.Id_Responsavel='" . $_SESSION["Id"] . "'
					and permissao.Id_Responsavel='" . $_SESSION["Id"] . "'
					and permissao.Id_Menu = '406' ");
$menu = mysqli_fetch_assoc($menu);


$restaurante = $con->query("SELECT Ativo FROM menu WHERE Id='3182'");
$restaurante = mysqli_fetch_assoc($restaurante);

?>

<?php
if ($_GET["Ordenar"]) {
    $Ordenar1 = " ORDER BY " . $_GET["Ordenar"] . " ";
} else {
    $Ordenar1 = " ORDER BY caixa_operador_registro.Data_Cadastro ";
}
if ($_GET['Ordem_Lista'] == 'Asc') {
    $Ordem_Lista1 = ' ASC ';
} else {
    $Ordem_Lista1 = ' DESC ';
}

//se o sistema for Multi Empresa
if (MULTI_EMPRESA == "Sim") {

    //se o usuario no for master ele vai para sua empresa
    if (ESCOLHER_EMPRESA == 'Sim') {

        if ($_GET["Unidade"])
            $unidade = "AND caixa_operador_registro.Id_Unidade = '" . $_GET["Unidade"] . "' ";
    } else {
        $unidade = "AND caixa_operador_registro.Id_Unidade = '" . $_SESSION["Unidade"] . "' ";
    }
} else {
    $unidade = "AND caixa_operador_registro.Id_Unidade = '" . $_SESSION["Unidade"] . "' ";
}

if ($_SESSION["Id_Nivel"] != '1') {
    $unidade = "AND caixa_operador_registro.Id_Unidade = '" . $_SESSION["Unidade"] . "' ";
}

if ($_GET['Pesq']) {
    $pesquisa = " AND " . $_GET['Ordenar'] . " like '%" . $_GET['Pesq'] . "%' ";
}




/* Inicio dos parmetros da Paginao*/

/*varivel com o cdigo SQL da consulta ao banco de dados*/
$_pagi_sql = "SELECT caixa_operador_registro.Id,
                    caixa_operador_registro.Status,
                    DATE_FORMAT(caixa_operador_registro.Abertura, '%d/%m/%Y %H:%i:%s') as 'Abertura',
                    DATE_FORMAT(caixa_operador_registro.Fechamento, '%d/%m/%Y %H:%i:%s') as 'Fechamento',
                    caixa_operador_registro.Data_Abertura,
                    caixa_operador_registro.Id_Funcionario,
                    funcionario.Titulo as Funcionario,
                    usuario.Login as Usuario,
                    usuario.Id as Id_Usuario,
                    unidade.Titulo as Unidade,
                    unidade.Id as Id_Unidade
                    FROM caixa_operador_registro
                    left join (SELECT Id,Titulo FROM funcionario) as funcionario ON funcionario.Id = caixa_operador_registro.Id_Funcionario
                    left join (SELECT Id,Login FROM usuario) as usuario ON usuario.Id = caixa_operador_registro.Id_Usuario
                    inner join (SELECT Id, Titulo FROM unidade) as unidade ON unidade.Id = caixa_operador_registro.Id_Unidade
                    $unidade $pesquisa $Ordenar1 $Ordem_Lista1";

/* pagina fora que contem todas as opcoes do paginator */
include_once '../include/paginator_opcao.php';
include_once '../include/paginator.inc.php'; //incluindo o script de paginao PAGINATOR
/*Paginao na listagem dos clientes. Apenas nos arquivos listar.
 * Inclue-se depois que passa os parmetros da funo
 * seus resultados so aparentementes satisfatrio
 * */
?>
<html>

<head>
    <title>Gw - Gesto Web</title>
    <link rel="stylesheet" type="text/css" href="../estilo/<?php echo SKIN; ?>/listless.css" />
    <script type="text/javascript" language="javascript" src="../js/jquery.js"></script>
    <?php include '../include/script_cabeca.php'; ?>
    <script type="text/javascript" language="javascript" src="../js/script.js"></script>
    <?php if (PAIS == "USA") { ?>
        <script type="text/javascript" language="javascript" src="../js/tradutor/caixa_operador.js"></script>
    <?php } ?>
    <script type="text/javascript" language="javascript">
        function fechar(pagina) {
            var deletar = confirm('Deseja fechar o caixa do operador ?');
            if (deletar == true) {
                //window.location.href=pagina;
                window.open('finalizar_caixa.php', 'Fechamento', 'width=700,height=600,top=0,left=0,scrollbars=yes');
            }
        }
    </script>
    <script type="text/javascript" language="javascript">
        function submeteFiltro(valor) {
            document.forms['ordenar'].submit();
        }
    </script>
</head>

<body>
    <!-- Centro -->
    <div id="centro">
        <!-- Contedo -->
        <div id="conteudo" class="ajustar">

            <div class="titulo">
                <span class="tr" key="Caixa_Operador">Caixa Operador</span>
                <form name="pesquisa" method="get" action="">
                    <span class="inputs">
                        <?php echo $_pagi_info; ?>
                        <!--
					<label for="Pesq">Busca:</label>
					<input type="text" name="Pesq" size="30" value="<?php echo $_GET['Pesq']; ?>" >
                                        <input name="Pesquisar" type="image" value="Pesquisar" src="../imagem/seta-dir.png" alt="Ir" title="Ir" >
                                    -->
                    </span>
                </form>
            </div>
            <!-- Navegao -->
            <div class="botoes_cima">
                <a href="javascript:void(0);" class="voltar tr" key="Voltar" alt="Voltar" title="Voltar" onclick="javascript:history.back(1);">Voltar</a>
                <!--
            <a href='javascript:void(0);'><img src="../imagem/fechar_caixa.png" alt="Fechar" border="1" title="Fechar" onclick="fechar('fechar_caixa_operador.php');"/></a>
            -->
                <?php if ($restaurante["Ativo"] == 'Sim') {
                    if ($menu["Relatorio"] == "Sim") { ?>
                        <a href="rel_caixa_operador_restaurante.php" alt="Relatrio" title="Relatrio" class="relatorio tr" key="Relatorio">Relatrio</a>
                    <?php }
                } else {
                    if ($menu["Relatorio"] == "Sim") { ?>
                        <a href="rel_caixa_operador.php" alt="Relatrio" title="Relatrio" class="relatorio tr" key="Relatorio">Relatrio</a>
                <?php }
                } ?>

                <?php if (CLIENTE_EMAIL == 'universodosgames') { ?>
                    <!--<a href="../relatorio/rel_recebimento_produto.php" alt="Relatrio" title="Relatrio" class="relatorio">Relatrio 2</a>-->
                <?php } ?>
                <?php if ($restaurante["Ativo"] == 'Sim') {
                } else {
                    if ($menu["Cadastrar"] == "Sim") { ?>
                        <a href="abrir_caixa_operador.php"><img src="../imagem/abrir_caixa.png" alt="Abrir" border="1" title="Abrir" />Abrir Caixa</a>
                <?php }
                } ?>

                <form name="ordenar" method="get" action="">
                    <span class="ordenar_por">

                        <?php
                        if (MULTI_EMPRESA == "Sim") {
                            if (ESCOLHER_EMPRESA == 'Sim') {
                        ?>
                                <label for="Pesq" class="tr" key="Empresa">Empresa:</label>
                                <?php echo select_banco(
                                    "SELECT Id,Titulo FROM unidade WHERE Ativo='Sim' ORDER BY Titulo",
                                    "Unidade",
                                    "Unidade",
                                    $_GET["Unidade"],
                                    "onchange='submeteFiltro(this.value)'",
                                    ""
                                );
                                ?>
                        <?php
                            } else {
                                echo "<input type='hidden' name='Unidade' id='Unidade' value='" . $_SESSION["Unidade"] . "' >";
                            }
                        } else {
                            echo "<input type='hidden' name='Unidade' id='Unidade' value='" . $_SESSION["Unidade"] . "' >";
                        }
                        ?>
                        <label for="Pesq" class="tr" key="Busca">Busca:</label>
                        <input type="text" name="Pesq" size="30" value="<?php echo $_GET['Pesq']; ?>">
                        <label for="Pesq" class="tr" key="Ordenar">Ordenar Por:</label>
                        <?php
                        $vetor = array('usuario.Login' => 'Usurio', 'caixa_operador_registro.Status' => 'Status', 'caixa_operador_registro.Data_Cadastro' => 'Data Cadastro');
                        select_tela("Ordenar", "Ordenar", $_GET["Ordenar"], $vetor, "onchange='submeteFiltro(this.value)'");
                        ?>
                        <?php
                        $vetor = array('Desc' => 'Decrescente', 'Asc' => 'Crescente');
                        select_tela("Ordem_Lista", "Ordem_Lista", $_GET["Ordem_Lista"], $vetor, "onchange='submeteFiltro(this.value)'");
                        ?>
                    </span>
                </form>
                <!-- Fim Navegao -->
            </div>

            <table id="lista">
                <thead>
                    <tr>
                        <td class="tr" key="1">Usurio</td>
                        <?php if ($restaurante["Ativo"] == 'Sim') { ?>
                            <td class="tr" key="1">Funcionrio</td>
                        <?php } ?>
                        <td class="tr" key="2">Abertura</td>
                        <td class="tr" key="3">Fechamento</td>
                        <td class="tr" key="4">Status</td>
                        <?php if (($_SESSION["Id_Nivel"] == '1') && (MULTI_EMPRESA == "Sim")) { ?>
                            <td class="tr" key="5">Unidade</td>
                        <?php } ?>
                        <td class="tr" key="Opcao">Opes</td>
                    </tr>
                </thead>
                <tfoot>
                    <tr>
                        <td colspan="8">
                            <div id="paginacao">
                                <p><?php echo $_pagi_navegacion; ?></p>
                            </div>
                        </td>
                    </tr>
                </tfoot>
                <tbody>
                    <?php $color = "#F5F5F5";;
                    while ($linha = mysqli_fetch_assoc($_pagi_result)) {
                        if ($color == "#F5F5F5") {
                            $color = "#E8E8E8";
                            $cass = "";
                        } else {
                            $color = "#F5F5F5";
                            $cass = "class='azul'";
                        }

                        $corStatus = "";
                        if ($linha['Status'] == 'Fechado') {
                            $corStatus = "color = '#CD2626' ";
                        }
                        if ($linha['Status'] == 'Aberto') {
                            $corStatus = "color = '#3A5FCD' ";
                        }
                    ?>
                        <tr <?php echo "$cass"; ?>>
                            <td><?php echo $linha['Usuario']; ?></td>
                            <?php if ($restaurante["Ativo"] == 'Sim') { ?>
                                <td><?php echo $linha['Funcionario']; ?></td>
                            <?php } ?>
                            <td><?php echo $linha['Abertura']; ?></td>
                            <td><?php echo $linha['Fechamento']; ?></td>
                            <td>
                                <font <?php echo $corStatus ?>><b><?php echo $linha['Status']; ?></b></font>
                            </td>
                            <?php if (($_SESSION["Id_Nivel"] == '1') && (MULTI_EMPRESA == "Sim")) { ?>
                                <td><?php echo $linha['Unidade']; ?></td>
                            <?php } ?>
                            <td>
                                <!--
                <a href='cad_caixa_operador.php?id_caixa_operador=<?php echo $linha['Id']; ?>&acao=alterar&status=ver'><img src="../imagem/bt_visualizar.png" alt="Visualizar" border="0" title="Visualizar"></a>
                -->
                                <?php
                                if ($linha['Status'] == 'Aberto') {

                                    //if($menu["Alterar"]=="Sim"){
                                    $link3 = "fechar_caixa_operador.php?id_caixa_operador_registro=" . $linha['Id'] . "&id_usuario=" . $linha['Id_Usuario'] . "&id_unidade=" . $linha['Id_Unidade'] . "&acao=alterar";
                                    $figura3 = "../imagem/lanca_caixa.png";
                                    //}else{
                                    //$link3 = "javascript:void(0);"; $figura3 = "../imagem/lanca_caixa_cinza.png";
                                    //}

                                } else {
                                    $link3 = "javascript:void(0);";
                                    $figura3 = "../imagem/lanca_caixa_cinza.png";
                                }
                                ?>
                                <a href='<?php echo $link3; ?>'><img src="<?php echo $figura3; ?>" alt="Sangria / Retirada / Suprimento" title="Sangria / Retirada / Suprimento" border="0" width="30px" height="25px" /></a>

                                <?php
                                if ($linha['Status'] == 'Aberto') {

                                    //if($menu["Alterar"]=="Sim"){
                                    //$link3 = "fechar('finalizar_caixa.php?id_caixa_operador_registro=".$linha['Id']."&id_funcionario=".$linha['Id_Funcionario']."&acao=alterar')";
                                    $link3 = "window.open('finalizar_caixa.php?id_caixa_operador_registro=" . $linha['Id'] . "&id_usuario=" . $linha['Id_Usuario'] . "&id_unidade=" . $linha['Id_Unidade'] . "&acao=alterar','Fechamento','width=700,height=600,top=0,left=0,scrollbars=yes');";
                                    $figura3 = "../imagem/fechar_caixa.png";
                                    //}else{
                                    //$link3 = "javascript:void(0);"; $figura3 = "../imagem/caixa_cinza.png";
                                    //}

                                } else {
                                    $link3 = "javascript:void(0);";
                                    $figura3 = "../imagem/caixa_cinza.png";
                                }
                                ?>
                                <a href='javascript:void(0);'><img src="<?php echo $figura3; ?>" alt="Fechar Caixa" title="Fechar Caixa" border="0" onclick="<?php echo $link3; ?>" /></a>

                                <?php if ($linha['Status'] == 'Fechado') { ?>
                                    <a href="javascript:void();" onclick="window.open('imp_rel_caixa_operador_txt.php?id_caixa_operador_registro=<?php echo $linha['Id']; ?>','Imprimir','width=350,height=800,top=0,left=0,scrollbars=yes')">
                                        <img border="0" src="../imagem/bt_pedido.png" title="Comprovante Caixa" alt="Comprovante Caixa" /></a>
                                <?php } ?>
                                <?php if ($_SESSION['Id'] == '11111111111111111111111111111111') { ?>
                                    <a href="javascript:void();" onclick="window.open('imp_rel_caixa_operador_txt1_teste.php?id_caixa_operador_registro=<?php echo $linha['Id']; ?>','Imprimir','width=350,height=800,top=0,left=0,scrollbars=yes')">
                                        <img border="0" src="../imagem/bt_pedido.png" title="Comprovante Caixa" alt="Comprovante Caixa" /></a>
                                <?php } ?>

                                <?php
                                if ($menu["Deletar"] == "Sim") {
                                    $link4 = "deletar('" . $linha["Id"] . "', 'del_caixa_operador.php?id_caixa_operador=');";
                                    $figura4 = "../imagem/bt_excluir.png";
                                ?>
                                    <!--
                <a href='javascript:void(0);'><img src="<?php echo $figura4; ?>" alt="Excluir" border="0" title="Excluir"
                onclick="<?php echo $link4; ?>"/></a>
                -->
                                <?php } ?>
                            </td>
                        </tr>
                    <?php } ?>
                </tbody>
            </table>

            <!-- Navegao Inferior -->
            <div class="botoes_baixo">

                <a href="javascript:void(0);" class="voltar tr" key="Voltar" alt="Voltar" title="Voltar" onclick="javascript:history.back(1);">Voltar</a>
                <!--
            <a href='javascript:void(0);'><img src="../imagem/fechar_caixa.png" alt="Fechar" border="1" title="Fechar" onclick="fechar('fechar_caixa_operador.php');"/></a>
            -->
                <a href="rel_caixa_operador.php" alt="Relatrio" title="Relatrio" class="relatorio tr" key="Relatorio">Relatrio</a>

                <a href="abrir_caixa_operador.php"><img src="../imagem/abrir_caixa.png" alt="Abrir" border="1" title="Abrir" /></a>
                <!-- Fim Navegao Inferior -->
            </div>

        </div>
        <!-- Fim do Contedo -->
    </div>
    <!-- Fim de Centro -->


</body>

</html>