<?php
include_once '../include/conecta.php'; //Conecta com a nosso banco de dados MySQL
include_once '../include/ver_sessao.php'; //Verifica se a sesso est ativa
include_once '../include/funcoesPhp.php'; //Inclue a pgina con todas as funes a ser usada.
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
    <head>
        <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1" />
        <link rel="shortcut icon" href="imagem/favi_gw.ico" type="image/x-icon" />
        <title>Gw - Gesto Web</title>
        <?php
        if ($_GET["tipo"] == 'Medicao') {
            $cor_fonte = "#FF4500";
        }
        if ($_GET["tipo"] == 'Instalacao') {
            $cor_fonte = "#008000";
        }
        if ($_GET["tipo"] == 'Reparo') {
            $cor_fonte = "#008AB3";
        }
        ?>
        <style>
            .tabelamesagenda{}
            .tabelamesagenda thead tr td{text-align: center;font-size: 15px;padding: 10px 0;background: #F5F5F5;border: 1px solid #E7E7E7;color: #444;}
            .tabelamesagenda tbody tr td{font-size: 15px;padding: 10px;background: #FFF;border: 1px solid #DBDBDB;color: <?php echo $cor_fonte; ?>;font-weight: bold;}
            .tabelamesagenda tbody tr td:hover{background: <?php echo $cor_fonte; ?>;color:#FFF;}
            .tabelamesagenda tbody tr td.semconteudo,.tabelamesagenda tbody tr td.semconteudo:hover{border: 0;background: none;cursor:auto;}

            .tabelamesagenda tbody tr td span.numerotexto{
                font-weight: normal;
                display: block;
                border-top: 1px solid #000;
            }

            .btn-controlemes{font-size: 15px!important;padding: 10px!important;background: #EBEBEB!important;color: #47565A!important;cursor: pointer!important;}
            .btn-controlemes:hover{background: #DBDBDB!important;}
            a:link, a:visited, a:active,a:hover {text-decoration: none; }
        </style>
        <!--
        <link href="estilo.css" rel="stylesheet" type="text/css" />
        -->
        <script type="text/javascript" language="javascript" src="../js/jquery.js"></script>
        <script type="text/javascript" src="agenda.js"></script>
        <script language="javascript" type="text/javascript">
            function deletar(codigo, pagina, tipo) {
                var deletar = confirm('Delete Schedule?');
                if (deletar == true) {
                    window.location.href = pagina + codigo + "&tipo=" + tipo;
                }
            }
        </script>
    </head>
    <body>
        <?php
        if ($_GET["ano"]) {
            $ano = $_GET["ano"];
        } else {
            $ano = date("Y");
        }
        if ($_GET["mes"]) {
            $mes = $_GET["mes"];
        } else {
            $mes = date("m");
        }
        $cont = 0;
        $dia = date("d");
        $dias = array();


        /*
          $ano = 2013;
          $mes = 31;
          $dia = 31;
         */

        $totalDias = date("t", mktime(0, 0, 0, $mes, 1, $ano));
        $primeiroDia = date("D", mktime(0, 0, 0, $mes, 1, $ano));

        for ($d = 0; $d < $totalDias; $d++) {
            $dias[$d] = array_push($dias, $d + 1);
        }

        switch ($primeiroDia) {
            case "Sun":
                $pos = 0;
                break;

            case "Mon":
                $pos = 1;
                break;

            case "Tue":
                $pos = 2;
                break;

            case "Wed":
                $pos = 3;
                break;

            case "Thu":
                $pos = 4;
                break;

            case "Fri":
                $pos = 5;
                break;

            case "Sat":
                $pos = 6;
                break;
        }

        switch ($mes) {
            case 1:
                $mes2 = "January";
                break;

            case 2:
                $mes2 = "February";
                break;

            case 3:
                $mes2 = "March";
                break;

            case 4:
                $mes2 = "April";
                break;

            case 5:
                $mes2 = "May";
                break;

            case 6:
                $mes2 = "June";
                break;

            case 7:
                $mes2 = "July";
                break;

            case 8:
                $mes2 = "August";
                break;

            case 9:
                $mes2 = "September";
                break;

            case 10:
                $mes2 = "October";
                break;

            case 11:
                $mes2 = "November";
                break;

            case 12:
                $mes2 = "December";
                break;
        }

        $mesanterior = 1;
        $anoapresentado = $ano;
        $mesproximo = 1;
        $anoapresentadoproximo = $ano;
        if ($mes == 1) {
            $mesanterior = 12;
            $anoapresentado = $ano - 1;
        } else {
            $mesanterior = $mes - 1;
        }
        if ($mes == 12) {
            $mesproximo = 1;
            $anoapresentadoproximo = $ano + 1;
        } else {
            $mesproximo = $mes + 1;
        }
        ?>
        <table cellpading="0" cellspacing="0" border="0" class="tabelamesagenda" style="width:100%;">
            <thead>
                <tr>
                    <td class="btn-controlemes" onclick="agendamudames('<?php echo $mesanterior; ?>', '<?php echo $anoapresentado; ?>', '<?php echo $_GET["tipo"]; ?>')">Previous Month</td>
                    <td colspan="5">
                        <b><?php echo $mes2; ?> de <?php echo $ano; ?></b>
                        &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
                        <a href="imp_agenda.php?ano=<?php echo $ano; ?>&mes=<?php echo $mes; ?>&tipo=<?php echo $_GET["tipo"]; ?>" target="_blank">
                            <img src="../imagem/imprimirG.png" border="0" alt="Imprimir" title="Imprimir" width="25px" height="25px"/>
                        </a>
                    </td>
                    <td class="btn-controlemes" onclick="agendamudames('<?php echo $mesproximo; ?>', '<?php echo $anoapresentadoproximo; ?>', '<?php echo $_GET["tipo"]; ?>')">Next Month</td>
                </tr>
                <tr>
                    <td width="10%"><b>Sunday</b></td>
                    <td width="15%"><b>Monday</b></td>
                    <td width="15%"><b>Tuesday</b></td>
                    <td width="15%"><b>Wednesday</b></td>
                    <td width="15%"><b>Thursday</b></td>
                    <td width="15%"><b>Friday</b></td>
                    <td width="15%"><b>Saturday</b></td>
                </tr>
            </thead>
            <tbody>
                <?php
                for ($linha = 0; $linha < 6; $linha++) {
                    echo "<tr>";
                    for ($coluna = 0; $coluna < 7; $coluna++) {
                        $pos2 = $cont - $pos;

                        if (empty($dias[$pos2])) {
                            echo '<td class="semconteudo"></td>';
                        } else {
                            /*
                              if($dias[$pos2] == $dia){
                              print_r ('<td onClick="agendadia(\''.$dias[$pos2].'\',\''.$mes2.'\',\''.$ano.'\')">'.$dias[$pos2].'<span class="numerotexto">1 Assunto</span></td>');
                              }else{
                              print_r ('<td onClick="agendadia(\''.$dias[$pos2].'\',\''.$mes2.'\',\''.$ano.'\')">'.$dias[$pos2].'<span class="numerotexto">1 Assunto</span></td>');
                              }
                             *
                             */

                            echo '<td style="vertical-align: top;">' . $dias[$pos2] . ' - ';
                            ?>
                            <a href="javascript:void();" title="Add Schedule" alt="Add Schedule"
                               onclick="agendadia('<?php echo $dias[$pos2]; ?>', '<?php echo $mes2; ?>', '<?php echo $ano; ?>', '<?php echo $_GET["tipo"]; ?>')">
                                <font color="#000000"><b>ADD</b></font></a>
                            <br/>
                            <?php
                            $sql_agend = mysqli_query($con,"Select agenda_calendario.Id,
                            agenda_calendario.Hora,
                            agenda_calendario.Concluido,
                            agenda_calendario.Producao,
                            agenda_calendario.Id_Unidade,
                            agenda_calendario.Cliente as Cliente_Medicao,
                            area.Titulo as Area,
                            cliente.Titulo as Cliente
                            FROM agenda_calendario
                            LEFT JOIN (SELECT Id,Id_Cliente,Id_Unidade FROM venda) as venda ON venda.Id = agenda_calendario.Id_Venda
                            LEFT JOIN (SELECT Id,Titulo FROM area) as area ON area.Id = agenda_calendario.Id_Area
                            LEFT JOIN (SELECT Id,Titulo FROM cliente) as cliente ON cliente.Id = venda.Id_Cliente
                            WHERE agenda_calendario.Dia = '" . $dias[$pos2] . "'
                            AND agenda_calendario.Mes_Extenso = '" . $mes2 . "'
                            AND agenda_calendario.Ano = '" . $ano . "'
                            AND agenda_calendario.Tipo = '" . $_GET["tipo"] . "'
                            ORDER BY agenda_calendario.Hora");

                            $z = 1;
                            while ($agenda = mysqli_fetch_assoc($sql_agend)) {
                                ?>
                                <span class="numerotexto">


                                    <?php
                                    $stulo = '';
                                    if ($agenda["Producao"] == 'Sim') {
                                        $stulo .= "font-weight: bold; font-style: italic; font-size:16px; color: #ff00e9;";
                                    } else {
                                        $stulo .= "";
                                    }
                                    if ($agenda["Concluido"] == 'Sim') {
                                        $stulo .= "text-decoration: line-through;";
                                        $link = "";
                                    } else {
                                        $stulo .= "";
                                        $link = "";
                                    }
                                    $link = "window.open('cad_agenda.php?id_agenda=" . $agenda['Id'] . "&acao=alterar&tipo=" . $_GET["tipo"] . "','Alterar','width=700,height=600,top=0,left=0,scrollbars=yes')";

                                    /*
                                      $mystring = strtolower($agenda["Unidade"]);
                                      $findme = "foley";

                                      $posicao = strpos($mystring, $findme);
                                     */

                                    if ($agenda["Id_Unidade"] == 3) {
                                        $agenda["Unidade"] = "Foley";
                                        $fonte = "#0000FF";
                                    } else {
                                        $agenda["Unidade"] = "Elberta";
                                        $fonte = "#00000";
                                    }

                                    if ($agenda["Cliente_Medicao"] != '') {
                                        $agenda["Cliente"] = $agenda["Cliente_Medicao"];
                                    }
                                    ?>

                                    <a href="javascript:void();" title="Alterar <?php echo $z; ?>" alt="Alterar <?php echo $z; ?>"
                                       onclick="<?php echo $link; ?>">

                                        <font color="<?php echo $fonte; ?>" style="<?php echo $stulo; ?>" >
                                            <?php
                                            echo $z . ') ' . $agenda["Hora"] . ' ' . $agenda["Cliente"] . '<br/>';
                                            echo $agenda["Area"] . '<br/>';
                                            echo "<span style='font-size:14px;'>" . $agenda["Unidade"] . "</span>";
                                            ?>
                                        </font>
                                    </a>
                                    <br>

                                        <?php if ($agenda["Concluido"] == 'No') { ?>
                                            <a href='javascript:void(0);' onclick="deletar('<?php echo $agenda["Id"]; ?>', 'del_agenda.php?id_agenda=', '<?php echo $_GET["tipo"]; ?>');">
                                                <font color="RED"><b>Delete Schedule <?php echo $z; ?></b></font>
                                            </a>
                                        <?php } ?>

                                </span>

                                <?php
                                $z++;
                            }

                            echo '</td>';
                        }

                        $cont++;
                    }
                    echo '</tr>';
                }
                ?>
            </tbody></table>
    </body>
</html>