<?php
include_once '../include/conecta.php'; //Conecta com a nosso banco de dados MySQL
include_once '../include/ver_sessao.php'; //Verifica se a sesso est ativa
include_once '../include/funcoesPhp.php';
include_once '../menu_movimento.php';

?>
<?php
/*CRIANDO O ID DO CLIENTE*/
if ($_POST["Codigo_Cliente"] == "") {
    $_POST["Codigo_Cliente"] = md5($_SESSION['Id'] . microtime());
}

if ($_SERVER['REQUEST_METHOD'] == "POST") {

    if ($_POST["Natureza"] == "PF") {
        $Cpf_Cnpj = $_POST["Cpf"];
        if ($_POST["Razao_Social"] == '') {
            $_POST["Razao_Social"] = $_POST["Titulo"];
        }
    } else {
        $Cpf_Cnpj = $_POST["Cnpj"];
    }

    if (!empty($_POST["Email"])) {
        $_POST["Email"] = tratamento_email($_POST["Email"]);
        $verify_email = verifica_email($_POST["Email"]);
    }
    if (!empty($_POST["Email2"])) {
        $_POST["Email2"] = tratamento_email($_POST["Email2"]);
        $verify_email2 = verifica_email($_POST["Email2"]);
    }

    if (VENDER_APENAS_CARTEIRA_CLIENTE == 'Sim') {
        if ($_POST["Vendedor1"]) {
            $valid_vend = TRUE;
        } else {
            $valid_vend = FALSE;
        }
    } else {
        $valid_vend = TRUE;
    }
    
    if ($_POST["Consumidor_Final"]) {
        $_POST["Consumidor_Final"] = 'Sim';
    } else {
        $_POST["Consumidor_Final"] = 'No';
    }

    if ($_POST["Problema_Cliente"]) {
        $_POST["Problema_Cliente"] = 'Sim';
    } else {
        $_POST["Problema_Cliente"] = 'No';
    }

    if ($_POST["Nao_Contribuinte_Icms"]) {
        $_POST["Nao_Contribuinte_Icms"] = 'Sim';
    } else {
        $_POST["Nao_Contribuinte_Icms"] = 'No';
    }

    //validando a inscricao para clientes CONTRIBUINTES
    if ($_POST["Nao_Contribuinte_Icms"] == 'Sim') {
        $inscricao = TRUE;
    } else {
        if ($_POST["Natureza"] == "PF" || $_POST["Estado"] == 'EX') {
            $inscricao = TRUE;
        } else {
            if ($_POST["Estadual"]) {
                $inscricao = TRUE;
            } else {
                $inscricao = FALSE;
            }
        }
    }

    $area = TRUE;
    $portador = TRUE;
    $atividade = TRUE;
    $centro_custo = TRUE;
    if (CLIENTE_EMAIL == 'gardenquimica' || CLIENTE_EMAIL == 'testegarden' || CLIENTE_EMAIL == 'igq') {
        if ($_POST["Portador"] != '') {
            $portador = TRUE;
        } else {
            $portador = FALSE;
        }

        if ($_POST["Atividade"] != '') {
            $atividade = TRUE;
        } else {
            $atividade = FALSE;
        }

        if ($_POST["Centro_Custo"] != '') {
            $centro_custo = TRUE;
        } else {
            $centro_custo = FALSE;
        }

        if ($_POST["Area"] != '') {
            $area = TRUE;
        } else {
            $area = FALSE;
        }
    }


    if (
        (
            (isset($_POST["Codigo"])) && ($_POST["Titulo"]) && ($_POST["Fone1"]) && (CNPJ_CLIENTE == 'No')
            && ($_POST["Funcionario"]) && ($verify_email !== false) && ($verify_email2 !== false)
            && ($valid_vend == TRUE) && ($portador == TRUE) && ($atividade == TRUE) && ($centro_custo == TRUE) && ($area == TRUE)
        )
        or
        (
            (isset($_POST["Codigo"])) && ($_POST["Titulo"]) && ($_POST["Fone1"])
            && (CNPJ_CLIENTE == 'Sim') && ($Cpf_Cnpj) && ($_POST["Funcionario"])
            && ($verify_email !== false) && ($verify_email2 !== false) && ($valid_vend == TRUE)
            && ($_POST["Razao_Social"]) && ($_POST["Cep"])
            && ($_POST["Rua"]) && ($_POST["Numero"])
            && ($_POST["Bairro"]) && ($_POST["Cidade"])
            && ($_POST["Estado"]) && ($inscricao == TRUE)
            && ($_POST["Pais"]) && ($_POST["Codigo_Pais"])
            && ($portador == TRUE) && ($atividade == TRUE) && ($centro_custo == TRUE) && ($area == TRUE)
        )
    ) {


        //buscando o nome da cidade
        $cidade = mysqli_query($con, "Select Id,Titulo,Codigo from cidade_ibge WHERE Codigo='" . $_POST["Cidade"] . "'");
        $cidade = mysqli_fetch_assoc($cidade);
        $id_cidade = $cidade["Id"];
        $nome_cidade = $cidade["Titulo"];
        $codigo_cidade = $cidade["Codigo"];

        $cidade_ent = mysqli_query($con, "Select Titulo from cidade_ibge WHERE Id='" . $_POST["Cidade_Entrega"] . "'");
        $cidade_ent = mysqli_fetch_assoc($cidade_ent);
        $nome_cidade_ent = $cidade_ent["Titulo"];

        $nome_cidade_cob = mysqli_query($con, "Select Titulo from cidade_ibge WHERE Id='" . $_POST["Cidade_Cobranca"] . "'");
        $nome_cidade_cob = mysqli_fetch_assoc($nome_cidade_cob);
        $nome_cidade_cob = $cidade_cob["Titulo"];


        if ($_POST["Radio_Endereco_Entrega"] == 'Sim') {
            $_POST["Endereco_Entrega"] = limpaNome($_POST["Rua"]) . ", " . limpaNome($_POST["Numero"]);
            $_POST["Cep_Entrega"] = $_POST["Cep"];
            $_POST["Bairro_Entrega"] = $_POST["Bairro"];
            $nome_cidade_ent = $nome_cidade;
            $_POST["Estado_Entrega"] = $_POST["Estado"];
            $_POST["Cidade_Entrega"] = $_POST["Cidade"];
        }

        if ($_POST["Radio_Endereco_Cobranca"] == 'Sim') {
            $_POST["Endereco_Cobranca"] = limpaNome($_POST["Rua"]) . ", " . limpaNome($_POST["Numero"]);
            $_POST["Cep_Cobranca"] = $_POST["Cep"];
            $_POST["Bairro_Cobranca"] = $_POST["Bairro"];
            $nome_cidade_cob = $nome_cidade;
            $_POST["Estado_Cobranca"] = $_POST["Estado"];
            $_POST["Cidade_Cobranca"] = $_POST["Cidade"];
        }

        $_POST['Desconto'] = str_replace('.', '', $_POST['Desconto']);
        $_POST['Desconto'] = str_replace(',', '.', $_POST['Desconto']);

        $_POST['Contrato'] = str_replace('.', '', $_POST['Contrato']);
        $_POST['Contrato'] = str_replace(',', '.', $_POST['Contrato']);

        $_POST['Mensalidade'] = str_replace('.', '', $_POST['Mensalidade']);
        $_POST['Mensalidade'] = str_replace(',', '.', $_POST['Mensalidade']);

        $_POST['Limite_Credito'] = str_replace('.', '', $_POST['Limite_Credito']);
        $_POST['Limite_Credito'] = str_replace(',', '.', $_POST['Limite_Credito']);

        $_POST['Saldo_Credito'] = str_replace('.', '', $_POST['Saldo_Credito']);
        $_POST['Saldo_Credito'] = str_replace(',', '.', $_POST['Saldo_Credito']);

        $_POST['Comissao1'] = str_replace('.', '', $_POST['Comissao1']);
        $_POST['Comissao1'] = str_replace(',', '.', $_POST['Comissao1']);

        $_POST['Comissao2'] = str_replace('.', '', $_POST['Comissao2']);
        $_POST['Comissao2'] = str_replace(',', '.', $_POST['Comissao2']);

        $_POST['Qtd_Dependentes'] = str_replace('.', '', $_POST['Qtd_Dependentes']);
        $_POST['Qtd_Dependentes'] = str_replace(',', '.', $_POST['Qtd_Dependentes']);


        if ($_POST["Aniversario"]) {
            $_POST["Aniversario"] = $_POST["Aniversario"] . '/0000';
        } else {
            $_POST["Aniversario"] = '00/00/0000';
        }

        if ($_POST["Senha_Site"] == '') {
            $_POST["Senha_Site"] = substr($_POST["Codigo_Cliente"], 0, 4);
        }


        /* limpando o telefone, cep e cnpj/cpf */
        $_POST["Cep"] = CaracteresEspeciais($_POST["Cep"], "Sim");
        $Cpf_Cnpj = CaracteresEspeciais($Cpf_Cnpj, "Sim");
        //$_POST["Fone1"] = CaracteresEspeciais($_POST["Fone1"],"Sim");
        //$_POST["Fone2"] = CaracteresEspeciais($_POST["Fone2"],"Sim");
        //$_POST["Fone3"] = CaracteresEspeciais($_POST["Fone3"],"Sim");
        //$_POST["Fax"] = CaracteresEspeciais($_POST["Fax"],"Sim");

        $qtdCodigo = strlen($_POST["Codigo_Pais"]);
        if ($qtdCodigo == '5') {
            $_POST["Codigo_Pais"] = substr($_POST["Codigo_Pais"], 1);
        }

        if ($_POST["Exibir_Contrato"]) {
            $_POST["Exibir_Contrato"] = 'Sim';
        } else {
            $_POST["Exibir_Contrato"] = 'No';
        }


        if ($_POST["Ipi"]) {
            $_POST["Ipi"] = 'Sim';
        } else {
            $_POST["Ipi"] = 'No';
        }

        if ($_POST["Regime"]) {
            $_POST["Regime"] = 'S';
        } else {
            $_POST["Regime"] = 'N';
        }

        if (RESTAURANTE == 'Sim') {
            $operacaoPresencial = $_POST["Op_Presencial_Fora_Estabelecimento"] ? 'Sim' : 'No';
        }


        if (CLIENTE_EMAIL == 'spw' || CLIENTE_EMAIL == 'gw') {
            if ($_POST["Inadimplente"]) {
                $_POST["Inadimplente"] = 'Sim';
            } else {
                $_POST["Inadimplente"] = 'No';
            }
        }

        if ($_POST["Prazo_Pagamento"]) {
            $_POST["Prazo_Pagamento"] = 'Sim';
        } else {
            $_POST["Prazo_Pagamento"] = 'No';
        }

        if ($_POST["Dependentes"]) {
            $_POST["Dependentes"] = 'Sim';
        } else {
            $_POST["Dependentes"] = 'No';
        }

        if ($_POST["Cliente_FCP"]) {
            $_POST["Cliente_FCP"] = 'Sim';
        } else {
            $_POST["Cliente_FCP"] = 'No';
        }


        if (($_POST["Rua"]) && ($_POST["Latitude"] == '') && ($_POST["Longitude"] == '')) {
            include "geolocalizacao.php";
        }

        if (($_POST["Limite_Credito_Anterior"] != $_POST["Limite_Credito"]) && (LIMITE_CREDITO == 'Sim')) {
            mysqli_query($con, "UPDATE cliente SET Limite_Credito = '" . ($_POST["Limite_Credito"]) . "',
                    Id_Usuario_Upd_Serasa='" . $_SESSION['Id'] . "',
                    Data_Cadastro_Upd_Serasa = '" . date('Y-m-d H:i:s') . "'
                    WHERE Id = '" . $_POST["Codigo_Cliente"] . "' ");
            logUsuario($_SERVER['REMOTE_ADDR'], $_SESSION['Login'], $_SESSION['Email'], $_SESSION['Unidade'], "Cliente", "Limite Crdito", $_POST["Codigo"]);
        }
        if ((data_banco($_POST["Data_Serasa_Anterior"]) != data_banco($_POST["Data_Serasa"])) && (DATA_SERASA_CLIENTE == 'Sim')) {
            mysqli_query($con, "UPDATE cliente SET Data_Serasa = '" . data_banco($_POST["Data_Serasa"]) . "',
                    Id_Usuario_Upd_Serasa='" . $_SESSION['Id'] . "',
                    Data_Cadastro_Upd_Serasa = '" . date('Y-m-d H:i:s') . "'
                    WHERE Id = '" . $_POST["Codigo_Cliente"] . "' ");
            logUsuario($_SERVER['REMOTE_ADDR'], $_SESSION['Login'], $_SESSION['Email'], $_SESSION['Unidade'], "Cliente", "Data Serasa", $_POST["Codigo"]);
        }

        if ($_POST["Cadastrar"]) {

            //verificando se o produto e manual ou automatico -- tambem esta no cabecalho
            if (CLIENTE_MANUAL == 'No') {

                if ($_GET["acao"] == "entrar") {

                    $busca_codigo = mysqli_query($con, "SELECT Codigo FROM cliente ORDER BY Data_Cadastro DESC LIMIT 1");
                    $busca_codigo = mysqli_fetch_assoc($busca_codigo);
                    $_POST["Codigo"] = ($busca_codigo['Codigo'] + 1);
                } else {
                    $_POST["Codigo"] = $_POST["Codigo"];
                }

                //fim verificacao manual
            }

            $_POST["Codigo"] = str_pad($_POST["Codigo"], 4, "0", STR_PAD_LEFT);

            //verificando se o codigo ja esta em uso
            $sql2 = mysqli_query($con, "SELECT Id FROM cliente
                                    WHERE Codigo='" . trim($_POST['Codigo']) . "' ")
                or die("ERRO no comando SQL:" . mysqli_error($con));

            if (mysqli_num_rows($sql2) == 0) {

                //cnpj obrigatorio
                $cnpj_obg = '0';
                if (CNPJ_CLIENTE == 'Sim') {
                    $sql3 = mysqli_query($con, "SELECT Id FROM cliente WHERE Cpf_Cnpj='" . $Cpf_Cnpj . "' ")
                        or die("ERRO no comando SQL:" . mysqli_error($con));
                    if (mysqli_num_rows($sql3) != 0)
                        $cnpj_obg = '1';
                }
                //validacao do cnpj
                if ($cnpj_obg === '0') {


                    $sql = mysqli_query($con, "SELECT Id FROM cliente
                                    WHERE Titulo='" . limpaNome($_POST['Titulo']) . "'
                                    AND Fone1='" . limpaNome($_POST['Fone1']) . "' ")
                        or die("ERRO no comando SQL:" . mysqli_error($con));

                    if (mysqli_num_rows($sql) == 0) {


                        if ($_FILES['Foto']["name"]) {
                            $codFoto = $_POST["Codigo_Cliente"];
                            include 'recorta_foto.php';
                        }





                        //$codCliente = md5($_POST['Titulo'].microtime());
                        mysqli_query($con, "INSERT INTO cliente (Id,
                                                                Titulo,
                                                                Cpf_Cnpj,
								                                Email,
                                                                Email2,
                                                                Rua,
                                                                Numero,
                                                                Complemento,
                                                                Ponto_Referencia,
                                                                Cep,
								                                Bairro,
                                                                Id_Cidade,
                                                                Codigo_Cidade,
                                                                Endereco,
                                                                Cidade,
                                                                Estado,
								                                Fone1,
                                                                Fone2,
                                                                Fone3,
                                                                Fax,
                                                                Obs,
								                                Natureza,
                                                                Razao_Social,
                                                                Estadual,
								                                Municipal,
                                                                Aniversario,
                                                                Radio_Endereco_Entrega,
                                                                Endereco_Entrega,
                                                                Cep_Entrega,
								                                Bairro_Entrega,
                                                                Cidade_Entrega,
                                                                Id_Cidade_Entrega,
                                                                Estado_Entrega,
                                                                Radio_Endereco_Cobranca,
                                                                Endereco_Cobranca,
                                                                Cep_Cobranca,
								                                Bairro_Cobranca,
                                                                Cidade_Cobranca,
                                                                Id_Cidade_Cobranca,
								                                Estado_Cobranca,
                                                                Id_Categoria_Cliente,
                                                                Id_Categoria_Cliente_Filho,
                                                                Desconto,
                                                                Id_Como_Conheceu,
                                                                Site,
                                                                Prazo_Pagamento,
                                                                Codigo,
                                                                Newsletter,
                                                                Tabela_Preco,
                                                                Tabela_Preco2,
                                                                Tipo_Cliente,
                                                                Ativo,
                                                                Banco,
                                                                Agencia,
                                                                Conta,
                                                                Nome_Titular,
                                                                Contrato,
                                                                Mensalidade,
                                                                Inicio_Contrato,
                                                                Fim_Contrato,
                                                                Exibir_Contrato,
                                                                Ultima_Venda,
                                                                Inadimplente,
                                                                Id_Vendedor1,
                                                                Id_Vendedor2,
                                                                Id_Funcionario,
                                                                Id_Transportadora,
                                                                Matricula,
                                                                Pais,
                                                                Codigo_Pais,
                                                                Senha_Site,
                                                                Id_Area,
                                                                Contato,
                                                                Id_Cfop,
                                                                Obs_Danfe,
                                                                Id_Atividade,
                                                                Id_Centro_Custo,
                                                                Nome_Responsavel,
                                                                Cpf_Responsavel,
                                                                Cargo_Responsavel,
                                                                Endereco_Responsavel,
                                                                Id_Unidade,
                                                                Consumidor_Final,
                                                                Nao_Contribuinte_Icms,
                                                                Suframa,
                                                                Latitude,
                                                                Longitude,
                                                                Comissao1,
                                                                Comissao2,
                                                                Tipo_Indicacao,
                                                                Dependentes,
                                                                Qtd_Dependentes,
                                                                Ipi,
                                                                Frete,
                                                                Iss_Retido,
                                                                Rg,
                                                                Cliente_FCP,
                                                                Foto,
                                                                Foto7,
                                                                Tipo_Plano,
                                                                Regime,
                                                                Id_Regime_Especial,
                                                                Id_Portador,
                                                                Email_Contato,
                                                                Obs_Interna,
                                                                Validade_Anvisa,
                                                                Saldo_Credito,
                                                                Op_Presencial_Fora_Estabelecimento,
                                                                Limite_Credito,
                                                                Problema_Cliente,
                                                                " . $padraoCampos . ")
                                                                values('" . $_POST["Codigo_Cliente"] . "',
                                                                '" . limpaNome(trim($_POST["Titulo"])) . "',
                                                                '" . $Cpf_Cnpj . "',
                                                                '" . trim($_POST["Email"]) . "',
                                                                '" . trim($_POST["Email2"]) . "',
								                                '" . limpaNome($_POST["Rua"]) . "',
                                                                '" . limpaNome($_POST["Numero"]) . "',
                                                                '" . limpaNome($_POST["Complemento"]) . "',
                                                                '" . limpaNome($_POST["Ponto_Referencia"]) . "',
                                                                '" . $_POST["Cep"] . "',
                                                                '" . limpaNome($_POST["Bairro"]) . "',
                                                                '" . $id_cidade . "',
                                                                '" . $codigo_cidade . "',
                                                                '" . limpaNome($_POST["Rua"]) . ", " . limpaNome($_POST["Numero"]) . "',
                                                                '" . limpaNome($nome_cidade) . "',
                                                                '" . $_POST["Estado"] . "',
                                                                '" . trim($_POST["Fone1"]) . "',
                                                                '" . trim($_POST["Fone2"]) . "',
                                                                '" . trim($_POST["Fone3"]) . "',
                                                                '" . trim($_POST["Fax"]) . "',
                                                                '" . limpaNome($_POST["Obs"]) . "',
                                                                '" . $_POST["Natureza"] . "',
                                                                '" . limpaNome($_POST["Razao_Social"]) . "',
                                                                '" . $_POST["Estadual"] . "',
                                                                '" . $_POST["Municipal"] . "',
                                                                '" . data_banco($_POST["Aniversario"]) . "',
                                                                '" . $_POST["Radio_Endereco_Entrega"] . "',
                                                                '" . limpaNome($_POST["Endereco_Entrega"]) . "',
                                                                '" . $_POST["Cep_Entrega"] . "',
                                                                '" . limpaNome($_POST["Bairro_Entrega"]) . "',
                                                                '" . $nome_cidade_ent . "',
                                                                '" . limpaNome($_POST["Cidade_Entrega"]) . "',
                                                                '" . $_POST["Estado_Entrega"] . "',
                                                                '" . $_POST["Radio_Endereco_Cobranca"] . "',
                                                                '" . limpaNome($_POST["Endereco_Cobranca"]) . "',
                                                                '" . $_POST["Cep_Cobranca"] . "',
                                                                '" . limpaNome($_POST["Bairro_Cobranca"]) . "',
                                                                '" . $nome_cidade_cob . "',
                                                                '" . limpaNome($_POST["Cidade_Cobranca"]) . "',
								                                '" . $_POST["Estado_Cobranca"] . "',
                                                                '" . $_POST["Categoria_Cliente"] . "',
                                                                '" . $_POST["Categoria_Cliente_Filho"] . "',
                                                                '" . $_POST["Desconto"] . "',
                                                                '" . $_POST["Como_Conheceu"] . "',
                                                                '" . limpaNome($_POST["Site"]) . "',
                                                                '" . limpaNome($_POST["Prazo_Pagamento"]) . "',
                                                                '" . trim($_POST["Codigo"]) . "',
                                                                '" . $_POST["Newsletter"] . "',
                                                                '" . $_POST["Tabela_Preco"] . "',
                                                                '" . $_POST["Tabela_Preco2"] . "',
                                                                'Cliente',
                                                                '" . limpaNome($_POST["Ativo"]) . "',
                                                                '" . limpaNome($_POST["Banco"]) . "',
                                                                '" . limpaNome($_POST["Agencia"]) . "',
                                                                '" . limpaNome($_POST["Conta"]) . "',
                                                                '" . limpaNome($_POST["Nome_Titular"]) . "',
                                                                '" . $_POST["Contrato"] . "',
                                                                '" . $_POST["Mensalidade"] . "',
                                                                '" . data_banco($_POST["Inicio_Contrato"]) . "',
                                                                '" . data_banco($_POST["Fim_Contrato"]) . "',
                                                                '" . $_POST["Exibir_Contrato"] . "',
                                                                '" . $_POST["Ultima_Venda"] . "',
                                                                '" . $_POST["Inadimplente"] . "',
                                                                '" . $_POST["Vendedor1"] . "',
                                                                '" . $_POST["Vendedor2"] . "',
                                                                '" . $_POST["Funcionario"] . "',
                                                                '" . $_POST["Transportadora"] . "',
                                                                '" . $_POST["Matricula"] . "',
                                                                '" . $_POST["Pais"] . "',
                                                                '" . $_POST["Codigo_Pais"] . "',
                                                                '" . $_POST["Senha_Site"] . "',
                                                                '" . $_POST["Area"] . "',
                                                                '" . $_POST["Contato"] . "',
                                                                '" . $_POST["Cfop"] . "',
                                                                '" . $_POST["Obs_Danfe"] . "',
                                                                '" . $_POST["Atividade"] . "',
                                                                '" . $_POST["Centro_Custo"] . "',
                                                                '" . $_POST["Nome_Responsavel"] . "',
                                                                '" . $_POST["Cpf_Responsavel"] . "',
                                                                '" . $_POST["Cargo_Responsavel"] . "',
                                                                '" . $_POST["Endereco_Responsavel"] . "',
                                                                '" . $_POST["Id_Unidade"] . "',
                                                                '" . $_POST["Consumidor_Final"] . "',
                                                                '" . $_POST["Nao_Contribuinte_Icms"] . "',
                                                                '" . $_POST["Suframa"] . "',
                                                                '" . $latitude . "',
                                                                '" . $longitude . "',
                                                                '" . $_POST["Comissao1"] . "',
                                                                '" . $_POST["Comissao2"] . "',
                                                                '" . $_POST["Tipo_Indicacao"] . "',
                                                                '" . $_POST["Dependentes"] . "',
                                                                '" . $_POST["Qtd_Dependentes"] . "',
                                                                '" . $_POST["Ipi"] . "',
                                                                '" . $_POST["Frete"] . "',
                                                                '" . $_POST["Iss_Retido"] . "',
                                                                '" . $_POST["Rg"] . "',
                                                                '" . $_POST["Cliente_FCP"] . "',
                                                                '" . $nomeDaFoto . "',
                                                                '" . $_POST["Foto7"] . "',
                                                                '" . $_POST["Tipo_Plano"] . "',
                                                                '" . $_POST["Regime"] . "',
                                                                '" . $_POST["Regime_Especial"] . "',
                                                                '" . $_POST["Portador"] . "',
                                                                '" . trim($_POST["Email_Contato2"]) . "',
                                                                '" . limpaNome($_POST["Obs_Interna"]) . "',
                                                                '" . data_banco($_POST["Validade_Anvisa"]) . "',
                                                                '" . $_POST["Saldo_Credito"] . "',
                                                                '" . $operacaoPresencial . "',
                                                                '" . $_POST["Limite_Credito"] . "',
                                                                '" . $_POST["Problema_Cliente"] . "',
                                                                " . $padraoPost . ")")
                            or die("Erro no comando SQL:" . mysqli_error($con));

                        //$msg = 'Cliente cadastrado com sucesso!';
                        $redirecionar = "list_cliente.php";
                        logUsuario($_SERVER['REMOTE_ADDR'], $_SESSION['Login'], $_SESSION['Email'], $_SESSION['Unidade'], "Cliente", "Cadastro", $_POST["Codigo"]);
                    } else {
                        $msg = 'Cliente j cadastrado!';
                    }
                } else {
                    $msg = 'Cnpj j utilizado!';
                }
            } else {
                $msg = 'Cdigo j utilizado!';
            }
        } elseif ($_POST["Alterar"]) {

            $_POST["Codigo"] = str_pad($_POST["Codigo"], 4, "0", STR_PAD_LEFT);

            $codFoto = $_GET["id_cliente"];
            if ($_FILES['Foto']["name"]) {
                include 'recorta_foto.php';
                $logo_banco = " Foto = '" . $nomeDaFoto . "',";
            }

            if (CLIENTE_EMAIL == 'brgeradores') {
                $_POST["Portador"] = 0;
            }

            mysqli_query($con, "UPDATE cliente SET
                                Codigo = '" . limpaNome($_POST["Codigo"]) . "',
                                Titulo = '" . limpaNome(trim($_POST["Titulo"])) . "',
                                Cpf_Cnpj = '" . $Cpf_Cnpj . "',
                                Email = '" . trim($_POST["Email"]) . "',
                                Email2 = '" . trim($_POST["Email2"]) . "',
                                Cep = '" . $_POST["Cep"] . "',
                                Rua= '" . limpaNome($_POST["Rua"]) . "',
                                Numero= '" . limpaNome($_POST["Numero"]) . "',
                                Complemento= '" . limpaNome($_POST["Complemento"]) . "',
                                Ponto_Referencia = '" . limpaNome($_POST["Ponto_Referencia"]) . "',
                                Bairro = '" . limpaNome($_POST["Bairro"]) . "',
                                Id_Cidade = '" . $id_cidade . "',
                                Codigo_Cidade = '" . $codigo_cidade . "',
                                Endereco= '" . limpaNome($_POST["Rua"]) . ", " . limpaNome($_POST["Numero"]) . "',
                                Cidade = '" . limpaNome($nome_cidade) . "',
                                Estado = '" . $_POST["Estado"] . "',
                                Fone1 = '" . trim($_POST["Fone1"]) . "',
                                Fone2 = '" . trim($_POST["Fone2"]) . "',
                                Fone3 = '" . trim($_POST["Fone3"]) . "',
                                Fax = '" . trim($_POST["Fax"]) . "',
                                Obs = '" . limpaNome($_POST["Obs"]) . "',
                                Natureza = '" . $_POST["Natureza"] . "',
                                Razao_Social = '" . limpaNome($_POST["Razao_Social"]) . "',
                                Estadual = '" . $_POST["Estadual"] . "',
                                Municipal = '" . $_POST["Municipal"] . "',
                                Aniversario = '" . data_banco($_POST["Aniversario"]) . "',
                                Radio_Endereco_Entrega = '" . $_POST["Radio_Endereco_Entrega"] . "',
                                Endereco_Entrega = '" . limpaNome($_POST["Endereco_Entrega"]) . "',
                                Cep_Entrega = '" . $_POST["Cep_Entrega"] . "',
                                Bairro_Entrega = '" . limpaNome($_POST["Bairro_Entrega"]) . "',
                                Cidade_Entrega = '" . $nome_cidade_ent . "',
                                Id_Cidade_Entrega = '" . limpaNome($_POST["Cidade_Entrega"]) . "',
                                Estado_Entrega = '" . $_POST["Estado_Entrega"] . "',
                                Radio_Endereco_Cobranca = '" . $_POST["Radio_Endereco_Cobranca"] . "',
                                Endereco_Cobranca = '" . limpaNome($_POST["Endereco_Cobranca"]) . "',
                                Cep_Cobranca = '" . $_POST["Cep_Cobranca"] . "',
                                Bairro_Cobranca = '" . limpaNome($_POST["Bairro_Cobranca"]) . "',
                                Cidade_Cobranca = '" . $nome_cidade_cob . "',
                                Id_Cidade_Cobranca = '" . limpaNome($_POST["Cidade_Cobranca"]) . "',
                                Estado_Cobranca = '" . $_POST["Estado_Cobranca"] . "',
                                Id_Categoria_Cliente = '" . $_POST["Categoria_Cliente"] . "',
                                Id_Categoria_Cliente_Filho = '" . $_POST["Categoria_Cliente_Filho"] . "',
                                Desconto = '" . $_POST["Desconto"] . "',
                                Id_Como_Conheceu = '" . $_POST["Como_Conheceu"] . "',
                                Site = '" . limpaNome($_POST["Site"]) . "',
                                Prazo_Pagamento = '" . limpaNome($_POST["Prazo_Pagamento"]) . "',
                                Newsletter = '" . $_POST["Newsletter"] . "',
                                Tabela_Preco = '" . $_POST["Tabela_Preco"] . "',
                                Tabela_Preco2 = '" . $_POST["Tabela_Preco2"] . "',
                                Ativo = '" . limpaNome($_POST["Ativo"]) . "',
                                Banco = '" . limpaNome($_POST["Banco"]) . "',
                                Agencia = '" . limpaNome($_POST["Agencia"]) . "',
                                Conta = '" . limpaNome($_POST["Conta"]) . "',
                                Nome_Titular = '" . limpaNome($_POST["Nome_Titular"]) . "',
                                Contrato = '" . $_POST["Contrato"] . "',
                                Mensalidade = '" . $_POST["Mensalidade"] . "',
                                Inicio_Contrato = '" . data_banco($_POST["Inicio_Contrato"]) . "',
                                Fim_Contrato = '" . data_banco($_POST["Fim_Contrato"]) . "',
                                Exibir_Contrato = '" . $_POST["Exibir_Contrato"] . "',
                                Ultima_Venda = '" . $_POST["Ultima_Venda"] . "',
                                Inadimplente = '" . $_POST["Inadimplente"] . "',
                                Id_Vendedor1 = '" . $_POST["Vendedor1"] . "',
                                Id_Vendedor2 = '" . $_POST["Vendedor2"] . "',
                                Id_Funcionario = '" . $_POST["Funcionario"] . "',
                                Id_Transportadora = '" . $_POST["Transportadora"] . "',
                                Matricula = '" . $_POST["Matricula"] . "',
                                Pais = '" . $_POST["Pais"] . "',
                                Codigo_Pais = '" . $_POST["Codigo_Pais"] . "',
                                Senha_Site = '" . $_POST["Senha_Site"] . "',
                                Id_Area = '" . $_POST["Area"] . "',
                                Contato = '" . $_POST["Contato"] . "',
                                Id_Cfop = '" . $_POST["Cfop"] . "',
                                Obs_Danfe = '" . $_POST["Obs_Danfe"] . "',
                                Id_Atividade = '" . $_POST["Atividade"] . "',
                                Id_Centro_Custo = '" . $_POST["Centro_Custo"] . "',
                                Nome_Responsavel = '" . $_POST["Nome_Responsavel"] . "',
                                Cpf_Responsavel = '" . $_POST["Cpf_Responsavel"] . "',
                                Cargo_Responsavel = '" . $_POST["Cargo_Responsavel"] . "',
                                Endereco_Responsavel = '" . $_POST["Endereco_Responsavel"] . "',
                                Id_Unidade = '" . $_POST["Unidade"] . "',
                                Consumidor_Final = '" . $_POST["Consumidor_Final"] . "',
                                Nao_Contribuinte_Icms = '" . $_POST["Nao_Contribuinte_Icms"] . "',
                                Suframa = '" . $_POST["Suframa"] . "',
                                Latitude = '" . $latitude . "',
                                Longitude = '" . $longitude . "',
                                Comissao1 = '" . $_POST["Comissao1"] . "',
                                Comissao2 = '" . $_POST["Comissao2"] . "',
                                Tipo_Indicacao = '" . $_POST["Tipo_Indicacao"] . "',
                                Dependentes = '" . $_POST["Dependentes"] . "',
                                Qtd_Dependentes = '" . $_POST["Qtd_Dependentes"] . "',
                                Ipi = '" . $_POST["Ipi"] . "',
                                Frete = '" . $_POST["Frete"] . "',
                                Iss_Retido = '" . $_POST["Iss_Retido"] . "',
                                Rg = '" . $_POST["Rg"] . "',
                                Cliente_FCP = '" . $_POST["Cliente_FCP"] . "',
                                Foto7 = '" . $_POST["Foto7"] . "',
                                Tipo_Plano = '" . $_POST["Tipo_Plano"] . "',
                                Regime = '" . $_POST["Regime"] . "',
                                Id_Regime_Especial = '" . $_POST["Regime_Especial"] . "',
                                Id_Portador = '" . $_POST["Portador"] . "',
                                Email_Contato = '" . trim($_POST["Email_Contato2"]) . "',
                                Obs_Interna = '" . limpaNome($_POST["Obs_Interna"]) . "',
                                Validade_Anvisa = '" . data_banco($_POST["Validade_Anvisa"]) . "',
                                Saldo_Credito = '" . $_POST["Saldo_Credito"] . "',
                                Limite_Credito = '" . $_POST["Limite_Credito"] . "',
                                Problema_Cliente = '" . $_POST["Problema_Cliente"] . "',
                                Op_Presencial_Fora_Estabelecimento = '" . $operacaoPresencial . "',
                                $logo_banco
                                " . $padraoUpd . "
                                WHERE Id='" . $_GET["id_cliente"] . "' ")
                or die("Erro no comando SQL:" . mysqli_error($con));

            //$msg = "Dados do cliente ".strtoupper($_POST["Titulo"])." alterados com Sucesso!!";
            $redirecionar = "list_cliente.php?acao=entrar";
            logUsuario($_SERVER['REMOTE_ADDR'], $_SESSION['Login'], $_SESSION['Email'], $_SESSION['Unidade'], "Cliente", "Alterao", $_POST["Codigo"]);
        }
    } else {
        //alerta de campos obrigatrios
        if (!$_POST["Codigo"]) {
            $obrig .= 'Cdigo, ';
        }
        if (!$_POST["Titulo"]) {
            $obrig .= 'Nome, ';
        }
        if (!$_POST["Fone1"]) {
            $obrig .= 'Telefone 1, ';
        }
        if (CLIENTE_EMAIL == 'unigamesassistencia' || CLIENTE_EMAIL == 'suporte') {
            if (!$_POST["Fone2"]) {
                $obrig .= 'Telefone 2, ';
            }
        }
        if (!$_POST["Funcionario"]) {
            $obrig .= 'Funcionrio, ';
        }
        if ($verify_email === false) {
            $obrig .= 'Email, ';
        }
        if ($verify_email2 === false) {
            $obrig .= 'Email 2, ';
        }
        if ($valid_vend == FALSE) {
            $obrig .= 'Vendedor 1, ';
        }
        if ($portador == FALSE) {
            $obrig .= 'Portador, ';
        }
        if ($atividade == FALSE) {
            $obrig .= 'Atividade Financeira, ';
        }
        if ($centro_custo == FALSE) {
            $obrig .= 'Centro Custo, ';
        }
        if ($area == FALSE) {
            $obrig .= 'Area, ';
        }
        //cnpj obrigatorio
        if (CNPJ_CLIENTE == 'Sim') {
            if (!$Cpf_Cnpj) {
                $obrig .= 'Cnpj ou Cpf, ';
            }
            if (!$_POST["Razao_Social"]) {
                $obrig .= 'Razo Social, ';
            }
            if (!$_POST["Cep"]) {
                $obrig .= 'Cep, ';
            }
            if (!$_POST["Rua"]) {
                $obrig .= 'Rua, ';
            }
            if (!$_POST["Numero"]) {
                $obrig .= 'Nmero, ';
            }
            if (!$_POST["Bairro"]) {
                $obrig .= 'Bairro, ';
            }
            if (!$_POST["Cidade"]) {
                $obrig .= 'Cidade, ';
            }
            if (!$_POST["Estado"]) {
                $obrig .= 'Estado, ';
            }
            if (!$_POST["Pais"]) {
                $obrig .= 'Pais, ';
            }
            if (!$_POST["Codigo_Pais"]) {
                $obrig .= 'Cdigo Pais, ';
            }
            if ($inscricao == FALSE) {
                $obrig .= 'Estadual, ';
            }
        }
        $obrig = substr($obrig, 0, -2);

        $msg = "Faltou Preencher: " . $obrig;
    }
}

if ($_SERVER['REQUEST_METHOD'] == "GET") {
    if ($_GET["acao"] == "alterar") {
        $sql_cliente = mysqli_query($con, "SELECT Titulo,
                            Email,
                            Email2,
                            Cpf_Cnpj,
                            Fone1,
                            Fone2,
                            Fone3,
                            Fax,
                            Rua,
                            Numero,
                            Complemento,
                            Ponto_Referencia,
                            Cep,
                            Bairro,
                            Id_Cidade,
                            Estado,
                            Obs,
                            Natureza,
                            Razao_Social,
                            Estadual,
                            Municipal,
                            Aniversario,
                            Radio_Endereco_Entrega,
                            Endereco_Entrega,
                            Cep_Entrega,
                            Bairro_Entrega,
                            Cidade_Entrega,
                            Id_Cidade_Entrega,
                            Estado_Entrega,
                            Radio_Endereco_Cobranca,
                            Endereco_Cobranca,
                            Cep_Cobranca,
                            Bairro_Cobranca,
                            Cidade_Cobranca,
                            Id_Cidade_Cobranca,
                            Estado_Cobranca,
                            Id_Categoria_Cliente,
                            Id_Categoria_Cliente_Filho,
                            Desconto,
                            Id_Como_Conheceu,
                            Site,
                            Prazo_Pagamento,
                            Contrato,
                            Data_Serasa,
                            Codigo,
                            Newsletter,
                            Tabela_Preco,
                            Tabela_Preco2,
                            Foto,
                            Ativo,
                            Banco,
                            Agencia,
                            Conta,
                            Nome_Titular,
                            Contrato,
                            Mensalidade,
                            Inicio_Contrato,
                            Fim_Contrato,
                            Exibir_Contrato,
                            Id_Vendedor1,
                            Id_Vendedor2,
                            Id_Funcionario,
                            Id_Transportadora,
                            Matricula,
                            Pais,
                            Codigo_Pais,
                            Senha_Site,
                            Id_Area,
                            Contato,
                            Limite_Credito,
                            Id_Cfop,
                            Obs_Danfe,
                            Id_Atividade,
                            Id_Centro_Custo,
                            Nome_Responsavel,
                            Cpf_Responsavel,
                            Cargo_Responsavel,
                            Endereco_Responsavel,
                            Id_Unidade,
                            Consumidor_Final,
                            Nao_Contribuinte_Icms,
                            Suframa,
                            Latitude,
                            Longitude,
                            Comissao1,
                            Comissao2,
                            Tipo_Indicacao,
                            Dependentes,
                            Qtd_Dependentes,
                            Ipi,
                            Frete,
                            Iss_Retido,
                            Foto7,
                            Rg,
                            Cliente_FCP,
                            Inadimplente,
                            Tipo_Plano,
                            Regime,
                            Id_Regime_Especial,
                            Id_Portador,
                            Email_Contato,
                            Obs_Interna,
                            Validade_Anvisa,
                            Saldo_Credito,
                            Op_Presencial_Fora_Estabelecimento,
                            Problema_Cliente
                            FROM cliente WHERE Id='" . $_GET["id_cliente"] . "'")
            or die("ERRO no comando SQL:" . mysqli_error($con));
        $array_cliente = mysqli_fetch_assoc($sql_cliente);

        $_POST["Titulo"] = stripslashes($array_cliente["Titulo"]);
        $_POST["Email"] = $array_cliente["Email"];
        $_POST["Email2"] = $array_cliente["Email2"];
        $_POST["Fone1"] = ($array_cliente["Fone1"]);
        $_POST["Fone2"] = ($array_cliente["Fone2"]);
        $_POST["Fone3"] = ($array_cliente["Fone3"]);
        $_POST["Fax"] = ($array_cliente["Fax"]);
        $_POST["Rua"] = stripslashes($array_cliente["Rua"]);
        $_POST["Numero"] = stripslashes(trim($array_cliente["Numero"]));
        $_POST["Complemento"] = stripslashes($array_cliente["Complemento"]);
        $_POST["Ponto_Referencia"] = stripslashes($array_cliente["Ponto_Referencia"]);
        $_POST["Cep"] = cep_exibir($array_cliente["Cep"]);
        $_POST["Bairro"] = stripslashes($array_cliente["Bairro"]);
        $_POST["Cidade"] = stripslashes($array_cliente["Id_Cidade"]);
        $_POST["Estado"] = $array_cliente["Estado"];
        $_POST["Obs"] = stripslashes($array_cliente["Obs"]);
        $_POST["Natureza"] = $array_cliente["Natureza"];
        $_POST["Razao_Social"] = $array_cliente["Razao_Social"];
        $_POST["Estadual"] = $array_cliente["Estadual"];
        $_POST["Municipal"] = $array_cliente["Municipal"];
        $_POST["Aniversario"] = data_exibir($array_cliente["Aniversario"]);
        $_POST["Radio_Endereco_Entrega"] = $array_cliente["Radio_Endereco_Entrega"];
        $_POST["Endereco_Entrega"] = stripslashes($array_cliente["Endereco_Entrega"]);
        $_POST["Cep_Entrega"] = $array_cliente["Cep_Entrega"];
        $_POST["Bairro_Entrega"] = stripslashes($array_cliente["Bairro_Entrega"]);
        $_POST["Cidade_Entrega"] = stripslashes($array_cliente["Id_Cidade_Entrega"]);
        $_POST["Estado_Entrega"] = $array_cliente["Estado_Entrega"];
        $_POST["Radio_Endereco_Cobranca"] = $array_cliente["Radio_Endereco_Cobranca"];
        $_POST["Endereco_Cobranca"] = stripslashes($array_cliente["Endereco_Cobranca"]);
        $_POST["Cep_Cobranca"] = $array_cliente["Cep_Cobranca"];
        $_POST["Bairro_Cobranca"] = stripslashes($array_cliente["Bairro_Cobranca"]);
        $_POST["Cidade_Cobranca"] = stripslashes($array_cliente["Id_Cidade_Cobranca"]);
        $_POST["Estado_Cobranca"] = $array_cliente["Estado_Cobranca"];
        $_POST["Categoria_Cliente"] = $array_cliente["Id_Categoria_Cliente"];
        $_POST["Categoria_Cliente_Filho"] = $array_cliente["Id_Categoria_Cliente_Filho"];
        $_POST["Desconto"] = ($array_cliente["Desconto"]);
        $_POST["Como_Conheceu"] = $array_cliente["Id_Como_Conheceu"];
        $_POST["Site"] = stripslashes($array_cliente["Site"]);
        $_POST["Prazo_Pagamento"] = stripslashes($array_cliente["Prazo_Pagamento"]);
        $_POST["Data_Serasa"] = data_exibir($array_cliente["Data_Serasa"]);
        $_POST["Codigo"] = $array_cliente["Codigo"];
        $_POST["Newsletter"] = $array_cliente["Newsletter"];
        $_POST["Tabela_Preco"] = $array_cliente["Tabela_Preco"];
        $_POST["Tabela_Preco2"] = $array_cliente["Tabela_Preco2"];
        $_POST["Foto"] = $array_cliente["Foto"];
        $_POST["Ativo"] = stripslashes($array_cliente["Ativo"]);
        $_POST["Banco"] = stripslashes($array_cliente["Banco"]);
        $_POST["Agencia"] = stripslashes($array_cliente["Agencia"]);
        $_POST["Conta"] = stripslashes($array_cliente["Conta"]);
        $_POST["Nome_Titular"] = stripslashes($array_cliente["Nome_Titular"]);
        $_POST["Contrato"] = ($array_cliente["Contrato"]);
        $_POST["Inicio_Contrato"] = data_exibir($array_cliente["Inicio_Contrato"]);
        $_POST["Fim_Contrato"] = data_exibir($array_cliente["Fim_Contrato"]);
        $_POST["Exibir_Contrato"] = $array_cliente["Exibir_Contrato"];
        $_POST["Mensalidade"] = $array_cliente["Mensalidade"];
        $_POST["Vendedor1"] = $array_cliente["Id_Vendedor1"];
        $_POST["Vendedor2"] = $array_cliente["Id_Vendedor2"];
        $_POST["Funcionario"] = $array_cliente["Id_Funcionario"];
        $_POST["Transportadora"] = $array_cliente["Id_Transportadora"];
        $_POST["Matricula"] = $array_cliente["Matricula"];
        $_POST["Pais"] = $array_cliente["Pais"];
        $_POST["Codigo_Pais"] = $array_cliente["Codigo_Pais"];
        $_POST["Senha_Site"] = $array_cliente["Senha_Site"];
        $_POST["Area"] = $array_cliente["Id_Area"];
        $_POST["Contato"] = $array_cliente["Contato"];
        $_POST["Limite_Credito"] = $array_cliente["Limite_Credito"];
        $_POST["Cfop"] = $array_cliente["Id_Cfop"];
        $_POST["Obs_Danfe"] = $array_cliente["Obs_Danfe"];
        $_POST["Atividade"] = $array_cliente["Id_Atividade"];
        $_POST["Centro_Custo"] = $array_cliente["Id_Centro_Custo"];
        $_POST["Nome_Responsavel"] = $array_cliente["Nome_Responsavel"];
        $_POST["Cpf_Responsavel"] = $array_cliente["Cpf_Responsavel"];
        $_POST["Cargo_Responsavel"] = $array_cliente["Cargo_Responsavel"];
        $_POST["Endereco_Responsavel"] = $array_cliente["Endereco_Responsavel"];
        $_POST["Unidade"] = $array_cliente["Id_Unidade"];
        $_POST["Consumidor_Final"] = $array_cliente["Consumidor_Final"];
        $_POST["Nao_Contribuinte_Icms"] = $array_cliente["Nao_Contribuinte_Icms"];
        $_POST["Suframa"] = $array_cliente["Suframa"];
        $_POST["Latitude"] = $array_cliente["Latitude"];
        $_POST["Longitude"] = $array_cliente["Longitude"];
        $_POST["Comissao1"] = $array_cliente["Comissao1"];
        $_POST["Comissao2"] = $array_cliente["Comissao2"];
        $_POST["Tipo_Indicacao"] = $array_cliente["Tipo_Indicacao"];
        $_POST["Dependentes"] = $array_cliente["Dependentes"];
        $_POST["Qtd_Dependentes"] = $array_cliente["Qtd_Dependentes"];
        $_POST["Ipi"] = $array_cliente["Ipi"];
        $_POST["Frete"] = $array_cliente["Frete"];
        $_POST["Iss_Retido"] = $array_cliente["Iss_Retido"];
        $_POST["Foto7"] = $array_cliente["Foto7"];
        $_POST["Rg"] = $array_cliente["Rg"];
        $_POST["Cliente_FCP"] = $array_cliente["Cliente_FCP"];
        $_POST["Inadimplente"] = $array_cliente["Inadimplente"];
        $_POST["Tipo_Plano"] = $array_cliente["Tipo_Plano"];
        $_POST["Regime"] = $array_cliente["Regime"];
        $_POST["Regime_Especial"] = $array_cliente["Id_Regime_Especial"];
        $_POST["Portador"] = $array_cliente["Id_Portador"];
        $_POST["Email_Contato2"] = $array_cliente["Email_Contato"];
        $_POST["Obs_Interna"] = $array_cliente["Obs_Interna"];
        $_POST["Validade_Anvisa"] = data_exibir($array_cliente["Validade_Anvisa"]);
        $_POST["Saldo_Credito"] = $array_cliente["Saldo_Credito"];
        $_POST["Op_Presencial_Fora_Estabelecimento"] = $array_cliente["Op_Presencial_Fora_Estabelecimento"];
        $_POST["Problema_Cliente"] = $array_cliente["Problema_Cliente"];


        if ($_POST["Natureza"] == "PF") {
            $_POST["Cpf"] = cpf_exibir($array_cliente["Cpf_Cnpj"]);
        } else {
            $_POST["Cnpj"] = cnpj_exibir($array_cliente["Cpf_Cnpj"]);
        }

        $enderecoEntrega = $con->query("SELECT Titulo,Fone1,Endereco_Entrega, Cep_Entrega, Bairro_Entrega, Complemento_Entrega, Cidade_Entrega,Id_Cidade_Entrega,Estado_Entrega 
        FROM cliente
        WHERE Id='{$_GET["id_cliente"]}'");
        $dadosEnderecoEntrega = $enderecoEntrega->fetch_assoc();

        if ($dadosEnderecoEntrega['Endereco_Entrega'] != '') {

            $enderecoNumero = explode(",", $dadosEnderecoEntrega['Endereco_Entrega']);

            $sqlInsertEndereco = $con->query("INSERT INTO endereco_cliente SET Id_Cliente='{$_GET["id_cliente"]}', Contato='{$dadosEnderecoEntrega['Titulo']}', Telefone='{$dadosEnderecoEntrega['Fone1']}',
        Cep='{$dadosEnderecoEntrega['Cep_Entrega']}', Rua='{$enderecoNumero[0]}', Bairro='{$dadosEnderecoEntrega['Bairro_Entrega']}', Cidade='{$dadosEnderecoEntrega['Cidade_Entrega']}',
        Numero='{$enderecoNumero[1]}', Estado='{$dadosEnderecoEntrega['Estado_Entrega']}', Complemento='{$dadosEnderecoEntrega['Complemento_Entrega']}',
        Ibge='{$dadosEnderecoEntrega['Id_Cidade_Entrega']}'");

            if ($sqlInsertEndereco === true) {
                $con->query("UPDATE cliente SET Endereco_Entrega='', Cep_Entrega='', Bairro_Entrega='', Complemento_Entrega='', Cidade_Entrega='',Id_Cidade_Entrega='',Estado_Entrega='' 
                WHERE Id='{$_GET["id_cliente"]}'");
            }
        }

        if ($_GET["id_cliente"] == '84c09c43f28bc1c9823907b038508c7c') {
            $msg = 'Este Cliente no pode ser editado';
            $redirecionar = "list_cliente.php";
            include "../include/rodape.php";
        }
    }
}

?>
<html>

<head>
    <title>Gw - Gesto Web</title>
    <?php include 'cabecalho.php'; ?>
</head>

<body>
    <?php
    if (CLIENTE_EMAIL == 'gardenquimica' || CLIENTE_EMAIL == 'testegarden' || CLIENTE_EMAIL == 'igq') {
        $ast = "* ";
    }
    ?>
    <form name="cliente" id="cliente" method="post" action="" enctype="multipart/form-data">

        <fieldset class="envolve">
            <legend key="Clientes" class="tr">Clientes</legend>

            <?php
            if (CNPJ_CLIENTE == 'Sim') {
                $ast_pf = '*';
            }
            ?>
            <fieldset class="grupo">
                <div class="campo">
                    <?php
                    //verificando se o produto e manual ou automatico -- tambem esta no cabecalho
                    if (CLIENTE_MANUAL == 'No') {

                        if ($_GET["acao"] == "entrar") {
                            $busca_codigo = mysqli_query($con, "SELECT Codigo FROM cliente ORDER BY Data_Cadastro DESC LIMIT 1");
                            $busca_codigo = mysqli_fetch_assoc($busca_codigo);
                            $_POST["Codigo"] = ($busca_codigo['Codigo'] + 1);
                        } else {
                            $_POST["Codigo"] = $_POST["Codigo"];
                        }

                        $readyo = 'readonly="readonly"';
                        //fim verificacao manual
                    }
                    ?>
                    <label for="Codigo" key="Codigo" class="tr">* Cdigo</label>
                    <input type="text" name="Codigo" id="Codigo" value="<?php echo $_POST["Codigo"]; ?>" <?php echo $readyo; ?>>
                </div>
                <div class="campo" style="width: 25%">
                    <label for="Titulo" key="Titulo" class="tr">* Nome Fantasia</label>
                    <input type="text" name="Titulo" id="Titulo" value="<?php echo $_POST["Titulo"]; ?>">
                </div>
                <div class="campo" style="width: 25%">
                    <label for="Razao_Social" key="Razao_Social" class="tr">Razo Social</label>
                    <input type="text" name="Razao_Social" id="Razao_Social"
                        value="<?php echo $_POST["Razao_Social"]; ?>">
                </div>
            </fieldset>

            <fieldset class="grupo">
                <div class="campo" style="width: 20%">
                    <label for="Email" key="Email" class="tr">Email</label>
                    <input type="text" name="Email" id="Email" value="<?php echo $_POST["Email"]; ?>">
                </div>
                <div class="campo" style="width: 20%">
                    <label for="Email2" key="Email2" class="tr">Email 2
                        <font size="1" color="#CD2626" id="obs"> Destinado ao Financeiro.</font>
                    </label>
                    <input type="text" name="Email2" id="Email2" value="<?php echo $_POST["Email2"]; ?>">
                </div>
                <div class="campo">
                    <label for="Area" key="Area" class="tr"><?php echo $ast; ?>rea</label>
                    <div id="Lista_Area">
                        <?php
                        echo select_banco(
                            "Select Id,Titulo from area order by Titulo",
                            "Area",
                            "Area",
                            $_POST["Area"],
                            'style="width:200px"',
                            ""
                        );
                        ?>
                    </div>
                    <input type='hidden' name='Area_Hidden' id='Area_Hidden' value=''>
                </div>
                <div class="campo">
                    <label for="Button">&nbsp;</label>
                    <input class="botao_novo" type="button" value="Novo" name="Novo_Area" id="Novo_Area"
                        onclick="window.open('cad_novo_area.php','Area','width=600,height=500,top=0,left=0,scrollbars=yes');">
                </div>
            </fieldset>

            <fieldset class="grupo">
                <div class="campo">
                    <label for="Fone1" key="Fone1" class="tr">* Telefone 1</label>
                    <input type="text" name="Fone1" id="Fone1" value="<?php echo $_POST["Fone1"]; ?>">
                </div>
                <div class="campo">
                    <label for="Fone2" key="Fone2" class="tr">Telefone 2</label>
                    <input type="text" name="Fone2" id="Fone2" value="<?php echo $_POST["Fone2"]; ?>">
                </div>
                <div class="campo">
                    <label for="Fone3" key="Fone3" class="tr">Telefone 3</label>
                    <input type="text" name="Fone3" id="Fone3" value="<?php echo $_POST["Fone3"]; ?>">
                </div>
                <div class="campo">
                    <label for="Fax" key="Fax" class="tr">WhatsApp</label>
                    <input type="text" name="Fax" id="Fax" value="<?php echo $_POST["Fax"]; ?>">
                </div>
            </fieldset>

            <fieldset class="grupo">
                <?php if (CLIENTE_EMAIL == 'spw' || CLIENTE_EMAIL == 'gw') { ?>
                    <div class="campo">
                        <label for="Tipo_Indicacao">Indicao</label>
                        <?php
                        $vetor = array('Indicao TK' => 'Indicao TK', 'Indicao Diretoria' => 'Indicao Diretoria', 'Indicao Prpria' => 'Indicao Prpria');
                        select_tela("Tipo_Indicacao", "Tipo_Indicacao", $_POST["Tipo_Indicacao"], $vetor, '', "");
                        ?>
                    </div>
                    <div class="campo" style="width:30%;">
                        <label for="Foto7">Sistema</label>
                        <input type="text" name="Foto7" id="Foto7" value="<?php echo $_POST["Foto7"]; ?>">
                    </div>
                    <div class="campo">
                        <label for="Saldo_Credito" key="Saldo_Credito" class="tr">Mensalidade Representao</label>
                        <input type="text" name="Saldo_Credito" id="Saldo_Credito"
                            value="<?php echo valor_exibir($_POST["Saldo_Credito"]); ?>" class="money"
                            onblur="fazerValor(this.value,'Saldo_Credito');">
                    </div>
                <?php } ?>
            </fieldset>

            <fieldset class="grupo">
                <div class="campo">
                    <label for="Cep" key="Cep" class="tr"><?php echo $ast_pf; ?> CEP</label>
                    <input type="text" name="Cep" id="Cep" value="<?php echo $_POST["Cep"]; ?>">
                </div>
                <div class="campo" style="width:30%;">
                    <label for="Rua" key="Rua" class="tr"><?php echo $ast_pf; ?> Endereo</label>
                    <input type="text" name="Rua" id="Rua" value="<?php echo $_POST["Rua"]; ?>">
                </div>
                <div class="campo">
                    <label for="Numero" key="Numero" class="tr"><?php echo $ast_pf; ?> Nmero</label>
                    <input type="text" name="Numero" id="Numero" value="<?php echo $_POST["Numero"]; ?>">
                </div>
                <div class="campo" style="width:25%;">
                    <label for="Complemento" key="Complemento" class="tr">Complemento</label>
                    <input type="text" name="Complemento" id="Complemento" value="<?php echo $_POST["Complemento"]; ?>">
                </div>
            </fieldset>

            <fieldset class="grupo">
                <div class="campo">
                    <label for="Bairro" key="Bairro" class="tr"><?php echo $ast_pf; ?> Bairro</label>
                    <input type="text" name="Bairro" id="Bairro" value="<?php echo $_POST["Bairro"]; ?>">
                </div>
                <div class="campo">
                    <label for="Cidade" key="Cidade" class="tr"><?php echo $ast_pf; ?> Cidade</label>
                    <div id="divCidade">
                        <?php
                        $cidade = mysqli_query($con, "SELECT Codigo FROM cidade_ibge WHERE Id = '" . $_POST['Cidade'] . "' ");
                        $nome_cidade = mysqli_fetch_assoc($cidade);
                        $_POST["Cidade"] = $nome_cidade["Codigo"];

                        //eu troco o ID do select para funcionar o WebService
                        $cidadeUf = (empty($_POST["Estado"]) ? null : "AND Uf='" . $_POST["Estado"] . "'");
                        echo select_banco(
                            "Select Codigo as Id,Titulo from cidade_ibge WHERE 1=1 $cidadeUf order by Titulo",
                            "Cidade",
                            "Ibge",
                            $_POST["Cidade"],
                            '',
                            ""
                        );
                        ?>
                    </div>
                </div>
                <div class="campo">
                    <label for="Estado" key="Estado" class="tr"><?php echo $ast_pf; ?> Estado</label>
                    <?php
                    $vetor = array(
                        '' => 'Estados',
                        'AC' => 'Acre',
                        'AL' => 'Alagoas',
                        'AP' => 'Amap',
                        'AM' => 'Amazonas',
                        'BA' => 'Bahia',
                        'CE' => 'Cear',
                        'DF' => 'Distrito Federal',
                        'GO' => 'Gois',
                        'ES' => 'Esprito Santo',
                        'MA' => 'Maranho',
                        'MT' => 'Mato Grosso',
                        'MS' => 'Mato Grosso do Sul',
                        'MG' => 'Minas Gerais',
                        'PA' => 'Par',
                        'PB' => 'Paraba',
                        'PR' => 'Paran',
                        'PE' => 'Pernambuco',
                        'PI' => 'Piau',
                        'RJ' => 'Rio de Janeiro',
                        'RN' => 'Rio Grande do Norte',
                        'RS' => 'Rio Grande do Sul',
                        'RO' => 'Rondnia',
                        'RR' => 'Rorima',
                        'SP' => 'So Paulo',
                        'SC' => 'Santa Catarina',
                        'SE' => 'Sergipe',
                        'TO' => 'Tocantis',
                        'EX' => 'EX'
                    );
                    select_tela("Estado", "Estado", $_POST["Estado"], $vetor, 'onchange="comboEstado(this.value);"', "");
                    ?>
                    <input type="hidden" name="Id_Estado" id="Id_Estado" value="<?php echo $_POST["Estado"]; ?>">
                </div>
                <div class="campo">
                    <?php if (($_POST["Pais"] == '') && ($_GET["acao"] == "entrar"))
                        $_POST["Pais"] = 'BRASIL'; ?>
                    <label for="Pais" key="Pais" class="tr"><?php echo $ast_pf; ?> Pas</label>
                    <input type="text" name="Pais" id="Pais" value="<?php echo $_POST["Pais"]; ?>">
                </div>
                <div class="campo">
                    <?php if (($_POST["Codigo_Pais"] == '') && ($_GET["acao"] == "entrar"))
                        $_POST["Codigo_Pais"] = '1058'; ?>
                    <label for="Codigo_Pais" key="Codigo_Pais" class="tr"><?php echo $ast_pf; ?> Cdigo Pas
                        <font size="1" color="#CD2626" id="obs"><a
                                href="http://www.bcb.gov.br/Rex/TabPaises/Ftp/paises.txt" target="_blank"
                                alt="Tabela BACEN" title="Tabela BACEN">Tabela BACEN</a></font>
                    </label>
                    <input type="text" name="Codigo_Pais" id="Codigo_Pais" value="<?php echo $_POST["Codigo_Pais"]; ?>">
                </div>
            </fieldset>

            <fieldset class="grupo">
                <div class="campo">
                    <label for="Contato" key="Contato" class="tr">Contato</label>
                    <input type="text" name="Contato" id="Contato" value="<?php echo $_POST["Contato"]; ?>">
                </div>
                <div class="campo">
                    <label for="Categoria" key="Categoria_Cliente" class="tr">Categoria</label>
                    <?php
                    echo select_banco(
                        "Select Id, Titulo from categoria_cliente WHERE Id_Pai = '' order by Titulo",
                        "Categoria_Cliente",
                        "Categoria_Cliente",
                        $_POST["Categoria_Cliente"],
                        "onchange='descCat(this.value);centroCusto(this.value);' style='width:200px'",
                        ""
                    )
                        ?>
                </div>
                <div class="campo">
                    <label for="Categoria_Cliente_Filho" key="Categoria_Cliente_Filho" class="tr">Sub Categoria</label>
                    <div id="div_cc">
                        <?php
                        echo select_banco(
                            "Select Id, Titulo from categoria_cliente WHERE Id_Pai = '" . $_POST["Categoria_Cliente"] . "' order by Titulo",
                            "Categoria_Cliente_Filho",
                            "Categoria_Cliente_Filho",
                            $_POST["Categoria_Cliente_Filho"],
                            "style='width:200px'",
                            ""
                        )
                            ?>
                    </div>
                </div>
                <div class="campo">
                    <?php
                    if ($_POST["Natureza"] == "PF") {
                        $exibirPF = "block";
                        $exibirPJ = "none";
                        $marcPF = "checked";
                    } else if ($_POST["Natureza"] == "PJ") {
                        $exibirPJ = "block";
                        $exibirPF = "none";
                        $marcPJ = "checked";
                    } else {
                        $exibirPF = "none";
                        $exibirPJ = "block";
                        $marcPF = "checked";
                    }
                    ?>
                    <label for="Natureza" key="Natureza" class="tr">Natureza</label>
                    <?php
                    $vetor = array('PJ' => '&nbsp;&nbsp; PJ &nbsp;&nbsp;', 'PF' => '&nbsp;&nbsp; PF &nbsp;&nbsp;');
                    select_tela("Natureza", "Natureza", $_POST["Natureza"], $vetor, "onchange='PfPj(this.value);'", "");
                    ?>
                </div>
            </fieldset>

            <div style="display:<?php echo $exibirPF; ?>;" id="P_F">

                <fieldset class="grupo">
                    <div class="campo">
                        <?php
                        if (VALIDAR_CNPJ_CLIENTE == 'Sim') {
                            $v_cpf = "validarCpf(this.value);";
                        }
                        ?>
                        <label for="Cpf" key="Cpf" class="tr"><?php echo $ast_pf; ?> CPF</label>
                        <input type="text" name="Cpf" id="Cpf" value="<?php echo $_POST["Cpf"]; ?>"
                            onblur="fazSenha(this.value);<?php echo $v_cpf; ?>">
                    </div>
                    <div class="campo">
                        <label for="Rg" key="Rg" class="tr">RG</label>
                        <input type="text" name="Rg" id="Rg" value="<?php echo $_POST["Rg"]; ?>">
                    </div>
                    <div class="campo" style="width: 140px">
                        <label for="Aniversario" key="Aniversario" class="tr">Aniversrio</label>
                        <input type="text" name="Aniversario" id="Aniversario"
                            value="<?php echo $_POST["Aniversario"]; ?>" style="width: 80%">
                    </div>
                </fieldset>

            </div>


            <div style="display:<?php echo $exibirPJ; ?>;" id="P_J">

                <fieldset class="grupo">
                    <div class="campo">
                        <?php
                        if (VALIDAR_CNPJ_CLIENTE == 'Sim') {
                            $v_cnpj = "validarCnpj(this.value);";
                        }
                        ?>
                        <label for="Cnpj" key="Cnpj" class="tr"><?php echo $ast_pf; ?> CNPJ</label>
                        <input type="text" name="Cnpj" id="Cnpj" value="<?php echo $_POST["Cnpj"]; ?>"
                            onblur="fazSenha(this.value);<?php echo $v_cnpj; ?>">
                    </div>
                    <div class="campo">
                        <label for="BuscaCnpj">&nbsp;</label>
                        <input type="button" value="Buscar End Cnpj" name="Buscar_Cnpj" id="Buscar_Cnpj"
                            class="botao_novo">
                    </div>
                </fieldset>

                <fieldset class="grupo">
                    <?php if ((CATALOGO == 'Sim') || (CLIENTE_EMAIL == 'nesul') || CLIENTE_EMAIL == 'israelgeradores' || (CLIENTE_EMAIL == 'spw') || (CLIENTE_EMAIL == 'gw')) { ?>
                        <div class="campo" style="width: 25%">
                            <label for="Nome_Responsavel" key="Nome_Responsavel" class="tr">Nome Responsvel</label>
                            <input type="text" name="Nome_Responsavel" id="Nome_Responsavel"
                                value="<?php echo $_POST["Nome_Responsavel"]; ?>">
                        </div>
                        <div class="campo">
                            <label for="Cpf_Responsavel" key="Cpf_Responsavel" class="tr">CPF Responsvel</label>
                            <input type="text" name="Cpf_Responsavel" id="Cpf_Responsavel"
                                value="<?php echo $_POST["Cpf_Responsavel"]; ?>">
                        </div>
                        <?php if (CLIENTE_EMAIL == 'nesul' || CLIENTE_EMAIL == 'israelgeradores' || (CLIENTE_EMAIL == 'gw')) { ?>
                            <div class="campo">
                                <label for="Cargo_Responsavel" key="Cargo_Responsavel" class="tr">Cargo Responsvel</label>
                                <input type="text" name="Cargo_Responsavel" id="Cargo_Responsavel"
                                    value="<?php echo $_POST["Cargo_Responsavel"]; ?>">
                            </div>
                            <div class="campo" style="width: 25%">
                                <label for="Endereco_Responsavel" key="Endereco_Responsavel" class="tr">Endereo
                                    Responsvel</label>
                                <input type="text" name="Endereco_Responsavel" id="Endereco_Responsavel"
                                    value="<?php echo $_POST["Endereco_Responsavel"]; ?>">
                            </div>
                        <?php } ?>
                    <?php } else { ?>
                        <input type="hidden" name="Cpf_Responsavel" id="Nome_Responsavel"
                            value="<?php echo $_POST["Nome_Responsavel"]; ?>">
                        <input type="hidden" name="Cpf_Responsavel" id="Cpf_Responsavel"
                            value="<?php echo $_POST["Cpf_Responsavel"]; ?>">
                        <input type="hidden" name="Cargo_Responsavel" id="Cargo_Responsavel"
                            value="<?php echo $_POST["Cargo_Responsavel"]; ?>">
                        <input type="hidden" name="Endereco_Responsavel" id="Endereco_Responsavel"
                            value="<?php echo $_POST["Endereco_Responsavel"]; ?>">
                    <?php } ?>
                </fieldset>

            </div>

            <fieldset class="grupo">
                <?php
                if (CLIENTE_EMAIL == 'nesul' || CLIENTE_EMAIL == 'israelgeradores') {
                    if ($_POST["Consumidor_Final"] == '')
                        $_POST["Consumidor_Final"] = 'Sim';
                }
                if ((CLIENTE_EMAIL == 'pequenocamaleao')) {
                    if ($_POST["Consumidor_Final"] == '')
                        $_POST["Consumidor_Final"] = 'Sim';
                    if ($_POST["Nao_Contribuinte_Icms"] == '')
                        $_POST["Nao_Contribuinte_Icms"] = 'Sim';
                }
                ?>
                <div class="campo">
                    <label for="Consumidor_Final" key="Consumidor_Final" class="tr">Consumidor Final?</label>
                    <input type="checkbox" name="Consumidor_Final" id="Consumidor_Final" value="Consumidor_Final" <?php if ($_POST["Consumidor_Final"] == 'Sim')
                        echo "checked='checked' "; ?>>
                </div>
                <div class="campo">
                    <label for="Nao_Contribuinte_Icms"
                        title="Partilha do ICMS Interestadual - Operaes e prestaes para no contribuinte consumidor final de outro estado, Convnio 93/2015 e NT 03/2015">
                        No Contribuinte Icms?
                    </label>
                    <input type="checkbox" name="Nao_Contribuinte_Icms" id="Nao_Contribuinte_Icms"
                        value="Nao_Contribuinte_Icms" <?php if ($_POST["Nao_Contribuinte_Icms"] == 'Sim')
                            echo "checked='checked' "; ?>>
                </div>
                <div class="campo">
                    <label for="Ipi">Ipi</label>
                    <input type="checkbox" name="Ipi" id="Ipi" value="Ipi" <?php if ($_POST["Ipi"] == 'Sim')
                        echo "checked='checked' "; ?>>
                </div>
                <div class="campo">
                    <label for="Cliente_FCP">Cliente FCP</label>
                    <input type="checkbox" name="Cliente_FCP" id="Cliente_FCP" value="Cliente_FCP" <?php if ($_POST["Cliente_FCP"] == 'Sim')
                        echo "checked='checked' "; ?>>
                </div>
                <div class="campo">
                    <label for="Regime">Simples Nacional</label>
                    <input type="checkbox" name="Regime" id="Regime" value="Regime" <?php if ($_POST["Regime"] == 'S')
                        echo "checked='checked' "; ?>>
                </div>
                <?php
                if (RESTAURANTE == 'Sim') { ?>
                    <div class="campo">
                        <label for="Op_Presencial_Fora_Estabelecimento">Fora do Estabelecimento</label>
                        <input type="checkbox" name="Op_Presencial_Fora_Estabelecimento"
                            id="Op_Presencial_Fora_Estabelecimento" <?php if ($_POST["Op_Presencial_Fora_Estabelecimento"] == 'Sim')
                                echo "checked='checked' "; ?>>
                    </div>
                <?php } ?>
                <?php if (CLIENTE_EMAIL == 'spw' || CLIENTE_EMAIL == 'gw') { ?>
                    <div class="campo">
                        <label for="Inadimplente">BL</label>
                        <input type="checkbox" name="Inadimplente" id="Inadimplente" value="Inadimplente" <?php if ($_POST["Inadimplente"] == 'Sim')
                            echo "checked='checked' "; ?>>
                    </div>
                    <div class="campo">
                        <label for="Prazo_Pagamento">Sem Suporte</label>
                        <input type="checkbox" name="Prazo_Pagamento" id="Prazo_Pagamento" value="Prazo_Pagamento" <?php if ($_POST["Prazo_Pagamento"] == 'Sim')
                            echo "checked='checked' "; ?>>
                    </div>
                    <div class="campo">
                        <label for="Dependentes">PAF</label>
                        <input type="checkbox" name="Dependentes" id="Dependentes" value="Dependentes" <?php if ($_POST["Dependentes"] == 'Sim')
                            echo "checked='checked' "; ?>>
                    </div>
                    <div class="campo">
                        <label for="Nao_Contribuinte_Icms">Contrato</label>
                        <input type="checkbox" name="Nao_Contribuinte_Icms" id="Nao_Contribuinte_Icms"
                            value="Nao_Contribuinte_Icms" <?php if ($_POST["Nao_Contribuinte_Icms"] == 'Sim')
                                echo "checked='checked' "; ?>>
                    </div>
                    <div class="campo">
                        <label for="Tipo_Plano" key="Tipo_Plano" class="tr">Tipo Plano</label>
                        <?php
                        $vetor = array('Mensal' => 'Mensal', 'Anual' => 'Anual');
                        select_tela("Tipo_Plano", "Tipo_Plano", $_POST["Tipo_Plano"], $vetor, "", "");
                        ?>
                    </div>
                    <div class="campo">
                        <label for="Problema_Cliente">Problema Cliente Treinamento</label>
                        <input type="checkbox" name="Problema_Cliente" id="Problema_Cliente" value="Problema_Cliente" <?php if ($_POST["Problema_Cliente"] == 'Sim')
                            echo "checked='checked' "; ?>>
                    </div>
                <?php } else {

                    if ($_POST["Inadimplente"] == '') {
                        $_POST["Inadimplente"] = 'No';
                    }
                    ?>
                    <input type="hidden" name="Inadimplente" id="Inadimplente"
                        value="<?php echo $_POST["Inadimplente"]; ?>">
                <?php } ?>
                <?php if ((CLIENTE_EMAIL == 'tupanfarmaatacado') || (CLIENTE_EMAIL == 'tupanfarmadistribuidora') || CLIENTE_EMAIL == 'gw') {

                    if ($_POST["Dependentes"] == '') {
                        $_POST["Dependentes"] = 'Sim';
                    }
                    ?>
                    <div class="campo">
                        <label for="Dependentes">Boleto</label>
                        <input type="checkbox" name="Dependentes" id="Dependentes" value="Dependentes" <?php if ($_POST["Dependentes"] == 'Sim')
                            echo "checked='checked' "; ?>>
                    </div>
                <?php } ?>
                <?php if (CLIENTE_EMAIL == 'peparts' || CLIENTE_EMAIL == 'maqtractor' || CLIENTE_EMAIL == 'gw') {

                if ($_POST["Dependentes"] == '') {
                    $_POST["Dependentes"] = 'Sim';
                }
                ?>
                <div class="campo">
                    <label for="Dependentes">Cobrar Difal</label>
                    <input type="checkbox" name="Dependentes" id="Dependentes" value="Dependentes" <?php if ($_POST["Dependentes"] == 'Sim')
                        echo "checked='checked' "; ?>>
                </div>
                <div class="campo">
                    <label for="Qtd_Dependentes" key="Qtd_Dependentes">Cobrar Difal %</label>
                    <input type="text" name="Qtd_Dependentes" id="Qtd_Dependentes" value="<?php echo valor_exibir($_POST["Qtd_Dependentes"]); ?>" class="money" onblur="fazerValor(this.value,'Qtd_Dependentes')">
                </div>
                <?php } ?>
                <div class="campo">
                    <label for="Estadual" key="Estadual" class="tr"><?php echo $ast_pf; ?> Insc. Estadual</label>
                    <input type="text" name="Estadual" id="Estadual" value="<?php echo $_POST["Estadual"]; ?>">
                </div>
                <div class="campo">
                    <label for="Municipal" key="Municipal" class="tr">Insc. Municipal</label>
                    <input type="text" name="Municipal" id="Municipal" value="<?php echo $_POST["Municipal"]; ?>">
                </div>
            </fieldset>

            <fieldset class="grupo">
                <div class="campo">
                    <label for="Iss_Retido" key="Iss_Retido" class="tr">Iss Retido</label>
                    <?php
                    $vetor = array('No' => 'No', 'Sim' => 'Sim');
                    select_tela("Iss_Retido", "Iss_Retido", $_POST["Iss_Retido"], $vetor, '', "");
                    ?>
                </div>
                <div class="campo">
                    <label for="Suframa" key="Suframa" class="tr">Suframa</label>
                    <input type="text" name="Suframa" id="Suframa" value="<?php echo $_POST["Suframa"]; ?>">
                </div>
                <?php if (CLIENTE_EMAIL == 'gardenquimica' || CLIENTE_EMAIL == 'testegarden' || CLIENTE_EMAIL == 'igq') { ?>
                    <div class="campo">
                        <label for="Portador" key="Portador" class="tr">* Portador</label>
                        <div id="Lista_Portador">
                            <?php
                            echo select_banco(
                                "Select Id,Titulo from portador WHERE Ativo='Sim' order by Titulo",
                                "Portador",
                                "Portador",
                                $_POST["Portador"],
                                'style="width:200px"',
                                ""
                            );
                            ?>
                        </div>
                        <input type='hidden' name='Portador_Hidden' id='Portador_Hidden' value=''>
                    </div>
                    <div class="campo">
                        <label for="Button">&nbsp;</label>
                        <input class="botao_novo" type="button" value="Novo" name="Novo_Portador" id="Novo_Portador"
                            onclick="window.open('../portador/list_portador.php','Portador','width=600,height=500,top=0,left=0,scrollbars=yes');">
                    </div>
                <?php } ?>
                <?php if (CLIENTE_EMAIL == 'spw' || CLIENTE_EMAIL == 'gw') { ?>
                    <?php if ($_SESSION["Id"] != 'c6f7e4cd465aece355d401bc5cf7fd07') { ?>
                        <div class="campo" style="width: 140px">
                            <label for="Validade_Anvisa" key="Validade_Anvisa" class="tr">Validade Certificado</label>
                            <input type="text" name="Validade_Anvisa" id="Validade_Anvisa"
                                value="<?php echo $_POST["Validade_Anvisa"]; ?>" style="width: 80%">
                        </div>
                    <?php } else { ?>
                        <input type="hidden" name="Validade_Anvisa" value="<?php echo $_POST["Validade_Anvisa"]; ?>">
                    <?php } ?>
                <?php } ?>
            </fieldset>

            <fieldset class="grupo">
                <div class="campo" style="width: 30%">
                    <label for="Site" key="Site" class="tr">Site</label>
                    <input type="text" name="Site" id="Site" value="<?php echo $_POST["Site"]; ?>">
                </div>
            </fieldset>

            <fieldset class="grupo">
                <div class="campo" style="width: 80%">
                    <label for="Ponto_Referencia" key="Ponto_Referencia" class="tr">Ponto Referncia</label>
                    <input type="text" name="Ponto_Referencia" id="Ponto_Referencia"
                        value="<?php echo $_POST["Ponto_Referencia"]; ?>">
                </div>
            </fieldset>

            <fieldset class="grupo">
                <div class="campo" style="width: 80%">
                    <label for="Obs" key="Obs" class="tr">Obs</label>
                    <textarea rows="6" cols="50" name="Obs" id="Obs"><?php echo $_POST["Obs"]; ?></textarea>
                </div>
            </fieldset>

            <?php if (CLIENTE_EMAIL == 'spw') { ?>
                <fieldset class="grupo">
                    <div class="campo" style="width: 80%">
                        <label for="Obs_Interna" key="Obs_Interna" class="tr">Obs Interna</label>
                        <textarea rows="6" cols="50" name="Obs_Interna"
                            id="Obs_Interna"><?php echo $_POST["Obs_Interna"]; ?></textarea>
                    </div>
                </fieldset>

                <fieldset class="grupo">
                    <div class="campo" style="width: 80%">
                        <label for="Email_Contato2" key="Email_Contato2" class="tr">Email Autorizao</label>
                        <input type="text" name="Email_Contato2" id="Email_Contato2"
                            value="<?php echo $_POST["Email_Contato2"]; ?>">
                    </div>
                </fieldset>
            <?php } ?>
            <?php if (CLIENTE_EMAIL == 'spw' || CLIENTE_EMAIL == 'restaurante') { ?>
                <fieldset class="grupo">
                    <legend class="tr">Configuraes Extras</legend>
                    <div class="campo">
                        <label for="Equipamento">Equipamento</label>
                        <div>
                            <?php
                            $vetor = array(
                                'Impressora_Etiqueta' => 'Impressora Etiqueta',
                                'Impressora_Nao_Fiscal' => 'Impressora No Fiscal',
                                'Gerenciador_Impressao' => 'Gerenciador Impresso',
                                'Ftp_Impressao' => 'FTP Impresso',
                                'Ponto_Eletronico' => 'Ponto Eletrnico'
                            );
                            select_tela("Equipamento", "Equipamento", $_POST["Equipamento"], $vetor, '', "");
                            ?>
                        </div>
                    </div>
                    <div class="campo">
                        <label for="Modelo" key="Modelo" class="tr">Modelo/Verso</label>
                        <input type="text" name="Modelo" id="Modelo" value="<?php echo $_POST["Modelo"]; ?>">
                    </div>
                    <div class="campo">
                        <label for="Fabricante" key="Fabricante" class="tr">Fabricante/Aplicao</label>
                        <input type="text" name="Fabricante" id="Fabricante" value="<?php echo $_POST["Fabricante"]; ?>">
                    </div>

                    <div class="campo">
                        <label for="Botao">&nbsp;</label>
                        <input class="botao_novo" style="float: right" type="button" value="Add"
                            onclick="CriarLinhaConfigExtra();">
                    </div>
                </fieldset>
                <fieldset class="grupo">
                    <div class="campo" style="width: 80%">
                        <label for="Parametro" class="tr">Parmetros</label>
                        <textarea rows="6" cols="50" name="Parametro"
                            id="Parametro"><?php echo $_POST["Parametro"]; ?></textarea>
                    </div>
                </fieldset>
                <fieldset class="grupo">
                    <div id="DivConfigExtra"></div>
                </fieldset>
            <?php } ?>
            <fieldset class="grupo">
                <div class="campo">
                    <label for="Newsletter" key="Newsletter" class="tr">Receber Newsletter</label>
                    <?php
                    $vetor = array('Sim' => 'Sim', 'No' => 'No');
                    select_tela("Newsletter", "Newsletter", $_POST["Newsletter"], $vetor, '', "");
                    ?>
                </div>
                <div class="campo">
                    <label for="Desconto" key="Desconto" class="tr">Desconto %</label>
                    <div id="divDesconto">
                        <input type="text" name="Desconto" id="Desconto"
                            value="<?php echo valor_exibir($_POST["Desconto"]); ?>" class="money"
                            onblur="fazerValor(this.value,'Desconto')">
                    </div>
                </div>
                <div class="campo">
                    <label for="Tabela" key="Tabela_Preco" class="tr">Tabela</label>
                    <?php
                    $tabela_pr = mysqli_query($con, "Select Id,Titulo,Valor from produto_tabela WHERE Ativo='Sim' ");

                    $vetor = '';
                    $vetor = array();
                    while ($reg = mysqli_fetch_assoc($tabela_pr)) {
                        $vetor[$reg["Valor"]] = $reg["Titulo"];
                    }

                    select_tela("Tabela_Preco", "Tabela_Preco", $_POST["Tabela_Preco"], $vetor, '', "");
                    ?>
                </div>
                <?php if (CLIENTE_EMAIL == 'terrasanta' || CLIENTE_EMAIL == 'costazul' || CLIENTE_EMAIL == 'gw') { ?>
                    <div class="campo">
                        <label for="Tabela2" key="Tabela_Preco2" class="tr">Tabela Envasada</label>
                        <?php
                        $tabela_pr = mysqli_query($con, "Select Id,Titulo,Valor from produto_tabela WHERE Ativo='Sim' ");

                        $vetor = '';
                        $vetor = array();
                        while ($reg = mysqli_fetch_assoc($tabela_pr)) {
                            $vetor[$reg["Valor"]] = $reg["Titulo"];
                        }

                        select_tela("Tabela_Preco2", "Tabela_Preco2", $_POST["Tabela_Preco2"], $vetor, '', "");
                        ?>
                    </div>
                <?php } ?>
                <!--
                <div class="campo">
                    <label for="Prazo_Pagamento" key="Prazo_Pagamento" class="tr">Prazo Pagamento</label>
                    <input type="text" name="Prazo_Pagamento" id="Prazo_Pagamento" value="<?php echo $_POST["Prazo_Pagamento"]; ?>">
                </div>
                -->
                <?php
                if (DATA_SERASA_CLIENTE != 'Sim') {
                    $readonlyS = 'readonly="readonly" ';
                    $keypicker = 'id="Data_Seras"';
                } else {
                    $keypicker = 'id="Data_Serasa"';
                }
                ?>
                <div class="campo" style="width: 140px">
                    <label for="Data_Serasa" key="Data_Serasa" class="tr">ltimo Serasa</label>
                    <input type="text" <?php echo $readonlyS; ?> name="Data_Serasa" <?php echo $keypicker; ?>
                        value="<?php echo $_POST["Data_Serasa"]; ?>" style="width: 80%">
                </div>
                <?php
                if ($_GET["acao"] == "alterar") {
                    /* buscando o Lancamento e a Data da Ultima Venda */
                    $Produt = mysqli_query($con, "SELECT venda.Data,venda.Lancamento,venda.Tipo,venda.Data_Cadastro_Upd
                                    FROM (
                                        (SELECT Id,Data_Venda as Data,Lancamento,Data_Cadastro_Upd,'Venda' as Tipo FROM venda
                                            WHERE Id_Cliente = '" . $_GET["id_cliente"] . "' )
                                    UNION
                                        (SELECT Id,Data_Pdv as Data,Lancamento,Data_Cadastro_Upd,'Pdv' as Tipo FROM pdv
                                            WHERE Id_Cliente = '" . $_GET["id_cliente"] . "' )
                                    UNION
                                        (SELECT Id,Data_Os as Data,Lancamento,Data_Cadastro_Upd,'Os' as Tipo FROM os
                                            WHERE Id_Cliente = '" . $_GET["id_cliente"] . "' )
                                    ) venda
                                    ORDER BY Data_Cadastro_Upd DESC
                                    LIMIT 1 ");
                    $Produt = mysqli_fetch_assoc($Produt);
                    $_POST["Ultima_Venda"] = $Produt["Tipo"] . " - " . data_exibir($Produt["Data"]) . " - " . $Produt["Lancamento"];
                }
                ?>
                <div class="campo">
                    <label for="Ultima_Venda" key="Ultima_Venda" class="tr">Ultima Venda</label>
                    <input type="text" name="Ultima_Venda" id="Ultima_Venda"
                        value="<?php echo $_POST["Ultima_Venda"]; ?>" readonly>
                </div>
            </fieldset>

            <fieldset class="grupo">
                <?php
                if (CLIENTE_EMAIL != 'atacadaodosrestaurantes') {
                    if (VENDER_APENAS_CARTEIRA_CLIENTE == 'Sim') {
                        $ast_vend = '* ';
                    }
                    ?>
                    <div class="campo">
                        <label for="Vendedor1" key="Vendedor1" class="tr"><?php echo $ast_vend; ?>Vendedor 1</label>
                        <?php
                        echo select_banco(
                            "Select Id,Titulo from funcionario WHERE Vendedor = 'Sim' AND Ativo='Sim' order by Titulo",
                            "Vendedor1",
                            "Vendedor1",
                            $_POST["Vendedor1"],
                            'style="width:200px"',
                            ""
                        )
                            ?>
                    </div>
                    <div class="campo">
                        <label for="Vendedor2" key="Vendedor2" class="tr">Vendedor 2</label>
                        <?php
                        echo select_banco(
                            "Select Id,Titulo from funcionario WHERE Vendedor = 'Sim' AND Ativo='Sim' order by Titulo",
                            "Vendedor2",
                            "Vendedor2",
                            $_POST["Vendedor2"],
                            'style="width:200px"',
                            ""
                        )
                            ?>
                    </div>
                    <div class="campo">
                        <label for="Comissao1">Comisso 1</label>
                        <input type="text" name="Comissao1" id="Comissao1"
                            value="<?php echo valor_exibir($_POST["Comissao1"]); ?>" class="money"
                            onblur="fazerValor(this.value,'Comissao1');">
                    </div>
                    <div class="campo">
                        <label for="Comissao2">Comisso 2</label>
                        <input type="text" name="Comissao2" id="Comissao2"
                            value="<?php echo valor_exibir($_POST["Comissao2"]); ?>" class="money"
                            onblur="fazerValor(this.value,'Comissao2');">
                    </div>
                <?php } else {
                    if (($_GET["acao"] == "entrar") || (($_SESSION["Id_Nivel"] < '21') && ($_GET["acao"] == "alterar"))) {
                        ?>
                        <div class="campo">
                            <label for="Vendedor1" key="Vendedor1" class="tr">Vendedor 1</label>
                            <?php
                            echo select_banco(
                                "Select Id,Titulo from funcionario WHERE Vendedor = 'Sim' order by Titulo",
                                "Vendedor1",
                                "Vendedor1",
                                $_POST["Vendedor1"],
                                'style="width:200px"',
                                ""
                            )
                                ?>
                        </div>
                        <div class="campo">
                            <label for="Vendedor2" key="Vendedor2" class="tr">Vendedor 2</label>
                            <?php
                            echo select_banco(
                                "Select Id,Titulo from funcionario WHERE Vendedor = 'Sim' order by Titulo",
                                "Vendedor2",
                                "Vendedor2",
                                $_POST["Vendedor2"],
                                'style="width:200px"',
                                ""
                            )
                                ?>
                        </div>
                    <?php } else { ?>
                        <input type="hidden" name="Vendedor1" id="Vendedor1" value="<?php echo $_POST["Vendedor1"]; ?>">
                        <input type="hidden" name="Vendedor2" id="Vendedor2" value="<?php echo $_POST["Vendedor2"]; ?>">
                    <?php }
                } ?>

            </fieldset>

            <fieldset class="grupo">
                <!--
                <div class="campo">
                    <label for="Matricula" key="Matricula" class="tr">Matrcula</label>
                    <input type="text" name="Matricula" id="Matricula" value="<?php echo $_POST["Matricula"]; ?>">
                </div>
                -->
                <div class="campo">
                    <label for="Ativo" key="Ativo" class="tr">Ativo</label>
                    <?php
                    $vetor = array('Sim' => 'Sim', 'No' => 'No');
                    select_tela("Ativo", "Ativo", $_POST["Ativo"], $vetor, '', "");
                    ?>
                </div>
                <?php if ((CLIENTE_EMAIL == 'modus') || (CLIENTE_EMAIL == 'zigzag')) { ?>
                    <div class="campo">
                        <label for="Senha_Funcionario" key="Senha_Funcionario" class="tr">Senha Funcionrio</label>
                        <input type="password" name="Senha_Funcionario" id="Senha_Funcionario"
                            value="<?php echo $_POST["Senha_Funcionario"]; ?>" onblur="buscaFunc();">
                    </div>
                    <div class="campo">
                        <?php
                        $funci = mysqli_query($con, "SELECT Id,Titulo FROM funcionario WHERE Id='" . $_POST["Funcionario"] . "'");
                        $funci = mysqli_fetch_assoc($funci);
                        $_POST["Funcionario"] = $funci["Id"];
                        $_POST["Nome_Funcionario"] = $funci["Titulo"];
                        ?>
                        <label for="Funcionario" key="Funcionario" class="tr">Responsvel</label>
                        <div id="divFuncionario">
                            <span><?php echo $_POST["Nome_Funcionario"]; ?></span>
                            <input type="hidden" name="Funcionario" id="Funcionario"
                                value="<?php echo $_POST["Funcionario"]; ?>">
                        </div>
                    </div>
                <?php } else {

                    if ($_POST["Funcionario"] == '') {
                        $_POST["Funcionario"] = $_SESSION["Id_Funcionario"];
                    }
                    if ($_POST["Funcionario"] == '') {
                        $_POST["Funcionario"] = '1';
                    }
                    ?>
                    <input type="hidden" name="Funcionario" id="Funcionario" value="<?php echo $_POST["Funcionario"]; ?>">
                <?php } ?>

                <div class="campo">
                    <label for="Senha_Site" key="Senha_Site" class="tr">Senha Site</label>
                    <div id="DivSenha">
                        <input type="text" name="Senha_Site" id="Senha_Site"
                            value="<?php echo $_POST["Senha_Site"]; ?>">
                    </div>
                </div>
                <div class="campo">
                    <label for="Regime_Especial">Regime Especial</label>
                    <div id="Lista_Regime_Especial">
                        <?php
                        echo select_banco(
                            "Select Id, Titulo from ncm_tabela WHERE Tipo='C' order by Titulo",
                            "Regime_Especial",
                            "Regime_Especial",
                            $_POST["Regime_Especial"],
                            '',
                            ""
                        );
                        ?>
                    </div>
                </div>
                <input type='hidden' name='Regime_Especial_Hidden' id='Regime_Especial_Hidden' value=''>
                <div class="campo">
                    <label for="Button">&nbsp;</label>
                    <input class="botao_novo" type="button" value="Novo" name="Novo_Regime_Especial"
                        id="Novo_Regime_Especial"
                        onclick="window.open('../ncm_tabela/list_ncm_tabela.php?tipo=C','Regime_Especial','width=600,height=500,top=0,left=0,scrollbars=yes');">
                </div>
            </fieldset>

            <fieldset class="grupo">
                <div class="campo" style="width: 150px">
                    <label for="Cfop" key="Cfop" class="tr">Cfop</label>
                    <?php
                    echo select_banco(
                        "Select Id, CONCAT(Cfop, ' - ',Titulo) as Titulo from cfop WHERE UPPER(SUBSTRING(Cfop, 1, 1)) >= '5' AND Ativo = 'Sim' ORDER BY Titulo ",
                        "Cfop",
                        "Cfop",
                        $_POST["Cfop"],
                        '',
                        ""
                    );
                    ?>
                </div>
                <div class="campo" style="width: 15%">
                    <label for="Frete" key="Frete" class="tr">Frete</label>
                    <?php
                    $vetor = array(
                        '' => '',
                        '0=Contratao do Frete por conta do Remetente (CIF)' => '0=Contratao do Frete por conta do Remetente (CIF)',
                        '1=Contratao do Frete por conta do Destinatrio (FOB)' => '1=Contratao do Frete por conta do Destinatrio (FOB)',
                        '2=Contratao do Frete por conta de Terceiros' => '2=Contratao do Frete por conta de Terceiros',
                        '3=Transporte Prprio por conta do Remetente' => '3=Transporte Prprio por conta do Remetente',
                        '4=Transporte Prprio por conta do Destinatrio' => '4=Transporte Prprio por conta do Destinatrio',
                        '9=Sem Ocorrncia de Transporte' => '9=Sem Ocorrncia de Transporte'
                    );
                    select_tela("Frete", "Frete", $_POST["Frete"], $vetor, '', "");
                    ?>
                </div>
                <div class="campo">
                    <label for="Transportadora" key="Transportadora" class="tr">Transportadora</label>
                    <?php
                    if (FORNECEDOR_RAZAO_SOCIAL == 'Sim') {
                        $nome = 'Razao_Social';
                    } else {
                        $nome = 'Titulo';
                    }
                    echo select_banco(
                        "SELECT Id,$nome as Titulo FROM fornecedor WHERE Tipo = 'T' order by Titulo",
                        "Transportadora",
                        "Transportadora",
                        $_POST["Transportadora"],
                        'style="width:200px"',
                        ""
                    )
                        ?>
                </div>
                <div class="campo">
                    <label for="Como_Conheceu" key="Como_Conheceu" class="tr">Como Conheceu</label>
                    <?php
                    echo select_banco(
                        "Select Id,Titulo from como_conheceu order by Titulo",
                        "Como_Conheceu",
                        "Como_Conheceu",
                        $_POST["Como_Conheceu"],
                        'style="width:200px"',
                        ""
                    )
                        ?>
                </div>

                <?php
                $readonly = '';
                if (LIMITE_CREDITO != 'Sim') {
                    $readonly = 'readonly="readonly" ';
                }

                if (VALOR_LIMITE_CREDITO > 0 && $_GET["acao"] == "entrar") {
                    $_POST["Limite_Credito"] = VALOR_LIMITE_CREDITO;
                }
                ?>
                <div class="campo">
                    <label for="Limite_Credito" key="Limite_Credito" class="tr">Limite Crdito</label>
                    <input type="text" <?php echo $readonly; ?> name="Limite_Credito" id="Limite_Credito"
                        value="<?php echo valor_exibir($_POST["Limite_Credito"]); ?>" class="money"
                        onblur="fazerValor(this.value,'Limite_Credito');">
                </div>
            </fieldset>

            <fieldset class="grupo">
                <div class="campo" style="width: 80%">
                    <label for="Obs_Danfe" key="Obs_Danfe" class="tr">Obs Danfe</label>
                    <input type="text" name="Obs_Danfe" id="Obs_Danfe" value="<?php echo $_POST["Obs_Danfe"]; ?>">
                </div>
            </fieldset>

            <fieldset class="grupo">
                <div class="campo">
                    <label for="Atividade" key="Atividade" class="tr"><?php echo $ast; ?>Atividade Financeira</label>
                    <div id="Lista_Atividade">
                        <?php
                        if (ATIVIDADE_LIVRE == 'No') {
                            $atv = " AND atividade.Tipo = 'Credito' AND atividade.Ativo='Sim' ";
                        }
                        echo select_atividade(
                            "SELECT DISTINCT categoria_atividade.Id,
                                            CONCAT(categoria_atividade.Codigo,' ',categoria_atividade.Titulo) as Titulo
                                            FROM categoria_atividade
                                            INNER JOIN atividade ON categoria_atividade.Id = atividade.Id_Categoria_Atividade
                                            WHERE 1=1 $atv
                                            GROUP BY categoria_atividade.Id
                                            order by REPLACE(categoria_atividade.Codigo,'.','')",
                            "SELECT atividade.Id, CONCAT(Titulo,' ',Codigo) as Titulo
                                            FROM atividade
                                            WHERE 1=1 $atv ",
                            "ORDER BY abs(REPLACE(atividade.Codigo,'.','')) ",
                            "Atividade",
                            "Atividade",
                            $_POST["Atividade"],
                            'style="width: 320px"',
                            ""
                        );
                        ?>
                    </div>
                    <input type='hidden' name='Atividade_Hidden' id='Atividade_Hidden' value=''>
                </div>
                <div class="campo">
                    <label for="Button">&nbsp;</label>
                    <input class="botao_novo" type="button" value="Novo" name="Novo_Cliente" id="Novo_Cliente"
                        onclick="window.open('cad_novo_atividade.php','Atividade','width=600,height=500,top=0,left=0,scrollbars=yes');">
                </div>
                <div class="campo">
                    <label for="Centro_Custo"><?php echo $ast; ?>Centro Custo</label>
                    <?php echo select_banco(
                        "SELECT Id,Titulo FROM centro_custo WHERE Id_Pai = '' AND Ativo='Sim' ORDER BY Titulo",
                        "Centro_Custo",
                        "Centro_Custo",
                        $_POST["Centro_Custo"],
                        "style='width:200px'",
                        ""
                    );
                    ?>
                </div>
                <?php
                //se o sistema for Multi Empresa
                if (MULTI_EMPRESA == "Sim") {

                    //se o usuario master ele escolhe pra quem vai
                    if (ESCOLHER_EMPRESA == 'Sim') {
                        ?>
                        <div class="campo">
                            <label for="Unidade" key="Unidade" class="tr">* Empresa</label>
                            <?php echo select_banco(
                                "SELECT Id,Titulo FROM unidade WHERE Ativo='Sim' ORDER BY Titulo",
                                "Unidade",
                                "Unidade",
                                $_POST["Unidade"],
                                "style='width:200px'",
                                ""
                            );
                            ?>
                        </div>
                        <?php
                        //se no for, a unidade sempre ser a sua
                    } else {
                        echo "<input type='hidden' name='Unidade' id='Unidade' value='" . $_SESSION["Unidade"] . "' >";
                    }
                } else {
                    echo "<input type='hidden' name='Unidade' id='Unidade' value='" . $_SESSION["Unidade"] . "' >";
                }
                ?>
                <div class="campo">
                    <label for="Latitude">Latitude</label>
                    <input type="text" name="Latitude" id="Latitude" value="<?php echo $_POST["Latitude"]; ?>">
                </div>
                <div class="campo">
                    <label for="Longitude">Longitude</label>
                    <input type="text" name="Longitude" id="Longitude" value="<?php echo $_POST["Longitude"]; ?>">
                </div>
            </fieldset>

            <fieldset class="grupo">
                <legend key="Contatos" class="tr">Contatos</legend>
                <div class="campo">
                    <label for="Titulo_Contato" key="Titulo_Contato" class="tr">Contato</label>
                    <input type="text" name="Titulo_Contato" id="Titulo_Contato"
                        value="<?php echo $_POST["Titulo_Contato"]; ?>">
                </div>
                <div class="campo">
                    <label for="Fone_Contato" key="Fone_Contato" class="tr">Fone</label>
                    <input type="text" name="Fone_Contato" id="Fone_Contato"
                        value="<?php echo $_POST["Fone_Contato"]; ?>">
                </div>
                <div class="campo">
                    <label for="Celular_Contato" key="Celular_Contato" class="tr">Celular/WhatsApp</label>
                    <input type="text" name="Celular_Contato" id="Celular_Contato"
                        value="<?php echo $_POST["Celular_Contato"]; ?>">
                </div>
                <div class="campo">
                    <label for="Email_Contato" key="Email_Contato" class="tr">E-mail</label>
                    <input type="text" name="Email_Contato" id="Email_Contato"
                        value="<?php echo $_POST["Email_Contato"]; ?>">
                </div>
                <div class="campo" style="width: 140px">
                    <label for="Aniversario_Contato" key="Aniversario_Contato" class="tr">Aniversrio</label>
                    <input type="text" name="Aniversario_Contato" id="Aniversario_Contato"
                        value="<?php echo $_POST["Aniversario_Contato"]; ?>" style="width: 80%">
                </div>
                <div class="campo">
                    <label for="Cargo_Contato" key="Cargo_Contato" class="tr">Cargo</label>
                    <input type="text" name="Cargo_Contato" id="Cargo_Contato"
                        value="<?php echo $_POST["Cargo_Contato"]; ?>">
                </div>
                <div class="campo" style="width: 15%">
                    <label for="Contato_Operacional" key="Contato_Operacional" class="tr">C. Operacional</label>
                    <?php
                    $vetor = array('Sim' => 'Sim', 'No' => 'No');
                    select_tela("Contato_Operacional", "Contato_Operacional", $_POST["Contato_Operacional"], $vetor, 'style="width: 60%; float: left"', '');
                    ?>
                    <input class="botao_novo" style="float: right" type="button" value="Add" onclick="CriarLinha();">
                </div>
            </fieldset>

            <fieldset class="grupo">
                <div id="DivContatos"></div>
            </fieldset>


            <fieldset class="grupo">
                <legend key="Ref_Comercial" class="tr">Ref Comercial</legend>
                <div class="campo">
                    <label for="Empresa_Comercial" key="Empresa_Comercial" class="tr">Empresa</label>
                    <input type="text" name="Empresa_Comercial" id="Empresa_Comercial"
                        value="<?php echo $_POST["Empresa_Comercial"]; ?>">
                </div>
                <div class="campo">
                    <label for="Titulo_Comercial" key="Titulo_Comercial" class="tr">Contato</label>
                    <input type="text" name="Titulo_Comercial" id="Titulo_Comercial"
                        value="<?php echo $_POST["Titulo_Comercial"]; ?>">
                </div>
                <div class="campo">
                    <label for="Fone_Comercial" key="Fone_Comercial" class="tr">Fone</label>
                    <input type="text" name="Fone_Comercial" id="Fone_Comercial"
                        value="<?php echo $_POST["Fone_Comercial"]; ?>">
                </div>
                <div class="campo">
                    <label for="Celular_Comercial" key="Celular_Comercial" class="tr">Celular</label>
                    <input type="text" name="Celular_Comercial" id="Celular_Comercial"
                        value="<?php echo $_POST["Celular_Comercial"]; ?>">
                </div>
                <div class="campo">
                    <label for="Email_Comercial" key="Email_Comercial" class="tr">E-mail</label>
                    <input type="text" name="Email_Comercial" id="Email_Comercial"
                        value="<?php echo $_POST["Email_Comercial"]; ?>">
                </div>
                <div class="campo">
                    <label for="Cargo_Comercial" key="Cargo_Comercial" class="tr">Cargo</label>
                    <input type="text" name="Cargo_Comercial" id="Cargo_Comercial"
                        value="<?php echo $_POST["Cargo_Comercial"]; ?>">
                </div>
                <div class="campo">
                    <label for="Botao">&nbsp;</label>
                    <input class="botao_novo" style="float: right" type="button" value="Add" onclick="CriarLinha1();">
                </div>
            </fieldset>

            <fieldset class="grupo">
                <div id="DivComercial"></div>
            </fieldset>


            <fieldset class="grupo">
                <legend key="Ref_Bancaria" class="tr">Ref Bancria</legend>
                <div class="campo">
                    <label for="Titulo_Bancaria" key="Titulo_Bancaria" class="tr">Contato</label>
                    <input type="text" name="Titulo_Bancaria" id="Titulo_Bancaria"
                        value="<?php echo $_POST["Titulo_Bancaria"]; ?>">
                </div>
                <div class="campo">
                    <label for="Fone_Bancaria" key="Fone_Bancaria" class="tr">Fone</label>
                    <input type="text" name="Fone_Bancaria" id="Fone_Bancaria"
                        value="<?php echo $_POST["Fone_Bancaria"]; ?>">
                </div>
                <div class="campo">
                    <label for="Celular_Bancaria" key="Celular_Bancaria" class="tr">Celular</label>
                    <input type="text" name="Celular_Bancaria" id="Celular_Bancaria"
                        value="<?php echo $_POST["Celular_Bancaria"]; ?>">
                </div>
                <div class="campo">
                    <label for="Email_Bancaria" key="Email_Bancaria" class="tr">E-mail</label>
                    <input type="text" name="Email_Bancaria" id="Email_Bancaria"
                        value="<?php echo $_POST["Email_Bancaria"]; ?>">
                </div>
                <div class="campo">
                    <label for="Cargo_Bancaria" key="Cargo_Bancaria" class="tr">Cargo</label>
                    <input type="text" name="Cargo_Bancaria" id="Cargo_Bancaria"
                        value="<?php echo $_POST["Cargo_Bancaria"]; ?>">
                </div>
                <div class="campo">
                    <label for="Botao">&nbsp;</label>
                    <input class="botao_novo" style="float: right" type="button" value="Add" onclick="CriarLinha2();">
                </div>
            </fieldset>

            <fieldset class="grupo">
                <div id="DivBancaria"></div>
            </fieldset>

            <fieldset class="grupo">
                <legend key="Unidade" class="tr">Dados Bancrios</legend>
                <div class="campo">
                    <label for="Banco">Banco</label>
                    <div id="Lista_Banco">
                        <?php
                        echo select_banco("Select Id, CONCAT(Titulo) as Titulo from banco order by Titulo", "Banco", "Banco", $_POST["Banco"], "", "");
                        ?>
                    </div>
                </div>
                <input type='hidden' name='Banco_Hidden' id='Banco_Hidden' value=''>
                <div class="campo">
                    <label for="Button">&nbsp;</label>
                    <input class="botao_novo" type="button" value="Novo" name="Novo_Banco" id="Novo_Banco"
                        onclick="window.open('../banco/list_banco.php','Banco','width=600,height=500,top=0,left=0,scrollbars=yes');">
                </div>
                <div class="campo">
                    <label for="Agencia" key="Agencia" class="tr">Agncia</label>
                    <input type="text" name="Agencia" id="Agencia" value="<?php echo $_POST["Agencia"]; ?>">
                </div>
                <div class="campo">
                    <label for="Conta" key="Conta" class="tr">Conta</label>
                    <input type="text" name="Conta" id="Conta" value="<?php echo $_POST["Conta"]; ?>">
                </div>
                <div class="campo">
                    <label for="Nome_Titular" key="Nome_Titular" class="tr">Titular</label>
                    <input type="text" name="Nome_Titular" id="Nome_Titular"
                        value="<?php echo $_POST["Nome_Titular"]; ?>">
                </div>
                <div class="campo">
                    <label for="Obs_Banco" key="Obs_Banco" class="tr">Complemento</label>
                    <input type="text" name="Obs_Banco" id="Obs_Banco" value="<?php echo $_POST["Obs_Banco"]; ?>">
                </div>
                <div class="campo">
                    <label for="Botao">&nbsp;</label>
                    <input class="botao_novo" style="float: right" type="button" value="Add" onclick="CriarLinha3();">
                </div>
            </fieldset>

            <fieldset class="grupo">
                <div id="DivBanco"></div>
            </fieldset>

            <?php if (CLIENTE_EMAIL == 'terrasanta' || CLIENTE_EMAIL == 'costazul' || CLIENTE_EMAIL == 'gw' || CLIENTE_EMAIL == 'beiradeiro') { ?>
                <fieldset class="grupo">
                    <legend>Veculos</legend>
                    <div class="campo">
                        <label for="Modelo">Modelo</label>
                        <input type="text" name="Modelo" id="Modelo" value="<?php echo $_POST["Modelo"]; ?>">
                    </div>
                    <div class="campo" style="width: 10%;">
                        <label for="Placa">Placa</label>
                        <input type="text" name="Placa" id="Placa" value="<?php echo $_POST["Placa"]; ?>">
                    </div>
                    <div class="campo" style="width: 10%;">
                        <label for="Ano">Ano</label>
                        <input type="text" name="Ano" id="Ano" value="<?php echo $_POST["Ano"]; ?>">
                    </div>
                    <div class="campo" style="width: 10%;">
                        <label for="Cor">Cor</label>
                        <input type="text" name="Cor" id="Cor" value="<?php echo $_POST["Cor"]; ?>">
                    </div>
                    <div class="campo">
                        <label for="Chassis">Chassis</label>
                        <input type="text" name="Chassis" id="Chassis" value="<?php echo $_POST["Chassis"]; ?>">
                    </div>
                    <div class="campo" style="width: 10%;">
                        <label for="Km">Km</label>
                        <input type="text" name="Km" id="Km" value="<?php echo valor_exibir($_POST["Km"]); ?>" class="money"
                            onblur="fazerValor(this.value,'Km')">
                    </div>
                    <div class="campo">
                        <label for="botao">&nbsp;</label>
                        <input class="botao_novo" style="float: right" type="button" value="Add" onclick="CriarVeiculo();">
                    </div>
                </fieldset>

                <fieldset class="grupo">
                    <div id="DivVeiculos"></div>
                </fieldset>
            <?php } ?>

            <fieldset class="grupo">
                <legend key="Contrato_C" class="tr">Contrato</legend>
                <div class="campo">
                    <label for="Contrato" key="Contrato" class="tr">Adeso</label>
                    <input type="text" name="Contrato" id="Contrato"
                        value="<?php echo valor_exibir($_POST["Contrato"]); ?>" class="money"
                        onblur="fazerValor(this.value,'Contrato')">
                </div>
                <div class="campo">
                    <label for="Mensalidade" key="Mensalidade" class="tr">Mensalidade</label>
                    <input type="text" name="Mensalidade" id="Mensalidade"
                        value="<?php echo valor_exibir($_POST["Mensalidade"]); ?>" class="money"
                        onblur="fazerValor(this.value,'Mensalidade')">
                </div>
                <div class="campo" style="width: 140px">
                    <label for="Inicio_Contrato" key="Inicio_Contrato" class="tr">Incio Contrato</label>
                    <input type="text" name="Inicio_Contrato" id="Inicio_Contrato"
                        value="<?php echo $_POST["Inicio_Contrato"]; ?>" style="width: 80%">
                </div>
                <div class="campo" style="width: 140px">
                    <label for="Fim_Contrato" key="Fim_Contrato" class="tr">Fim Contrato</label>
                    <input type="text" name="Fim_Contrato" id="Fim_Contrato"
                        value="<?php echo $_POST["Fim_Contrato"]; ?>" style="width: 80%">
                </div>
                <div class="campo">
                    <?php if ($_POST["Exibir_Contrato"] == '')
                        $_POST["Exibir_Contrato"] = 'Sim'; ?>
                    <label for="Exibir_Contrato" key="Exibir_Contrato" class="tr">Exibir no Alerta Contrato</label>
                    <input type="checkbox" name="Exibir_Contrato" id="Exibir_Contrato" value="Exibir_Contrato" <?php if ($_POST["Exibir_Contrato"] == 'Sim')
                        echo "checked='checked' "; ?>>
                </div>
            </fieldset>

            <!-- Contratos nos modulos do sistema -->

            <?php include 'contrato_cliente.php'; ?>

            <!-- Fim Contratos nos modulos do sistema -->

            <fieldset class="grupo">
                <legend key="Tipo_Pagamento" class="tr">Tipos de Pagamentos</legend>
                <div class="campo">
                    <label for="Tipo_Pagamento" key="Tipo_Pagamento" class="tr">Tipos de Pagamentos</label>
                    <?php
                    echo select_banco(
                        "Select Id, Titulo from tipo_pagamento WHERE Ativo='Sim' order by Titulo",
                        "Tipo_Pagamento",
                        "Tipo_Pagamento",
                        $_POST["Tipo_Pagamento"],
                        "style='width:280px'",
                        ""
                    )
                        ?>
                </div>
                <div class="campo">
                    <label for="botao">&nbsp;</label>
                    <input class="botao_novo" type="button" value="Add" onclick="CriarTipo();">
                </div>
            </fieldset>

            <fieldset class="grupo">
                <div id="DivTipo"></div>
            </fieldset>

            <?php if (CLIENTE_EMAIL == 'coffeebar') { ?>
                <fieldset class="grupo">
                    <legend>Mquinas</legend>
                    <div class="campo">
                        <label for="Fabricante_Maquina">Fabricante</label>
                        <input type="text" name="Fabricante_Maquina" id="Fabricante_Maquina" value="">
                    </div>
                    <div class="campo">
                        <label for="Serie_Maquina">N Srie</label>
                        <input type="text" name="Serie_Maquina" id="Serie_Maquina" value="">
                    </div>
                    <div class="campo">
                        <label for="Modelo_Maquina">Modelo</label>
                        <input type="text" name="Modelo_Maquina" id="Modelo_Maquina" value="">
                    </div>
                    <div class="campo">
                        <label for="Cor_Maquina">Cor</label>
                        <input type="text" name="Cor_Maquina" id="Cor_Maquina" value="">
                    </div>
                    <div class="campo">
                        <label for="Voltagem_Maquina">Voltagem</label>
                        <input type="text" name="Voltagem_Maquina" id="Voltagem_Maquina" value="">
                    </div>
                    <div class="campo">
                        <label for="botao">&nbsp;</label>
                        <input class="botao_novo" type="button" value="Add" onclick="CriarMaquina();">
                    </div>
                </fieldset>

                <fieldset class="grupo">
                    <div id="DivMaquina"></div>
                </fieldset>
            <?php } ?>


            <fieldset class="grupo">
                <legend key="Enderecos" class="tr">Endereos</legend>
                <?php
                if ($_POST["Radio_Endereco_Cobranca"] == "No") {
                    $exibirDivCob = "style='display:block;'";
                } else {
                    $exibirDivCob = "style='display:none;'";
                }
                ?>
                <div class="campo">
                    <label for="Endereco_Cobranca" key="Endereco_Cobranca" class="tr">End. Cobrana</label>
                    <?php
                    $vetor = array('Sim' => 'Sim', 'No' => 'No');
                    select_tela("Radio_Endereco_Cobranca", "Radio_Endereco_Cobranca", $_POST["Radio_Endereco_Cobranca"], $vetor, "onchange='End_Cob(this.value);'", "");
                    ?>
                    &nbsp;&nbsp;<font face="verdana" size="1" color="#CD2626" key="Repetir_Cobranca" class="tr">
                        <i>Deseja repetir endereo para cobrana?</i></font>
                </div>
            </fieldset>

            <fieldset class="grupo">
                <!-- A DIV ESTA SENDO MANIPULADA COM CSS -->
                <div id="Div_End_Cob" <?php echo $exibirDivCob; ?>>


                    <div class="campo">
                        <label for="Estado_Cobranca" key="Estado_Cobranca" class="tr">Estado</label>
                        <?php
                        if ($_POST["Estado_Cobranca"] == "") {
                            //$_POST["Estado_Cobranca"]="PE";
                        }
                        $vetor = array(
                            '' => 'Estados',
                            'AC' => 'Acre',
                            'AL' => 'Alagoas',
                            'AP' => 'Amap',
                            'AM' => 'Amazonas',
                            'BA' => 'Bahia',
                            'CE' => 'Cear',
                            'DF' => 'Distrito Federal',
                            'GO' => 'Gois',
                            'ES' => 'Esprito Santo',
                            'MA' => 'Maranho',
                            'MT' => 'Mato Grosso',
                            'MS' => 'Mato Grosso do Sul',
                            'MG' => 'Minas Gerais',
                            'PA' => 'Par',
                            'PB' => 'Paraba',
                            'PR' => 'Paran',
                            'PE' => 'Pernambuco',
                            'PI' => 'Piau',
                            'RJ' => 'Rio de Janeiro',
                            'RN' => 'Rio Grande do Norte',
                            'RS' => 'Rio Grande do Sul',
                            'RO' => 'Rondnia',
                            'RR' => 'Rorima',
                            'SP' => 'So Paulo',
                            'SC' => 'Santa Catarina',
                            'SE' => 'Sergipe',
                            'TO' => 'Tocantis'
                        );
                        select_tela("Estado_Cobranca", "Estado_Cobranca", $_POST["Estado_Cobranca"], $vetor, 'onchange="comboEstadoCobranca(this.value);"', "");
                        ?>
                        <input type="hidden" name="Id_Estado_Cobranca" id="Id_Estado_Cobranca"
                            value="<?php echo $_POST["Estado_Cobranca"]; ?>">
                    </div>
                    <div class="campo">
                        <label for="Cidade_Cobranca" key="Cidade_Cobranca" class="tr">Cidade</label>
                        <div id="divCidade_Cobranca">
                            <?php
                            echo select_banco(
                                "Select Id,Titulo from cidade_ibge WHERE Uf='" . $_POST["Estado_Cobranca"] . "' order by Titulo",
                                "Cidade_Cobranca",
                                "Cidade_Cobranca",
                                $_POST["Cidade_Cobranca"],
                                '',
                                ""
                            );
                            ?>
                        </div>
                    </div>


                    <div class="campo">
                        <label for="Endereco_Cobranca" key="Endereco_Cobranca" class="tr">Endereo</label>
                        <input type="text" name="Endereco_Cobranca" id="Endereco_Cobranca"
                            value="<?php echo $_POST["Endereco_Cobranca"]; ?>">
                    </div>
                    <div class="campo">
                        <label for="Cep_Cobranca" key="Cep_Cobranca" class="tr">Cep</label>
                        <input type="text" name="Cep_Cobranca" id="Cep_Cobranca"
                            value="<?php echo $_POST["Cep_Cobranca"]; ?>">
                    </div>
                    <div class="campo">
                        <label for="Bairro_Cobranca" key="Bairro_Cobranca" class="tr">Bairro</label>
                        <input type="text" name="Bairro_Cobranca" id="Bairro_Cobranca"
                            value="<?php echo $_POST["Bairro_Cobranca"]; ?>">
                    </div>


                </div>

            </fieldset>

            <fieldset class="grupo">
                <?php
                /* Para manipular o Id do cliente criei esta forma de pegar a SESSION */
                if ($_GET["acao"] == "alterar") {
                    $modo_cod_cliente = $_GET["id_cliente"];
                } else {
                    $modo_cod_cliente = $_POST["Codigo_Cliente"];
                }
                ?>
                <div class="campo">
                    <label for="Endereco_Entrega" key="Endereco_Entrega" class="tr">End. Entrega</label>
                    <input class="botao_novo" type="button" value="Cadastrar End. Entrega" name="Novo_Area"
                        id="Novo_Area"
                        onclick="window.open('./endereco_entrega.php?id_cliente=<?php echo $modo_cod_cliente; ?>','EnderecoEntrega', 'width=570,height=800,top=0,left=0,scrollbars=yes');">
                </div>
                <!-- <?php
                $vetor = array('Sim' => 'Sim', 'No' => 'No');
                select_tela("Radio_Endereco_Entrega", "Radio_Endereco_Entrega", $_POST["Radio_Endereco_Entrega"], $vetor, "onchange='End_Ent(this.value);'", "");
                ?>
                    &nbsp;&nbsp;<font face="verdana" size="1" color="#CD2626"><i>Deseja repetir endereo para entrega?</i></font> -->
                </div>

            </fieldset>

            <fieldset class="grupo">
                <!-- A DIV ESTA SENDO MANIPULADA COM CSS -->
                <!-- <div id="Div_End_Ent" <?php echo $exibirDivEnt; ?>>

                    <div class="campo">
                        <label for="Estado_Entrega" key="Estado_Entrega" class="tr">Estado</label>
                        <?php
                        if ($_POST["Estado_Entrega"] == "") {
                            //$_POST["Estado_Entrega"]="PE";
                        }
                        $vetor = array(
                            '' => 'Estados',
                            'AC' => 'Acre',
                            'AL' => 'Alagoas',
                            'AP' => 'Amap',
                            'AM' => 'Amazonas',
                            'BA' => 'Bahia',
                            'CE' => 'Cear',
                            'DF' => 'Distrito Federal',
                            'GO' => 'Gois',
                            'ES' => 'Esprito Santo',
                            'MA' => 'Maranho',
                            'MT' => 'Mato Grosso',
                            'MS' => 'Mato Grosso do Sul',
                            'MG' => 'Minas Gerais',
                            'PA' => 'Par',
                            'PB' => 'Paraba',
                            'PR' => 'Paran',
                            'PE' => 'Pernambuco',
                            'PI' => 'Piau',
                            'RJ' => 'Rio de Janeiro',
                            'RN' => 'Rio Grande do Norte',
                            'RS' => 'Rio Grande do Sul',
                            'RO' => 'Rondnia',
                            'RR' => 'Rorima',
                            'SP' => 'So Paulo',
                            'SC' => 'Santa Catarina',
                            'SE' => 'Sergipe',
                            'TO' => 'Tocantis'
                        );
                        select_tela("Estado_Entrega", "Estado_Entrega", $_POST["Estado_Entrega"], $vetor, 'onchange="comboEstadoEntrega(this.value);"', "");
                        ?>
                        <input type="hidden" name="Id_Estado_Entrega" id="Id_Estado_Entrega" value="<?php echo $_POST["Estado_Entrega"]; ?>">
                    </div>
                    <div class="campo">
                        <label for="Cidade_Entrega" key="Cidade_Entrega" class="tr">Cidade</label>
                        <div id="divCidade_Entrega">
                            <?php
                            echo select_banco(
                                "Select Id,Titulo from cidade_ibge WHERE Uf='" . $_POST["Estado_Entrega"] . "' order by Titulo",
                                "Cidade_Entrega",
                                "Cidade_Entrega",
                                $_POST["Cidade_Entrega"],
                                '',
                                ""
                            );
                            ?>
                        </div>
                    </div>


                    <div class="campo">
                        <label for="Endereco_Entrega" key="Endereco_Entrega" class="tr">Endereo</label>
                        <input type="text" name="Endereco_Entrega" id="Endereco_Entrega" value="<?php echo $_POST["Endereco_Entrega"]; ?>">
                    </div>
                    <div class="campo">
                        <label for="Cep_Entrega" key="Cep_Entrega" class="tr">Cep</label>
                        <input type="text" name="Cep_Entrega" id="Cep_Entrega" value="<?php echo $_POST["Cep_Entrega"]; ?>">
                    </div>
                    <div class="campo">
                        <label for="Bairro_Entrega" key="Bairro_Entrega" class="tr">Bairro</label>
                        <input type="text" name="Bairro_Entrega" id="Bairro_Entregaa" value="<?php echo $_POST["Bairro_Entrega"]; ?>">
                    </div>

                </div> -->
            </fieldset>

            <fieldset class="grupo">
                <legend>Foto</legend>

                <div class="campo">
                    <label for="Foto">Foto</label>
                    <input type="file" name="Foto" id="Foto">
                    <font size="1" color="#CD2626">Para alterar a imagem, selecione a nova imagem e salve-a.</font>
                </div>
                <?php if ($_GET["acao"] == "alterar") { ?>
                    <label for="Logo">Foto</label>
                    <label for="Logo">
                        <?php
                        $chave = false;
                        if (file_exists("foto/" . $_POST["Foto"] . "")) {
                            $chave = true;
                            echo "<img src=\"foto/" . $_POST["Foto"] . "\"/>";
                        }

                        if (!$chave) {
                            echo 'No h imagem a ser exibida!';
                        }
                        ?>
                    </label>
                <?php } ?>
            </fieldset>

            <input type="hidden" name="Codigo_Cliente" id="Codigo_Cliente" value="<?php echo $modo_cod_cliente; ?>">
            <input type="hidden" name="Opcao_Ver" id="Opcao_Ver" value="<?php echo $_GET["status"]; ?>">
            <input type="hidden" name="Limite_Credito_Anterior" id="Limite_Credito_Anterior"
                value="<?php echo $_POST["Limite_Credito"]; ?>">
            <input type="hidden" name="Data_Serasa_Anterior" id="Data_Serasa_Anterior"
                value="<?php echo $_POST["Data_Serasa"]; ?>">

            <?php
            if (!$_GET["status"]) {
                if ($_GET["acao"] == "alterar") { ?>
                    <button class="bt_cadastro" type="submit" name="Alterar" value="Salvar">Salvar</button>
                <?php } else { ?>
                    <button class="bt_cadastro" type="submit" name="Cadastrar" value="Salvar">Salvar</button>
                <?php }
            } ?>
            <button class="botao" type="button" value="Voltar"
                onclick="location.href='list_cliente.php?acao=entrar'">Voltar</button>

        </fieldset>

    </form>

    <?php
    if ($_GET['id_cliente']) {
        $tabela_criacao = "cliente";
        $id_corrente = $_GET['id_cliente'];
        include "../include/script_criacao.php";
        /* ARQUIVO ONDE MOSTRA QUEM CRIOU E QUEM ATUALIZOU*/
    }
    ?>
    <div id="retorno"></div>
    <?php include "../include/rodape.php"; ?>