<?php
include_once "../include/conecta.php"; //Conecta com a nosso banco de dados MySQL
ini_set('session.gc_maxlifetime', 60 * 120);
session_start();
/* include_once "../include/ver_sessao.php"; //Verifica se a sesso est ativa */
include_once "../include/funcoesPhp.php"; //Inclue a pgina con todas as funes a ser usada.
?>
<?php
$clinica_registro_paciente = listar("SELECT clinica_registro_paciente.Id,
					clinica_registro_paciente.Lancamento,
					clinica_registro_paciente.Status,
					clinica_registro_paciente.Data_Registro,
					clinica_registro_paciente.Obs as 'Obs_clinica_registro_paciente',
					clinica_registro_paciente.Id_Unidade,
					clinica_registro_paciente.Receituario_Titulo,
					clinica_registro_paciente.Receituario_Paciente,
					cliente.Titulo as 'Cliente',
                    especialista.Titulo as 'Especialista'
 					FROM clinica_registro_paciente
 					LEFT JOIN (SELECT Id,Titulo FROM cliente) as cliente ON cliente.Id = clinica_registro_paciente.Id_Cliente
 					LEFT JOIN (SELECT Id,Titulo FROM especialista) as especialista ON especialista.Id = clinica_registro_paciente.Id_Especialista
 					WHERE clinica_registro_paciente.Id = '" . $_GET["id_registro_paciente"] . "'
					ORDER BY clinica_registro_paciente.Lancamento DESC");

if ($clinica_registro_paciente[0]["Id_Unidade"])
	$_GET["Id_Unidade_Usuario"] = $clinica_registro_paciente[0]["Id_Unidade"];

?>
<html>

<head>
	<title>Gw - Gesto Web</title>
	<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1" />
	<link rel="shortcut icon" href="../imagem/favi_gw.ico" type="image/x-icon" />
	<link rel="stylesheet" type="text/css" href="../estilo/<?php echo SKIN; ?>/tabela_imp.css" />
	<script type="text/javascript" language="javascript" src="../js/jquery.js"></script>
	<?php include '../include/script_cabeca.php'; ?>
	<script type="text/javascript" language="javascript" src="../js/script.js"></script>
	<script type="text/javascript" language="javascript">
		$(document).ready(function() {
			function slideout() {
				setTimeout(function() {
						$("#response").slideUp("slow", function() {});
					},
					2000);
			}
			$(".inlineEdit").bind("click", updateText);
			var OrigText, NewText;
			$(".save").live("click", function() {
				$("#loading").fadeIn('slow');
				NewText = $(this).siblings("form").children(".edit").val();
				var id = $(this).parent().attr("id");
				//var data = '?id=' + id + '&text=' + NewText;
				var data = 'id=' + id + '&text=' + NewText;
				$.post("edit.php", data, function(response) {
					$("#retorno").html(response);
					$("#response").slideDown('slow');
					slideout();
					$("#loading").fadeOut('slow');
				});
				$(this).parent().removeClass("selected").bind("click", updateText).html(NewText);
				// recarregar();
			});
			$(".revert").live("click", function() {
				$(this).parent().html(OrigText).removeClass("selected").bind("click", updateText);
			});

			function updateText() {
				$('span').removeClass("inlineEdit");
				OrigText = $(this).html();
				$(this).addClass("selected").html('<form><textarea class="edit" rows="8" cols="90">' + OrigText +
					'</textarea></form><a href="#" class="save"><img src="../js/editing/images/save.png" border="0" width="48" height="15"/></a> <a href="#" class="revert"><img src="../js/editing/images/cancel.png" border="0" width="58" height="15"/></a>').unbind('click', updateText);
			}

			// function recarregar() {
			// 	setTimeout(function() {
			// 		location.reload();
			// 	}, 1000);
			// }

		});
	</script>

	<style>
		.checkbox-container {
			display: flex;
			justify-content: space-between;
			margin-bottom: 10px;
		}
	</style>
</head>

<body>

	<table width="98%" align="center"><!-- TABELA Q ENVOLVE TODO O CONTEUDO -->
		<tr>
			<td>
				<?php include "../include/cabecalho_pedido.php"; ?>
			</td>
		</tr>
	</table>
	<header>

		<h2 style="text-align:center" class="inlineEdit" id="P<?php echo $clinica_registro_paciente[0]["Id"] . "-Receituario_Titulo"; ?>" style="cursor: pointer;" alt="Clique para Editar !" title="Clique para Editar !">
			<?php
			if ($clinica_registro_paciente[0]["Receituario_Titulo"] == "") {
				echo "Receiturio";
			} else {
				echo $clinica_registro_paciente[0]["Receituario_Titulo"];
			}
			?>
		</h2>
		<!-- <h2 style="text-align:center">Receiturio</h2> -->
	</header>
	<section>
		<span class="inlineEdit" id="P<?php echo $clinica_registro_paciente[0]["Id"] . "-Receituario_Paciente"; ?>" style="cursor: pointer;" alt="Clique para Editar !" title="Clique para Editar !">
			<?php
			if ($clinica_registro_paciente[0]["Receituario_Paciente"] == "") {
				echo "Prescrio.";
			} else {
				echo $clinica_registro_paciente[0]["Receituario_Paciente"];
			}
			?>
		</span>
	</section>
	<table width="98%" align="center">
		<tr>
			<td align="center">________________________</td>
		</tr>
		<tr>
			<td align="center">
				<font face="verdana" size="2">Enfermeiro(a) / Carimbo: <?php echo $clinica_registro_paciente[0]["Especialista"]; ?></font>
			</td>
		</tr>
	</table>

	<br>
</body>

</html>
<?php include "../include/rodape.php"; ?>