<?php
include_once '../include/conecta.php'; //Conecta com a nosso banco de dados MySQL
include_once '../include/ver_sessao.php'; //Verifica se a sesso est ativa
include_once '../include/funcoesPhp.php';
include_once '../menu_movimento.php';
?>
<?php
if (($_GET["Em_Andamento"]) || ($_GET["Reagendado"]) || ($_GET["Realizado"]) || ($_GET["Cancelado"])) {

    $status = "and (";

    if ($_GET["Em_Andamento"]) {
        $status .= " coleta.Status = 'Em Andamento' OR";
    }
    if ($_GET["Reagendado"]) {
        $status .= " coleta.Status = 'Reagendado' OR";
    }
    if ($_GET["Realizado"]) {
        $status .= " coleta.Status = 'Realizado' OR";
    }
    if ($_GET["Cancelado"]) {
        $status .= " coleta.Status = 'Cancelado' OR";
    }

    $status = substr($status, 0, -2);
    $status .= ")";
}

if ($_GET["De"])
    $data .= "AND coleta.Data_Coleta >= '" . data_banco($_GET["De"]) . " 00:00:00' ";
if ($_GET["Ate"])
    $data .= "AND coleta.Data_Coleta <= '" . data_banco($_GET["Ate"]) . " 23:59:59' ";


if ($_GET["Cliente"]) {

    $mystring = $_GET["Cliente"];
    $findme = " : ";

    $posicao = strpos($mystring, $findme);

    $cod_cli = substr($_GET["Cliente"], 0, $posicao);
    $nome_cli = substr($_GET["Cliente"], ($posicao + 3));


    if (CLIENTE_RAZAO_SOCIAL == 'Sim') {
        $nome = 'Razao_Social';
    } else {
        $nome = 'Titulo';
    }
    /* convertendo o nome do cliente, para o seu codigo */
    $Prodt = listar("SELECT Id FROM cliente WHERE " . $nome . " ='" . $nome_cli . "' AND Codigo = '" . $cod_cli . "' ");

    if ($Prodt[0]["Id"] == '') {
        $Prodt = listar("SELECT Id FROM fornecedor WHERE " . $nome . " ='" . $nome_cli . "' AND Codigo = '" . $cod_cli . "' ");
    }

    $_GET["Cliente"] = $Prodt[0]["Id"];

    $Cliente .= "and coleta.Id_Cliente = '" . $_GET["Cliente"] . "' ";
}

if ($_GET["Produto"]) {

    $mystring = $_GET["Produto"];
    $findme = " : ";

    $posicao = strpos($mystring, $findme);

    $cod_cli = substr($_GET["Produto"], 0, $posicao);
    $nome_cli = substr($_GET["Produto"], ($posicao + 3));


    /* convertendo o nome do cliente, para o seu codigo */
    $Prodt = listar("SELECT Id FROM produto WHERE Titulo='" . $nome_cli . "' AND Codigo = '" . $cod_cli . "' ");
    $_GET["Produto"] = $Prodt[0]["Id"];

    $venda_produto = "and coleta_produto.Id_Produto = '" . $_GET["Produto"] . "' ";
}
if ($_GET["Funcionario"]) {
    $Motorista .= "and veiculo.Id_Motorista = '" . $_GET["Funcionario"] . "' ";
}
if ($_GET["Unidade"]) {
    $Unidade .= "and coleta.Id_Unidade = '" . $_GET["Unidade"] . "' ";
}
if ($_GET["Veiculo"]) {
    $Veiculo .= "and coleta.Id_Veiculo = '" . $_GET["Veiculo"] . "' ";
}
if ($_GET["Transportadora"]) {
    $Veiculo .= "and coleta.Id_Transportadora = '" . $_GET["Transportadora"] . "' ";
}

if ($_GET["Ok"]) {
    $veic = mysqli_query($con, "Select DISTINCT coleta.Id_Veiculo,
                                    CONCAT(veiculo.Modalidade,' - ',veiculo.Placa) as Veiculo
                                    from coleta
                                    left join (SELECT Id,Modalidade,Placa,Id_Motorista FROM veiculo WHERE 1=1 ) as veiculo ON coleta.Id_Veiculo = veiculo.Id
                                    WHERE 1=1
                                    $data $Cliente $venda_produto $Unidade $Veiculo $status $Motorista
                                    order by Veiculo ");
}
?>
<?php ob_start(); /* Inicia o fluxo */ ?>
<html>
    <head>
        <script type="text/javascript" language="javascript" src="../js/jquery.js"></script>
<?php include '../include/script_cabeca.php'; ?>
        <script type="text/javascript" language="javascript" src="../js/script.js"></script>
        <script type="text/javascript" language="javascript" src="../js/meiomask/meiomask.js"></script>
        <script type="text/javascript" language="javascript" src="../js/meiomask/<?php if (PAIS == "USA") {
    echo "mascaras-usa";
} else {
    echo "mascaras";
} ?>.js"></script>
    </head>
    <body>

        <table width="100%" align="center">
            <tr>
                <td>
                    <font face="verdana" size="2"><i>Relatrio de Proatividade Veculo</i></font>
                </td>
            </tr>
            <tr>
                <td><font face="verdana" size="2">
                    <?php
                    if ($_GET["De"]) {
                        echo "Perodo: " . $_GET["De"];
                    }
                    if ($_GET["Ate"]) {
                        echo "  " . $_GET["Ate"];
                    }
                    if ($_GET["Cliente"]) {
                        if (CLIENTE_RAZAO_SOCIAL == 'Sim') {
                            $nome = 'Razao_Social';
                        } else {
                            $nome = 'Titulo';
                        }
                        $achar = listar("Select " . $nome . " as Titulo from cliente
			where Id = '" . $_GET["Cliente"] . "' ");
                        echo " - " . $achar[0]["Titulo"];
                    }
                    if ($_GET["Produto"]) {
                        $achar = listar("Select Titulo from produto
			where Id = '" . $_GET["Produto"] . "' ");
                        echo " - " . $achar[0]["Titulo"];
                    }
                    if ($_GET["Cancelado"]) {
                        echo " - " . $_GET["Cancelado"];
                    }
                    if ($_GET["Finalizado"]) {
                        echo " - " . $_GET["Finalizado"];
                    }
                    if ($_GET["Aberto"]) {
                        echo " - " . $_GET["Aberto"];
                    }
                    //se o sistema for Multi Empresa
                    if ((MULTI_EMPRESA == "Sim") && ($_SESSION["Id_Nivel"] == '1')) {

                        if ($_GET["Unidade"]) {
                            $achar = listar("Select Titulo from unidade
						where Id = '" . $_GET["Unidade"] . "' ");
                            echo " - " . $achar[0]["Titulo"];
                        }
                    }
                    ?>
                    </font>	
                </td>
            </tr>
        </table>
        <table width="100%" class="tabela">

<?php
if ($_GET["Ok"]) {

    while ($chave = mysqli_fetch_assoc($veic)) {
        ?>
                    <tr class="cinza">
                        <td colspan="4">Veculo: <b><?php echo $chave["Veiculo"] ?></b></td>
                    </tr>
                    <tr>
                        <td>Data</td>
                        <td>Cliente</td>
                        <td>Peso</td>
                        <td>Km Rodado</td>
                    </tr>
        <?php
        if (CLIENTE_RAZAO_SOCIAL == 'Sim') {
            $nome = 'Razao_Social';
        } else {
            $nome = 'Titulo';
        }
        $produto = mysqli_query($con, "Select coleta.Data_Coleta,
                            coleta.Peso_Coleta,
                            coleta.Km_Rodado,
                            cliente.Codigo,
                            cliente.$nome as Cliente
                            FROM coleta
                            LEFT JOIN 
                            (
                            (SELECT Id,Titulo,Codigo,Razao_Social,Rua,Numero,Cep,Complemento,Bairro,Cidade FROM cliente)
                            UNION
                            (SELECT Id,Titulo,Codigo,Razao_Social,Rua,Numero,Cep,Complemento,Bairro,Cidade FROM fornecedor)
                            )
                            as cliente ON coleta.Id_Cliente = cliente.Id
                            WHERE coleta.Id_Veiculo = '" . $chave["Id_Veiculo"] . "' 
                            $data
                            ORDER BY Data_Coleta ");
        ?>
                    <?php
                    $color = "#F5F5F5";
                    $vpeso = '0';
                    $vkm = '0';
                    while ($valor = mysqli_fetch_assoc($produto)) {

                        if ($color == "#F5F5F5") {
                            $color = "#E8E8E8";
                        } else {
                            $color = "#F5F5F5";
                        }
                        ?>
                        <tr bgcolor=<?php echo "$color"; ?>>
                            <td><?php echo data_exibir($valor["Data_Coleta"]) . " " . substr($valor["Data_Coleta"], -8) ?></td>
                            <td><?php echo $valor["Codigo"] . " : " . $valor["Cliente"] ?></td>
                            <td><?php echo $valor["Peso_Coleta"] ?></td>
                            <td><?php echo $valor["Km_Rodado"] ?></td>
                        </tr>
            <?php
            $vpeso = $valor["Peso_Coleta"];
            $vkm = $valor["Km_Rodado"];

            $vtpeso = $valor["Peso_Coleta"];
            $vtkm = $valor["Km_Rodado"];
        }
        ?>
                    <tr>
                        <td colspan="2">Total: </td>
                        <td><?php echo $vpeso ?></td>
                        <td><?php echo $vkm ?></td>
                    </tr>
                    <tr>
                        <td colspan="4">&nbsp;</td>
                    </tr>
        <?php
    }
    ?>
                <tr>
                    <td colspan="2">Totais: </td>
                    <td><?php echo $vtpeso ?></td>
                    <td><?php echo $vtkm ?></td>
                </tr>
<?php } ?>
        </table>
        <br>
    </body>
</html>
<?php
$html = ob_get_contents();
ob_end_clean();

include_once "../include/excel_opcao.php";
?>