<?php
include_once "../include/conecta.php"; //Conecta com a nosso banco de dados MySQL
ini_set('session.gc_maxlifetime', 60*120); session_start();
/* include_once "../include/ver_sessao.php"; //Verifica se a sesso est ativa */
include_once "../include/funcoesPhp.php"; //Inclue a pgina con todas as funes a ser usada.

?>
<?php 
               $comanda = listar("Select comanda.Id,
 					comanda.Lancamento,
 					comanda.Status,
 					comanda.Data_Comanda,
 					comanda.Obs as 'Obs_Comanda',
 					comanda.Valor_Original,
 					comanda.Valor_Pago,
                                        comanda.Desconto,
                                        comanda.Desconto_Real,
 					cliente.Titulo as 'Cliente',
 					cliente.Email,
 					cliente.Natureza,
 					cliente.Cpf_Cnpj,
 					cliente.Rua,
                                        cliente.Numero,
 					cliente.Cep,
 					cliente.Bairro,
 					cliente.Estado,
 					cliente.Fone1,
 					cliente.Obs as 'Obs_Cliente',
                                        cidade_ibge.Titulo as Cidade,
 					funcionario.Titulo as 'Funcionario'
 					from comanda
 					left join cliente ON cliente.Id = comanda.Id_Cliente
                                        left join cidade_ibge ON cidade_ibge.Id = cliente.Id_Cidade
 					left join funcionario ON funcionario.Id = comanda.Id_Funcionario
 					where comanda.Id = '".$_GET["id_comanda"]."'
					order by comanda.Lancamento DESC");

//var_dump($comanda[0]);
?>
<html>
<head>
<title>Gw - Gesto Web</title>
<link rel="stylesheet" type="text/css" href="../estilo/<?php echo SKIN ;?>/tabela_imp.css" />
<script type="text/javascript" language="javascript" src="../js/jquery.js"></script>
<?php include '../include/script_cabeca.php'; ?>
<script type="text/javascript" language="javascript" src="../js/script.js"></script>
<script type="text/javascript" language="javascript" src="../js/meiomask/meiomask.js"></script>
<script type="text/javascript" language="javascript" src="../js/meiomask/<?php if(PAIS=="USA"){ echo "mascaras-usa"; }else{ echo "mascaras"; }?>.js"></script>
</head>
<body>

<table width="98%" align="center"><!-- TABELA Q ENVOLVE TODO O CONTEUDO -->
<tr>
	<td>
		<?php include "../include/cabecalho_pedido.php"; ?>
	</td>
</tr>
<tr>
	<td>
		<br/>
		<table width="100%" align="center">
			<tr>
                            <td colspan="2" align="center">
                                <font face="verdana" size="3">
                                    <b><i>Recibo</i></b>
                                </font>
                            </td>
			</tr>
			<tr>
                            <td width="55%">
                                <font face="verdana" size="2">
                                    Responsvel: <?php echo $comanda[0]["Funcionario"];?>
                                </font>
                            </td>
                            <td width="45%">
                                <font face="verdana" size="2">N Ordem: </font>
                                    <b>
                                        <font face="verdana" size="4">
                                            <?php echo $comanda[0]["Lancamento"];?>
                                        </font>
                                    </b>
                            </td>
			</tr>
		</table>
	</td>
</tr>
<tr>
	<td>
		<table width="100%" align="center" class="tabela">
			<tr>
				<td colspan="2"><i>Dados do Servio</i></td>
			</tr>
			<tr>
				<td colspan="2">Emisso: <?php echo data_exibir($comanda[0]["Data_Comanda"]);?></td>
			</tr>
			<tr>
				<td width="70%">Cliente: <?php echo $comanda[0]["Cliente"];?></td>
				<td width="30%">Fone: <?php echo $comanda[0]["Fone1"];?></td>
			</tr>
			<tr>
				<td width="70%">End: <?php echo $comanda[0]["Endereco"];?></td>
				<?php if($comanda[0]["Natureza"] == "PF"){?>
				<td width="30%">CPF: <?php echo $comanda[0]["Cpf_Cnpj"];?></td>
				<?php }else{?>
				<td width="30%">CNPJ: <?php echo $comanda[0]["Cpf_Cnpj"];?></td>
				<?php }?>
			</tr>
			<tr>
				<td width="70%"><?php echo 'Bairro:'.$comanda[0]["Bairro"].' Cidade:'.
                                                                                $comanda[0]["Cidade"].' UF:'.
                                                                                $comanda[0]["Estado"];?></td>
				<td width="30%">CEP: <?php echo $comanda[0]["Cep"];?></td>
			</tr>
			<tr>
				<td colspan="2">Obs: <?php echo $comanda[0]["Obs_Cliente"];?></td>
			</tr>
		</table>
	</td>
</tr>
<tr>
	<td>
		<table width="100%" align="center" class="tabela">
			<tr>
				<td colspan="9"><i>Servios</i></td>
			</tr>
			<tr class="azul-claro">
				<td width="3%">N</td>
				<td width="10%">Cdigo</td>
				<td width="22%">Produto</td>
				<td width="36%">Descrio</td>
				<td width="5%">Qtd</td>
				<td width="8%">Valor</td>
				<td width="8%">Desc %</td>
                                <td width="8%">Desc $</td>
				<td width="8%">Total</td>
			</tr>
			<?php

               $comanda_ser = listar("Select comanda_servico.Preco as 'Preco_Comanda',
 					comanda_servico.Qtd as 'Qtd_Comanda',
 					comanda_servico.Desconto as 'Desconto_Comanda',
                                        comanda_servico.Desconto_Real,
 					servico.Titulo as 'Servico',
 					servico.Descricao,
 					servico.Codigo
 					from comanda_servico
 					left join servico ON servico.Id = comanda_servico.Id_Servico
 					where comanda_servico.Id_Comanda = '".$_GET["id_comanda"]."' ");

                        $x=1; foreach($comanda_ser as $chave){?>

			<tr>
				<td><?php echo $x;?></td>
				<td><?php echo $chave["Codigo"];?></td>
				<td><?php echo $chave["Servico"];?></td>
				<td><?php echo $chave["Descricao"];?></td>
				<td><?php echo $chave["Qtd_Comanda"];?></td>
				<td><?php echo number_format($chave["Preco_Comanda"],2,',','.');?></td>
				<td><?php echo number_format($chave["Desconto_Comanda"],2,',','.');?></td>
                                <td><?php echo number_format($chave["Desconto_Real"],2,',','.');?></td>
				<td>
                                    <?php echo number_format( ( ($chave['Qtd_Comanda']*$chave['Preco_Comanda']) - ( ($chave['Qtd_Comanda']*$chave['Preco_Comanda']) * ($chave['Desconto_Comanda']/100) ) ) - $chave['Desconto_Real'],2,',','.');?></td>
                                </td>
			</tr>
			<?php
			$Qtd_Comanda+= $chave["Qtd_Comanda"];
			$Preco_Comanda+=$chave["Preco_Comanda"];
			$Desconto_Comanda+=$chave["Desconto_Comanda"];
                        $Desconto_Real+=$chave["Desconto_Real"];
			$Total+=( ($chave["Preco_Comanda"]*$chave["Qtd_Comanda"])-
					(($chave["Preco_Comanda"]*$chave["Qtd_Comanda"])*($chave["Desconto_Comanda"]/100)) ) - $chave['Desconto_Real'];
			$x++; }
			?>
                        <!--
			<tr>
				<td colspan="3"></td>
				<td>Totais da Comanda:</td>
				<td><?php echo $Qtd_Comanda;?></td>
				<td><?php echo number_format($Preco_Comanda,2,',','.');?></td>
				<td><?php echo number_format($Desconto_Comanda/($x-1),2,',','.');?></td>
                                <td><?php echo number_format($Desconto_Real/($x-1),2,',','.');?></td>
				<td><?php echo number_format($Total,2,',','.');?></td>
			</tr>
                        -->
                        <tr>
				<td colspan="3"></td>
				<td colspan="3">Totais da Comanda:</td>
				<td><?php echo number_format($comanda[0]["Desconto"],2,',','.');?></td>
                                <td><?php echo number_format($comanda[0]["Desconto_Real"],2,',','.');?></td>
				<td><?php echo number_format(( ( $Total - ( $Total*($comanda[0]["Desconto"]/100) ) ) - $comanda[0]["Desconto_Real"]),2,',','.');?></td>
                                
			</tr>
		</table>
	</td>
</tr>
<tr>
	<td>
		<table width="100%" align="center" class="tabela">
			<tr>
				<td colspan="9"><i>Produtos Utilizados</i></td>
			</tr>
			<tr class="azul-claro">
				<td width="3%">N</td>
				<td width="10%">Cdigo</td>
				<td width="22%">Produto</td>
				<td width="36%">Descrio</td>				
				<td width="8%">Medida</td>
                                <td width="5%">Qtd</td>
			</tr>
			<?php

               $comanda_pro = listar("Select comanda_servico_produto.Medida,
 					comanda_servico_produto.Qtd as 'Qtd_Comanda',
 					produto.Titulo as 'Produto',
 					produto.Descricao,
 					produto.Codigo
 					from comanda_servico_produto
 					left join produto ON produto.Id = comanda_servico_produto.Id_Servico_Produto
 					where comanda_servico_produto.Id_Comanda = '".$_GET["id_comanda"]."' ");

                        $x=1; foreach($comanda_pro as $chave1){?>

			<tr>
				<td><?php echo $x;?></td>
				<td><?php echo $chave1["Codigo"];?></td>
				<td><?php echo $chave1["Produto"];?></td>
				<td><?php echo $chave1["Descricao"];?></td>
                                <td><?php echo $chave1["Medida"];?></td>
				<td><?php echo $chave1["Qtd_Comanda"];?></td>
			</tr>
			<?php
			$Qtd_Comanda1+= $chave1["Qtd_Comanda"];
			$x++; }
			?>
			<tr>
				<td colspan="3"></td>
				<td colspan="2">Totais da Comanda:</td>
				<td><?php echo $Qtd_Comanda1;?></td>
			</tr>
		</table>
	</td>
</tr>
<?php
/*
        $comanda_parcela = listar("Select comanda.Id,
					conta_receber.Lancamento,
					conta_receber.Data_Vencimento,
					conta_receber.Valor_Original, 
 					tipo_pagamento.Titulo as 'Tipo_Pagamento'
 					from comanda
 					left join tipo_pagamento ON tipo_pagamento.Id = comanda.Id_Tipo_Pagamento
 					left join conta_receber ON conta_receber.Id_Externo = comanda.Id
 					where comanda.Id = '".$_GET["id_comanda"]."'
					order by comanda.Lancamento DESC");
*/
?>
<!--
<tr>
	<td>
		<table width="100%" align="center" class="tabela">
			<tr>
				<td colspan="4"><i>Parcelas</i></td>
			</tr>
			<tr class="azul-claro">
				<td>N</td>
				<td>Vencimento</td>
				<td>Valor</td>
				<td>Tipo</td>
			</tr>
			<?php $x=1; foreach($comanda_parcela as $chave){?>
			<tr>
				<td><?php echo $x;?></td>
				<td><?php echo data_exibir($chave["Data_Vencimento"])?></td>
				<td><?php echo number_format($chave["Valor_Original"],2,',','.')?></td>
				<td><?php echo $chave["Tipo_Pagamento"]?></td>
			</tr>
			<?php $x++; }?>
		</table>
	</td>
</tr>
-->
</table>
<br/><br/>
<table width="98%" align="center">
	<tr>
		<td align="center">________________________</td>
		<td align="center">________________________</td>
	</tr>
	<tr>
		<td align="center"><font face="verdana" size="2"><?php echo $comanda[0]["Cliente"];?></font></td>
		<td align="center"><font face="verdana" size="2"><?php echo $comanda[0]["Funcionario"];?></font></td>
	</tr>
</table>

<br>
</body>
</html>
<?php include "../include/rodape.php";?>