<?php
include_once '../../include/conecta.php'; //Conecta com a nosso banco de dados MySQL
ini_set('session.gc_maxlifetime', 60 * 120);
session_start();
/* include_once '../include/ver_sessao.php'; //Verifica se a sesso est ativa */
include_once '../../include/funcoesPhp.php';
include_once '../../menu_movimento.php';

if (!$_GET["Unidade"]) {
    $_GET["Unidade"] = $_SESSION["Unidade"];
}
$empresa = listar("SELECT unidade.Logo,
                            unidade.Titulo,
                            unidade.Cnpj,
                            unidade.Rua,
                            unidade.Numero,
                            unidade.Bairro,
                            unidade.Razao_Social,
                            cidade.Titulo as Cidade,
                            unidade.Estado,
                            unidade.Cep,
                            unidade.Fone1,
                            unidade.Fone2,
                            unidade.Email,
                            unidade.Site
                       FROM unidade
                       left join (SELECT Id as Codigo,Titulo,Uf FROM cidade_ibge) as cidade ON cidade.Codigo = unidade.Id_Cidade
                      WHERE Id = '" . $_GET["Unidade"] . "' ");

$cliente = listar("SELECT cliente.Titulo,
                        cliente.Razao_Social,
                        cliente.Natureza,
                        cliente.Cpf_Cnpj,
                        cliente.Rua,
                        cliente.Numero,
                        cliente.Bairro,
                        cliente.Cidade,
                        cliente.Estado,
                        cliente.Estadual,
                        cliente.Cep,
                        cliente.Email,
                        cliente.Email2,
                        cliente.Contato,
                        cliente.Fone1,
                        comodato.Id,
                        comodato.Lancamento,
                        comodato.Parcela,
                        comodato.Valor_Pago,
                        comodato.Texto1,
                        comodato.Texto2,
                        comodato.Texto3,
                        comodato.Texto4,
                        comodato.Texto5,
                        comodato.Texto6,
                        comodato.Texto7,
                        comodato.Texto8,
                        comodato.Texto9,
                        comodato.Texto10,
                        comodato.Texto11,
                        comodato.Texto12,
                        comodato.Texto13,
                        comodato.Rua_Contrato,
                        comodato.Numero2_Contrato,
                        comodato.Bairro_Contrato,
                        comodato.Cidade_Contrato,
                        comodato.Uf_Contrato,
                        comodato.Cep_Contrato,
                        comodato.Contato_Contrato,
                        comodato.Fone_Contrato,
                        comodato.Local_Contrato,
                        comodato.Valor_Pago,
                        comodato.Email1_Contrato,
                        comodato.Email2_Contrato
                        FROM comodato
                        LEFT JOIN (SELECT Id,Titulo,Natureza,Cpf_Cnpj,Rua,Numero,Bairro,Cidade,Estado,Cep,Email,Email2,Contato,Fone1,Estadual,Razao_Social FROM cliente) as cliente on cliente.Id = comodato.Id_Cliente
 			            WHERE comodato.Id = '" . $_GET["id_comodato"] . "' ");


$comodato_pro = listar("SELECT DISTINCT comodato_produto.Id,
                                        comodato_produto.Preco as 'Preco_Comodato',
                                        SUM(comodato_produto.Preco)as Total_Produto,
                                        comodato_produto.Qtd as 'Qtd_Comodato',
                                        comodato_produto.Desconto as 'Desconto_Comodato',
                                        comodato_produto.Desconto_Real,
                                        comodato_produto.Numero_Serie,
                                        comodato_produto.Data,
                                        produto.Titulo as 'Produto',
                                        produto.Descricao,
                                        produto.Codigo
                                        FROM comodato_produto
                                        LEFT JOIN (SELECT Id,Titulo,Descricao,Codigo FROM produto) as  produto ON produto.Id = comodato_produto.Id_Produto
                                        WHERE comodato_produto.Id_Comodato = '" . $_GET["id_comodato"] . "'
                                        AND Tipo = 'Emprestado' ");
?>
<html>

<head>
    <title>Gw - Gesto Web</title>
    <link rel="stylesheet" type="text/css" href="../../estilo/tabela_imp.css" />
    <script type="text/javascript" language="javascript" src="../../js/jquery.js"></script>
    <?php include '../../include/script_cabeca.php'; ?>
    <script type="text/javascript" language="javascript" src="../../js/script.js"></script>
    <script type="text/javascript" language="javascript">
        //window.onload = function(){
        //window.print();
        //}
    </script>
    <style type="text/css" media="print">
        thead {
            display: table-header-group;
        }

        tfoot {
            display: table-footer-group;
        }

        thead th,
        thead td {
            position: static;
        }

        thead tr {
            position: static;
        }

        /*prevent problem if print after scrolling table*/
        table tfoot tr {
            position: static;
        }
    </style>
    <script type="text/javascript" language="javascript">
        $(document).ready(function() {
            function slideout() {
                setTimeout(function() {
                        $("#response").slideUp("slow", function() {});
                    },
                    2000);
            }
            $(".inlineEdit").bind("click", updateText);
            var OrigText, NewText;
            $(".save").live("click", function() {
                $("#loading").fadeIn('slow');
                NewText = $(this).siblings("form").children(".edit").val();
                var id = $(this).parent().attr("id");
                //var data = '?id=' + id + '&text=' + NewText;
                var data = 'id=' + id + '&text=' + NewText;
                $.post("edit.php", data, function(response) {
                    $("#retorno").html(response);
                    $("#response").slideDown('slow');
                    slideout();
                    $("#loading").fadeOut('slow');
                });
                $(this).parent().html(NewText).removeClass("selected").bind("click", updateText);
                recarregar();
            });
            $(".revert").live("click", function() {
                $(this).parent().html(OrigText).removeClass("selected").bind("click", updateText);
            });

            function updateText() {
                $('li').removeClass("inlineEdit");
                OrigText = $(this).html();
                $(this).addClass("selected").html('<form><textarea class="edit" rows="3" cols="64">' + OrigText +
                    '</textarea></form><a href="#" class="save"><img src="../../js/editing/images/save.png" border="0" width="48" height="15"/></a> <a href="#" class="revert"><img src="../../js/editing/images/cancel.png" border="0" width="58" height="15"/></a>'
                ).unbind('click', updateText);
            }

            function recarregar() {
                setTimeout(function() {
                    location.reload();
                }, 1000);
            }

        });
    </script>
</head>

<body>
    <table width="98%" align="center">
        <!-- TABELA Q ENVOLVE TODO O CONTEUDO -->
        <thead>
            <tr>
                <td>
                    <table width="90%" align="center">
                        <?php

                        if (!$_GET["Unidade"]) {
                            $_GET["Unidade"] = $_SESSION["Unidade"];
                        }

                        $empresa = listar("SELECT unidade.Logo,
                                                  unidade.Titulo,
                                                  unidade.Cnpj,
                                                  unidade.Rua,
                                                  unidade.Numero,
                                                  unidade.Complemento,
                                                  unidade.Bairro,
                                                  unidade.Cidade,
                                                  unidade.Estado,
                                                  unidade.Cep,
                                                  unidade.Fone1,
                                                  unidade.Fone2,
                                                  unidade.Email,
                                                  unidade.Site
                                             FROM unidade 
                                            WHERE Id = '" . $_GET["Unidade"] . "' ");
                        ?>
                        <tr>
                            <td width="40%">
                                <?php
                                if (file_exists("../unidade/foto/" . $empresa[0]["Logo"] . "")) {
                                    $cam_arq = "../unidade/foto/" . $empresa[0]["Logo"];
                                } else {
                                    $cam_arq = "../../unidade/foto/" . $empresa[0]["Logo"];
                                }
                                ?>
                                <img src="<?php echo $cam_arq; ?>" title="Logo" alt="Logo" border="0" width="250px" height="auto" />

                            <td>
                                <font size="2"><b>Cnpj:</b> <?php echo cnpj_exibir($empresa[0]['Cnpj']) ?><br>
                                    <b>Fone:</b> 81 3436 2888 / 98826-8555
                                </font>
                            </td>
                        </tr>
                    </table>
                </td>
            </tr>
        </thead>
    </table>
    </td>
    </tr>
    </thead>
    <tr>
        <td>
            <table width="100%">
                <tr>
                    <td align="justify">
                        <b>
                            <center>
                                <font size="4">CONTRATO DE COMODATO DE GARRAFES</font>
                            </center>
                        </b>
                        <br />
                        <br />
                        <b>COMODANTE:</b> DoAnjo, com sede na Hosana Alves do Nascimento, 59, Bairro: Janga, CEP.:
                        53439-270,
                        Cidade: Paulista/PE, Inscrio Estadual 0833289-47 no CNPJ sob o n 33.919.140/0001-17, neste
                        ato
                        representada pelo senhor Ronaldo Luiz dos Santos, Brasileiro, estado civil: Unio Estvel,
                        Empresrio,
                        portador da cdula de identidade R.G. n 4074846 SDS/PE, e CPF n 754263664-20, residente e
                        domiciliado
                        na Rua Trs, 210, Bairro: Janga/PE, CEP.: 53439-520;
                        <br><br>
                        COMODATRIA: Razo Social:<b><?php echo $cliente[0]["Razao_Social"]; ?></b>, com sede na Rua
                        <b><?php echo $cliente[0]["Rua"] . ", " . $cliente[0]["Numero"] . ", " . $cliente[0]["Bairro"] . " - " . $cliente[0]["Cidade"] . " - " . $cliente[0]["Estado"]; ?></b>.
                        CEP <b><?php echo $cliente[0]["Cep"] . " - " . $cliente[0]["Fone1"] ?></b> ,<?php
                                                                                                    if ($cliente[0]["Natureza"] == "PF") {
                                                                                                        echo "inscrita no CPF de n.: " . '<b>' . cpf_exibir($cliente[0]['Cpf_Cnpj']) . '</b>';
                                                                                                    } else {
                                                                                                        echo "inscrita no CNPJ de n.: " . '<b>' . cnpj_exibir($cliente[0]['Cpf_Cnpj']) . '</b>';
                                                                                                    }
                                                                                                    ?>
                        , e no IDT/Cadastro Estadual sob o n <b><?php echo $cliente[0]["Estadual"] ?></b>,
                        neste ato representada pelo senhor:
                        <span class="inlineEdit" id="C<?php echo $_GET["id_comodato"] . "-Texto1"; ?>" style="cursor: pointer;" alt="Clique para Editar !" title="Clique para Editar !">
                            <?php
                            if ($cliente[0]["Texto1"]) {
                                echo $cliente[0]["Texto1"];
                            } else {
                                echo "____________________________________";
                            }
                            ?>
                        </span>,
                        nacionalidade:
                        <span class="inlineEdit" id="C<?php echo $_GET["id_comodato"] . "-Texto2"; ?>" style="cursor: pointer;" alt="Clique para Editar !" title="Clique para Editar !">
                            <?php
                            if ($cliente[0]["Texto2"]) {
                                echo $cliente[0]["Texto2"];
                            } else {
                                echo "____________________________________";
                            }
                            ?>
                        </span>,
                        estado civil:
                        <span class="inlineEdit" id="C<?php echo $_GET["id_comodato"] . "-Texto3"; ?>" style="cursor: pointer;" alt="Clique para Editar !" title="Clique para Editar !">
                            <?php
                            if ($cliente[0]["Texto3"]) {
                                echo $cliente[0]["Texto3"];
                            } else {
                                echo "____________________________________";
                            }
                            ?>
                        </span>,
                        Profisso:
                        <span class="inlineEdit" id="C<?php echo $_GET["id_comodato"] . "-Texto4"; ?>" style="cursor: pointer;" alt="Clique para Editar !" title="Clique para Editar !">
                            <?php
                            if ($cliente[0]["Texto4"]) {
                                echo $cliente[0]["Texto4"];
                            } else {
                                echo "____________________________________";
                            }
                            ?>
                        </span>,
                        portador da cdula de identidade
                        R.G. n <span class="inlineEdit" id="C<?php echo $_GET["id_comodato"] . "-Texto5"; ?>" style="cursor: pointer;" alt="Clique para Editar !" title="Clique para Editar !">
                            <?php
                            if ($cliente[0]["Texto5"]) {
                                echo $cliente[0]["Texto5"];
                            } else {
                                echo "____________________________________";
                            }
                            ?>
                        </span> e
                        CPF/MF n <span class="inlineEdit" id="C<?php echo $_GET["id_comodato"] . "-Texto6"; ?>" style="cursor: pointer;" alt="Clique para Editar !" title="Clique para Editar !">
                            <?php
                            if ($cliente[0]["Texto6"]) {
                                echo $cliente[0]["Texto6"];
                            } else {
                                echo "____________________________________";
                            }
                            ?>
                        </span>,
                        residente e domiciliado <span class="inlineEdit" id="C<?php echo $_GET["id_comodato"] . "-Texto7"; ?>" style="cursor: pointer;" alt="Clique para Editar !" title="Clique para Editar !">
                            <?php
                            if ($cliente[0]["Texto7"]) {
                                echo $cliente[0]["Texto7"];
                            } else {
                                echo "na Rua/AV:____________________________________, n________, Bairro: __________________, CEP.;_______________________, Cidade/PE.";
                            }
                            ?>
                        </span>
                        <br><br>
                        As partes acima identificadas acordam com o presente Contrato de Comodato de Garrafes de gua e
                        Vasilhames de Gs, que se reger pelas clusulas seguintes:
                        <br><br>
                        <b>DO OBJETO DO CONTRATO</b><br><br>
                        <b>Clusula 1.</b> O OBJETO do presente instrumento  a transferncia, pela COMODANTE 
                        COMODATRIA,
                        dos direitos de uso e gozo de <span class="inlineEdit" id="C<?php echo $_GET["id_comodato"] . "-Texto8"; ?>" style="cursor: pointer;" alt="Clique para Editar !" title="Clique para Editar !">
                            <?php
                            if ($cliente[0]["Texto8"]) {
                                echo $cliente[0]["Texto8"];
                            } else {
                                echo "________";
                            }
                            ?>
                        </span>
                        GARRAFES DE GUA DE 20LITROS. 
                        <span class="inlineEdit" id="C<?php echo $_GET["id_comodato"] . "-Texto8"; ?>" style="cursor: pointer;" alt="Clique para Editar !" title="Clique para Editar !"></span>
                            <table width="100%" align="center" st class="tabela">
                                <tr>
                                    <td colspan="10"><i><b>Produtos em Comodato</b></i></td>
                                </tr>
                                <tr>
                                    <td>&nbsp;</td>
                                </tr>
                                <tr class="azul-claro">
                                    <td width="3%">N</td>
                                    <td width="10%">Cdigo</td>
                                    <td width="22%">Produto</td>
                                    <td width="5%">Qtd</td>
                                    <td width="8%">Valor</td>
                                    <td width="8%">Total</td>
                                </tr>
                                <?php $x = 1;
                                foreach ($comodato_pro as $chave) {
                                ?>

                                    <tr>
                                        <td><?php echo $x; ?></td>
                                        <td><?php echo $chave["Codigo"]; ?></td>
                                        <td><?php echo $chave["Produto"]; ?></td>
                                        <td><?php echo $chave["Qtd_Comodato"]; ?></td>
                                        <td><?php echo number_format($chave["Preco_Comodato"], 2, ',', '.'); ?></td>
                                        <td>
                                            <?php echo number_format((($chave['Qtd_Comodato'] * $chave['Preco_Comodato']) - (($chave['Qtd_Comodato'] * $chave['Preco_Comodato']) * ($chave['Desconto_Comodato'] / 100))) - $chave['Desconto_Real'], 2, ',', '.'); ?>
                                        </td>
                    </td>
                </tr>
            <?php
                                    $Qtd_Comodato += $chave["Qtd_Comodato"];
                                    $Preco_Comodato += $chave["Preco_Comodato"];
                                    $Desconto_Comodato += $chave["Desconto_Comodato"];
                                    $Desconto_Real += $chave["Desconto_Real"];
                                    $Total += (($chave["Preco_Comodato"] * $chave["Qtd_Comodato"]) -
                                        (($chave["Preco_Comodato"] * $chave["Qtd_Comodato"]) * ($chave["Desconto_Comodato"] / 100))) - $chave['Desconto_Real'];
                                    $x++;
                                }
            ?>
            </table>
            <br><br><br>
            <b>DO USO</b>
            <br>
            <b>Clusula 2.</b> Os vasilhames, objeto deste contrato, devero ser utilizados somente, pelos locais acima
            declarados COMODATRIA, no devendo serem utilizados para fins pessoais.
            DAS OBRIGAES DA COMODATRIA
            <br><b>
                <b>Clusula 3.</b> A COMODATRIA fica obrigada a realizar a devida substituio seguindo o critrio e
                responsabilidade em manter as validades dos garrafes, no receber quebrados e garrafes reutilizados
                em outros finalidades, solicitar a substituio a cada momento que forem esvaziados, comunicando de
                imediato  COMODANTE eventuais defeitos que sero cobrados pelos mesmos custos das compras para
                reposies dos mesmos.
                <br><br>
                <b>DA DEVOLUO</b>
                <br><br>
                <b>Clusula 4.</b> Fica obrigada a COMODATRIA em devolver os vasilhames  COMODANTE quando forem por
                esta requisitados, em idnticas condies em que estavam, e em condies de uso, devendo reparar os
                vasilhames danificados.
                <br><br>
                <b>Clusula 5.</b> Os vasilhames devem ser devolvidos no prazo de
                <span class="inlineEdit" id="C<?php echo $_GET["id_comodato"] . "-Texto9"; ?>" style="cursor: pointer;" alt="Clique para Editar !" title="Clique para Editar !">
                    <?php
                    if ($cliente[0]["Texto9"]) {
                        echo $cliente[0]["Texto9"];
                    } else {
                        echo "48h";
                    }
                    ?>
                </span>
                aps a COMODATRIA receber aviso, sendo o mesmo informado por escrito pelos colaboradores que atendem o
                local.
                <br><br>
                <b>DA MULTA</b>
                <br><br>
                <b>Clusula 6.</b> A COMODATRIA dever pagar multa no valor de
                <span class="inlineEdit" id="C<?php echo $_GET["id_comodato"] . "-Texto10"; ?>" style="cursor: pointer;" alt="Clique para Editar !" title="Clique para Editar !">
                    <?php
                    if ($cliente[0]["Texto10"]) {
                        echo $cliente[0]["Texto10"];
                    } else {
                        echo "3%";
                    }
                    ?>
                </span>
                e juros de
                <span class="inlineEdit" id="C<?php echo $_GET["id_comodato"] . "-Texto11"; ?>" style="cursor: pointer;" alt="Clique para Editar !" title="Clique para Editar !">
                    <?php
                    if ($cliente[0]["Texto11"]) {
                        echo $cliente[0]["Texto11"];
                    } else {
                        echo "0,5%";
                    }
                    ?>
                </span>
                no valor total por dia de atraso na devoluo dos vasilhames.
                <br><br>
                DA RESCISO
                <br><br>
                <b>Clusula 7.</b> Poder, qualquer das partes, rescindir o presente instrumento a qualquer momento,
                porm dever ser comunicada a outra parte com antecedncia mnima de
                <span class="inlineEdit" id="C<?php echo $_GET["id_comodato"] . "-Texto12"; ?>" style="cursor: pointer;" alt="Clique para Editar !" title="Clique para Editar !">
                    <?php
                    if ($cliente[0]["Texto12"]) {
                        echo $cliente[0]["Texto12"];
                    } else {
                        echo "48 horas";
                    }
                    ?>
                </span>
                .
                <br><br>
                <b>Clusula 8.</b> O no cumprimento de qualquer uma das clusulas aqui disposta, autoriza a parque que
                no deu causa a rescindir o presente contrato.
                <br><br>
                <b>DA DURAO</b>
                <br><br>
                <b>Clusula 9.</b> O presente instrumento, tem prazo indeterminado.
                <br><br>
                CONDIES GERAIS
                <br><br>
                <b>Clusula 10.</b> Este contrato, passa a vigorar a parti da assinatura de ambas as partes
                <br><br>
                <b>DO FORO</b>
                <br><br>
                <b>Clusula 11.</b> As partes elegem o foro da comarca de Paulista/PE, para dirimirem quaisquer
                controvrsias oriundas do presente contrato.
                Por estarem assim contratados, firmam o presente instrumento, em duas vias de igual teor, juntamente com
                2 (duas) testemunhas.
                <br><br>
                <span class="inlineEdit" id="C<?php echo $_GET["id_comodato"] . "-Texto13"; ?>" style="cursor: pointer;" alt="Clique para Editar !" title="Clique para Editar !">
                    <?php
                    if ($cliente[0]["Texto13"]) {
                        echo $cliente[0]["Texto13"];
                    } else {
                        echo "Paulista/PE, ____/________/________";
                    }
                    ?>
                </span>
            </b>
        </td>
    </tr>


    <tr align="center">
        <td align="center">
            <font size="2"><br /><br />
                _______________________________________________________
                <br /><?php echo $cliente[0]["Titulo"]; ?><br>
                <?php
                if ($cliente[0]["Natureza"] == "PF") {
                    echo cpf_exibir($cliente[0]['Cpf_Cnpj']);
                } else {
                    echo cnpj_exibir($cliente[0]['Cpf_Cnpj']);
                }
                ?>
                <br>
                Locatria Responsvel
            </font>
        </td>
    </tr>
    <tr>
        <td align="center">
            <font size="2"><br /><br />
                _______________________________________________________
                <br /><?php echo $empresa[0]["Razao_Social"]; ?><br>
                <?php
                echo cnpj_exibir($empresa[0]['Cnpj']);
                ?>
                <br>
                Locatria Responsvel
            </font>
        </td>
    </tr>
    <tr>
        <td align="center">
            <font size="2"><br /><br />
                _______________________________________________________
                <br />Nome, RG Testemunha1
            </font>
        </td>
    </tr>
    <tr>
        <td align="center">
            <font size="2"><br /><br />
                _______________________________________________________
                <br />Nome, RG Testemunha2
            </font>
        </td>
    </tr>
    </table>
    </td>
    </tr>
    </table>
</body>

</html>