<?php
include_once "../include/conecta.php"; //Conecta com a nosso banco de dados MySQL
ini_set('session.gc_maxlifetime', 60*120); session_start();
/* include_once "../include/ver_sessao.php"; //Verifica se a sesso est ativa */
include_once "../include/funcoesPhp.php"; //Inclue a pgina con todas as funes a ser usada.

?>
<?php 
               $comodato = listar("Select comodato.Id,
 					comodato.Lancamento,
 					comodato.Status,
 					comodato.Data_Comodato,
 					comodato.Obs as 'Obs_Comodato',
 					comodato.Valor_Original,
 					comodato.Valor_Pago,
                                        comodato.Id_Unidade,
 					cliente.Titulo as 'Cliente',
 					cliente.Email,
 					cliente.Natureza,
 					cliente.Cpf_Cnpj,
 					cliente.Rua,
                                        cliente.Numero,
 					cliente.Cep,
 					cliente.Bairro,
 					cliente.Estado,
 					cliente.Fone1,
 					cliente.Obs as 'Obs_Cliente',
                                        cidade_ibge.Titulo as Cidade,
 					funcionario.Titulo as 'Funcionario',
                                        usuario.Login
 					from comodato
 					left join (SELECT Id,Titulo,Email,Natureza,Cpf_Cnpj,Estadual,Rua,Numero,Cep,Bairro,Estado,Fone1,Obs,Id_Cidade FROM cliente) as cliente ON cliente.Id = comodato.Id_Cliente
                                        left join (SELECT Id,Titulo FROM cidade_ibge) as cidade_ibge ON cidade_ibge.Id = cliente.Id_Cidade
 					left join (SELECT Id,Titulo FROM funcionario) as funcionario ON funcionario.Id = comodato.Id_Funcionario
                                        left join (SELECT Id,Login FROM usuario) as usuario ON usuario.Id = comodato.Id_Usuario
 					where comodato.Id = '".$_GET["id_comodato"]."'
					order by comodato.Lancamento DESC");

$_GET["Unidade"] = $comodato[0]["Id_Unidade"];
?>
<html>
<head>
<title>Gw - Gesto Web</title>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1" />
<link rel="shortcut icon" href="../imagem/favi_gw.ico" type="image/x-icon" />
<link rel="stylesheet" type="text/css" href="../estilo/<?php echo SKIN ;?>/tabela_imp.css" />
<script type="text/javascript" language="javascript" src="../js/jquery.js"></script>
<?php include '../include/script_cabeca.php'; ?>
<script type="text/javascript" language="javascript" src="../js/script.js"></script>
<script type="text/javascript" language="javascript" src="../js/meiomask/meiomask.js"></script>
<script type="text/javascript" language="javascript" src="../js/meiomask/<?php if(PAIS=="USA"){ echo "mascaras-usa"; }else{ echo "mascaras"; }?>.js"></script>
</head>
<body>

<table width="98%" align="center"><!-- TABELA Q ENVOLVE TODO O CONTEUDO -->
<tr>
	<td>
		<?php include "../include/cabecalho_pedido.php"; ?>
	</td>
</tr>
<tr>
	<td>
		<table width="100%" align="center">
			<tr>
                            <td colspan="2" align="center">
                                <font face="verdana" size="3">
                                    <b><i>Comodato - <?php echo $comodato[0]["Lancamento"];?></i></b>
                                </font>
                            </td>
			</tr>
		</table>
	</td>
</tr>
<tr>
	<td>
		<table width="100%" align="center" class="tabela">
			<tr>
                                <td width="70%">Emisso: <?php echo data_exibir($comodato[0]["Data_Comodato"]);?></td>
				<td width="30%">Emitente: <?php echo $comodato[0]["Login"];?></td>
			</tr>
			<tr>
				<td width="70%">Cliente: <?php echo $comodato[0]["Cliente"];?></td>
				<td width="30%">Fone: <?php echo $comodato[0]["Fone1"];?></td>
			</tr>
			<tr>
				<td width="70%">End: <?php echo $comodato[0]["Endereco"];?></td>
				<?php if($comodato[0]["Natureza"] == "PF"){?>
				<td width="30%">CPF: <?php echo $comodato[0]["Cpf_Cnpj"];?></td>
				<?php }else{?>
				<td width="30%">CNPJ: <?php echo $comodato[0]["Cpf_Cnpj"];?></td>
				<?php }?>
			</tr>
			<tr>
				<td width="70%"><?php echo 'Bairro:'.$comodato[0]["Bairro"].' Cidade:'.
                                                    $comodato[0]["Cidade"].' UF:'.
                                                    $comodato[0]["Estado"];?></td>
				<td width="30%">CEP: <?php echo $comodato[0]["Cep"];?></td>
			</tr>
			<tr>
				<td colspan="2">Obs: <?php echo $comodato[0]["Obs_Comodato"];?></td>
			</tr>
		</table>
	</td>
</tr>
<tr>
	<td>
		<table width="100%" align="center" class="tabela">
			<tr>
				<td colspan="10"><i>Produtos em Comodato</i></td>
			</tr>
			<tr class="azul-claro">
				<td width="3%">N</td>
				<td width="10%">Cdigo</td>
				<td width="22%">Produto</td>
				<td width="5%">Qtd</td>
				<td width="8%">Valor</td>
				<td width="8%">Desc %</td>
                                <td width="8%">Serial</td>
				<td width="8%">Total</td>
			</tr>
			<?php

               $comodato_pro = listar("Select DISTINCT comodato_produto.Id,
                                        comodato_produto.Preco as 'Preco_Comodato',
 					comodato_produto.Qtd as 'Qtd_Comodato',
 					comodato_produto.Desconto as 'Desconto_Comodato',
                                        comodato_produto.Desconto_Real,
                                        comodato_produto.Numero_Serie,
                                        comodato_produto.Data,
 					produto.Titulo as 'Produto',
 					produto.Descricao,
 					produto.Codigo,
                                        produto.Numero_Serial
 					from comodato_produto
 					left join (SELECT Id,Titulo,Descricao,Codigo,Numero_Serial FROM produto) as  produto ON produto.Id = comodato_produto.Id_Produto
 					where comodato_produto.Id_Comodato = '".$_GET["id_comodato"]."'
                                        AND Tipo = 'Emprestado' ");

                        $x=1; foreach($comodato_pro as $chave){?>

			<tr>
				<td><?php echo $x;?></td>
				<td><?php echo $chave["Codigo"];?></td>
				<td><?php echo $chave["Produto"];?></td>
				<td><?php echo $chave["Qtd_Comodato"];?></td>
				<td><?php echo number_format($chave["Preco_Comodato"],2,',','.');?></td>
				<td><?php echo number_format($chave["Desconto_Comodato"],2,',','.');?></td>
                                <td><?php echo $chave["Numero_Serial"];?></td>
				<td>
                                    <?php echo number_format( ( ($chave['Qtd_Comodato']*$chave['Preco_Comodato']) - ( ($chave['Qtd_Comodato']*$chave['Preco_Comodato']) * ($chave['Desconto_Comodato']/100) ) ) - $chave['Desconto_Real'],2,',','.');?>
                                </td>
			</tr>
			<?php
			$Qtd_Comodato+= $chave["Qtd_Comodato"];
			$Preco_Comodato+=$chave["Preco_Comodato"];
			$Desconto_Comodato+=$chave["Desconto_Comodato"];
                        $Desconto_Real+=$chave["Desconto_Real"];
			$Total+= ( ($chave["Preco_Comodato"]*$chave["Qtd_Comodato"])-
					(($chave["Preco_Comodato"]*$chave["Qtd_Comodato"])*($chave["Desconto_Comodato"]/100)) ) - $chave['Desconto_Real'];
			$x++; }
			?>
			<tr>
				<td colspan="5"></td>
				<td colspan="2">Totais:</td>
				<td><?php echo number_format($Total,2,',','.');?></td>
			</tr>
		</table>
	</td>
</tr>

<tr>
	<td>
		<table width="100%" align="center" class="tabela">
			<tr>
				<td colspan="9"><i>Produtos Retornado</i></td>
			</tr>
			<tr class="azul-claro">
				<td width="3%">N</td>
				<td width="10%">Cdigo</td>
				<td width="22%">Produto</td>
				<td width="5%">Qtd</td>
				<td width="8%">Valor</td>
                                <td width="8%">Serial</td>
                                <td width="8%">Data</td>
				<td width="8%">Total</td>
			</tr>
			<?php

               $comodato_pro = listar("Select DISTINCT comodato_produto.Id,
                                        comodato_produto.Preco as 'Preco_Comodato',
 					comodato_produto.Qtd as 'Qtd_Comodato',
 					comodato_produto.Desconto as 'Desconto_Comodato',
                                        comodato_produto.Desconto_Real,
                                        comodato_produto.Numero_Serie,
                                        comodato_produto.Data,
 					produto.Titulo as 'Produto',
 					produto.Descricao,
 					produto.Codigo,
                                        produto.Numero_Serial
 					from comodato_produto
 					left join (SELECT Id,Titulo,Descricao,Codigo,Numero_Serial FROM produto) as produto ON produto.Id = comodato_produto.Id_Produto
 					where comodato_produto.Id_Comodato = '".$_GET["id_comodato"]."'
                                        AND Tipo = 'Devolvido' ");

                        $x=1; foreach($comodato_pro as $chave){?>

			<tr>
				<td><?php echo $x;?></td>
				<td><?php echo $chave["Codigo"];?></td>
				<td><?php echo $chave["Produto"];?></td>
				<td><?php echo $chave["Qtd_Comodato"];?></td>
				<td><?php echo number_format($chave["Preco_Comodato"],2,',','.');?></td>
                                <td><?php echo $chave["Numero_Serial"];?></td>
                                <td><?php echo data_exibir($chave["Data"]);?></td>
				<td>
                                    <?php echo number_format( ( ($chave['Qtd_Comodato']*$chave['Preco_Comodato']) - ( ($chave['Qtd_Comodato']*$chave['Preco_Comodato']) * ($chave['Desconto_Comodato']/100) ) ) - $chave['Desconto_Real'],2,',','.');?></td>
                                </td>
			</tr>
			<?php
			$Qtd_Comodato+= $chave["Qtd_Comodato"];
			$Preco_Comodato+=$chave["Preco_Comodato"];
			$Desconto_Comodato+=$chave["Desconto_Comodato"];
                        $Desconto_Real+=$chave["Desconto_Real"];
			$Total1+= ( ($chave["Preco_Comodato"]*$chave["Qtd_Comodato"])-
					(($chave["Preco_Comodato"]*$chave["Qtd_Comodato"])*($chave["Desconto_Comodato"]/100)) ) - $chave['Desconto_Real'];
			$x++; }
			?>
			<tr>
				<td colspan="4"></td>
				<td colspan="3">Totais da Comodato:</td>
				<td><?php echo number_format($Total1,2,',','.');?></td>
			</tr>
		</table>
	</td>
</tr>
<?php
/*
        $comodato_parcela = listar("Select comodato.Id,
					conta_receber.Lancamento,
					conta_receber.Data_Vencimento,
					conta_receber.Valor_Original, 
 					tipo_pagamento.Titulo as 'Tipo_Pagamento'
 					from comodato
 					left join tipo_pagamento ON tipo_pagamento.Id = comodato.Id_Tipo_Pagamento
 					left join conta_receber ON conta_receber.Id_Externo = comodato.Id
 					where comodato.Id = '".$_GET["id_comodato"]."'
					order by comodato.Lancamento DESC");
*/
?>
<!--
<tr>
	<td>
		<table width="100%" align="center" class="tabela">
			<tr>
				<td colspan="4"><i>Parcelas</i></td>
			</tr>
			<tr class="azul-claro">
				<td>N</td>
				<td>Vencimento</td>
				<td>Valor</td>
				<td>Tipo</td>
			</tr>
			<?php $x=1; foreach($comodato_parcela as $chave){?>
			<tr>
				<td><?php echo $x;?></td>
				<td><?php echo data_exibir($chave["Data_Vencimento"])?></td>
				<td><?php echo number_format($chave["Valor_Original"],2,',','.')?></td>
				<td><?php echo $chave["Tipo_Pagamento"]?></td>
			</tr>
			<?php $x++; }?>
		</table>
	</td>
</tr>
-->
</table>
<br/>
<table width="98%" align="center">
	<tr>
		<td align="center">________________________</td>
		<td align="center">________________________</td>
	</tr>
	<tr>
		<td align="center"><font face="verdana" size="2"><?php echo $comodato[0]["Cliente"];?></font></td>
		<td align="center"><font face="verdana" size="2">Representante: <?php echo $comodato[0]["Funcionario"];?></font></td>
	</tr>
</table>

<br>
</body>
</html>
<?php include "../include/rodape.php";?>