<?php
include_once '../../include/conecta.php'; //Conecta com a nosso banco de dados MySQL
ini_set('session.gc_maxlifetime', 60 * 120);
session_start();
/* include_once '../include/ver_sessao.php'; //Verifica se a sesso est ativa */
include_once '../../include/funcoesPhp.php';
include_once '../../menu_movimento.php';


$cliente = listar("Select cliente.Titulo,
                        cliente.Natureza,
                        cliente.Cpf_Cnpj,
                        cliente.Razao_Social,
                        cliente.Rua,
                        cliente.Numero,
                        cliente.Bairro,
                        cliente.Cidade,
                        cliente.Estado,
                        cliente.Cep,
                        comodato.Lancamento,
                        comodato.Parcela,
                        comodato.Data_Comodato,
                        comodato.Valor_Pago,
                        comodato.Nome_Paciente,
                        comodato.Endereco_Paciente,
                        comodato.Texto4
                        from comodato
                        left join (SELECT Id,Titulo,Razao_Social,Natureza,Cpf_Cnpj,Rua,Numero,Bairro,Cidade,Estado,Cep FROM cliente) as cliente on cliente.Id = comodato.Id_Cliente
                        WHERE comodato.Id = '" . $_GET["id_comodato"] . "' ");
?>
<html>
    <head>
        <title>Gw - Gesto Web</title>
        <link rel="stylesheet" type="text/css" href="../../estilo/tabela_imp.css" />
        <script type="text/javascript" language="javascript" src="../../js/jquery.js"></script>
        <?php include '../../include/script_cabeca.php'; ?>
        <script type="text/javascript" language="javascript" src="../../js/script.js"></script>
        <script type="text/javascript" language="javascript" src="../../js/editing/editing2.js"></script>
        <script type="text/javascript" language="javascript">
            //window.onload = function(){
            //window.print();
            //}
        </script>
        <style type="text/css" media="print">

            thead	{display: table-header-group;	}
            tfoot	{display: table-footer-group;	}
            thead th, thead td	{position: static; }

            thead tr	{position: static; } /*prevent problem if print after scrolling table*/
            table tfoot tr {     position: static;    }


        </style>
    </head>
    <?php
    //variavel $_GET["Unidade"], vem de todos os filtros de relatorios.
    if (!$_GET["Unidade"]) {
        $_GET["Unidade"] = $_SESSION["Unidade"];
    }
                          $empresa = listar("SELECT unidade.Logo,
                                                    unidade.Titulo,
                                                    unidade.Cnpj,
                                                    unidade.Rua,
                                                    unidade.Numero,
                                                    unidade.Bairro,
                                                    unidade.Razao_Social,
                                                    cidade.Titulo as Cidade,
                                                    unidade.Estado,
                                                    unidade.Cep,
                                                    unidade.Fone1,
                                                    unidade.Fone2,
                                                    unidade.Email,
                                                    unidade.Site
                                               FROM unidade
                                               left join (SELECT Id as Codigo,Titulo,Uf FROM cidade_ibge) as cidade ON cidade.Codigo = unidade.Id_Cidade
                                              WHERE Id = '" . $_GET["Unidade"] . "' ");
                          
                           $comodato_pro = listar("Select DISTINCT comodato_produto.Id,
                                                        comodato_produto.Preco as 'Preco_Comodato',
                                                        SUM(comodato_produto.Preco)as Total_Produto,
                                                        comodato_produto.Qtd as 'Qtd_Comodato',
                                                        comodato_produto.Desconto as 'Desconto_Comodato',
                                                        comodato_produto.Desconto_Real,
                                                        comodato_produto.Numero_Serie,
                                                        comodato_produto.Data,
                                                        produto.Titulo as 'Produto',
                                                        produto.Descricao,
                                                        produto.Codigo
                                                        from comodato_produto
                                                        left join (SELECT Id,Titulo,Descricao,Codigo FROM produto) as  produto ON produto.Id = comodato_produto.Id_Produto
                                                        where comodato_produto.Id_Comodato = '".$_GET["id_comodato"]."'
                                                        AND Tipo = 'Emprestado' ");

                          
    ?>
    <body>
        <table width="98%" align="center"><!-- TABELA Q ENVOLVE TODO O CONTEUDO -->
            <tr>
                <td>
                    <table width="100%">
                        <tr>
                            <td align="justify">
                                <span style="font-size: 14px">
                                    <b>
                                        <center>
                                            <font size="4">
                                            <span class="inlineEdit" id="11" style="cursor: pointer;" alt="Clique para Editar !" title="Clique para Editar !">
                                                CONTRATO DE COMODATO N <?php echo $cliente[0]["Lancamento"] ?>
                                            </span>
                                            </font>
                                        </center>
                                    </b><br/><br/>
                                    Pelo presente instrumento particular, de um lado como COMODANTE, 
                                    <b><?php echo $empresa[0]["Titulo"]; ?></b>, Razo Social <b><?php echo $empresa[0]["Razao_Social"]; ?></b> 
                                                                                 empresa estabelecida na <b><?php echo $empresa[0]["Rua"] . ", " . $empresa[0]["Numero"] . ", " . $empresa[0]["Bairro"] . " - " . $empresa[0]["Cidade"] . " - " . $empresa[0]["Estado"]; ?></b>,
                                                                                 inscrita no C.G.C. (MF) sob o n <b><?php echo cnpj_exibir($empresa[0]['Cnpj']) ?></b>
                                                                                 neste ato representada por seu diretor infra assinado, e de outro lado, como COMODATRIA <b><?php echo $cliente[0]["Titulo"]; ?></b>, Razo Social <b><?php echo $cliente[0]["Razao_Social"]; ?></b>, 
                                                                                 empresa estabelecida na <b><?php echo $cliente[0]["Rua"] . ", " . $cliente[0]["Numero"] . ", " . $cliente[0]["Bairro"] . " - " . $cliente[0]["Cidade"] . " - " . $cliente[0]["Estado"]; ?></b>,
                                                                                 inscrita no C.G.C. (MF) ou CPF sob o n <b><?php echo cnpj_exibir($cliente[0]['Cpf_Cnpj']) ?></b>, representada por seus Diretores abaixo assinado, tm entre si, justo e pactuado o presente contrato de 
                                                                                 comodato que se reger pelas clusulas e condies a seguir articuladas :

                                    <p>
                                        <b>1-</b> A <b>COMODANTE</b>, na qualidade de legtima proprietria de um equipamento Refrigerado. cede e transfere o referido bem  <b>COMODATRIA</b>, 
                                                  a ttulo de comodato, em estado novo e em perfeito funcionamento, para fins de armazenamento e condicionamento exclusivos dos produtos da <b>COMODANTE</b>,
                                                  mediante compromisso mensal de aquisio media de no mnimo <span class="inlineEdit" id="C<?php echo $_GET["id_comodato"]."-Texto4";?>" style="cursor: pointer;" alt="Clique para Editar !" title="Clique para Editar !">
                                                                                                                                            <?php
                                                                                                                                                if($cliente[0]["Texto4"]){
                                                                                                                                                    echo $cliente[0]["Texto4"];
                                                                                                                                                }else{
                                                                                                                                                    echo "R$ 3.500,00";
                                                                                                                                                }
                                                                                                                                            ?>
                                                                                                                                            </span> em compras de produtos. 
                                    </p>

                                    <p>
                                        <b>2-</b> A tradio do equipamento se dar quando da assinatura de qualquer preposto da Comodatria na nota fiscal de remessa da <b>COMODANTE</b>, configurando o recebimento
                                        dos bens nele discriminados, aperfeioando, destarte com relao a elas o presente contrato de e <b>COMODATO</b>.
                                    </p>

                                    <p>
                                        <b>3-</b> A <b>COMODATRIA</b> se obriga a conservar, s suas exclusivas expensas, como se prprio fosse, o bem entregue em Comodato, no podendo us-lo e goz-lo seno de 
                                        acordo com a natureza dele e com as condies deste contrato, sob pena de responder judicialmente a perdas e danos. 
                                        O presente contrato tem pr finalidade o uso pela <b>COMODATRIA</b>, do objeto comodatado para armazenamento <b>EXCLUSIVO</b> dos 
                                        produtos fabricados pela <b>COMODANTE</b>.
                                    </p>

                                    <p>
                                        <b>4-</b> O bem, objeto deste contrato, encontra-se em perfeitas condies de uso e funcionamento, toda e qualquer manuteno ou conserto devido a m uso <b>NEGLIGNCIA</b> correr por conta da <b>COMODATRIA</b>.
                                    </p>

                                    <p>
                                        <b>5-</b> Extinto o presente contrato por qualquer forma, o bem dever ser devolvido no mesmo estado em que foi entregue.
                                    </p>

                                    <p>
                                        <b>6-</b> Reserva-se a <b>COMODANTE</b> o direito de vistoriar o bem emprestado, sempre e quando desejar, para verificar o seu estado de conservao e utilizao.
                                    </p>

                                    <p>
                                        <b>7-</b> Fica desde logo estabelecido, que a <b>COMODATRIA</b> no ter, sob nenhum pretexto, direito a reteno do bem emprestado.
                                    </p>

                                    <p>
                                        <b>8-</b>  expressamente vedado  <b>COMODATRIA</b>, sob as penas previstas na lei, alugar, emprestar, vender, trocar, quebrar ou de qualquer forma alienar, no todo ou em parte, o equipamento emprestado.
                                    </p>

                                    <p>
                                        <b>9-</b> O presente contrato vigorar por prazo indeterminado, a partir da data de entrega do bem, objeto deste contrato a COMODATRIA, podendo, contudo, ser rescindido a qualquer tempo, mediante o aviso prvio e expresso de uma parte ou da outra com 15 (quinze) dias de antecedncia.
                                    </p>

                                    <p>
                                        <b>10-</b> O no cumprimento de qualquer das clusulas e ou condies do presente contrato, por qualquer das partes, implicar na resciso do mesmo, respondendo a parte inadimplente por perdas e danos, independente das demais condies do presente contrato.
                                    </p>

                                    <p>
                                        <b>11-</b> Extinto de qualquer forma, o presente contrato, obriga-se a <b>COMODATRIA</b> a restituir o bem emprestado, dentro de 10 (dez) dias da data de extino, devendo a remessa ser acobertada pelo documento fiscal competente.
                                    </p>

                                    <p>
                                        <b>11.1-</b> Decorrido o prazo descrito no caput desta clausula, sem efetiva e correta restituio do bem cedido em comodato, passar a <b>COMODATRIA</b> a pagar a ttulo de indenizao a importncia correspondente a R$ <?php echo valor_exibir($comodato_pro[0]["Total_Produto"]).' ('. valorPorExtenso($cliente[0]["Valor_Pago"]).')';?>, referente a AQUISIO do equipamento ou R$ 250,00 referente ao aluguel mensal do mesmo, permanecendo a obrigao at a entrega do equipamento.
                                    </p>

                                    <p>
                                        <b>11.2-</b> Nos casos de inadimplncia da <b>COMODATRIA</b>, alm das medidas judiciais cabveis poder a COMODANTE inscrever o nome da COMODATRIA nos rgos de proteo ao crdito. 
                                    </p>

                                    <p>
                                        <b>12-</b> As obrigaes assumidas pelas partes neste contrato, obrigam sucessores da <b>COMODATRIA</b> e do <b>COMODANTE</b> a qualquer ttulo.
                                    </p>

                                    <p>
                                        <b>13-</b> O presente contrato substitui e revoga a todos os entendimentos anteriores havidos entre as partes, no que tange a este Comodato, tenham eles escritos ou verbais.
                                    </p>

                                    <p>
                                        <b>14-</b> Qualquer omisso ou tolerncia das partes, na exigncia do fiel cumprimento das clusulas e condies deste contrato, ou no exerccio de prerrogativa dele decorrente, no constituir novao ou renncia, nem afetar o direito da parte em exerc-lo a qualquer tempo.
                                    </p>

                                    <p>
                                        <b>15-</b> As partes desde j estabelecem o percentual de 20% (vinte por cento) a ttulo de honorrios advocatcios nos casos de demandas judiciais ou administrativas referentes a este contrato.
                                    </p>

                                    <p>
                                        <b>16-</b> Fica eleito o Frum da Comarca do Recife-PE, para dirimir quaisquer questes oriundas deste contrato, renunciando expressamente as partes a qualquer outro, por mais privilegiado que seja.
                                    </p>

                                    <p>
                                        E por estarem de pleno acordo, assinam as partes o presente instrumento, que  lavrado em trs vias de igual teor e forma, na presena de duas testemunhas.
                                    </p>
                                    <br><br>
                                    
                                    
                                    <tr>
	<td>
		<table width="100%" align="center" class="tabela">
			<tr>
				<td colspan="10"><i>Produtos em Comodato</i></td>
			</tr>
			<tr class="azul-claro">
				<td width="3%">N</td>
				<td width="10%">Cdigo</td>
				<td width="22%">Produto</td>
				<td width="5%">Qtd</td>
				<td width="8%">Valor</td>
				<td width="8%">Desc %</td>
                                <td width="8%">Desc $</td>
                                <td width="8%">Srie</td>
				<td width="8%">Total</td>
			</tr>
			<?php

               
                        $x=1; foreach($comodato_pro as $chave){?>

			<tr>
				<td><?php echo $x;?></td>
				<td><?php echo $chave["Codigo"];?></td>
				<td><?php echo $chave["Produto"];?></td>
				<td><?php echo $chave["Qtd_Comodato"];?></td>
				<td><?php echo number_format($chave["Preco_Comodato"],2,',','.');?></td>
				<td><?php echo number_format($chave["Desconto_Comodato"],2,',','.');?></td>
                                <td><?php echo number_format($chave["Desconto_Real"],2,',','.');?></td>
                                <td><?php echo $chave["Numero_Serie"];?></td>
				<td>
                                    <?php echo number_format( ( ($chave['Qtd_Comodato']*$chave['Preco_Comodato']) - ( ($chave['Qtd_Comodato']*$chave['Preco_Comodato']) * ($chave['Desconto_Comodato']/100) ) ) - $chave['Desconto_Real'],2,',','.');?></td>
                                </td>
			</tr>
			<?php
			$Qtd_Comodato+= $chave["Qtd_Comodato"];
			$Preco_Comodato+=$chave["Preco_Comodato"];
			$Desconto_Comodato+=$chave["Desconto_Comodato"];
                        $Desconto_Real+=$chave["Desconto_Real"];
			$Total+= ( ($chave["Preco_Comodato"]*$chave["Qtd_Comodato"])-
					(($chave["Preco_Comodato"]*$chave["Qtd_Comodato"])*($chave["Desconto_Comodato"]/100)) ) - $chave['Desconto_Real'];
			$x++; }
			?>
<!--			<tr>
				<td colspan="6"></td>
				<td colspan="3">Totais da Comodato:</td>
				<td><?php echo number_format($Total,2,',','.');?></td>
			</tr>-->
		</table>
	</td>
</tr>

<br><br>
                                    
                                    
                                    
                                    
                                    
                                    <b>Recife<b/>, <?php echo data_exibir($cliente[0]["Data_Comodato"]) ?>.

                                    </table>
                                    </td>
                                    </tr>
                                    </table>
                                    <table>
                                        <tr>
                                            <td align="center">
                                                <font size="2"><br/><br/>
                                                _______________________________________________________
                                                <br/><?php echo $empresa[0]["Razao_Social"]; ?><br>

                                                <br>
                                                </font>
                                            </td>
                                            <td>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</td>
                                            <td align="center">
                                                <font size="2"><br/><br/>
                                                _______________________________________________________
                                                <br/><?php echo $cliente[0]["Razao_Social"]; ?><br>

                                                <br>
                                                </font>
                                            </td>
                                        </tr>
                                        <tr>
                                            <td align="center">
                                                <font size="2"><br/><br/>
                                                _______________________________________________________
                                                <br>Testemunha
                                                <br/>Nome:<br>
                                                CPF: <br>

                                                <br>

                                                </font>
                                            </td>
                                            <td>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</td>
                                            <td align="center">
                                                <font size="2"><br/><br/>
                                                _______________________________________________________
                                                <br>Testemunha
                                                <br/>Nome:<br>
                                                CPF: <br>

                                                <br>

                                                </font>
                                            </td>
                                        </tr>
                                    </table>
                                    </body>
                                    </html>