<?php
include_once '../../include/conecta.php'; //Conecta com a nosso banco de dados MySQL
ini_set('session.gc_maxlifetime', 60 * 120);
session_start();
/*include_once '../include/ver_sessao.php'; //Verifica se a sesso est ativa*/
include_once '../../include/funcoesPhp.php';
include_once '../../menu_movimento.php';


$cliente = listar("SELECT cliente.Titulo,
                        cliente.Natureza,
                        cliente.Cpf_Cnpj,
                        cliente.Rua,
                        cliente.Numero,
                        cliente.Bairro,
                        cliente.Cidade,
                        cliente.Estado,
                        cliente.Cep,
                        cliente.Email,
                        cliente.Email2,
                        cliente.Contato,
                        cliente.Fone1,
                        comodato.Lancamento,
                        funcionario.Titulo as Responsavel,
                        comodato.Parcela,
                        comodato.Valor_Pago,
                        comodato.Texto1,
                        comodato.Texto2,
                        comodato.Texto3,
                        comodato.Texto4,
                        comodato.Rua_Contrato,
                        comodato.Numero2_Contrato,
                        comodato.Bairro_Contrato,
                        comodato.Cidade_Contrato,
                        comodato.Uf_Contrato,
                        comodato.Cep_Contrato,
                        comodato.Contato_Contrato,
                        comodato.Fone_Contrato,
                        comodato.Local_Contrato,
                        comodato.Valor_Pago,
                        comodato.Email1_Contrato,
                        comodato.Email2_Contrato
                        from comodato
                        left join
                        (SELECT Id,Titulo,Natureza,Cpf_Cnpj,Rua,Numero,Bairro,Cidade,Estado,Cep,
                        Email,Email2,Contato,Fone1
                        FROM cliente) as cliente on cliente.Id = comodato.Id_Cliente
                        left join (SELECT Id,Titulo FROM funcionario) as funcionario ON funcionario.Id = comodato.Id_Funcionario
 			WHERE comodato.Id = '" . $_GET["id_comodato"] . "' ");

//variavel $_GET["Unidade"], vem de todos os filtros de relatorios.
if (!$_GET["Unidade"]) {
    $_GET["Unidade"] = $_SESSION["Unidade"];
}
$empresa = listar("SELECT unidade.Logo,
                                                unidade.Titulo,
                                                unidade.Cnpj,
                                                unidade.Rua,
                                                unidade.Numero,
                                                unidade.Bairro,
                                                unidade.Razao_Social,
                                                cidade.Titulo as Cidade,
                                                unidade.Estado,
                                                unidade.Cep,
                                                unidade.Fone1,
                                                unidade.Fone2,
                                                unidade.Email,
                                                unidade.Site
                                           FROM unidade
                                           left join (SELECT Id as Codigo,Titulo,Uf FROM cidade_ibge) as cidade ON cidade.Codigo = unidade.Id_Cidade
                                          WHERE Id = '" . $_GET["Unidade"] . "' ");

echo $empresa["Titulo"];

?>

<html>

<head>
    <title>Gw - Gesto Web</title>
    <link rel="stylesheet" type="text/css" href="../../estilo/tabela_imp.css" />
    <script type="text/javascript" language="javascript" src="../../js/jquery.js"></script>
    <?php include '../../include/script_cabeca.php'; ?>
    <script type="text/javascript" language="javascript" src="../../js/script.js"></script>
    <script type="text/javascript" language="javascript">
        //window.onload = function(){
        //window.print();
        //}
    </script>
    <style type="text/css" media="print">
        thead {
            display: table-header-group;
        }

        tfoot {
            display: table-footer-group;
        }

        thead th,
        thead td {
            position: static;
        }

        thead tr {
            position: static;
        }

        /*prevent problem if print after scrolling table*/
        table tfoot tr {
            position: static;
        }
    </style>
    <script type="text/javascript" language="javascript">
        $(document).ready(function() {
            function slideout() {
                setTimeout(function() {
                        $("#response").slideUp("slow", function() {});
                    },
                    2000);
            }
            $(".inlineEdit").bind("click", updateText);
            var OrigText, NewText;
            $(".save").live("click", function() {
                $("#loading").fadeIn('slow');
                NewText = $(this).siblings("form").children(".edit").val();
                var id = $(this).parent().attr("id");
                //var data = '?id=' + id + '&text=' + NewText;
                var data = 'id=' + id + '&text=' + NewText;
                $.post("edit.php", data, function(response) {
                    $("#retorno").html(response);
                    $("#response").slideDown('slow');
                    slideout();
                    $("#loading").fadeOut('slow');
                });
                $(this).parent().html(NewText).removeClass("selected").bind("click", updateText);
                recarregar();
            });
            $(".revert").live("click", function() {
                $(this).parent().html(OrigText).removeClass("selected").bind("click", updateText);
            });

            function updateText() {
                $('li').removeClass("inlineEdit");
                OrigText = $(this).html();
                $(this).addClass("selected").html('<form><textarea class="edit" rows="3" cols="64">' + OrigText + '</textarea></form><a href="#" class="save"><img src="../../js/editing/images/save.png" border="0" width="48" height="15"/></a> <a href="#" class="revert"><img src="../../js/editing/images/cancel.png" border="0" width="58" height="15"/></a>').unbind('click', updateText);
            }

            function recarregar() {
                setTimeout(function() {
                    location.reload();
                }, 1000);
            }

        });
    </script>
</head>

<body>
    <table width="98%" align="center" style="page-break-after: always"><!-- TABELA Q ENVOLVE TODO O CONTEUDO -->
        <thead>
            <tr>
                <td>
                    <table border="1px" color="black" width="100%">
                        <tr>
                            <td align="center" width="50%">
                                <font size="4"><?php echo $empresa[0]["Titulo"] ?><br>
                                    <font size="3"><?php echo $empresa[0]["Rua"] . ", " . $empresa[0]["Bairro"] . " - " . $empresa[0]["Cidade"] . "/" . $empresa[0]["Estado"] ?><br>
                                        <font size="3"><?php echo "CEP: " . $empresa[0]["Cep"] ?><br>
                                            <font size="2"><?php echo "Telefones: " . $empresa[0]["Fone1"] ?><br>
                                                <font size="2"><?php echo "E-mail: " . $empresa[0]["Email"] ?><br>

                            </td>
                        </tr>
                    </table>
                    <br><br>
                </td>
            </tr>
        </thead>

        <tr>
            <td>
                <table width="100%">
                    <tr>
                        <td align="justify">
                            <b>
                                <center>
                                    <font size="4">CONTRATO DE LOCAO - <?php echo $cliente[0]["Lancamento"] ?></font>
                                </center>
                            </b>
                            <?php echo $empresa[0]["Titulo"] ?>, <?php echo "CNPJ: " . $empresa[0]["Cnpj"] ?>, com endereo  <?php echo $empresa[0]["Rua"] ?>, nmero: <?php echo $empresa[0]["Numero"] ?> , no
                            bairro <?php echo $empresa[0]["Bairro"] ?> na cidade <?php echo $empresa[0]["Cidade"] ?> - <?php echo $empresa[0]["Estado"] ?>,
                            doravante denominado LOCADOR e <?php echo $cliente[0]["Titulo"] ?>,
                            <?php
                            if ($cliente[0]["Natureza"] == "PF") {
                                echo "CPF: " . $cliente[0]["Cpf_Cnpj"];
                            } else {
                                echo "CNPJ: " . $cliente[0]["Cpf_Cnpj"];
                            }
                            ?>, com endereo <?php echo $cliente[0]["Rua"] ?>,
                            <?php echo $cliente[0]["Numero"] ?>, <?php echo $cliente[0]["Cidade"] ?> - <?php echo $cliente[0]["Estado"] ?>,
                            doravante denominada LOCATRIA, ambas as partes aqui representadas por quem de direito, tem justo e
                            contratado entre si a locao dos equipamentos abaixo discriminados; mediante as clusulas e condies em
                            seguida estipuladas.</br></br>

                            Cliente: <?php echo $cliente[0]["Titulo"]; ?></br>
                            Local Locao: <?php echo $cliente[0]["Rua"]; ?></br>
                            Contato: <?php echo $cliente[0]["Contato"]; ?></br>
                            Telefone: <?php echo $cliente[0]["Fone1"]; ?></br>


                            <table width="100%" align="center" style="font-family: verdana">

                                <tr>
                                    <td colspan="9" style='font-variant:small-caps; border-bottom: 2px solid #363636;font-size: 12px'>
                                        Produtos
                                    </td>
                                </tr>
                                <tr>
                                    <td style='border-bottom: 1px solid #737373;border-right: 1px solid #737373;font-size: 12px'>
                                        <span style='font-variant:small-caps;font-size: 10px'>N</span>
                                    </td>
                                    <td style='border-bottom: 1px solid #737373;border-right: 1px solid #737373;font-size: 12px'>
                                        <span style='font-variant:small-caps;font-size: 10px'>Cdigo</span>
                                    </td>
                                    <td style='border-bottom: 1px solid #737373;border-right: 1px solid #737373;font-size: 12px'>
                                        <span style='font-variant:small-caps;font-size: 10px'>Produto</span>
                                    </td>
                                    <td style='border-bottom: 1px solid #737373;border-right: 1px solid #737373;font-size: 12px'>
                                        <span style='font-variant:small-caps;font-size: 10px'>Data Comodato</span>
                                    </td>
                                    <td style='border-bottom: 1px solid #737373;border-right: 1px solid #737373;font-size: 12px'>
                                        <span style='font-variant:small-caps;font-size: 10px'>Data Retorno</span>
                                    </td>
                                    <td style='border-bottom: 1px solid #737373;border-right: 1px solid #737373;font-size: 12px'>
                                        <span style='font-variant:small-caps;font-size: 10px'>Qtd</span>
                                    </td>
                                    <td style='border-bottom: 1px solid #737373;border-right: 1px solid #737373;font-size: 12px'>
                                        <span style='font-variant:small-caps;font-size: 10px'>Valor</span>
                                    </td>
                                    <td style='border-bottom: 1px solid #737373;border-right: 1px solid #737373;font-size: 12px'>
                                        <span style='font-variant:small-caps;font-size: 10px'>Total</span>
                                    </td>

                                    <?php
                                    $produtos_comodato = mysqli_query($con, "SELECT produto.Titulo, produto.Medida,
                                    produto.Codigo,
                                       produto.Obs,
                                       comodato_produto.Preco,
                                       comodato_produto.Data_Cadastro,
                                       comodato_produto.Data_Produto_Entrega,
                                       comodato_produto.Qtd,
                                       comodato_produto.Desconto,
                                       comodato_produto.Numero_Serie
                                       FROM comodato_produto
                                       left join (SELECT Id,Titulo,Obs,Medida,Codigo FROM produto) as produto ON produto.Id = comodato_produto.Id_Produto
                                       WHERE comodato_produto.Id_Comodato='" . $_GET["id_comodato"] . "'
                                       AND Tipo = 'Emprestado' ");
                                    $x = 1;
                                    foreach ($produtos_comodato as $comodato_produtos) { ?>
                                <tr>
                                    <td style='border-bottom: 1px solid #737373;font-size: 12px'>
                                        <span style='font-variant:small-caps;font-size: 10px'><?php echo $x; ?></span>
                                    </td>
                                    <td style='border-bottom: 1px solid #737373;font-size: 12px'>
                                        <span style='font-variant:small-caps;font-size: 10px'><?php echo $comodato_produtos["Codigo"]; ?></span>
                                    </td>
                                    <td style='border-bottom: 1px solid #737373;font-size: 12px'>
                                        <span style='font-variant:small-caps;font-size: 10px'><?php echo $comodato_produtos["Titulo"]; ?></span>
                                    </td>
                                    <td style='border-bottom: 1px solid #737373;font-size: 12px'>
                                        <span style='font-variant:small-caps;font-size: 10px'><?php echo data_exibir($comodato_produtos["Data_Cadastro"]); ?></span>
                                    </td>
                                    <td style='border-bottom: 1px solid #737373;font-size: 12px'>
                                        <span style='font-variant:small-caps;font-size: 10px'><?php echo data_exibir($comodato_produtos["Data_Produto_Entrega"]); ?></span>
                                    </td>
                                    <td style='border-bottom: 1px solid #737373;font-size: 12px'>
                                        <span style='font-variant:small-caps;font-size: 10px'><?php echo $comodato_produtos["Qtd"]; ?></span>
                                    </td>
                                    <td style='border-bottom: 1px solid #737373;font-size: 12px'>
                                        <span style='font-variant:small-caps;font-size: 10px'><?php echo number_format($comodato_produtos["Preco"], 2, ',', '.'); ?></span>
                                    </td>
                                    <td style='border-bottom: 1px solid #737373;font-size: 12px'>
                                        <span style='font-variant:small-caps;font-size: 10px'>
                                            <?php echo number_format((($comodato_produtos['Qtd'] * $comodato_produtos['Preco']) - (($comodato_produtos['Qtd'] * $comodato_produtos['Preco']) * ($comodato_produtos['Desconto'] / 100))) - $comodato_produtos['Desconto'], 2, ',', '.'); ?></span>
                                    </td>
                                </tr>
                            <?php
                                        $Qtd_ += $comodato_produtos["Qtd"];
                                        $Preco += $comodato_produtos["Preco"];
                                        $Total += ($comodato_produtos["Preco"] * $comodato_produtos["Qtd"]);
                                        $x++;
                                    }
                            ?>

                            <tr>
                                </br>
                                <td style='border-bottom: 1px solid #737373;border-right: 1px solid #737373;font-size: 12px' colspan="7">
                                    <span style='font-variant:small-caps;font-size: 10px'><b>Valor Total</b></span>
                                </td>
                                <td style='border-bottom: 1px solid #737373;border-right: 1px solid #737373;font-size: 12px'>
                                    <span style='font-variant:small-caps;font-size: 10px'><?php echo number_format($Total, 2, ',', '.'); ?></span>
                                </td>
                            </tr>
                            </table>
                        </td>
                    <tr>
                        <td align="left">
                            <font size="2">
                                <?php
                                switch (date('F')) {
                                    case 'January':
                                        $Mes_Maiusculo = ' Janeiro';
                                        break;
                                    case 'February':
                                        $Mes_Maiusculo = ' Fevereiro';
                                        break;
                                    case 'March':
                                        $Mes_Maiusculo = ' Maro';
                                        break;
                                    case 'April':
                                        $Mes_Maiusculo = ' Abril';
                                        break;
                                    case 'May':
                                        $Mes_Maiusculo = ' Maio';
                                        break;
                                    case 'June':
                                        $Mes_Maiusculo = ' Junho';
                                        break;
                                    case 'July':
                                        $Mes_Maiusculo = ' Julho';
                                        break;
                                    case 'August':
                                        $Mes_Maiusculo = ' Agosto';
                                        break;
                                    case 'September':
                                        $Mes_Maiusculo = ' Setembro';
                                        break;
                                    case 'October':
                                        $Mes_Maiusculo = ' Outubro';
                                        break;
                                    case 'November':
                                        $Mes_Maiusculo = ' Novembro';
                                        break;
                                    case 'December':
                                        $Mes_Maiusculo = ' Dezembro';
                                        break;
                                }
                                ?>
                                <br /><br /><?php echo $empresa[0]["Cidade"] . ", " . /*echo date('d').' de '.$Mes_Maiusculo.' de '.date('Y');*/ data_extenso(date("Y-m-d")) ?><br />
                            </font>
                        </td>
                    </tr>
                    <tr>
                        <td align="center">
                            <font size="2"><br /><br />
                                _______________________________________________________
                                <br /><?php echo $cliente[0]["Titulo"]; ?><br>
                                <?php
                                if ($cliente[0]["Natureza"] == "PF") {
                                    echo cpf_exibir($cliente[0]['Cpf_Cnpj']);
                                } else {
                                    echo cnpj_exibir($cliente[0]['Cpf_Cnpj']);
                                }
                                ?>

                            </font>
                        </td>
                    </tr>
                    <tr>
                        <td align="center">
                            <font size="2"><br /><br />
                                _______________________________________________________
                                <br /><?php echo $empresa[0]["Titulo"] ?><br><?php echo $cliente[0]["Responsavel"] ?><br>
                            </font>
                        </td>
                    </tr>
                </table>
            </td>
        </tr>

    </table>
    <thead>
        <tr>
            <td>
                <table border="1px" color="black" width="100%">
                    <tr>
                        <td align="center" width="50%">
                            <font size="4"><?php echo $empresa[0]["Titulo"] ?><br>
                                <font size="3"><?php echo $empresa[0]["Rua"] . ", " . $empresa[0]["Bairro"] . " - " . $empresa[0]["Cidade"] . "/" . $empresa[0]["Estado"] ?><br>
                                    <font size="3"><?php echo "CEP: " . $empresa[0]["Cep"] ?><br>
                                        <font size="2"><?php echo "Telefones: " . $empresa[0]["Fone1"] ?><br>
                                            <font size="2"><?php echo "E-mail: " . $empresa[0]["Email"] ?><br>

                        </td>
                    </tr>
                </table>
                <br><br>
            </td>
        </tr>
    </thead>
    <tr>
        <td>
            <table width="100%">
                <tr>
                    <td align="justify">
                        <b>
                            <center>
                                <font size="4">CONTRATO DE LOCAO - <?php echo $cliente[0]["Lancamento"] ?></font>
                            </center>
                        </b><br /><br />

                        <font size="2"> <b>1</b> A (o) <b>locatria</b> (o), correro todas e quaisquer despesas necessrias a manuteno e operao do
                            equipamento, assim como, as despesas de frete relativas a entrega na obra e posterior devoluo ao deposito da
                            locadora.
                            <br><br>
                            <b>2</b> A (o) locataria (o) se compromete a utilizar o equipamento ora locado dentro das normas habituais para seu
                            bom funcionamento fazer toda manuteno necessria, sendo que, assumira toda a responsabilidade pelos danos
                            que o uso indevido ou a manuteno inadequada venham causar ao referido equipamento. Quando o
                            equipamento ora locado for devolvido faltando acessrios, com peas quebradas, e se no ato da entrega no for
                            autorizada a cobrana dos mesmos, a locao continuara sendo de inteira responsabilidade da (o) locatrio at a
                            soluo final das pendencias.
                            Obs: motor queimado, falta de fase, variao de tenso. so de toral responsabilidade do cliente.
                            <br><br>
                            <b>3</b> A (o) locatria (o), executara os servios de montagem dos equipamentos com pessoal prprio e despesas por
                            sua conta. poder solicitar orientao e assistncia tcnica do pessoal especializado da locadora que atendera
                            sem nada cobrar desde que seja no permetro urbano desta cidade . Caso a (o) locatria (o) solicite que o servio
                            seja executado pela locadora esse ser remunerado de acordo com o oramento pr estabelecido.
                            <br><br>
                            <b> 4</b> Aps termino da vigncia deste contrato, o mesmo sera prorrogado por igual perodo, se a (o) locatria (o) no
                            se manifestar em contrario at 05 (cinco) dias antes do seu vencimento, desde que suas clausulas estejam sendo
                            integralmente cumpridas e que seja tambm de interesse da locadora, ficando entretanto, reajustado
                            automaticamente de acordo com a tabela de preos em vigor na data do vencimento do mesmo.
                            <br><br>
                            <b>5</b> Se no efetuado o pagamento da locao em ate 10(dez) dias aps o vencimento,este sera rescindido de pleno
                            direito, sem necessidade de notificao judicial ou extra judicial e neste caso a (o) locatria (o) devolver de
                            imediato e espontaneamente o equipamento caso seja a vontade da locadora a mesma poder de imediato retirar
                            os equipamentos locados onde quer que eles estejam, independente de qualquer aviso, notificao ou
                            interpelao , sem nenhuma formalidade, o que a (o) locatria (o) autoriza desde j. Sendo que nos dias
                            decorridos at a efetiva devoluo sero pagos imediatamente pela (o) locatria (o), depois de vistoriados os
                            equipamentos e assinado um termo de entrega.
                            <br>
                            A - Para efeito de calculo de pagamento, contar-se-o dias corridos a partir da data de retirada do equipamento do
                            deposito da locadora, at a data de sua devoluo no mesmo local onde foi retirado.
                            <br>
                            B - Nos casos de extravio, acidente ou por outros motivos que venham inutilizar o equipamento e ou acessrios
                            ora locado a (o) locatria (o) se compromete a indenizar a locadora com reposio imediata do bem.
                            <br>
                            C - Quando o(s) equipamento(s) for (em) locado(s) para o interior do estado ou para outros estados e houver
                            necessidade de conserto no (s) mesmo(s) as despesas de viagem, alimentao e estadia do (s) tcnico (s)
                            correro por conta exclusivas da (o) locatria (o).
                            <br>
                            D -  expressamente proibido o (a) locatrio (a) emprestar, arrendar ou sublocar o equipamento ora locado ou de
                            qualquer forma ceder seu uso a terceiros, bem como transferi-lo para outro local sem autorizao previa da
                            locadora.
                            <br><br>
                            6 A devoluo do equipamento ser acompanhada de nota de devoluo emitida pelo (a) locatrio (a), que
                            assumira toda responsabilidade civil e criminal pelas infraes fiscais decorrentes de sua omisso.
                            <br><br>
                        </font>
                    </td>
                </tr>
                <tr>
                    <td align="left">
                        <font size="2">
                            <?php
                            switch (date('F')) {
                                case 'January':
                                    $Mes_Maiusculo = ' Janeiro';
                                    break;
                                case 'February':
                                    $Mes_Maiusculo = ' Fevereiro';
                                    break;
                                case 'March':
                                    $Mes_Maiusculo = ' Maro';
                                    break;
                                case 'April':
                                    $Mes_Maiusculo = ' Abril';
                                    break;
                                case 'May':
                                    $Mes_Maiusculo = ' Maio';
                                    break;
                                case 'June':
                                    $Mes_Maiusculo = ' Junho';
                                    break;
                                case 'July':
                                    $Mes_Maiusculo = ' Julho';
                                    break;
                                case 'August':
                                    $Mes_Maiusculo = ' Agosto';
                                    break;
                                case 'September':
                                    $Mes_Maiusculo = ' Setembro';
                                    break;
                                case 'October':
                                    $Mes_Maiusculo = ' Outubro';
                                    break;
                                case 'November':
                                    $Mes_Maiusculo = ' Novembro';
                                    break;
                                case 'December':
                                    $Mes_Maiusculo = ' Dezembro';
                                    break;
                            }
                            ?>
                            <br /><br /><?php echo $empresa[0]["Cidade"] . ", " . /*echo date('d').' de '.$Mes_Maiusculo.' de '.date('Y');*/ data_extenso(date("Y-m-d")) ?><br />
                        </font>
                    </td>
                </tr>
                <tr>
                    <td align="center">
                        <font size="2"><br /><br />
                            _______________________________________________________
                            <br /><?php echo $cliente[0]["Titulo"]; ?><br>
                            <?php
                            if ($cliente[0]["Natureza"] == "PF") {
                                echo cpf_exibir($cliente[0]['Cpf_Cnpj']);
                            } else {
                                echo cnpj_exibir($cliente[0]['Cpf_Cnpj']);
                            }
                            ?>

                        </font>
                    </td>
                </tr>
                <tr>
                    <td align="center">
                        <font size="2"><br /><br />
                            _______________________________________________________
                            <br /><?php echo $empresa[0]["Titulo"] ?><br><?php echo $cliente[0]["Responsavel"] ?><br>
                        </font>
                    </td>
                </tr>
            </table>
        </td>
    </tr>
    </table>
</body>

</html>