<?php
include_once "../include/conecta.php"; //Conecta com a nosso banco de dados MySQL
ini_set('session.gc_maxlifetime', 60 * 120);
session_start();
/* include_once "../include/ver_sessao.php"; //Verifica se a sesso est ativa */
include_once "../include/funcoesPhp.php"; //Inclue a pgina con todas as funes a ser usada.
?>
<?php
$comodato = listar("SELECT comodato.Id,
comodato.Lancamento,
comodato.Status,
comodato.Data_Comodato,
comodato.Numero_Contrato,
comodato.Data_Agendamento,
comodato.Obs as 'Obs_Comodato',
comodato.Valor_Original,
comodato.Valor_Pago,
comodato.Id_Unidade,
comodato.Frete,
comodato.Data_Agendamento,
cliente.Titulo as 'Cliente',
cliente.Razao_Social,
cliente.Email,
cliente.Natureza,
cliente.Cpf_Cnpj,
cliente.Rua,
cliente.Numero,
cliente.Cep,
cliente.Bairro,
cliente.Estado,
cliente.Fone1,
cliente.Ponto_Referencia,
cliente.Obs as 'Obs_Cliente',
cidade_ibge.Titulo as Cidade,
funcionario.Titulo as 'Funcionario',
usuario.Login
FROM comodato
LEFT JOIN (SELECT Id,Titulo,Email,Natureza,Cpf_Cnpj,Estadual,Rua,Numero,Cep,Bairro,Estado,Fone1,Obs,Id_Cidade,Razao_Social,Ponto_Referencia FROM cliente) as cliente ON cliente.Id = comodato.Id_Cliente
LEFT JOIN (SELECT Id,Titulo FROM cidade_ibge) as cidade_ibge ON cidade_ibge.Id = cliente.Id_Cidade
LEFT JOIN (SELECT Id,Titulo FROM funcionario) as funcionario ON funcionario.Id = comodato.Id_Funcionario
LEFT JOIN (SELECT Id,Login FROM usuario) as usuario ON usuario.Id = comodato.Id_Usuario
WHERE comodato.Id = '" . $_GET["id_comodato"] . "'
ORDER BY comodato.Lancamento DESC");

$_GET["Unidade"] = $comodato[0]["Id_Unidade"];
?>
<html>

<head>
    <title>Gw - Gesto Web</title>
    <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1" />
    <link rel="shortcut icon" href="../imagem/favi_gw.ico" type="image/x-icon" />
    <link rel="stylesheet" type="text/css" href="../estilo/<?php echo SKIN; ?>/tabela_imp.css" />
    <script type="text/javascript" language="javascript" src="../js/jquery.js"></script>
    <?php include '../include/script_cabeca.php'; ?>
    <script type="text/javascript" language="javascript" src="../js/script.js"></script>
    <script type="text/javascript" language="javascript" src="../js/meiomask/meiomask.js"></script>
    <script type="text/javascript" language="javascript" src="../js/meiomask/<?php if (PAIS == "USA") {
                                                                                    echo "mascaras-usa";
                                                                                } else {
                                                                                    echo "mascaras";
                                                                                } ?>.js"></script>
    <script type="text/javascript" language="javascript">
        //window.onload = function(){
        //window.print();
        //};
    </script>
</head>

<body>
    <table width="98%" align="center">
        <!-- TABELA Q ENVOLVE TODO O CONTEUDO -->
        <?php

        $empresa = listar("SELECT unidade.Logo,
                                  unidade.Titulo,
                                  unidade.Razao_Social,
                                  unidade.Cnpj,
                                  unidade.Rua,
                                  unidade.Numero,
                                  unidade.Bairro,
                                  unidade.Cidade,
                                  unidade.Estado,
                                  unidade.Cep,
                                  unidade.Fone1,
                                  unidade.Fone2,
                                  unidade.Email,
                                  unidade.Site,
                                  unidade.Natureza
                             FROM unidade 
                            WHERE Id = '" . $_GET["Unidade"] . "' ");
        ?>
        <tr>
            <td>
                <table width="100%" align="center">
                    <tr>
                        <td rowspan="2" style='font-variant:small-caps; border-top: 2px solid #363636;' width="20%">
                            <?php
                            if (file_exists("../unidade/foto/" . $empresa[0]["Logo"] . "")) {
                                $cam_arq = "../unidade/foto/" . $empresa[0]["Logo"];
                            } else {
                                $cam_arq = "../../unidade/foto/" . $empresa[0]["Logo"];
                            }
                            ?>
                            <img src="<?php echo $cam_arq; ?>" title="Logo" alt="Logo" border="0" width="160px"
                                height="auto" />
                        </td>
                        <td style='font-variant:small-caps; border-top: 2px solid #363636;' align="center">
                            <!-- <span style='font-variant:small-caps;font-size: 14px'>
                                | Cnpj: <?php echo $empresa[0]["Cnpj"] ?>|
                                <?php echo $empresa[0]["Rua"] . ", " . $empresa[0]["Numero"] . " - " . $empresa[0]["Bairro"] . " - " . $empresa[0]["Cidade"] . " - " . $empresa[0]["Estado"]; ?>
                                | <br>
                                | <?php echo $empresa[0]["Fone1"]; ?> | <?php echo $empresa[0]["Email"]; ?> |
                            </span> -->
                            <br>
                            <br>
                            <span style='font-variant:small-caps;font-size: 30px'>
                                <?php if ($comodato[0]['Status'] == 'Pedido Locao') {
                                    echo 'Pedido de Locao';
                                } else {
                                    echo 'Fatura de Locao';
                                }
                                ?>
                            </span>
                        </td>
                        <td rowspan="2" style='border-top: 2px solid #363636;font-size: 12px; background-color: #ccc'
                            align="center">
                            <span style='font-variant:small-caps;font-size: 10px'>

                                <?php if ($comodato[0]['Status'] == 'Pedido Locao') {
                                    echo 'Pedido de Locao';
                                } else {
                                    echo 'Fatura de Locao';
                                }
                                ?>
                                <br />
                            </span>
                            <span style='font-size: 24px'>
                                <b><?php echo str_pad($comodato[0]["Lancamento"], 5, "0", STR_PAD_LEFT); ?></b>
                            </span>
                            <br />
                            <span style='font-variant:small-caps;font-size: 10px'>
                                <?php
                                echo 'Nmero Contrato';
                                ?>
                                <br />
                            </span>
                            <span style='font-size: 24px'>
                                <b><?php echo $comodato[0]["Numero_Contrato"]; ?></b>
                            </span>
                            <br />
                        </td>
                    </tr>
                </table>
            </td>
        </tr>
        <tr>
            <td heigth="10"></td>
        </tr>
        <tr>
            <td heigth="10"></td>
        </tr>
        <tr>
            <td>
                <table width="100%" align="center" style="font-family: verdana">
                    <tr>
                        <td colspan="2" style='font-variant:small-caps; border-bottom: 2px solid #363636;'>
                            <b>Locador</b>
                        </td>
                    </tr>
                    <tr>
                        <td colspan="2"
                            style='border-bottom: 1px solid #737373;font-size: 12px'>
                            <span style='font-variant:small-caps;font-size: 10px'>Fantasia / Razo Social <br /></span>
                            <?php echo $empresa[0]["Titulo"] . " | " . $empresa[0]["Razao_Social"]; ?>
                        </td>
                    </tr>
                    <tr>
                        <td width="70%"
                            style='border-bottom: 1px solid #737373;border-right: 1px solid #737373;font-size: 12px'>
                            <span style='font-variant:small-caps;font-size: 10px'>Email <br /></span>
                            <?php echo $empresa[0]["Email"] ?>
                        </td>
                        <td width="30%" style='border-bottom: 1px solid #737373;font-size: 12px'>
                            <span style='font-variant:small-caps;font-size: 10px'>Fone <br /></span>
                            <?php
                            echo ($empresa[0]["Fone1"]);
                            ?>
                        </td>
                    </tr>
                    <tr>
                        <td width="70%"
                            style='border-bottom: 1px solid #737373;border-right: 1px solid #737373;font-size: 12px'>
                            <span style='font-variant:small-caps;font-size: 10px'>Endereo <br /></span>
                            <?php echo $empresa[0]["Rua"] . ", " . $empresa[0]["Numero"]; ?>
                        </td>

                        <?php if ($empresa[0]["Natureza"] == "PF") { ?>
                            <td width="30%" style='border-bottom: 1px solid #737373;font-size: 12px'>
                                <span style='font-variant:small-caps;font-size: 10px'>CPF <br /></span>
                                <?php echo cpf_exibir($empresa[0]["Cnpj"]); ?>
                            </td>
                        <?php } else { ?>
                            <td width="30%" style='border-bottom: 1px solid #737373;font-size: 12px'>
                                <span style='font-variant:small-caps;font-size: 10px'>CNPJ <br /></span>
                                <?php echo cnpj_exibir($empresa[0]["Cnpj"]); ?>
                            </td>
                        <?php } ?>
                    </tr>
                    <tr>
                        <td width="70%"
                            style='border-bottom: 1px solid #737373;border-right: 1px solid #737373;font-size: 12px'>
                            <span style='font-variant:small-caps;font-size: 10px'>Bairro / Cidade / UF <br /></span>
                            <?php echo $empresa[0]["Bairro"] . " / " . $empresa[0]["Cidade"] . " / " . $empresa[0]["Estado"]; ?>
                        </td>
                        <td width="30%" style='border-bottom: 1px solid #737373;font-size: 12px'>
                            <span style='font-variant:small-caps;font-size: 10px'>CEP <br /></span>
                            <?php echo cep_exibir($empresa[0]["Cep"]); ?>
                        </td>
                    </tr>
                </table>
            </td>
        </tr>
        <td>
            <table width="100%" align="center" style="font-family: verdana">
                <tr>
                    <td colspan="2" style='font-variant:small-caps; border-bottom: 2px solid #363636;'>
                        <b>Locatrio (a)</b>
                        <span style="float: right;font-size: 12px">
                            <?php
                            if ($comodato[0]["Os_Fornecedor"]) {
                                echo "OS Fornecedor: " . $comodato[0]["Os_Fornecedor"];
                            }
                            ?>
                        </span>
                    </td>
                </tr>
                <tr>
                    <td width="70%"
                        style='border-bottom: 1px solid #737373;border-right: 1px solid #737373;font-size: 12px'>
                        <span style='font-variant:small-caps;font-size: 10px'>Fantasia / Razo Social <br /></span>
                        <?php echo $comodato[0]["Cliente"] . " / " . $comodato[0]["Razao_Social"]; ?>
                    </td>
                    <td width="30%" style='border-bottom: 1px solid #737373;font-size: 12px'>
                        <span style='font-variant:small-caps;font-size: 10px'>Emisso <br /></span>
                        <?php echo data_exibir($comodato[0]["Data_Comodato"]); ?>
                    </td>
                </tr>
                <tr>
                    <td width="70%"
                        style='border-bottom: 1px solid #737373;border-right: 1px solid #737373;font-size: 12px'>
                        <span style='font-variant:small-caps;font-size: 10px'>Email <br /></span>
                        <?php echo $comodato[0]["Email"] ?>
                    </td>
                    <td width="30%" style='border-bottom: 1px solid #737373;font-size: 12px'>
                        <span style='font-variant:small-caps;font-size: 10px'>Fone <br /></span>
                        <?php
                        echo ($comodato[0]["Fone1"]);
                        if ($comodato[0]["Fone2"]) {
                            echo " / " . $comodato[0]["Fone2"];
                        }
                        ?>
                    </td>
                </tr>
                <tr>
                    <td width="70%"
                        style='border-bottom: 1px solid #737373;border-right: 1px solid #737373;font-size: 12px'>
                        <span style='font-variant:small-caps;font-size: 10px'>Endereo <br /></span>
                        <?php echo $comodato[0]["Rua"] . ", " . $comodato[0]["Numero"]; ?>
                    </td>

                    <?php if ($comodato[0]["Natureza"] == "PF") { ?>
                        <td width="30%" style='border-bottom: 1px solid #737373;font-size: 12px'>
                            <span style='font-variant:small-caps;font-size: 10px'>CPF <br /></span>
                            <?php echo cpf_exibir($comodato[0]["Cpf_Cnpj"]); ?>
                        </td>
                    <?php } else { ?>
                        <td width="30%" style='border-bottom: 1px solid #737373;font-size: 12px'>
                            <span style='font-variant:small-caps;font-size: 10px'>CNPJ <br /></span>
                            <?php echo cnpj_exibir($comodato[0]["Cpf_Cnpj"]); ?>
                        </td>
                    <?php } ?>
                </tr>
                <tr>
                    <td width="70%"
                        style='border-bottom: 1px solid #737373;border-right: 1px solid #737373;font-size: 12px'>
                        <span style='font-variant:small-caps;font-size: 10px'>Bairro / Cidade / UF <br /></span>
                        <?php echo $comodato[0]["Bairro"] . " / " . $comodato[0]["Cidade"] . " / " . $comodato[0]["Estado"]; ?>
                    </td>
                    <td width="30%" style='border-bottom: 1px solid #737373;font-size: 12px'>
                        <span style='font-variant:small-caps;font-size: 10px'>CEP <br /></span>
                        <?php echo cep_exibir($comodato[0]["Cep"]); ?>
                    </td>
                </tr>
                <tr>
                    <td colspan="2" width="100%" style='border-bottom: 1px solid #737373;font-size: 12px'>
                        <span style='font-variant:small-caps;font-size: 10px'>Ponto Referncia <br /></span>
                        <?php echo ($comodato[0]["Ponto_Referencia"] != '') ? $comodato[0]["Ponto_Referencia"] : "-"; ?>
                    </td>
                </tr>
                <tr>
                    <td colspan="2" width="100%" style='border-bottom: 1px solid #737373;font-size: 12px'>
                        <span style='font-variant:small-caps;font-size: 10px'>obs <br /></span>
                        <?php echo ($comodato[0]["Obs_Cliente"]); ?>
                    </td>
                </tr>
            </table>
        </td>
        </tr>

        <tr>
            <td>
                <table width="100%" align="center" style="font-family: verdana">
                    <tr>
                        <td colspan="20" style='font-variant:small-caps; border-bottom: 2px solid #363636;'>
                            <b>Itens</b>
                        </td>
                    </tr>
                    <?php
                    $comodato_prod = listar("SELECT DISTINCT comodato_produto.Id,
                                                             comodato_produto.Preco as 'Preco_Comodato',
                                                             comodato_produto.Qtd as 'Qtd_Comodato',
                                                             comodato_produto.Desconto as 'Desconto_Comodato',
                                                             comodato_produto.Desconto_Real,
                                                             comodato_produto.Diaria,
                                                             comodato_produto.Numero_Serie,
                                                             comodato_produto.Data_Produto_Entrega as Data_Retorno,
                                                             comodato_produto.Data_Produto_Inicio,
                                                             produto.Titulo as 'Produto',
                                                             produto.Descricao,
                                                             produto.Codigo
                                                        FROM comodato_produto
                                                   LEFT JOIN (SELECT Id,Titulo,Descricao,Codigo FROM produto) as  produto ON produto.Id = comodato_produto.Id_Produto
                                                       WHERE comodato_produto.Id_Comodato = '" . $_GET["id_comodato"] . "'
                                                        AND Tipo = 'Emprestado'");
                    ?>
                    <?php
                    $x = 1;
                    $totalComodato = 0;
                    foreach ($comodato_prod as $chave) { ?>
                        <tr>
                            <td style='border-bottom: 1px solid #737373;border-right: 1px solid #737373;font-size: 12px'>
                                <span style='font-variant:small-caps;font-size: 10px'>Descrio
                                    <br /></span>
                                <?php echo $chave['Codigo'] . ' : ' . $chave['Produto']; ?>
                            </td>
                            <td style='border-bottom: 1px solid #737373;border-right: 1px solid #737373;font-size: 12px'>
                                <span style='font-variant:small-caps;font-size: 10px'>Dirias
                                    <br /></span>
                                <?php echo $chave['Diaria']; ?>
                            </td>
                            <td style='border-bottom: 1px solid #737373;border-right: 1px solid #737373;font-size: 12px'>
                                <span style='font-variant:small-caps;font-size: 10px'>Qtd
                                    <br /></span>
                                <?php echo $chave['Qtd_Comodato']; ?>
                            </td>
                            <td style='border-bottom: 1px solid #737373;font-size: 12px; border-right: 1px solid #737373;'>
                                <span style='font-variant:small-caps;font-size: 10px'>Data Inicio <br /></span>
                                <?php echo data_exibir($chave["Data_Produto_Inicio"]); ?>
                            </td>
                            <td style='border-bottom: 1px solid #737373;font-size: 12px; border-right: 1px solid #737373;'>
                                <span style='font-variant:small-caps;font-size: 10px'>Data Retorno <br /></span>
                                <?php echo data_exibir($chave["Data_Retorno"]); ?>
                            </td>
                            <td style='border-bottom: 1px solid #737373;border-right: 1px solid #737373;font-size: 12px'>
                                <span style='font-variant:small-caps;font-size: 10px'>V Unit
                                    <br /></span>
                                <?php echo valor_exibir($chave['Preco_Comodato']); ?>
                            </td>
                            <td style='border-bottom: 1px solid #737373;font-size: 12px'>
                                <span style='font-variant:small-caps;font-size: 10px'>Valor
                                    <br /></span>
                                <?php echo valor_exibir($chave['Preco_Comodato'] * $chave['Qtd_Comodato']); ?>
                            </td>

                        </tr>
                    <?php

                        $totalComodato += $chave['Qtd_Comodato'] * $chave['Preco_Comodato'];
                        $totalDesconto += ($chave["Preco_Venda"] * $chave["Qtd_Venda"]) * ($chave["Desconto_Venda"] / 100) + $chave['Desconto_Real'];
                        $x++;
                    }
                    ?>
                    <tr>
                        <td colspan="5"
                            style='border-right: 1px solid #737373;font-size: 12px'>
                            <span style='font-variant:small-caps;font-size: 10px'>
                                <br /></span>
                        </td>
                        <td style='border-bottom: 1px solid #737373;border-right: 1px solid #737373;font-size: 12px'>
                            <span style='font-variant:small-caps;font-size: 10px'>
                                <br /></span>
                            <b>Sub Total</b>
                        </td>
                        <td style='border-bottom: 1px solid #737373;font-size: 12px'>
                            <span style='font-variant:small-caps;font-size: 10px'>
                                <br /></span>
                            <?php echo valor_exibir($totalComodato) ?>
                        </td>
                    </tr>
                    <tr>
                        <td colspan="5"
                            style='border-right: 1px solid #737373;font-size: 12px'>
                            <span style='font-variant:small-caps;font-size: 10px'>
                                <br /></span>
                        </td>
                        <td style='border-bottom: 1px solid #737373;border-right: 1px solid #737373;font-size: 12px'>
                            <span style='font-variant:small-caps;font-size: 10px'>
                                <br /></span>
                            <b>Frete</b>
                        </td>
                        <td style='border-bottom: 1px solid #737373;font-size: 12px'>
                            <span style='font-variant:small-caps;font-size: 10px'>
                                <br /></span>
                            <?php echo valor_exibir($comodato[0]['Frete']) ?>
                        </td>
                    </tr>
                    <tr>
                        <td colspan="5"
                            style='border-right: 1px solid #737373;font-size: 12px'>
                            <span style='font-variant:small-caps;font-size: 10px'>
                                <br /></span>
                        </td>
                        <td style='border-bottom: 1px solid #737373;border-right: 1px solid #737373;font-size: 12px'>
                            <span style='font-variant:small-caps;font-size: 10px'>
                                <br /></span>
                            <b>Desconto</b>
                        </td>
                        <td style='border-bottom: 1px solid #737373;font-size: 12px'>
                            <span style='font-variant:small-caps;font-size: 10px'>
                                <br /></span>
                            <?php echo valor_exibir($totalDesconto) ?>
                        </td>
                    </tr>
                    <tr>
                        <td colspan="5"
                            style='border-right: 1px solid #737373;font-size: 12px'>
                            <span style='font-variant:small-caps;font-size: 10px'>
                                <br /></span>
                        </td>
                        <td style='border-bottom: 1px solid #737373;border-right: 1px solid #737373;font-size: 12px'>
                            <span style='font-variant:small-caps;font-size: 10px'>
                                <br /></span>
                            <b>Total</b>
                        </td>
                        <td style='border-bottom: 1px solid #737373;font-size: 12px'>
                            <span style='font-variant:small-caps;font-size: 10px'>
                                <br /></span>
                            <?php echo valor_exibir(($totalComodato + $comodato[0]['Frete']) - $totalDesconto) ?>
                        </td>
                    </tr>
                </table>
            </td>
        </tr>
        <tr>
            <td>
                <table width="100%" align="center" style="font-family: verdana">
                    <tr>
                        <td colspan="2" width="100%" style='border-bottom: 1px solid #737373;font-size: 12px'>
                            <span style='font-variant:small-caps;font-size: 10px'>Observao <br /></span>
                            <?php echo ($comodato[0]["Obs_Comodato"]); ?>
                        </td>
                    </tr>
                    <tr>
                        <td width="25%"
                            style='border-bottom: 1px solid #737373;font-size: 12px'>
                            1. Dados referente ao Contrato de locao N <?php echo $comodato[0]["Lancamento"] ?> com
                            data de abertura em <?php echo data_exibir($comodato[0]["Data_Comodato"]) ?><br>
                            2. No  fato gerador do ISSQN a locao de bens mveis<br>
                            3. Dispensado da emisso de notas fiscais, conforme Lei complemetar 116 de 31/07/2003.<br>
                            4. Natureza da operao: Locao de Bens Mveis.<br>
                            No  vlido como Recibo<br>
                            Petrolina-PE, <?php echo data_extenso($comodato[0]["Data_Comodato"]) ?><br>
                        </td>
                    </tr>
                </table>
            </td>
        </tr>
        <tr>
            <td>
                &nbsp;
            </td>
        </tr>
        <tr>
            <td colspan="20" style='font-variant:small-caps; border-bottom: 2px solid #363636;'>
            </td>
        </tr>
        <tr>
            <td>
                <table width="100%" align="center" style="font-family: verdana">
                    <tr>
                        <td width="33%"
                            style='border-bottom: 1px solid #737373;border-right: 1px solid #737373;font-size: 12px'>
                            <span style='font-variant:small-caps;font-size: 10px'>Data Recebimento <br /></span>
                            <?php echo data_exibir($comodato[0]["Data_Comodato"]); ?>
                        </td>
                        <td colspan="2" width="34%" style='border-bottom: 1px solid #737373;border-right: 1px solid #737373;font-size: 12px'>
                            <span style='font-variant:small-caps;font-size: 10px'>Identificao e Assinatura do
                                Recebedor <br /></span>
                            &nbsp;
                        </td>
                        <td width="33%"
                            style='border-bottom: 1px solid #737373;font-size: 12px'>
                            <span style='font-variant:small-caps;font-size: 10px'>
                                <?php if ($comodato[0]['Status'] == 'Pedido Locao') {
                                    echo 'Pedido de Locao';
                                } else {
                                    echo 'Fatura de Locao';
                                }
                                ?>
                                <br>
                            </span>
                            <?php echo '0000' . $comodato[0]["Lancamento"]; ?>
                        </td>

                    </tr>


                </table>
            </td>
        </tr>
    </table>
</body>

</html>
<?php include "../include/rodape.php"; ?>