<?php
include_once '../include/conecta.php'; //Conecta com a nosso banco de dados MySQL
ini_set('session.gc_maxlifetime', 60 * 120);
session_start();
/*include_once '../include/ver_sessao.php'; //Verifica se a sesso est ativa*/
include_once '../include/funcoesPhp.php';
include_once '../menu_movimento.php';

if ($_SERVER['REQUEST_METHOD'] == "GET") {
    //echo "<script>window.opener.document.forms['ordenar'].submit(); window.close();</script>";
}
?>
<html>

<head>
    <title>Gw - Gesto Web</title>
    <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1" />
    <link rel="shortcut icon" href="imagem/favi_gw.ico" type="image/x-icon" />
    <link rel="stylesheet" type="text/css" href="../estilo/<?php echo SKIN; ?>/tableless.css" />
    <link rel="stylesheet" type="text/css" href="../estilo/<?php echo SKIN; ?>/tabelas.css" />
    <link rel="stylesheet" type="text/css" href="../estilo/<?php echo SKIN; ?>/listless.css" />
    <script language="javascript" type="text/javascript" src="../js/jquery.js"></script>
    <?php include '../include/script_cabeca.php'; ?>
    <?php include '../include/script_campo.php'; ?>
    <script language="javascript" type="text/javascript" src="../js/script.js"></script>
    <style type="text/css">
        .input {
            margin: 0 5px;
            width: 150px;
            height: 40px;
            font: 25px Georgia, "Trebuchet MS", Tahoma, Times, serif;
            font-weight: bold;
        }

        .codigo {
            margin: 0 5px;
            width: 250px;
            height: 40px;
            font: 25px Georgia, "Trebuchet MS", Tahoma, Times, serif;
            font-weight: bold;
        }

        .descricao {
            margin: 0 5px;
            width: 250px;
            height: 40px;
            font: 25px Georgia, "Trebuchet MS", Tahoma, Times, serif;
            font-weight: bold;
        }

        .fornecedor {
            margin: 0 5px;
            width: 80%;
            height: 40px;
            font: 25px Georgia, "Trebuchet MS", Tahoma, Times, serif;
            font-weight: bold;
        }

        h1 {
            font: 30px "Trebuchet MS", Tahoma, Helvetica, sans-serif;
            color: #f4f4f4;
        }

        .buscarprodutos {
            font: 20px "Trebuchet MS", Tahoma, Helvetica, sans-serif;
            color: #f4f4f4;
            font-weight: bold;
        }

        strong {
            margin: 0 5px;
            font: 18px "Trebuchet MS", Tahoma, Geneva, sans-serif;
            color: #000000;
            font-weight: bold;
        }

        span .header {
            font: 14px "Trebuchet MS", Tahoma, Helvetica, sans-serif;
            font-weight: bold;
            color: #069;
        }

        .over {
            overflow: scroll;
            height: 300px;
            padding: 0;
            background-color: #FFFFFF;
        }

        .tr-1 {
            background-color: #E8E8E8;
        }

        .tr-2 {
            background-color: #225F93;
        }

        .tr-3 {
            background-color: #cccccc;
        }

        .destaque {
            background: #00C5CD !important;
        }

        a:link,
        a:visited,
        a:hover,
        a:active {
            text-decoration: none;
            color: #000;
        }
    </style>
    <script type="text/javascript" language="javascript">
        //funcao de trocar a cor da TR no listar
        $(function() {
            $('table tr').hover(
                function() {
                    $(this).addClass('destaque');
                },
                function() {
                    $(this).removeClass('destaque');
                }
            );
        });
    </script>
    <script type='text/javascript'>
        function proximoAcesso() {
            var Unidade = $("#Unidade").val();
            if (Unidade) {
                $.ajax({
                    method: 'get',
                    url: 'importar_acesso.php',
                    data: {
                        Unidade: Unidade
                    },
                    dataType: "json",
                    //dataType : "html",
                    success: function(retorno) {
                        $('#proximo_acesso').html(retorno.Compra_Download);
                        $('#Liberado').val(retorno.Liberado);
                        //$('#retorno').html(retorno);
                    },
                    error: function(retorno) {
                        console.log(retorno);
                        if (retorno.status == 404) {
                            $('#retorno').html('Houve um erro: ' + retorno.status + ' ' + retorno.statusText);
                        } else {
                            $('#retorno').html('Houve um erro desconhecido entre em contato com o administrador.');
                        }
                    }
                });

            }
        }

        function distribuicao() {
            var Liberado = $("#Liberado").val();
            var Unidade = $("#Unidade").val();

            if (Unidade > 0 && Liberado == 'S') {
                $.ajax({
                    method: 'get',
                    url: '../nfe/distribuicao.php',
                    data: {
                        Unidade: Unidade
                    },
                    dataType: "json",
                    //dataType : "html",
                    success: function(retorno) {
                        if (retorno.erro == 'S') {
                            alert(retorno.motivo);
                            $('#retorno').html(retorno);
                        }
                        proximoAcesso();
                        MontarTabela();
                        
                        location.reload();
                        //$('#retorno').html(retorno);
                    },
                    error: function(retorno) {
                        //console.log(retorno);
                        //if ( retorno.status == 404 ) {
                        //$('#retorno').html('Houve um erro: ' + retorno.status + ' ' + retorno.statusText);
                        //} else {
                        //$('#retorno').html('Houve um erro desconhecido entre em contato com o administrador.');
                        //}
                    }
                });

            } else {
                alert('No esta no tempo ou no tem Empresa!');
            }
        }

        $(document).ready(function() {
            $(".baixar_pdf").live('click', function(e) {
                e.preventDefault();

                //var Elem = $(this);
                var Manifesto = $(this).attr("data-value");
                var Chave = $(this).attr("data-id");
                var Unidade = $(this).attr("data-unid");

                if (Manifesto == 1) {
                    window.open('../nfe/download_pdf.php?Chave=' + Chave + '&Unidade=' + Unidade, 'XML', 'width=800,height=800,top=0,left=0,scrollbars=yes');
                    /*
                    $.ajax({
                        method : 'get',
                        url : '../nfe/download_xml.php',
                        data: {Manifesto:Manifesto, Chave:Chave, Unidade:Unidade},
                        //dataType : "json",
                        dataType : "html",
                        success : function(retorno){
                            //alert(retorno.Conciliado);
                            $('#retorno').html(retorno);
                        }
                    });
                    */
                } else {
                    alert('NFe Precisa estar Confirmada!');
                }

            });

        });

        $(document).ready(function() {
            $(".baixar_xml").live('click', function(e) {
                e.preventDefault();

                //var Elem = $(this);
                var Manifesto = $(this).attr("data-value");
                var Chave = $(this).attr("data-id");
                var Unidade = $(this).attr("data-unid");

                if (Manifesto == 1) {
                    window.open('../nfe/download_xml.php?Chave=' + Chave + '&Unidade=' + Unidade, 'XML', 'width=500,height=500,top=0,left=0,scrollbars=yes');
                    /*
                    $.ajax({
                        method : 'get',
                        url : '../nfe/download_xml.php',
                        data: {Manifesto:Manifesto, Chave:Chave, Unidade:Unidade},
                        //dataType : "json",
                        dataType : "html",
                        success : function(retorno){
                            //alert(retorno.Conciliado);
                            $('#retorno').html(retorno);
                        }
                    });
                    */
                } else {
                    alert('NFe Precisa estar Confirmada!');
                }

            });

        });

        $(document).ready(function() {
            $(".manifesto").live('click', function(e) {
                e.preventDefault();

                var Elem = $(this);
                var Manifesto = $(this).attr("data-value");
                var Chave = $(this).attr("data-id");
                var Unidade = $(this).attr("data-unid");

                //var irma = $(this).closest('tr').find('td[data-baixar]').parent().find('.baixar_xml').attr("data-value");
                //console.log(irma);

                if (Manifesto == 0) {
                    $.ajax({
                        method: 'get',
                        url: '../nfe/manifesto.php',
                        data: {
                            Manifesto: Manifesto,
                            Chave: Chave,
                            Unidade: Unidade
                        },
                        dataType: "json",
                        //dataType : "html",
                        success: function(retorno) {
                            //alert(retorno.Conciliado);
                            //$("#retorno").html(retorno);
                            //console.log(retorno);
                            Elem.html(retorno.Descricao_Manifesto);
                            Elem.attr('data-value', retorno.Manifesto);
                            Elem.closest('tr').find('td[data-baixar]').parent().find('.baixar_pdf').attr('data-value', retorno.Manifesto);
                            Elem.closest('tr').find('td[data-baixar]').parent().find('.baixar_xml').attr('data-value', retorno.Manifesto);
                            Elem.closest('tr').find('td[data-pedido]').parent().find('.gerar_compra').attr('data-value', retorno.Manifesto);
                        }
                    });
                }

            });

        });

        $(document).ready(function() {
            $(".recusa").live('click', function(e) {
                e.preventDefault();

                var Elem = $(this);
                var Recusa = $(this).attr("data-value");
                var Chave = $(this).attr("data-id");
                var Unidade = $(this).attr("data-unid");

                if (Recusa == 0) {
                    var Obs = prompt("Motivo: ");
                    if (Obs != '') {
                        $.ajax({
                            method: 'get',
                            url: '../nfe/recusa.php',
                            data: {
                                Recusa: Recusa,
                                Chave: Chave,
                                Unidade: Unidade,
                                Obs: Obs
                            },
                            dataType: "json",
                            //dataType : "html",
                            success: function(retorno) {
                                //$("#retorno").html(retorno);
                                //console.log(retorno);
                                Elem.html(retorno.Descricao_Recusa);
                                Elem.attr('data-value', retorno.Recusa);
                            }
                        });
                    } else {
                        alert('Falta preencher o MOTIVO!');
                    }
                }

            });
        });

        $(document).ready(function() {
            $(".nao_realizada").live('click', function(e) {
                e.preventDefault();

                var Elem = $(this);
                var Nao_Realizada = $(this).attr("data-value");
                var Chave = $(this).attr("data-id");
                var Unidade = $(this).attr("data-unid");

                if (Nao_Realizada == 0) {
                    var Obs = prompt("Motivo: ");
                    if (Obs != '') {
                        $.ajax({
                            method: 'get',
                            url: '../nfe/nao_realizada.php',
                            data: {
                                Nao_Realizada: Nao_Realizada,
                                Chave: Chave,
                                Unidade: Unidade,
                                Obs: Obs
                            },
                            dataType: "json",
                            //dataType : "html",
                            success: function(retorno) {
                                //$("#retorno").html(retorno);
                                //console.log(retorno);
                                Elem.html(retorno.Descricao_Nao_Realizada);
                                Elem.attr('data-value', retorno.Nao_Realizada);
                            }
                        });
                    } else {
                        alert('Falta preencher o MOTIVO!');
                    }
                }

            });
        });

        $(document).ready(function() {
            $(".gerar_compra").live('click', function(e) {
                e.preventDefault();

                //var Elem = $(this);
                var Manifesto = $(this).attr("data-value");
                var Compra = $(this).attr("data-compra");
                var Chave = $(this).attr("data-id");
                var Unidade = $(this).attr("data-unid");

                if (Manifesto == 1 && Compra == 0) {
                    location.href = 'importar_fornecedor.php?Chave=' + Chave + '&Unidade=' + Unidade;
                } else {
                    alert('No Permitido!');
                }

            });

        });

        function manual() {
            location.href = 'importar_compra_m.php';
        }
    </script>

    <!-- DESCONTINUADA POIS A TABELA FOI INCORPORADA NESTE ARQUIVO. -->

    <script type="text/javascript" language="javascript">
        // function MontarTabela() {
        //     var Unidade = $("#Unidade").val();
        //     var Status_Nfe = $("#Status_Nfe").val();
        //     $.post("importar_tabela.php", {
        //             Unidade: Unidade,
        //             Status_Nfe: Status_Nfe
        //         },
        //         function(data) {
        //             $("#DivTabelaProduto").html(data);
        //         });
        // }

        // $(document).ready(function() {
        //     MontarTabela();
        // });

        $(document).ready(function() {
            $('#Status_Nfe').change(function() {
                $('#formStatusNfe').submit();
            })

            $('#Unidade').change(function() {
                $('#formUnidade').submit();
            })
        });
    </script>
</head>

<body>
    <table width="98%" border="0" cellpadding="2" cellspacing="1" id="tabela_pdv">
        <tr>
            <td colspan="2" align="center" bgcolor="#225F93">
                <span id="Caixa_Livre" class="buscarprodutos header">
                    Download Nota Fiscal
                </span>
            </td>
            <td colspan="2" align="center" bgcolor="#225F93">
                <button type="button" name="Manual" value="Manual" onclick="manual();" style="width: 200px; height: 30px"><span style="font-size: 20px;color: #000">Manual</span></button>
            </td>
        </tr>
        <tr>
            <td align="center" bgcolor="#225F93">
                <form method="get" id="formStatusNfe">
                    <?php
                    $vetor = array(
                        '' => 'Todas',
                        'Nao_Manifestada' => 'No Manifestada',
                        'Confirmada' => 'Confirmada',
                        'Recusa' => 'Recusa',
                        'Nao_Realizada' => 'No Realizada',
                        'Cancelada' => 'Cancelada'
                    );
                    select_tela("Status_Nfe", "Status_Nfe", $_GET["Status_Nfe"], $vetor, "", "fornecedor");
                    ?>
                </form>
            </td>
            <td colspan="3" align="center" bgcolor="#225F93">
                <span id="Caixa_Livre" class="buscarprodutos header">
                    <?php
                    $prox_data = mysqli_query($con, "SELECT Compra_Download FROM unidade WHERE Id='1' ");
                    $prox_data = mysqli_fetch_assoc($prox_data);

                    $d = new DateTime($prox_data["Compra_Download"]);
                    $d->add(new DateInterval('PT1H'));
                    $Proximo_Data = $d->format('Y-m-d H:i:s');

                    $d1 = strtotime(date('Y-m-d H:i:s'));
                    $d2 = strtotime($Proximo_Data);

                    $liberado = 'N';
                    if ($d2 < $d1) {
                        $liberado = 'S';
                    }
                    ?>
                    Este processo s pode ser realizado a cada uma hora.<br>
                    Prximo acesso s <span id="proximo_acesso"><?php echo data_hora($Proximo_Data); ?></span>
                </span>
            </td>
        </tr>
        <td colspan="2" align="center" bgcolor="#225F93">
            <form method="get" id="formUnidade">
                <?php
                //se o sistema for Multi Empresa
                if (MULTI_EMPRESA == "Sim") {

                    //se o usuario for de gerente acima ele escolhe pra quem vai
                    if (ESCOLHER_EMPRESA == 'Sim') {
                ?>
                        <?php
                        echo select_banco2(
                            "SELECT Id,Titulo FROM unidade WHERE Ativo='Sim' ORDER BY Titulo",
                            "Unidade",
                            "Unidade",
                            "Empresa",
                            $_GET["Unidade"],
                            "onchange='proximoAcesso();'",
                            "fornecedor"
                        );
                        ?>
                <?php
                        //se no for, a unidade sempre ser a sua
                    } else {
                        echo "<input type='hidden' name='Unidade' id='Unidade' value='" . $_SESSION["Unidade"] . "' >";
                    }
                } else {
                    echo "<input type='hidden' name='Unidade' id='Unidade' value='" . $_SESSION["Unidade"] . "' >";
                }
                ?>
            </form>

        </td>
        <td colspan="2" align="center" bgcolor="#225F93">
            <input type="hidden" id="Liberado" name="Liberado" value="<?php echo $liberado; ?>">
            <button type="button" name="Buscar" value="Buscar Compras" onclick="distribuicao();" style="width: 400px; height: 40px"><span style="font-size: 20px;color: #000">Buscar Compras</span></button>
        </td>
        </tr>
    </table>
    <table width="98%" border="0" cellpadding="2" cellspacing="1" id="tabela_pdv">
        <thead>
            <tr bgcolor="#225F93">
                <td><strong>Chave</strong></td>
                <td><strong>Cnpj</strong></td>
                <td><strong>Fornecedor</strong></td>
                <td><strong>Data Emisso</strong></td>
                <td><strong>Manifesto</strong></td>
                <td><strong>Compra</strong></td>
                <td><strong>Baixar</strong></td>
                <td><strong>Recusa</strong></td>
                <td><strong>No Realizada</strong></td>
            </tr>
        </thead>
        <?php
        if ($_GET["Status_Nfe"] == "Nao_Manifestada") {
            $status = " AND Manifesto='0' ";
        }
        if ($_GET["Status_Nfe"] == "Confirmada") {
            $status = " AND Manifesto='1' ";
        }
        if ($_GET["Status_Nfe"] == "Recusa") {
            $status = " AND Recusa='1' ";
        }
        if ($_GET["Status_Nfe"] == "Nao_Realizada") {
            $status = " AND Nao_Realizada='1' ";
        }
        if ($_GET["Status_Nfe"] == "Cancelada") {
            $status = " AND Manifesto='2' ";
        }

        if (!$_POST["Unidade"]) {
            $_POST["Unidade"] = $_SESSION["Unidade"];
        }
        if ($_GET["Unidade"]) {
            $_POST["Unidade"] = $_GET["Unidade"];
        }

        $_pagi_sql = "SELECT compra_nfe.Id,
                        compra_nfe.chNFe,
                        compra_nfe.CNPJ,
                        compra_nfe.xNome,
                        compra_nfe.dhEmi,
                        compra_nfe.Manifesto,
                        compra_nfe.Compra,
                        compra_nfe.Compra_Nova,
                        compra_nfe.Id_Unidade,
                        compra_nfe.Recusa,
                        compra_nfe.Nao_Realizada
                        from compra_nfe
                        where Id_Unidade='" . $_POST["Unidade"] . "' $status
                        ORDER BY dhEmi DESC ";

        include_once '../include/paginator_opcao.php';
        include_once '../include/paginator_importar_compra.inc.php'; //incluindo o script de paginao PAGINATOR
        ?>
        <tfoot>
            <tr>
                <td colspan="15">
                    <div id="paginacao">
                        <p><?php echo $_pagi_navegacion; ?></p>
                    </div>
                </td>
            </tr>
        </tfoot>
        <tbody>
            <?php
            $y = '1';
            while ($chave = mysqli_fetch_assoc($_pagi_result)) {
                $manifesto = ($chave["Manifesto"] == 0) ? 'No Manifestada' : (($chave["Manifesto"] == 2) ? 'Cancelada / Denegada' : 'Confirmada');
                $compra = ($chave["Compra"] == 0) ? 'No' : 'Sim';
                $recusa = ($chave["Recusa"] == 0) ? 'No' : 'Sim';
                $nao_realizada = ($chave["Nao_Realizada"] == 0) ? 'No' : 'Sim';

                //validando se ja foi feito compras da NFe
                //if($chave["Compra"]==0){
                $valid_compra = mysqli_query($con, "Select Id from compra where Chave_Nfe='" . $chave["chNFe"] . "' AND Status<>'Cancelado' LIMIT 1 ");
                $compra_nfe = mysqli_fetch_assoc($valid_compra);
                if (!empty($compra_nfe["Id"])) {
                    mysqli_query($con, "UPDATE compra_nfe SET Compra='1' where Id='" . $chave["Id"] . "' AND Compra='0' ");
                    $compra = 'Sim';
                    $chave["Compra"] = 1;
                } else {
                    mysqli_query($con, "UPDATE compra_nfe SET Compra='0' where Id='" . $chave["Id"] . "' AND Compra='1' ");
                    $compra = 'No';
                    $chave["Compra"] = 0;
                }
                //}
            ?>
                <tr class="tr-1">
                    <td><?php echo $chave["chNFe"]; ?></td>
                    <td><?php echo cnpj_exibir($chave["CNPJ"]); ?></td>
                    <td><?php echo $chave["xNome"]; ?></td>
                    <td><?php echo data_exibir($chave["dhEmi"]); ?></td>
                    <td style="cursor: pointer;" title="Manifestar" alt="Manifestar">
                        <span class="manifesto" data-value="<?php echo $chave["Manifesto"]; ?>" data-id="<?php echo $chave["chNFe"]; ?>" data-unid="<?php echo $chave["Id_Unidade"]; ?>">
                            <?php echo $manifesto; ?>
                        </span>
                    </td>
                    <td data-pedido="compra" title="Gerar Compra" alt="Gerar Compra">
                        <span class="gerar_compra" style="cursor: pointer;" data-value="<?php echo $chave["Manifesto"]; ?>" data-compra="<?php echo $chave["Compra"]; ?>" data-id="<?php echo $chave["chNFe"]; ?>" data-unid="<?php echo $chave["Id_Unidade"]; ?>">
                            <?php echo $compra; ?>
                        </span>
                        <?php
                        if ($chave['Compra_Nova'] == 1) {
                            echo '&nbsp;&nbsp;<img src="../imagem/farol_verde.png" title="Compra Nova" alt="Compra Nova" border="0" class="img_farol"/>';
                        }
                        ?>
                    </td>
                    <td data-baixar="arquivos">
                        <span class="baixar_pdf" style="cursor: pointer;" data-value="<?php echo $chave["Manifesto"]; ?>" data-id="<?php echo $chave["chNFe"]; ?>" data-unid="<?php echo $chave["Id_Unidade"]; ?>">
                            <img src="../imagem/pdf.png" alt="Baixar PDF" border="0" title="Baixar PDF" width="24px" height="auto">
                        </span>
                        <span class="baixar_xml" style="cursor: pointer;" data-value="<?php echo $chave["Manifesto"]; ?>" data-id="<?php echo $chave["chNFe"]; ?>" data-unid="<?php echo $chave["Id_Unidade"]; ?>">
                            <img src="../imagem/xml.png" alt="Baixar XML" border="0" title="Baixar XML" width="22px" height="auto">
                        </span>
                    </td>
                    <td style="cursor: pointer;" title="Recusa" alt="Recusa" align="center">
                        <span class="recusa" data-value="<?php echo $chave["Recusa"]; ?>" data-id="<?php echo $chave["chNFe"]; ?>" data-unid="<?php echo $chave["Id_Unidade"]; ?>">
                            <?php echo $recusa; ?>
                        </span>
                    </td>
                    <td style="cursor: pointer;" title="Nao_Realizada" alt="Nao_Realizada" align="center">
                        <span class="nao_realizada" data-value="<?php echo $chave["Nao_Realizada"]; ?>" data-id="<?php echo $chave["chNFe"]; ?>" data-unid="<?php echo $chave["Id_Unidade"]; ?>">
                            <?php echo $nao_realizada; ?>
                        </span>
                    </td>
                </tr>
            <?php
                $y++;
            }
            ?>
        </tbody>
    </table>
    <!-- DESCONTINUADA POIS A TABELA FOI INCORPORADA NESTE ARQUIVO. -->
    <!-- <div id="DivTabelaProduto"></div> -->

    <div id="retorno"></div>
    <?php include "../include/rodape.php"; ?>
</body>

</html>