<?php
include_once '../include/conecta.php'; //Conecta com a nosso banco de dados MySQL
include_once '../include/ver_sessao.php'; //Verifica se a sesso est ativa
include_once '../include/funcoesPhp.php';
include_once '../menu_movimento.php';

$usuario = listar("SELECT compra.Id,
                        compra.Lancamento,
                        compra.Status,
                        compra.Data_Compra,
                        compra.Data_Cadastro,
                        compra.Valor_Pago,
                        compra.Obs,
                        compra.Desconto_Real,
                        compra.Desconto,
                        compra.Id_Fornecedor,
                        fornecedor.Titulo as 'Fornecedor',
                        fornecedor.Email,
                        fornecedor.Rua,
                        fornecedor.Natureza,
                        fornecedor.Cpf_Cnpj,
                        fornecedor.Cep,
                        fornecedor.Numero,
                        fornecedor.Bairro,
                        fornecedor.Cidade,
                        fornecedor.Estado,
                        fornecedor.Fone1,
                        fornecedor.Complemento
                        from compra
                        left join fornecedor ON fornecedor.Id = compra.Id_Fornecedor
                        where compra.Id = '" . $_GET["id_compra"] . "'
                        order by compra.Lancamento DESC");
?>
<html>

<head>
    <title>Oramento</title>
    <link rel="stylesheet" type="text/css" href="../estilo/<?php echo SKIN; ?>/tabela_imp.css" />
    <script type="text/javascript" language="javascript" src="../js/jquery.js"></script>
    <?php include '../include/script_cabeca.php'; ?>
    <script type="text/javascript" language="javascript" src="../js/script.js"></script>
    <script type="text/javascript" language="javascript">
    window.onload = function() {
        window.print();
        //window.close();
    };
    </script>
    <style type="text/css">
    .razao {
        font-size: 12px;
    }
    </style>
</head>

<body>

    <table width="100%">
        <?php
        if (!$_GET["Id_Unidade_Usuario"]) {
            $_GET["Id_Unidade_Usuario"] = $_SESSION["Unidade"];
        }
        $empresa = listar("SELECT * from unidade where Id = '" . $_GET["Id_Unidade_Usuario"] . "' ");
        ?>
        <tr>
            <td align="right">
                <table width="100%">
                    <tr>
                        <td width="40%">
                            <?php
                            if (file_exists("../unidade/foto/" . $empresa[0]["Logo"] . "")) {
                                $cam_arq = "../unidade/foto/" . $empresa[0]["Logo"];
                            } else {
                                $cam_arq = "../../unidade/foto/" . $empresa[0]["Logo"];
                            }
                            ?>
                            <img src="<?php echo $cam_arq; ?>" title="Logo" alt="Logo" border="0" width="140px"
                                height="auto" />
                        </td>
                        <td width="50%" class="razao" align="left">
                            <?php echo strtoupper($empresa[0]["Titulo"]); ?><br>
                            Fone: <?php echo $empresa[0]["Fone1"]; ?><br>
                            <?php
                            if ($empresa[0]["Fone2"]) {
                                echo "Fax: " . $empresa[0]["Fone2"];
                            }
                            ?>
                        </td>
                    </tr>

                </table>
            </td>
        </tr>
        <tr>
            <td align="center" style="background-color:#000000;">
                <font color="#FFFFFF">
                    Identificao do Documento
                </font>
            </td>
        </tr>

        <tr>
            <td align="">
                <table width="100%" class="razao">
                    <tr>
                        <td align="left"><b>N Pedido</b></td>
                        <td aling="rigth"><?php echo ($usuario[0]["Lancamento"]) ?></td>
                    </tr>
                    <tr>
                        <td aling="left"><b>Data</b></td>
                        <td aling="rigth"><?php echo data_exibir($usuario[0]["Data_Compra"]) ?></td>
                    </tr>
                </table>
            </td>
        </tr>
        <tr>
            <td align="">
                <table width="100%" class="razao">
                    <tr>
                        <td colspan="3" align="center" style="background-color:#000000;">
                            <font color="#FFFFFF">
                                Identificao do Fornecedor
                            </font>
                        </td>
                    </tr>
                    <tr>
                        <td><b>Fornecedor:</b> <?php echo ($usuario[0]["Fornecedor"]); ?></td>
                    </tr>
                    <tr>
                        <td><b>Fone:</b> <?php echo ($usuario[0]["Fone1"]); ?></td>
                    </tr>
                    <tr>
                        <td><b>Endereo:</b>
                            <?php echo $usuario[0]["Rua"] . ', ' . $usuario[0]["Numero"] . ', ' . $usuario[0]["Bairro"] . ', ' . $usuario[0]["Cidade"] . ' - ' . $usuario[0]["Estado"] ?>
                        </td>
                    </tr>
                    <?php if (!empty($usuario[0]["Complemento"])) { ?>
                    <tr>
                        <td><b>Complemento:</b>
                            <?php echo $usuario[0]["Complemento"]; ?>
                        </td>
                    </tr>
                    <?php } ?>
                    <tr>
                        <td><b>Obs: </b>
                            <?php echo $usuario[0]["Obs"]; ?>
                        </td>
                    </tr>
                </table>
            </td>
        </tr>
        <tr>
            <td>
                <table width="100%" class="razao">
                    <tr>
                        <td colspan="8" width="100%" align="left" style="background-color:#000000;">
                            <font color="#FFFFFF">
                                Produtos
                            </font>
                        </td>
                    </tr>

                    <tr>
                        <td align="left"><b>Produto</b></td>
                        <td align=" center"><b>Qtd</b></td>
                        <td align="center"><b>Med</b></td>
                        <td align="center"><b>Preo</b></td>
                        <td align="center"><b>Desc</b></td>
                        <td align="center"><b>Total</b></td>
                    </tr>
                    <?php

                    $venda_pro = mysqli_query($con, "SELECT DISTINCT compra_produto.Id,
                                                                     compra_produto.Preco,
                                                                     compra_produto.Qtd,
                                                                     compra_produto.Desconto_Real,
                                                                     compra_produto.Desconto,
                                                                     compra.Id_Tipo_Pagamento,
                                                                     pagamento.Titulo as 'Pagamento',
                                                                     produto.Titulo as 'Produto',
                                                                     produto.Descricao,
                                                                     produto.Codigo,
                                                                     produto.Medida,
                                                                     produto.Gtin,
                                                                     produto.Codigo_Barras
                                                                     from compra_produto
                                                                     left join (SELECT Id,Titulo,Codigo,Descricao,Medida,Codigo_Barras,Gtin FROM produto) as produto ON produto.Id = compra_produto.Id_Produto
                                                                     LEFT JOIN (SELECT Id,Id_Tipo_Pagamento FROM compra) as compra ON compra.Id = compra_produto.Id_Compra
                                                                     LEFT JOIN (SELECT Id,Titulo FROM tipo_pagamento) as pagamento ON pagamento.Id = compra.Id_Tipo_Pagamento
                                                                     where compra_produto.Id_Compra = '" . $_GET["id_compra"] . "'
                                                                     ");


                    $x = 0;
                    while ($chave = mysqli_fetch_assoc($venda_pro)) {
                    ?>
                    <?php
                        $x++;
                        $Qtd_Venda += $chave["Qtd"];
                        $Preco_Venda += ($chave["Qtd"] * ($chave["Preco"]));
                        $Desconto_Real += $chave["Desconto_Real"];
                        $Total += ($chave["Qtd"] * $chave["Preco"]) - $chave["Desconto_Real"];
                        $convertDescItem = ($Preco_Venda * ($chave["Desconto"] / 100));                        // echo $convertDescItem = ($Preco_Venda * ($chave["0"]["Desconto"] / 100 ));

                        ?>
                    <tr>
                        <td><?php echo $chave["Codigo"] . ':' . $chave["Produto"]; ?></td>
                        <td align="center"><?php echo $chave["Qtd"]; ?></td>
                        <td align="center"><?php echo $chave["Medida"]; ?></td>
                        <td align="center"><?php echo number_format($chave["Preco"], 2, ',', '.'); ?></td>
                        <td align="center">
                            <?php echo number_format(($chave["Desconto_Real"] + $convertDescItem), 2, ',', '.'); ?></td>
                        <td align="center">
                            <?php
                                $subTotal += (($chave["Qtd"] * ($chave["Preco"]) - ($chave["Desconto_Real"] + $convertDescItem)));
                                echo number_format(($chave["Qtd"] * ($chave["Preco"]) - ($chave["Desconto_Real"] + $convertDescItem)), 2, ",", ".");
                                ?>

                        </td>
                    </tr>
                    <?php

                    }
                    ?>
                    <tr>
                        <td colspan="8" width="100%" align="left" style="background-color:#000000;">
                            <font color="#FFFFFF">
                                Totais
                            </font>
                        </td>
                    </tr>

                    <tr>
                        <td colspan="5">Volumes:</td>
                        <td align="right"><?php echo $Qtd_Venda; ?></td>
                    </tr>
                    <tr>
                        <td colspan="5">Sub Total:</td>
                        <td align="right">
                            <?php
                            echo number_format($subTotal, 2, ',', '.');
                            ?>
                        </td>
                    </tr>
                    <tr>
                        <td colspan="5">Desconto:</td>
                        <td align="right">
                            <?php
                            $convertDesc += ($Preco_Venda * ($usuario[0]["Desconto"] / 100));
                            echo number_format($convertDesc + $usuario["0"]["Desconto_Real"], 2, ',', '.');
                            ?>
                        </td>
                    </tr>
                    <tr>
                        <td colspan="5"><b>Total (R$):</b></td>
                        <td align="right">
                            <b><?php echo number_format($usuario[0]['Valor_Pago'], 2, ',', '.'); ?></b>
                        </td>
                    </tr>
                    <tr>
                        <td colspan="3" width="100%" align="left" style="background-color:#000000;">
                            <font color="#FFFFFF">
                                Forma Pagamento
                            </font>
                        </td>

                        <td colspan="3" width="100%" align="left" style="background-color:#000000;">
                            <font color="#FFFFFF">
                                Valor Pago R$:
                            </font>
                        </td>
                    </tr>
                    <?php
                    $pdv_tp = mysqli_query($con, "SELECT tipo_pagamento.Titulo as Tipo_Pagamento,
                                tipo_pagamento.Pix,
                                compra.Valor_Pago
                                FROM compra
                                LEFT JOIN (SELECT Id,Titulo,Pix FROM tipo_pagamento) as tipo_pagamento ON tipo_pagamento.Id = compra.Id_Tipo_Pagamento
                                WHERE compra.Id ='" . $_GET["id_compra"] . "'
                                ORDER BY compra.Data_Cadastro");
                    //WHILE PAGAMENTOS PDV
                    while ($pg_pdv = mysqli_fetch_assoc($pdv_tp)) {
                        if ($pg_pdv["Pix"] == 'Sim') {
                            $pix_valor += $pg_pdv["Valor_Pago"];
                            $pix_descr = $pg_pdv["Tipo_Pagamento"];
                        }
                    ?>


                    <tr>
                        <td colspan="3"><?php echo $pg_pdv["Tipo_Pagamento"] ?></td>
                        <td align="right" colspan="3">
                            <?php echo number_format($pg_pdv["Valor_Pago"], 2, ',', '.'); ?><br></td>
                    </tr>

                    <?php $tVlPago += $pg_pdv["Valor_Pago"];
                    } ?>
                    <?php
                    if ($usuario[0]["Id_Fornecedor"] != "84c09c43f28bc1c9823907b038508c7c") {
                    ?>
                    <tr>
                        <td colspan="8" align="center" style="background-color:#000000;">
                            <font color="#FFFFFF">
                                VISTO FORNECEDOR
                            </font>
                        </td>
                    </tr>

                    <tr>
                        <td colspan="8" align="center"><br><?php echo strtoupper($empresa[0]["Titulo"]); ?><br>
                            Fone: <?php echo $empresa[0]["Fone1"]; ?><br>
                        </td>
                    </tr>
                    <tr>
                        <td colspan="8" width="100%" align="left">
                            __________________________________________________
                        </td>
                    </tr>
                    <tr>
                        <td align="left"><b>N Pedido:</b></td>
                        <td aling="rigth"><?php echo ($usuario[0]["Lancamento"]) ?></td>
                        <td aling="left"><b>Data:</b></td>
                        <td aling="rigth"><?php echo data_exibir($usuario[0]["Data_Compra"]) ?></td>
                    </tr>
                    <tr>
                        <td colspan="8"><br><b>Fornecedor:</b> <?php echo ($usuario[0]["Fornecedor"]); ?></td>
                    </tr>
                    <tr>
                        <td colspan="8" width="100%" align="left">
                            __________________________________________________
                        </td>
                    </tr>
                    <tr>
                        <td colspan="2"></td>
                        <td colspan="2">Valor:</td>
                        <td colspan="2" align="right">
                            <?php echo number_format($Total - $descontoFinal, 2, ',', '.'); ?><br></td>
                    </tr>

                    <tr>
                        <td>&nbsp;</td>
                    </tr>
                    <tr>
                        <td>&nbsp;</td>
                    </tr>
                    <tr>
                        <td colspan="8" align="center">_______________________________________</td>
                    </tr>
                    <tr>
                        <td colspan="8" align="center"><b>VISTO FORNECEDOR</b></td>
                    </tr>
                    <?php }
                    if (!empty($pix_descr)) { ?>
                    <tr>
                        <td>&nbsp;</td>
                    </tr>
                    <tr>
                        <td colspan="8" width="100%" align="center" style="background-color:#000000;">
                            <font color="#FFFFFF">
                                Dados Pix
                            </font>
                        </td>
                    </tr>
                    <tr>
                        <td colspan="3">
                            <pre><br></pre>
                            <pre>COD: <b><?php echo sprintf("%06d", $usuario[0]["Lancamento"]) . " - " . data_exibir($usuario[0]["Data_Compra"]) ?></b><br></pre>
                            <pre>Fornecedor: <b><?php echo $usuario[0]["Fornecedor"]; ?></b><br></pre>
                            <pre>Total: <?php echo "R$ " . number_format($usuario[0]["Valor_Pago"], 2, ",", "."); ?><br></pre>
                            <pre>Pgto: <?php echo $pix_descr; ?><br></pre>
                            <pre>Valor: <b><?php echo "R$ " . number_format($pix_valor, 2, ",", "."); ?></b><br></pre>
                        </td>
                    </tr>
                    <?php } ?>
            </td>
        </tr>
    </table>
</body>

</html>