<?php
include_once "../include/conecta.php"; //Conecta com a nosso banco de dados MySQL
ini_set('session.gc_maxlifetime', 60*120); session_start();
/* include_once "../include/ver_sessao.php"; //Verifica se a sesso est ativa */
include_once "../include/funcoesPhp.php"; //Inclue a pgina con todas as funes a ser usada.

?>
<?php 
$compra = listar("Select compra.Id,
                         compra.Lancamento,
                         compra.Status,
                         compra.Data_Compra,
                         compra.Obs as 'Obs_Compra',
                         compra.Valor_Original,
                         compra.Valor_Pago,
                         compra.Desconto,
                         compra.Desconto_Real,
                         compra.Frete,
                         compra.Valor_Frete,
                         compra.Id_Unidade,
                         compra.Descricao,
                         compra.Fatura,
                         compra.Numero_Pedido,
                         compra.Cotacao,
                         compra.Numero_Pedido_Fornecedor,
                         fornecedor.Titulo as 'Fornecedor',
                         fornecedor.Razao_Social,
                         fornecedor.Email,
                         fornecedor.Natureza,
                         fornecedor.Cpf_Cnpj,
                         fornecedor.Rua,
                         fornecedor.Numero,
                         fornecedor.Cep,
                         fornecedor.Bairro,
                         fornecedor.Estado,
                         fornecedor.Fone1,
                         fornecedor.Obs as 'Obs_Fornecedor',
                         fornecedor.Codigo,
                         fornecedor.Cidade,
                         fornecedor.Contato,
                         tipo_pagamento.Titulo as 'Tipo_Pagamento',
                         categoria_fornecedor.Titulo as Categoria_Fornecedor
                         from compra
                         left join (SELECT Id,Titulo,Email,Natureza,Cpf_Cnpj,Rua,Numero,Cep,Bairro,Estado,Cidade,
                         Fone1,Obs,Id_Cidade,Razao_Social,Codigo,Id_Categoria_Fornecedor,Contato FROM fornecedor) as fornecedor ON fornecedor.Id = compra.Id_Fornecedor
                         left join (SELECT Id,Titulo FROM categoria_fornecedor) as categoria_fornecedor ON categoria_fornecedor.Id = fornecedor.Id_Categoria_Fornecedor
                         left join (SELECT Id,Titulo FROM tipo_pagamento) as tipo_pagamento ON tipo_pagamento.Id = compra.Id_Tipo_Pagamento
                         where compra.Id = '".$_GET["id_compra"]."'
                         order by compra.Lancamento DESC");

$_GET["Unidade"] = $compra[0]["Id_Unidade"];
?>
<html>
<head>
<title>Gw - Gesto Web</title>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1" />
<link rel="shortcut icon" href="../imagem/favi_gw.ico" type="image/x-icon" />
<link rel="stylesheet" type="text/css" href="../estilo/<?php echo SKIN ;?>/tabela_imp.css" />
<script type="text/javascript" language="javascript" src="../js/jquery.js"></script>
<?php include '../include/script_cabeca.php'; ?>
<script type="text/javascript" language="javascript" src="../js/script.js"></script>
<script type="text/javascript" language="javascript" src="../js/meiomask/meiomask.js"></script>
<script type="text/javascript" language="javascript" src="../js/meiomask/<?php if(PAIS=="USA"){ echo "mascaras-usa"; }else{ echo "mascaras"; }?>.js"></script>
</head>
<body>
<br/>

<table width="98%" align="center"><!-- TABELA Q ENVOLVE TODO O CONTEUDO -->
<tr>
	<td>
<table width="90%" align="center">
<?php
        if(!$_GET["Unidade"]){
                $_GET["Unidade"] = $_SESSION["Unidade"];
        }
        
        $empresa = listar("Select Logo,Titulo,Cnpj,Rua,Numero,
                                Bairro,Cidade,Estado,Cep,Fone1,Fone2,Email,Site
                                from unidade where Id = '".$_GET["Unidade"]."' ");
?>
        <tr>
            <td width="50%">
                <table width="100%" class="razao">
                    <tr>
                        <td>
                        <?php
                            if(file_exists("../unidade/foto/".$empresa[0]["Logo"]."")){
                                $cam_arq = "../unidade/foto/".$empresa[0]["Logo"];
                            }else{
                                $cam_arq = "../../unidade/foto/".$empresa[0]["Logo"];
                            }
                        ?>
                        <img src="<?php echo $cam_arq; ?>" title="Logo" alt="Logo" border="0" width="140px" height="auto"/>
                        </td>
                    </tr>
                    <tr>
                        <td>COMPRADOR: <?php echo $empresa[0]["Titulo"];?></td>
                    </tr>
                    <tr>
                        <td>
                            FONE:   <?php echo $empresa[0]["Fone1"];?>
                                    <?php
                                    if($empresa[0]["Fone2"]){
                                        echo " - ".$empresa[0]["Fone2"];
                                    }
                                    ?>
                        </td>
                    </tr>
                </table>
            </td>
            <td width="50%">
                <table width="100%" class="razao">
                    <tr>
                        <td>
                        <font size="3"><b>ORDEM DE COMPRAS - <?php echo $compra[0]["Numero_Pedido_Fornecedor"];?></b></font>
                        </td>
                    </tr>
                    <tr>
                        <td>DATA <?php echo data_exibir($compra[0]["Data_Compra"]);?></td>
                    </tr>
                    <tr>
                        <td>FORNECEDOR 
                            <?php
                            if(FORNECEDOR_RAZAO_SOCIAL=='Sim'){
                                echo $compra[0]["Codigo"]." - ".$compra[0]["Razao_Social"];
                            }else{
                                echo $compra[0]["Codigo"]." - ".$compra[0]["Fornecedor"];
                            }
                            ?>
                        </td>
                    </tr>
                    <tr>
                        <td>FONE <?php echo $compra[0]["Fone1"];?></td>
                    </tr>
                    <tr>
                        <td>A/C <?php echo $compra[0]["Contato"];?></td>
                    </tr>
                </table>
            </td>
        </tr>
</table>
	</td>
</tr>
<tr>
	<td>
		<table width="100%" align="center" class="tabela">
			<?php
               $compra_pro = listar("Select DISTINCT compra_produto.Id,
                                        compra_produto.Preco as 'Preco_Compra',
 					compra_produto.Qtd as 'Qtd_Compra',
 					compra_produto.Desconto as 'Desconto_Compra',
                                        compra_produto.Desconto_Real,
                                        compra_produto.Ipi,
 					produto.Titulo as 'Produto',
 					produto.Medida,
 					produto.Codigo
 					from compra_produto
 					left join (SELECT Id,Titulo,Codigo,Medida FROM produto) as produto ON produto.Id = compra_produto.Id_Produto
 					where compra_produto.Id_Compra = '".$_GET["id_compra"]."'
                                        ORDER BY compra_produto.Data_Cadastro");

                        $x=1; foreach($compra_pro as $chave){?>
                        
                        <?php if($x==1){ ?>
                        <tr class="azul-claro">
				<td width="3%">ITEM</td>
                                <td width="22%">DESCRIO</td>
				<td width="5%">QTD</td>
                                <td width="5%">UNI</td>
				<td width="8%">VALOR UNIT</td>
				<td width="8%">VALOR TOTAL</td>
			</tr>
                        <?php } ?>
                        
			<tr>
				<td><?php echo $x;?></td>
				<td><?php echo $chave["Codigo"]." - ".$chave["Produto"];?></td>
				<td><?php echo $chave["Qtd_Compra"];?></td>
                                <td><?php echo $chave["Medida"];?></td>
				<td><?php echo number_format($chave["Preco_Compra"],2,',','.');?></td>
				<td>
                                <?php
                                echo number_format( ( ($chave['Qtd_Compra']*$chave['Preco_Compra'])
                                        + ( ($chave['Qtd_Compra']*$chave['Preco_Compra'])*($chave['Ipi']/100) )
                                        - ( ($chave['Qtd_Compra']*$chave['Preco_Compra']) * ($chave['Desconto_Compra']/100) ) ) - $chave['Desconto_Real'],2,',','.');
                                ?>
                                </td>
			</tr>
			<?php
			$Qtd_Compra+= $chave["Qtd_Compra"];
			$Preco_Compra+=$chave["Preco_Compra"];
			$Desconto_Compra+=$chave["Desconto_Compra"];
                        $Desconto_Real+=$chave["Desconto_Real"];
			$Total+=( ($chave["Preco_Compra"]*$chave["Qtd_Compra"])
                                + ( ($chave['Qtd_Compra']*$chave['Preco_Compra'])*($chave['Ipi']/100) )
				-(($chave["Preco_Compra"]*$chave["Qtd_Compra"])*($chave["Desconto_Compra"]/100)) ) - $chave['Desconto_Real'];
			$x++; }
			?>
                        <tr>
				<td colspan="2" align="right">TOTAL DA ORDEM: &nbsp;&nbsp;&nbsp;&nbsp;</td>
				<td colspan="5"><?php echo number_format(( ( $Total - ( $Total*($compra[0]["Desconto"]/100) ) ) - $compra[0]["Desconto_Real"]),2,',','.');?></td>
                                
			</tr>
		</table>
	</td>
</tr>
<tr>
	<td>
		<table width="100%" align="center" class="tabela">
			<tr>
                            <td>OBSERVAES:<br>
                                - PEDIDO EMITIDO CONFORME CONDIES COMERCIAIS DE SUA PROPOSTA <br>
                                - IMPOSTOS INCLUSOS CONFORME LEGISLAO EM VIGOR. <br>
                                - A METAL LAGOS NO SE RESPONSABILIZA PELO PAGAMENTO DE FATURAS EMITIDAS INCORRETAMENTE. <br>
                            </td>
			</tr>
		</table>
	</td>
</tr>
<tr>
	<td>
		<table width="100%" align="center" class="tabela">
			<tr>
                            <td><b>NATUREZA</b> <br> COMPRA
                            </td>
                            <td><b>CONDIES DE PAGAMENTO</b> <br> <?php echo $compra[0]["Tipo_Pagamento"];?>
                            </td>
                            <td><b>PRAZO DE ENTREGA</b> <br> IMEDIATO
                            </td>
			</tr>
		</table>
	</td>
</tr>
<tr>
	<td>
		<table width="100%" align="center" class="tabela">
			<tr>
                            <td><b>LOCAL DE ENTREGA</b> <br><br>
                            </td>
                            <td><b>EMBALAGEM</b> <br> PADRO, INCLUIDA NO PREO
                            </td>
			</tr>
		</table>
	</td>
</tr>
<tr>
	<td>
		<table width="100%" align="center" class="tabela">
			<tr>
                            <td>
                                <center><b>CONDIES GERAIS DE COMPRA</b></center>
<b>1.</b> Os valores constantes deste pedido de compra so fixos e irreajustveis, no podendo ser alterados sem concordncia por
escrito da METAL LAGOS.<br>
<b>2.</b> A METAL LAGOS se reserva o direito de no receber ou devolver material remetido em excesso ou fora do prazo, bem como
cancelar este pedido de compras sem obrigao de ressarcir o fornecedor dos prejuzos decorrentes.<br>
<b>3.</b> A METAL LAGOS submeter os materiais recebidos a testes de controle de qualidade, e poder devolv-lo a qualquer tempo,
se a especializao de normas, desenhos, descries, etc. no forem cumpridas. O controle de qualidade efetuado pela METAL
LAGOS no exime o fornecedor das garantias e responsabilidades inerentes ao material.<br>
<b>4.</b> Na nota fiscal emitida pelo fornecedor devero constar:<br>
&nbsp;&nbsp;-  Apenas os itens referentes a este pedido de compra;<br>
&nbsp;&nbsp;-  O nmero deste pedido de compra;<br>
&nbsp;&nbsp;-  Nmero da alterao de pedido de compra se houver;<br>
&nbsp;&nbsp;-  A discriminao completa do material.<br>
<b>5.</b> As condies de pagamento constantes deste pedido de compra tero como incio, a data de recebimento do material pela
METAL LAGOS.<br>
                            </td>
			</tr>
		</table>
	</td>
</tr>
</table>
</body>
</html>
<?php include "../include/rodape.php";?>