<?php
include '../include/conecta.php'; //Conecta com a nosso banco de dados MySQL
include '../include/funcoesPhp.php'; //Inclue a pgina con todas as funes a ser usada.
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1" />
<link rel="shortcut icon" href="../imagem/favi_gw.ico" type="image/x-icon" />
<title>Pdv Gw - Gesto Web</title>
<style type="text/css">
html{
    background-color: #F8F8FF;
    font:25px Georgia, "Trebuchet MS", Tahoma, Times, serif;
    font-weight:bold;
}
input, select {
    width: 100%;
    padding: 4px 4px;
    margin: 8px 0;
    border: 1px solid #000;
    border-radius: 10px;
    box-sizing: border-box;
    display: table-row;
}
div {
    float: left;
}
</style>
<link rel="stylesheet" type="text/css" href="../estilo/<?php echo SKIN ;?>/tableless.css" />
<script type="text/javascript" language="javascript" src="../js/jquery.js"></script>
<?php include '../include/script_cabeca.php'; ?>
<?php include '../include/script_campo.php'; ?>
<script type="text/javascript" language="javascript" src="../js/script.js"></script>
<script language="javascript" type="text/javascript">
function Maximizar() {
	top.window.moveTo(0,0);
	if (document.all)
 top.window.resizeTo(screen.availWidth,screen.availHeight);
	else
 if (document.layers||document.getElementById) {
 	if (top.window.outerHeight<screen.availHeight||top.window.outerWidth<screen.availWidth) {
 	top.window.outerHeight = screen.availHeight;
 	top.window.outerWidth = screen.availWidth;
 	}
 }
}

$(document).ready(function(){
    $("#Lancamento").blur(function() {
        
        var Lancamento = $("#Lancamento").val();
        if(Lancamento!=''){
            $.ajax({
            method : 'get',
            url : 'busca_venda.php',
            data: {Lancamento : Lancamento},
            dataType : "json",
            //dataType : "html",
            success : function(retorno){
                $('#Id_Venda').val(retorno.Id);
                $('#Cliente').val(retorno.Cliente);
                $("#Codigo_Barras").focus();
                MontarTabela();
                //$('#retorno').html(retorno);
            },
            error : function(retorno){
                console.log(retorno);
                if ( retorno.status == 404 ) {
                    $('#retorno').html('Houve um erro: ' + retorno.status + ' ' + retorno.statusText);
                } else {
                    $('#retorno').html('Houve um erro desconhecido entre em contato com o administrador.');
                }
            }
            });
        
        }
        
    });
    
    $("#Zerar").click(function() {
        
        var Lancamento = $("#Lancamento").val();
        if(Lancamento!=''){
            $.ajax({
            method : 'get',
            url : 'limpar_venda.php',
            data: {Lancamento : Lancamento},
            dataType : "json",
            //dataType : "html",
            success : function(retorno){
                $("#Codigo_Barras").focus();
                MontarTabela();
                //$('#retorno').html(retorno.Valor);
            },
            error : function(retorno){
                console.log(retorno);
                if ( retorno.status == 404 ) {
                    $('#retorno').html('Houve um erro: ' + retorno.status + ' ' + retorno.statusText);
                } else {
                    $('#retorno').html('Houve um erro desconhecido entre em contato com o administrador.');
                }
            }
            });
        
        }
        
    });
    
    $("#Codigo_Barras").blur(function() {
        
        var Codigo_Barras = $("#Codigo_Barras").val();
        if(Codigo_Barras!=''){
            $.ajax({
            method : 'get',
            url : 'busca_produto.php',
            data: {Codigo_Barras:Codigo_Barras},
            dataType : "json",
            //dataType : "html",
            success : function(retorno){
                $("#Qtd").focus();
                if(retorno.Error=='1'){
                    alert('Produto no encontrado!');
                }
                //$('#retorno').html(retorno.Valor);
            },
            error : function(retorno){
                console.log(retorno);
                if ( retorno.status == 404 ) {
                    $('#retorno').html('Houve um erro: ' + retorno.status + ' ' + retorno.statusText);
                } else {
                    $('#retorno').html('Houve um erro desconhecido entre em contato com o administrador.');
                }
            }
            });
        }
        
    });
    
    $("#Qtd").blur(function() {
        
        var Codigo_Barras = $("#Codigo_Barras").val();
        var Qtd = $("#Qtd").val();
        var Id_Venda = $("#Id_Venda").val();
        if(Codigo_Barras!=''){
            $.ajax({
            method : 'get',
            url : 'criar_conferencia.php',
            data: {Codigo_Barras:Codigo_Barras, Qtd:Qtd, Id_Venda:Id_Venda},
            dataType : "json",
            //dataType : "html",
            success : function(retorno){
                $("#Codigo_Barras").focus();
                $("#Codigo_Barras").val('');
                $("#Qtd").val('');
                if(retorno.Error=='1'){
                    alert('Produto no encontrado!');
                }
                if(retorno.Error=='2'){
                    alert('Produto j conferido!');
                }
                MontarTabela();
                //$('#retorno').html(retorno.Valor);
            },
            error : function(retorno){
                console.log(retorno);
                if ( retorno.status == 404 ) {
                    $('#retorno').html('Houve um erro: ' + retorno.status + ' ' + retorno.statusText);
                } else {
                    $('#retorno').html('Houve um erro desconhecido entre em contato com o administrador.');
                }
            }
            });
        }
        
    });
    
    $("#Confirmar").click(function() {
        
        var Lancamento = $("#Lancamento").val();
        var Funcionario = $("#Funcionario").val();
        if(Lancamento!=''){
            $.ajax({
            method : 'get',
            url : 'confirmar_venda.php',
            data: {Lancamento : Lancamento, Funcionario:Funcionario},
            dataType : "json",
            //dataType : "html",
            success : function(retorno){
                $("#Codigo_Barras").focus();
                $("#Id_Venda").val('');
                $("#Lancamento").val('');
                $("#Funcionario").val('');
                $("#Cliente").val('');
                alert('Venda Confirmada');
                MontarTabela();
                //$('#retorno').html(retorno);
            },
            error : function(retorno){
                console.log(retorno);
                if ( retorno.status == 404 ) {
                    $('#retorno').html('Houve um erro: ' + retorno.status + ' ' + retorno.statusText);
                } else {
                    $('#retorno').html('Houve um erro desconhecido entre em contato com o administrador.');
                }
            }
            });
        
        }
        
    });
    
    function MontarTabela() {
        var Id_Venda = $("#Id_Venda").val();
        var Funcionario = $("#Funcionario").val();
        $.post("tabela_produto.php", {Id_Venda:Id_Venda, Funcionario:Funcionario},
        function(data) {
            $("#DivProdutos").html(data);
        });
    };
});
</script>
</head>
<body onload="Maximizar()">
<form name="pdv" method="post" action="">
    <input type="hidden" name="Id_Venda" id="Id_Venda"/>
    
    <div style="width:16%">Codigo Pedido: <br><input type="text" name="Lancamento" id="Lancamento" autofocus/></div>
    <div style="width:22%;padding-left:2%;">Funcionrio: <br>
        <?php
        if($_POST["Funcionario"]=="")$_POST["Funcionario"]=$_SESSION["Id_Funcionario"];

        echo select_banco2("Select Id, Titulo from funcionario where Ativo = 'Sim' AND Vendedor = 'Sim' $funcio order by Titulo",
                        "Funcionario","Funcionario",$_POST["Funcionario"],"style='width:320px'","");
        ?>
    </div>
    <div style="width:45%;padding-left:2%;">Cliente: <br><input type="text" name="Cliente" id="Cliente"/></div>
    <div style="width:10%;padding-left:1.5%;" alt="Zerar Tudo" title="Zerar Tudo"><br><input type="button" value="Zerar Tudo" Id="Zerar" style="cursor:pointer"></div>
    <div style="width:60%">Gtin / Barras: <br><input type="text" name="Codigo_Barras" id="Codigo_Barras"/></div>
    <div style="width:20%;padding-left:2%;">Qtd: <br><input type="text" name="Qtd" id="Qtd"/></div>
    <div style="width:12%;padding-left:1.5%;" alt="Confirmar" title="Confirmar"><br><input type="button" value="Confirmar" Id="Confirmar" style="cursor:pointer"></div>
</form>
    <div id="DivProdutos" style="width:100%"></div>
    <div id="retorno"></div>
</body>
</html>
<?php include "../include/rodape.php"; ?>