<?php
include_once "../include/conecta.php"; //Conecta com a nosso banco de dados MySQL
ini_set('session.gc_maxlifetime', 60*120); session_start();
/* include_once "../include/ver_sessao.php"; //Verifica se a sesso est ativa */
include_once "../include/funcoesPhp.php"; //Inclue a pgina con todas as funes a ser usada.

?>
<?php 
               $consignacao = listar("Select consignacao.Id,
 					consignacao.Lancamento,
 					consignacao.Status,
 					consignacao.Data_Consignacao,
 					consignacao.Obs as 'Obs_Consignacao',
 					consignacao.Valor_Original,
 					consignacao.Valor_Pago,
                                        consignacao.Desconto,
                                        consignacao.Desconto_Real,
                                        consignacao.Taxa,
                                        consignacao.Taxa_Real,
                                        consignacao.Frete,
                                        consignacao.Valor_Frete,
                                        consignacao.Id_Unidade,
                                        consignacao.Id_Projeto,
                                        consignacao.Rua as Endereco_Entrega,
                                        consignacao.Num as Cep_Entrega,
                                        consignacao.Bairro as Cidade_Entrega,
                                        consignacao.Estado as Estado_Entrega,
 					cliente.Titulo as 'Cliente',
                                        cliente.Razao_Social,
 					cliente.Email,
 					cliente.Natureza,
 					cliente.Cpf_Cnpj,
 					cliente.Rua,
                                        cliente.Numero,
 					cliente.Cep,
 					cliente.Bairro,
 					cliente.Estado,
 					cliente.Fone1,
                                        cliente.Contato,
                                        cliente.Endereco,
                                        cliente.Ponto_Referencia,
 					cliente.Obs as 'Obs_Cliente',
                                        cliente.Cidade,
                                        cliente.Endereco_Cobranca,
                                        cliente.Cep_Cobranca,
                                        cliente.Bairro_Cobranca,
                                        cliente.Cidade_Cobranca,
                                        cliente.Estado_Cobranca,
                                        cliente.Radio_Endereco_Cobranca,
                                        cliente.Radio_Endereco_Entrega,
 					funcionario.Titulo as 'Funcionario',
                                        vendedor.Titulo as 'Vendedor',
                                        tipo_pagamento.Titulo as 'Tipo_Pagamento',
                                        transportadora.Titulo as Transportadora
 					from consignacao
 					left join 
                                        (SELECT Id,Titulo,Email,Natureza,Cpf_Cnpj,Estadual,Rua,Numero,Cep,Bairro,Estado,Fone1,
                                        Obs,Id_Cidade,Razao_Social,Contato,Endereco,Ponto_Referencia,Cidade,
                                        Radio_Endereco_Cobranca,Endereco_Cobranca,Cep_Cobranca,Bairro_Cobranca,Cidade_Cobranca,Estado_Cobranca,
                                        Radio_Endereco_Entrega,Endereco_Entrega,Cep_Entrega,Bairro_Entrega,Cidade_Entrega,Estado_Entrega
                                        FROM cliente) as cliente ON cliente.Id = consignacao.Id_Cliente
 					left join (SELECT Id,Titulo FROM funcionario) as funcionario ON funcionario.Id = consignacao.Id_Funcionario
                                        left join (SELECT Id,Titulo FROM funcionario) as vendedor ON consignacao.Id_Vendedor = vendedor.Id
                                        left join (SELECT Id,Titulo FROM tipo_pagamento) as tipo_pagamento ON tipo_pagamento.Id = consignacao.Id_Tipo_Pagamento
                                        left join (SELECT Id,Titulo FROM fornecedor WHERE Tipo = 'T') as transportadora ON transportadora.Id = consignacao.Id_Transportadora
 					where consignacao.Id = '".$_GET["id_consignacao"]."'
					order by consignacao.Lancamento DESC");

//cliente.Endereco_Entrega,
//cliente.Cep_Entrega,
//cliente.Bairro_Entrega,
//cliente.Cidade_Entrega,
//cliente.Estado_Entrega,

$_GET["Unidade"] = $consignacao[0]["Id_Unidade"];
               
if($_GET["Id_Unidade_Usuario"]){
    mysqli_query($con,"UPDATE consignacao SET Boleto_Lido = 'Sim' WHERE Id = '".$_GET["id_consignacao"]."' ");
}
?>
<html>
<head>
<title>Gw - Gesto Web</title>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1" />
<link rel="shortcut icon" href="../imagem/favi_gw.ico" type="image/x-icon" />
<link rel="stylesheet" type="text/css" href="../estilo/<?php echo SKIN ;?>/tabela_imp.css" />
<script type="text/javascript" language="javascript" src="../js/jquery.js"></script>
<?php include '../include/script_cabeca.php'; ?>
<script type="text/javascript" language="javascript" src="../js/script.js"></script>
<script type="text/javascript" language="javascript" src="../js/meiomask/meiomask.js"></script>
<script type="text/javascript" language="javascript" src="../js/meiomask/<?php if(PAIS=="USA"){ echo "mascaras-usa"; }else{ echo "mascaras"; }?>.js"></script>
</head>
<body>

<table width="98%" align="center"><!-- TABELA Q ENVOLVE TODO O CONTEUDO -->
<tr>
	<td>
<table width="90%" align="center">
<?php
        
        //variavel $_GET["Unidade"], vem de todos os filtros de relatorios.
        if(!$_GET["Unidade"]){
                $_GET["Unidade"] = $_SESSION["Unidade"];
        }
        $empresa = listar("Select Logo,Titulo,Cnpj,Rua,Numero,
                                Bairro,Id_Cidade,Estado,Cep,Fone1,Fone2,Email,Site
                                from unidade where Id = '".$_GET["Unidade"]."' ");
?>
        <tr>
            <td width="45%" class="razao" style="font-size: 12px">
                    <b><font face="verdana" size="3">
                            <?php echo $empresa[0]["Titulo"];?>
                    </font></b><br>
                    <?php echo $empresa[0]["Rua"].", ".$empresa[0]["Numero"];?><br>
                    <?php echo $empresa[0]["Id_Cidade"].", ".$empresa[0]["Estado"]." - ".$empresa[0]["Cep"];?><br>
                    Phone: <?php echo $empresa[0]["Fone1"];?><br>
                    <?php
                    if($empresa[0]["Fone2"]){
                        echo "Fax: ".$empresa[0]["Fone2"];
                    }
                    ?>
                    <br>
                    <?php echo $empresa[0]["Email"];?><br>
                    <?php
                    if($empresa[0]["Site"]){
                        echo 'Site: '.$empresa[0]["Site"];
                    }
                    ?>
            </td>
            <td width="30%" class="razao" style="font-size: 12px">
                
                <table width="100%" class="tabela">
                    <tr>
                        <td class="razao" style="font-size: 12px" >
                            &nbsp;&nbsp;&nbsp; Number: <?php echo $consignacao[0]["Lancamento"];?>
                        </td>
                    </tr>
                    <tr>
                        <td class="razao" style="font-size: 12px" >
                            &nbsp;&nbsp;&nbsp;&nbsp;
                            &nbsp;&nbsp;&nbsp; Date: <?php echo data_exibir($consignacao[0]["Data_Consignacao"]);?>
                        </td>
                    </tr>
                    <tr>
                        <td class="razao" style="font-size: 12px" >
                            &nbsp;&nbsp; Rep: <?php echo $consignacao[0]["Vendedor"];?>
                        </td>
                    </tr>
                </table>
                
            </td>
        </tr>
</table>
	</td>
</tr>
<tr>
	<td>
        <table width="100%" align="center" class="tabela">
            <tr>
                <td width="100%" class="razao" style="font-size: 12px" colspan="2" align="center" >
                    <font face="verdana" size="3">
                        <b><i>Consignment</i></b>
                    </font>
                </td>
            </tr>
            <tr>
                <td width="50%" class="razao" style="font-size: 12px; border-left: 0px; border-right: 0px;">
                    SOLD TO:
                </td>
                <td width="50%" class="razao" style="font-size: 12px; border-left: 0px; border-right: 0px;">
                    SHIP TO:
                </td>
            </tr>
            <tr>
                <td width="50%" class="razao" style="font-size: 12px">
                    <b>
                        <?php
                        
                        if(CLIENTE_RAZAO_SOCIAL=='Sim'){
                            echo $consignacao[0]["Razao_Social"];
                        }else{
                            echo $consignacao[0]["Cliente"];
                        }
                        ?>
                    </b><br>
                        <?php echo $consignacao[0]["Endereco_Cobranca"];?><br>
                        <?php echo $consignacao[0]["Cidade_Cobranca"];?> <?php echo $consignacao[0]["Estado_Cobranca"];?> <?php echo $consignacao[0]["Cep_Cobranca"];?><br>
                        <?php echo $consignacao[0]["Fone1"];?><br>
                </td>
                <td width="50%" class="razao" style="font-size: 12px">
                    <b>
                        <?php
                            $projeto = listar("Select Titulo,Fone from venda_cliente where Id = '".$consignacao[0]["Id_Projeto"]."' ");
                            echo $projeto[0]["Titulo"];
                        ?>
                    </b><br>
                        <?php echo $consignacao[0]["Endereco_Entrega"];?><br>
                        <?php echo $consignacao[0]["Cidade_Entrega"];?> <?php echo $consignacao[0]["Estado_Entrega"];?> <?php echo $consignacao[0]["Cep_Entrega"];?><br>
                        <?php echo $projeto[0]["Fone"];?><br>
                </td>
            </tr>
            <tr>
                    <td colspan="2">Special Instructions: <?php echo $consignacao[0]["Obs_Consignacao"];?></td>
            </tr>
        </table>
	</td>
</tr>
<tr>
	<td>
		<table width="100%" align="center" class="tabela">
			<tr class="azul-claro">
				<td width="3%">N</td>
                                <td width="5%">Qty</td>
                                <td width="5%">Sf</td>
                                <td width="5%">U/M</td>
                                <td width="5%">Alt</td>
                                <td width="5%">Lar</td>
				<td width="10%">Code</td>
                                <td width="10%">Arm</td>
				<td>Description</td>
				<td width="8%">Price</td>
				<td width="8%">Amount</td>
			</tr>
			<?php

               $consignacao_pro = listar("Select DISTINCT consignacao_produto.Id,
                                        consignacao_produto.Preco as 'Preco_Consignacao',
 					consignacao_produto.Qtd as 'Qtd_Consignacao',
 					consignacao_produto.Desconto as 'Desconto_Consignacao',
                                        consignacao_produto.Desconto_Real,
 					produto.Titulo as 'Produto',
 					produto.Descricao,
 					produto.Codigo,
                                        produto.Armazenagem,
                                        consignacao_produto.Sf,
                                        produto.Medida,
                                        produto.Largura,
                                        produto.Altura,
                                        produto.Id_Categoria_Produto,
                                        produto.Codigo_Barras_Aux,
                                        local_estoque.Titulo as Local_Estoque
 					from consignacao_produto
 					left join (SELECT Id,Titulo,Descricao,Codigo,Sf,Medida,Armazenagem,Largura,Altura,Id_Categoria_Produto,Codigo_Barras_Aux FROM produto) as produto ON produto.Id = consignacao_produto.Id_Produto
                                        left join (SELECT Id,Titulo FROM local_estoque) as local_estoque ON local_estoque.Id = consignacao_produto.Id_Local_Estoque
 					where consignacao_produto.Id_Consignacao = '".$_GET["id_consignacao"]."'
                                        ORDER BY produto.Titulo,produto.Armazenagem,produto.Codigo ");

                        $x=1; foreach($consignacao_pro as $chave){?>

			<tr>
				<td><?php echo $x;?></td>
                                <td><?php echo $chave["Qtd_Consignacao"];?></td>
                                <td><?php echo $chave["Sf"];?></td>
                                <td><?php echo $chave["Medida"];?></td>
                                <td><?php echo $chave["Altura"];?></td>
                                <td><?php echo $chave["Largura"];?></td>
                                <td><?php echo $chave["Codigo"];?></td>
                                <td><?php echo $chave["Armazenagem"];?></td>
				<td><?php echo $chave['Produto']." - ".$chave['Codigo_Barras_Aux']; ?></td>
				<td><?php echo number_format($chave["Preco_Consignacao"],2,'.',',');?></td>
				<td>
                                    <?php
                                    if($chave['Sf']=='0' || $chave['Sf']=='0.00'){
                                        $mult = ($chave['Preco_Consignacao']);
                                    }else{
                                        $mult = ($chave['Preco_Consignacao']*$chave['Sf']);
                                    }
                                    echo number_format( ( ($chave['Qtd_Consignacao']*$mult) 
                                            - ( ($chave['Qtd_Consignacao']*$mult) * ($chave['Desconto_Consignacao']/100) ) ) - $chave['Desconto_Real'],2,'.',',');
                                    ?>
                                </td>
			</tr>
			<?php
			$Qtd_Consignacao+= $chave["Qtd_Consignacao"];
			$Preco_Consignacao+=$chave["Preco_Consignacao"];
			$Desconto_Consignacao+=$chave["Desconto_Consignacao"];
                        $Desconto_Real+=$chave["Desconto_Real"];
			$Total+= ( ($mult*$chave["Qtd_Consignacao"])-
					(($mult*$chave["Qtd_Consignacao"])*($chave["Desconto_Consignacao"]/100)) ) - $chave['Desconto_Real'];
			$x++; 
                        
                        }
			?>
                        <tr>
				<td colspan="9" align="right">Tax % &nbsp;&nbsp;&nbsp;&nbsp;</td>
                                <td><?php echo number_format($consignacao[0]["Taxa"],2,'.',',');?></td>
                                <td><?php echo number_format($Total * ($consignacao[0]["Taxa"]/100),2,'.',',');?></td>
			</tr>
                        <tr>
				<td colspan="10" align="right">Frete $ &nbsp;&nbsp;&nbsp;&nbsp;</td>
                                <td><?php echo number_format($consignacao[0]["Valor_Frete"],2,'.',',');?></td>
			</tr>
                        <tr>
				<td colspan="10" align="right">Totais : &nbsp;&nbsp;&nbsp;&nbsp;</td>
				<td><?php echo number_format( ( ( ( $Total - ($Total*($consignacao[0]["Desconto"]/100)) ) - $consignacao[0]["Desconto_Real"] ) + ($Total*($consignacao[0]["Taxa"]/100)) + ($consignacao[0]["Taxa_Real"]) + ($consignacao[0]["Valor_Frete"]) ),2,'.',',');?></td>
                                
			</tr>
		</table>
	</td>
</tr>
<?php

        $consignacao_parcela = listar("Select consignacao.Id,
					conta_receber.Lancamento,
					conta_receber.Data_Vencimento,
					SUM(conta_receber.Valor_Original) as Valor, 
 					tipo_pagamento.Titulo as 'Tipo_Pagamento'
 					from consignacao
 					left join (SELECT Id,Titulo FROM tipo_pagamento) as tipo_pagamento ON tipo_pagamento.Id = consignacao.Id_Tipo_Pagamento
 					left join (SELECT Id,Lancamento,Data_Vencimento,Valor_Original,Id_Externo,Status FROM conta_receber) as conta_receber ON conta_receber.Id_Externo = consignacao.Id
 					where consignacao.Id = '".$_GET["id_consignacao"]."'
                                        AND conta_receber.Status = 'Liquidado'
					order by conta_receber.Lancamento");

//if($consignacao[0]["Status"]=='Finalizado'){

?>
<!--
<tr>
	<td>
		<table width="100%" align="center" class="tabela">
			<tr>
				<td colspan="4"><i>Plots</i></td>
			</tr>
			<tr class="azul-claro">
				<td>N</td>
				<td>Date</td>
				<td>Price</td>
				<td>Payment</td>
			</tr>
			<?php $x=1; foreach($consignacao_parcela as $chave){?>
			<tr>
				<td><?php echo $x;?></td>
				<td><?php echo data_exibir($chave["Data_Vencimento"])?></td>
				<td><?php echo number_format($chave["Valor_Original"],2,'.',',')?></td>
				<td><?php echo $chave["Tipo_Pagamento"]?></td>
			</tr>
			<?php $x++; }?>
		</table>
	</td>
</tr>
-->
<?php //} ?>

<tr>
	<td>
                <table width="100%" class="tabela">
                    <tr>
                        <td class="razao" style="font-size: 12px" >
                            Taxable: <?php echo number_format($Total,2,".",",");?>
                        </td>
                        <td class="razao" style="font-size: 12px" >
                            Non-Taxable: <?php echo number_format(0,2,".",",");?>
                        </td>
                        <td class="razao" style="font-size: 12px" >
                            Sales Tax: <?php echo number_format($Total * ($consignacao[0]["Taxa"]/100),2,".",",");?>
                        </td>
                        <td class="razao" style="font-size: 12px" >
                            Invoice Amount: <?php echo number_format($Total,2,'.',',');?>
                        </td>
                        <td class="razao" style="font-size: 12px" >
                            Prev Pmts: <?php echo number_format($consignacao_parcela[0]["Valor"],2,".",",");?>
                        </td>
                        <td class="razao" style="font-size: 12px" >
                            Amount Due: <?php echo number_format( ( ( ( $Total - ($Total*($consignacao[0]["Desconto"]/100)) ) - $consignacao[0]["Desconto_Real"] ) + ($Total*($consignacao[0]["Taxa"]/100)) + ($consignacao[0]["Taxa_Real"]) + ($consignacao[0]["Valor_Frete"]) ),2,'.',',');?>
                        </td>
                    </tr>
                </table>
	</td>
</tr>
</table>
    <!--
<br/>
<table width="98%" align="center">
	<tr>
		<td align="center">________________________</td>
		<td align="center">________________________</td>
	</tr>
	<tr>
		<td align="center"><font face="verdana" size="2"><?php echo $consignacao[0]["Cliente"];?></font></td>
		<td align="center"><font face="verdana" size="2">Seller: <?php echo $consignacao[0]["Vendedor"];?></font></td>
	</tr>
</table>

<br>
    -->
</body>
</html>
<?php include "../include/rodape.php";?>