<?php
include_once '../include/conecta.php'; //Conecta com a nosso banco de dados MySQL
include_once '../include/ver_sessao.php'; //Verifica se a sesso est ativa
include_once '../include/funcoesPhp.php';
include_once '../menu_movimento.php';
?>
<?php
if (($_GET["Liquidado"]) || ($_GET["Aberto"]) || ($_GET["Cancelado"])) {

    $status = "AND (";

    if ($_GET["Liquidado"]) {
        $status .= " conta_pagar.Status = 'Liquidado' OR";
    }
    if ($_GET["Aberto"]) {
        $status .= " conta_pagar.Status = 'Aberto' OR";
    }
    if ($_GET["Cancelado"]) {
        $status .= " conta_pagar.Status = 'Cancelado' OR";
    }

    $status = substr($status, 0, -2);
    $status .= ")";
}

if ($_GET['Data_Filtro'] == 'Vencimento') {
    if ($_GET["De"])
        $data .= "AND conta_pagar.Data_Vencimento >= '" . data_banco($_GET["De"]) . " 00:00:00' ";
    if ($_GET["Ate"])
        $data .= "AND conta_pagar.Data_Vencimento <= '" . data_banco($_GET["Ate"]) . " 23:59:59' ";
}
if ($_GET['Data_Filtro'] == 'Pagamento') {
    if ($_GET["De"])
        $data .= "AND conta_pagar.Data_Pagamento >= '" . data_banco($_GET["De"]) . " 00:00:00' ";
    if ($_GET["Ate"])
        $data .= "AND conta_pagar.Data_Pagamento <= '" . data_banco($_GET["Ate"]) . " 23:59:59' ";
}
if ($_GET['Data_Filtro'] == 'Emissao') {
    if ($_GET["De"])
        $data .= "AND conta_pagar.Data_Emissao >= '" . data_banco($_GET["De"]) . " 00:00:00' ";
    if ($_GET["Ate"])
        $data .= "AND conta_pagar.Data_Emissao <= '" . data_banco($_GET["Ate"]) . " 23:59:59' ";
}

if ($_GET["EF"])
    $data .= "and conta_pagar.EF = '" . $_GET["EF"] . "' ";

if ($_GET["Fornecedor"])
    $fornecedor = "and fornecedor.Id = '" . $_GET["Fornecedor"] . "' ";
if ($_GET["Tipo_Pagamento"])
    $fornecedor .= "and conta_pagar.Id_Tipo_Pagamento = '" . $_GET["Tipo_Pagamento"] . "' ";
if ($_GET["Tipo_Movimento"])
    $fornecedor .= "and conta_pagar.Tipo_Movimentacao = '" . $_GET["Tipo_Movimento"] . "' ";
if ($_GET["Funcionario"])
    $fornecedor .= "and conta_pagar.Id_Funcionario = '" . $_GET["Funcionario"] . "' ";
if ($_GET["Conta"])
    $fornecedor .= "and conta_pagar.Id_Conta = '" . $_GET["Conta"] . "' ";
if ($_GET["Categoria_Tipo_Pagamento"])
    $fornecedor .= " AND tipo_pagamento.Id_Categoria_Tipo_Pagamento = '" . $_GET["Categoria_Tipo_Pagamento"] . "' ";
if ($_GET["Atividade"])
    $fornecedor .= "and conta_pagar.Id_Atividade = '" . $_GET["Atividade"] . "' ";

if ($_GET["Cheque"]) {
    $Cheque = "and conta_pagar.Numero = '" . $_GET["Cheque"] . "' ";
}
if ($_GET["Unidade"]) {
    $Unidade = "and conta_pagar.Id_Unidade = '" . $_GET["Unidade"] . "' ";
}
if ($_GET["Situacao"]) {
    $Situacao = "and conta_pagar.Situacao = '" . $_GET["Situacao"] . "' ";
}
if ($_GET["Centro_Custo"]) {
    $centroCusto = "and conta_pagar.Id_Centro_Custo = '" . $_GET["Centro_Custo"] . "' ";
}
if ($_GET["Ok"]) {
    $produto = listar("SELECT fornecedor.Titulo as 'Fornecedor',
                            conta_pagar.Lancamento,
                            conta_pagar.Data_Vencimento,
                            conta_pagar.Data_Emissao,
                            conta_pagar.Data_Pagamento,
                            conta_pagar.Valor_Original,
                            conta_pagar.Valor_Pago,
                            conta_pagar.Valor_Desconto,
                            conta_pagar.Fatura,
                            conta_pagar.Status,
                            conta_pagar.Descricao,
                            conta_pagar.Id_Atividade,
                            centro_custo.Titulo as Centro_Custo,
                            tipo_pagamento.Titulo as 'Tipo_Pagamento',
                            tipo_pagamento_baixa.Titulo as 'Tipo_Baixa',
                            fornecedor.Razao_Social,
                            fornecedor.Cpf_Cnpj
                            from conta_pagar
                            left join (SELECT Id,Titulo,Razao_Social,Cpf_Cnpj FROM fornecedor) as fornecedor ON fornecedor.Id = conta_pagar.Id_Fornecedor
                            left join (SELECT Id,Titulo,Id_Categoria_Tipo_Pagamento FROM tipo_pagamento) as tipo_pagamento ON tipo_pagamento.Id = conta_pagar.Id_Tipo_Pagamento
                            left join (SELECT Id,Titulo,Id_Categoria_Tipo_Pagamento FROM tipo_pagamento) as tipo_pagamento_baixa ON tipo_pagamento_baixa.Id = conta_pagar.Id_Tipo_Pagamento_Baixa
                            left join (SELECT Id,Titulo FROM centro_custo) as centro_custo ON centro_custo.Id = conta_pagar.Id_Centro_Custo
                            where 1=1
                            $data $status $fornecedor $Unidade $Situacao $Cheque $centroCusto
                            GROUP BY conta_pagar.Id
                            order by conta_pagar.Data_Vencimento,
                            conta_pagar.Data_Pagamento,
                            conta_pagar.Lancamento ");
}
?>
<?php ob_start(); /* Inicia o fluxo */ ?>
<html>

<head>
    <link rel="stylesheet" type="text/css" href="../estilo/<?php echo SKIN; ?>/tabela_imp.css" />
    <script type="text/javascript" language="javascript" src="../js/jquery.js"></script>
    <?php include '../include/script_cabeca.php'; ?>
    <script type="text/javascript" language="javascript" src="../js/script.js"></script>
    <script type="text/javascript" language="javascript" src="../js/meiomask/meiomask.js"></script>
    <script type="text/javascript" language="javascript" src="../js/meiomask/<?php if (PAIS == "USA") {
                                                                                    echo "mascaras-usa";
                                                                                } else {
                                                                                    echo "mascaras";
                                                                                } ?>.js"></script>
</head>

<body>
    <?php include "../include/cabecalho_relatorio.php"; ?>
    <table width="100%">
        <tr>
            <td>
                <font face="verdana" size="2"><i>Relatrio de Contas a Pagar</i></font>
            </td>
        </tr>
        <tr>
            <td>
                <font face="verdana" size="2">
                    <?php
                    if ($_GET["De"]) {
                        echo "Perodo: " . $_GET["De"];
                    }
                    if ($_GET["Ate"]) {
                        echo "  " . $_GET["Ate"];
                    }
                    if ($_GET["Funcionario"]) {
                        $achar = listar("Select Titulo from funcionario
			where Id = '" . $_GET["Funcionario"] . "' ");
                        echo " - " . $achar[0]["Titulo"];
                    }
                    if ($_GET["Fornecedor"]) {
                        if (FORNECEDOR_RAZAO_SOCIAL == 'Sim') {
                            $nome = 'Razao_Social';
                        } else {
                            $nome = 'Titulo';
                        }
                        $achar = listar("Select " . $nome . " as Titulo from fornecedor
			where Id = '" . $_GET["Fornecedor"] . "' ");
                        echo " - " . $achar[0]["Titulo"];
                    }
                    $acharAtividade = listar("Select Titulo from atividade
			where Id = '" . $_GET["Atividade"] . "' ");
                    echo "Atividade - " . $acharAtividade[0]["Titulo"];

                    if ($_GET["Tipo_Pagamento"]) {
                        $achar = listar("Select Titulo from tipo_pagamento
			where Id = '" . $_GET["Tipo_Pagamento"] . "' ");
                        echo " - " . $achar[0]["Titulo"];
                    }
                    if ($_GET["Tipo_Movimento"]) {
                        echo " - " . $_GET["Tipo_Movimento"];
                    }
                    if ($_GET["Cancelado"]) {
                        echo " - " . $_GET["Cancelado"];
                    }
                    if ($_GET["Liquidado"]) {
                        echo " - " . $_GET["Liquidado"];
                    }
                    if ($_GET["Aberto"]) {
                        echo " - " . $_GET["Aberto"];
                    }
                    //se o sistema for Multi Empresa
                    if ((MULTI_EMPRESA == "Sim") && ($_SESSION["Id_Nivel"] == '1')) {

                        if ($_GET["Unidade"]) {
                            $achar = listar("Select Titulo from unidade
						where Id = '" . $_GET["Unidade"] . "' ");
                            echo " - " . $achar[0]["Titulo"];
                        }
                    }
                    ?>
                </font>
            </td>
        </tr>
    </table>
    <br>
    <table width="100%" class="tabela">
        <thead>
            <tr class="azul-claro">
                <td>Lan</td>
                <td>Fatura</td>
                <td>Descrio</td>
                <td>Cnpj</td>
                <td>Fornecedor</td>
                <td>Atividade</td>
                <td>Centro Custo</td>
                <td>Tipo Pgto</td>
                <td>Tipo Baixa</td>
                <td>Emisso</td>
                <td>Vencimento</td>
                <td>Valor Original</td>
                <td>Valor Desconto</td>
                <td>Pagamento</td>
                <td>Valor Pagamento</td>
                <td>Status</td>
            </tr>
        </thead>
        <tfoot>
            <tr class="cinza">
                <td colspan="20">Relatrio de Contas a Pagar</td>
            </tr>
        </tfoot>
        <tbody>
            <?php
            if ($_GET["Ok"]) {

                $color = "#F5F5F5";
                foreach ($produto as $chave) {
                    if ($color == "#F5F5F5") {
                        $color = "#E8E8E8";
                    } else {
                        $color = "#F5F5F5";
                    }


                    $corStatus = "";
                    if ($chave['Status'] == 'Liquidado') {
                        $corStatus = "color = '#228B22' ";
                    }
                    if ($chave['Status'] == 'Aberto') {
                        $corStatus = "color = '#3A5FCD' ";
                    }
                    if ($chave['Status'] == 'Cancelado') {
                        $corStatus = "color = '#CD2626' ";
                    }
            ?>
                    <tr bgcolor=<?php echo "$color"; ?>>
                        <td><?php echo $chave["Lancamento"] ?></td>
                        <td><?php echo $chave["Fatura"] ?></td>
                        <td><?php echo $chave["Descricao"] ?></td>
                        <td><?php echo cnpj_exibir($chave["Cpf_Cnpj"]) ?></td>
                        <td><?php
                            if (FORNECEDOR_RAZAO_SOCIAL == 'Sim') {
                                echo $chave["Razao_Social"];
                            } else {
                                echo $chave["Fornecedor"];
                            }
                            ?>
                        </td>
                        <td>
                            <?php
                            $Atividade = mysqli_query($con, "SELECT Titulo FROM atividade where Id = '" . $chave["Id_Atividade"] . "'");
                            $Atividade = mysqli_fetch_assoc($Atividade);
                            
                                echo $Atividade["Titulo"];
                            ?>
                        </td>
                        <td><?php echo $chave["Centro_Custo"] ?></td>
                        <td><?php echo $chave["Tipo_Pagamento"] ?></td>
                        <td><?php echo $chave["Tipo_Baixa"] ?></td>
                        <td><?php echo data_exibir($chave["Data_Emissao"]) ?></td>
                        <td><?php echo data_exibir($chave["Data_Vencimento"]) ?></td>
                        <td><?php echo valor_exibir($chave["Valor_Original"]) ?></td>
                        <td><?php echo valor_exibir($chave["Valor_Desconto"]) ?></td>
                        <td><?php echo data_exibir($chave["Data_Pagamento"]) ?></td>
                        <td>
                            <?php
                            if ($chave['Status'] == 'Aberto') {
                                echo '0,00';
                            } else {
                                echo valor_exibir($chave['Valor_Pago']);
                            }
                            ?>
                        </td>
                        <td>
                            <font <?php echo $corStatus ?>>
                                <b><?php echo $chave["Status"] ?></b>
                            </font>
                        </td>
                        <?php
                        if ($chave["Status"] == 'Aberto') {
                            $Valor_Aberto += $chave["Valor_Original"];
                        }
                        if ($chave["Status"] == 'Liquidado') {
                            $Valor_Liqu += $chave["Valor_Pago"];
                        }
                        if ($chave["Status"] == "Cancelado") {
                            $Valor_Can += $chave["Valor_Pago"];
                        }
                        ?>
                    </tr>
            <?php }
            }
            ?>

            <tr>
                <td></td>
                <td colspan="3"><b>Totais Valores : </b></td>
                <td colspan="11" align="right">
                    <font color="#3A5FCD"><b>Aberto</font>
                    <?php echo valor_exibir($Valor_Aberto); ?></b>&nbsp;&nbsp;&nbsp;
                    <font color="#228B22"><b>Liquidado</font>
                    <?php echo valor_exibir($Valor_Liqu); ?></b>&nbsp;&nbsp;&nbsp;
                    <font color="#CD2626"><b>Cancelado</font>
                    <?php echo valor_exibir($Valor_Can); ?></b>&nbsp;&nbsp;&nbsp;
                    = <b><?php echo valor_exibir($Valor_Aberto + $Valor_Liqu); ?></b>
                </td>
            </tr>
        </tbody>
    </table>
    <br>
</body>

</html>
<?php
$html = ob_get_contents();
ob_end_clean();

include_once "../include/pdf_opcao.php";
?>