<?php
include_once '../include/conecta.php'; //Conecta com a nosso banco de dados MySQL
include_once '../include/ver_sessao.php'; //Verifica se a sesso est ativa
include_once '../include/funcoesPhp.php';
include_once '../menu_movimento.php';
?>
<html>

<head>
    <title>Gw - Gesto Web</title>
    <link rel="stylesheet" type="text/css" href="../estilo/<?php echo SKIN; ?>/tableless.css" />
    <link rel="stylesheet" type="text/css" href="../estilo/<?php echo SKIN; ?>/tabelas.css" />
    <link rel="stylesheet" type="text/css" href="../js/datePicker/datePicker.css" />
    <script language="javascript" type="text/javascript" src="../js/jquery.js"></script>
    <script language="javascript" type="text/javascript" src="../js/script.js"></script>
</head>

<body>
    <?php
    //conctando com o nosso servidor
    $hostO = "209.182.205.220";
    $dbnameO = "pontti5_pontti";
    $usuarioO = "pontti5_pontti";
    $passwordO = "pontti";

    $conO = mysqli_connect($hostO, $usuarioO, $passwordO, $dbnameO);

    if (mysqli_connect_errno()) {
        echo "Debugging errno: " . mysqli_connect_errno() . PHP_EOL;
        echo "Debugging error: " . mysqli_connect_error() . PHP_EOL;
    }
    //conctando com o nosso servidor
    ?>

    <fieldset class="envolve">
        <legend>Mensalidade do Sistema</legend>
        <table width="100%" align="center" border="0" cellpadding="2" cellspacing="2">
            <tr>
                <td width="20%" class="table_prod_nome">Razo Social</td>
                <td width="15%" class="table_prod_nome">Cnpj</td>
                <td width="5%" class="table_prod_nome">Id: </td>
                <td width="15%" class="table_prod_nome">Vencimento: </td>
                <td width="10%" class="table_prod_nome">Fatura: </td>
                <td width="20%" class="table_prod_nome">Desc: </td>
                <td width="10%" class="table_prod_nome">Valor: </td>
                <td width="5%" class="table_prod_nome">Boleto:</td>
                <!--
                        <td width="5%" class="table_prod_nome">Carto:</td>
    -->
            </tr>

            <?php
            $emp_cliente = mysqli_query($con, "SELECT Cnpj FROM unidade WHERE Ativo = 'Sim'");
            while ($empresas_cliente = mysqli_fetch_assoc($emp_cliente)) {

                $id_cli = mysqli_query($conO, "SELECT Id FROM cliente WHERE Cpf_Cnpj = '" . CaracteresEspeciais($empresas_cliente["Cnpj"], "Sim") . "' AND Ativo='Sim' ORDER BY Id LIMIT 1 ");
                $id_cliente = mysqli_fetch_assoc($id_cli);

                $sql_historico = mysqli_query($conO, "SELECT conta_receber.Id,
                            conta_receber.Lancamento,
                            conta_receber.Descricao,
                            conta_receber.Fatura,
                            conta_receber.Valor_Original,
                            conta_receber.Data_Vencimento,
                            conta_receber.Status,
                            conta_receber.Id_Conta,
                            banco.Codigo,
                            conta.Carteira,
                            conta.Tipo_Conta,
                            cliente.Razao_Social,
                            cliente.Cpf_Cnpj,
                            Factoring,
                            Banco_Factoring
                            FROM (SELECT Id,Lancamento,Descricao,Fatura,Valor_Original,Data_Vencimento,Status,Id_Externo,Id_Conta,Id_Cliente,Remessa
                            FROM conta_receber) as conta_receber
                            LEFT JOIN (SELECT Id,Id_Banco,Carteira,Tipo_Conta,Factoring,Banco_Factoring FROM conta) as conta ON conta_receber.Id_Conta = conta.Id
                            LEFT JOIN (SELECT Id,Codigo FROM banco) as banco ON conta.Id_Banco = banco.Id
                            LEFT JOIN (SELECT Id,Razao_Social,Cpf_Cnpj FROM cliente) as cliente ON cliente.Id = conta_receber.Id_Cliente
                            WHERE conta_receber.Id_Cliente = '" . $id_cliente["Id"] . "'
                            AND Remessa='Sim'
                            AND Status='Aberto' ORDER BY Data_Vencimento ");
            ?>

            <?php while ($hist = mysqli_fetch_assoc($sql_historico)) { ?>

            <tr bgcolor=<?php echo "$color"; ?>>
                <td class="table_prod_valor"><?php echo $hist['Razao_Social']; ?></td>
                <td class="table_prod_valor"><?php echo cnpj_exibir($hist['Cpf_Cnpj']); ?></td>
                <td class="table_prod_valor"><?php echo $hist['Lancamento']; ?></td>
                <td class="table_prod_valor"><?php echo data_exibir($hist['Data_Vencimento']); ?></td>
                <td class="table_prod_valor"><?php echo $hist['Fatura']; ?></td>
                <td class="table_prod_valor"><?php echo $hist['Descricao']; ?></td>
                <td class="table_prod_valor"><?php echo number_format($hist['Valor_Original'], 2, ',', '.'); ?></td>
                <?php
                        switch ($hist["Codigo"]) {
                            case '001':
                                if ($hist["Carteira"] == '18')
                                    $pagina_boleto = '../boletophp/boleto_bb.php';
                                else
                                    $pagina_boleto = '../boletophp/boleto_bb_net.php';
                                break;
                            case '004':
                                $pagina_boleto = '../boletophp/boleto_nordeste_net.php';
                                break;
                            case '104':
                                if ($hist["Tipo_Conta"] == 'SIGCB 6Dig')
                                    $pagina_boleto = '../boletophp/boleto_cef_sigcb.php';
                                else if ($hist["Tipo_Conta"] == 'SIGCB 7Dig')
                                    $pagina_boleto = '../boletophp/boleto_cef_sigcb_net.php';
                                else if ($hist["Tipo_Conta"] == 'SINCO')
                                    $pagina_boleto = '../boletophp/boleto_cef_sinco.php';
                                else if ($hist["Tipo_Conta"] == 'SICOB')
                                    $pagina_boleto = '../boletophp/boleto_cef.php';
                                break;
                            case '237':
                                if (($hist["Carteira"] == '06') || ($hist["Carteira"] == '03'))
                                    $pagina_boleto = '../boletophp/boleto_bradesco.php';
                                else
                                    $pagina_boleto = '../boletophp/boleto_bradesco_net.php';
                                break;
                            case '341':
                                $pagina_boleto = '../boletophp/boleto_itau.php';
                                break;
                            case '422':
                                $pagina_boleto = '../boletophp/boleto_safra.php';
                                break;
                            case '077':
                                $pagina_boleto = '../boletophp/boleto_inter.php';
                                break;
                            case '409':
                                $pagina_boleto = '../boletophp/boleto_unibanco.php';
                                break;
                            case '356':
                                $pagina_boleto = '../boletophp/boleto_real.php';
                                break;
                            case '033':
                                if ($hist["Carteira"] == '101')
                                    $pagina_boleto = '../boletophp/boleto_santander_banespa.php';
                                else
                                    $pagina_boleto = '../boletophp/boleto_santander_banespa1.php';
                                break;
                            case '399':
                                $pagina_boleto = '../boletophp/boleto_hsbc.php';
                                break;
                            case '756':
                                $pagina_boleto = '../boletophp/boleto_bancoob.php';
                                break;
                            case '748':
                                $pagina_boleto = '../boletophp/boleto_sicredi.php';
                                break;
                            case '136':
                                $pagina_boleto = '../boletophp/boleto_unicred_net.php';
                                break;
                            default:
                                if ($hist["Factoring"] == 'Sim') {
                                    if ($hist["Banco_Factoring"] == 'Itau') {
                                        $pagina_boleto = '../boletophp/boleto_itau_factoring.php';
                                    } elseif ($hist["Banco_Factoring"] == 'Santander') {
                                        $pagina_boleto = '../boletophp/boleto_santander_factoring.php';
                                    } elseif ($hist["Banco_Factoring"] == 'Brasil') {
                                        $pagina_boleto = '../boletophp/boleto_brasil_factoring.php';
                                    } else {
                                        $pagina_boleto = '../boletophp/boleto_bradesco_net_factoring.php';
                                    }
                                } else {
                                    $pagina_boleto = '#';
                                }
                                break;
                        }

                        $dia_de_hoje = data_banco(date("d/m/Y"));
                        $data_do_banco = $hist["Data_Vencimento"];

                        $time1 = strtotime($dia_de_hoje);
                        $time2 = strtotime($data_do_banco);

                        if ($time2 < $time1) {
                            $nova_data = '&data=' . date("d/m/Y");
                        }
                        ?>
                <td class="table_prod_valor">
                    <a href="javascript:void();"
                        onclick="window.open('<?php echo $pagina_boleto; ?>?id_conta_receber=<?php echo $hist['Id']; ?>&id_conta=<?php echo $hist['Id_Conta']; ?>&pontti=Sim<?php echo $nova_data; ?>', 'Boleto Parcela', 'width=700,height=800,top=0,left=0,scrollbars=yes')">
                        <img border="0" src="../imagem/bt_boleto.png" title="Boleto Parcela" alt="Boleto Parcela" /></a>
                </td>
                <!--
                            <td class="table_prod_valor">
                                <a href="javascript:void();"
                                   onclick="window.open('escolha_cartao.php?id_conta_receber=<?php echo $hist['Id']; ?>&id_conta=<?php echo $hist['Id_Conta']; ?>&pontti=Sim', 'Cartao Parcela', 'width=700,height=650,top=0,left=0,scrollbars=yes')">
                                    <img border="0" src="../imagem/cartao.png" title="Carto Parcela" alt="Carto Parcela"/></a>
                            </td>
                        -->
            </tr>

            <?php }
            } ?>
        </table>

    </fieldset>
    <?php

    include "../include/rodape.php"; ?>
</body>

</html>