<?php
include_once '../include/conecta.php'; //Conecta com a nosso banco de dados MySQL
include_once '../include/ver_sessao.php'; //Verifica se a sesso est ativa
include_once '../include/funcoesPhp.php';
include_once '../menu_movimento.php';

//conctando com o nosso servidor
$hostO="209.182.205.220";
$dbnameO="pontti5_pontti";
$usuarioO="pontti5_pontti";
$passwordO="pontti";

$conO = mysqli_connect($hostO,$usuarioO,$passwordO,$dbnameO);

if(mysqli_connect_errno()){
    echo "Debugging errno: ".mysqli_connect_errno().PHP_EOL;
    echo "Debugging error: ".mysqli_connect_error().PHP_EOL;
}
//conctando com o nosso servidor

$cliente_nome = mysqli_query($conO,"SELECT conta_receber.Data_Vencimento,
            conta_receber.Valor_Original,
            conta_receber.Id_Conta,
            conta_receber.Remessa,
            conta_receber.Id_Unidade,
            conta_receber.Lancamento,
            conta_receber.Descricao,
            conta_receber.Pagamento_Link,
            conta_receber.Pagamento_Qrcode,
            cliente.Titulo,
            cliente.Email,
            cliente.Fone1,
            cliente.Cidade
            FROM conta_receber
            LEFT JOIN (SELECT Id,Titulo,Email,Fone1,Cidade FROM cliente) as cliente ON cliente.Id = conta_receber.Id_Cliente
            WHERE conta_receber.Id = '" . $_GET["id_conta_receber"] . "' 
            AND conta_receber.Status='Aberto' ");
$cliente_nome = mysqli_fetch_assoc($cliente_nome);




$sql_banco = mysqli_query($conO,"SELECT Agencia,
                Codigo_Cliente,
                Instrucao1,
                Instrucao2,
                Desc_Instrucao1,
                Desc_Instrucao2,
                Juros_Dia,
                Juros_Real,
                Dia_Instrucao,
                Multa,
                Tipo_Multa
                FROM conta
                where conta.Id = '".$cliente_nome["Id_Conta"]."' ");
$banco = mysqli_fetch_assoc($sql_banco);

if($banco["Tipo_Multa"]=='Perc'){
    $banco["Multa"] = $cliente_nome["Valor_Original"] * ($banco["Multa"]/100);
    $banco["Multa"] = valor_exibir($banco["Multa"]);
    $banco["Multa"] = valor_banco($banco["Multa"]);
}


$dia_de_hoje = date("Y-m-d");
$data_do_banco = $cliente_nome["Data_Vencimento"];

$time1 = strtotime($dia_de_hoje);
$time2 = strtotime($data_do_banco);

if($time2<$time1){
    
    $dia_de_hoje = date("Y-m-d");
    $data_do_banco = $cliente_nome["Data_Vencimento"];
    
    $time1 = strtotime($dia_de_hoje);
    $time2 = strtotime($data_do_banco);
    $dias_timestamp = $time1 - $time2;
    $dias_atraso = (int)floor( $dias_timestamp / (60 * 60 * 24));
    
    if($banco["Juros_Real"]>'0'){
        $valor_atraso = ($banco["Juros_Real"] * $dias_atraso );
    }else{
        $valor_atraso = ( ($cliente_nome["Valor_Original"] * ($banco["Juros_Dia"]/100)) * $dias_atraso );
    }
    $valor_boleto = $cliente_nome["Valor_Original"] + $banco["Multa"] + $valor_atraso;
    $valor_boleto = str_replace(",", ".",$valor_boleto);
    $valor_cobrado=number_format($valor_boleto, 2, '.', '');
}else{
    $valor_cobrado = number_format($cliente_nome["Valor_Original"], 2, '.', '');
}



if($cliente_nome["Pagamento_Link"] && $cliente_nome["Pagamento_Qrcode"]){
        $link   = $cliente_nome["Pagamento_Link"];
        $qrCode = $cliente_nome["Pagamento_Qrcode"];
}else{
    require_once '../picpay/src/paymentPicPay.php';

    $picpay = new PicPay();

    $produto = new stdClass();
    $produto->ref = $cliente_nome["Lancamento"];
    $produto->nome = SoPalavrasEspeciais($cliente_nome["Descricao"]);
    $produto->valor = $cliente_nome["Valor_Original"];

    $cliente = new stdClass();
    $cliente->nome = SoPalavrasEspeciais($cliente_nome["Titulo"]);
    $cliente->sobreNome = " - ".SoPalavrasEspeciais($cliente_nome["Cidade"]);
    $cliente->cpf = "000.000.000-00";
    $cliente->email = $cliente_nome["Email"];
    $cliente->telefone = $cliente_nome["Fone1"];

    $payment = $picpay->requestPayment($produto, $cliente);

    if(isset($payment->message)){
        echo $payment->message.": ";
        var_dump($payment->errors);
    }else{
        $link   = $payment->paymentUrl;
        $qrCode = $payment->qrcode->base64;

        mysqli_query($conO,"UPDATE conta_receber SET
                    Pagamento_Link = '".$link."',
                    Pagamento_Qrcode = '".$qrCode."',
                    Order_Id = '".$cliente_nome["Lancamento"]."',
                    Pagamento_Status = 'Pendente',
                    Valor_Pago='".$valor_cobrado."'
                    WHERE Id='".$_GET["id_conta_receber"]."' ");

    }
}

?>
<html>
    <head>
<title>Gw - Gesto Web</title>
<link rel="stylesheet" type="text/css" href="../estilo/<?php echo SKIN; ?>/tableless.css" />
<link rel="stylesheet" type="text/css" href="../estilo/<?php echo SKIN; ?>/tabelas.css" />
<script language="javascript" type="text/javascript" src="../js/jquery.js"></script>
<script language="javascript" type="text/javascript" src="../js/script.js"></script>
<script type="text/javascript">
    var x = false;
    $(document).ready(function() {
        $('a').click(function() {
            x = true;
        });
    });

    $(window).unload(function() {
        if (x == false) {
            var Id_Ordem = $("#Lancamento").val();
            var Lancamento = $("#Lancamento").val();
            $.post("cartao_baixa.php", {Id_Ordem: Id_Ordem, Lancamento: Lancamento},
            function(data) {
                //window.opener.document.location.href='cartoes.php';
                window.opener.document.location.reload();
                window.close();
                //$("#retorno").html(data);
            });
        }
    });
</script>
<script type="text/javascript" language="javascript" >
function cartaoBaixa() {
    var Id_Ordem = $("#Lancamento").val();
    var Lancamento = $("#Lancamento").val();
    $.post("cartao_baixa.php", {Id_Ordem: Id_Ordem, Lancamento: Lancamento},
    function(data) {
        //window.opener.document.location.href='cartoes.php';
        window.opener.document.location.reload();
        window.close();
        //$("#retorno").html(data);
    });
};
</script>
    </head>
    <body>
            
            <fieldset class="envolve">
                
                <input type="hidden" name="Id_Conta_Receber" value="<?php echo $_GET["id_conta_receber"] ?>">

                <?php if(!empty($cliente_nome['Lancamento'])){ ?>
                <fieldset class="grupo">
                    <legend>Escolha do Carto</legend>

                    <fieldset class="grupo">
                        <div class="campo" style="margin-left:20%">
                            <p style="font-size: 1.4em;"><b>Pague com <img src="../imagem/picpay.png" width="20%" height="auto"/></b></p><br/>
                            <p>Abra o PicPay em seu telefone e escaneie o cdigo abaixo:</p><br/>
                            <p><img src="<?php echo $qrCode;?>" width="45%" height="auto"/></p><br/>
                            <p>Nosso Nmero: <?php echo $cliente_nome["Lancamento"];?></p><br/>
                            <p>Descrio: <?php echo $cliente_nome["Descricao"];?></p><br/>
                            <p>Valor: <b>R$ <?php echo valor_exibir($valor_cobrado);?></b></p><br/>
                            <p><a href="<?php echo $link;?>">Pagar com PicPay</a></p>
                        </div>
                        <input type="hidden" value="<?php echo $cliente_nome["Lancamento"];?>" id="Lancamento" name="Lancamento">
                    </fieldset>

                </fieldset>
                <?php } ?>
                <br/>
                <button class="botao" type="button" value="Voltar" name="Voltar" onclick="cartaoBaixa();" style="width:30%;margin-left:10%">Fechar</button>
                
            </fieldset>

<?php include "../include/rodape.php"; ?>
    </body>
</html>