<?php
include_once '../include/conecta.php'; //Conecta com a nosso banco de dados MySQL
ini_set('session.gc_maxlifetime', 60 * 120);
session_start();
/*include_once '../include/ver_sessao.php'; //Verifica se a sesso est ativa*/
include_once '../include/funcoesPhp.php';
include_once '../menu_movimento.php';
?>
<?php
if ($_GET['Data_Filtro'] == 'Vencimento') {
    if ($_GET["De"])
        $data .= "AND conta_receber.Data_Vencimento >= '" . data_banco($_GET["De"]) . " 00:00:00' ";
    if ($_GET["Ate"])
        $data .= "AND conta_receber.Data_Vencimento <= '" . data_banco($_GET["Ate"]) . " 23:59:59' ";
}
if ($_GET['Data_Filtro'] == 'Pagamento') {
    if ($_GET["De"])
        $data .= "AND conta_receber.Data_Pagamento >= '" . data_banco($_GET["De"]) . " 00:00:00' ";
    if ($_GET["Ate"])
        $data .= "AND conta_receber.Data_Pagamento <= '" . data_banco($_GET["Ate"]) . " 23:59:59' ";
}
if ($_GET['Data_Filtro'] == 'Emissao') {
    if ($_GET["De"])
        $data .= "AND conta_receber.Data_Emissao >= '" . data_banco($_GET["De"]) . " 00:00:00' ";
    if ($_GET["Ate"])
        $data .= "AND conta_receber.Data_Emissao <= '" . data_banco($_GET["Ate"]) . " 23:59:59' ";
}

if ($_GET["EF"])
    $data .= "and conta_receber.EF = '" . $_GET["EF"] . "' ";

if ($_GET["Cliente"])
    $cliente .= "and conta_receber.Id_Cliente = '" . $_GET["Cliente"] . "' ";
if ($_GET["Estado"]) {
    $clienteEstado .= "and cliente.Estado = '" . $_GET["Estado"] . "' ";
}
if ($_GET["Cidade"]) {
    $clienteCidade .= "and cliente.Id_Cidade = '" . $_GET["Cidade"] . "' ";
}
if ($_GET["Bairro"]) {
    $clienteBairro .= "and cliente.Bairro = '" . $_GET["Bairro"] . "' ";
}
if ($_GET["Area"]) {
    $Area = "and cliente.Id_Area = '" . $_GET["Area"] . "' ";
}

if ($_GET["Tipo_Pagamento"])
    $cliente .= "and conta_receber.Id_Tipo_Pagamento = '" . $_GET["Tipo_Pagamento"] . "' ";
if ($_GET["Tipo_Movimento"])
    $cliente .= "and conta_receber.Tipo_Movimentacao = '" . $_GET["Tipo_Movimento"] . "' ";
if ($_GET["Funcionario"])
    $cliente .= "and conta_receber.Id_Funcionario = '" . $_GET["Funcionario"] . "' ";
if ($_GET["Conta"])
    $cliente .= "and conta_receber.Id_Conta = '" . $_GET["Conta"] . "' ";
if ($_GET["Categoria_Tipo_Pagamento"])
    $cliente .= " AND tipo_pagamento.Id_Categoria_Tipo_Pagamento = '" . $_GET["Categoria_Tipo_Pagamento"] . "' ";
if ($_GET["Vendedor"])
    $vend = "and venda.Id_Vendedor = '" . $_GET["Vendedor"] . "' ";

if ($_GET["Unidade"]) {
    $Unidade = "and conta_receber.Id_Unidade = '" . $_GET["Unidade"] . "' ";
}

if (CLIENTE_RAZAO_SOCIAL == 'Sim') {
    $nome = "Razao_Social";
} else {
    $nome = "Titulo";
}

if ($_GET["Ok"]) {
    $produto = mysqli_query($con, "Select conta_receber.Id_Cliente,
                            conta_receber.Lancamento,
                            conta_receber.Data_Emissao,
                            conta_receber.Data_Vencimento,
                            conta_receber.Data_Pagamento,
                            conta_receber.Valor_Original,
                            conta_receber.Valor_Pago,
                            conta_receber.Fatura,
                            conta_receber.Numero,
                            conta_receber.Status,
                            conta_receber.Descricao,
                            tipo_pagamento.Titulo as 'Tipo_Pagamento',
                            conta.Juros_Dia,
                            conta.Multa,
                            conta.Tipo_Multa,
                            venda.Id_Vendedor
                            FROM (SELECT Lancamento,
                                Data_Emissao,
                                Data_Vencimento,
                                Data_Pagamento,
                                Valor_Original,
                                Valor_Pago,
                                Fatura,
                                Numero,
                                Status,
                                Descricao,
                                Id_Externo,
                                Id_Conta,
                                Id_Cliente,
                                Id_Tipo_Pagamento
                                FROM conta_receber
                                WHERE Status = 'Aberto' $data $status $cliente $Unidade) as conta_receber
                            left join (SELECT Id,Titulo,Id_Categoria_Tipo_Pagamento FROM tipo_pagamento) as tipo_pagamento ON tipo_pagamento.Id = conta_receber.Id_Tipo_Pagamento
                            left join (SELECT Id,Juros_Dia,Multa,Tipo_Multa FROM conta) as conta ON conta.Id = conta_receber.Id_Conta
                            LEFT JOIN
                            (
                            (SELECT Id,Id_Vendedor FROM venda)
                            UNION
                            (SELECT Id,Id_Vendedor FROM comodato)
                            UNION
                            (SELECT Id,Id_Vendedor FROM os)
                            )
                            as venda ON venda.Id = conta_receber.Id_Externo
                            left join (SELECT Id, $nome as Cliente,Estado,Id_Cidade,Bairro,Id_Area FROM cliente) as cliente ON cliente.Id = conta_receber.Id_Cliente
                            where 1=1
                            $vend $Area $clienteEstado $clienteCidade $clienteBairro
                            order by cliente.Cliente,
                            conta_receber.Data_Vencimento,
                            conta_receber.Data_Pagamento,
                            conta_receber.Lancamento ");
}

?>
<?php ob_start(); /* Inicia o fluxo*/ ?>
<html>

<head>
    <script type="text/javascript" language="javascript" src="../js/jquery.js"></script>
    <?php include '../include/script_cabeca.php'; ?>
    <script type="text/javascript" language="javascript" src="../js/script.js"></script>
    <script type="text/javascript" language="javascript" src="../js/meiomask/meiomask.js"></script>
    <script type="text/javascript" language="javascript" src="../js/meiomask/<?php if (PAIS == "USA") {
                                                                                    echo "mascaras-usa";
                                                                                } else {
                                                                                    echo "mascaras";
                                                                                } ?>.js"></script>
</head>

<body>

    <table width="100%">
        <tr>
            <td>
                <font face="verdana" size="2"><i>Relatrio de Ttulos Atualizados com Juros</i></font>
            </td>
        </tr>
        <tr>
            <td>
                <font face="verdana" size="2">
                    <?php
                    if ($_GET["De"]) {
                        echo "Perodo: " . $_GET["De"];
                    }
                    if ($_GET["Ate"]) {
                        echo "  " . $_GET["Ate"];
                    }
                    if ($_GET["Funcionario"]) {
                        $achar = listar("Select Titulo from funcionario
			where Id = '" . $_GET["Funcionario"] . "' ");
                        echo " - " . $achar[0]["Titulo"];
                    }
                    if ($_GET["Cliente"]) {
                        if (CLIENTE_RAZAO_SOCIAL == 'Sim') {
                            $nome = 'Razao_Social';
                        } else {
                            $nome = 'Titulo';
                        }
                        $achar = listar("Select " . $nome . " as Titulo from cliente
			where Id = '" . $_GET["Cliente"] . "' ");
                        echo " - " . $achar[0]["Titulo"];
                    }
                    if ($_GET["Tipo_Pagamento"]) {
                        $achar = listar("Select Titulo from tipo_pagamento
			where Id = '" . $_GET["Tipo_Pagamento"] . "' ");
                        echo " - " . $achar[0]["Titulo"];
                    }
                    if ($_GET["Vendedor"]) {
                        $achar = listar("Select Titulo from funcionario
			where Id = '" . $_GET["Vendedor"] . "' ");
                        echo " - " . $achar[0]["Titulo"];
                    }
                    if ($_GET["Tipo_Movimento"]) {
                        echo " - " . $_GET["Tipo_Movimento"];
                    }
                    if ($_GET["Cancelado"]) {
                        echo " - " . $_GET["Cancelado"];
                    }
                    if ($_GET["Liquidado"]) {
                        echo " - " . $_GET["Liquidado"];
                    }
                    if ($_GET["Aberto"]) {
                        echo " - " . $_GET["Aberto"];
                    }
                    //se o sistema for Multi Empresa
                    if ((MULTI_EMPRESA == "Sim") && ($_SESSION["Id_Nivel"] == '1')) {

                        if ($_GET["Unidade"]) {
                            $achar = listar("Select Titulo from unidade
						where Id = '" . $_GET["Unidade"] . "' ");
                            echo " - " . $achar[0]["Titulo"];
                        }
                    }
                    ?>
                </font>
            </td>
        </tr>
    </table>
    <table width="100%" class="tabela">
        <thead>
            <tr class="azul-claro">
                <td>Fatura</td>
                <td>Cliente</td>
                <td>Valor Original</td>
                <td>Vencimento</td>
                <td>Dias Atraso</td>
                <td>Juros Dia</td>
                <td>Multa</td>
                <td>Valor</td>
                <td>Valor Total</td>
                <td>rea</td>
                <td>Estado</td>
                <td>Cidade</td>
                <td>Bairro</td>
                <td>Vendedor</td>
            </tr>
        </thead>
        <tfoot>
            <tr class="cinza">
                <td colspan="20">Relatrio de Ttulos Atualizados com Juros</td>
            </tr>
        </tfoot>
        <tbody>
            <?php
            if ($_GET["Ok"]) {

                $color = "#F5F5F5";
                while ($chave = mysqli_fetch_assoc($produto)) {
                    if ($color == "#F5F5F5") {
                        $color = "#E8E8E8";
                    } else {
                        $color = "#F5F5F5";
                    }

                    $nome_clie = mysqli_query($con, "SELECT cliente.Id,cliente.Titulo,cliente.Razao_Social,cliente.Contato,cliente.Fone1,
                                cliente.Estado,cliente.Id_Cidade,cliente.Bairro,cliente.Id_Area,area.Titulo as Area,cidade.Titulo as Cidade FROM cliente
                                LEFT JOIN (SELECT Id as IdArea, Titulo FROM area) as area ON area.IdArea = cliente.Id_Area
                                LEFT JOIN (SELECT Id as IdCidade,Titulo FROM cidade_ibge) as cidade ON cidade.IdCidade = cliente.Id_Cidade
                                WHERE Id = '" . $chave['Id_Cliente'] . "' ");
                    $nome_clie = mysqli_fetch_assoc($nome_clie);

                    $nome_vend = mysqli_query($con, "SELECT Id,Titulo as Vendedor FROM funcionario WHERE Id = '" . $chave['Id_Vendedor'] . "' ");
                    $nome_vend = mysqli_fetch_assoc($nome_vend);
            ?>
                    <tr bgcolor=<?php echo "$color"; ?>>
                        <td><?php echo $chave["Fatura"] ?></td>
                        <td><?php
                            if (CLIENTE_RAZAO_SOCIAL == 'Sim') {
                                echo $nome_clie["Razao_Social"];
                            } else {
                                echo $nome_clie["Titulo"];
                            }
                            ?>
                        </td>
                        <td><?php echo valor_exibir($chave["Valor_Original"]) ?></td>
                        <td><?php echo data_exibir($chave["Data_Vencimento"]) ?></td>
                        <td>
                            <?php
                            if (($chave['Status'] == 'Aberto') || ($chave['Status'] == 'Pendente Confirmao')) {
                                echo $d_atraso = calcula_dia(data_exibir($chave['Data_Vencimento']), data_exibir(date("Y-m-d")));
                            } else {
                                echo $d_atraso = calcula_dia(data_exibir($chave['Data_Vencimento']), data_exibir($chave['Data_Pagamento']));
                            }
                            ?>
                        </td>
                        <td>
                            <?php
                            $juros_1_dia = $chave["Valor_Original"] * ($chave["Juros_Dia"] / 100);
                            echo valor_exibir($juros_1_dia);
                            ?>
                        </td>
                        <td>
                            <?php
                            echo valor_exibir($chave["Multa"]);
                            if ($chave["Tipo_Multa"] == 'Real') {
                                echo " R$";
                            } else {
                                echo " %";
                            }
                            ?>
                        </td>
                        <td>
                            <?php
                            if ($chave["Tipo_Multa"] == 'Real') {
                                $mult = $chave["Multa"];
                            } else {
                                $mult = $chave["Valor_Original"] * ($chave["Multa"] / 100);
                            }

                            $v_atraso = ($d_atraso * $juros_1_dia) + $mult;
                            echo valor_exibir($v_atraso);
                            ?>
                        </td>
                        <td>
                            <?php
                            $vt = $chave["Valor_Original"] + $v_atraso;
                            echo valor_exibir($vt);
                            ?>
                        </td>
                        <td><?php echo $nome_clie["Area"] ?></td>
                        <td><?php echo $nome_clie["Estado"] ?></td>
                        <td><?php echo $nome_clie["Cidade"] ?></td>
                        <td><?php echo $nome_clie["Bairro"] ?></td>
                        <td><?php echo $nome_vend["Vendedor"] ?></td>
                        <?php
                        $Valor_Aberto += $chave["Valor_Original"];
                        $vt_v_atraso += $v_atraso;
                        $vt_vt += $vt;
                        ?>
                    </tr>
            <?php }
            } ?>

            <tr>
                <td colspan="2"><b>Totais Valores : </b></td>
                <td><b><?php echo valor_exibir($Valor_Aberto); ?></b></td>
                <td colspan="4"></td>
                <td><b><?php echo valor_exibir($vt_v_atraso); ?></b></td>
                <td><b><?php echo valor_exibir($vt_vt); ?></b></td>
            </tr>
        </tbody>
    </table>
</body>

</html>
<?php
$html = ob_get_contents();
ob_end_clean();

include_once "../include/excel_opcao.php";
?>