<?php
include_once '../../include/conecta.php'; //Conecta com a nosso banco de dados MySQL
ini_set('session.gc_maxlifetime', 60 * 120);
session_start();
/* include_once '../include/ver_sessao.php'; //Verifica se a sesso est ativa */
include_once '../../include/funcoesPhp.php';
include_once '../../menu_movimento.php';


$contrato = listar("SELECT contrato.Id,
                            contrato.Lancamento,
                            contrato.Status,
                            contrato.Data_Contrato,
                            contrato.Obs as 'Obs_Contrato',
                            contrato.Valor_Original,
                            contrato.Valor_Pago,
                            contrato.Id_Unidade,
                            contrato.Desconto,
                            contrato.Data_Inicio_Contrato,
                            contrato.Data_Fim_Contrato,
                            contrato.Texto_Contrato1,
                            contrato.Texto_Contrato2,
                            contrato.Texto_Contrato3,
                            contrato.Texto_Contrato4,
                            contrato.Texto_Contrato5,
                            contrato.Texto_Contrato6,
                            contrato.Texto_Contrato7,
                            contrato.Texto_Contrato8,
                            contrato.Texto_Contrato9,
                            cliente.Titulo,
                            cliente.Razao_Social,
                            cliente.Email,
                            cliente.Natureza,
                            cliente.Cpf_Cnpj,
                            cliente.Rua,
                            cliente.Numero,
                            cliente.Cep,
                            cliente.Bairro,
                            cliente.Estado,
                            cliente.Fone1,
                            cliente.Obs as 'Obs_Cliente',
                            cidade_ibge.Titulo as Cidade,
                            funcionario.Titulo as 'Funcionario',
                            usuario.Login
                            FROM contrato
                            LEFT JOIN (SELECT Id,Titulo,Razao_Social,Email,Natureza,Cpf_Cnpj,Estadual,Rua,Numero,Cep,Bairro,Estado,Fone1,Obs,Id_Cidade FROM cliente) as cliente ON cliente.Id = contrato.Id_Cliente
                            LEFT JOIN (SELECT Id,Titulo FROM cidade_ibge) as cidade_ibge ON cidade_ibge.Id = cliente.Id_Cidade
                            LEFT JOIN (SELECT Id,Titulo FROM funcionario) as funcionario ON funcionario.Id = contrato.Id_Funcionario
                            LEFT JOIN (SELECT Id,Login FROM usuario) as usuario ON usuario.Id = contrato.Id_Usuario
                            WHERE contrato.Id = '" . $_GET["id_contrato"] . "'
                            order by contrato.Lancamento DESC");
?>
<html>

<head>
    <title>Gw - Gesto Web</title>
    <link rel="stylesheet" type="text/css" href="../../estilo/tabela_imp.css" />
    <script type="text/javascript" language="javascript" src="../../js/jquery.js"></script>
    <?php include '../../include/script_cabeca.php'; ?>
    <script type="text/javascript" language="javascript" src="../../js/script.js"></script>
    <script type="text/javascript" language="javascript">
        $(document).ready(function() {
            function slideout() {
                setTimeout(function() {
                        $("#response").slideUp("slow", function() {});
                    },
                    2000);
            }
            $(".inlineEdit").bind("click", updateText);
            var OrigText, NewText;
            $(".save").live("click", function() {
                $("#loading").fadeIn('slow');
                NewText = $(this).siblings("form").children(".edit").val();
                var id = $(this).parent().attr("id");
                //var data = '?id=' + id + '&text=' + NewText;
                var data = 'id=' + id + '&text=' + NewText;
                $.post("edit.php", data, function(response) {
                    $("#retorno").html(response);
                    $("#response").slideDown('slow');
                    slideout();
                    $("#loading").fadeOut('slow');
                });
                $(this).parent().html(NewText).removeClass("selected").bind("click", updateText);
                recarregar();
            });
            $(".revert").live("click", function() {
                $(this).parent().html(OrigText).removeClass("selected").bind("click", updateText);
            });

            function updateText() {
                $('li').removeClass("inlineEdit");
                OrigText = $(this).html();
                $(this).addClass("selected").html('<form><textarea class="edit" rows="8" cols="140">' + OrigText + '</textarea></form><a href="#" class="save"><img src="../../js/editing/images/save.png" border="0" width="48" height="15"/></a> <a href="#" class="revert"><img src="../../js/editing/images/cancel.png" border="0" width="58" height="15"/></a>').unbind('click', updateText);
            }

            function recarregar() {
                setTimeout(function() {
                    location.reload();
                }, 1000);
            }

        });
    </script>
    <style type="text/css" media="print">
        thead {
            display: table-header-group;
        }

        tfoot {
            display: table-footer-group;
        }

        thead th,
        thead td {
            position: static;
        }

        thead tr {
            position: static;
        }

        /*prevent problem if print after scrolling table*/
        table tfoot tr {
            position: static;
        }
    </style>
    <style>
        table.tabela {
            border-collapse: collapse;
            font-family: Verdana, Geneva, sans-serif;
            font-size: 11px;
            border: 1px #e8e8e8 solid;
            /*line-height:85%;*/
        }
    </style>
</head>

<body>
    <table width="98%" align="center">
        <!-- TABELA Q ENVOLVE TODO O CONTEUDO -->
        <thead>
            <tr>
                <td>
                    <table width="90%" align="center">
                        <?php
                        //variavel $_GET["Unidade"], vem de todos os filtros de relatorios.
                        if (!$_GET["Unidade"]) {
                            $_GET["Unidade"] = $_SESSION["Unidade"];
                        }


                        $empresa = listar("Select Logo,
                                                      Titulo,
                                                      Cnpj,
                                                      Rua,
                                                      Numero,
                                                      Complemento,
                                                      Razao_Social,
                                                      Bairro,
                                                      Cidade,
                                                      Estado,
                                                      Cep,
                                                      Fone1,
                                                      Fone2,
                                                      Email,
                                                      Site
                                                 from unidade
                                                where Id = '" . $_GET["Unidade"] . "' ");
                        ?>
                        <tr>
                            <td width="40%">
                                <?php
                                if (file_exists("../unidade/foto/" . $empresa[0]["Logo"] . "")) {
                                    $cam_arq = "../unidade/foto/" . $empresa[0]["Logo"];
                                } else {
                                    $cam_arq = "../../unidade/foto/" . $empresa[0]["Logo"];
                                }
                                ?>
                                <img src="<?php echo $cam_arq; ?>" title="Logo" alt="Logo" border="0" width="140px" height="auto" />
                            </td>
                            <td width="60%" class="razao">
                                <b>
                                    <font face="verdana" size="3">
                                        CONTRATO DE PRESTAO DE SERVIOS
                                    </font>
                                </b>
                                <br>
                            </td>
                        </tr>
                    </table>
                </td>
            </tr>
        </thead>
        <tr>
            <td>
                <table width="100%">
                    <tr>
                        <td align="justify">
                            <span style="font-size: 14px">
                                <br><br>
                                <p>
                                    Os termos deste Contrato tm prazo de 30 (trinta) dias para negociao e assinatura, contados a partir da data de sua emisso.
                                    Expirado tal prazo, as partes devero rever valores e demais condi-es aqui estabelecidas.
                                    <br><br>
                                    1.PARTES<br>
                                    <b><b><b>CONTRATADA</b></b>:</b> <?php echo $empresa[0]["Razao_Social"]; ?>, pessoa jurdica de direito privado, CNPJ 30.083.217/0001-73, com sede na Rua <?php echo $empresa[0]["Rua"] . ", " . $empresa[0]["Numero"] . $compl; ?> , <?php echo $empresa[0]["Bairro"]; ?>, <?php echo $empresa[0]["Cidade"]; ?> - <?php echo $empresa[0]["Estado"]; ?> ,
                                    CEP <?php echo $empresa[0]["Cep"]; ?>, representada por
                                    <span class="inlineEdit" id="P<?php echo $contrato[0]["Id"] . "-Texto_Contrato8"; ?>" style="cursor: pointer;" alt="Clique para Editar !" title="Clique para Editar !">
                                        <?php
                                        if ($contrato[0]["Texto_Contrato8"] == "") {
                                            echo "Lindemberg dos Santos Lima, CPF. 000.000.000-00";
                                        } else {
                                            echo $contrato[0]["Texto_Contrato8"];
                                        }
                                        ?>
                                    </span>, que assina adiante.<br><br>
                                    <b><b><b>CONTRATANTE</b></b>:</b><span class="inlineEdit" id="P<?php echo $contrato[0]["Id"] . "-Texto_Contrato9"; ?>" style="cursor: pointer;" alt="Clique para Editar !" title="Clique para Editar !">
                                        <?php
                                        if ($contrato[0]["Texto_Contrato9"] == "") {
                                            echo $contrato[0]['Titulo'] . ", inscrito sob o, <b>";
                                            if ($contrato[0]['Natureza'] == "PF") {
                                                echo "CPF de n.: " . cpf_exibir($contrato[0]['Cpf_Cnpj']);
                                            } else {
                                                echo "CNPJ de n.: " . cnpj_exibir($contrato[0]['Cpf_Cnpj']);
                                            };
                                            echo " </b>,
                                            com sede na " . $contrato[0]['Rua'] . ", " . $contrato[0]['Numero'] . ', ' . $contrato[0]['Bairro'] . ' - ' . $contrato[0]['Cidade'] . ' - ' . $cliente[0]['Estado'] . ", representado por seu Sindico(a), que assina adiante.
                                            <br><br>";
                                        } else {
                                            echo $contrato[0]["Texto_Contrato9"];
                                        }
                                        ?>
                                    </span>
                                    2.OBJETO<br>
                                    <span class="inlineEdit" id="P<?php echo $contrato[0]["Id"] . "-Texto_Contrato1"; ?>" style="cursor: pointer;" alt="Clique para Editar !" title="Clique para Editar !">
                                        <?php
                                        if ($contrato[0]["Texto_Contrato1"] == "") {
                                            echo "Prestao de Servios de Manuteno Mecnica e Eletroeletrnica, Preventiva e Corretiva, no Grupo Diesel Gerador de 53KVA/ 40KW, compreendendo os servios adiante relacionados, no presente Contrato.";
                                        } else {
                                            echo $contrato[0]["Texto_Contrato1"];
                                        }
                                        ?>
                                    </span>


                                    <!--                                        <span class="inlineEdit" id="2" style="cursor: pointer;" alt="Clique para Editar !" title="Clique para Editar !"></span><br>

                                    <table width="100%" align="center" class="tabela">
                                        <tr>
                                            <td colspan="10"><i>Identificao do(s) equipamento(s)</i></td>
                                        </tr>
                                        <tr class="azul-claro">
                                            <td width="10%">Cdigo</td>
                                            <td width="22%">Produto</td>
                                            <td width="5%">Qtd</td>
                                            <td width="8%">Srie</td>
                                            <td width="8%">Data</td>
                                        </tr>
                                        <?php
                                        $contrato_pro = listar("Select DISTINCT contrato_produto.Id,
                                                                contrato_produto.Preco as 'Preco_Contrato',
                                                                contrato_produto.Qtd as 'Qtd_Contrato',
                                                                contrato_produto.Desconto as 'Desconto_Contrato',
                                                                contrato_produto.Desconto_Real,
                                                                contrato_produto.Numero_Serie,
                                                                contrato_produto.Data,
                                                                produto.Titulo as 'Produto',
                                                                produto.Descricao,
                                                                produto.Codigo
                                                                from contrato_produto
                                                                left join (SELECT Id,Titulo,Descricao,Codigo FROM produto) as  produto ON produto.Id = contrato_produto.Id_Produto
                                                                where contrato_produto.Id_Contrato = '" . $_GET["id_contrato"] . "'
                                                                AND Tipo = 'Emprestado' ");

                                        $x = 1;
                                        foreach ($contrato_pro as $chave) {
                                        ?>

                                            <tr>
                                                <td><?php echo $chave["Codigo"]; ?></td>
                                                <td><?php echo $chave["Produto"]; ?></td>
                                                <td><?php echo $chave["Qtd_Contrato"]; ?></td>
                                                <td><?php echo $chave["Numero_Serie"]; ?></td>
                                                <td><?php echo data_exibir($chave["Data"]); ?></td>
                                            </tr>
                                            <?php
                                            $Qtd_Contrato += $chave["Qtd_Contrato"];
                                            $Preco_Contrato += $chave["Preco_Contrato"];
                                            $Desconto_Contrato += $chave["Desconto_Contrato"];
                                            $Desconto_Real += $chave["Desconto_Real"];
                                            $Total += (($chave["Preco_Contrato"] * $chave["Qtd_Contrato"]) -
                                                (($chave["Preco_Contrato"] * $chave["Qtd_Contrato"]) * ($chave["Desconto_Contrato"] / 100))) - $chave['Desconto_Real'];
                                            $x++;
                                        }
                                            ?>

                                    </table>
                                    <br><br>-->
                                    2.1.
                                    <!--                                        <span class="inlineEdit" id="P<?php echo $contrato[0]["Id"] . "-Texto_Contrato1"; ?>" style="cursor: pointer;" alt="Clique para Editar !" title="Clique para Editar !">
                                    <?php
                                    if ($contrato[0]["Texto_Contrato1"] == "") {
                                        echo "Fornecimento de material e mo de obra para Instalao de 01 (um) Grupo Diesel Gerador de 170KVA/136KW com 49 transferncias trifsicas, Marca Cummins, Motor Cummins, Regime de operao Stand by, Modo de acionamento automtico, tenso de trabalho 380/220V, Rotao 1800RPM, Frequncia 60Hz, Seguindo as Normas relacionadas abaixo.";
                                    } else {
                                        echo $contrato[0]["Texto_Contrato1"];
                                    }
                                    ?>
                                        </span>-->

                                    <!--<br><br>-->

                                    <span class="inlineEdit" id="P<?php echo $contrato[0]["Id"] . "-Texto_Contrato2"; ?>" style="cursor: pointer;" alt="Clique para Editar !" title="Clique para Editar !">
                                        <?php
                                        if ($contrato[0]["Texto_Contrato2"] == "") {
                                            echo "Os servios propostos compreendem Visitas Tcnicas, sendo 01 (uma) visita mensal para manuteno preventiva, programada para dia til, de segunda a sexta-feira, entre 08h00 e 18h00; e visitas emergenciais, ilimitadas,
                                                              para manutenes corretivas, com atendimento 24 horas, todas a serem realizadas no local de instalao do equipamento:";
                                        } else {
                                            echo $contrato[0]["Texto_Contrato2"];
                                        }
                                        ?>
                                    </span>
                                    <?php echo $contrato[0]["Cidade"]; ?> - <?php echo $contrato[0]["Estado"]; ?> , CEP: <?php echo $contrato[0]["Cep"]; ?>;

                                    <br><br>
                                    <span class="inlineEdit" id="P<?php echo $contrato[0]["Id"] . "-Texto_Contrato1"; ?>" style="cursor: pointer;" alt="Clique para Editar !" title="Clique para Editar !">
                                        2.1.1. Nestas visitas, o tcnico da <b><b><b>CONTRATADA</b></b></b> proceder uma reviso e eventual regulagem do equipamento e de seus acessrios; verificao do nvel e do consumo de leo diesel; eventual troca ou troca programada de filtros e acessrios;
                                        reparos e ajustes que possam ser realizados no local, assegurando sempre a continuidade do seu funcionamento regular, conforme previsto;
                                    </span>
                                    <br><br>
                                    2.2. Regime de Operao do Equipamento: o valor deste contrato est dimensionado de acordo com o modo e regime de operao definidos no caput; caso haja alterao no modo ou regime de operao, a <b><b><b>CONTRATANTE</b></b></b> dever informar imediatamente 
                                    <b><b><b>CONTRATADA</b></b></b>, devendo o valor do contrato ser renegociado entre as partes.
                                    <br><br>
                                    2.2.1. Na hiptese de tal comunicao no ocorrer, tempestivamente, em ato contnuo a mudana do modo ou regime de operao, a <b><b><b>CONTRATADA</b></b></b> far cobrana da diferena de valores ad-vinda de tal alterao de modo retroativo (se caso for).
                                    <br><br>
                                    3.CONDIES COMERCIAIS
                                    <br><br>
                                    3.1. Para a execuo dos servios propostos a <b><b>CONTRATANTE</b></b> pagar  <b><b>CONTRATADA</b></b> o valor mensal de R$
                                    <span class="inlineEdit" id="P<?php echo $contrato[0]["Id"] . "-Texto_Contrato7"; ?>" style="cursor: pointer;" alt="Clique para Editar !" title="Clique para Editar !">
                                        <?php
                                        if ($contrato[0]["Texto_Contrato7"] == "") {
                                            echo "180,00 (Cento e oitenta reais)";
                                        } else {
                                            echo $contrato[0]["Texto_Contrato7"];
                                        }
                                        ?>
                                    </span>

                            </span>, j incluso os deslocamentos;
                            <br><br>
                            <span class="inlineEdit" id="P<?php echo $contrato[0]["Id"] . "-Texto_Contrato6"; ?>" style="cursor: pointer;" alt="Clique para Editar !" title="Clique para Editar !">
                                <?php
                                if ($contrato[0]["Texto_Contrato6"] == "") {
                                    echo "3.2. O valor mensal proposto dever ser quitado atravs de boleto bancrio emitido pela CONTRATADA, com vencimento no dia 20 de cada ms, vencendo o primeiro em 20 maro 2021;";
                                } else {
                                    echo $contrato[0]["Texto_Contrato6"];
                                }
                                ?>
                            </span>
                            <br><br>
                            3.3. Estes valores sero corrigidos, a 12 (doze) meses, pelo IGP-M do perodo.
                            <br><br>
                            3.3.1 Ao final de cada perodo de 12 (doze) meses, independentemente dos critrios de correo elegidos no caput, fica resguardado o direito da <b>CONTRATADA</b> de abrir negociao com a <b><b>CONTRATANTE</b></b> para um ajuste diferente, a fim de manter o equilbrio econmico-financeiro inicial do contrato, na hiptese de sobrevirem fatos previsveis ou imprevisveis, com consequncias incalculveis, ou, ainda, em caso de fora maior ou caso fortuito. Na hiptese de no chegarem a um termo comum, as partes podem, individualmente ou em conjunto, rescindir o presente contrato, com aviso prvio de 30 (trinta) dias de antecedncia, sem direito a indenizao ou multa de qualquer natureza;
                            <br><br>
                            3.4. No valor acima mencionado no esto previstas peas de reposio ou de consumo, como, por exemplo, leo diesel, leo lubrificante e aditivos. Caso seja verificada a necessidade de subs-tituio de componentes e/ou fornecimento de lubrificantes ou aditivos, ser emitido oramento para prvia aprovao da <b><b>CONTRATANTE</b></b>;
                            <br><br>
                            3.5 No caso de serem necessrios servios de reparo nas oficinas da <b><b>CONTRATADA</b></b>, seja em cartes eletrnicos ou itens mecnicos, a <b><b>CONTRATANTE</b></b> ser informada para prvia autori-zao de eventual valor adicional relativo a estes consertos.
                            <br><br>
                            3.5.1. A <b><b>CONTRATADA</b></b> somente indicar estes servios em suas oficinas quando tal determinao se fizer imperiosa, tcnica e estritamente necessria para o bom funcionamento do Grupo Gerador e quando tais conserto(s) executado(s) em campo no der(em) uma perfeita garantia de boa operacionalidade (mediante solicitao por escrito).
                            <br><br>
                            3.5.2. Em caso de remessa de equipamentos ou remessa de componentes consertados em oficinas, o custo de frete, remoo e seguro ser por conta da <b><b>CONTRATANTE</b></b>, sem prejuzo e in-dependentemente do pagamento da taxa mensal referida no item 3.1;
                            <br><br>
                            3.6. Caso a <b><b>CONTRATANTE</b></b> deixe de pagar as faturas emitidas pela <b><b>CONTRATADA</b></b> por um perodo superior a 30 (trinta) dias, a <b><b>CONTRATADA</b></b> deixar de realizar as visitas de manuteno preventiva. Neste perodo, se houver qualquer solicitao para atendimento emergencial, fica a <b><b>CONTRATANTE</b></b> obrigada a arcar com todas as despesas de deslocamento e de mo-de-obra decorrentes desta solicitao.
                            <br><br>
                            3.7. O no pagamento pela <b><b>CONTRATANTE</b></b> de fatura(s) vencida(s) por mais de 60 (sessenta) dias, contados do primeiro vencimento, enseja a resciso contratual, sem aviso prvio.
                            <br><br>
                            3.8. As Notas Fiscais devem ser encaminhadas
                            <span class="inlineEdit" id="P<?php echo $contrato[0]["Id"] . "-Texto_Contrato3"; ?>" style="cursor: pointer;" alt="Clique para Editar !" title="Clique para Editar !">
                                <?php
                                if ($contrato[0]["Texto_Contrato3"] == "") {
                                    echo " ABILITY Servios ou a outra administradora indicada pelo(a) Sndico(a) do Condomnio do Edifcio Porto Imperial.";
                                } else {
                                    echo $contrato[0]["Texto_Contrato3"];
                                }
                                ?>
                            </span>

                            <br><br>
                            3.9. Para evitar chamado emergencial sem ocorrncia de falha real do equipamento, toda visita dessa natureza ser sempre antecedida de uma avaliao preliminar do incidente em questo; para isso, a <b><b>CONTRATANTE</b></b> dever informar os detalhes da falha  <b>CONTRATADA</b>, com eventual envio de fotos ou udios, bem como proceder eventuais providncias sob orientao desta; ou seja, s haver o deslocamento de tcnico da
                            <b><b>CONTRATADA</b></b> aps um diagnstico preliminar, conforme descrito, acima.
                            <br><br>
                            3.10. Os servios elencados abaixo, citados como exemplos, no fazem parte do objeto deste contrato e, se forem realizados, sero cobrados em fatura separada, conforme oramento PRVIO que dever ser tempestivamente apresentado pela <b><b>CONTRATADA</b></b> para aprovao da <b><b>CONTRATANTE</b></b>;
                            <br><br>
                            &nbsp;&nbsp;&nbsp;&nbsp;
                            &nbsp;&nbsp;&nbsp;&nbsp;<b>1)</b> Reforma do motor diesel;<br>
                            &nbsp;&nbsp;&nbsp;&nbsp;
                            &nbsp;&nbsp;&nbsp;&nbsp;<b>2)</b> Limpeza do radiador / intercambiador (se realizada em oficina);<br>
                            &nbsp;&nbsp;&nbsp;&nbsp;
                            &nbsp;&nbsp;&nbsp;&nbsp;<b>3)</b> Reviso da bomba injetora e dos bicos injetores;<br>
                            &nbsp;&nbsp;&nbsp;&nbsp;
                            &nbsp;&nbsp;&nbsp;&nbsp;<b>4)</b> Recondicionamento de turbinas;<br>
                            &nbsp;&nbsp;&nbsp;&nbsp;
                            &nbsp;&nbsp;&nbsp;&nbsp;<b>5)</b> Rebobinamento do gerador;<br>
                            &nbsp;&nbsp;&nbsp;&nbsp;
                            &nbsp;&nbsp;&nbsp;&nbsp;<b>6)</b> Conserto de mdulos eletrnicos, em laboratrio;<br>
                            &nbsp;&nbsp;&nbsp;&nbsp;
                            &nbsp;&nbsp;&nbsp;&nbsp;<b>7)</b> Conserto de disjuntores;<br>
                            &nbsp;&nbsp;&nbsp;&nbsp;
                            &nbsp;&nbsp;&nbsp;&nbsp;<b>8)</b> Pintura do grupo gerador e do quadro de comando;<br>
                            &nbsp;&nbsp;&nbsp;&nbsp;
                            &nbsp;&nbsp;&nbsp;&nbsp;<b>9)</b> Atualizaes de projeto, em geral; alterao da lgica de funcionamento;<br>
                            &nbsp;&nbsp;&nbsp;&nbsp;
                            &nbsp;&nbsp;&nbsp;&nbsp;<b>10)</b> Avarias em consequncia de m operao ou devido a surtos atmosfricos.
                            <br><br>
                            3.11. Nas visitas tcnicas, sempre que o equipamento no estiver no endereo previsto acima, a <b>CONTRATANTE</b> arcar com os custos de mo-de-obra e com as despesas de deslocamento/ km rodados, incorridos pela <b><b>CONTRATADA</b></b>;<br>
                            <br><br>
                            4.OBRIGAES DA CONTRATADA
                            <br><br>
                            <span class="inlineEdit" id="P<?php echo $contrato[0]["Id"] . "-Texto_Contrato4"; ?>" style="cursor: pointer;" alt="Clique para Editar !" title="Clique para Editar !">
                                <?php
                                if ($contrato[0]["Texto_Contrato4"] == "") {
                                    echo "4.1. Executar, mensalmente, servios de Manuteno Preventiva, com a realizao de 01 (uma) visita tcnica, em data programada junto com a <b>CONTRATANTE</b>, por profissional especialista, obedecendo instrues do fabricante para o grupo gerador objeto do presente contrato e demais condies previstas neste instrumento;";
                                } else {
                                    echo '4.1.' . $contrato[0]["Texto_Contrato4"];
                                }
                                ?>
                            </span>

                            <br><br>
                            4.2. Observar e fazer com que seus funcionrios e contratados respeitem as normas vigentes nas dependncias da <b>CONTRATANTE</b> e aquelas relativas  segurana, higiene e medicina do tra-balho (visando a segurana e proteo de seus funcionrios), durante as visitas tcnicas;
                            <br><br>
                            4.3. Manter o equipamento em perfeito estado de funcionamento, durante a vigncia e conforme as clusulas deste contrato;
                            <br><br>
                            4.4. Informar  <b>CONTRATANTE</b> todas as questes relevantes sobre o estado e funcionamento do equipamento e seus acessrios, bem como sobre servios executados e peas substitudas, apresentando <i>Relatrio de Assistncia Tcnica</i> aps cada visita tcnica que realizar;
                            <br><br>
                            5.OBRIGAES DA CONTRATANTE
                            <br><br>
                            5.1. Efetuar mensalmente o pagamento da Taxa de Manuteno Preventiva, especificada no item 3.1 do presente contrato;
                            <br><br>
                            5.2. Permitir o acesso do tcnico da <b>CONTRATADA</b> ao equipamento, dando o apoio que se faa necessrio para a plena realizao dos servios;
                            <br><br>
                            5.3. Disponibilizar um funcionrio para acompanhar a execuo dos servios;
                            <br><br>
                            5.4. No permitir que pessoas no especializadas manuseiem, operem ou executem reparos ou consertos no conjunto grupo gerador a fim de evitar possveis avarias no equipamento;
                            <br><br>
                            5.5. Proibir o depsito de materiais estranhos  operao do grupo gerador, na sala onde esto instalados os referidos equipamentos;
                            <br><br>
                            5.6. No efetuar, por conta prpria, a troca de qualquer pea ou componente do grupo gerador;
                            <br><br>
                            5.7. Comunicar a <b>CONTRATADA</b> toda e qualquer irregularidade na operao e/ou funciona-mento do equipamento, acionando imediatamente a Assistncia Tcnica da <b>CONTRATADA</b> atravs dos telefones adiante informados.
                            <br><br>
                            5.8. Prover peas, leos e componentes mecnicos ou eletroeletrnicos originais ou recomendados pelo fabricante, sempre que sejam necessrios para execuo do servio de manuteno, as solicitaes devero ocorrer previamente por escrito;
                            <br><br>
                            5.9. Atestar a efetiva realizao dos servios, assinando o Relatrio de Manuteno Preventiva, a ser sempre apresentado pelo tcnico da <b>CONTRATADA</b>, uma vez concludos a contento os servios previstos;
                            <br><br>
                            5.10. Por ocasio da primeira visita de manuteno preventiva, a <b>CONTRATADA</b> realizar um levantamento das condies de operao do(s) equipamento(s). Caso este(s) no esteja(m) em apropriadas condies de operacionalidade, a <b>CONTRATADA</b> ir apresentar oramento para sua regularizao, sendo tais custos totalmente desvinculados dos servios ora contratados, cuja responsabilidade de pagamento  da <b>CONTRATANTE</b>.
                            <br><br>
                            5.10.1. Caso esta no aprove ou considere desnecessria a efetivao dos aduzidos servios, a <b>CONTRATADA</b> poder optar pela resciso do presente contrato da forma prescrita na clusula 9.1 infra, em razo de o(s) equipamento(s) no esta(rem) em condies normais de operao, como foram consideradas quando da apresentao desta proposta de servios.
                            <br><br>
                            5.10.2. Em caso de no aceitao do oramento de servios e peas apresentado pela CONTRATADA, dever a <b>CONTRATANTE</b> manifestar-se por escrito, ficando a <b>CONTRATADA</b> isenta de qualquer responsabilidade referente a falhas decorrentes da qualidade ou inadequao de peas e servios de terceiros, ou pela no execuo dos servios recomendados;
                            <br><br>
                            5.11. Permitir a realizao de testes com carga e a simulao de falta de energia na rede nas manutenes preventivas mensais;
                            <br><br>
                            5.12. Executar as rotinas de manuteno diria dos equipamentos, conforme prescrito nos manuais de operao e manuteno dos fabricantes, independente da visita peridica de manuteno realizada pela <b>CONTRATADA</b>; incluindo a inspeo diria do leo lubrificante do motor, do nvel da gua do radiador, da fixao da tampa do radiador, das conexes da mangueira de pr-aquecimento e da mangueira inferior (entre o radiador e a bomba d'gua), bem como da fixao do filtro anticorrosivo (filtro d'gua); todos estes pontos so vulnerveis a avarias leves e graves, como a perda do lquido de arrefecimento do motor, e podem ocorrer a qualquer tempo, independente da realizao tempestiva dos servios previstos no item 2, pela <b>CONTRATADA</b>.
                            <br><br>
                            6.VIGNCIA
                            <br><br>
                            O presente contrato tem prazo indeterminado, podendo ser rescindido por qualquer das partes mediante notificao prvia com 30 (trinta) dias de antecedncia, fora o ms.
                            <br><br>
                            7.VINCULAO E SOLIDARIEDADE
                            <br><br>
                            7.1. A CONTRATADA realizar a prestao de servios utilizando-se de funcionrios prprios, no havendo qualquer vnculo empregatcio entre estes e a CONTRATANTE. Sero, portanto, de responsabilidade exclusiva da CONTRATADA todos os encargos trabalhistas e previdencirios, e eventuais benefcios, decorrentes dos servios contratados;
                            <br><br>
                            7.2. No h solidariedade entre a CONTRATANTE e a CONTRATADA no caso de ser esta acionada em qualquer juzo ou instncia, respondendo a CONTRATADA isoladamente por quaisquer demandas, relacionados aos seus servios, que lhe movam empregados, terceiros ou rgos pblicos fiscalizadores das condies laborais dos empregados;
                            <br><br>
                            8.CONDIES GERAIS
                            <br><br>
                            8.1. A CONTRATANTE se compromete a envidar todos os esforos no sentido de prover todas as condies necessrias, estipuladas neste contrato, para que os servios de manuteno sejam realizados numa nica etapa, dentro de bateria de servios e testes de performance, de forma sequencial e sem interrupes que possam acarretar nus adicional para a CONTRATADA.
                            <br><br>
                            8.2. Fica explicitado que, em hiptese alguma, a CONTRATADA ser responsabilizada por qualquer tipo de cobrana oriunda de multa, advinda da necessidade de parada do equipamento para reparos tcnicos ou mesmo oriunda de pane sbita dos objetos alvos deste contrato,exceto quando configurado culpa exclusiva da CONTRATADA.
                            <br><br>
                            8.3. Para fins de contrato, entende-se como manuteno preventiva a atividade realizada de maneira a reduzir ou evitar que as falhas possam surgir nas mquinas e equipamentos, obedecendo um planejamento previamente definido e executado; e manuteno corretiva, como toda a atividade realizada com o intuito de consertar e reparar defeito ou problema no equipamento.
                            <br><br>
                            8.4. Este instrumento prevalece sobre todo e qualquer acordo, verbal ou escrito, que tenha sido celebrado entre as partes em data anterior a assinatura do presente contrato.
                            <br><br>
                            9.RESCISO
                            <br><br>
                            9.1 O presente contrato poder ser rescindido por qualquer das partes, a qualquer tempo, independentemente de indenizao, mediante o envio de notificao por escrito  outra parte, com antecedncia mnima de 30 (trinta) dias, para que se efetive a resciso contratual;
                            <br><br>
                            9.2. O descumprimento de qualquer das clusulas acertadas nesta contratao poder ensejar a resciso motivada pela parte prejudicada, desde que a infratora, notificada a sanar a irregularidade apontada, no o faa em tempo hbil.
                            <br><br>
                            10.FORO
                            <br><br>
                            <span class="inlineEdit" id="P<?php echo $contrato[0]["Id"] . "-Texto_Contrato4"; ?>" style="cursor: pointer;" alt="Clique para Editar !" title="Clique para Editar !">
                                <?php
                                if ($contrato[0]["Texto_Contrato4"] == "") {
                                    echo "As partes elegem o Foro da Comarca de Paulista - PE, para dirimir quaisquer dvidas e/ou con-flitos que por ventura advenham do presente instrumento particular, excluindo qualquer outro por mais privilegiado que possa ser.</span>
                                                      E, por estarem assim justos e acertados, firmam o presente instrumento em 02 (duas) vias de igual teor, com as testemunhas abaixo;";
                                } else {
                                    echo $contrato[0]["Texto_Contrato4"];
                                }
                                ?>
                            </span>

                            <br><br>

                            <span class="inlineEdit" id="P<?php echo $contrato[0]["Id"] . "-Texto_Contrato5"; ?>" style="cursor: pointer;" alt="Clique para Editar !" title="Clique para Editar !">
                                <?php
                                if ($contrato[0]["Texto_Contrato5"] == "") {
                                    echo "Paulista, 01 de Janeiro de 2021.";
                                } else {
                                    echo $contrato[0]["Texto_Contrato5"];
                                }
                                ?>
                            </span>

                            <br><br>
                            </p>

                            <table align="center">
                                <tr>
                                    <td align="center">
                                        <font size="2"><br /><br />
                                            _______________________________________________________
                                            <br /><?php echo $contrato[0]["Razao_Social"]; ?><br>
                                            <?php
                                            if ($contrato[0]["Natureza"] == "PF") {
                                                echo cpf_exibir($contrato[0]['Cpf_Cnpj']);
                                            } else {
                                                echo cnpj_exibir($contrato[0]['Cpf_Cnpj']);
                                            }
                                            ?>
                                            <br>
                                            Contratante
                                        </font>
                                    </td>
                                    <td>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</td>
                                    <td align="center">
                                        <font size="2"><br /><br />
                                            _______________________________________________________
                                            <br /><?php echo $empresa[0]["Titulo"]; ?><br>
                                            <?php
                                            echo cnpj_exibir($empresa[0]['Cnpj']);
                                            ?>
                                            <br>
                                            Contratada
                                        </font>

                                    </td>
                                </tr>
                            </table>
                            <table align="center">
                                <tr>
                                    <td align="center">
                                        <font size="2"><br /><br />
                                            _______________________________________________________
                                            <br />Testemunha 1<br>
                                            <br>

                                        </font>
                                    </td>
                                    <td>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</td>
                                    <td align="center">
                                        <font size="2"><br /><br />
                                            _______________________________________________________
                                            <br />Testemunha 2<br>
                                            <br>

                                        </font>
                                    </td>
                                </tr>
                            </table>
                </table>
            </td>
        </tr>
    </table>
</body>

</html>