<?php
include_once '../../include/conecta.php'; //Conecta com a nosso banco de dados MySQL
ini_set('session.gc_maxlifetime', 60 * 120);
session_start();
/* include_once '../include/ver_sessao.php'; //Verifica se a sesso est ativa */
include_once '../../include/funcoesPhp.php';
include_once '../../menu_movimento.php';


$contrato = listar("Select contrato.Id,
                            contrato.Lancamento,
                            contrato.Status,
                            contrato.Data_Contrato,
                            contrato.Obs as 'Obs_Contrato',
                            contrato.Valor_Original,
                            contrato.Valor_Pago,
                            contrato.Id_Unidade,
                            contrato.Desconto,
                            contrato.Data_Inicio_Contrato,
                            contrato.Data_Fim_Contrato,
                            cliente.Titulo,
                            cliente.Razao_Social,
                            cliente.Email,
                            cliente.Natureza,
                            cliente.Cpf_Cnpj,
                            cliente.Rua,
                            cliente.Numero,
                            cliente.Cep,
                            cliente.Bairro,
                            cliente.Estado,
                            cliente.Fone1,
                            cliente.Contato,
                            cliente.Obs as 'Obs_Cliente',
                            cidade_ibge.Titulo as Cidade,
                            funcionario.Titulo as 'Funcionario',
                            usuario.Login
                            from contrato
                            left join (SELECT Id,Titulo,Razao_Social,Email,Natureza,Cpf_Cnpj,Estadual,Rua,Numero,Cep,Contato,Bairro,Estado,Fone1,Obs,Id_Cidade FROM cliente) as cliente ON cliente.Id = contrato.Id_Cliente
                            left join (SELECT Id,Titulo FROM cidade_ibge) as cidade_ibge ON cidade_ibge.Id = cliente.Id_Cidade
                            left join (SELECT Id,Titulo FROM funcionario) as funcionario ON funcionario.Id = contrato.Id_Funcionario
                            left join (SELECT Id,Login FROM usuario) as usuario ON usuario.Id = contrato.Id_Usuario
                            where contrato.Id = '" . $_GET["id_contrato"] . "'
                            order by contrato.Lancamento DESC");
?>
<html>
    <head>
        <title>Gw - Gesto Web</title>
        <link rel="stylesheet" type="text/css" href="../../estilo/tabela_imp.css" />
        <script type="text/javascript" language="javascript" src="../../js/jquery.js"></script>
        <?php include '../../include/script_cabeca.php'; ?>
        <script type="text/javascript" language="javascript" src="../../js/script.js"></script>
        <script type="text/javascript" language="javascript" src="../../js/editing/editing2.js"></script>
        <script type="text/javascript" language="javascript">
            //window.onload = function(){
            //window.print();
            //}
        </script>
        <style type="text/css" media="print">

            thead	{display: table-header-group;	}
            tfoot	{display: table-footer-group;	}
            thead th, thead td	{position: static; }

            thead tr	{position: static; } /*prevent problem if print after scrolling table*/
            table tfoot tr {     position: static;    }


        </style>
    </head>
    <body>
        <table width="98%" align="center"><!-- TABELA Q ENVOLVE TODO O CONTEUDO -->
            <thead>
                <tr>
                    <td>
                        <table width="90%" align="center">
                            <?php
                            //variavel $_GET["Unidade"], vem de todos os filtros de relatorios.
                            if (!$_GET["Unidade"]) {
                                $_GET["Unidade"] = $_SESSION["Unidade"];
                            }


                            $empresa = listar("Select Logo,Titulo,Cnpj,Rua,Numero,Complemento,Razao_Social,
                                Bairro,Cidade,Estado,Cep,Fone1,Fone2,Email,Site
                                from unidade where Id = '" . $_GET["Unidade"] . "' ");
                            ?>
                            <tr>
                                <td width="40%">
<?php
if (file_exists("../unidade/foto/" . $empresa[0]["Logo"] . "")) {
    $cam_arq = "../unidade/foto/" . $empresa[0]["Logo"];
} else {
    $cam_arq = "../../unidade/foto/" . $empresa[0]["Logo"];
}
?>
                                    <img src="<?php echo $cam_arq; ?>" title="Logo" alt="Logo" border="0" width="140px" height="auto"/>
                                </td>
                                <td width="60%" class="razao">
                                    <b><font face="verdana" size="3">
                                        Proposta de Prestao de Servio
                                        </font></b><br>
                                </td>
                            </tr>
                        </table>
                    </td>
                </tr>
            </thead>
            
            <tr>
                <td>&nbsp;</td>
            </tr>
            
            <tr>
	<td>
		<table width="100%" align="center" class="tabela">
                        <?php if($contrato[0]["Natureza"] == "PF"){
                             $Pessoa = ($contrato[0]["Titulo"]);
                             }else{
                             $Pessoa = ($contrato[0]["Razao_Social"]);
                         }?>
			<tr>
				<td width="70%">Cliente: <?php echo $Pessoa;?></td>
				<td width="30%">N Cotao: <?php echo $contrato[0]["Lancamento"];?></td>
			</tr>
			<tr>
				<td width="70%">End: <?php echo $contrato[0]["Rua"].', '.$contrato[0]["Bairro"].', '.$contrato[0]["Cidade"].' - '.$contrato[0]["Estado"];?></td>
                                <td width="30%">CEP: <?php echo cep_exibir($contrato[0]["Cep"]);?></td>
			</tr>
			<tr>
				<?php if($contrato[0]["Natureza"] == "PF"){?>
                                <td width="70%">CPF: <?php echo cpf_exibir($contrato[0]["Cpf_Cnpj"]);?></td>
				<?php }else{?>
                                <td width="70%">CNPJ: <?php echo cnpj_exibir($contrato[0]["Cpf_Cnpj"]);?></td>
				<?php }?>
				 <td width="30%">Email: <?php echo ($contrato[0]["Email"]);?></td>
			</tr>
                        <tr>
				<td width="70%">Fone: <?php echo $contrato[0]["Fone1"];?></td>
				<td width="30%">Contato: <?php echo $contrato[0]["Contato"];?></td>
			</tr>
                        
		</table>
	</td>
</tr>
            
            <td align="center" width="60%" class="razao">
                <b><font face="verdana" size="3">
                    <br><br>
                    Proposta Tcnico Comercial
                    </font>
                </b><br>
            </td>
            
            <tr>
                <td>
                    <table width="100%">
                        <tr>
                            <td align="justify">
                                <span style="font-size: 14px">
                                    <br><br>
                                    <p>
                                        <b>Prezados (as) Senhores (as):</b><br><br>

                                        A <b>BR Grupos Geradores</b> vem atravs deste apresentar proposta de prestao de servio de manuteno preventiva e corretiva, sendo todos os servios propostos executados por profissionais altamente qualificados, buscando atender sua necessidade, tanto nas Manutenes Preventivas Peridicas como nas Manutenes Corretivas, quando necessrio.<br><br>

                                        1. OBJETO<br><br>
                                        
                                        <span class="inlineEdit" id="1" style="cursor: pointer;" alt="Clique para Editar !" title="Clique para Editar !">
                                        Fornecimento de material e mo de obra para Instalao de 01 (um) Grupo Diesel Gerador de 170KVA/136KW com 49 transferncias trifsicas, Marca Cummins, Motor Cummins, Regime de operao Stand by, Modo de acionamento automtico, tenso de trabalho 380/220V, Rotao 1800RPM, Frequncia 60Hz, Seguindo as Normas relacionadas abaixo.
                                        </span><br><br>
                                        
                                        2. NORMAS CONSULTADAS<br><br>
                                        
                                        -	NR10 ? Instalaes e servios em eletricidade / Norma regulamentadora do Ministrio do Trabalho e Emprego.<br>
                                        -	NR23 ? Proteo contra incndio / Norma regulamentadora do Ministrio do Trabalho e Emprego.<br>
                                        -	ABNT NBR 5410 ? Instalaes eltricas de baixa tenso.<br>
                                        -	ABNT NBR 7505-1 ? Armazenagem de lquidos inflamveis e combustveis, Parte 1: Armazenagem em tanques estacionrios.<br>
                                        -	ABNT NBR 15751 ? Sistemas de aterramento de subestaes ? Requisitos.<br>
                                        -	ABNT NBR 12693 ? Sistema de proteo por extintores de incndio.<br>
                                        -	ABNT NBR 14664 ? Grupos Geradores ? Requisitos gerais para telecomunicaes.<br>
                                        -	ABNT NBR 14653-1 ? Avaliao de bens ?Procedimentos gerais.<br>
                                        -	ABNT NBR ISSO 8528-5:2014 ? Grupos geradores de corrente alternada acionados por motores alternativos de combusto interna, Parte 5: Grupos Geradores.<br>
                                        -	DIN 6271 A e B ? Princpios de funcionamento, instalao, operaes manuteno de grupos geradores.<br>

                                        <br><br>
                                        <span class="inlineEdit" id="2" style="cursor: pointer;" alt="Clique para Editar !" title="Clique para Editar !">
                                            <center>
                                                <b><font width="60%" class="razao" align="center" face="verdana" size="3">
                                                    RELAO DOS MATERIAIS REFERENTE A INSTALAO ELTRICA
                                                    </font>
                                                </b>
                                            </center><br><br>
                                        
                                        -	550M - Cabo flex 120mm 0,6/1KV isolao HEPR<br>
                                        -	70 - Terminais de compresso tipo olhal 120mm<br>
                                        -	500M - Cabo flex 35mm 0,6/1KV isolao HEPR<br>
                                        -	70 - Terminais de compresso tipo olhal 35mm<br>
                                        -	05 - Fitas de alta fuso<br>
                                        -	08 - Fitas de baixa fuso<br>
                                        -	12 - Fitas de marcao<br>
                                        -	08 - Quadro de passagem em PVC<br>
                                        -	10 - Eletroduto PVC rgido 3''<br>
                                        -	06 - Curva em PVC rgido 3" x 90<br>
                                        -	30 ? Luva Roscada em PVC rgido 3?<br>
                                        -	30 - Abraadeira metlica de 3 com cunha<br>
                                        -	30 - Tirante 5/16? com porca e arruela<br>
                                        -	03 - Tubo metlico 3" para solda<br>
                                        -	10 - Suporte para escapamento<br>
                                        -	01 - Tina de alta temperatura 600C<br>
                                        -	01 - Jogo de barramento em cobre 1 x 3/16?<br>
                                        -	70 - Isolador Epoxi 20 x 20 x ?<br>
                                        -	22 - Eletroduto PVC rgido 2?<br>
                                        -	32 - Box reto de 2" <br>
                                        -	64 - Abraadeira metlica 2" com cunha<br>
                                        -	01 - Tampa rpida para escapamento<br>
                                        -	100 - Bucha de nylon n 08 com parafuso Philips<br>
                                        -	1000 - Abraadeiras de nylon<br><br>

                                        <center>
                                            <b><font width="60%" class="razao" align="center" face="verdana" size="3">
                                                DESCRIO DOS SERVIOS
                                                </font>
                                            </b>
                                        </center><br><br>
                                            -	Substituio do regulador eletrnico de tenso
                                            
                                        <center>
                                            <b><font width="60%" class="razao" align="center" face="verdana" size="3">
                                                DESCRIO DOS VALORES
                                                </font>
                                            </b>
                                        </center><br><br>    
                                        - Valor referente ao fornecimento de material para Instalao do Grupo Diesel Gerador.
                                        R$ 82.038,13 (Oitenta e dois mil e trinta e oito reais e treze centavos)<br>

                                        - Valor referente ao fornecimento de mo de obra para Instalao do Grupo Diesel Gerador e demais quadros .
                                            R$ 17.000,00 (Dezessete mil reais)<br>

                                        - Valor referente ao fornecimento de material e mo de obra para montagem de 08 (oito) quadros de comando.
                                           R$ 63.855,87 (Sessenta e trs mil oitocentos e cinquenta e cinco reais oitenta e sete centavos)<br>

                                        - Valor total dos servios citados acima: R$ 162.894,00 (Cento e sessenta e dois mil oitocentos e noventa e quatro reais)<br><br>
                                        </span>
                                    
                                        <center>
                                            <b><font width="60%" class="razao" align="center" face="verdana" size="3">
                                                Condies Gerais:
                                                </font>
                                            </b>
                                        </center><br><br> 
                                        
                                        Os preos constantes desta proposta esto baseados nos salrios, custos administrativos, taxas e impostos, bem como, custos de materiais e insumos vigentes e praticados na Data Base. 
                                        Caso haja mudanas no sistema econmico e/ou seja, concedidas antecipaes salariais e/ou dissdio coletivo (ms de Agosto ) pela Federao dos Empregados no Comrcio do Norte e do Nordeste ser adotado o mesmo ndice divulgado como fator de adequao para os valores informados.<br>
                                        Sempre que ocorrer desequilbrio econmico-financeiro, em face de aumentos de custos ocorridos aps a Data Base, as partes comprometem-se a buscar, de comum acordo, uma soluo que restabelea a equao econmico-financeira inicial da proposta, suspendendo-se durante o perodo dessa negociao a contagem dos prazos iniciais contratuais e a aplicao de quaisquer penalidades. <br>
                                        Data base: <span class="inlineEdit" id="4" style="cursor: pointer;" alt="Clique para Editar !" title="Clique para Editar !">Janeiro/2021.</span><br>
                                        Na ocorrncia de impedimento significativo ao desenvolvimento dos servios, por atrasos de outras Frentes envolvidas na empreitada e/ou indisponibilidade de materiais devido ao projeto, os perodos improdutivos sero cobrados ao valor homem-hora atualmente em vigor.
                                        <br><br>
                                        <span class="inlineEdit" id="5" style="cursor: pointer;" alt="Clique para Editar !" title="Clique para Editar !">
                                        
                                            Item 01: O contratante dever informar o melhor horrio para que haja um desligamento (falta de energia no perodo de 60 minutos) para execuo das interligao citadas acima na descrio de servios sejam efetuadas, lembrando que o horrio sugerido pelo cliente dever obedecer o horrio comercial, ou seja, das 08:00 s 18:00 de segunda a sexta feira, caso contrario ser cobrada uma taxa adicional a ser calculada.
                                            <br>
                                            Item 02:  Dever ser fornecido pelo contratante no mnimo 150 (cento e cinquenta) litros de leo diesel S-10 aditivado para o primeiro funcionamento do Grupo Diesel Gerador.
<br>
                                            Item 03: A contratada no ir se responsabilizar por desligamento ou r-ligao da subestao (se necessrio).
<br>
                                            Item 04: Caso haja necessidade de informaes adicionais, estas deveram ser solicitadas pela contratante a contratada em tempo hbil, afim de no interferir no andamento e/ou inicio das atividades.
<br>
                                            Item 05: Desde j informamos que a contratada no tem responsabilidade quanto a qualquer defeito de fabricao que impea o primeiro funcionamento da mquina. 
<br><br>
                                            -	Condies de pagamento; 1 Opo: 50% de sinal para incio das atividades atravs de boleto ou transferncia bancria e saldo na concluso.  2 Opo:  combinar.
<br>
                                            -	Prazo de concluso; 90 (dias) dias teis mximo, a partir da autorizao de servio, recebimento do sinal e entrega do material citado acima pelo fornecedor.
<br>
                                            -	Garantia dos Servios; 12 (meses) meses nas instalaes e manuteno executadas pela BR Grupos Geradores.
<br>
                                            -	Validade da proposta; 30 (trinta) dias.
<br><br>
                                        </span>
                                            <b><font width="60%" class="razao" align="center" face="verdana" size="3">
                                                CONDIES GERAIS DE FORNECIMENTO:
                                                </font>
                                            </b>
                                        <br><br> 
                                        
                                        1.	Garantias: Todos os equipamentos fabricados e montados pela Contratada, so garantidos contra defeitos de fabricao e montagem, devidamente comprovado, pelo prazo de 03 (trs) meses, contados a partir da data da entrega, conforme documento fiscal, independente da data de fornecimento e/ou instalao do equipamento.
                                        Os equipamentos e/ou peas que no forem de nossa fabricao respeitaro a garantia do fabricante original, que ser repassado integralmente ao Contratante.
                                         A garantia no contempla estragos provenientes da m utilizao do equipamento, de sobrecargas aos limites estabelecidos em nossa proposta ou pelo fabricante original, de manuteno inadequada, de manuseio por pessoas inexperiente ou alheias a nossa empresa e instalao em locais com atmosfera agressiva e corrosiva sem as devidas protees, bem como defeitos decorrentes de erro de especificao ou desenho fornecido pelo Contratante. 
                                        A garantia no se estende a quaisquer outros equipamentos, materiais ou componentes de propriedade do cliente ou de terceiros, como tambm, lucros cessantes. 
                                        O reparo e/ou substituio de peas ou equipamentos por parte da Contratada, durante o perodo da garantia, no prorrogar o prazo original de garantia. 
                                        As despesas decorrentes de viagem e estadia (para servio fora da rea metropolitana do Recife) e transporte, para servio executados em garantia, correro por conta do Contratante.
                                        <br><br>
                                        2.	Toda e qualquer reclamao s ser considerada desde que seja formalizada  Contratada, dentro do prazo mximo de 10 (dez) dias, contados a partir do recebimento da mercadoria ou servio pelo cliente. 
                                        O Contratante no poder reter pagamentos devidos com alegao de defeitos no equipamento.
                                        A Contratada reserva-se ao direito de retificar preos, condies de pagamento, descontos e outras condies anotadas no (s) pedido (s) que estejam em desacordo com as condies constantes do oramento e/ou aquelas negociadas e formalizada entre as partes. 
                                        A Contratada reserva-se ao direito de entregar, despachar e/ou embarcar parcialmente os materiais/equipamentos objeto do pedido, sem prvio aviso ao Contratante. 
                                        Os pedidos confirmados pela Contratada no podero ser cancelados pelo Contratante, sem que haja prvio consentimento da Contratada e desde que ajustados os acertos comerciais requeridos para tal. 
                                        Os preos dos equipamentos/materiais no incluem os servios de superviso de montagem, posta- em-marcha e instalao, caso no seja devidamente informado na proposta.
                                        <br><br>
                                        3.	Fora Maior: No nos caber responsabilidade por quaisquer prejuzos consequentes da demora em cumprir nossas obrigaes, resultante direta ou indiretamente de qualquer causa independente de nosso controle, tais como: Atos de governo, greves, etc. ou qualquer outra abrangida pelo Artigo 1058 do Cdigo Civil Brasileiro.

                                        <br><br> <br><br> 
                                        <center>
                                            <b><font width="60%" class="razao" align="center" face="verdana" size="3">
                                                Atenciosamente,
                                                </font>
                                            </b>
                                        </center><br><br> 
                                        <span class="inlineEdit" id="2" style="cursor: pointer;" alt="Clique para Editar !" title="Clique para Editar !">
                                            <center>
                                                <b><font width="60%" class="razao" align="center" face="verdana" size="3">
                                                    Priscila Ferreira Spinelli<br>
                                                    Administrativo Comercial<br>
                                                    Fone: (81) 3130-1180 / 9 8689-0199 / 9 8437-6536<br>

                                                    </font>
                                                </b>
                                            </center>
                                        </span>
                                    </table>
                    </table>
                </td>
            </tr>
        </table>
    </body>
</html>