<?php
include_once '../../include/conecta.php'; //Conecta com a nosso banco de dados MySQL
ini_set('session.gc_maxlifetime', 60 * 120);
session_start();
/*include_once '../include/ver_sessao.php'; //Verifica se a sesso est ativa*/
include_once '../../include/funcoesPhp.php';
include_once '../../menu_movimento.php';


$cliente = listar("SELECT cliente.Id as Cliente_Id,
                        cliente.Titulo,
                        cliente.Razao_Social,
                        cliente.Natureza,
                        cliente.Cpf_Cnpj,
                        cliente.Email,
                        cliente.Rua,
                        cliente.Numero,
                        cliente.Bairro,
                        cliente.Cidade,
                        cliente.Estado,
                        cliente.Cep,
                        cliente.Contato,
                        cliente.Cpf_Responsavel,
                        contrato.Id as Contrato_Id,
                        contrato.Lancamento,
                        contrato.Id_Usuario,
                        contrato.Id_Vendedor,
                        contrato.Parcela,
                        contrato.Desconto,
                        contrato.Valor_Pago,
                        contrato.Valor_Entrada,
                        contrato.Data_Contrato,
                        contrato.Data_Pagamento,
                        contrato.Modulo,
                        contrato.Numero_Contrato,
                        contrato.Proposta,
                        contrato.Qtd_Usuario,
                        contrato.Hora_Treinamento,
                        contrato.Desconto as Tempo_Contrato,
                        contrato.Banco,
                        contrato.Texto_Proposta1,
                        contrato.Texto_Proposta2,
                        contrato.Texto_Proposta3,
                        contrato.Texto_Proposta4,
                        contrato.Texto_Proposta5,
                        contrato.Texto_Proposta6,
                        contrato.Texto_Proposta7,
                        contrato.Texto_Proposta8,
                        contrato.Texto_Proposta9
                        from contrato
                        left join (SELECT Id,Titulo,Razao_Social,Natureza,Cpf_Cnpj, Email,Rua,Numero,Bairro,Cidade,Estado,Cep,
                        Contato,Cpf_Responsavel
                        FROM cliente) as cliente on cliente.Id = contrato.Id_Cliente
            WHERE contrato.Id = '" . $_GET["id_contrato"] . "' ");



?>
<html>

<head>
    <title>Gw - Gesto Web</title>
    <link rel="stylesheet" type="text/css" href="../../estilo/tabela_imp.css" />
    <script type="text/javascript" language="javascript" src="../../js/jquery.js"></script>
    <?php include '../../include/script_cabeca.php'; ?>
    <script type="text/javascript" language="javascript" src="../../js/script.js"></script>
    <script type="text/javascript" language="javascript">
        //window.onload = function(){
        //window.print();
        //}
    </script>
    <script type="text/javascript" language="javascript">
        $(document).ready(function () {
            function slideout() {
                setTimeout(function () {
                    $("#response").slideUp("slow", function () { });
                },
                    2000);
            }
            $(".inlineEdit").bind("click", updateText);
            var OrigText, NewText;
            $(".save").live("click", function () {
                $("#loading").fadeIn('slow');
                NewText = $(this).siblings("form").children(".edit").val();
                var id = $(this).parent().attr("id");
                //var data = '?id=' + id + '&text=' + NewText;
                var data = 'id=' + id + '&text=' + NewText;
                $.post("edit.php", data, function (response) {
                    $("#retorno").html(response);
                    $("#response").slideDown('slow');
                    slideout();
                    $("#loading").fadeOut('slow');
                });
                $(this).parent().html(NewText).removeClass("selected").bind("click", updateText);
                recarregar();
            });
            $(".revert").live("click", function () {
                $(this).parent().html(OrigText).removeClass("selected").bind("click", updateText);
            });

            function updateText() {
                $('li').removeClass("inlineEdit");
                OrigText = $(this).html();
                $(this).addClass("selected").html('<form><textarea class="edit" rows="3" cols="64">' + OrigText + '</textarea></form><a href="#" class="save"><img src="../../js/editing/images/save.png" border="0" width="48" height="15"/></a> <a href="#" class="revert"><img src="../../js/editing/images/cancel.png" border="0" width="58" height="15"/></a>').unbind('click', updateText);
            }

            function recarregar() {
                setTimeout(function () {
                    location.reload();
                }, 1000);
            }

        });
    </script>
    <style type="text/css" media="print">
        thead {
            display: table-header-group;
        }

        tfoot {
            display: table-footer-group;
        }

        thead th,
        thead td {
            position: static;
        }

        thead tr {
            position: static;
        }

        /*prevent problem if print after scrolling table*/
        table tfoot tr {
            position: static;
        }
    </style>
    <style>
        table.tabela {
            border-collapse: collapse;
            font-family: Verdana, Geneva, sans-serif;
            font-size: 11px;
            border: 1px #e8e8e8 solid;
            /*line-height:85%;*/
        }
    </style>
</head>

<body>
    <table width="98%" align="center"><!-- TABELA Q ENVOLVE TODO O CONTEUDO -->
        <tr>
            <td>
                <table width="100%">
                    <tr>
                        <td align="left" width="50%"><img src="logo.png"></td>
                        <td align="right" width="50%">
                            <br><br>
                            <font size="3">Paulista,
                                <?php /*echo date('d').' de '.$Mes_Maiusculo.' de '.date('Y');*/ echo data_extenso($cliente[0]['Data_Contrato']) ?><br>
                            </font>
                        </td>
                    </tr>
                    <table>
                        <br>
                        <tr>
                            <td align="justify">
                                <span style="font-size: 14px">
                                    <b>PROPOSTA N:</b> <?php echo ($cliente[0]['Numero_Contrato']) ?><br /><br />
                                    <br>
                                    <b>
                                        <center>
                                            <font size="4">
                                                PROPOSTA PARA PRESTAO DE SERVIO DE MANUTENO PREVENTIVA E CORRETIVA
                                                EM
                                                <span class="inlineEdit"
                                                    id="P<?php echo $cliente[0]["Contrato_Id"] . "-Texto_Proposta5"; ?>"
                                                    style="cursor: pointer;" alt="Clique para Editar !"
                                                    title="Clique para Editar !">
                                                    <?php
                                                    if ($cliente[0]["Texto_Proposta5"] == "") {
                                                        echo "GRUPO (S) GERADOR (ES)";
                                                    } else {
                                                        echo $cliente[0]["Texto_Proposta5"];
                                                    }
                                                    ?>
                                                </span>
                                                <br>
                                            </font>
                                        </center>
                                    </b><br /><br />
                                    <b></b><br />
                                    <b><?php echo $cliente[0]["Razao_Social"] ?></b><br>
                                    <br>
                                    A/C:<b> <?php echo $cliente[0]["Contato"] ?> </b><br>
                                    E-mail:<b> <?php echo $cliente[0]["Email"] ?> </b>
                                    <br />
                                    <br>
                                    A <b>TS Grupos Geradores</b> apresenta proposta de prestao de servio de
                                    manuteno preventiva e corretiva, sendo todos os servios propostos executados por
                                    profissionais altamente qualificados. Buscamos lhe atender focando sua necessidade,
                                    tanto nas Manutenes Preventivas Peridicas como nas Manutenes Corretivas, quando
                                    necessrio.
                                    <br>
                                    <br>
                                    <br>
                                    <b>1. OBJETO </b>
                                    <br>
                                    <br>
                                    Prestao de servio sob contrato de manuteno preventiva e corretiva nos
                                    <span class="inlineEdit"
                                        id="P<?php echo $cliente[0]["Contrato_Id"] . "-Texto_Proposta5"; ?>"
                                        style="cursor: pointer;" alt="Clique para Editar !"
                                        title="Clique para Editar !">
                                        <?php
                                        if ($cliente[0]["Texto_Proposta5"] == "") {
                                            echo "GRUPO (S) GERADOR (ES)";
                                        } else {
                                            echo $cliente[0]["Texto_Proposta5"];
                                        }
                                        ?>
                                    </span> abaixo:
                                    <br>
                                    <br>
                                    <br>
                                    <b>1.1 Descries dos Equipamentos: </b>
                                    <br>
                                    <br>

                                    <?php
                                    $consulta = mysqli_query($con, "SELECT cliente_maquina.Id,
                                                                                        cliente_maquina.Id_Cliente,
                                                                                        cliente_maquina.A_Fabricante,
                                                                                        cliente_maquina.B_Marca,
                                                                                        cliente_maquina.A_Modulo_Gmg,
                                                                                        cliente_maquina.B_Modelo,
                                                                                        cliente_maquina.B_Serie,
                                                                                        cliente_maquina.D_Marca,
                                                                                        cliente_maquina.D_Modelo,
                                                                                        cliente_maquina.D_Serie,
                                                                                        cliente_maquina.D_Frequencia,
                                                                                        cliente_maquina.D_Potencia,
                                                                                        cliente.Titulo,
                                                                                        cliente.Razao_Social,
                                                                                        contrato_produto_reparo.Produto_Reparo,
                                                                                        contrato_produto_reparo.Id_Contrato
                                                                                        FROM cliente_maquina
                                                                                        left join (SELECT Id,Titulo,Razao_Social,Natureza,Cpf_Cnpj, Email,Rua,Numero,Bairro,Cidade,Estado,Cep,
                                                                                        Nome_Responsavel,Cpf_Responsavel
                                                                                        FROM cliente) as cliente on cliente.Id = cliente_maquina.Id_Cliente
                                                                                        left join (SELECT Id,Produto_Reparo,Id_Contrato FROM contrato_produto_reparo) as contrato_produto_reparo ON contrato_produto_reparo.Produto_Reparo = cliente_maquina.Id
                                                                                        WHERE cliente_maquina.Id_Cliente = '" . $cliente[0]["Cliente_Id"] . "'
                                                                                        AND contrato_produto_reparo.Id_Contrato = '" . $cliente[0]["Contrato_Id"] . "'
                                                                                        AND cliente_maquina.Tipo_Maquina='Maq' ");

                                    ?>


                                    <?php while ($maquina = mysqli_fetch_assoc($consulta)) { ?>

                                        <table cellspacing="10">
                                            <tr>
                                                <td colspan="3"><b>Fabricante:</b> <?php echo $maquina["A_Fabricante"] ?>
                                                </td>
                                            </tr>
                                            <tr>
                                                <td><b>Motor: </b><?php echo $maquina["B_Marca"] ?></td>
                                                <td><b>Modelo: </b><?php echo $maquina["B_Modelo"] ?></td>
                                                <td><b>N Srie: </b><?php echo $maquina["B_Serie"] ?></td>
                                            </tr>
                                            <tr>
                                                <td><b>Gerador: </b><?php echo $maquina["D_Marca"] ?></td>
                                                <td><b>Modelo: </b><?php echo $maquina["D_Modelo"] ?></td>
                                                <td><b>N Srie: </b><?php echo $maquina["D_Serie"] ?></td>
                                            </tr>
                                            <tr>
                                                <td colspan="2"><b>Quadro de Comando:
                                                    </b><?php echo $maquina["A_Modulo_Gmg"] ?></td>
                                                <td colspan="1"><b>Potncia: </b><?php echo $maquina["D_Potencia"] ?></td>
                                            </tr>

                                        </table>

                                    <?php } ?>

                                    <br>
                                    <br>
                                    <b>2. CONDIES COMERCIAIS: </b>
                                    <br>
                                    <br>
                                    O valor estipulado na proposta est dimensionado de acordo com o regime de operao
                                    <b><span class="inlineEdit"
                                            id="P<?php echo $cliente[0]["Contrato_Id"] . "-Texto_Proposta1"; ?>"
                                            style="cursor: pointer;" alt="Clique para Editar !"
                                            title="Clique para Editar !">
                                            <?php
                                            if ($cliente[0]["Texto_Proposta1"] == "") {
                                                echo "EMERGNCIA";
                                            } else {
                                                echo $cliente[0]["Texto_Proposta1"];
                                            }
                                            ?>
                                        </span></b> do
                                    <span class="inlineEdit"
                                        id="P<?php echo $cliente[0]["Contrato_Id"] . "-Texto_Proposta5"; ?>"
                                        style="cursor: pointer;" alt="Clique para Editar !"
                                        title="Clique para Editar !">
                                        <?php
                                        if ($cliente[0]["Texto_Proposta5"] == "") {
                                            echo "GRUPO (S) GERADOR (ES)";
                                        } else {
                                            echo $cliente[0]["Texto_Proposta5"];
                                        }
                                        ?>
                                    </span>. Caso haja alterao no regime de operao o valor da proposta ser
                                    renegociado entre as partes.
                                    <br>
                                    <br>
                                    <b>3. SERVIOS </b>
                                    <br>
                                    <br>
                                    <b>Manuteno Preventiva</b><br>
                                    O servio de Manuteno Preventiva TS GRUPOS GERADORES busca garantir a
                                    durabilidade, confiabilidade, disponibilidade e o aumento da vida til de seu
                                    equipamento.<br>
                                    Os servios propostos compreendem
                                    <span class="inlineEdit"
                                        id="P<?php echo $cliente[0]["Contrato_Id"] . "-Texto_Proposta6"; ?>"
                                        style="cursor: pointer;" alt="Clique para Editar !"
                                        title="Clique para Editar !">
                                        <?php
                                        if ($cliente[0]["Texto_Proposta6"] == "") {
                                            echo "01(Uma) visita";
                                        } else {
                                            echo $cliente[0]["Texto_Proposta6"];
                                        }
                                        ?>
                                    </span>
                                    <b><span class="inlineEdit"
                                            id="P<?php echo $cliente[0]["Contrato_Id"] . "-Texto_Proposta2"; ?>"
                                            style="cursor: pointer;" alt="Clique para Editar !"
                                            title="Clique para Editar !">
                                            <?php
                                            if ($cliente[0]["Texto_Proposta2"] == "") {
                                                echo "MENSAL";
                                            } else {
                                                echo $cliente[0]["Texto_Proposta2"];
                                            }
                                            ?>
                                        </span></b>
                                    a ser programada em dia til de segunda a sexta-feira das 08h00min s 18h00min.
                                    <br>
                                    <br>
                                    <b>Manuteno Corretiva</b><br>
                                    Na proposta esto previstas manutenes corretivas emergenciais ilimitadas, 24horas
                                    a serem realizadas no local de instalao do equipamento sem custo adicional de mo
                                    de obra.
                                    <br>
                                    <br>
                                    <b>Servio de Diagnose</b><br>

                                    <span class="inlineEdit"
                                        id="P<?php echo $cliente[0]["Contrato_Id"] . "-Texto_Proposta7"; ?>"
                                        style="cursor: pointer;" alt="Clique para Editar !"
                                        title="Clique para Editar !">
                                        <?php
                                        if ($cliente[0]["Texto_Proposta7"] == "") {
                                            echo "Oferecemos suporte tcnico gratuito, 24 horas pelo telefone 081 99783-7182.";
                                        } else {
                                            echo $cliente[0]["Texto_Proposta7"];
                                        }
                                        ?>
                                    </span>
                                    <br>
                                    <br>
                                    <b>4. CONDIES COMERCIAIS</b>
                                    <br>
                                    <br>
                                    <b>Valor</b><br>
                                    Para execuo dos servios propostos com impostos incidentes inclusos:
                                    <br>
                                    <br>
                                    Valor mensal <b>R$ <?php echo valor_exibir($cliente[0]['Valor_Pago']); ?>
                                        (<?php echo valorPorExtenso($cliente[0]['Valor_Pago']); ?>)</b>
                                    <br>
                                    <br>
                                    O valor desta proposta  baseado nas condies comerciais estabelecidas pela TS
                                    GRUPOS
                                    GERADORES, caso as condies sejam alteradas, inclusive no que tange  incluso
                                    multas
                                    contratuais, os valores podero ser revistos.
                                    <br>
                                    <br>
                                    <b>Forma de Pagamento</b><br>
                                    O valor mensal proposto poder ser quitado atravs de boletos bancrios ou Dbito em
                                    Conta Corrente do banco: <b><span class="inlineEdit"
                                            id="P<?php echo $cliente[0]["Contrato_Id"] . "-Texto_Proposta3"; ?>"
                                            style="cursor: pointer;" alt="Clique para Editar !"
                                            title="Clique para Editar !">
                                            <?php
                                            if ($cliente[0]["Texto_Proposta3"] == "") {
                                                echo "Ita ";
                                            } else {
                                                echo $cliente[0]["Texto_Proposta3"];
                                            }
                                            ?>
                                        </span></b>. Para tanto, devero ser encaminhados os dados bancrios de sua
                                    empresa para preenchimento na minuta contratual.
                                    <br>
                                    <br>
                                    <b>Vigncia do Contrato</b><br>
                                    O contrato ter perodo de vigncia de <?php echo $cliente[0]["Desconto"] ?>
                                    (meses), com incio na data de sua assinatura
                                    <br>
                                    <br>
                                    <b>Validade da Proposta</b><br>
                                    A proposta ter validade de <b><span class="inlineEdit"
                                            id="P<?php echo $cliente[0]["Contrato_Id"] . "-Texto_Proposta4"; ?>"
                                            style="cursor: pointer;" alt="Clique para Editar !"
                                            title="Clique para Editar !">
                                            <?php
                                            if ($cliente[0]["Texto_Proposta4"] == "") {
                                                echo "30 (trinta dias) ";
                                            } else {
                                                echo $cliente[0]["Texto_Proposta4"];
                                            }
                                            ?>
                                        </span></b> a partir da data de sua emisso.
                                    <br>
                                    <br>
                                    <b>Cotao Condicionada  Anlise de Crdito</b><br>
                                    Aprovada a cotao, a TS GRUPOS GERADORES se reserva no direito de validar a
                                    proposta depois de realizada a anlise de crdito.
                                    <br>
                                    <br>
                                    <b>5. CONDIES GERAIS</b>
                                    <br>
                                    <br>
                                    <span class="inlineEdit"
                                        id="P<?php echo $cliente[0]["Contrato_Id"] . "-Texto_Proposta8"; ?>"
                                        style="cursor: pointer;" alt="Clique para Editar !"
                                        title="Clique para Editar !">
                                        <?php
                                        if ($cliente[0]["Texto_Proposta8"] == "") {
                                            echo " No valor acima mencionado no esto previstas peas de reposio ou consumo, bem como leo lubrificante, leo diesel,
                                            gs de proteo, fusveis, leo isolante e aditivo. Caso seja verificada a necessidade de substituio de componentes e/ou fornecimento de lubrificantes ou aditivos, ser gerado oramento;";
                                        } else {
                                            echo $cliente[0]["Texto_Proposta8"];
                                        }
                                        ?>
                                    </span>
                                    <br>
                                    <br>
                                    No caso de serem necessrios consertos nas oficinas da TS GRUPOS GERADORES, tais
                                    como:
                                    cartes eletrnicos ou itens mecnicos, correr por conta do cliente o valor
                                    adicional relativo a estes consertos.
                                    <br>
                                    <br>
                                    A TS GRUPOS GERADORES somente executar servios de conserto em oficina sempre que
                                    esta
                                    determinao seja imperiosa, tcnica e estritamente necessria para o bom
                                    funcionamento do(s) equipamento(s) e quando os consertos realizados em campo no
                                    derem uma perfeita garantia de boa operacionalidade. Em caso de remessa de
                                    equipamento ou componentes consertados na oficina da TS GRUPOS GERADORES, o custo de
                                    frete, seguros e remoo no esto inclusos no valor estipulado no item 4 CONDIES
                                    COMERCIAIS.
                                    <br>
                                    <br>
                                    <br>
                                    <br>
                                    <center>Atenciosamente,
                                        <br>
                                        <br>

                                        <?php

                                        $assinatura = listar("SELECT funcionario.Id,
                        funcionario.Titulo,
                        funcionario.Fone
                        from funcionario
            WHERE Id = '" . $cliente[0]["Id_Vendedor"] . "' ");

                                        ?>

                                        <b>
                                            <br>
                                            Consultor Tcnico
                                            <br>
                                            <?php echo $assinatura[0]['Titulo']; ?>
                                            <span class="inlineEdit"
                                                id="P<?php echo $cliente[0]["Contrato_Id"] . "-Texto_Proposta9"; ?>"
                                                style="cursor: pointer;" alt="Clique para Editar !"
                                                title="Clique para Editar !">
                                                <?php
                                                if ($cliente[0]["Texto_Proposta9"] == "") {
                                                    ?>
                                                    Fone: (81)99218-0798 / <?php echo $assinatura[0]["Fone"]; ?>
                                                    <?php
                                                } else {
                                                    echo $cliente[0]["Texto_Proposta9"];
                                                }
                                                ?>
                                            </span>
                                            <br>
                                        </b>
                                </span>
                                </center>
                                <br>
                                <br>
                    </table>