<?php
include_once "../include/conecta.php"; //Conecta com a nosso banco de dados MySQL
ini_set('session.gc_maxlifetime', 60*120); session_start();
/* include_once "../include/ver_sessao.php"; //Verifica se a sesso est ativa */
include_once "../include/funcoesPhp.php"; //Inclue a pgina con todas as funes a ser usada.
?>
<?php 
               $contrato = listar("Select contrato.Id,
 					contrato.Lancamento,
 					contrato.Status,
 					contrato.Data_Contrato,
 					contrato.Obs as 'Obs_Contrato',
 					contrato.Valor_Original,
 					contrato.Valor_Pago,
                                        contrato.Id_Unidade,
                                        contrato.Desconto,
                                        contrato.Data_Inicio_Contrato,
                                        contrato.Data_Fim_Contrato,
 					cliente.Titulo as 'Cliente',
 					cliente.Email,
 					cliente.Natureza,
 					cliente.Cpf_Cnpj,
 					cliente.Rua,
                                        cliente.Numero,
 					cliente.Cep,
 					cliente.Bairro,
 					cliente.Estado,
 					cliente.Fone1,
 					cliente.Obs as 'Obs_Cliente',
                                        cidade_ibge.Titulo as Cidade,
 					funcionario.Titulo as 'Funcionario',
                                        usuario.Login
 					from contrato
 					left join (SELECT Id,Titulo,Email,Natureza,Cpf_Cnpj,Estadual,Rua,Numero,Cep,Bairro,Estado,Fone1,Obs,Id_Cidade FROM cliente) as cliente ON cliente.Id = contrato.Id_Cliente
                                        left join (SELECT Id,Titulo FROM cidade_ibge) as cidade_ibge ON cidade_ibge.Id = cliente.Id_Cidade
 					left join (SELECT Id,Titulo FROM funcionario) as funcionario ON funcionario.Id = contrato.Id_Funcionario
                                        left join (SELECT Id,Login FROM usuario) as usuario ON usuario.Id = contrato.Id_Usuario
 					where contrato.Id = '".$_GET["id_contrato"]."'
					order by contrato.Lancamento DESC");

$_GET["Unidade"] = $contrato[0]["Id_Unidade"];
?>
<html>
<head>
<title>Gw - Gesto Web</title>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1" />
<link rel="shortcut icon" href="../imagem/favi_gw.ico" type="image/x-icon" />
<link rel="stylesheet" type="text/css" href="../estilo/<?php echo SKIN ;?>/tabela_imp.css" />
<script type="text/javascript" language="javascript" src="../js/jquery.js"></script>
<?php include '../include/script_cabeca.php'; ?>
<script type="text/javascript" language="javascript" src="../js/script.js"></script>
<script type="text/javascript" language="javascript" src="../js/meiomask/meiomask.js"></script>
<script type="text/javascript" language="javascript" src="../js/meiomask/<?php if(PAIS=="USA"){ echo "mascaras-usa"; }else{ echo "mascaras"; }?>.js"></script>
</head>
<body>

<table width="98%" align="center"><!-- TABELA Q ENVOLVE TODO O CONTEUDO -->
<tr>
	<td>
		<?php include "../include/cabecalho_pedido.php"; ?>
	</td>
</tr>
<tr>
	<td>
		<table width="100%" align="center">
			<tr>
                            <td colspan="2" align="center">
                                <font face="verdana" size="3">
                                    <b><i>Contrato - <?php echo $contrato[0]["Lancamento"];?></i></b>
                                </font>
                            </td>
			</tr>
		</table>
	</td>
</tr>
<tr>
	<td>
		<table width="100%" align="center" class="tabela">
			<tr>
                                <td width="70%">Emisso: <?php echo data_exibir($contrato[0]["Data_Contrato"]);?></td>
				<td width="30%">Emitente: <?php echo $contrato[0]["Login"];?></td>
			</tr>
			<tr>
				<td width="70%">Cliente: <?php echo $contrato[0]["Cliente"];?></td>
				<td width="30%">Fone: <?php echo $contrato[0]["Fone1"];?></td>
			</tr>
			<tr>
				<td width="70%">End: <?php echo $contrato[0]["Rua"];?></td>
				<?php if($contrato[0]["Natureza"] == "PF"){?>
				<td width="30%">CPF: <?php echo $contrato[0]["Cpf_Cnpj"];?></td>
				<?php }else{?>
				<td width="30%">CNPJ: <?php echo $contrato[0]["Cpf_Cnpj"];?></td>
				<?php }?>
			</tr>
			<tr>
				<td width="70%"><?php echo 'Bairro:'.$contrato[0]["Bairro"].' Cidade:'.
                                                        $contrato[0]["Cidade"].' UF:'.
                                                        $contrato[0]["Estado"];?></td>
				<td width="30%">CEP: <?php echo $contrato[0]["Cep"];?></td>
			</tr>
                        <tr>
				<td colspan="2">
                                    Vigncia: <?php echo $contrato[0]["Desconto"];?> &nbsp; | &nbsp; 
                                    Incio: <?php echo data_exibir($contrato[0]["Data_Inicio_Contrato"]);?> &nbsp; | &nbsp; 
                                    Fim: <?php echo data_exibir($contrato[0]["Data_Fim_Contrato"]);?>
                                </td>
			</tr>
			<tr>
				<td colspan="2">Obs: <?php echo $contrato[0]["Obs_Contrato"];?></td>
			</tr>
		</table>
	</td>
</tr>
<tr>
	<td>
		<table width="100%" align="center" class="tabela">
			<tr>
				<td colspan="10"><i>Produtos em Contrato</i></td>
			</tr>
			<tr class="azul-claro">
				<td width="3%">N</td>
				<td width="10%">Cdigo</td>
				<td width="22%">Produto</td>
				<td width="5%">Qtd</td>
				<td width="8%">Valor</td>
				<td width="8%">Desc %</td>
                                <td width="8%">Desc $</td>
                                <td width="8%">Srie</td>
                                <td width="8%">Data</td>
				<td width="8%">Total</td>
			</tr>
			<?php

               $contrato_pro = listar("Select DISTINCT contrato_produto.Id,
                                        contrato_produto.Preco as 'Preco_Contrato',
 					contrato_produto.Qtd as 'Qtd_Contrato',
 					contrato_produto.Desconto as 'Desconto_Contrato',
                                        contrato_produto.Desconto_Real,
                                        contrato_produto.Numero_Serie,
                                        contrato_produto.Data,
 					produto.Titulo as 'Produto',
 					produto.Descricao,
 					produto.Codigo
 					from contrato_produto
 					left join (SELECT Id,Titulo,Descricao,Codigo FROM produto) as  produto ON produto.Id = contrato_produto.Id_Produto
 					where contrato_produto.Id_Contrato = '".$_GET["id_contrato"]."'
                                        AND Tipo = 'Emprestado' ");

                        $x=1; foreach($contrato_pro as $chave){?>

			<tr>
				<td><?php echo $x;?></td>
				<td><?php echo $chave["Codigo"];?></td>
				<td><?php echo $chave["Produto"];?></td>
				<td><?php echo $chave["Qtd_Contrato"];?></td>
				<td><?php echo number_format($chave["Preco_Contrato"],2,',','.');?></td>
				<td><?php echo number_format($chave["Desconto_Contrato"],2,',','.');?></td>
                                <td><?php echo number_format($chave["Desconto_Real"],2,',','.');?></td>
                                <td><?php echo $chave["Numero_Serie"];?></td>
                                <td><?php echo data_exibir($chave["Data"]);?></td>
				<td>
                                    <?php echo number_format( ( ($chave['Qtd_Contrato']*$chave['Preco_Contrato']) - ( ($chave['Qtd_Contrato']*$chave['Preco_Contrato']) * ($chave['Desconto_Contrato']/100) ) ) - $chave['Desconto_Real'],2,',','.');?></td>
                                </td>
			</tr>
			<?php
			$Qtd_Contrato+= $chave["Qtd_Contrato"];
			$Preco_Contrato+=$chave["Preco_Contrato"];
			$Desconto_Contrato+=$chave["Desconto_Contrato"];
                        $Desconto_Real+=$chave["Desconto_Real"];
			$Total+= ( ($chave["Preco_Contrato"]*$chave["Qtd_Contrato"])-
					(($chave["Preco_Contrato"]*$chave["Qtd_Contrato"])*($chave["Desconto_Contrato"]/100)) ) - $chave['Desconto_Real'];
			$x++; }
			?>
			<tr>
				<td colspan="6"></td>
				<td colspan="3">Totais da Contrato:</td>
				<td><?php echo number_format($Total,2,',','.');?></td>
			</tr>
		</table>
	</td>
</tr>

<?php
        $venda_parcela = listar("Select financeiro_pedido.*,
                                tipo_pagamento.Titulo as 'Tipo_Pagamento'
                                from financeiro_pedido
                                LEFT JOIN (SELECT Id,Titulo FROM tipo_pagamento) as tipo_pagamento ON tipo_pagamento.Id = financeiro_pedido.Id_Tipo_Pagamento
                                where financeiro_pedido.Id_Externo = '".$_GET["id_contrato"]."' 
                                AND financeiro_pedido.Id_Tipo_Pagamento <> '0'
                                AND financeiro_pedido.Ordem='2'
                                order by financeiro_pedido.Ordem ");

?>
<tr>
	<td>
		<table width="100%" align="center" class="tabela">
			<tr>
				<td colspan="4"><i>Entrada</i></td>
			</tr>
			<tr class="azul-claro">
				<td>N</td>
				<td>Vencimento</td>
				<td>Valor</td>
				<td>Tipo</td>
			</tr>
			<?php
			for ($i=1; $i<=PARCELA_PAGAMENTO; $i++) {
				$campo_tp.=" Taxa".str_pad($i, 2,"0", STR_PAD_LEFT).", Prazo".str_pad($i, 2,"0", STR_PAD_LEFT).", ";
			}
			$campo_tp = substr($campo_tp,0,-2);

                        foreach($venda_parcela as $chave){
                            
                            $tip = mysqli_query($con,"SELECT
                                                $campo_tp
                                                FROM tipo_pagamento
                                                WHERE Id = '{$chave["Id_Tipo_Pagamento"]}'  ")
                                                or die("ERRO no comando SQL:".mysqli_error($con));
                            $array_tipo = mysqli_fetch_assoc($tip);
                            
                            
                            $z = 1;
                            for ($x=1;$x<=PARCELA_PAGAMENTO;$x++){
                                
                                if($x < 10){
                                    $z = '0'.$x;
                                }

                                if($array_tipo["Prazo".$z]==""){
                                    break;
                                }
                        ?>
			<tr>
				<td><?php echo $x;?></td>
				<td><?php echo data_exibir($chave["Data$z"])?></td>
				<td><?php echo number_format($chave["Valor_Entrada$z"],2,',','.')?></td>
				<td><?php echo $chave["Tipo_Pagamento"]?></td>
			</tr>
                        <?php $z++; } } ?>
		</table>
	</td>
</tr>
<?php
        $venda_parcela = listar("Select financeiro_pedido.*,
                                tipo_pagamento.Titulo as 'Tipo_Pagamento'
                                from financeiro_pedido
                                LEFT JOIN (SELECT Id,Titulo FROM tipo_pagamento) as tipo_pagamento ON tipo_pagamento.Id = financeiro_pedido.Id_Tipo_Pagamento
                                where financeiro_pedido.Id_Externo = '".$_GET["id_contrato"]."' 
                                AND financeiro_pedido.Id_Tipo_Pagamento <> '0'
                                AND financeiro_pedido.Ordem='1'
                                order by financeiro_pedido.Ordem ");

?>
<tr>
	<td>
		<table width="100%" align="center" class="tabela">
			<tr>
				<td colspan="4"><i>Mensalidades</i></td>
			</tr>
			<tr class="azul-claro">
				<td>N</td>
				<td>Vencimento</td>
				<td>Valor</td>
				<td>Tipo</td>
			</tr>
			<?php
			for ($i=1; $i<=PARCELA_PAGAMENTO; $i++) {
				$campo_tp.=" Taxa".str_pad($i, 2,"0", STR_PAD_LEFT).", Prazo".str_pad($i, 2,"0", STR_PAD_LEFT).", ";
			}
			$campo_tp = substr($campo_tp,0,-2);

                        foreach($venda_parcela as $chave){
                            
                            $tip = mysqli_query($con,"SELECT
                                                $campo_tp
                                                FROM tipo_pagamento
                                                WHERE Id = '{$chave["Id_Tipo_Pagamento"]}'  ")
                                                or die("ERRO no comando SQL:".mysqli_error($con));
                            $array_tipo = mysqli_fetch_assoc($tip);
                            
                            
                            $z = 1;
                            for ($x=1;$x<=PARCELA_PAGAMENTO;$x++){
                                
                                if($x < 10){
                                    $z = '0'.$x;
                                }

                                if($array_tipo["Prazo".$z]==""){
                                    break;
                                }
                        ?>
			<tr>
				<td><?php echo $x;?></td>
				<td><?php echo data_exibir($chave["Data$z"])?></td>
				<td><?php echo number_format($chave["Valor$z"],2,',','.')?></td>
				<td><?php echo $chave["Tipo_Pagamento"]?></td>
			</tr>
                        <?php $z++; } } ?>
		</table>
	</td>
</tr>
</table>
<br/>
<table width="98%" align="center">
	<tr>
		<td align="center">________________________</td>
		<td align="center">________________________</td>
	</tr>
	<tr>
		<td align="center"><font face="verdana" size="2"><?php echo $contrato[0]["Cliente"];?></font></td>
		<td align="center"><font face="verdana" size="2">Representante: <?php echo $contrato[0]["Funcionario"];?></font></td>
	</tr>
</table>

<br>
</body>
</html>
<?php include "../include/rodape.php";?>