<?php
include_once '../include/conecta.php'; //Conecta com a nosso banco de dados MySQL
include_once '../include/ver_sessao.php'; //Verifica se a sesso est ativa
include_once '../include/funcoesPhp.php';
include_once '../menu_movimento.php';
?>
<?php
if (($_GET["Finalizado"]) || ($_GET["Aberto"]) || ($_GET["Cancelado"])) {

    $status = "and (";

    if ($_GET["Finalizado"]) {
        $status .= " contrato.Status = 'Finalizado' OR";
    }
    if ($_GET["Aberto"]) {
        $status .= " contrato.Status = 'Aberto' OR";
    }
    if ($_GET["Cancelado"]) {
        $status .= " contrato.Status = 'Cancelado' OR";
    }

    $status = substr($status, 0, -2);
    $status .= ")";
}

if ($_GET['Data_Filtro'] == 'Data') {
    if ($_GET["De"])
        $data .= "AND contrato.Data_Inicio_Contrato >= '" . data_banco($_GET["De"]) . " 00:00:00' ";
    if ($_GET["Ate"])
        $data .= "AND contrato.Data_Inicio_Contrato <= '" . data_banco($_GET["Ate"]) . " 23:59:59' ";
}
if ($_GET['Data_Filtro'] == 'Conclusao') {
    if ($_GET["De"])
        $data .= "AND contrato.Data_Fim_Contrato >= '" . data_banco($_GET["De"]) . " 00:00:00' ";
    if ($_GET["Ate"])
        $data .= "AND contrato.Data_Fim_Contrato <= '" . data_banco($_GET["Ate"]) . " 23:59:59' ";
}

if ($_GET["Cliente"])
    $Cliente = "and contrato.Id_Cliente = '" . $_GET["Cliente"] . "' ";

if ($_GET["Funcionario"])
    $usuario_p .= "and contrato.Id_Funcionario = '" . $_GET["Funcionario"] . "' ";

if ($_GET["Aditivo"])
    $usuario_p .= "and contrato.Aditivo = '" . $_GET["Aditivo"] . "' ";

if ($_GET["Produto"])
    $contrato_produto = "and contrato_produto.Id_Produto = '" . $_GET["Produto"] . "' ";

if ($_GET["Ok"]) {
    $contrato = listar("Select DISTINCT contrato.Id_Cliente,
                                contrato.Lancamento,
                                contrato.Status,
                                contrato.Data_Contrato,
                                contrato.Data_Inicio_Contrato,
                                contrato.Data_Fim_Contrato,
                                cliente.Titulo as Cliente,
                                cliente.Codigo,
                                cliente.Fone1,
                                cliente.Email,
                                cidade.Titulo as Cidade,
                                tipo_pagamento.Titulo as Tipo_Pagamento,
                                funcionario.Titulo as 'Funcionario'
                                from contrato
                                left join contrato_produto ON contrato_produto.Id_Contrato = contrato.Id
                                LEFT JOIN (SELECT Id,Titulo FROM funcionario) as funcionario ON funcionario.Id = contrato.Id_Funcionario
                                LEFT JOIN (SELECT Id,Titulo,Codigo,Email,Fone1,Id_Cidade FROM cliente) as cliente ON contrato.Id_Cliente = cliente.Id
                                LEFT JOIN (SELECT Id,Titulo FROM cidade_ibge)as cidade ON cidade.Id = cliente.Id_Cidade
                                LEFT JOIN (SELECT Id,Titulo FROM tipo_pagamento) as tipo_pagamento ON contrato.Id_Tipo_Pagamento = tipo_pagamento.Id
                                where 1=1
                                $data $status $usuario_p $Cliente $contrato_produto
                                group by contrato.Id_Cliente
                                order by contrato.Data_Fim_Contrato");
}
?>
<html>
    <head>
        <title>Gw - Gesto Web</title>
        <link rel="stylesheet" type="text/css" href="../estilo/<?php echo SKIN; ?>/tabelas.css" />
        <link rel="stylesheet" type="text/css" href="../js/datePicker/datePicker.css" />
        <link rel="stylesheet" type="text/css" href="../js/autocomplete/jquery.autocomplete.css" />
        <link rel="stylesheet" type="text/css" href="../js/autocomplete/lib/thickbox.css" />
        <script type="text/javascript" language="javascript" src="../js/jquery.js"></script>
<?php include '../include/script_cabeca.php'; ?>
        <script type="text/javascript" language="javascript" src="../js/script.js"></script>
        <script type="text/javascript" language="javascript" src="../js/meiomask/meiomask.js"></script>
        <script type="text/javascript" language="javascript" src="../js/meiomask/<?php
if (PAIS == "USA") {
    echo "mascaras-usa";
} else {
    echo "mascaras";
}
?>.js"></script>
        <script type="text/javascript" language="javascript" src="../js/autocomplete/lib/jquery.bgiframe.min.js"></script>
        <script type="text/javascript" language="javascript" src="../js/autocomplete/lib/jquery.ajaxQueue.js"></script>
        <script type="text/javascript" language="javascript" src="../js/autocomplete/lib/thickbox-compressed.js"></script>
        <script type="text/javascript" language="javascript" src="../js/autocomplete/jquery.autocomplete.js"></script>
        <!-- required plugins -->
        <script language="javascript" type="text/javascript" src="../js/datePicker/<?php
if (PAIS == "USA") {
    echo "date";
} else {
    echo "date-pt";
}
?>.js"></script>
        <!--[if IE]>
                <script type="text/javascript" src="../js/datePicker/jquery.bgiframe.js"></script>
                <![endif]-->
        <!-- jquery.datePicker.js -->
        <script type="text/javascript" src="../js/datePicker/jquery.datePicker.js"></script>
        <script type="text/javascript" language="javascript" >
            Date.firstDayOfWeek = 0;
<?php
if (PAIS == "USA") {
    echo "Date.format='mm/dd/yyyy';";
} else {
    echo "Date.format='dd/mm/yyyy';";
}
?>
            $(function () {
                $('.date-pick').datePicker({startDate: '01/01/1990'})
            });
        </script>
        <script type="text/javascript" language="javascript" >
            $(document).ready(function () {
                $("#Cliente").autocomplete("contrato/busca_cliente.php", {
                    width: 340,
                    selectFirst: true,
                    scroll: false,
                    cacheLength: 100,
                    max: 100
                });
                $("#Produto").autocomplete("contrato/busca_produto.php", {
                    width: 340,
                    selectFirst: true,
                    scroll: false,
                    cacheLength: 100,
                    max: 100
                });
            });
        </script>
        <script type="text/javascript" language="javascript" >
            $(document).ready(function () {

                $('#bt_Enviar_Email').click(function () {
                    $.blockUI({message: $('#Tela_Email'), css: {width: '350px'}});
                    //setTimeout($.unblockUI, 6000);
                });


                $('#Enviar_Email').click(function () {
                    $.blockUI({message: "<h2>Enviando E-mail...</h2>"});

                    var nomeDestinatario = $("#Nome_Destinatario").val();
                    var emailDestinatario = $("#Email_Destinatario").val();
                    //var nomeCopia = $("#Nome_Copia").val();
                    //var emailCopia = $("#Email_Copia").val();
                    var de = $("#De").val();
                    var ate = $("#Ate").val();
                    var Funcionario = $("#Funcionario").val();
                    var Cliente = $("#Cliente").val();
                    var Produto = $("#Produto").val();
                    var Finalizado_rel = $("#Finalizado_Rel").val();
                    var cancelado_rel = $("#Cancelado_Rel").val();
                    var aberto_rel = $("#Aberto_Rel").val();
                    $.get("email_rel_venda_tipo_pagamento.php", {Nome_Destinatario: nomeDestinatario, Email_Destinatario: emailDestinatario,
                        De: de, Ate: ate, Funcionario: Funcionario,
                        Produto: Produto, Finalizado: Finalizado_rel,
                        Cancelado: cancelado_rel, Aberto: aberto_rel,
                        Cliente: Cliente},
                            function (data) {
                                $("#div_resposta").html(data);
                                $.unblockUI();
                                $("#Nome_Destinatario").val('');
                                $("#Email_Destinatario").val('');
                                $("#Nome_Copia").val('');
                                $("#Email_Copia").val('');
                            });

                });


                $('#Cancelar_Email').click(function () {
                    $.unblockUI();
                    return false;
                });


            });
        </script>
        <style type="text/css">
            thead {
                display: table-header-group;
            }
            tfoot {
                display: table-footer-group;
            }
        </style>
    </head>
    <body>
        <table width="100%" height="400px"><!-- TABELA Q ENVOLVE TODO O CONTEUDO -->
            <tr>
                <td>
                    <table width="100%">
                        <tr>
                            <td align="left">
                                <font face="verdana" size="2"><i><b>Contrato Agrupado por Clientes</b></i></font>
                            </td>

                            <td align="center">
                                <a href='imp_pdf_rel_contrato_agrupado.php?<?php echo $_SERVER["QUERY_STRING"] ?>' title="Pdf"><img src="../imagem/pdfG.png" border="0" alt="Pdf" title="Pdf"/></a>
                                <br/><font face="verdana" size="2"><i>Pdf</i></font>		
                            </td>
                          
                            <td align="center">
                                <a href="imp_rel_contrato_agrupado.php?<?php echo $_SERVER["QUERY_STRING"] ?>" title="Imprimir" target="_blank"><img src="../imagem/imprimirG.png" border="0" alt="Imprimir" title="Imprimir"/></a>
                                <br/><font face="verdana" size="2"><i>Imprimir</i></font>		
                            </td>
                        </tr>
                    </table>
                </td>
            </tr>
            <tr>
                <td>
                    <form action="" method="get">
                        <table width="100%" class="busca_rel">
                            <tr class="azul">
                                <td width="25%">De<input type="text" name="De" id="De" class="date-pick" size="10" value="<?php echo $_GET["De"]; ?>" ></td>
                                <td width="25%">At<input type="text" name="Ate" id="Ate" class="date-pick" size="10" value="<?php echo $_GET["Ate"]; ?>" ></td>
<?php
if ($_GET['Data_Filtro'] == 'Data') {
    $Data = 'checked';
} else if ($_GET['Data_Filtro'] == 'Conclusao') {
    $Conclusao = 'checked';
} else {
    $Data = 'checked';
}
?>
                                <td width="25%">
                                    <input type="radio" name="Data_Filtro" value='Data' id="Data" <?php echo $Data; ?> ><label class="label_radio" for="Data">Data Inicio Contrato</label>
                                    <input type="radio" name="Data_Filtro" value='Conclusao' id="Conclusao" <?php echo $Conclusao; ?> ><label class="label_radio" for="Conclusao">Data Fim Contrato</label>
                                </td>
                                <td width="25%">
                                    <input type="checkbox" name="Finalizado" value="Finalizado" <?php if ($_GET["Finalizado"]) echo "checked='checked' "; ?> >Finalizado
                                    <input type="checkbox" name="Aberto" value="Aberto" <?php if ($_GET["Aberto"]) echo "checked='checked' "; ?> >Aberto
                                    <input type="checkbox" name="Cancelado" value="Cancelado" <?php if ($_GET["Cancelado"]) echo "checked='checked' "; ?> >Cancelado

                                    <input type="hidden" value="<?php echo $_GET["Finalizado"]; ?>" name="Finalizado_Rel" id="Finalizado_Rel">
                                    <input type="hidden" value="<?php echo $_GET["Aberto"]; ?>" name="Aberto_Rel" id="Aberto_Rel">
                                    <input type="hidden" value="<?php echo $_GET["Cancelado"]; ?>" name="Cancelado_Rel" id="Cancelado_Rel">
                                </td>
                            </tr>
                            <tr class="azul">
                                <td width="5%">

<?php
echo select_banco2("Select Id, Titulo from cliente WHERE Ativo = 'Sim' order by Titulo",
        "Cliente", "Cliente", "Cliente", $_GET['Cliente'], "style='width:300px'");
?>
                                </td>
                                <td>
<?php
echo select_banco2("Select distinct Id, Titulo from funcionario where Ativo = 'Sim' AND Vendedor = 'Sim' order by Titulo",
        "Funcionario", "Funcionario", "Responsvel", $_GET["Funcionario"], "style='width:200px'");
?>
                                </td>
                                <td>
<?php
echo select_banco2("Select produto.Id, produto.Titulo from produto order by Titulo",
        "Produto", "Produto", "Produto", $_GET['Produto'], "style='width:300px'");
?>
                                </td>
                                <td align="right">
<?php
$vetor = array('' => 'Aditivo', 'No' => 'No', 'Sim' => 'Sim');
select_tela("Aditivo", "Aditivo", $_GET["Aditivo"], $vetor, '', "");
?>
                                    &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
                                    <input type="submit" value="Ok" name="Ok">
                                </td>
                            </tr>
                        </table>
                    </form>
                </td>
            </tr>
            <tr>
                <td>
                    <table width="100%" class="tabela">
<?php
if ($_GET["Ok"]) {

    foreach ($contrato as $valor) {
        ?>
                                <tr class="azul-claro">
                                    <td colspan="7"><b>Cliente: </b><?php echo $valor["Codigo"], ' : ', $valor["Cliente"]; ?></td>
                                </tr>
                                <tr>

                                    <td><b>Cidade:</b> <?php echo $valor["Cidade"] ?></td>
                                    <td><b>E-mail:</b> <?php echo $valor["Email"] ?></td>
                                    <td><b>Telefone:</b> <?php echo $valor["Fone1"] ?></td>
                                    <td colspan="4">&nbsp;</td>
                                </tr>
                                <tr>
                                    <td><b>N Contrato</b></td>
                                    <td><b>Data Inicio</b></td>
                                    <td><b>Data Fim</b></td>
                                    <td><b>Adeso</b></td>
                                    <td colspan="2"><b>N. Parcelas</b></td>
                                    <td><b>Mensalidade</b></td>

                                </tr>

                                <?php
                                $venda = listar("SELECT contrato.Id,
                                                        contrato.Lancamento,
                                                        cliente.Estado,
                                                        cliente.Cidade,
                                                        contrato.Id_Cliente,
                                                        contrato.Data_Contrato,
                                                        contrato.Data_Inicio_Contrato,
                                                        contrato.Data_Fim_Contrato,
                                                        contrato.Valor_Pago,
                                                        contrato.Valor_Entrada,
                                                   COUNT(financeiro_pedido.Id) as Qtd_Parcelas
                                                   FROM contrato
                                             LEFT JOIN (SELECT * FROM cliente WHERE 1=1  ) as cliente ON cliente.Id = contrato.Id_Cliente
                                             LEFT JOin (SELECT * FROM financeiro_pedido WHERE Tipo = 'Contrato')as financeiro_pedido ON financeiro_pedido.Id_Externo = contrato.Id
                                                WHERE 1=1
                                                 AND cliente.Id = '" . $valor["Id_Cliente"] . "'
                                                   $status $data $usuario_p $faturamento
                                               group by contrato.Id
                                               order by contrato.Id_Cliente");

                                    $vCate = '0';
                                    $color = "#F5F5F5";
                                    $tAdesao = '0';
                                    foreach ($venda as $chave) {

                                        if ($color == "#F5F5F5") {
                                            $color = "#E8E8E8";
                                        } else {
                                            $color = "#F5F5F5";
                                        }
                                        ?>

                                    <tr bgcolor=<?php echo "$color"; ?>>
                                        <td><?php echo $chave["Lancamento"]; ?></td>
                                        <td><?php echo data_exibir($chave["Data_Inicio_Contrato"]); ?></td>
                                        <td><?php echo data_exibir($chave["Data_Fim_Contrato"]); ?></td>
                                        <td><?php echo valor_exibir($chave["Valor_Entrada"]); ?></td>
                                        <td colspan="2"><?php echo ($chave["Qtd_Parcelas"]); ?> parcelas</td>
                                        <td><?php echo valor_exibir($chave["Valor_Pago"]); ?></td>
                                    </tr>

                                <?php
                                $vCate += $chave["Valor_Pago"];
                                $vCateFinal += $chave["Valor_Pago"];
                                $tAdesao += $chave["Valor_Entrada"];
                                $gtAdesao += $chave["Valor_Entrada"];
                                ?>
                                <?php } ?>

                                <tr>
                                    <td colspan="3" align="right">Valor Adeso &nbsp;</td>
                                    <td><?php echo valor_exibir($tAdesao); ?></td>
                                    <td colspan="">&nbsp;</td>
                                    <td align="right">Valor Total &nbsp;</td>
                                    <td><?php echo valor_exibir($vCate); ?></td>
                                </tr>
                                <tr>
                                    <td colspan="5">&nbsp;</td>
                                </tr>

                                <?php
                                    }
                                    }
                                ?>

                        <tr>
                            <td colspan="4" align="right"><b>Total Adeso:</b> &nbsp;</td>
                            <td><b><?php echo valor_exibir($gtAdesao); ?></b></td>
                            <td align="right"><b>Valores Finais:</b> &nbsp;</td>
                            <td><b><?php echo valor_exibir($vCateFinal); ?></b></td>
                        </tr>
                    </table>
                </td>
            </tr>
            <tr>
                <td>
                    <div id="div_resposta"></div>
                </td>
            </tr>
        </table>
        <!-- INICIO DA TELA MODAL ENVIO DE EMAIL-->
        <!-- No css existe um estilo para essas divs que as deixa invisivel - display:none; -->
<?php include_once "../include/email_tabela.php"; ?>
        <!-- FIM DA TELA MODAL ENVIO DE EMAIL-->
        <br>
    </body>
</html>