<?php
include_once '../../include/conecta.php'; //Conecta com a nosso banco de dados MySQL
include_once '../../include/ver_sessao.php'; //Verifica se a sesso est ativa
include_once '../../include/funcoesPhp.php';
include_once '../../menu_movimento.php';
//Inclue a pgina con todas as funes a ser usada.


$Codigo_Devolucao = $_POST["Codigo_Devolucao"];
$Opcao_Ver = $_POST["Opcao_Ver"];

/*BUSCA REALIZADA PARA MONTAR A TABELA DE CONSULTA DOS ITENS SO ATIVA QUANDO O BUTAO FOR CHAMADO*/
$sql_devolucao = mysqli_query($con, "SELECT DISTINCT devolucao_produto.Id,
                                        devolucao_produto.Id_Produto,
                                        devolucao_produto.Preco,
                                        devolucao_produto.Qtd,
                                        devolucao_produto.Desconto,
                                        devolucao_produto.Desconto_Real,
                                        produto.Titulo as 'Produto',
                                        produto.Codigo,
                                        local_estoque.Titulo as Local_Estoque
                                        FROM devolucao_produto
                                        left join (SELECT Id,Titulo,Codigo FROM produto) as produto ON produto.Id = devolucao_produto.Id_Produto
                                        left join (SELECT Id,Titulo FROM local_estoque) as local_estoque ON local_estoque.Id = devolucao_produto.Id_Local_Estoque
                                        WHERE devolucao_produto.Id_Devolucao='" . $Codigo_Devolucao . "'
                                        AND Tipo = 'Saida'
                                        ORDER BY devolucao_produto.Data_Cadastro");

ob_start();
?>

<?php
$color = "#F5F5F5";
$x = 0;
while ($linha = mysqli_fetch_assoc($sql_devolucao)) {
    if ($color == "#F5F5F5") {
        $color = "#E8E8E8";
    } else {
        $color = "#F5F5F5";
    }
?>

    <?php if ($x == 0) { ?>
        <table id="table_saida" width="90%" align="center" border="0" cellpadding="2" cellspacing="2">
            <thead>
                <tr>
                    <td class="table_prod_nome">Cd</td>
                    <td class="table_prod_nome">Item</td>
                    <td class="table_prod_nome">Valor Unit</td>
                    <td class="table_prod_nome">Qtd</td>
                    <td class="table_prod_nome">Local</td>
                    <td class="table_prod_nome">Valor Total</td>
                    <td class="table_prod_nome">Alterar</td>
                    <td class="table_prod_nome">Remover</td>
                </tr>
            </thead>
        <?php } ?>

        <tbody>

            <tr bgcolor=<?php echo "$color"; ?>>
                <td class="table_prod_valor"><?php echo $linha['Codigo']; ?></td>
                <td class="table_prod_valor"><?php echo $linha['Produto']; ?></td>
                <td class="table_prod_valor"><?php echo valor_exibir($linha['Preco']); ?></td>
                <td class="table_prod_valor"><?php echo $linha['Qtd']; ?></td>
                <td class="table_prod_valor"><?php echo $linha['Local_Estoque']; ?></td>
                <td class="table_prod_valor"><?php echo valor_exibir((($linha['Qtd'] * $linha['Preco']) - (($linha['Qtd'] * $linha['Preco']) * ($linha['Desconto'] / 100))) - $linha['Desconto_Real']); ?></td>
                <?php if ($_POST["Opcao_Ver"] != 'ver') { ?>
                    <td class="table_prod_valor">
                        <?php if (DEVOLUCAO_ALTERAR == 'Sim') { ?>
                            <input class="botao_novo" type="button" value="Alterar" onclick="window.open('tabela_alterar_1.php?id_linha=<?php echo $linha['Id']; ?>','Alterar','width=600,height=550,top=0,left=0,scrollbars=yes')">
                        <?php } ?>
                    </td>
                    <td class="table_prod_valor">
                        <?php if (DEVOLUCAO_REMOVER == 'Sim') { ?>
                            <input class="botao_novo btn_apagar_saida" type="button" value="Remover" onclick="ApagarLinhaSai('<?php echo $linha['Id']; ?>');">
                        <?php } ?>
                    </td>
                <?php } ?>
            </tr>

        <?php
        $Valor_Total += (($linha['Qtd'] * $linha['Preco']) - (($linha['Qtd'] * $linha['Preco']) * ($linha['Desconto'] / 100))) - $linha['Desconto_Real'];

        $x++;
    } ?>
        </tbody>

        </table>
        <table width="100%">
            <tr>
                <td colspan="3" width="65%"></td>
                <td width="35%" colspan="2" align="left">
                    <font face="verdana" size="2">Total Sada:
                        <input type="text" name="Total_Devolucao_Sai" id="Total_Devolucao_Sai" readonly="readonly" value="<?php echo  valor_exibir($Valor_Total); ?>" size="10">
                    </font>
                </td>
            </tr>
            <input type="hidden" name="Voltas" value="<?php echo $x++ ?>">
            <!-- coloca o valor total dos itens no valor pago -->
            <script type="text/javascript">
                jogarValor();
            </script>
        </table>
        <?php
        $pagina = ob_get_contents();
        ob_end_clean();
        echo utf8_encode($pagina);
        ?>
