<?php
include_once '../include/conecta.php'; //Conecta com a nosso banco de dados MySQL
include_once '../include/ver_sessao.php'; //Verifica se a sesso est ativa
include_once '../include/funcoesPhp.php'; include_once '../menu_movimento.php';
?>
<?php
	$sql_produto = mysqli_query($con,"SELECT devolucao.Lancamento,
                            devolucao.Data_Devolucao,
                            cliente.Titulo as Cliente,
                            cliente.Razao_Social,
                            funcionario.Titulo as Funcionario,
                            devolucao.Obs,
                            devolucao.Valor_Pago,
                            devolucao.Parcela,
                            tipo_pagamento.Titulo as Tipo_Pagamento,
                            devolucao.Data_Conclusao
                            FROM devolucao
                            LEFT JOIN (SELECT Id,Titulo,Razao_Social FROM cliente) as cliente ON devolucao.Id_Cliente = cliente.Id
                            LEFT JOIN (SELECT Id,Titulo FROM funcionario) as funcionario ON devolucao.Id_Funcionario = funcionario.Id
                            LEFT JOIN (SELECT Id,Titulo FROM tipo_pagamento) as tipo_pagamento ON devolucao.Id_Tipo_Pagamento = tipo_pagamento.Id
                            WHERE devolucao.Id='".$_GET["id_devolucao"]."'")
	or die("ERRO no comando SQL:".mysqli_error($con));
	$array_produto = mysqli_fetch_assoc($sql_produto);

	$_POST["Lancamento"] 	= $array_produto["Lancamento"];
	$_POST["Data_Devolucao"] = $array_produto["Data_Devolucao"];
	$_POST["Obs"]           = stripslashes($array_produto["Obs"]);
	$_POST["Cliente"]       = $array_produto["Cliente"];
        $_POST["Razao_Social"]  = $array_produto["Razao_Social"];
	$_POST["Funcionario"]  	= $array_produto["Funcionario"];
        $_POST["Valor_Pago"]    = valor_exibir($array_produto["Valor_Pago"]);
	$_POST["Tipo_Pagamento"]= $array_produto["Tipo_Pagamento"];
	$_POST["Data_Conclusao"]= $array_produto["Data_Conclusao"];
        $_POST["Parcela"]       = $array_produto["Parcela"];
        

?>
<html>
<head>
<title>Gw - Gesto Web</title>
<link rel="stylesheet" type="text/css" href="../estilo/<?php echo SKIN ;?>/tableless.css" />
<link rel="stylesheet" type="text/css" href="../estilo/<?php echo SKIN ;?>/tabela_imp.css" />
</head>
<body>
    
        <fieldset class="envolve">
            
 <table width="100%" align="center" border="0" cellpadding="2" cellspacing="2">
     <tr>
         <td class="azul-claro" width="20%">Lanamento</td>
         <td class="cinza"><?php echo $_POST["Lancamento"];?></td>
     </tr>
     <tr>
         <td class="azul-claro" width="20%">Data</td>
         <td class="cinza"><?php echo data_exibir($_POST["Data_Devolucao"]);?></td>
     </tr>
     <tr>
         <td class="azul-claro" width="20%">Responsvel</td>
         <td class="cinza"><?php echo $_POST["Funcionario"];?></td>
     </tr>
     <tr>
         <td class="azul-claro" width="20%">Cliente</td>
         <td class="cinza">
             <?php
             if(CLIENTE_RAZAO_SOCIAL=='Sim')
                echo $_POST["Razao_Social"];
             else
                echo $_POST["Cliente"];
             ?>
         </td>
     </tr>
     <tr>
         <td class="azul-claro" width="20%">Obs</td>
         <td class="cinza"><?php echo $_POST["Obs"];?></td>
     </tr>
     <tr>
         <td class="azul-claro" width="20%">Valor</td>
         <td class="cinza"><?php echo $_POST["Valor_Pago"];?></td>
     </tr>
     <tr>
         <td class="azul-claro" width="20%">Tipo Pagamento</td>
         <td class="cinza"><?php echo $_POST["Tipo_Pagamento"];?></td>
     </tr>
     <tr>
         <td class="azul-claro" width="20%">Data Concluso</td>
         <td class="cinza"><?php echo data_exibir($_POST["Data_Conclusao"]);?></td>
     </tr>
 </table>

 <table width="100%" align="center" border="0" cellpadding="2" cellspacing="2">
     <tr>
         <td colspan="2">Produtos</td>
     </tr>
     <tr>
         <td class="azul-claro" width="2%">x</td>
         <td class="azul-claro" width="20%">Cdigo</td>
         <td class="azul-claro" width="30%">Produto</td>
         <td class="azul-claro" width="10%">Preo</td>
         <td class="azul-claro" width="10%">Qtd</td>
         <td class="azul-claro" width="10%">Total</td>
     </tr>
<?php
    
$usuario = listar("Select produto.Titulo as Produto,
                            produto.Codigo,
                            devolucao_produto.Preco,
                            devolucao_produto.Qtd,
                            devolucao_produto.Avaria,
                            devolucao_produto.Troca,
                            devolucao_produto.Devolucao
                            from devolucao_produto
                            INNER JOIN (SELECT Id,Titulo,Codigo FROM produto) as produto ON produto.Id = devolucao_produto.Id_Produto
                            where 1=1
                            AND devolucao_produto.Id_Devolucao = '".$_GET["id_devolucao"]."'
                            AND devolucao_produto.Tipo = 'Entrada' ");
$x='1';
foreach($usuario as $chave){
?>

     <tr>
         <td class="cinza"><?php echo $x;?></td>
         <td class="cinza"><?php echo $chave["Codigo"];?></td>
         <td class="cinza"><?php echo $chave["Produto"];?></td>
         <td class="cinza"><?php echo @valor_exibir( ( ($chave["Preco"]) - ($chave["Preco"] * ($chave["Desconto"]/100)) ) - $chave["Desconto_Real"]);?></td>
         <td class="cinza"><?php echo valor_exibir($chave["Qtd"]);?></td>
         <td class="cinza"><?php echo @valor_exibir( ( ($chave["Preco"]*$chave["Qtd"]) - ( ($chave["Preco"]*$chave["Qtd"])*($chave["Desconto"]/100) ) ) - $chave["Desconto_Real"]);?></td>
     </tr>
     
<?php $x++; } ?>
     
 </table>
            
        <br/>
        <button class="botao_novo" type="button" value="Voltar" onclick="location.href='list_devolucao.php';">Voltar</button>
            
        </fieldset>