<?php
include_once '../include/conecta.php'; //Conecta com a nosso banco de dados MySQL
include_once '../include/ver_sessao.php'; //Verifica se a sesso est ativa
include_once '../include/funcoesPhp.php';
include_once '../menu_movimento.php';

$modulo_lista = 'Cargo';
include '../include/sessao_lista.php';
?>
<?php
$menu = mysqli_query($con, "select permissao.Relatorio,
                                    permissao.Cadastrar,
                                    permissao.Alterar,
                                    permissao.Deletar
                                    from permissao
                                    inner join menu_usuario ON menu_usuario.Id_Menu = permissao.Id_Menu
					where menu_usuario.Id_Responsavel='" . $_SESSION["Id"] . "'
					and permissao.Id_Responsavel='" . $_SESSION["Id"] . "'
					and permissao.Id_Menu = '902' ");
$menu = mysqli_fetch_assoc($menu);
?>
<?php
if ($_GET["Ordenar"]) {
    $Ordenar1 = " ORDER BY " . $_GET["Ordenar"] . " ";
} else {
    $Ordenar1 = " ORDER BY encontro_contas.Lancamento ";
}
if ($_GET['Ordem_Lista'] == 'Desc') {
    $Ordem_Lista1 = ' DESC ';
} else {
    $Ordem_Lista1 = ' ASC ';
}

if ($_GET['Pesq']) {
    $pesquisa = " AND " . $_GET['Ordenar'] . " like '%" . $_GET['Pesq'] . "%' ";
}


/* Inicio dos parmetros da Paginao*/

/*varivel com o cdigo SQL da consulta ao banco de dados*/
$_pagi_sql = "SELECT encontro_contas.Id as 'IdEncontro',
                     encontro_contas.Lancamento,
                     encontro_contas.Data_Cadastro,
                     encontro_contas.Diferenca,
                     encontro_contas.Status,
                     encontro_contas.Financeiro,
                     cliente.Titulo as 'Cliente',
                     cliente.Razao_Social as 'Cliente_Razao',
                     fornecedor.Titulo as 'Fornecedor',
                     fornecedor.Razao_Social as 'Fornecedor_Razao'
              FROM encontro_contas
                LEFT JOIN (SELECT Id,Id_Encontro_Contas,Id_Fornecedor,Id_Cliente,Id_Externo FROM encontro_contas_registro) as encontro_contas_registro
                ON encontro_contas_registro.Id_Encontro_Contas = encontro_contas.Id
                LEFT JOIN (SELECT Id,Titulo,Razao_Social FROM cliente) as cliente ON cliente.Id = encontro_contas_registro.Id_Cliente
                LEFT JOIN (SELECT Id,Titulo,Razao_Social FROM fornecedor) as fornecedor ON fornecedor.Id = encontro_contas_registro.Id_Fornecedor
              where 1=1
              group by encontro_contas.Id
               $pesquisa $Ordenar1 $Ordem_Lista1 ";

/* pagina fora que contem todas as opcoes do paginator */
include_once '../include/paginator_opcao.php';
include_once '../include/paginator.inc.php'; //incluindo o script de paginao PAGINATOR
/*Paginao na listagem dos clientes. Apenas nos arquivos listar.
 * Inclue-se depois que passa os parmetros da funo
 * seus resultados so aparentementes satisfatrio
 * */
?>
<html>

<head>
    <title>Gw - Gesto Web</title>
    <link rel="stylesheet" type="text/css" href="../estilo/<?php echo SKIN; ?>/listless.css" />
    <script type="text/javascript" language="javascript" src="../js/jquery.js"></script>
    <?php include '../include/script_cabeca.php'; ?>
    <script type="text/javascript" language="javascript" src="../js/script.js"></script>
    <script type="text/javascript" language="javascript">
    function submeteFiltro(valor) {
        document.forms['ordenar'].submit();
    }
    </script>
</head>

<body>
    <!-- Centro -->
    <div id="centro">
        <!-- Contedo -->
        <div id="conteudo" class="ajustar">

            <div class="titulo">
                <span>Encontro de Contas</span>
                <form name="pesquisa" method="get" action="">
                    <span class="inputs">
                        <?php echo $_pagi_info; ?>
                        <!--
					<label for="Pesq">Busca:</label>
					<input type="text" name="Pesq" size="30" value="<?php echo $_GET['Pesq']; ?>" >
                                        <input name="Pesquisar" type="image" value="Pesquisar" src="../imagem/seta-dir.png" alt="Ir" title="Ir" >
                                    -->
                    </span>
                </form>
            </div>
            <!-- Navegao -->
            <div class="botoes_cima">
                <a href="javascript:void(0);" class="voltar" alt="Voltar" title="Voltar"
                    onclick="javascript:history.back(1);">Voltar</a>

                <?php //if ($menu["Cadastrar"] == "Sim") { 
                ?>
                <a href="cad_encontro_contas.php?acao=entrar" alt="Cadastrar" title="Cadastrar"
                    class="incluir">Cadastrar</a>
                <?php //} 
                ?>
                <form name="ordenar" method="get" action="">
                    <span class="ordenar_por">
                        <label for="Pesq">Busca:</label>
                        <input type="text" name="Pesq" size="30" value="<?php echo $_GET['Pesq']; ?>">
                        <label for="Pesq">Ordenar Por:</label>
                        <?php
                        $vetor = array('Lancamento' => 'Lanamento', 'Cliente' => 'Cliente', 'Fornecedor' => 'Fornecedor', 'Data_Cadastro' => 'Data Cadastro');
                        select_tela("Ordenar", "Ordenar", $_GET["Ordenar"], $vetor, "onchange='submeteFiltro(this.value)'");
                        ?>
                        <?php
                        $vetor = array('Asc' => 'Crescente', 'Desc' => 'Decrescente');
                        select_tela("Ordem_Lista", "Ordem_Lista", $_GET["Ordem_Lista"], $vetor, "onchange='submeteFiltro(this.value)'");
                        ?>
                    </span>
                </form>
                <!-- Fim Navegao -->
            </div>

            <table id="lista">
                <thead>
                    <tr>
                        <td>Lanamento</td>
                        <td>Data</td>
                        <td>Cliente</td>
                        <td>Fornecedor</td>
                        <td>Diferena</td>
                        <td>Status</td>
                        <td>Opes</td>
                    </tr>
                </thead>
                <tfoot>
                    <tr>
                        <td colspan="8">
                            <div id="paginacao">
                                <p><?php echo $_pagi_navegacion; ?></p>
                            </div>
                        </td>
                    </tr>
                </tfoot>
                <tbody>
                    <?php $color = "#F5F5F5";;
                    while ($linha = mysqli_fetch_assoc($_pagi_result)) {
                        if ($color == "#F5F5F5") {
                            $color = "#E8E8E8";
                            $cass = "";
                        } else {
                            $color = "#F5F5F5";
                            $cass = "class='azul'";
                        }
                    ?>
                    <tr <?php echo "$cass"; ?>>
                        <td><?php echo $linha['Lancamento']; ?></td>
                        <td><?php echo data_exibir($linha['Data_Cadastro']); ?></td>

                        <?php
                            if (CLIENTE_RAZAO_SOCIAL == 'Sim') {
                                $nome = $linha['Cliente_Razao'];
                            } else {
                                $nome = $linha['Cliente'];
                            }
                            ?>
                        <td><?php echo $nome; ?></td>

                        <?php
                            if (FORNECEDOR_RAZAO_SOCIAL == 'Sim') {
                                $nome2 = $linha['Fornecedor_Razao'];
                            } else {
                                $nome2 = $linha['Fornecedor'];
                            }
                            ?>
                        <td><?php echo $nome2; ?></td>
                        <td><?php echo valor_exibir($linha['Diferenca']); ?></td>

                        <?php
                            $corStatus = "";
                            if ($linha['Status'] == 'Finalizado') {
                                $corStatus = "color = '#228B22' ";
                            }
                            if ($linha['Status'] == 'Aberto') {
                                $corStatus = "color = '#3A5FCD' ";
                            }
                            if ($linha['Status'] == 'Cancelado') {
                                $corStatus = "color = '#CD2626' ";
                            }
                            ?>
                        <td>
                            <font <?php echo $corStatus ?>>
                                <b>
                                    <?php echo $linha['Status']; ?>
                                </b>
                            </font>
                        </td>
                        <td>
                            <?php
                                if (LIBERAR_ENCONTRO_CONTA == 'Sim') {
                                    if ($linha["Status"] == "Aberto") {
                                        $link3 = "gerar_financeiro.php?id_encontro=" . $linha['IdEncontro'];
                                        // $link4 = "confirmar('" . $linha["IdEncontro"] . "', 'rotina_finalizar.php?id_encontro=');";
                                        $figura5 = "../imagem/bt_lida.png";
                                ?>
                            <a href='<?php echo $link3; ?>'><img src="<?php echo $figura5; ?>" title="Finalizar"
                                    alt="Finalizar" border="0" /></a>
                            <?php }
                                } ?>

                            <?php
                                if (CANCELAR_ENCONTRO_CONTA == 'Sim') {
                                    $link2 = "rotina_cancelar.php?id_encontro=" . $linha['IdEncontro'];
                                    $figura3 = "../imagem/delete.png";
                                ?>
                            <a href='<?php echo $link2; ?>'><img src="<?php echo $figura3; ?>" title="Cancelar"
                                    alt="Cancelar" border="0" /></a>
                            <?php } ?>

                            <a href="javascript:void();"
                                onclick="window.open('<?php echo "imp_encontro_contas.php?id_encontro=" . $linha["IdEncontro"]; ?>', 'Fatura', 'width=700,height=800,top=0,left=0,scrollbars=yes');">
                                <img border="0" src="../imagem/bt_pedido.png" title="Comprovante"
                                    alt="Comprovante" /></a>
                            <?php
                                if ($linha["Status"] == "Finalizado" && $linha["Financeiro"] == 'No') {
                                    $link6 = "rotina_finalizar.php?id_encontro=" . $linha['IdEncontro'];
                                    $figura1 = "../imagem/cifrao.png";
                                ?>
                            <a href="javascript:void();"
                                onclick="window.open('rotina_finalizar.php?id_encontro=<?php echo $linha['IdEncontro']; ?>', 'Financeiro', 'width=700,height=600,top=0,left=0,scrollbars=yes')">
                                <img border="0" src="../imagem/cifrao.png" title="Gerar Financeiro"
                                    alt="Gerar Financeiro" /></a>
                            <?php } ?>
                        </td>
                    </tr>
                    <?php } ?>
                </tbody>
            </table>
            <!-- Navegao Inferior -->
            <div class="botoes_baixo">
                <a href="javascript:void(0);" class="voltar" alt="Voltar" title="Voltar"
                    onclick="javascript:history.back(1);">Voltar</a>

                <?php if ($menu["Cadastrar"] == "Sim") { ?>
                <a href="cad_encontro_contas.php?acao=entrar" alt="Cadastrar" title="Cadastrar"
                    class="incluir">Cadastrar</a>
                <?php } ?>
                <!-- Fim Navegao Inferior -->
            </div>

        </div>
        <!-- Fim do Contedo -->
    </div>
    <!-- Fim de Centro -->

</body>

</html>