<?php

use Com\Tecnick\Barcode\Type\Square\QrCode\Data;

include_once '../include/conecta.php'; //Conecta com a nosso banco de dados MySQL
include_once '../include/ver_sessao.php'; //Verifica se a sesso est ativa
include_once '../include/funcoesPhp.php';
include_once '../menu_movimento.php';
include '../include/sessao_lista.php';

$func = mysqli_query($con, "SELECT Id,Titulo FROM funcionario WHERE Id='" . $_SESSION["Id_Funcionario"] . "' ");
$func = mysqli_fetch_assoc($func);


$encontro_registro = mysqli_query($con, "SELECT encontro_contas.Id as 'IdEncontro',
                                                encontro_contas.Lancamento,
                                                encontro_contas.Data_Cadastro,
                                                encontro_contas.Status,
                                                encontro_contas.Diferenca,
                                                encontro_contas_registro.Id_Encontro_Contas,
                                                encontro_contas_registro.Id_Externo
                                        FROM encontro_contas
                                        LEFT JOIN (SELECT Id,Id_Encontro_Contas,Id_Fornecedor,Id_Cliente,Id_Externo FROM encontro_contas_registro) as encontro_contas_registro
                                        ON encontro_contas_registro.Id_Encontro_Contas = '" . $_GET["id_encontro"] . "'
                                        WHERE encontro_contas.Id='" . $_GET["id_encontro"] . "'")
    or die("Erro no SQL: " . mysqli_error($con));

while ($row = mysqli_fetch_assoc($encontro_registro)) {

    $contaReceber = mysqli_query($con, "SELECT  conta_receber.Id,
                                                        conta_receber.Obs,
                                                        conta_receber.Valor_Original,
                                                        conta_receber.Valor_Pago,
                                                        conta_receber.Id_Tipo_Pagamento,
                                                        conta_receber.Id_Unidade,
                                                        conta_receber.Id_Conta,
                                                        conta_receber.Id_Atividade,
                                                        conta_receber.Id_Centro_Custo,
                                                        conta_receber.EF,
                                                        conta_receber.Data_Pagamento,
                                                        conta_receber.Status,
                                                        tipo_pagamento.Titulo as 'Tipo_Pagamento'
                                                from conta_receber
                                                LEFT JOIN (SELECT Id,Titulo FROM tipo_pagamento) as tipo_pagamento ON tipo_pagamento.Id = conta_receber.Id_Tipo_Pagamento
                                                where 1=1
                                                AND conta_receber.Id = '" . $row["Id_Externo"] . "' ");
    $contaReceber = mysqli_fetch_assoc($contaReceber);

    mysqli_query($con, "UPDATE conta_receber SET Status ='Liquidado', 
                                                 Valor_Pago = '" . $contaReceber["Valor_Original"] . "',
                                                 Data_Pagamento = '" . date('Y-m-d H:i:s') . "', Id_Conta = 'd5bc35030b28de877d762850796bdd59',
                                                 Id_Usuario_Upd = '" . $_SESSION["Id_Funcionario"] . "'
                                           WHERE Id = '" . $contaReceber["Id"] . "';")
        or die("Erro no SQL: " . mysqli_error($con));

    if ($contaReceber["Id"] != "") {

        $codcaixa = md5($func["Titulo"] . microtime());
        mysqli_query($con, "INSERT INTO caixa
                            ( Id,
                            Data_Caixa,
                            Tipo,
                            Valor,
                            Obs,
                            Tipo_Pagamento,
                            Id_Tipo_Pagamento,
                            Funcionario,
                            Id_Funcionario,
                            Origem,
                            Id_Externo,
                            Id_Unidade,
                            Id_Conta,
                            Id_Atividade,
                            Id_Centro_Custo,
                            EF,
                            " . $padraoCampos . ")
                            values(
                            '$codcaixa',
                            '" . date('Y-m-d H:i:s') . "',
                            'Entrada',
                            '" . $contaReceber["Valor_Original"] . "',
                            '" . $contaReceber["Obs"] . ' - ' . 'Liquidado atravs do Encontro de Contas N ' . $row["Lancamento"] . "',
                            '" . $contaReceber["Tipo_Pagamento"] . "',
                            '" . $contaReceber["Id_Tipo_Pagamento"] . "',
                            '" . $func["Titulo"] . "',
                            '" . $func["Id"] . "',
                            'Conta a Receber',
                            '" . $contaReceber["Id"] . "',
                            '" . $contaReceber["Id_Unidade"] . "',
                            'd5bc35030b28de877d762850796bdd59',
                            '" . $contaReceber["Id_Atividade"] . "',
                            '" . $contaReceber["Id_Centro_Custo"] . "',
                            '" . $contaReceber["EF"] . "',
                            " . $padraoPost . ")")
            or die("Erro no comando SQL:" . mysqli_error($con));
    }

    $contaPagar = mysqli_query($con,
    "SELECT  conta_pagar.Id,
                                                conta_pagar.Id_Fornecedor,
                                                conta_pagar.Obs,
                                                conta_pagar.Valor_Original,
                                                conta_pagar.Valor_Pago,
                                                conta_pagar.Id_Tipo_Pagamento,
                                                conta_pagar.Id_Unidade,
                                                conta_pagar.Id_Conta,
                                                conta_pagar.Id_Atividade,
                                                conta_pagar.Id_Centro_Custo,
                                                conta_pagar.EF,
                                                conta_pagar.Data_Pagamento,
                                                conta_pagar.Status,
                                                conta_pagar.Lancamento as 'NumLancamento',
                                                conta_pagar.Data_Vencimento,
                                                tipo_pagamento.Titulo as 'Tipo_Pagamento'
                                           FROM conta_pagar
                                      LEFT JOIN (SELECT Id,Titulo FROM tipo_pagamento) as tipo_pagamento ON tipo_pagamento.Id = conta_pagar.Id_Tipo_Pagamento
                                            WHERE 1=1
                                              AND conta_pagar.Id = '" . $row["Id_Externo"] . "' ");
    $contaPagar = mysqli_fetch_assoc($contaPagar);

    mysqli_query($con, "UPDATE conta_pagar SET Status ='Liquidado', Valor_Pago = '" . $contaPagar["Valor_Original"] . "',
                                               Data_Pagamento = '" . date('Y-m-d H:i:s') . "', 
                                               Id_Conta ='d5bc35030b28de877d762850796bdd59',
                                               Id_Usuario_Upd = '" . $_SESSION["Id_Funcionario"] . "'
                                         WHERE Id = '" . $contaPagar["Id"] . "';")
        or die("Erro no SQL: " . mysqli_error($con));

    if ($contaPagar["Id"] != "") {

        $codcaixa2 = md5($func["Titulo"] . microtime());
        mysqli_query($con, "INSERT INTO caixa
                                ( Id,
                                Data_Caixa,
                                Tipo,
                                Valor,
                                Obs,
                                Tipo_Pagamento,
                                Id_Tipo_Pagamento,
                                Funcionario,
                                Id_Funcionario,
                                Origem,
                                Id_Externo,
                                Id_Unidade,
                                Id_Conta,
                                Id_Atividade,
                                Id_Centro_Custo,
                                EF,
                                " . $padraoCampos . ")
                                values(
                                '$codcaixa2',
                                '" . date('Y-m-d H:i:s') . "',
                                'Saida',
                                '" . $contaPagar["Valor_Original"] . "',
                                '" . $contaPagar["Obs"] . ' - ' . 'Liquidado atravs do Encontro de Contas N ' . $row["Lancamento"] . "',
                                '" . $contaPagar["Tipo_Pagamento"] . "',
                                '" . $contaPagar["Id_Tipo_Pagamento"] . "',
                                '" . $func["Titulo"] . "',
                                '" . $func["Id"] . "',
                                'Conta a Pagar',
                                '" . $contaPagar["Id"] . "',
                                '" . $contaPagar["Id_Unidade"] . "',
                                'd5bc35030b28de877d762850796bdd59',
                                '" . $contaPagar["Id_Atividade"] . "',
                                '" . $contaPagar["Id_Centro_Custo"] . "',
                                '" . $contaPagar["EF"] . "',
                                " . $padraoPost . ")")
            or die("Erro no comando SQL:" . mysqli_error($con));
    }
}

mysqli_query($con, "UPDATE encontro_contas SET Status ='Finalizado' WHERE Id = '" . $_GET["id_encontro"] . "'")
    or die("Erro no SQL: " . mysqli_error($con));


$encontro_registro2 = mysqli_query($con, "SELECT encontro_contas.Id,
                                                 encontro_contas.Diferenca,
                                                 encontro_contas.Lancamento
                                            FROM encontro_contas
                                            WHERE Id='" . $_GET["id_encontro"] . "'");
$array_titulo = mysqli_fetch_assoc($encontro_registro2);

if ($array_titulo["Diferenca"] < 0) {

    $LancamentoPagar = mysqli_query($con, "SELECT Lancamento FROM conta_pagar ORDER BY Lancamento DESC LIMIT 1");
    $LancamentoPagar = mysqli_fetch_assoc($LancamentoPagar);
    $LancamentoPagar = $LancamentoPagar["Lancamento"] + 1;

    $registroPagar = mysqli_query($con, "SELECT Id,Id_Externo,Origem FROM encontro_contas_registro WHERE Id_Encontro_Contas='" . $_GET["id_encontro"] . "' AND Origem = 'CP' OR Origem ='COM' ORDER BY Data_Cadastro DESC LIMIT 1");
    $registroPagar = mysqli_fetch_assoc($registroPagar);

    $pagarOrigem = mysqli_query($con, "SELECT Id,
                                              Fatura,
                                              Lancamento,
                                              Id_Fornecedor,
                                              Descricao,
                                              Data_Emissao,
                                              Data_Vencimento,
                                              Valor_Original,
                                              Id_Funcionario,
                                              Id_Conta,
                                              Status,
                                              Id_Tipo_Pagamento,
                                              Id_Unidade,
                                              Id_Externo,
                                              Origem,
                                              Id_Pai_Conta_Pagar,
                                              Id_Atividade,
                                              Id_Centro_Custo 
                                              FROM conta_pagar 
                                              WHERE Id = '" . $registroPagar["Id_Externo"] . "' ");
    $pagarOrigem = mysqli_fetch_assoc($pagarOrigem);

    $diferencaPagar = ($array_titulo["Diferenca"] * -1);

    $codcaixa2 = md5($LancamentoPagar  . microtime());

    mysqli_query($con, "INSERT INTO conta_pagar (Id,
                                                Fatura,
                                                Lancamento,
                                                Id_Fornecedor,
                                                Descricao,
                                                Data_Emissao,
                                                Data_Vencimento,
                                                Valor_Original,
                                                Id_Funcionario,
                                                Id_Conta,
                                                Status,
                                                Id_Tipo_Pagamento,
                                                Id_Unidade,
                                                Id_Externo,
                                                Origem,
                                                Id_Pai_Conta_Pagar,
                                                Id_Atividade,
                                                Id_Centro_Custo,
                                                Obs,
                                                " . $padraoCampos . ")
                                                values
                                                ('$codcaixa2',
                                                '" . $pagarOrigem["Fatura"] . "',
                                                '" . $LancamentoPagar . "',
                                                '" . $pagarOrigem["Id_Fornecedor"] . "',
                                                '" . $pagarOrigem["Descricao"] . 'Encontro de Contas: ' . $array_titulo["Id"] . "',
                                                '" . $pagarOrigem["Data_Emissao"] . "', 
                                                '" . $pagarOrigem["Data_Vencimento"] . "',
                                                '" . $diferencaPagar . "',
                                                '" . $_SESSION["Id_Funcionario"] . "',
                                                'd5bc35030b28de877d762850796bdd59',
                                                'Aberto',
                                                '" . $pagarOrigem["Id_Tipo_Pagamento"] . "',
                                                '" . $pagarOrigem["Id_Unidade"] . "',
                                                '" . $array_titulo["Id"] . "',
                                                'EC',
                                                '" . $pagarOrigem["Id"] . "',
                                                '" . $pagarOrigem["Id_Atividade"] . "',
                                                '" . $pagarOrigem["Id_Centro_Custo"] . "',
                                                '" . 'Gerado a partir do encontro de contas' . ' - ' . $array_titulo["Lancamento"] . "' ,
                                                " . $padraoPost . ")");

    mysqli_query($con, "UPDATE encontro_contas SET Financeiro ='Sim' WHERE Id = '" . $_GET["id_encontro"] . "'")
        or die("Erro no SQL: " . mysqli_error($con));
} else {
    if ($array_titulo["Diferenca"] != 0) {

        $LancamentoPagar = mysqli_query($con, "SELECT Lancamento FROM conta_receber ORDER BY Lancamento DESC LIMIT 1");
        $LancamentoPagar = mysqli_fetch_assoc($LancamentoPagar);
        $LancamentoPagar = $LancamentoPagar["Lancamento"] + 1;

        $registroPagar = mysqli_query($con, "SELECT Id,
                                                    Id_Externo,
                                                    Origem 
                                                    FROM encontro_contas_registro 
                                                    WHERE Id_Encontro_Contas='" . $_GET["id_encontro"] . "' 
                                                    AND Origem = 'CR' OR Origem ='VDA' 
                                                    ORDER BY Data_Cadastro DESC LIMIT 1");
        $registroPagar = mysqli_fetch_assoc($registroPagar);

        $pagarOrigem1 = mysqli_query($con, "SELECT Id,
                                                   Fatura,
                                                   Lancamento,
                                                   Id_Cliente,
                                                   Descricao,
                                                   Data_Emissao,
                                                   Data_Vencimento,
                                                   Valor_Original,
                                                   Id_Funcionario,
                                                   Id_Conta,
                                                   Status,
                                                   Id_Tipo_Pagamento,
                                                   Id_Unidade,
                                                   Id_Externo,
                                                   Origem,
                                                   Id_Pai_Conta_Receber,
                                                   Id_Atividade,
                                                   Id_Centro_Custo 
                                                   FROM conta_receber 
                                                   WHERE Id = '" . $registroPagar["Id_Externo"] . "' ");
        $pagarOrigem = mysqli_fetch_assoc($pagarOrigem1);

        $diferencaPagar = $array_titulo["Diferenca"];

        $codcaixa2 = md5($LancamentoPagar  . microtime());

        mysqli_query($con, "INSERT INTO conta_receber (Id,
                                                       Fatura,
                                                       Lancamento,
                                                       Id_Cliente,
                                                       Descricao,
                                                       Data_Emissao,
                                                       Data_Vencimento,
                                                       Valor_Original,
                                                       Id_Funcionario,
                                                       Id_Conta,
                                                       Status,
                                                       Id_Tipo_Pagamento,
                                                       Id_Unidade,
                                                       Id_Externo,
                                                       Origem,
                                                       Id_Pai_Conta_Receber,
                                                       Id_Atividade,
                                                       Id_Centro_Custo,
                                                       Obs,
                                                       " . $padraoCampos . ")
                                                VALUES('$codcaixa2',
                                                       '" . $pagarOrigem["Fatura"] . "',
                                                       '" . $LancamentoPagar . "',
                                                       '" . $pagarOrigem["Id_Cliente"] . "',
                                                       '" . $pagarOrigem["Descricao"] . 'Encontro de Contas: ' . $array_titulo["Id"] . "',
                                                        '" . $pagarOrigem["Data_Emissao"] . "', 
                                                        '" . $pagarOrigem["Data_Vencimento"] . "',
                                                        '" . $diferencaPagar . "',
                                                        '" . $_SESSION["Id_Funcionario"] . "',
                                                        'd5bc35030b28de877d762850796bdd59',
                                                        'Aberto',
                                                        '" . $pagarOrigem["Id_Tipo_Pagamento"] . "',
                                                        '" . $pagarOrigem["Id_Unidade"] . "',
                                                        '" . $array_titulo["Id"] . "',
                                                        'EC',
                                                        '" . $pagarOrigem["Id"] . "',
                                                        '" . $pagarOrigem["Id_Atividade"] . "',
                                                        '" . $pagarOrigem["Id_Centro_Custo"] . "',
                                                        '" . 'Gerado a partir do encontro de contas' . ' - ' . $array_titulo["Lancamento"] . "' ,
                                                        " . $padraoPost . ")");

        mysqli_query($con, "UPDATE encontro_contas SET Financeiro ='Sim' WHERE Id = '" . $_GET["id_encontro"] . "'")
            or die("Erro no SQL: " . mysqli_error($con));
    }
}

logUsuario($_SERVER['REMOTE_ADDR'], $_SESSION['Login'], $_SESSION['Email'], $_SESSION['Unidade'], "Os", "Cadastro");

echo "<script>alert('Lanamento Finalizado!');</script>";
echo "<script>window.opener.document.forms['ordenar'].submit(); window.close();</script>";
echo "<script>window.close();</script>";
?>