<?php
include_once '../include/conecta.php'; //Conecta com a nosso banco de dados MySQL
ini_set('session.gc_maxlifetime', 60 * 120);
session_start();
/* include_once '../include/ver_sessao.php'; //Verifica se a sesso est ativa */
include_once '../include/funcoesPhp.php';
include_once '../menu_movimento.php';
?>
<html>

<head>
    <title>Gw - Gesto Web</title>
    <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1" />
    <link rel="shortcut icon" href="imagem/favi_gw.ico" type="image/x-icon" />
    <link rel="stylesheet" type="text/css" href="../estilo/<?php echo SKIN; ?>/tableless.css" />
    <link rel="stylesheet" type="text/css" href="../estilo/<?php echo SKIN; ?>/tabelas.css" />
    <link rel="stylesheet" type="text/css" href="../js/datePicker/datePicker.css" />
    <script language="javascript" type="text/javascript" src="../js/jquery.js"></script>
    <?php include '../include/script_cabeca.php'; ?>
    <?php include '../include/script_campo.php'; ?>
    <script language="javascript" type="text/javascript" src="../js/script.js"></script>
    <!-- required plugins -->
    <script language="javascript" type="text/javascript" src="../js/datePicker/<?php
                                                                                if (PAIS == "USA") {
                                                                                    echo "date";
                                                                                } else {
                                                                                    echo "date-pt";
                                                                                }
                                                                                ?>.js"></script>
    <!--[if IE]>
                <script type="text/javascript" src="../js/datePicker/jquery.bgiframe.js"></script>
                <![endif]-->
    <!-- jquery.datePicker.js -->
    <script type="text/javascript" src="../js/datePicker/jquery.datePicker.js"></script>
    <script type="text/javascript" language="javascript">
        Date.firstDayOfWeek = 0;
        <?php
        if (PAIS == "USA") {
            echo "Date.format='mm/dd/yyyy';";
        } else {
            echo "Date.format='dd/mm/yyyy';";
        }
        ?>
        $(function() {
            $('.date-pick').datePicker({
                startDate: '01/01/1990'
            })
        });
    </script>
    <script type="text/javascript" language="javascript">
        //Funo para dar Foco no primeiro campo
        $(document).ready(function() {
            $("#Codigo").focus();
        });
    </script>
    <script type='text/javascript'>
        var pressedCtrl = false;
        $(document).keyup(function(e) {
            if (e.which == 17)
                pressedCtrl = false;
        })

        $(document).keydown(function(e) {
            if (e.which == 17)
                pressedCtrl = true;

            //CTRL + J (teclado) Bloqueado, erro com leitor de codigo de barras
            if (pressedCtrl == true && e.which == 74) {
                return false;
            }
        });
    </script>
    <style type="text/css">
        .input {
            margin: 0 5px;
            width: 150px;
            height: 20px;
            font: 16px Georgia, "Trebuchet MS", Tahoma, Times, serif;
            font-weight: bold;
        }

        .codigo,
        .descricao {
            margin: 0 5px;
            width: 250px;
            height: 20px;
            font: 16px Georgia, "Trebuchet MS", Tahoma, Times, serif;
            font-weight: bold;
        }

        .fornecedor {
            margin: 0 5px;
            width: 80%;
            height: 20px;
            font: 16px Georgia, "Trebuchet MS", Tahoma, Times, serif;
            font-weight: bold;
        }

        h1 {
            font: 20px "Trebuchet MS", Tahoma, Helvetica, sans-serif;
            color: #f4f4f4;
        }

        .buscarprodutos {
            font: 16px "Trebuchet MS", Tahoma, Helvetica, sans-serif;
            color: #f4f4f4;
            font-weight: bold;
        }

        strong {
            margin: 0 5px;
            font: 16px "Trebuchet MS", Tahoma, Geneva, sans-serif;
            color: #000000;
            font-weight: bold;
        }

        span {
            font: 16px "Trebuchet MS", Tahoma, Helvetica, sans-serif;
            font-weight: bold;
            color: #069;
        }

        .over {
            overflow: scroll;
            height: 300px;
            padding: 0;
            background-color: #FFFFFF;
        }

        .tr-1 {
            background-color: #E8E8E8;
        }

        .tr-2 {
            background-color: #225F93;
        }

        .tr-3 {
            background-color: #cccccc;
        }

        .destaque {
            background: #00C5CD !important;
        }
    </style>
    <script type="text/javascript" language="javascript">
        //funcao de trocar a cor da TR no listar
        $(function() {
            $('table tr').hover(
                function() {
                    $(this).addClass('destaque');
                },
                function() {
                    $(this).removeClass('destaque');
                }
            );
        });
    </script>
    <script type="text/javascript">
        $(document).ready(function() {
            $('#selectAll').click(function() {
                if (this.checked == true) {
                    $(".checkbox").each(function() {
                        this.checked = true;

                        var valorTotal = $("#ValorTotal").val();
                        $("#Valor_Pago_Anterior").val(valorTotal);

                        cubagem_veiculo($(this).attr("data-value"), this.checked);
                    });
                } else {
                    $(".checkbox").each(function() {
                        this.checked = false;

                        $("#Valor_Pago_Anterior").val('0,00');

                        cubagem_veiculo($(this).attr("data-value"), this.checked);
                    });
                }
            });
        });

        $(function() {
            $(".checkbox").click(function() {
                cubagem_veiculo($(this).attr("data-value"), this.checked);
            });
        });

        function cubagem_veiculo(Valor_Cubagem, Marcado) {
            //var cubagem = $(this).attr("data-value");
            var cubagem_carro = $("#Cubagem_Carro").val();
            var cubagem_venda = $("#Cubagem_Venda").val();

            cubagem = Valor_Cubagem.replace(".", "").replace(",", ".");
            cubagem_carro = cubagem_carro.replace(".", "").replace(",", ".");
            cubagem_venda = cubagem_venda.replace(".", "").replace(",", ".");

            var nova_cubagem;

            if (Marcado == true) {
                nova_cubagem = parseFloat(cubagem_venda) + parseFloat(cubagem);
            } else {
                nova_cubagem = parseFloat(cubagem_venda) - parseFloat(cubagem);
            }

            if (nova_cubagem > cubagem_carro) {
                $("#Salvar").attr('disabled', true);
                $("#Salvar").css('cursor', 'not-allowed');
            } else {
                $('#Salvar').removeAttr('disabled');
                $("#Salvar").css('cursor', 'pointer');
            }

            $('#Cubagem_Venda').val(number_format(nova_cubagem, 2, ',', '.'));
        }
    </script>
    <script language="javascript" type="text/javascript">
        function Radio_Tipo(valor) {
            //var Comissao = $("input[name='Comissao']:checked").val();
            //div2 = document.getElementById("DivNF");
            if (valor == 'Emissao') {
                document.getElementById('divData').innerHTML = 'Data Venda';
                document.getElementById('divData2').innerHTML = 'Data Venda';
            }
            if (valor == 'Vencimento') {
                document.getElementById('divData').innerHTML = 'Data Concluso';
                document.getElementById('divData2').innerHTML = 'Data Concluso';
            }
            if (valor == 'Entrega') {
                document.getElementById('divData').innerHTML = 'Data Entrega';
                document.getElementById('divData2').innerHTML = 'Data Entrega';
            }
        }
    </script>
    <script type="text/javascript" language="javascript">
        function comboEstado(valor) {
            $.post("busca_cidade.php", {
                    Id: valor
                },
                function(data) {
                    $("#divCidade").html(data);
                });
        };
    </script>
</head>

<body>
    <form name="tabela_preco" id="tabela_preco" method="post" action="">
        <table width="100%" border="0" cellpadding="2" cellspacing="1" id="tabela_pdv">
            <tr>
                <td align="center" bgcolor="#225F93" width="48%">
                    <?php
                    if ($_POST['Data_Remessa'] == 'Vencimento') {
                        $dat_v = 'checked';
                        $escri = 'Vencimento';
                    } elseif ($_POST['Data_Remessa'] == 'Entrega') {
                        $dat_e = 'checked';
                        $escri = 'Entrega';
                    } else {
                        $dat_r = 'checked';
                        $escri = 'Venda';
                    }
                    ?>
                    <span id="Caixa_Livre" class="buscarprodutos">
                        <input type="radio" name="Data_Remessa" value='Emissao' id="Emissao" <?php echo $dat_r; ?> style="float: left" onClick="Radio_Tipo(this.value);">
                        <label class="label_radio" for="Emissao" style="float: left">&nbsp;Dt Venda
                            &nbsp;&nbsp;&nbsp;&nbsp;</label>
                        <input type="radio" name="Data_Remessa" value='Vencimento' id="Vencimento" <?php echo $dat_v; ?> style="float: left" onClick="Radio_Tipo(this.value);">
                        <label class="label_radio" for="Vencimento" style="float: left">&nbsp;Dt Concluso
                            &nbsp;&nbsp;&nbsp;&nbsp;</label>
                        <input type="radio" name="Data_Remessa" value='Entrega' id="Entrega" <?php echo $dat_e; ?> style="float: left" onClick="Radio_Tipo(this.value);">
                        <label class="label_radio" for="Entrega" style="float: left">&nbsp;Dt Entrega
                            &nbsp;&nbsp;&nbsp;&nbsp;</label>
                    </span>
                </td>
                <td align="center" bgcolor="#225F93">
                    <span id="Caixa_Livre" class="buscarprodutos">
                        Vendas
                    </span>
                </td>
            </tr>
            <tr>
                <td class="tr-1">
                    <strong>De</strong>
                    &nbsp;&nbsp;-&nbsp;&nbsp;&nbsp;
                    <span id="divData" style="color: #000; font-size: 18px">Data <?php echo $escri; ?></span>
                </td>
                <td class="tr-1">
                    <strong>At</strong>
                    &nbsp;&nbsp;-&nbsp;&nbsp;&nbsp;
                    <span id="divData2" style="color: #000; font-size: 18px">Data <?php echo $escri; ?></span>
                </td>
            </tr>
            <tr>
                <td class="tr-1"><input type="text" name="De" id="De" class="date-pick codigo" value="<?php echo $_POST["De"]; ?>"></td>
                <td class="tr-1"><input type="text" name="Ate" id="Ate" class="date-pick Descricao" value="<?php echo $_POST["Ate"]; ?>"></td>
            </tr>
            <tr>
                <td class="tr-1">
                    <?php
                    if (CLIENTE_RAZAO_SOCIAL == 'Sim') {
                        $nome = 'Razao_Social';
                    } else {
                        $nome = 'Titulo';
                    }
                    echo select_banco2(
                        "SELECT Id, " . $nome . " as Titulo from cliente WHERE Tipo_Cliente = 'Cliente' order by Titulo",
                        "Cliente",
                        "Cliente",
                        "Cliente",
                        $_POST["Cliente"],
                        'style="width:80%"',
                        'fornecedor'
                    );
                    ?>
                </td>
                <td class="tr-1">
                    <?php
                    if (VER_APENAS_SUAS_VENDAS == 'Sim') {
                        $func = "AND Id = '" . $_SESSION["Id_Funcionario"] . "' ";
                        $_GET["Vendedor"] = $_SESSION["Id_Funcionario"];
                        $dis = "disabled";
                        echo "<input type='hidden' name='Vendedor' id='Vendedor' value='" . $_POST["Vendedor"] . "'>";
                    }
                    echo select_banco2(
                        "SELECT Id, Titulo from funcionario where Ativo = 'Sim' AND Vendedor = 'Sim' $func order by Titulo",
                        "Vendedor",
                        "Vendedor",
                        "Vendedor",
                        $_POST["Vendedor"],
                        'style="width:50%"" ' . $dis . '',
                        "Fornecedor"
                    );
                    ?>
                </td>
            </tr>
            <td class="tr-1">
                <?php
                $vetor = array(
                    '' => 'Estados', 'AC' => 'Acre', 'AL' => 'Alagoas', 'AP' => 'Amap', 'AM' => 'Amazonas', 'BA' => 'Bahia',
                    'CE' => 'Cear', 'DF' => 'Distrito Federal', 'GO' => 'Gois', 'ES' => 'Esprito Santo',
                    'MA' => 'Maranho', 'MT' => 'Mato Grosso', 'MS' => 'Mato Grosso do Sul',
                    'MG' => 'Minas Gerais', 'PA' => 'Par', 'PB' => 'Paraba', 'PR' => 'Paran',
                    'PE' => 'Pernambuco', 'PI' => 'Piau', 'RJ' => 'Rio de Janeiro',
                    'RN' => 'Rio Grande do Norte', 'RS' => 'Rio Grande do Sul',
                    'RO' => 'Rondnia', 'RR' => 'Rorima', 'SP' => 'So Paulo',
                    'SC' => 'Santa Catarina', 'SE' => 'Sergipe', 'TO' => 'Tocantis',
                    'EX' => 'EX'
                );
                select_tela("Estado", "Estado", $_POST["Estado"], $vetor, 'onchange="comboEstado(this.value);"', "Fornecedor");
                ?>
                <input type="hidden" value="<?php echo $_POST["Estado"]; ?>" name="Estado_Rel" id="Estado_Rel">
            </td>
            <td class="tr-1">
                <div id="divCidade">
                    <?php
                    echo select_banco(
                        "Select Id,Titulo from cidade_ibge WHERE Uf='" . $_POST["Estado"] . "' order by Titulo",
                        "Cidade",
                        "Cidade",
                        $_POST["Cidade"],
                        '',
                        "Fornecedor"
                    );
                    ?>
                </div>
            </td>
            <tr>
                <td class="tr-1">
                    <!--<label for="Bairro"><b>Bairro :</b></label>-->
                    <input type="text" placeholder="Bairro" name="Bairro" id="Bairro" class="Fornecedor" value="<?php echo $_POST["Bairro"] ?>">
                </td>
                <td class="tr-1">
                    <?php
                    echo select_banco2(
                        "SELECT Id, Titulo from fornecedor WHERE Tipo='T' order by Titulo",
                        "Transportadora",
                        "Transportadora",
                        "Transportadora",
                        $_POST["Transportadora"],
                        'style="width:70%"',
                        'fornecedor'
                    );
                    ?>
                </td>
            </tr>
            <tr>
                <td class="tr-1">
                    <?php
                    $vetor = array(
                        '' => 'EF',
                        'Sim' => 'Sim',
                        'No' => 'No'
                    );
                    select_tela("EF", "EF", $_POST["EF"], $vetor, 'style="width:30%"', "Fornecedor");
                    ?>
                    <input type="checkbox" name="Finalizado" value="Finalizado" <?php if ($_POST["Finalizado"]) echo "checked='checked' "; ?>>Finalizado
                    <input type="checkbox" name="Aberto" value="Aberto" <?php if ($_POST["Aberto"]) echo "checked='checked' "; ?>>Em Lanamento

                    <input type="hidden" value="<?php echo $_POST["Finalizado"]; ?>" name="Finalizado_Rel" id="Finalizado_Rel">
                    <input type="hidden" value="<?php echo $_POST["Aberto"]; ?>" name="Aberto_Rel" id="Aberto_Rel">
                </td>

                <td class="tr-1">

                    <?php
                    $veiculo = mysqli_query($con, "SELECT Id,Metro_Cubico,CONCAT(Modelo,' - ',Ano,' - ',Placa) as Titulo FROM veiculo WHERE Id = '" . $_GET["id_veiculo"] . "'");
                    $veiculo = mysqli_fetch_assoc($veiculo);
                    echo $veiculo["Titulo"] . " &nbsp;Cubagem: " . valor_exibir($veiculo["Metro_Cubico"]);
                    ?>
                </td>
            </tr>
            <tr>
                <td class="tr-1">
                    <?php
                    $vetor = array(
                        '' => 'DV',
                        'Sim' => 'Sim',
                        'No' => 'No'
                    );
                    select_tela("DV", "DV", $_POST["DV"], $vetor, 'style="width:30%"', "Fornecedor");
                    ?>

                    <?php
                    $vetor = array(
                        '' => 'Financeiro',
                        'Sim' => 'Sim',
                        'No' => 'No'
                    );
                    select_tela("Financeiro", "Financeiro", $_POST["Financeiro"], $vetor, 'style="width:30%"', "Fornecedor");
                    ?>

                    &nbsp;&nbsp;

                    <?php
                    //se o sistema for Multi Empresa
                    if (MULTI_EMPRESA == "Sim") {

                        //se o usuario for de gerente acima ele escolhe pra quem vai
                        if (ESCOLHER_EMPRESA == 'Sim') {
                    ?>
                            <?php
                            echo select_banco2(
                                "SELECT Id,Titulo FROM unidade WHERE Ativo='Sim' ORDER BY Titulo",
                                "Unidade",
                                "Unidade",
                                "Empresa",
                                $_POST["Unidade"],
                                '',
                                "fornecedor"
                            );
                            ?>
                    <?php
                            //se no for, a unidade sempre ser a sua
                        } else {
                            echo "<input type='hidden' name='Unidade' id='Unidade' value='" . $_SESSION["Unidade"] . "' >";
                        }
                    } else {
                        echo "<input type='hidden' name='Unidade' id='Unidade' value='" . $_SESSION["Unidade"] . "' >";
                    }
                    ?>
                </td>
                <td class="tr-1">
                    Veculo : <input type="text" readonly="readonly" id="Cubagem_Carro" value="<?php echo valor_exibir($veiculo["Metro_Cubico"]) ?>" style="width:25%">
                    Vendas : <input type="text" readonly="readonly" id="Cubagem_Venda" value="<?php echo valor_exibir(0) ?>" style="width:25%">
                </td>
            </tr>

            <tr>
                <td colspan="2" align="center" bgcolor="#225F93">
                    <button type="submit" name="Buscar" value="Buscar Vendas" style="width: 400px; height: 30px"><span style="font-size: 18px;color: #000">Buscar Vendas</span></button>
                </td>
            </tr>
        </table>
    </form>

    <?php
    if ($_SERVER['REQUEST_METHOD'] == "POST") {

        if ($_POST["Buscar"]) {

            if ($_POST['Data_Remessa'] == 'Emissao') {
                if ($_POST["De"])
                    $data .= "AND venda.Data_Venda >= '" . data_banco($_POST["De"]) . " 00:00:00' ";
                if ($_POST["Ate"])
                    $data .= "AND venda.Data_Venda <= '" . data_banco($_POST["Ate"]) . " 23:59:59' ";
                $orderByData .= "venda.Data_Venda ASC";
            }
            if ($_POST['Data_Remessa'] == 'Vencimento') {
                if ($_POST["De"])
                    $data .= "AND venda.Data_Conclusao >= '" . data_banco($_POST["De"]) . " 00:00:00' ";
                if ($_POST["Ate"])
                    $data .= "AND venda.Data_Conclusao <= '" . data_banco($_POST["Ate"]) . " 23:59:59' ";
                $orderByData .= "venda.Data_Conclusao ASC";
            }
            if ($_POST['Data_Remessa'] == 'Entrega') {
                if ($_POST["De"])
                    $data .= "AND venda.Data_Entrega >= '" . data_banco($_POST["De"]) . " 00:00:00' ";
                if ($_POST["Ate"])
                    $data .= "AND venda.Data_Entrega <= '" . data_banco($_POST["Ate"]) . " 23:59:59' ";
                $orderByData .= "venda.Data_Entrega ASC";
            }

            if ($_POST["Cliente"]) {
                $cond .= " AND venda.Id_Cliente = '" . $_POST["Cliente"] . "' ";
            }
            if ($_POST["Transportadora"]) {
                $cond .= " AND venda.Id_Transportadora = '" . $_POST["Transportadora"] . "' ";
            }
            if ($_POST["Unidade"]) {
                $Unidade = "AND venda.Id_Unidade = '" . $_POST["Unidade"] . "' ";
            }
            if ($_POST["Estado"]) {
                $natureza .= "AND cliente.Estado = '" . $_POST["Estado"] . "' ";
            }
            if ($_POST["Cidade"]) {
                $natureza .= "AND cliente.Id_Cidade = '" . $_POST["Cidade"] . "' ";
            }
            if ($_POST["Vendedor"]) {
                $natureza .= "AND venda.Id_Vendedor = '" . $_POST["Vendedor"] . "' ";
            }
            if ($_POST["Bairro"]) {
                $natureza .= "AND cliente.Bairro = '" . $_POST["Bairro"] . "' ";
            }
            if (CLIENTE_RAZAO_SOCIAL == 'Sim') {
                $nome = 'Razao_Social';
            } else {
                $nome = 'Titulo';
            }

            if (($_POST["Finalizado"]) || ($_POST["Aberto"])) {

                $status = "AND (";

                if ($_POST["Finalizado"]) {
                    $status .= " venda.Status = 'Finalizado' OR";
                }

                if ($_POST["Aberto"]) {
                    $status .= " venda.Status = 'Aberto' OR";
                }

                $status = substr($status, 0, -2);
                $status .= ")";
            }

            if ($_POST["EF"]) {
                $EF = "AND venda.EF = '" . $_POST["EF"] . "'";
            }
            if ($_POST["DV"]) {
                $DV = "AND venda.DV = '" . $_POST["DV"] . "'";
            }
            if ($_POST["Financeiro"]) {
                $Financeiro = "AND venda.Financeiro = '" . $_POST["Financeiro"] . "'";
            }
            $pro_pdv = mysqli_query($con, "SELECT DISTINCT venda.Id,
                                        venda.Lancamento,
                                        venda.Data_Venda,
                                        venda.Data_Conclusao,
                                        venda.Data_Entrega,
                                        venda.Valor_Pago,
                                        venda.Id_Vendedor,
                                        venda.Id_Tipo_Pagamento,
                                        venda.Status,
                                        venda.Tipo,
                                        venda.Id_Transportadora,
                                        venda.Id_Vendedor,
                                        venda.Fatura,
                                        venda.Numero_Pedido,
                                        cliente.$nome as Cliente,
                                        cliente.Cidade as Cidade,
                                        cliente.Bairro as Bairro,
                                        cliente.Estado as Estado
                                        FROM (
                                        (SELECT Id,Lancamento,EF,Data_Venda,Data_Conclusao,Valor_Pago,Fatura,Id_Transportadora,
                                        Id_Cliente,Id_Unidade ,Id_Tipo_Pagamento,Id_Vendedor,Data_Entrega,'Venda' as Tipo,Status,
                                        Numero_Pedido,DV
                                        FROM venda WHERE Entrega = 'No' AND Triangulo='No' $Financeiro)
                                        UNION
                                        (SELECT Id,Lancamento,EF,Data_Pdv as Data_Venda,Data_Pdv as Data_Conclusao,Valor_Pago,Fatura,'' as Id_Transportadora,
                                        Id_Cliente,Id_Unidade ,Id_Tipo_Pagamento,Id_Vendedor,Data_Pdv as Data_Entrega,'Pdv' as Tipo,Status,
                                        '' as Numero_Pedido, '' as DV
                                        FROM pdv WHERE Entrega = 'No')
                                        ) as  venda
                                        left join (SELECT Id,Titulo,Razao_Social,Cidade,Id_Cidade,Bairro,Estado,Codigo_Cidade FROM cliente) as cliente ON cliente.Id = venda.Id_Cliente
                                        where 1=1
                                        $status $EF $DV
                                        AND venda.Status <> 'Cancelado'
                                        $cond $data $Unidade $natureza $tipo_pagto
                                        ORDER BY $orderByData,venda.Lancamento ");
        }


        if ($_POST["Salvar"]) {

            $y = '1';
            foreach ($_POST as $chave => $valor) {
                if ($chave != "todos") {
                    if ($chave != "Salvar") {
                        if ($valor != "") {

                            if ($valor["Id"]) {

                                if ($valor["Tipo"] == "Venda") {
                                    $venda1 = mysqli_query($con, "SELECT Id,Lancamento,Data_Venda,Id_Cliente,Valor_Pago,Id_Vendedor,Fatura,
                                                        Id_Unidade FROM venda WHERE Id = '" . $valor["Id"] . "'");
                                    $Id_Venda = mysqli_fetch_assoc($venda1);
                                    mysqli_query($con, "UPDATE venda SET Entrega = 'Sim' WHERE Id = '" . $valor["Id"] . "' ");
                                } else {
                                    $venda1 = mysqli_query($con, "SELECT Id,Lancamento,Data_Pdv as Data_Venda,Id_Cliente,Valor_Pago,Id_Vendedor,Fatura,
                                                        Id_Unidade FROM pdv WHERE Id = '" . $valor["Id"] . "'");
                                    $Id_Venda = mysqli_fetch_assoc($venda1);
                                    mysqli_query($con, "UPDATE pdv SET Entrega='Sim' WHERE Id = '" . $valor["Id"] . "' ");
                                }

                                $Id_Entrega_Venda = md5($valor["Id"] . microtime());
                                mysqli_query($con, "INSERT INTO entrega_venda (
                                                        Id,
                                                        Id_Entrega,
                                                        Id_Venda,
                                                        Lancamento,
                                                        Data_Venda,
                                                        Id_Cliente,
                                                        Valor_Pago,
                                                        Id_Vendedor,
                                                        Numero_Nota,
                                                        Id_Unidade,
                                                        Ordem,
                                                        Tipo)
                                                        values('$Id_Entrega_Venda',
                                                        '" . $_GET["id_entrega"] . "',
                                                        '" . $Id_Venda["Id"] . "',
                                                        '" . $Id_Venda["Lancamento"] . "',
                                                        '" . $Id_Venda["Data_Venda"] . "',
                                                        '" . $Id_Venda["Id_Cliente"] . "',
                                                        '" . $Id_Venda["Valor_Pago"] . "',
                                                        '" . $Id_Venda["Id_Vendedor"] . "',
                                                        '" . $Id_Venda["Fatura"] . "',
                                                        '" . $Id_Venda["Id_Unidade"] . "',
                                                        '" . $y . "',
                                                        '" . $valor["Tipo"] . "')")
                                    or die("Erro no comando SQL:" . mysqli_error($con));
                            }
                        }
                    }
                }
                $y++;
            }
            echo "<script>window.opener.MontarTabela(); window.close();</script>";
        }
    }
    ?>
    <form name="conta" id="conta" method="post" action="">
        <table width="98%" border="0" cellpadding="2" cellspacing="1" id="tabela_pdv">
            <tr bgcolor="#225F93">
                <td align="center"><input type="checkbox" id="selectAll" name="todos" value="todos"><strong>Marcar
                        Todos</strong></td>
                <td><strong>Cd</strong></td>
                <td><strong>NF</strong></td>
                <td><strong>Dt Venda</strong></td>
                <td><strong>Dt Entrega</strong></td>
                <td><strong>Vendedor</strong></td>
                <td><strong>Cliente</strong></td>
                <td><strong>Cidade</strong></td>
                <td><strong>Bairro</strong></td>
                <td><strong>Estado</strong></td>
                <td><strong>Transp</strong></td>
                <td><strong>Pgto</strong></td>
                <td><strong>Valor</strong></td>
                <td><strong>MT3</strong></td>
            </tr>
            <?php
            $y = '1';
            while ($chave = mysqli_fetch_assoc($pro_pdv)) {

                $sql_compra = mysqli_query($con, "SELECT venda_produto.Qtd,
                                    produto.Altura,
                                    produto.Largura,
                                    produto.Comprimento
                                    FROM (
                                    (SELECT Id,Qtd,Id_Venda,Id_Produto FROM venda_produto)
                                    UNION
                                    (SELECT Id,Qtd,Id_Pdv as Id_Venda,Id_Produto FROM pdv_produto)
                                    ) as venda_produto
                                    left join (SELECT Id,Altura,Largura,Comprimento FROM produto) as produto ON produto.Id = venda_produto.Id_Produto
                                    WHERE venda_produto.Id_Venda='" . $chave["Id"] . "' ");

                $totalCubagem = '0';
                while ($linha = mysqli_fetch_assoc($sql_compra)) {
                    $totalCubagem += ($linha["Altura"] * ($linha["Largura"] * $linha["Comprimento"])) * $linha["Qtd"];
                }


                $cod_auto2 = mysqli_query($con, "SELECT tipo_pagamento.Titulo
                                    FROM
                                    (
                                    (SELECT Id,Id_Venda,Id_Tipo_Pagamento,Ordem FROM venda_tipo_pagamento)
                                    UNION
                                    (SELECT Id,Id_Pdv as Id_Venda,Id_Tipo_Pagamento,Ordem FROM pdv_tipo_pagamento)
                                    ) as venda_tipo_pagamento
                                    LEFT JOIN (SELECT Id,Titulo FROM tipo_pagamento) as tipo_pagamento ON tipo_pagamento.Id = venda_tipo_pagamento.Id_Tipo_Pagamento
                                    WHERE venda_tipo_pagamento.Id_Venda = '" . $chave['Id'] . "'
                                    ORDER BY venda_tipo_pagamento.Ordem");
                $ex_tip = '';
                while ($valor1 = mysqli_fetch_assoc($cod_auto2)) {
                    $ex_tip .= $valor1["Titulo"] . " ,";
                }
                $ex_tip = substr($ex_tip, 0, -2);


                $transp = mysqli_query($con, "SELECT Id,Titulo as Transportadora FROM fornecedor WHERE Tipo = 'T' AND Id='" . $chave['Id_Transportadora'] . "' ");
                $transp = mysqli_fetch_assoc($transp);

                $vend = mysqli_query($con, "SELECT Id,Titulo as Vendedor FROM funcionario WHERE Id='" . $chave['Id_Vendedor'] . "' ");
                $vend = mysqli_fetch_assoc($vend);

                $progr = mysqli_query($con, "SELECT Proposta_SGC FROM pre_venda WHERE Lancamento='" . $chave['Numero_Pedido'] . "' ");
                $progr = mysqli_fetch_assoc($progr);
            ?>
                <tr class="tr-1">
                    <td align="center">
                        <b>
                            <input type="checkbox" data-value="<?php echo $totalCubagem; ?>" name="<?php echo $chave["Id"]; ?>[Id]" value="<?php echo $chave["Id"]; ?>" class="checkbox">
                            <input type="hidden" name="<?php echo $chave["Id"]; ?>[Tipo]" value="<?php echo $chave["Tipo"]; ?>">
                        </b>
                    </td>
                    <td>
                        <?php
                        if ($progr['Proposta_SGC'] == "Sim") {
                            echo '&nbsp;&nbsp;<img src="../imagem/farol_vermelho.png" title="Programao" alt="Programao" border="0" class="img_farol"/>';
                        }
                        ?>
                        <b><?php echo $chave["Lancamento"]; ?></b>
                    </td>
                    <td><b><?php echo $chave["Fatura"]; ?></b></td>
                    <td><b><?php echo data_exibir($chave["Data_Venda"]); ?></b></td>
                    <td><b><?php echo data_exibir($chave["Data_Entrega"]); ?></b></td>
                    <td><b><?php echo $vend["Vendedor"]; ?></b></td>
                    <td><b><?php echo $chave["Cliente"]; ?></b></td>
                    <td><b><?php echo $chave["Cidade"]; ?></b></td>
                    <td><b><?php echo $chave["Bairro"]; ?></b></td>
                    <td><b><?php echo $chave["Estado"]; ?></b></td>
                    <td><b><?php echo $transp["Transportadora"]; ?></b></td>
                    <td><b><?php echo $ex_tip; ?></b></td>
                    <td><b><?php echo valor_exibir($chave["Valor_Pago"]); ?></b></td>
                    <td><b><?php echo $totalCubagem; ?></b></td>
                </tr>
                <tr class="tr-1" heigth="2">
                    <td colspan="14">&nbsp;</td>
                </tr>
            <?php
                $y++;
            }
            ?>
            <tr>
                <td colspan="14" align="center" bgcolor="#225F93">
                    <button type="submit" name="Salvar" id="Salvar" value="Salvar" style="width: 400px; height: 40px">
                        <span style="font-size: 18px;color: #000">Salvar</span>
                    </button>
                </td>
            </tr>
        </table>
    </form>
    <?php include "../include/rodape.php"; ?>
</body>

</html>