<?php
include_once "../include/conecta.php"; //Conecta com a nosso banco de dados MySQL
ini_set('session.gc_maxlifetime', 60 * 120);
session_start();
/* include_once "../include/ver_sessao.php"; //Verifica se a sesso est ativa */
include_once "../include/funcoesPhp.php"; //Inclue a pgina con todas as funes a ser usada.
?>
<?php
if (CLIENTE_RAZAO_SOCIAL == 'Sim') {
    $nome = 'Razao_Social';
} else {
    $nome = 'Titulo';
}
$cidade = mysqli_query($con, "SELECT cliente.Id_Cidade,
                            entrega_venda.Id_Entrega
                            from entrega_venda
                            left join (SELECT Id,Cidade,Id_Cidade FROM cliente) as cliente ON cliente.Id = entrega_venda.Id_Cliente
                            where entrega_venda.Id_Entrega = '" . $_GET["id_entrega"] . "'
                            AND cliente.Id_Cidade != ''
                            GROUP BY cliente.Id_Cidade
                            ORDER BY cliente.Cidade");
?>
<html>
<head>
    <title>Gw - Gesto Web</title>
    <link rel="stylesheet" type="text/css" href="../estilo/<?php echo SKIN; ?>/tabela_imp.css" />
    <script type="text/javascript" language="javascript" src="../js/jquery.js"></script>
    <?php include '../include/script_cabeca.php'; ?>
    <script type="text/javascript" language="javascript" src="../js/script.js"></script>
    <script type="text/javascript" language="javascript" src="../js/meiomask/meiomask.js"></script>
    <script type="text/javascript" language="javascript" src="../js/meiomask/<?php if (PAIS == "USA") {
                                                                                    echo "mascaras-usa";
                                                                                } else {
                                                                                    echo "mascaras";
                                                                                } ?>.js"></script>
</head>
<body>
    <tr>
        <td>
            <?php include "../include/cabecalho_relatorio.php"; ?>
        </td>
    </tr>
    <tr>
        <td>
            <table width="100%" align="center" class="tabela">
                <?php
                while ($retornoCidade = mysqli_fetch_assoc($cidade)) {

                    $nome_cidade = mysqli_query($con, "SELECT Titulo from cidade_ibge where Id = '" . $retornoCidade["Id_Cidade"] . "' ");
                    $nome_cidade = mysqli_fetch_assoc($nome_cidade);
                ?>
                    <tr class="cinza">
                        <td colspan="7">
                            Cidade: <?php echo $nome_cidade['Titulo'] ?>
                        </td>
                    </tr>
                    <tr>
                        <td colspan="4"><i>Produtos</i></td>
                    </tr>
                    <tr class="azul-claro">
                        <td width="50%">Produto</td>
                        <td width="10%">Medida</td>
                        <td width="10%">Qtd</td>
                        <td width="10%">Vol</td>
                    </tr>
                    <?php
                    $vendaCidade = mysqli_query($con, "SELECT entrega_venda.Id_Venda,
                                entrega_venda.Id_Cliente,
                                entrega_venda.Id_Entrega
                                FROM entrega_venda
                                left join (SELECT Id,Cidade,Id_Cidade FROM cliente) as cliente ON cliente.Id = entrega_venda.Id_Cliente
                                WHERE cliente.Id_Cidade = '" . $retornoCidade['Id_Cidade'] . "'
                                AND entrega_venda.Id_Entrega = '" . $_GET["id_entrega"] . "'");

                    $qtdT = 0;
                    $volT = 0;
                    $status = "and (";
                    while ($vendaporcidade = mysqli_fetch_assoc($vendaCidade)) {
                        $status.= " venda_produto.Id_Venda = '" . $vendaporcidade["Id_Venda"] . "' OR";
                    }
                    $status = substr($status, 0, -2);
                    $status.=")";
                        /*
                        $pedido_pro = listar("SELECT venda_produto.Preco as 'Preco_Venda',
                        venda_produto.Qtd as 'Qtd_Venda',
                        venda_produto.Desconto as 'Desconto_Venda',
                        produto.Titulo as 'Produto',
                        produto.Descricao,
                        produto.Codigo,
                        produto.Medida,
                        produto.Qtd_Caixa
                        from venda_produto
                        left join (SELECT Id,Titulo,Descricao,Codigo,Qtd_Caixa,Medida FROM produto) as produto ON produto.Id = venda_produto.Id_Produto
                        where venda_produto.Id_Venda = '" . $vendaporcidade["Id_Venda"] . "'
                        order by Qtd_Venda DESC, produto.Titulo,produto.Codigo ");
                        */
                        $pedido_pro = listar("SELECT SUM(venda_produto.Qtd) as Qtd,
                                produto.Titulo as 'Produto',
                                produto.Codigo,
                                produto.Medida,
                                produto.Qtd_Caixa
                                from venda_produto
                                left join (SELECT Id,Titulo,Codigo,Qtd_Caixa,Medida FROM produto) as produto ON produto.Id = venda_produto.Id_Produto
                                where 1=1 $status
                                GROUP BY venda_produto.Id_Produto
                                ORDER BY Qtd DESC, produto.Titulo,produto.Codigo ");

                        $x = 1;
                        foreach ($pedido_pro as $chave) {
                            $qtdT += $chave["Qtd"];
                            $pBruto += $chave["Peso_Bruto"];
                            $volT +=  valor_exibir($chave["Qtd"] / $chave["Qtd_Caixa"]);

                    ?>

                            <tr>
                                <td><?php echo $chave["Codigo"] . ' : ' . $chave["Produto"]; ?></td>
                                <td><?php echo $chave["Medida"]; ?></td>
                                <td><?php echo $chave["Qtd"]; ?></td>
                                <td><?php echo valor_exibir($chave["Qtd"] / $chave["Qtd_Caixa"]); ?></td>
                            </tr>
                        <?php } ?>
                    
                    <tr>
                        <td colspan="2">Total</td>
                        <td><b><?php echo $qtdT ?></b></td>
                        <td><b><?php echo valor_exibir($volT) ?></b></td>
                    </tr>
                <?php }
                ?>
                <tr>
                    <td colspan="7">
                        &nbsp;
                    </td>
                </tr>
            </table>
        </td>
    </tr>
</body>

</html>
<?php include "../include/rodape.php"; ?>