<?php
include_once '../include/conecta.php'; //Conecta com a nosso banco de dados MySQL
include_once '../include/ver_sessao.php'; //Verifica se a sesso est ativa
include_once '../include/funcoesPhp.php';
include_once '../menu_movimento.php';
?>
<?php
if ($_GET["De"])
    $data .= "AND entrega.Data_Entrega >= '" . data_banco($_GET["De"]) . " 00:00:00' ";
if ($_GET["Ate"])
    $data .= "AND entrega.Data_Entrega <= '" . data_banco($_GET["Ate"]) . " 23:59:59' ";

if ($_GET["Transportadora"])
    $usuario_p = "and entrega.Id_Transportadora = '" . $_GET["Transportadora"] . "' ";

if ($_GET["Funcionario"])
    $Motorista = "and entrega.Id_Funcionario = '" . $_GET["Funcionario"] . "' ";

if ($_GET["Unidade"]) {
    //$Unidade = "and entrega.Id_Unidade = '".$_GET["Unidade"]."' ";
}
if ($_GET['Pesq']) {
    $pesquisa = " AND entrega_venda.Numero_Nota like '%" . $_GET['Pesq'] . "%' ";
    $join_table = "
               INNER JOIN entrega_venda ON entrega_venda.Id_Entrega = entrega.Id
              ";
}


if ($_GET["Ok"]) {
$entrega = mysqli_query($con,"Select entrega.Id,
                                    entrega.Lancamento,
                                    entrega.Status,
                                    entrega.Data_Entrega,
                                    entrega.Hora_Inicio,
                                    entrega.Motorista as Motorista2,
                                    entrega.Placa as Placa2,
                                    veiculo.Placa,
                                    motorista.Titulo as Motorista,
                                    veiculo.Modelo as Veiculo
                                    from entrega
                                    LEFT JOIN (SELECT Id,Modelo,Id_Motorista,Placa FROM veiculo)as veiculo ON veiculo.Id = entrega.Id_Veiculo
                                    LEFT JOIN (SELECT Id,Titulo FROM funcionario)as motorista ON motorista.Id = entrega.Id_Funcionario
                                    $join_table
                                    where 1=1
                                    $data $usuario_p $Unidade $pesquisa $Motorista
                                    group by entrega.Lancamento
                                    order by entrega.Lancamento");
}
?>
<?php ob_start(); /* Inicia o fluxo */ ?>
<html>
    <head>
        <link rel="stylesheet" type="text/css" href="../estilo/<?php echo SKIN; ?>/tabela_imp.css" />
        <script type="text/javascript" language="javascript" src="../js/jquery.js"></script>
        <?php include '../include/script_cabeca.php'; ?>
        <script type="text/javascript" language="javascript" src="../js/script.js"></script>
        <script type="text/javascript" language="javascript" src="../js/meiomask/meiomask.js"></script>
        <script type="text/javascript" language="javascript" src="../js/meiomask/<?php if (PAIS == "USA") {
            echo "mascaras-usa";
        } else {
            echo "mascaras";
        } ?>.js"></script>
    </head>
    <body>
<?php include "../include/cabecalho_relatorio.php"; ?>
        <table width="100%">
            <tr>
                <td>
                    <font face="verdana" size="2"><i>Relatrio de Entregas Parciais</i></font>
                </td>
            </tr>
            <tr>
                <td><font face="verdana" size="2">
                    <?php
                    if ($_GET["De"]) {
                        echo "Perodo: " . $_GET["De"];
                    }
                    if ($_GET["Ate"]) {
                        echo "  " . $_GET["Ate"];
                    }
                    if ($_GET["Funcionario"]) {
                        $achar = listar("Select Titulo from funcionario
			where Id = '" . $_GET["Funcionario"] . "' ");
                        echo " - " . $achar[0]["Titulo"];
                    }
                    if ($_GET["Cliente"]) {
                        if (CLIENTE_RAZAO_SOCIAL == 'Sim') {
                            $nome = 'Razao_Social';
                        } else {
                            $nome = 'Titulo';
                        }
                        $achar = listar("Select " . $nome . " as Titulo from cliente
			where Id = '" . $_GET["Cliente"] . "' ");
                        echo " - " . $achar[0]["Titulo"];
                    }
                    if ($_GET["Produto"]) {
                        $achar = listar("Select Titulo from produto
			where Id = '" . $_GET["Produto"] . "' ");
                        echo " - " . $achar[0]["Titulo"];
                    }
                    if ($_GET["Cancelado"]) {
                        echo " - " . $_GET["Cancelado"];
                    }
                    if ($_GET["Finalizado"]) {
                        echo " - " . $_GET["Finalizado"];
                    }
                    if ($_GET["Aberto"]) {
                        echo " - " . $_GET["Aberto"];
                    }
                    //se o sistema for Multi Empresa
                    if ((MULTI_EMPRESA == "Sim") && ($_SESSION["Id_Nivel"] == '1')) {

                        if ($_GET["Unidade"]) {
                            $achar = listar("Select Titulo from unidade
						where Id = '" . $_GET["Unidade"] . "' ");
                            echo " - " . $achar[0]["Titulo"];
                        }
                    }
                    ?>
                    </font>	
                </td>
            </tr>
        </table>
        <table width="100%" class="tabela">
            <tfoot>
                <tr class="cinza"><td colspan="20">Relatrio de Expedio</td></tr>
            </tfoot>
            <?php
            if ($_GET["Ok"]) {

                while ($chave = mysqli_fetch_assoc($entrega)) {
                    ?>
                    <tr class="azul-claro">
                        <td>N: <b><?php echo $chave["Lancamento"] ?></b></td>
                        <td>Data: <b><?php echo data_exibir($chave["Data_Entrega"]) ?></b></td>
                        <td>Veculo: <b><?php echo $chave["Veiculo"]; ?></b></td>
                        <td>Motorista: <b><?php echo ($chave["Motorista"]=='') ? $chave["Motorista2"] : $chave["Motorista"]; ?></b></td>
                        <td>Placa: <b><?php echo ($chave["Placa"]=='') ? $chave["Placa2"] : $chave["Placa"]; ?></b></td>
                        <td colspan="2">Status: <b><?php echo $chave["Status"] ?></b></td>
                    </tr>
                    <tr>
                        <td>Venda</td>
                        <td>NF</td>
                        <td>Data</td>
                        <td colspan="2">Cliente</td>
                        <td>Valor</td>
                        <td>Vendedor</td>
                    </tr>
                    <?php
                    if (CLIENTE_RAZAO_SOCIAL == 'Sim') {
                        $nome = 'Razao_Social';
                    } else {
                        $nome = 'Titulo';
                    }

                    $produto = mysqli_query($con,"SELECT entrega_venda.Id_Entrega as Id_Entrega_Anterior,
                                                                    entrega_venda.Id_Venda,
                                                                    entrega_venda.Lancamento,
                                                                    entrega_venda.Data_Venda,
                                                                    entrega_venda.Valor_Pago,
                                                                    cliente.$nome as Cliente,
                                                                    cliente.Codigo as Cod_Cliente,
                                                                    entrega_venda.Numero_Nota,
                                                                    entrega.Data_Entrega,
                                                                    funcionario.Titulo as Funcionario
                                                                    FROM entrega_venda
                                                                    inner join (SELECT Id,Data_Entrega FROM entrega WHERE 1=1 $status $data $Unidade) as entrega ON entrega.Id = entrega_venda.Id_Entrega
                                                                    left join (SELECT Id,Titulo FROM funcionario) as funcionario ON funcionario.Id = entrega_venda.Id_Vendedor
                                                                    left join (SELECT Id,Titulo,Razao_Social,Codigo FROM cliente) as cliente ON cliente.Id = entrega_venda.Id_Cliente
                                                                    WHERE 1=1
                                                                    AND entrega_venda.Parcial = 'No'
                                                                    AND entrega_venda.Id_Entrega = '".$chave['Id']."'
                                                                    ORDER BY entrega_venda.Data_Venda ");

                    $color = "#F5F5F5";
                    $vtotal = '0';
                    while ($valor = mysqli_fetch_assoc($produto)) {

                        if ($color == "#F5F5F5") {
                            $color = "#E8E8E8";
                        } else {
                            $color = "#F5F5F5";
                        }
                        ?>
                        <tr bgcolor=<?php echo "$color"; ?>>
                            <td><?php echo $valor["Lancamento"] ?></td>
                            <td><?php echo ($valor["Numero_Nota"]) ?></td>
                            <td><?php echo data_exibir($valor["Data_Entrega"]) ?></td>
                            <td colspan="2"><?php echo $valor["Cod_Cliente"] . " : " . $valor["Cliente"] ?></td>
                            <td><?php echo valor_exibir($valor["Valor_Pago"]) ?></td>
                            <td><?php echo ($valor["Funcionario"]) ?></td>
                        </tr>
                        <?php
                        $vtotal += $valor['Valor_Pago'];
                    }
                    ?>
                    <tr>
                        <td colspan="5"></td>
                        <td colspan="2"><b><?php echo valor_exibir($vtotal); ?></b></td>
                    </tr>
                    <?php
                    $vtotalacumA += ($vtotal);
                    ?>
                    <tr>
                        <td colspan="7">&nbsp;</td>
                    </tr>
                    <?php
                }
            }
            ?>

            <tr>
                <td align="right"><b>Valores Finais:</b> &nbsp;</td>
                <td colspan="6" align="right">
                    Total Geral : <b><?php echo valor_exibir($vtotalacumA); ?></b>
                    &nbsp;&nbsp;
                </td>
            </tr>
        </table>
    </body>
</html>
<?php
$html = ob_get_contents();
ob_end_clean();

include_once "../include/excel_opcao.php";
?>