<?php
include_once '../include/conecta.php'; //Conecta com a nosso banco de dados MySQL
include_once '../include/ver_sessao.php'; //Verifica se a sesso est ativa
include_once '../include/funcoesPhp.php';
include_once '../menu_movimento.php';
?>
<?php
if ($_GET["De"])
    $data .= "AND entrega.Data_Entrega >= '" . data_banco($_GET["De"]) . " 00:00:00' ";
if ($_GET["Ate"])
    $data .= "AND entrega.Data_Entrega <= '" . data_banco($_GET["Ate"]) . " 23:59:59' ";

if ($_GET['Pesq']) {
    $pesquisa = " AND Endereco_cliente.Bairro like '%" . $_GET['Pesq'] . "%' ";
}

if ($_GET["Ok"]) {
    $entrega = mysqli_query($con, "SELECT entrega.Id,
                                    entrega.Lancamento,
                                    entrega.Status,
                                    entrega.Data_Entrega,
                                    entrega_venda.Id_Venda,
                                    endereco_cliente.Bairro,
                                    endereco_cliente.Cidade
                                    FROM entrega
                                    LEFT JOIN (SELECT Id,Id_Entrega,Id_Venda FROM entrega_venda)as entrega_venda ON entrega_venda.Id_Entrega = entrega.Id
                                    LEFT JOIN (SELECT Id,Id_Endereco_Entrega FROM pdv)as pdv ON pdv.id = entrega_venda.Id_Venda
                                    LEFT JOIN (SELECT Id,Id_Cliente,Bairro,Cidade FROM endereco_cliente)as endereco_cliente ON endereco_cliente.Id = pdv.Id_Endereco_Entrega
                                    WHERE 1=1
                                    $data $Unidade $pesquisa
                                    AND entrega.Status != 'Cancelado'");
}
?>
<html>
    <head>
        <title>Gw - Gesto Web</title>
        <link rel="stylesheet" type="text/css" href="../estilo/<?php echo SKIN; ?>/tabela_imp.css" />
        <script type="text/javascript" language="javascript" src="../js/jquery.js"></script>
        <?php include '../include/script_cabeca.php'; ?>
        <script type="text/javascript" language="javascript" src="../js/script.js"></script>
        <script type="text/javascript" language="javascript" src="../js/meiomask/meiomask.js"></script>
        <script type="text/javascript" language="javascript" src="../js/meiomask/<?php if (PAIS == "USA") {
            echo "mascaras-usa";
        } else {
            echo "mascaras";
        } ?>.js"></script>
        <script type="text/javascript" language="javascript">
            window.onload = function () {
                window.print();
            }
        </script>
    </head>
    <body>
        <table width="98%" align="center"><!-- TABELA Q ENVOLVE TODO O CONTEUDO -->
            <tr>
                <td>
                    <?php include "../include/cabecalho_relatorio.php"; ?>
                </td>
            </tr>
            <tr>
                <td>
                    <font face="verdana" size="2"><i>Relatrio Ranking Entregas</i></font>
                </td>
            </tr>
            <tr>
                <td><font face="verdana" size="2">
                    <?php
                    if ($_GET["De"]) {
                        echo "Perodo: " . $_GET["De"];
                    }
                    if ($_GET["Ate"]) {
                        echo "  " . $_GET["Ate"];
                    }
                    if ($_GET["Funcionario"]) {
                        $achar = listar("Select Titulo from funcionario
			where Id = '" . $_GET["Funcionario"] . "' ");
                        echo " - " . $achar[0]["Titulo"];
                    }
                    if ($_GET["Cliente"]) {
                        if (CLIENTE_RAZAO_SOCIAL == 'Sim') {
                            $nome = 'Razao_Social';
                        } else {
                            $nome = 'Titulo';
                        }
                        $achar = listar("Select " . $nome . " as Titulo from cliente
			where Id = '" . $_GET["Cliente"] . "' ");
                        echo " - " . $achar[0]["Titulo"];
                    }
                    if ($_GET["Produto"]) {
                        $achar = listar("Select Titulo from produto
			where Id = '" . $_GET["Produto"] . "' ");
                        echo " - " . $achar[0]["Titulo"];
                    }
                    if ($_GET["Cancelado"]) {
                        echo " - " . $_GET["Cancelado"];
                    }
                    if ($_GET["Finalizado"]) {
                        echo " - " . $_GET["Finalizado"];
                    }
                    if ($_GET["Aberto"]) {
                        echo " - " . $_GET["Aberto"];
                    }
                    //se o sistema for Multi Empresa
                    if ((MULTI_EMPRESA == "Sim") && ($_SESSION["Id_Nivel"] == '1')) {

                        if ($_GET["Unidade"]) {
                            $achar = listar("Select Titulo from unidade
						where Id = '" . $_GET["Unidade"] . "' ");
                            echo " - " . $achar[0]["Titulo"];
                        }
                    }
                    ?>
                    </font>	
                </td>
            </tr>

        <tr>
            <td  align="center">
                <table width="100%" class="tabela">

                    <?php if ($_GET["Ok"]) { ?>
                        <tr class="azul-claro" >
                            <td><b>Posio</b></td>
                            <td><b>Bairro</b></td>
                            <td><b>Cidade</b></td>
                            <td><b>Entregas</b></td>
                        </tr>
                    
                        <?php
                            if (CLIENTE_RAZAO_SOCIAL == 'Sim') {
                                $nome = 'Razao_Social';
                            } else {
                                $nome = 'Titulo';
                            }

                            $posicao = 1;
                            $a = [];
                                                        
                            foreach($entrega as $linha){

                                $bairro = $linha["Bairro"];

                                if(isset($a[$bairro])){
                                    $a[$bairro]++;
                                }
                                else{
                                    $a[$bairro] = 1;
                                }
                            }

                            arsort($a);
                            $color = "#F5F5F5";
                            
                            foreach($a as $bairro => $contagem){
                                if ($color == "#F5F5F5") {
                                    $color = "#E8E8E8";
                                } else {
                                    $color = "#F5F5F5";
                                }

                                $endereco = mysqli_query($con, "SELECT Id,Cidade,Estado FROM endereco_cliente WHERE Bairro = '". $bairro ."' ");
                                $endereco = mysqli_fetch_assoc($endereco);
                        ?>

                        <tr bgcolor=<?php echo "$color"; ?> >
                            <td><?php echo $posicao.''; ?></td>
                            <td><?php echo $bairro; ?></td>
                            <td><?php echo $endereco["Cidade"] . ' - ' . $endereco["Estado"]; ?></td>
                            <td><?php echo $contagem; ?></td>
                        </tr>

                    <?php
                        $posicao++;
                        $total += $contagem;
                            }
                        }
                    ?>

                    <tr>
                        <td colspan="2">&nbsp;</td>
                        <td align="right"><b>Total Entregas: </b>&nbsp;</td>
                        <td><b><?php echo $total; ?></b></td>
                    </tr>
                </table>
            </td>
        </tr>
        <tr>
            <td>
                <div id="div_resposta"></div>
            </td>
        </tr>
        </table>
    </body>
</html>