<?php
include_once "../include/conecta.php"; //Conecta com a nosso banco de dados MySQL
ini_set('session.gc_maxlifetime', 60 * 120);
session_start();
/* include_once "../include/ver_sessao.php"; //Verifica se a sesso est ativa */
include_once "../include/funcoesPhp.php"; //Inclue a pgina con todas as funes a ser usada.
?>
<?php
$venda = listar("SELECT DISTINCT entrega_venda.Id_Venda,
                        entrega_venda.Numero_Nota,
                        entrega.Lancamento,
                        entrega.Obs,
                        entrega.Id_Unidade,
                        entrega.Data_Entrega,
                        funcionario.Titulo as Funcionario
                        from entrega_venda
                        left join (SELECT Id,Lancamento,Id_Unidade,Data_Entrega,Id_Funcionario,Obs FROM entrega) as entrega ON entrega.Id = entrega_venda.Id_Entrega
                        left join (SELECT Id,Titulo FROM funcionario) as funcionario ON funcionario.Id = entrega.Id_Funcionario
                        where Id_Entrega = '" . $_GET["id_entrega"] . "' ");

$_GET["Unidade"] = $venda[0]["Id_Unidade"];

?>
<html>

<head>
    <title>Gw - Gesto Web</title>
    <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1" />
    <link rel="shortcut icon" href="../imagem/favi_gw.ico" type="image/x-icon" />
    <link rel="stylesheet" type="text/css" href="../estilo/<?php echo SKIN; ?>/tabela_imp.css" />
    <script type="text/javascript" language="javascript" src="../js/jquery.js"></script>
    <?php include '../include/script_cabeca.php'; ?>
    <script type="text/javascript" language="javascript" src="../js/script.js"></script>
    <script type="text/javascript" language="javascript" src="../js/meiomask/meiomask.js"></script>
    <script type="text/javascript" language="javascript" src="../js/meiomask/<?php if (PAIS == "USA") {
                                                                                    echo "mascaras-usa";
                                                                                } else {
                                                                                    echo "mascaras";
                                                                                } ?>.js"></script>
</head>

<body>

    <table width="98%" align="center">
        <!-- TABELA Q ENVOLVE TODO O CONTEUDO -->
        <tr>
            <td>
                <?php include "../include/cabecalho_relatorio.php"; ?>
            </td>
        </tr>
        <tr>
            <td>
                <table width="100%" align="center">
                    <tr>
                        <td colspan="2" align="center">
                            <font face="verdana" size="3">
                                <b>
                                    <i>
                                        Despacho - <?php echo $venda[0]["Lancamento"]; ?>
                                    </i>
                                </b>
                            </font>
                        </td>
                    </tr>
                </table>
            </td>
        </tr>
        <tr>
            <td>
                <table width="100%" align="center" class="tabela">
                    <tr>
                        <td width="70%">Motorista: <?php echo $venda[0]["Funcionario"]; ?></td>
                        <td width="30%">Data: <?php echo data_exibir($venda[0]["Data_Entrega"]); ?></td>
                    </tr>
                    <tr>
                        <td colspan="2">Obs: <?php echo $venda[0]["Obs"]; ?></td>
                    </tr>
                </table>
            </td>
        </tr>
        <tr>
            <td>
                <table width="100%" align="center" class="tabela" style="font-size: 11px">
                    <tr>
                        <td colspan="10"><i>Produtos</i></td>
                    </tr>
                    <tr>
                        <!--<td>Id</td>-->
                        <td>Data</td>
                        <td>Cidade</td>
                        <td>Cliente</td>
                        <td>Cpf/Cnpj</td>
                        <td>Fatura</td>
                        <td>Valor</td>
                        <!--<td>Qtd</td>-->
                        <td>Volume</td>
                        <td>Funcionrio</td>
                    </tr>
                    <?php
                    if (CLIENTE_RAZAO_SOCIAL == 'Sim') {
                        $nome = "Razao_Social";
                    } else {
                        $nome = "Titulo";
                    }

                    $x = '0';
                    foreach ($venda as $venda_entrega) {

                        $venda1 = mysqli_query($con, "SELECT venda.Id as Id_Venda,
                                            venda.Lancamento,
                                            venda.Fatura,
                                            venda.Qtd_Vol as Volume,
                                            venda.Data_Venda,
                                            venda.Valor_Original as Valor,
                                            cliente.$nome as Cliente,
                                            cliente.Cidade,
                                            cliente.Cpf_Cnpj,
                                            funcionario.Titulo as Funcionario
                                            FROM venda
                                            left join (SELECT Id,Titulo FROM funcionario) as funcionario ON funcionario.Id = venda.Id_Funcionario
                                            left join (SELECT Id,Titulo,Cpf_Cnpj,Razao_Social,Cidade FROM cliente) as cliente ON cliente.Id = venda.Id_Cliente
                                            WHERE venda.Id='" . $venda_entrega["Id_Venda"] . "'
                                            ORDER BY venda.Lancamento ");

                        while ($chave1 = mysqli_fetch_assoc($venda1)) {

                            $valorT += $chave1["Valor"];

                            $produto = mysqli_query($con, "SELECT produto.Qtd_Caixa,
                                                    produto.Peso_Bruto,
                                                    venda_produto.Qtd
                                                    FROM 
                                                    (
                                                    (SELECT Id,Id_Produto,Id_Venda,Qtd FROM venda_produto WHERE Id_Venda = '" . $venda_entrega["Id_Venda"] . "')
                                                    UNION
                                                    (SELECT Id,Id_Produto,Id_Pdv as Id_Venda,Qtd FROM pdv_produto WHERE Id_Pdv = '" . $venda_entrega["Id_Venda"] . "')
                                                    ) as venda_produto
                                                    LEFT JOIN (SELECT Id,Qtd_Caixa,Peso_Bruto FROM produto) as produto ON produto.Id = venda_produto.Id_Produto
                                                    WHERE venda_produto.Id_Venda = '" . $venda_entrega["Id_Venda"] . "' ");

                            $qtd = '';
                            while ($chave2 = mysqli_fetch_assoc($produto)) {
                                //$qtdVol+=$chave2["Qtd"]*$chave2["Qtd_Caixa"];
                                $qtdKg += $chave2["Qtd"] * $chave2["Peso_Bruto"];
                                $qtdT += $chave2["Qtd"];
                                $qtd += $chave2["Qtd"];
                            }
                    ?>

                            <tr>
                                <!--<td class="table_prod_valor"><?php echo $chave1['Lancamento']; ?></td>-->
                                <td class="table_prod_valor"><?php echo data_exibir($chave1['Data_Venda']); ?></td>
                                <td class="table_prod_valor"><?php echo $chave1['Cidade']; ?></td>
                                <td class="table_prod_valor"><?php echo $chave1['Cliente']; ?></td>
                                <td class="table_prod_valor"><?php echo cnpj_exibir($chave1['Cpf_Cnpj']); ?></td>
                                <td class="table_prod_valor"><?php echo $chave1['Fatura']; ?></td>
                                <td class="table_prod_valor"><?php echo valor_exibir($chave1['Valor']); ?></td>
                                <!--<td class="table_prod_valor"><?php echo valor_exibir($qtd); ?></td>-->
                                <td class="table_prod_valor"><?php echo valor_exibir($chave1['Volume']); ?></td>
                                <td class="table_prod_valor"><?php echo $chave1['Funcionario']; ?></td>
                            </tr>
                    <?php
                            $vol += $chave1['Volume'];
                        }
                        $x++;
                    }
                    ?>
                </table>
            </td>
        </tr>
        <tr>
            <td>
                <table width="100%" align="center" class="tabela" style="font-size: 11px">
                    <tr>
                        <td>
                            Pedidos: <?php echo $x; ?><br>
                        </td>
                        <td>
                            Valor: <?php echo valor_exibir($valorT); ?>
                        </td>
                        <td>
                            Qtd: <?php echo valor_exibir($qtdT); ?>
                        </td>
                        <td>
                            Volume: <?php echo $vol; ?><br>
                        </td>
                        <td>
                            Kg: <?php echo valor_exibir($qtdKg); ?>
                        </td>
                    </tr>
                </table>
            </td>
        </tr>

    </table>
    <br />

    <table width="98%" align="center">
        <tr>
            <td align="center">________________________</td>
            <td align="center">________________________</td>
        </tr>
        <tr>
            <td align="center">
                <font face="verdana" size="2"><?php echo $venda[0]["Funcionario"]; ?></font>
            </td>
            <td align="center">
                <font face="verdana" size="2">Representante</font>
            </td>
        </tr>
    </table>
</body>

</html>
<?php include "../include/rodape.php"; ?>