<?php
include_once '../include/conecta.php'; //Conecta com a nosso banco de dados MySQL
include_once '../include/ver_sessao.php'; //Verifica se a sesso est ativa
include_once '../include/funcoesPhp.php'; include_once '../menu_movimento.php';
?>
<html>
<head>
<title>Gw - Gesto Web</title>
<link rel="stylesheet" type="text/css" href="../estilo/<?php echo SKIN ;?>/tabelas.css" />
<link rel="stylesheet" type="text/css" href="../js/datePicker/datePicker.css" />
<script type="text/javascript" language="javascript" src="../js/jquery.js"></script>
<?php include '../include/script_cabeca.php'; ?>
<script type="text/javascript" language="javascript" src="../js/script.js"></script>
</head>
<body>
<?php
 $produto = listar("Select produto.Titulo as 'Produto',
                            produto.Codigo,
                            estoque.Pedido,
                            estoque.Lancamento,
                            DATE_FORMAT(estoque.Data_Externo, '%d/%m/%Y') as Data_Pedido
                            from estoque
                            left join (SELECT Id,Titulo,Codigo,Tipo_Produto FROM produto WHERE produto.Tipo_Produto = 'P') as produto ON produto.Id = estoque.Id_Produto
                            where 1=1 
                            and estoque.Concluido = 'Sim'
                            and Origem = 'Compra'
                            and Pedido <> '0'
                            and estoque.Id_Produto = '".$_GET["id_produto"]."'
                            order by produto.Titulo, estoque.Data_Cadastro_Upd");

?>
<table width="100%" class="tabela">
<thead>
	<tr class="azul-claro">
		<td>Cdigo</td>
		<td>Ttulo</td>
                <td>Compra N</td>
                <td>Data Pedido</td>
                <td>Qtd</td>
	</tr>
</thead>
<tfoot>
	<tr class="cinza"><td colspan="20">Pedidos</td></tr>
</tfoot>
<tbody>
	<?php

        if($produto){

		$color = "#F5F5F5";
		foreach($produto as $chave){
		if ($color == "#F5F5F5") {
			$color = "#E8E8E8";
		} else {
			$color = "#F5F5F5";
		}
	?>
	<tr bgcolor=<?php echo "$color"; ?> >
		<td><?php echo $chave["Codigo"] ?></td>
		<td><?php echo $chave["Produto"]?></td>
                <td><?php echo $chave["Lancamento"]?></td>
                <td><?php echo $chave["Data_Pedido"]?></td>
                <td><?php echo valor_exibir($chave["Pedido"])?></td>
	</tr>
	<?php } }else{ ?>

        <tr>
            <td colspan="10" align="center"><br><b>Desculpe mas no achei nada!</b><br><br></td>
	</tr>

        <?php } ?>
</tbody>
</table>

<br/><br/><hr><br/><br/>

<?php
 $produto2 = listar("Select produto.Titulo as 'Produto',
                            produto.Codigo,
                            estoque.Reservado,
                            estoque.Lancamento,
                            DATE_FORMAT(estoque.Data_Externo, '%d/%m/%Y') as Data_Pedido
                            from estoque
                            left join (SELECT Id,Titulo,Codigo,Tipo_Produto FROM produto WHERE produto.Tipo_Produto = 'P') as produto ON produto.Id = estoque.Id_Produto
                            where 1=1
                            and estoque.Concluido = 'Sim'
                            and Origem = 'Venda'
                            and Reservado <> '0'
                            and estoque.Id_Produto = '".$_GET["id_produto"]."'
                            order by produto.Titulo, estoque.Data_Cadastro_Upd");

?>
<table width="100%" class="tabela">
<thead>
	<tr class="azul-claro">
		<td>Cdigo</td>
		<td>Ttulo</td>
                <td>Venda N</td>
                <td>Data Venda</td>
                <td>Qtd</td>
	</tr>
</thead>
<tfoot>
	<tr class="cinza"><td colspan="20">Reservas</td></tr>
</tfoot>
<tbody>
	<?php

        if($produto2){

		$color = "#F5F5F5";
		foreach($produto2 as $chave){
		if ($color == "#F5F5F5") {
			$color = "#E8E8E8";
		} else {
			$color = "#F5F5F5";
		}
	?>
	<tr bgcolor=<?php echo "$color"; ?> >
		<td><?php echo $chave["Codigo"] ?></td>
		<td><?php echo $chave["Produto"]?></td>
                <td><?php echo $chave["Lancamento"]?></td>
                <td><?php echo $chave["Data_Pedido"]?></td>
                <td><?php echo valor_exibir($chave["Reservado"])?></td>
	</tr>
	<?php } }else{ ?>

        <tr>
            <td colspan="10" align="center"><br><b>Desculpe mas no achei nada!</b><br><br></td>
	</tr>
        
        <?php } ?>
</tbody>
</table>

<br/><br/><hr><br/><br/>

<?php
 $produto3 = listar("Select produto.Titulo as 'Produto',
                            produto.Codigo,
                            comodato_produto.Qtd,
                            comodato.Lancamento,
                            DATE_FORMAT(comodato.Data_Comodato, '%d/%m/%Y') as Data_Comodato
                            from comodato
                            inner join comodato_produto ON comodato_produto.Id_Comodato = comodato.Id
                            left join (SELECT Id,Titulo,Codigo,Tipo_Produto FROM produto WHERE produto.Tipo_Produto = 'P') as produto ON produto.Id = comodato_produto.Id_Produto
                            where 1=1
                            and comodato.Status IN ('Emprestado','Devolvido Parcial')
                            and comodato_produto.Id_Produto = '".$_GET["id_produto"]."'
                            order by produto.Titulo, comodato.Data_Cadastro");

?>
<table width="100%" class="tabela">
<thead>
	<tr class="azul-claro">
		<td>Cdigo</td>
		<td>Ttulo</td>
                <td>N Comodato</td>
                <td>Data Comodato</td>
                <td>Qtd</td>
	</tr>
</thead>
<tfoot>
	<tr class="cinza"><td colspan="20">Comodato</td></tr>
</tfoot>
<tbody>
	<?php

        if($produto3){

		$color = "#F5F5F5";
		foreach($produto3 as $chave){
		if ($color == "#F5F5F5") {
			$color = "#E8E8E8";
		} else {
			$color = "#F5F5F5";
		}
	?>
	<tr bgcolor=<?php echo "$color"; ?> >
		<td><?php echo $chave["Codigo"] ?></td>
		<td><?php echo $chave["Produto"]?></td>
                <td><?php echo $chave["Lancamento"]?></td>
                <td><?php echo $chave["Data_Comodato"]?></td>
                <td><?php echo valor_exibir($chave["Qtd"])?></td>
	</tr>
	<?php } }else{ ?>

        <tr>
            <td colspan="10" align="center"><br><b>Desculpe mas no achei nada!</b><br><br></td>
	</tr>

        <?php } ?>
</tbody>
</table>

</body>
</html>