<?php
include_once "../include/conecta.php"; //Conecta com a nosso banco de dados MySQL
ini_set('session.gc_maxlifetime', 60 * 120);
session_start();
/* include_once "../include/ver_sessao.php"; //Verifica se a sesso est ativa */
include_once "../include/funcoesPhp.php"; //Inclue a pgina con todas as funes a ser usada.
?>
<?php
$fila_espera = listar("SELECT fila_espera.Id,
							  fila_espera.Lancamento,
							  fila_espera.Status,
							  fila_espera.Data_Fila_Espera,
							  fila_espera.Obs as 'Obs_Fila_Espera',
							  fila_espera.Valor_Original,
							  fila_espera.Valor_Pago,
                              fila_espera.Desconto_Real,
                              fila_espera.Id_Unidade,
							  cliente.Titulo as 'Cliente',
							  cliente.Email,
							  cliente.Natureza,
							  cliente.Cpf_Cnpj,
							  cliente.Rua,
                              cliente.Numero,
							  cliente.Cep,
							  cliente.Bairro,
							  cliente.Estado,
							  cliente.Fone1,
							  cliente.Obs as 'Obs_Cliente',
                              cidade_ibge.Titulo as Cidade,
 							  funcionario.Titulo as 'Funcionario',
                              vendedor.Titulo as 'Vendedor',
                              vendedor2.Titulo as 'Vendedor2',
                              tipo_pagamento.Titulo as 'Tipo_Pagamento'
 					FROM fila_espera
 					LEFT JOIN (SELECT Id,Titulo,Email,Natureza,Cpf_Cnpj,Estadual,Rua,Numero,Cep,Bairro,Estado,Fone1,Obs,Id_Cidade FROM cliente) as cliente ON cliente.Id = fila_espera.Id_Cliente
					LEFT JOIN (SELECT Id,Titulo FROM cidade_ibge) as cidade_ibge ON cidade_ibge.Id = cliente.Id_Cidade
 					LEFT JOIN (SELECT Id,Titulo FROM funcionario) as funcionario ON funcionario.Id = fila_espera.Id_Funcionario
					LEFT JOIN (SELECT Id,Titulo FROM funcionario) as vendedor ON fila_espera.Id_Vendedor = vendedor.Id
					LEFT JOIN (SELECT Id,Titulo FROM funcionario) as vendedor2 ON fila_espera.Id_Vendedor2 = vendedor2.Id
					LEFT JOIN (SELECT Id,Titulo FROM tipo_pagamento) as tipo_pagamento ON tipo_pagamento.Id = fila_espera.Id_Tipo_Pagamento
 					WHERE fila_espera.Id = '" . $_GET["id_fila_espera"] . "'
					order by fila_espera.Lancamento DESC");

if ($fila_espera[0]["Id_Unidade"])
    $_GET["Id_Unidade_Usuario"] = $fila_espera[0]["Id_Unidade"];

?>
<html>

<head>
    <title>Gw - Gesto Web</title>
    <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1" />
    <link rel="shortcut icon" href="../imagem/favi_gw.ico" type="image/x-icon" />
    <link rel="stylesheet" type="text/css" href="../estilo/<?php echo SKIN; ?>/tabela_imp.css" />
    <script type="text/javascript" language="javascript" src="../js/jquery.js"></script>
    <?php include '../include/script_cabeca.php'; ?>
    <script type="text/javascript" language="javascript" src="../js/script.js"></script>
    <script type="text/javascript" language="javascript" src="../js/meiomask/meiomask.js"></script>
    <script type="text/javascript" language="javascript" src="../js/meiomask/<?php if (PAIS == "USA") {
                                                                                    echo "mascaras-usa";
                                                                                } else {
                                                                                    echo "mascaras";
                                                                                } ?>.js"></script>
</head>

<body>

    <table width="98%" align="center">
        <!-- TABELA Q ENVOLVE TODO O CONTEUDO -->
        <tr>
            <td>
                <?php include "../include/cabecalho_pedido.php"; ?>
            </td>
        </tr>
        <tr>
            <td>
                <table width="100%" align="center">
                    <tr>
                        <td colspan="2" align="center">
                            <font face="verdana" size="3">
                                <b><i>Consulta - <?php echo $fila_espera[0]["Lancamento"]; ?></i></b>
                            </font>
                        </td>
                    </tr>
                </table>
            </td>
        </tr>
        <tr>
            <td>
                <table width="100%" align="center" class="tabela">
                    <tr>
                        <td width="70%">Cliente: <?php echo $fila_espera[0]["Cliente"]; ?></td>
                        <td width="30%">Data: <?php echo data_exibir($fila_espera[0]["Data_Fila_Espera"]); ?></td>
                    </tr>
                    <tr>
                        <td width="70%">End: <?php echo $fila_espera[0]["Endereco"]; ?></td>
                        <td width="30%">Fone: <?php echo $fila_espera[0]["Fone1"]; ?></td>
                    </tr>
                    <tr>
                        <td width="70%"><?php echo 'Bairro:' . $fila_espera[0]["Bairro"] . ' Cidade:' .
                                            $fila_espera[0]["Cidade"] . ' UF:' .
                                            $fila_espera[0]["Estado"]; ?>
                        </td>
                        <?php if ($fila_espera[0]["Natureza"] == "PF") { ?>
                            <td width="30%">CPF: <?php echo $fila_espera[0]["Cpf_Cnpj"]; ?></td>
                        <?php } else { ?>
                            <td width="30%">CNPJ: <?php echo $fila_espera[0]["Cpf_Cnpj"]; ?></td>
                        <?php } ?>
                    </tr>
                    <tr>
                        <td width="70%">Pagamento: <?php echo $fila_espera[0]["Tipo_Pagamento"]; ?></td>
                        <td width="30%">CEP: <?php echo $fila_espera[0]["Cep"]; ?></td>
                    </tr>
                    <tr>
                        <td width="70%">Obs: <?php echo $fila_espera[0]["Obs_Fila_Espera"]; ?></td>
                        <td width="30%">Frete: <?php echo $fila_espera[0]["Frete"]; ?></td>
                    </tr>
                </table>
            </td>
        </tr>
        <tr>
            <td>
                <table width="100%" align="center" class="tabela">
                    <tr>
                        <td colspan="9"><i>Produtos</i></td>
                    </tr>
                    <tr class="azul-claro">
                        <td width="3%">N</td>
                        <td width="10%">Cdigo</td>
                        <td>Dente</td>
                        <td>Produto</td>
                        <!-- <td width="5%">Qtd</td>
                        <td width="8%">Valor</td>
                        <td width="8%">Desc $</td>
                        <td width="8%">Total</td> -->
                    </tr>
                    <?php

                    $fila_espera_pro = listar("SELECT DISTINCT fila_espera_produto.Id,
																fila_espera_produto.Preco as 'Preco_Fila_Espera',
																fila_espera_produto.Qtd as 'Qtd_Fila_Espera',
																fila_espera_produto.Desconto_Real,
																fila_espera_produto.Executado,
																produto.Titulo as 'Produto',
																produto.Codigo,
																dente.Titulo as Dente
														FROM fila_espera_produto
														LEFT JOIN (SELECT Id,Titulo FROM dente) as dente ON dente.Id = fila_espera_produto.Id_Dente
														LEFT JOIN (SELECT Id,Titulo,Codigo FROM produto) as produto ON produto.Id = fila_espera_produto.Id_Produto
														WHERE fila_espera_produto.Id_Fila_Espera = '" . $_GET["id_fila_espera"] . "'
														ORDER BY fila_espera_produto.Data_Cadastro ");

                    $x = 1;
                    foreach ($fila_espera_pro as $chave) { ?>

                        <tr>
                            <td><?php echo $x; ?></td>
                            <td><?php echo $chave["Codigo"]; ?></td>
                            <td><?php echo $chave["Dente"]; ?></td>
                            <td><?php echo $chave["Produto"]; ?></td>
                            <!-- <td><?php echo $chave["Qtd_Fila_Espera"]; ?></td>
                        <td><?php echo number_format($chave["Preco_Fila_Espera"], 2, ',', '.'); ?></td>
                        <td><?php echo number_format($chave["Desconto_Real"], 2, ',', '.'); ?></td> -->
                            <!-- <td>
                            <?php echo number_format((($chave['Qtd_Fila_Espera'] * $chave['Preco_Fila_Espera'])) - $chave['Desconto_Real'], 2, ',', '.'); ?>
                        </td> -->
            </td>
        </tr>
    <?php
                        $Qtd_Fila_Espera += $chave["Qtd_Fila_Espera"];
                        $Preco_Fila_Espera += $chave["Preco_Fila_Espera"];
                        $Desconto_Real += $chave["Desconto_Real"];
                        $Total += ($chave["Preco_Fila_Espera"] * $chave["Qtd_Fila_Espera"]) - $chave['Desconto_Real'];
                        $x++;
                    }
    ?>
    <!-- <tr>
            <td colspan="3"></td>
            <td colspan="3">Totais da Consulta:</td>
            <td><?php echo number_format($fila_espera[0]["Desconto_Real"], 2, ',', '.'); ?></td>
            <td><?php echo number_format(($Total - $fila_espera[0]["Desconto_Real"]), 2, ',', '.'); ?></td>

        </tr> -->
    </table>
    </td>
    </tr>
    </table>
    <br />
    <table width="100%" align="center">
        <tr>
            <td align="center">________________________</td>
            <td align="center">________________________</td>
            <td align="center">________________________</td>
        </tr>
    </table>
    <table width="100%" align="center">
        <tr>
            <td align="center">
                <font face="verdana" size="2"><?php echo $fila_espera[0]["Cliente"]; ?></font>
            </td>
            <td align="center">
                <font face="verdana" size="2"><?php echo $fila_espera[0]["Vendedor"]; ?></font>
            </td>
            <td align="center">
                <font face="verdana" size="2"><?php echo $fila_espera[0]["Vendedor2"]; ?></font>
            </td>
        </tr>
    </table>
</body>

</html>
<?php include "../include/rodape.php"; ?>