<?php
include_once "../include/conecta.php"; //Conecta com a nosso banco de dados MySQL
ini_set('session.gc_maxlifetime', 60*120); session_start();
/* include_once "../include/ver_sessao.php"; //Verifica se a sesso est ativa */
include_once "../include/funcoesPhp.php"; //Inclue a pgina con todas as funes a ser usada.
?>
<?php 
               $forecast = listar("Select forecast.Id,
 					forecast.Lancamento,
 					forecast.Status,
 					forecast.Data_Forecast,
 					forecast.Obs as 'Obs_Forecast',
 					forecast.Valor_Original,
 					forecast.Valor_Pago,
                                        forecast.Desconto,
                                        forecast.Desconto_Real,
                                        forecast.Frete,
                                        forecast.Urgente,
                                        forecast.Entrega,
                                        forecast.Id_Unidade,
                                        forecast.Pedido_Liberado,
 					cliente.Titulo as 'Cliente',
                                        cliente.Razao_Social,
 					cliente.Email,
 					cliente.Natureza,
 					cliente.Cpf_Cnpj,
 					cliente.Rua,
                                        cliente.Numero,
 					cliente.Cep,
 					cliente.Bairro,
 					cliente.Estado,
 					cliente.Fone1,
 					cliente.Obs as 'Obs_Cliente',
 					funcionario.Titulo as 'Funcionario',
                     vendedor.Titulo as 'Vendedor',
                                        tipo_pagamento.Titulo as 'Tipo_Pagamento'
 					from forecast
 					left join (SELECT Id,Titulo,Email,Natureza,Cpf_Cnpj,Rua,Numero,Cep,Bairro,Estado,Fone1,Obs,Id_Cidade,Razao_Social FROM cliente) as cliente ON cliente.Id = forecast.Id_Cliente
 					LEFT JOIN (SELECT Id,Titulo FROM funcionario) as funcionario ON funcionario.Id = forecast.Id_Funcionario
                    LEFT JOIN (SELECT Id,Titulo FROM funcionario) as vendedor ON vendedor.Id = forecast.Id_Vendedor
                    left join (SELECT Id,Titulo FROM tipo_pagamento) as tipo_pagamento ON tipo_pagamento.Id = forecast.Id_Tipo_Pagamento
 					where forecast.Id = '".$_GET["id_forecast"]."'
					order by forecast.Lancamento DESC");

$_GET["Unidade"] = $forecast[0]["Id_Unidade"];
?>
<html>
<head>
<title>Gw - Gesto Web</title>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1" />
<link rel="shortcut icon" href="../imagem/favi_gw.ico" type="image/x-icon" />
<link rel="stylesheet" type="text/css" href="../estilo/<?php echo SKIN ;?>/tabela_imp.css" />
<script type="text/javascript" language="javascript" src="../js/jquery.js"></script>
<?php include '../include/script_cabeca.php'; ?>
<script type="text/javascript" language="javascript" src="../js/script.js"></script>
<script type="text/javascript" language="javascript" src="../js/meiomask/meiomask.js"></script>
<script type="text/javascript" language="javascript" src="../js/meiomask/<?php if(PAIS=="USA"){ echo "mascaras-usa"; }else{ echo "mascaras"; }?>.js"></script>
</head>
<body>

<table width="98%" align="center"><!-- TABELA Q ENVOLVE TODO O CONTEUDO -->
<tr>
	<td>
<table width="90%" align="center">
<?php
        
        //variavel $_GET["Unidade"], vem de todos os filtros de relatorios.
        if(!$_GET["Unidade"]){
                $_GET["Unidade"] = $_SESSION["Unidade"];
        }
        $empresa = listar("Select Logo,Titulo,Cnpj,Rua,Numero,
                                Bairro,Cidade,Estado,Cep,Fone1,Fone2,Email,Site
                                from unidade where Id = '".$_GET["Unidade"]."' ");
?>
        <tr>
            <td width="30%">
            <?php
                if(file_exists("../unidade/foto/".$empresa[0]["Logo"]."")){
                    $cam_arq = "../unidade/foto/".$empresa[0]["Logo"];
                }else{
                    $cam_arq = "../../unidade/foto/".$empresa[0]["Logo"];
                }
            ?>
                <img src="<?php echo $cam_arq; ?>" title="Logo" alt="Logo" border="0" width="140px" height="auto"/>
            </td>
                <td width="70%" class="razao">
                        <b><font face="verdana" size="3">
                                <?php echo $empresa[0]["Titulo"];?>
                        </font></b><br>
                        Cnpj: <?php echo $empresa[0]["Cnpj"];?><br>
                        End: <?php echo $empresa[0]["Rua"].", ".$empresa[0]["Numero"];?> | <?php echo $empresa[0]["Bairro"];?> |
                        <?php echo $empresa[0]["Cidade"];?> | <?php echo $empresa[0]["Estado"];?> - 
                        CEP <?php echo $empresa[0]["Cep"];?><br>
                        Fone: <?php echo $empresa[0]["Fone1"];?>
                        <?php
                        if($empresa[0]["Fone2"]){
                            echo " - ".$empresa[0]["Fone2"];
                        }
                        ?>
                        <br>
                        E-mail: <?php echo $empresa[0]["Email"];?><br>
                        <?php
                        if($empresa[0]["Site"]){
                            echo 'Site: '.$empresa[0]["Site"];
                        }
                        ?>
                </td>
        </tr>
</table>
	</td>
</tr>
<tr>
	<td>
		<table width="100%" align="center">
			<tr>
                <td colspan="2" align="center">
                    <font face="verdana" size="3">
                        <b><i>Forecast - <?php echo $forecast[0]["Lancamento"];?></i></b>
                    </font>
                </td>
			</tr>
		</table>
	</td>
</tr>
<tr>
	<td>
		<table width="100%" align="center" class="tabela">
            <!--
                        <tr>
				<td width="70%">Cliente: 
                                    <?php
                                    if(FORNECEDOR_RAZAO_SOCIAL=='Sim'){
                                        echo $forecast[0]["Codigo"]." - ".$forecast[0]["Razao_Social"];
                                    }else{
                                        echo $forecast[0]["Codigo"]." - ".$forecast[0]["Cliente"];
                                    }
                                    ?>
                                </td>
                                <td width="30%">Fone: <?php echo $forecast[0]["Fone1"];?></td>
			</tr>
			<tr>
				<td width="70%">End: <?php echo $forecast[0]["Rua"].', '.$compra[0]["Numero"];?></td>
                                <td width="30%">CEP: <?php echo $forecast[0]["Cep"];?></td>
			</tr>
			<tr>
				<td width="70%"><?php echo 'Bairro: '.$forecast[0]["Bairro"].' Cidade: '.
                                                                $forecast[0]["Cidade"].' UF: '.
                                                                $forecast[0]["Estado"];?>
                                </td>
				<?php if($compra[0]["Natureza"] == "PF"){?>
				<td width="30%">CPF: <?php echo $forecast[0]["Cpf_Cnpj"];?></td>
				<?php }else{?>
				<td width="30%">CNPJ: <?php echo $forecast[0]["Cpf_Cnpj"];?></td>
				<?php }?>
			</tr>
                -->
			<tr>
				<td width="60%">Data: <?php echo data_exibir($forecast[0]["Data_Forecast"]);?></td>
				<td width="40%">Responsvel: <?php echo $forecast[0]["Funcionario"];?></td>
			</tr>
            <tr>
                <td width="40%">Vendedor: <?php echo $forecast[0]["Vendedor"];?></td>
                <td width="40%">Status: <?php echo $forecast[0]["Status"];?></td>
            </tr>
			<tr>
				<td colspan="2">Obs: <?php echo $forecast[0]["Obs_Forecast"];?></td>
			</tr>
		</table>
	</td>
</tr>
<tr>
	<td>
		<table width="100%" align="center" class="tabela">
			<tr>
				<td colspan="8"><i>Produtos</i></td>
			</tr>
			<tr class="azul-claro">
				<td width="3%">N</td>
				<td width="10%">Cdigo</td>
				<td width="22%">Produto</td>
                                <td width="5%">Medida</td>
				<td width="5%">Qtd</td>
			</tr>
			<?php

               $forecast_pro = listar("Select forecast_produto.Preco as 'Preco_Forecast',
 					forecast_produto.Liberado as 'Qtd_Forecast',
 					forecast_produto.Desconto as 'Desconto_Forecast',
                                        forecast_produto.Desconto_Real,
                                        forecast_produto.Ipi,
                                        forecast_produto.Nome_Produto,
                                        forecast_produto.Equipamento,
 					produto.Titulo as 'Produto',
                                        produto.Medida,
 					produto.Codigo
 					from forecast_produto
 					left join (SELECT Id,Titulo,Medida,Codigo FROM produto) as produto ON produto.Id = forecast_produto.Id_Produto
 					where forecast_produto.Id_Forecast = '".$_GET["id_forecast"]."'
                                        ORDER BY forecast_produto.Data_Cadastro");

                        $x=1; foreach($forecast_pro as $chave){?>
                        
			<tr>
				<td><?php echo $x;?></td>
				<td><?php echo $chave["Codigo"];?></td>
				<td>
                    <?php
                    if($chave['Nome_Produto'])
                        echo $chave['Nome_Produto'];
                    else
                        echo $chave['Produto'];
                    ?>
                </td>
                <td><?php echo $chave["Medida"];?></td>
				<td><?php echo $chave["Qtd_Forecast"];?></td>
			</tr>
			<?php
			$Qtd_Forecast+= $chave["Qtd_Forecast"];
			$x++; }
			?>
                        <tr>
				<td colspan="2"></td>
				<td colspan="2">Totais da Compra:</td>
                <td><?php echo $Qtd_Forecast;?></td>
			</tr>
		</table>
	</td>
</tr>
</table>
<br/>
<table width="98%" align="center">
	<tr>
		<td align="center">________________________</td>
	</tr>
	<tr>
		<td align="center"><font face="verdana" size="2">Solicitante: <?php echo $forecast[0]["Funcionario"];?></font></td>
	</tr>
</table>
</body>
</html>
<?php include "../include/rodape.php";?>