<?php
include_once '../include/conecta.php'; //Conecta com a nosso banco de dados MySQL
include_once '../include/ver_sessao.php'; //Verifica se a sesso est ativa
include_once '../include/funcoesPhp.php';
include_once '../menu_movimento.php';
?>
<?php
if ($_GET["De"])
	$data .= "AND fornecedor.Data_Cadastro >= '" . data_banco($_GET["De"]) . " 00:00:00' ";
if ($_GET["Ate"])
	$data .= "AND fornecedor.Data_Cadastro <= '" . data_banco($_GET["Ate"]) . " 23:59:59' ";

if ($_GET["Natureza"]) {
	$natureza = "AND fornecedor.Natureza = '" . $_GET["Natureza"] . "' ";
}
if ($_GET["Estado"]) {
	$natureza .= "AND fornecedor.Estado = '" . $_GET["Estado"] . "' ";
}
if ($_GET["Cidade"]) {
	$natureza .= "AND cliente.Id_Cidade = '" . $_GET["Cidade"] . "' ";
}
if ($_GET["Categoria_Fornecedor"]) {
	$natureza .= "AND fornecedor.Id_Categoria_Fornecedor = '" . $_GET["Categoria_Fornecedor"] . "' ";
}


if ($_GET["Ok"]) {
	$fornecedor = listar("SELECT fornecedor.Titulo,
                            fornecedor.Cpf_Cnpj,
                            fornecedor.Razao_Social,
                            fornecedor.Codigo,
                            fornecedor.Email,
                            fornecedor.Fone1,
                            fornecedor.Fone2,
                            fornecedor.Data_Cadastro,
                            cidade_ibge.Titulo as Cidade_Ibge,
                            categoria_fornecedor.Titulo as Categoria_Fornecedor,
							cfop.Cfop as Cfop
                            FROM fornecedor
                            LEFT JOIN (SELECT Id,Titulo FROM cidade_ibge) as cidade_ibge ON fornecedor.Id_Cidade = cidade_ibge.Id
                            LEFT JOIN (SELECT Id,Titulo FROM categoria_fornecedor) as categoria_fornecedor ON categoria_fornecedor.Id = fornecedor.Id_Categoria_Fornecedor
                            LEFT JOIN (SELECT Id,Cfop FROM cfop) as cfop ON cfop.Id = fornecedor.Id_Cfop
                            WHERE 1=1 $data $natureza
                            ORDER BY fornecedor.Titulo");
}

?>
<?php ob_start(); /* Inicia o fluxo*/?>
<html>

<head>
    <link rel="stylesheet" type="text/css" href="../estilo/<?php echo SKIN ;?>/tabela_imp.css" />
    <script type="text/javascript" language="javascript" src="../js/jquery.js"></script>
    <?php include '../include/script_cabeca.php'; ?>
    <script type="text/javascript" language="javascript" src="../js/script.js"></script>
    <script type="text/javascript" language="javascript" src="../js/meiomask/meiomask.js"></script>
    <script type="text/javascript" language="javascript"
        src="../js/meiomask/<?php if(PAIS=="USA"){ echo "mascaras-usa"; }else{ echo "mascaras"; }?>.js"></script>
</head>

<body>
    <?php include "../include/cabecalho_relatorio.php"; ?>
    <table width="100%">
        <tr>
            <td>
                <font face="verdana" size="2"><i>Relatrio de Fornecedor</i></font>
            </td>
        </tr>
        <tr>
            <td>
                <font face="verdana" size="2">
                    <?php 
		if($_GET["De"]){
			echo "Perodo: ".$_GET["De"];
		}
		if($_GET["Ate"]){
			echo "  ".$_GET["Ate"];
		}
		if($_GET["Natureza"]){
			echo " - ".$_GET["Natureza"];
		}
		if($_GET["Categoria_Fornecedor"]){
                    $achar = listar("Select Titulo from categoria_fornecedor
                                            where Id = '".$_GET["Categoria_Fornecedor"]."' ");
                    echo " - ".$achar[0]["Titulo"];
		}
		?>
                </font>
            </td>
        </tr>
    </table>
    <br>
    <table width="100%" class="tabela">
        <thead>
            <tr class="azul-claro">
                <td>Ttulo</td>
                <td>Cpf / Cnpj</td>
                <?php if ($_GET["Natureza"] == "PJ") { ?>
                <td>Razo Social</td>
                <?php } ?>
                <td>E-mail</td>
                <td>Cidade</td>
                <td>Fone</td>
                <td>Fone 2</td>
                <td>Categoria</td>
                <td>Cfop</td>
                <td>Data Cadastro</td>
            </tr>
        </thead>
        <tfoot>
            <tr class="cinza">
                <td colspan="21">Relatrio de Fornecedor</td>
            </tr>
        </tfoot>
        <tbody>
            <?php
						if ($_GET["Ok"]) {

							$color = "#F5F5F5";
							foreach ($fornecedor as $chave) {
								if ($color == "#F5F5F5") {
									$color = "#E8E8E8";
								} else {
									$color = "#F5F5F5";
								}
						?>
            <tr bgcolor=<?php echo "$color"; ?>>
                <td><?php echo $chave["Codigo"] . ' : ' . $chave["Titulo"] ?></td>
                <td><?php echo cnpj_exibir($chave["Cpf_Cnpj"]) ?></td>
                <?php if ($_GET["Natureza"] == "PJ") { ?>
                <td><?php echo $chave["Razao_Social"] ?></td>
                <?php } ?>
                <td><?php echo $chave["Email"] ?></td>
                <td><?php echo $chave["Cidade_Ibge"] ?></td>
                <td><?php echo $chave["Fone1"] ?></td>
                <td><?php echo $chave["Fone2"] ?></td>
                <td><?php echo $chave["Categoria_Fornecedor"] ?></td>
                <td><?php echo $chave["Cfop"] ?></td>
                <td><?php echo data_exibir($chave["Data_Cadastro"]) ?></td>
            </tr>
            <?php }
						} ?>
        </tbody>
    </table>
    <br>
</body>

</html>
<?php 
$html = ob_get_contents();
ob_end_clean();

include_once "../include/pdf_opcao.php";
?>