<?php

use App\Controller\Cliente\Cliente;

include_once '../include/conecta.php'; //Conecta com a nosso banco de dados MySQL
include_once '../include/ver_sessao.php'; //Verifica se a sesso est ativa
include_once '../include/funcoesPhp.php';
include_once '../menu_movimento.php';
?>
<?php
/* CRIANDO O ID DO PRODUTO */
if ($_POST["Codigo_Funcionario"] == "") {
    $_POST["Codigo_Funcionario"] = md5($_SESSION['Id'] . microtime());
}
if(ESCOLHER_EMPRESA != 'Sim'){
    $_POST["Unidade"] = $_SESSION['Unidade'];
}

if ($_SERVER['REQUEST_METHOD'] == "POST") {

    if (($_POST["Titulo"]) && ($_POST["Fone1"])) {

        $_POST['Peso'] = valor_banco($_POST['Peso']);

        $_POST['Comissao_Avista'] = valor_banco($_POST['Comissao_Avista']);

        $_POST['Comissao_Aprazo'] = valor_banco($_POST['Comissao_Aprazo']);

        $_POST['Irrf'] = valor_banco($_POST['Irrf']);

        $_POST['Salario'] = valor_banco($_POST['Salario']);

        $_POST['Desconto_Produto'] = valor_banco($_POST['Desconto_Produto']);

        $_POST['Desconto_Pedido'] = valor_banco($_POST['Desconto_Pedido']);

        $_POST['Meta_Dia'] = valor_banco($_POST['Meta_Dia']);

        $_POST['Meta_Mes'] = valor_banco($_POST['Meta_Mes']);

        $_POST['Comissao1'] = valor_banco($_POST['Comissao1']);
        $_POST['Comissao2'] = valor_banco($_POST['Comissao2']);
        $_POST['Comissao3'] = valor_banco($_POST['Comissao3']);

        $_POST['Bonificacao'] = valor_banco($_POST['Bonificacao']);

        $_POST['Gratificacao'] = valor_banco($_POST['Gratificacao']);

        $_POST['Valor_Salario_Familia'] = valor_banco($_POST['Valor_Salario_Familia']);

        $_POST['Fator'] = $_POST['Fator'];

        $tHoras = '';
        list($horas1, $minutos1, $segundos1) = explode(":", $_POST['Entrada1']);
        $calc_hora1 = $horas1 * 3600 + $minutos1 * 60 + $segundos1;

        list($horas2, $minutos2, $segundos2) = explode(":", $_POST['Saida1']);
        $calc_hora2 = $horas2 * 3600 + $minutos2 * 60 + $segundos2;

        list($horas3, $minutos3, $segundos3) = explode(":", $_POST['Entrada2']);
        $calc_hora3 = $horas3 * 3600 + $minutos3 * 60 + $segundos3;

        list($horas4, $minutos4, $segundos4) = explode(":", $_POST['Saida2']);
        $calc_hora4 = $horas4 * 3600 + $minutos4 * 60 + $segundos4;

        $tHoras = ($calc_hora2 - $calc_hora1) + ($calc_hora4 - $calc_hora3);

        $tHoras = segundos_em_tempo($tHoras);

        if ($_POST['Data_Admissao'] == '') {
            //$_POST['Data_Admissao'] = data_exibir(date("Y-m-d"));
        }

        if ($_POST["Radio_Endereco_Entrega"] == 'Sim') {
            $_POST["Endereco_Entrega"] = $_POST["Endereco"];
            $_POST["Cep_Entrega"] = $_POST["Cep"];
            $_POST["Bairro_Entrega"] = $_POST["Bairro"];
            $_POST["Cidade_Entrega"] = $_POST["Cidade"];
            $_POST["Estado_Entrega"] = $_POST["Estado"];
        }

        if ($_POST["Radio_Endereco_Cobranca"] == 'Sim') {
            $_POST["Endereco_Cobranca"] = $_POST["Endereco"];
            $_POST["Cep_Cobranca"] = $_POST["Cep"];
            $_POST["Bairro_Cobranca"] = $_POST["Bairro"];
            $_POST["Cidade_Cobranca"] = $_POST["Cidade"];
            $_POST["Estado_Cobranca"] = $_POST["Estado"];
        }

        $_POST["Endereco"] = $_POST["Rua"];

        if ($_POST["Despesas"]) {
            $_POST["Despesas"] = 'Sim';
        } else {
            $_POST["Despesas"] = 'No';
        }

        if ($_POST["Efetivado"]) {
            $_POST["Efetivado"] = 'Sim';
        } else {
            $_POST["Efetivado"] = 'No';
        }

        if (CLIENTE_EMAIL == 'onemarketing' || CLIENTE_EMAIL == 'brztech') {
            $_POST["Codigo"] = $_POST["Numero_Cartao"];
        }

        $cidade = mysqli_query($con, "SELECT Id,Titulo,Codigo from cidade_ibge WHERE Codigo='" . $_POST["Cidade"] . "'");
        $cidade = mysqli_fetch_assoc($cidade);
        $id_cidade = $cidade["Id"];
        $nome_cidade = $cidade["Titulo"];
        $codigo_cidade = $cidade["Codigo"];

        //cadastrando um fornecedor apartir do funcionario
        if ($_POST["Despesas"] == 'Sim') {

            //verificando se tem fornecedor j cadastrado
            $forne = mysqli_query($con, "Select Id from fornecedor WHERE Id='" . $_POST["Codigo_Funcionario"] . "'");
            $forne = mysqli_fetch_assoc($forne);

            if ($forne["Id"] == '') {

                $busca_codigo = mysqli_query($con, "SELECT Codigo FROM fornecedor ORDER BY Data_Cadastro DESC LIMIT 1");
                $busca_codigo = mysqli_fetch_assoc($busca_codigo);
                $new_cod = str_pad(($busca_codigo['Codigo'] + 1), 4, "0", STR_PAD_LEFT);

                mysqli_query($con, "INSERT INTO fornecedor (Id,
                                        Titulo,
                                        Cpf_Cnpj,
                                        Email,
                                        Rua,
                                        Numero,
                                        Complemento,
                                        Cep,
                                        Bairro,
                                        Cidade,
                                        Id_Cidade,
                                        Estado,
                                        Fone1,
                                        Natureza,
                                        Razao_Social,
                                        Codigo,
                                        Ativo,
                                        Funcionario,
                                        " . $padraoCampos . ")
                                        values('" . $_POST["Codigo_Funcionario"] . "',
                                        '" . limpaNome(trim($_POST["Titulo"])) . " " . limpaNome(trim($_POST["Sobrenome"])) . "',
                                        '" . $_POST["Cpf"] . "',
                                        '" . trim($_POST["Email"]) . "',
                                        '" . limpaNome($_POST["Rua"]) . "',
                                        '" . limpaNome($_POST["Numero"]) . "',
                                        '" . limpaNome($_POST["Complemento"]) . "',
                                        '" . $_POST["Cep"] . "',
                                        '" . limpaNome($_POST["Bairro"]) . "',
                                        '" . limpaNome($nome_cidade) . "',
                                        '" . limpaNome($id_cidade) . "',
                                        '" . $_POST["Estado"] . "',
                                        '" . trim($_POST["Fone1"]) . "',
                                        'PF',
                                        '" . limpaNome(trim($_POST["Titulo"])) . " " . limpaNome(trim($_POST["Sobrenome"])) . "',
                                        '" . $new_cod . "',
                                        '" . $_POST["Ativo"] . "',
                                        'Sim',
                                        " . $padraoPost . ")")
                    or die("Erro no comando SQL:" . mysqli_error($con));
            } else { //fim checagem se ja exiete fornecedor

                mysqli_query($con, "UPDATE fornecedor SET
                                Titulo = '" . limpaNome(trim($_POST["Titulo"])) . " " . limpaNome(trim($_POST["Sobrenome"])) . "',
                                Cpf_Cnpj = '" . $_POST["Cpf"] . "',
                                Email = '" . trim($_POST["Email"]) . "',
                                Cep = '" . $_POST["Cep"] . "',
                                Rua= '" . limpaNome($_POST["Rua"]) . "',
                                Numero= '" . limpaNome($_POST["Numero"]) . "',
                                Complemento= '" . limpaNome($_POST["Complemento"]) . "',
                                Bairro = '" . limpaNome($_POST["Bairro"]) . "',
                                Cidade = '" . limpaNome($nome_cidade) . "',
                                Id_Cidade = '" . limpaNome($_POST["Cidade"]) . "',
                                Estado = '" . $_POST["Estado"] . "',
                                Fone1 = '" . trim($_POST["Fone1"]) . "',
                                Razao_Social = '" . limpaNome(trim($_POST["Titulo"])) . " " . limpaNome(trim($_POST["Sobrenome"])) . "',
                                Ativo = '" . limpaNome($_POST["Ativo"]) . "',
                                " . $padraoUpd . "
                                WHERE Id='" . $_POST["Codigo_Funcionario"] . "' ")
                    or die("Erro no comando SQL:" . mysqli_error($con));
            }
        }


        if ($_POST["Cadastrar"]) {

            if ((CLIENTE_EMAIL == 'modus') || (CLIENTE_EMAIL == 'grafica') || (RESTAURANTE == 'Sim')) {
                $sql = mysqli_query($con, "SELECT Id FROM funcionario WHERE Senha='" . limpaNome($_POST['Senha']) . "' ")
                    or die("ERRO no comando SQL:" . mysqli_error($con));
            } else {
                $sql = mysqli_query($con, "SELECT Id FROM funcionario WHERE Titulo='" . limpaNome($_POST['Titulo']) . "' ")
                    or die("ERRO no comando SQL:" . mysqli_error($con));
            }

            if (mysqli_num_rows($sql) == 0) {

                //$codUsuario = md5($_POST['Titulo'].microtime());

                if ($_FILES['Foto']["name"]) {
                    $codFoto = $_POST["Codigo_Funcionario"];
                    include 'recorta_foto.php';
                }

                mysqli_query($con, "INSERT INTO funcionario (Id,
                                                        Titulo,
                                                        Sobrenome,
                                                        Codigo,
                                                        Comissao_Avista,
                                                        Comissao_Aprazo,
                                                        Id_Unidade,
                                                        Numero_Cartao,
                                                        Ativo,
                                                        Id_Cargo,
                                                        Id_Departamento,
                                                        Data_Admissao,
                                                        Data_Demissao,
                                                        Aniversario,
                                                        Cpf,
                                                        Fone,
                                                        Celular,
                                                        Cep,
                                                        Estado,
                                                        Cidade,
                                                        Bairro,
                                                        Endereco,
                                                        Complemento,
                                                        Ponto_Referencia,
                                                        Email,
                                                        Vendedor,
                                                        Tecnico,
                                                        Obs,
                                                        Rg,
                                                        Titulo_Eleitor,
                                                        Pis,
                                                        Ctps,
                                                        Cbo,
                                                        Salario,
                                                        Banco,
                                                        Agencia,
                                                        Conta,
                                                        Nome_Titular,
                                                        Radio_Endereco_Entrega,
                                                        Endereco_Entrega,
                                                        Cep_Entrega,
                                                        Bairro_Entrega,
                                                        Cidade_Entrega,
                                                        Estado_Entrega,
                                                        Radio_Endereco_Cobranca,
                                                        Endereco_Cobranca,
                                                        Cep_Cobranca,
                                                        Bairro_Cobranca,
                                                        Cidade_Cobranca,
                                                        Estado_Cobranca,
                                                        Fone2,
                                                        Fone3,
                                                        Senha,
                                                        Desconto_Produto,
                                                        Desconto_Pedido,
                                                        Meta_Dia,
                                                        Meta_Mes,
                                                        Data_Exame,
                                                        Data_Ferias,
                                                        Estado_Civil,
                                                        Carga_Horaria,
                                                        Salario_Familia,
                                                        Valor_Salario_Familia,
                                                        Turno,
                                                        Plano_Saude,
                                                        Nome_Plano_Saude,
                                                        Vem,
                                                        Numero_Vem,
                                                        Id_Vale_Transporte,
                                                        Passagens_Dia,
                                                        Id_Vale_Transporte2,
                                                        Passagens_Dia2,
                                                        Id_Vale_Transporte3,
                                                        Passagens_Dia3,
                                                        Id_Vale_Transporte4,
                                                        Passagens_Dia4,
                                                        Ticket,
                                                        Tipo_Ticket,
                                                        Despesas,
                                                        Id_Mesa_Grupo,
                                                        Restaurante,
                                                        Salao,
                                                        Id_Usuario_Login,
                                                        Transf_Item,
                                                        Transf_Mesa,
                                                        Cancelar_Item,
                                                        Cancelar_Mesa,
                                                        Parcial,
                                                        Pagamento,
                                                        Comissao1,
                                                        Comissao2,
                                                        Comissao3,
                                                        Entrada1,
                                                        Saida1,
                                                        Entrada2,
                                                        Saida2,
                                                        Fator,
                                                        Total_Hora,
                                                        Data_Inicio_Empresa,
                                                        Data_Inicio_Contrato,
                                                        Data_Fim_Contrato,
                                                        Efetivado,
                                                        Bonificacao,
                                                        Gratificacao,
                                                        Nickname,
                                                        Id_Centro_Custo,
                                                        Tabela_Preco,
                                                        Desconto_Mesa,
                                                        Alterar_Valor_Mesa,
                                                        Tipo,
                                                        Foto,
                                                        Peso,
                                                        Exibir_Mesa_Novo,
                                                        Funcao_Global_Mesa,
                                                        Transferencia_Mesa,
                                                        Parcial_Mesa,
                                                        Transferir_Item_Mesa,
                                                        Transferir_Mesa,
                                                        Cancelar_Item_Mesa,
                                                        Cancelar_Mesa_,
                                                        Parcial_Mesa_,
                                                        Pagamento_Mesa,
                                                        Desconto_Mesa_,
                                                        Alterar_Valor_Mesa_,
                                                        Alterar_Taxa_Servico_Mesa,
                                                        Alterar_Couvert_Mesa,
                                                        Alterar_Itens_Cancelados,
                                                        Exibir_Pedido_Novo,
                                                        Funcao_Global_Pedido,
                                                        Transferencia_Pedido,
                                                        Parcial_Pedido,
                                                        Transferir_Item_Pedido,
                                                        Transferir_Pedido,
                                                        Cancelar_Item_Pedido,
                                                        Cancelar_Pedido_,
                                                        Parcial_Pedido_,
                                                        Pagamento_Pedido,
                                                        Desconto_Pedido_,
                                                        Alterar_Valor_Pedido_,
                                                        Alterar_Valor_Item_Pedido,
                                                        Alterar_Taxa_Entrega,
                                                        Alterar_Itens_Cancelados_Pedido,
                                                        Alterar_Taxa_Servico_Pedido,
                                                        Alterar_Couvert_Pedido,
                                                        Configuracoes_Mesa,
                                                        Cadastro_Mesa,
                                                        Manutencao_Mesa,
                                                        Ifood_Mesa,
                                                        Configuracoes_Pedido,
                                                        Ifood_Pedido,
                                                        Alterar_Cliente,
                                                        Chave_Pix,
                                                        Irrf,
                                                        Tipo_Contrato,
                                                        Id_Solicitante,
                                                        Tipo_Operador,
                                                        Motorista,
                                                        " . $padraoCampos . ")
                                                        values('" . $_POST["Codigo_Funcionario"] . "',
                                                        '" . limpaNome(trim($_POST["Titulo"])) . "',
                                                        '" . limpaNome($_POST["Sobrenome"]) . "',
                                                        '" . limpaNome($_POST["Codigo"]) . "',
                                                        '" . $_POST["Comissao_Avista"] . "',
                                                        '" . $_POST["Comissao_Aprazo"] . "',
                                                        '" . $_POST["Unidade"] . "',
                                                        '" . limpaNome($_POST["Numero_Cartao"]) . "',
                                                        '" . $_POST["Ativo"] . "',
                                                        '" . $_POST["Cargo"] . "',
                                                        '" . $_POST["Departamento"] . "',
                                                        '" . data_banco($_POST["Data_Admissao"]) . "',
                                                        '" . data_banco($_POST["Data_Demissao"]) . "',
                                                        '" . data_banco($_POST["Aniversario"]) . "',
                                                        '" . $_POST["Cpf"] . "',
                                                        '" . trim($_POST["Fone1"]) . "',
                                                        '" . $_POST["Celular"] . "',
                                                        '" . $_POST["Cep"] . "',
                                                        '" . limpaNome($_POST["Estado"]) . "',
                                                        '" . $id_cidade . "',
                                                        '" . limpaNome($_POST["Bairro"]) . "',
                                                        '" . limpaNome($_POST["Endereco"]) . "',
                                                        '" . limpaNome($_POST["Complemento"]) . "',
                                                        '" . limpaNome($_POST["Ponto_Referencia"]) . "',
                                                        '" . limpaNome($_POST["Email"]) . "',
                                                        '" . limpaNome($_POST["Vendedor"]) . "',
                                                        '" . limpaNome($_POST["Tecnico"]) . "',
                                                        '" . limpaNome($_POST["Obs"]) . "',
                                                        '" . limpaNome($_POST["Rg"]) . "',
                                                        '" . limpaNome($_POST["Titulo_Eleitor"]) . "',
                                                        '" . limpaNome($_POST["Pis"]) . "',
                                                        '" . limpaNome($_POST["Ctps"]) . "',
							                            '" . limpaNome($_POST["Cbo"]) . "',
                                                        '" . $_POST["Salario"] . "',
                                                        '" . limpaNome($_POST["Banco"]) . "',
                                                        '" . limpaNome($_POST["Agencia"]) . "',
                                                        '" . limpaNome($_POST["Conta"]) . "',
                                                        '" . limpaNome($_POST["Nome_Titular"]) . "',
                                                        '" . $_POST["Radio_Endereco_Entrega"] . "',
                                                        '" . limpaNome($_POST["Endereco_Entrega"]) . "',
                                                        '" . $_POST["Cep_Entrega"] . "',
                                                        '" . limpaNome($_POST["Bairro_Entrega"]) . "',
                                                        '" . limpaNome($_POST["Cidade_Entrega"]) . "',
                                                        '" . $_POST["Estado_Entrega"] . "',
                                                        '" . $_POST["Radio_Endereco_Cobranca"] . "',
                                                        '" . limpaNome($_POST["Endereco_Cobranca"]) . "',
                                                        '" . $_POST["Cep_Cobranca"] . "',
                                                        '" . limpaNome($_POST["Bairro_Cobranca"]) . "',
                                                        '" . limpaNome($_POST["Cidade_Cobranca"]) . "',
                                                        '" . $_POST["Estado_Cobranca"] . "',
                                                        '" . trim($_POST["Fone2"]) . "',
                                                        '" . trim($_POST["Fone3"]) . "',
                                                        '" . limpaNome($_POST["Senha"]) . "',
                                                        '" . $_POST["Desconto_Produto"] . "',
                                                        '" . $_POST["Desconto_Pedido"] . "',
                                                        '" . $_POST["Meta_Dia"] . "',
                                                        '" . $_POST["Meta_Mes"] . "',
                                                        '" . data_banco($_POST["Data_Exame"]) . "',
                                                        '" . data_banco($_POST["Data_Ferias"]) . "',
                                                        '" . $_POST["Estado_Civil"] . "',
                                                        '" . $_POST["Carga_Horaria"] . "',
                                                        '" . $_POST["Salario_Familia"] . "',
                                                        '" . $_POST["Valor_Salario_Familia"] . "',
                                                        '" . $_POST["Turno"] . "',
                                                        '" . $_POST["Plano_Saude"] . "',
                                                        '" . $_POST["Nome_Plano_Saude"] . "',
                                                        '" . $_POST["Vem"] . "',
                                                        '" . $_POST["Numero_Vem"] . "',
                                                        '" . $_POST["Vale_Transporte"] . "',
                                                        '" . $_POST["Passagens_Dia"] . "',
                                                        '" . $_POST["Vale_Transporte2"] . "',
                                                        '" . $_POST["Passagens_Dia2"] . "',
                                                        '" . $_POST["Vale_Transporte3"] . "',
                                                        '" . $_POST["Passagens_Dia3"] . "',
                                                        '" . $_POST["Vale_Transporte4"] . "',
                                                        '" . $_POST["Passagens_Dia4"] . "',
                                                        '" . $_POST["Ticket"] . "',
                                                        '" . $_POST["Tipo_Ticket"] . "',
                                                        '" . $_POST["Despesas"] . "',
                                                        '" . $_POST["Mesa_Grupo"] . "',
                                                        '" . $_POST["Restaurante"] . "',
                                                        '" . $_POST["Salao"] . "',
                                                        '" . $_POST["Usuario_Login"] . "',
                                                        '" . $_POST["Transf_Item"] . "',
                                                        '" . $_POST["Transf_Mesa"] . "',
                                                        '" . $_POST["Cancelar_Item"] . "',
                                                        '" . $_POST["Cancelar_Mesa"] . "',
                                                        '" . $_POST["Parcial"] . "',
                                                        '" . $_POST["Pagamento"] . "',
                                                        '" . $_POST["Comissao1"] . "',
                                                        '" . $_POST["Comissao2"] . "',
                                                        '" . $_POST["Comissao3"] . "',
                                                        '" . $_POST["Entrada1"] . "',
                                                        '" . $_POST["Saida1"] . "',
                                                        '" . $_POST["Entrada2"] . "',
                                                        '" . $_POST["Saida2"] . "',
                                                        '" . $_POST["Fator"] . "',
                                                        '" . $tHoras . "',
                                                        '" . data_banco($_POST["Data_Inicio_Empresa"]) . "',
                                                        '" . data_banco($_POST["Data_Inicio_Contrato"]) . "',
                                                        '" . data_banco($_POST["Data_Fim_Contrato"]) . "',
                                                        '" . $_POST["Efetivado"] . "',
                                                        '" . $_POST["Bonificacao"] . "',
                                                        '" . $_POST["Gratificacao"] . "',
                                                        '" . $_POST["Nickname"] . "',
                                                        '" . $_POST["Centro_Custo"] . "',
                                                        '" . $_POST["Tabela_Preco"] . "',
                                                        '" . $_POST["Desconto_Mesa"] . "',
                                                        '" . $_POST["Alterar_Valor_Mesa"] . "',
                                                        'F',
                                                        '" . $nomeDaFoto . "',
                                                        '" . $_POST["Peso"] . "',
                                                        '" . $_POST["Exibir_Mesa_Novo"] . "',
                                                        '" . $_POST["Funcao_Global_Mesa"] . "',
                                                        '" . $_POST["Transferencia_Mesa"] . "',
                                                        '" . $_POST["Parcial_Mesa"] . "',
                                                        '" . $_POST["Transferir_Item_Mesa"] . "',
                                                        '" . $_POST["Transferir_Mesa"] . "',
                                                        '" . $_POST["Cancelar_Item_Mesa"] . "',
                                                        '" . $_POST["Cancelar_Mesa_"] . "',
                                                        '" . $_POST["Parcial_Mesa_"] . "',
                                                        '" . $_POST["Pagamento_Mesa"] . "',
                                                        '" . $_POST["Desconto_Mesa_"] . "',
                                                        '" . $_POST["Alterar_Valor_Mesa_"] . "',
                                                        '" . $_POST["Alterar_Taxa_Servico_Mesa"] . "',
                                                        '" . $_POST["Alterar_Couvert_Mesa"] . "',
                                                        '" . $_POST["Alterar_Itens_Cancelados"] . "',
                                                        '" . $_POST["Exibir_Pedido_Novo"] . "',
                                                        '" . $_POST["Funcao_Global_Pedido"] . "',
                                                        '" . $_POST["Transferencia_Pedido"] . "',
                                                        '" . $_POST["Parcial_Pedido"] . "',
                                                        '" . $_POST["Transferir_Item_Pedido"] . "',
                                                        '" . $_POST["Transferir_Pedido"] . "',
                                                        '" . $_POST["Cancelar_Item_Pedido"] . "',
                                                        '" . $_POST["Cancelar_Pedido_"] . "',
                                                        '" . $_POST["Parcial_Pedido_"] . "',
                                                        '" . $_POST["Pagamento_Pedido"] . "',
                                                        '" . $_POST["Desconto_Pedido_"] . "',
                                                        '" . $_POST["Alterar_Valor_Pedido_"] . "',
                                                        '" . $_POST["Alterar_Valor_Item_Pedido"] . "',
                                                        '" . $_POST["Alterar_Taxa_Entrega"] . "',
                                                        '" . $_POST["Alterar_Itens_Cancelados_Pedido"] . "',
                                                        '" . $_POST["Alterar_Taxa_Servico_Pedido"] . "',
                                                        '" . $_POST["Alterar_Couvert_Pedido"] . "',
                                                        '" . $_POST["Configuracoes_Mesa"] . "',
                                                        '" . $_POST["Cadastro_Mesa"] . "',
                                                        '" . $_POST["Manutencao_Mesa"] . "',
                                                        '" . $_POST["Ifood_Mesa"] . "',
                                                        '" . $_POST["Configuracoes_Pedido"] . "',
                                                        '" . $_POST["Ifood_Pedido"] . "',
                                                        '" . $_POST["Alterar_Cliente"] . "',
                                                        '" . $_POST["Chave_Pix"] . "',
                                                        '" . $_POST["Irrf"] . "',
                                                        '" . $_POST["Tipo_Contrato"] . "',
                                                        '" . $_POST["Solicitante"] . "',
                                                        '" . $_POST["Tipo_Operador"] . "',
                                                        '" . $_POST["Motorista"] . "',
                                                        " . $padraoPost . ")")
                    or die("Erro no comando SQL:" . mysqli_error($con));


                //$msg = 'Funcionrio cadastrado com sucesso!';
                $redirecionar = "list_funcionario.php";
                logUsuario($_SERVER['REMOTE_ADDR'], $_SESSION['Login'], $_SESSION['Email'], $_SESSION['Unidade'], "Funcionrio", "Cadastro");
            } else {
                if ((CLIENTE_EMAIL == 'modus') || (CLIENTE_EMAIL == 'grafica') || (RESTAURANTE == 'Sim')) {
                    $msg = 'Senha de funcionrio j cadastrada!';
                } else {
                    $msg = 'Funcionrio j cadastrado!';
                }
            }
        } elseif ($_POST["Alterar"]) {

            $codFoto = $_POST["Codigo_Funcionario"];
            if ($_FILES['Foto']["name"]) {
                include 'recorta_foto.php';
                $logo_banco = " Foto = '" . $nomeDaFoto . "',";
            }

            if (
                ((CLIENTE_EMAIL == 'modus') || (CLIENTE_EMAIL == 'grafica') || (RESTAURANTE == 'Sim' || CLIENTE_EMAIL == 'spw')) && ($_POST["Natureza"] == 'Sim')
            ) {
                $senha = " Senha = '" . $_POST["Senha"] . "' ,";
            }

            $senha = " Senha = '" . $_POST["Senha"] . "' ,";

            $sql = '1';

            if (
                ((CLIENTE_EMAIL == 'modus') || (CLIENTE_EMAIL == 'grafica') || (RESTAURANTE == 'Sim')) && ($_POST["Natureza"] == 'Sim')
            ) {
                //precisa ser um destes cliente e ter colocado pra alterar senha
                $sql = mysqli_query($con, "SELECT Id FROM funcionario WHERE Senha='" . limpaNome($_POST['Senha']) . "'
                                    AND Titulo <> '" . limpaNome($_POST['Titulo']) . "' ")
                    or die("ERRO no comando SQL:" . mysqli_error($con));
                $retornoSql = mysqli_fetch_array($sql);
            }

            if (mysqli_num_rows($retornoSql) == 0) {

                mysqli_query($con, "UPDATE funcionario SET
                                            Titulo = '" . limpaNome(trim($_POST["Titulo"])) . "',
                                            Sobrenome = '" . limpaNome($_POST["Sobrenome"]) . "',
                                            Codigo = '" . limpaNome($_POST["Codigo"]) . "',
                                            Comissao_Avista = '" . $_POST["Comissao_Avista"] . "',
                                            Comissao_Aprazo = '" . $_POST["Comissao_Aprazo"] . "',
                                            Numero_Cartao = '" . limpaNome($_POST["Numero_Cartao"]) . "',
                                            Id_Unidade = '" . $_POST["Unidade"] . "',
                                            Ativo = '" . $_POST["Ativo"] . "',
                                            Id_Cargo = '" . $_POST["Cargo"] . "',
                                            Id_Departamento = '" . $_POST["Departamento"] . "',
                                            Data_Admissao = '" . data_banco($_POST["Data_Admissao"]) . "',
                                            Data_Demissao = '" . data_banco($_POST["Data_Demissao"]) . "',
                                            Aniversario = '" . data_banco($_POST["Aniversario"]) . "',
                                            Cpf = '" . $_POST["Cpf"] . "',
                                            Fone = '" . trim($_POST["Fone1"]) . "',
                                            Fone2 = '" . trim($_POST["Fone2"]) . "',
                                            Fone3 = '" . trim($_POST["Fone3"]) . "',
                                            Celular = '" . $_POST["Celular"] . "',
                                            Cep = '" . $_POST["Cep"] . "',
                                            Estado = '" . limpaNome($_POST["Estado"]) . "',
                                            Cidade = '" . $id_cidade . "',
                                            Bairro = '" . limpaNome($_POST["Bairro"]) . "',
                                            Endereco = '" . limpaNome($_POST["Endereco"]) . "',
                                            Complemento = '" . limpaNome($_POST["Complemento"]) . "',
                                            Ponto_Referencia = '" . limpaNome($_POST["Ponto_Referencia"]) . "',
                                            Email = '" . limpaNome($_POST["Email"]) . "',
                                            Vendedor = '" . limpaNome($_POST["Vendedor"]) . "',
                                            Tecnico = '" . limpaNome($_POST["Tecnico"]) . "',
                                            Obs = '" . limpaNome($_POST["Obs"]) . "',
                                            Rg = '" . limpaNome($_POST["Rg"]) . "',
                                            Titulo_Eleitor = '" . limpaNome($_POST["Titulo_Eleitor"]) . "',
                                            Pis = '" . limpaNome($_POST["Pis"]) . "',
                                            Ctps = '" . limpaNome($_POST["Ctps"]) . "',
                                            Cbo = '" . limpaNome($_POST["Cbo"]) . "',
                                            Salario = '" . $_POST["Salario"] . "',
                                            Banco = '" . limpaNome($_POST["Banco"]) . "',
                                            Agencia = '" . limpaNome($_POST["Agencia"]) . "',
                                            Conta = '" . limpaNome($_POST["Conta"]) . "',
                                            Nome_Titular = '" . limpaNome($_POST["Nome_Titular"]) . "',
                                            Radio_Endereco_Entrega = '" . $_POST["Radio_Endereco_Entrega"] . "',
                                            Endereco_Entrega = '" . limpaNome($_POST["Endereco_Entrega"]) . "',
                                            Cep_Entrega = '" . $_POST["Cep_Entrega"] . "',
                                            Bairro_Entrega = '" . limpaNome($_POST["Bairro_Entrega"]) . "',
                                            Cidade_Entrega = '" . limpaNome($_POST["Cidade_Entrega"]) . "',
                                            Estado_Entrega = '" . $_POST["Estado_Entrega"] . "',
                                            Radio_Endereco_Cobranca = '" . $_POST["Radio_Endereco_Cobranca"] . "',
                                            Endereco_Cobranca = '" . limpaNome($_POST["Endereco_Cobranca"]) . "',
                                            Cep_Cobranca = '" . $_POST["Cep_Cobranca"] . "',
                                            Bairro_Cobranca = '" . limpaNome($_POST["Bairro_Cobranca"]) . "',
                                            Cidade_Cobranca = '" . limpaNome($_POST["Cidade_Cobranca"]) . "',
                                            Estado_Cobranca = '" . $_POST["Estado_Cobranca"] . "',
                                            Cidade_Cobranca = '" . limpaNome($_POST["Site"]) . "',
                                            Desconto_Produto = '" . $_POST["Desconto_Produto"] . "',
                                            Desconto_Pedido = '" . $_POST["Desconto_Pedido"] . "',
                                            Meta_Dia = '" . $_POST["Meta_Dia"] . "',
                                            Meta_Mes = '" . $_POST["Meta_Mes"] . "',
                                            Data_Exame = '" . data_banco($_POST["Data_Exame"]) . "',
                                            Data_Ferias = '" . data_banco($_POST["Data_Ferias"]) . "',
                                            Estado_Civil = '" . $_POST["Estado_Civil"] . "',
                                            Carga_Horaria = '" . $_POST["Carga_Horaria"] . "',
                                            Salario_Familia = '" . $_POST["Salario_Familia"] . "',
                                            Valor_Salario_Familia = '" . $_POST["Valor_Salario_Familia"] . "',
                                            Turno = '" . $_POST["Turno"] . "',
                                            Plano_Saude = '" . $_POST["Plano_Saude"] . "',
                                            Nome_Plano_Saude = '" . $_POST["Nome_Plano_Saude"] . "',
                                            Vem = '" . $_POST["Vem"] . "',
                                            Numero_Vem = '" . $_POST["Numero_Vem"] . "',
                                            Id_Vale_Transporte = '" . $_POST["Vale_Transporte"] . "',
                                            Passagens_Dia = '" . $_POST["Passagens_Dia"] . "',
                                            Id_Vale_Transporte2 = '" . $_POST["Vale_Transporte2"] . "',
                                            Passagens_Dia2 = '" . $_POST["Passagens_Dia2"] . "',
                                            Id_Vale_Transporte3 = '" . $_POST["Vale_Transporte3"] . "',
                                            Passagens_Dia3 = '" . $_POST["Passagens_Dia3"] . "',
                                            Id_Vale_Transporte4 = '" . $_POST["Vale_Transporte4"] . "',
                                            Passagens_Dia4 = '" . $_POST["Passagens_Dia4"] . "',
                                            Ticket = '" . $_POST["Ticket"] . "',
                                            Tipo_Ticket = '" . $_POST["Tipo_Ticket"] . "',
                                            Despesas = '" . $_POST["Despesas"] . "',
                                            Id_Mesa_Grupo = '" . $_POST["Mesa_Grupo"] . "',
                                            Restaurante = '" . $_POST["Restaurante"] . "',
                                            Salao = '" . $_POST["Salao"] . "',
                                            Id_Usuario_Login = '" . $_POST["Usuario_Login"] . "',
                                            Transf_Item = '" . $_POST["Transf_Item"] . "',
                                            Transf_Mesa = '" . $_POST["Transf_Mesa"] . "',
                                            Cancelar_Item = '" . $_POST["Cancelar_Item"] . "',
                                            Cancelar_Mesa = '" . $_POST["Cancelar_Mesa"] . "',
                                            Parcial = '" . $_POST["Parcial"] . "',
                                            Pagamento = '" . $_POST["Pagamento"] . "',
                                            Comissao1 = '" . $_POST["Comissao1"] . "',
                                            Comissao2 = '" . $_POST["Comissao2"] . "',
                                            Comissao3 = '" . $_POST["Comissao3"] . "',
                                            Entrada1 = '" . $_POST["Entrada1"] . "',
                                            Saida1 = '" . $_POST["Saida1"] . "',
                                            Entrada2 = '" . $_POST["Entrada2"] . "',
                                            Saida2 = '" . $_POST["Saida2"] . "',
                                            Fator = '" . $_POST["Fator"] . "',
                                            Total_Hora = '" . $tHoras . "',
                                            Data_Inicio_Empresa = '" . data_banco($_POST["Data_Inicio_Empresa"]) . "',
                                            Data_Inicio_Contrato = '" . data_banco($_POST["Data_Inicio_Contrato"]) . "',
                                            Data_Fim_Contrato = '" . data_banco($_POST["Data_Fim_Contrato"]) . "',
                                            Efetivado = '" . $_POST["Efetivado"] . "',
                                            Bonificacao = '" . $_POST["Bonificacao"] . "',
                                            Gratificacao = '" . $_POST["Gratificacao"] . "',
                                            Nickname = '" . $_POST["Nickname"] . "',
                                            Id_Centro_Custo = '" . $_POST["Centro_Custo"] . "',
                                            Tabela_Preco = '" . $_POST["Tabela_Preco"] . "',
                                            Desconto_Mesa = '" . $_POST["Desconto_Mesa"] . "',
                                            Alterar_Valor_Mesa = '" . $_POST["Alterar_Valor_Mesa"] . "',
                                            Peso = '" . $_POST["Peso"] . "',
                                            Tipo = 'F',
                                            Exibir_Mesa_Novo = '" . $_POST["Exibir_Mesa_Novo"] . "',
                                            Funcao_Global_Mesa = '" . $_POST["Funcao_Global_Mesa"] . "',
                                            Transferencia_Mesa = '" . $_POST["Transferencia_Mesa"] . "',
                                            Parcial_Mesa = '" . $_POST["Parcial_Mesa"] . "',
                                            Transferir_Item_Mesa = '" . $_POST["Transferir_Item_Mesa"] . "',
                                            Transferir_Mesa = '" . $_POST["Transferir_Mesa"] . "',
                                            Cancelar_Item_Mesa = '" . $_POST["Cancelar_Item_Mesa"] . "',
                                            Cancelar_Mesa_ = '" . $_POST["Cancelar_Mesa_"] . "',
                                            Parcial_Mesa_ = '" . $_POST["Parcial_Mesa_"] . "',
                                            Pagamento_Mesa = '" . $_POST["Pagamento_Mesa"] . "',
                                            Desconto_Mesa_ = '" . $_POST["Desconto_Mesa_"] . "',
                                            Alterar_Valor_Mesa_ = '" . $_POST["Alterar_Valor_Mesa_"] . "',
                                            Alterar_Taxa_Servico_Mesa = '" . $_POST["Alterar_Taxa_Servico_Mesa"] . "',
                                            Alterar_Couvert_Mesa = '" . $_POST["Alterar_Couvert_Mesa"] . "',
                                            Alterar_Itens_Cancelados = '" . $_POST["Alterar_Itens_Cancelados"] . "',
                                            Exibir_Pedido_Novo = '" . $_POST["Exibir_Pedido_Novo"] . "',
                                            Funcao_Global_Pedido = '" . $_POST["Funcao_Global_Pedido"] . "',
                                            Transferencia_Pedido = '" . $_POST["Transferencia_Pedido"] . "',
                                            Parcial_Pedido = '" . $_POST["Parcial_Pedido"] . "',
                                            Transferir_Item_Pedido = '" . $_POST["Transferir_Item_Pedido"] . "',
                                            Transferir_Pedido = '" . $_POST["Transferir_Pedido"] . "',
                                            Cancelar_Item_Pedido = '" . $_POST["Cancelar_Item_Pedido"] . "',
                                            Cancelar_Pedido_ =  '" . $_POST["Cancelar_Pedido_"] . "',
                                            Parcial_Pedido_ = '" . $_POST["Parcial_Pedido_"] . "',
                                            Pagamento_Pedido = '" . $_POST["Pagamento_Pedido"] . "',
                                            Desconto_Pedido_ = '" . $_POST["Desconto_Pedido_"] . "',
                                            Alterar_Valor_Pedido_ = '" . $_POST["Alterar_Valor_Pedido_"] . "',
                                            Alterar_Valor_Item_Pedido = '" . $_POST["Alterar_Valor_Item_Pedido"] . "',
                                            Alterar_Taxa_Entrega = '" . $_POST["Alterar_Taxa_Entrega"] . "',
                                            Alterar_Itens_Cancelados_Pedido = '" . $_POST["Alterar_Itens_Cancelados_Pedido"] . "',
                                            Alterar_Taxa_Servico_Pedido = '" . $_POST["Alterar_Taxa_Servico_Pedido"] . "',
                                            Alterar_Couvert_Pedido = '" . $_POST["Alterar_Couvert_Pedido"] . "',
                                            Configuracoes_Mesa = '" . $_POST["Configuracoes_Mesa"] . "',
                                            Cadastro_Mesa = '" . $_POST["Cadastro_Mesa"] . "',
                                            Manutencao_Mesa = '" . $_POST["Manutencao_Mesa"] . "',
                                            Ifood_Mesa = '" . $_POST["Ifood_Mesa"] . "',
                                            Configuracoes_Pedido = '" . $_POST["Configuracoes_Pedido"] . "',
                                            Ifood_Pedido = '" . $_POST["Ifood_Pedido"] . "',
                                            Alterar_Cliente = '" . $_POST["Alterar_Cliente"] . "',
                                            Chave_Pix = '" . $_POST["Chave_Pix"] . "',
                                            Irrf = '" . $_POST["Irrf"] . "',
                                            Tipo_Contrato = '" . $_POST["Tipo_Contrato"] . "',
                                            Id_Solicitante = '" . $_POST["Solicitante"] . "',
                                            Tipo_Operador = '" . $_POST["Tipo_Operador"] . "',
                                            Motorista = '" . $_POST["Motorista"] . "',
                                            $senha
                                            $logo_banco
                                            " . $padraoUpd . "
                                            WHERE Id='" . $_POST["Codigo_Funcionario"] . "' ") or die("ERRO no comando SQL:" . mysqli_error($con));


                //$msg = "Dados do funcionrio ".strtoupper($_POST["Titulo"])." alterados com Sucesso!!";
                $redirecionar = "list_funcionario.php";
                logUsuario($_SERVER['REMOTE_ADDR'], $_SESSION['Login'], $_SESSION['Email'], $_SESSION['Unidade'], "Funcionrio", "Alterar");
            } else {
                if ((CLIENTE_EMAIL == 'modus') || (CLIENTE_EMAIL == 'grafica') || (RESTAURANTE == 'Sim')) {
                    $msg = 'Senha de funcionrio j cadastrada!';
                }
            }
        }
    } else {

        //alerta de campos obrigatrios
        if (!$_POST["Titulo"]) {
            $obrig .= 'Nome, ';
        }
        if (!$_POST["Fone1"]) {
            $obrig .= 'Telefone 1, ';
        }
        if (!$_POST["Unidade"]) {
            $obrig .= 'Empresa, ';
        }
        $obrig = substr($obrig, 0, -2);

        $msg = "Faltou Preencher: " . $obrig;
    }
}

if ($_SERVER['REQUEST_METHOD'] == "GET") {
    if ($_GET["acao"] == "alterar") {
        $sql_funcionario = mysqli_query($con, "SELECT Titulo,
                        Sobrenome,
                        Codigo,
                        Id_Unidade,
                        Comissao_Aprazo,
                        Comissao_Avista,
                        Ativo,
                        Numero_Cartao,
                        Id_Cargo,
                        Id_Departamento,
                        Aniversario,
                        Data_Admissao,
                        Data_Demissao,
                        Cpf,
                        Fone,
                        Fone2,
                        Fone3,
                        Celular,
                        Endereco,
                        Complemento,
                        Ponto_Referencia,
                        Bairro,
                        Cidade,
                        Estado,
                        Cep,
                        Email,
                        Vendedor,
                        Tecnico,
                        Obs,
                        Rg,
                        Titulo_Eleitor,
                        Pis,
                        Ctps,
			            Cbo,
                        Salario,
                        Banco,
                        Agencia,
                        Conta,
                        Nome_Titular,
                        Radio_Endereco_Entrega,
                        Endereco_Entrega,
                        Cep_Entrega,
                        Bairro_Entrega,
                        Cidade_Entrega,
                        Estado_Entrega,
                        Radio_Endereco_Cobranca,
                        Endereco_Cobranca,
                        Cep_Cobranca,
                        Bairro_Cobranca,
                        Cidade_Cobranca,
                        Estado_Cobranca,
                        Desconto_Produto,
                        Desconto_Pedido,
                        Meta_Dia,
                        Meta_Mes,
                        Data_Exame,
                        Data_Ferias,
                        Estado_Civil,
                        Carga_Horaria,
                        Salario_Familia,
                        Valor_Salario_Familia,
                        Turno,
                        Plano_Saude,
                        Nome_Plano_Saude,
                        Vem,
                        Numero_Vem,
                        Id_Vale_Transporte,
                        Passagens_Dia,
                        Id_Vale_Transporte2,
                        Passagens_Dia2,
                        Id_Vale_Transporte3,
                        Passagens_Dia3,
                        Id_Vale_Transporte4,
                        Passagens_Dia4,
                        Ticket,
                        Tipo_Ticket,
                        Despesas,
                        Foto,
                        Id_Mesa_Grupo,
                        Restaurante,
                        Salao,
                        Id_Usuario_Login,
                        Transf_Item,
                        Transf_Mesa,
                        Cancelar_Item,
                        Cancelar_Mesa,
                        Parcial,
                        Pagamento,
                        Comissao1,
                        Comissao2,
                        Comissao3,
                        Entrada1,
                        Saida1,
                        Entrada2,
                        Saida2,
                        Fator,
                        Data_Inicio_Empresa,
                        Data_Inicio_Contrato,
                        Data_Fim_Contrato,
                        Efetivado,
                        Bonificacao,
                        Gratificacao,
                        Nickname,
                        Id_Centro_Custo,
                        Tabela_Preco,
                        Desconto_Mesa,
                        Alterar_Valor_Mesa,
                        Senha,
                        Peso,
                        Exibir_Mesa_Novo,
                        Funcao_Global_Mesa,
                        Transferencia_Mesa,
                        Parcial_Mesa,
                        Transferir_Item_Mesa,
                        Transferir_Mesa,
                        Cancelar_Item_Mesa,
                        Cancelar_Mesa_,
                        Parcial_Mesa_,
                        Pagamento_Mesa,
                        Desconto_Mesa_,
                        Alterar_Valor_Mesa_,
                        Alterar_Taxa_Servico_Mesa,
                        Alterar_Couvert_Mesa,
                        Alterar_Itens_Cancelados,
                        Exibir_Pedido_Novo,
                        Funcao_Global_Pedido,
                        Transferencia_Pedido,
                        Parcial_Pedido,
                        Transferir_Item_Pedido,
                        Transferir_Pedido,
                        Cancelar_Item_Pedido,
                        Cancelar_Pedido_,
                        Parcial_Pedido_,
                        Pagamento_Pedido,
                        Desconto_Pedido_,
                        Alterar_Valor_Pedido_,
                        Alterar_Valor_Item_Pedido,
                        Alterar_Taxa_Entrega,
                        Alterar_Itens_Cancelados_Pedido,
                        Alterar_Taxa_Servico_Pedido,
                        Alterar_Couvert_Pedido,
                        Configuracoes_Mesa,
                        Cadastro_Mesa,
                        Manutencao_Mesa,
                        Ifood_Mesa,
                        Configuracoes_Pedido,
                        Ifood_Pedido,
                        Alterar_Cliente,
                        Chave_Pix,
                        Irrf,
                        Tipo_Contrato,
                        Id_Solicitante,
                        Tipo_Operador,
                        Motorista
                        FROM funcionario WHERE Id='" . $_GET["id_funcionario"] . "'")
            or die("ERRO no comando SQL:" . mysqli_error($con));
        $array_funcionario = mysqli_fetch_assoc($sql_funcionario);

        $_POST["Titulo"] = stripslashes($array_funcionario["Titulo"]);
        $_POST["Sobrenome"] = stripslashes($array_funcionario["Sobrenome"]);
        $_POST["Codigo"] = stripslashes($array_funcionario["Codigo"]);
        $_POST["Unidade"] = $array_funcionario["Id_Unidade"];
        $_POST["Comissao_Aprazo"] = ($array_funcionario["Comissao_Aprazo"]);
        $_POST["Comissao_Avista"] = ($array_funcionario["Comissao_Avista"]);
        $_POST["Ativo"] = $array_funcionario["Ativo"];
        $_POST["Numero_Cartao"] = stripslashes($array_funcionario["Numero_Cartao"]);
        $_POST["Cargo"] = $array_funcionario["Id_Cargo"];
        $_POST["Departamento"] = $array_funcionario["Id_Departamento"];
        $_POST["Aniversario"] = data_exibir($array_funcionario["Aniversario"]);
        $_POST["Data_Admissao"] = data_exibir($array_funcionario["Data_Admissao"]);
        $_POST["Data_Demissao"] = data_exibir($array_funcionario["Data_Demissao"]);
        $_POST["Cpf"] = $array_funcionario["Cpf"];
        $_POST["Fone1"] = $array_funcionario["Fone"];
        $_POST["Fone2"] = $array_funcionario["Fone2"];
        $_POST["Fone3"] = $array_funcionario["Fone3"];
        $_POST["Celular"] = $array_funcionario["Celular"];
        $_POST["Cep"] = $array_funcionario["Cep"];
        $_POST["Estado"] = stripslashes($array_funcionario["Estado"]);
        $_POST["Cidade"] = stripslashes($array_funcionario["Cidade"]);
        $_POST["Bairro"] = stripslashes($array_funcionario["Bairro"]);
        $_POST["Rua"] = stripslashes($array_funcionario["Endereco"]);
        $_POST["Complemento"] = stripslashes($array_funcionario["Complemento"]);
        $_POST["Ponto_Referencia"] = stripslashes($array_funcionario["Ponto_Referencia"]);
        $_POST["Email"] = stripslashes($array_funcionario["Email"]);
        $_POST["Vendedor"] = stripslashes($array_funcionario["Vendedor"]);
        $_POST["Tecnico"] = stripslashes($array_funcionario["Tecnico"]);
        $_POST["Obs"] = stripslashes($array_funcionario["Obs"]);
        $_POST["Rg"] = stripslashes($array_funcionario["Rg"]);
        $_POST["Titulo_Eleitor"] = stripslashes($array_funcionario["Titulo_Eleitor"]);
        $_POST["Pis"] = stripslashes($array_funcionario["Pis"]);
        $_POST["Ctps"] = stripslashes($array_funcionario["Ctps"]);
        $_POST["Cbo"] = stripslashes($array_funcionario["Cbo"]);
        $_POST["Salario"] = ($array_funcionario["Salario"]);
        $_POST["Banco"] = stripslashes($array_funcionario["Banco"]);
        $_POST["Agencia"] = stripslashes($array_funcionario["Agencia"]);
        $_POST["Conta"] = stripslashes($array_funcionario["Conta"]);
        $_POST["Nome_Titular"] = stripslashes($array_funcionario["Nome_Titular"]);
        $_POST["Radio_Endereco_Entrega"] = $array_funcionario["Radio_Endereco_Entrega"];
        $_POST["Endereco_Entrega"] = stripslashes($array_funcionario["Endereco_Entrega"]);
        $_POST["Cep_Entrega"] = $array_funcionario["Cep_Entrega"];
        $_POST["Bairro_Entrega"] = stripslashes($array_funcionario["Bairro_Entrega"]);
        $_POST["Cidade_Entrega"] = stripslashes($array_funcionario["Cidade_Entrega"]);
        $_POST["Estado_Entrega"] = stripslashes($array_funcionario["Estado_Entrega"]);
        $_POST["Radio_Endereco_Cobranca"] = $array_funcionario["Radio_Endereco_Cobranca"];
        $_POST["Endereco_Cobranca"] = stripslashes($array_funcionario["Endereco_Cobranca"]);
        $_POST["Cep_Cobranca"] = $array_funcionario["Cep_Cobranca"];
        $_POST["Bairro_Cobranca"] = stripslashes($array_funcionario["Bairro_Cobranca"]);
        $_POST["Cidade_Cobranca"] = stripslashes($array_funcionario["Cidade_Cobranca"]);
        $_POST["Estado_Cobranca"] = $array_funcionario["Estado_Cobranca"];
        $_POST["Foto"] = $array_funcionario["Foto"];
        $_POST["Desconto_Produto"] = $array_funcionario["Desconto_Produto"];
        $_POST["Desconto_Pedido"] = $array_funcionario["Desconto_Pedido"];
        $_POST["Meta_Dia"] = $array_funcionario["Meta_Dia"];
        $_POST["Meta_Mes"] = $array_funcionario["Meta_Mes"];
        $_POST["Data_Exame"] = data_exibir($array_funcionario["Data_Exame"]);
        $_POST["Data_Ferias"] = data_exibir($array_funcionario["Data_Ferias"]);
        $_POST["Estado_Civil"] = $array_funcionario["Estado_Civil"];
        $_POST["Carga_Horaria"] = $array_funcionario["Carga_Horaria"];
        $_POST["Salario_Familia"] = $array_funcionario["Salario_Familia"];
        $_POST["Valor_Salario_Familia"] = $array_funcionario["Valor_Salario_Familia"];
        $_POST["Turno"] = $array_funcionario["Turno"];
        $_POST["Plano_Saude"] = $array_funcionario["Plano_Saude"];
        $_POST["Nome_Plano_Saude"] = $array_funcionario["Nome_Plano_Saude"];
        $_POST["Vem"] = $array_funcionario["Vem"];
        $_POST["Numero_Vem"] = $array_funcionario["Numero_Vem"];
        $_POST["Vale_Transporte"] = $array_funcionario["Id_Vale_Transporte"];
        $_POST["Passagens_Dia"] = $array_funcionario["Passagens_Dia"];
        $_POST["Vale_Transporte2"] = $array_funcionario["Id_Vale_Transporte2"];
        $_POST["Passagens_Dia2"] = $array_funcionario["Passagens_Dia2"];
        $_POST["Vale_Transporte3"] = $array_funcionario["Id_Vale_Transporte3"];
        $_POST["Passagens_Dia3"] = $array_funcionario["Passagens_Dia3"];
        $_POST["Vale_Transporte4"] = $array_funcionario["Id_Vale_Transporte4"];
        $_POST["Passagens_Dia4"] = $array_funcionario["Passagens_Dia4"];
        $_POST["Ticket"] = $array_funcionario["Ticket"];
        $_POST["Tipo_Ticket"] = $array_funcionario["Tipo_Ticket"];
        $_POST["Despesas"] = $array_funcionario["Despesas"];
        $_POST["Mesa_Grupo"] = $array_funcionario["Id_Mesa_Grupo"];
        $_POST["Restaurante"] = $array_funcionario["Restaurante"];
        $_POST["Salao"] = $array_funcionario["Salao"];
        $_POST["Usuario_Login"] = $array_funcionario["Id_Usuario_Login"];
        $_POST["Transf_Item"] = $array_funcionario["Transf_Item"];
        $_POST["Transf_Mesa"] = $array_funcionario["Transf_Mesa"];
        $_POST["Cancelar_Item"] = $array_funcionario["Cancelar_Item"];
        $_POST["Cancelar_Mesa"] = $array_funcionario["Cancelar_Mesa"];
        $_POST["Parcial"] = $array_funcionario["Parcial"];
        $_POST["Pagamento"] = $array_funcionario["Pagamento"];
        $_POST["Comissao1"] = $array_funcionario["Comissao1"];
        $_POST["Comissao2"] = $array_funcionario["Comissao2"];
        $_POST["Comissao3"] = $array_funcionario["Comissao3"];
        $_POST["Entrada1"] = $array_funcionario["Entrada1"];
        $_POST["Saida1"] = $array_funcionario["Saida1"];
        $_POST["Entrada2"] = $array_funcionario["Entrada2"];
        $_POST["Saida2"] = $array_funcionario["Saida2"];
        $_POST["Fator"] = $array_funcionario["Fator"];
        $_POST["Data_Inicio_Empresa"] = data_exibir($array_funcionario["Data_Inicio_Empresa"]);
        $_POST["Data_Inicio_Contrato"] = data_exibir($array_funcionario["Data_Inicio_Contrato"]);
        $_POST["Data_Fim_Contrato"] = data_exibir($array_funcionario["Data_Fim_Contrato"]);
        $_POST["Efetivado"] = $array_funcionario["Efetivado"];
        $_POST["Bonificacao"] = $array_funcionario["Bonificacao"];
        $_POST["Gratificacao"] = $array_funcionario["Gratificacao"];
        $_POST["Nickname"] = $array_funcionario["Nickname"];
        $_POST["Centro_Custo"] = $array_funcionario["Id_Centro_Custo"];
        $_POST["Tabela_Preco"] = $array_funcionario["Tabela_Preco"];
        $_POST["Desconto_Mesa"] = $array_funcionario["Desconto_Mesa"];
        $_POST["Alterar_Valor_Mesa"] = $array_funcionario["Alterar_Valor_Mesa"];
        $_POST["Peso"] = $array_funcionario["Peso"];
        $_POST["Exibir_Mesa_Novo"] = $array_funcionario["Exibir_Mesa_Novo"];
        $_POST["Funcao_Global_Mesa"] = $array_funcionario["Funcao_Global_Mesa"];
        $_POST["Transferencia_Mesa"] = $array_funcionario["Transferencia_Mesa"];
        $_POST["Parcial_Mesa"] = $array_funcionario["Parcial_Mesa"];
        $_POST["Transferir_Item_Mesa"] = $array_funcionario["Transferir_Item_Mesa"];
        $_POST["Transferir_Mesa"] = $array_funcionario["Transferir_Mesa"];
        $_POST["Cancelar_Item_Mesa"] = $array_funcionario["Cancelar_Item_Mesa"];
        $_POST["Cancelar_Mesa_"] = $array_funcionario["Cancelar_Mesa_"];
        $_POST["Parcial_Mesa_"] = $array_funcionario["Parcial_Mesa_"];
        $_POST["Pagamento_Mesa"] = $array_funcionario["Pagamento_Mesa"];
        $_POST["Desconto_Mesa_"] = $array_funcionario["Desconto_Mesa_"];
        $_POST["Alterar_Valor_Mesa_"] = $array_funcionario["Alterar_Valor_Mesa_"];
        $_POST["Alterar_Taxa_Servico_Mesa"] = $array_funcionario["Alterar_Taxa_Servico_Mesa"];
        $_POST["Alterar_Couvert_Mesa"] = $array_funcionario["Alterar_Couvert_Mesa"];
        $_POST["Alterar_Itens_Cancelados"] = $array_funcionario["Alterar_Itens_Cancelados"];
        $_POST["Exibir_Pedido_Novo"] = $array_funcionario["Exibir_Pedido_Novo"];
        $_POST["Funcao_Global_Pedido"] = $array_funcionario["Funcao_Global_Pedido"];
        $_POST["Transferencia_Pedido"] = $array_funcionario["Transferencia_Pedido"];
        $_POST["Parcial_Pedido"] = $array_funcionario["Parcial_Pedido"];
        $_POST["Transferir_Item_Pedido"] = $array_funcionario["Transferir_Item_Pedido"];
        $_POST["Transferir_Pedido"] = $array_funcionario["Transferir_Pedido"];
        $_POST["Cancelar_Item_Pedido"] = $array_funcionario["Cancelar_Item_Pedido"];
        $_POST["Cancelar_Pedido_"] =  $array_funcionario["Cancelar_Pedido_"];
        $_POST["Parcial_Pedido_"] = $array_funcionario["Parcial_Pedido_"];
        $_POST["Pagamento_Pedido"] = $array_funcionario["Pagamento_Pedido"];
        $_POST["Desconto_Pedido_"] = $array_funcionario["Desconto_Pedido_"];
        $_POST["Alterar_Valor_Pedido_"] = $array_funcionario["Alterar_Valor_Pedido_"];
        $_POST["Alterar_Valor_Item_Pedido"] = $array_funcionario["Alterar_Valor_Item_Pedido"];
        $_POST["Alterar_Taxa_Entrega"] = $array_funcionario["Alterar_Taxa_Entrega"];
        $_POST["Alterar_Itens_Cancelados_Pedido"] = $array_funcionario["Alterar_Itens_Cancelados_Pedido"];
        $_POST["Alterar_Taxa_Servico_Pedido"] =  $array_funcionario["Alterar_Taxa_Servico_Pedido"];
        $_POST["Alterar_Couvert_Pedido"] =  $array_funcionario["Alterar_Couvert_Pedido"];
        $_POST["Configuracoes_Mesa"] =  $array_funcionario["Configuracoes_Mesa"];
        $_POST["Cadastro_Mesa"] =  $array_funcionario["Cadastro_Mesa"];
        $_POST["Manutencao_Mesa"] =  $array_funcionario["Manutencao_Mesa"];
        $_POST["Ifood_Mesa"] = $array_funcionario["Ifood_Mesa"];
        $_POST["Configuracoes_Pedido"] =  $array_funcionario["Configuracoes_Pedido"];
        $_POST["Ifood_Pedido"] =  $array_funcionario["Ifood_Pedido"];
        $_POST["Alterar_Cliente"] =  $array_funcionario["Alterar_Cliente"];
        $_POST["Chave_Pix"] =  $array_funcionario["Chave_Pix"];
        $_POST["Irrf"] =  $array_funcionario["Irrf"];
        $_POST["Tipo_Contrato"] =  $array_funcionario["Tipo_Contrato"];
        $_POST["Solicitante"] =  $array_funcionario["Id_Solicitante"];
        $_POST["Tipo_Operador"] =  $array_funcionario["Tipo_Operador"];
        $_POST["Senha"] = $array_funcionario["Senha"];
        $_POST["Motorista"] = stripslashes($array_funcionario["Motorista"]);

    }
}
?>
<html>

<head>
    <title>Gw - Gesto Web</title>
    <?php include 'cabecalho.php'; ?>
</head>

<body>

    <form name="funcionario" id="funcionario" method="post" enctype="multipart/form-data">

        <fieldset class="envolve">
            <legend key="Funcionarios" class="tr">Funcionrios</legend>

            <fieldset class="grupo">
                <div class="campo">
                    <?php
                    if ($_GET["acao"] == "entrar") {
                        $busca_codigo = mysqli_query($con, "SELECT Codigo FROM funcionario order by Data_Cadastro desc limit 1");
                        $busca_codigo = mysqli_fetch_assoc($busca_codigo);
                        $_POST["Codigo"] = ($busca_codigo['Codigo'] + 1);
                    } else {
                        $_POST["Codigo"] = $_POST["Codigo"];
                    }
                    ?>
                    <label for="Codigo" key="Codigo" class="tr">* Cdigo</label>
                    <input type="text" name="Codigo" id="Codigo" value="<?php echo $_POST["Codigo"]; ?>" readonly="readonly" onKeyUp="somente_numero(this);">
                </div>
                <div class="campo">
                    <label for="Titulo" key="Titulo" class="tr">* Nome</label>
                    <input type="text" name="Titulo" id="Titulo" value="<?php echo $_POST["Titulo"]; ?>">
                </div>
                <div class="campo">
                    <label for="Sobrenome" key="Sobrenome" class="tr">Sobrenome</label>
                    <input type="text" name="Sobrenome" id="Sobrenome" value="<?php echo $_POST["Sobrenome"]; ?>">
                </div>
                <div class="campo">
                    <label for="Email" key="Email" class="tr">Email</label>
                    <input type="text" name="Email" id="Email" value="<?php echo $_POST["Email"]; ?>">
                </div>

                <?php
                if ((CLIENTE_EMAIL == 'modus') || (CLIENTE_EMAIL == 'grafica') || (RESTAURANTE == 'Sim') || (BELEZA == 'Sim')) {
                ?>
                    <?php if ($_GET["acao"] == "alterar") { ?>
                        <div class="campo">
                            <label for="Natureza" key="Natureza" class="tr">Alterar Senha?</label>
                            <?php
                            $vetor = array('Sim' => 'Sim', 'No' => 'No');
                            select_tela("Natureza", "Natureza", $_POST["Natureza"], $vetor, "onchange='Sim_Nao(this.value);'", "");
                            ?>
                        </div>

                        <div style="display:none;" id="Div_Sim">
                            <div class="campo">
                                <label for="Senha" key="Senha" class="tr">* Senha</label>
                                <input type="password" name="Senha" id="Senha" value="<?php echo $_POST["Senha"]; ?>">
                            </div>
                        </div>

                    <?php } else { ?>
                        <div class="campo">
                            <label for="Senha" key="Senha" class="tr">* Senha</label>
                            <input type="password" name="Senha" id="Senha" value="<?php echo $_POST["Senha"]; ?>">
                        </div>
                    <?php } ?>
                <?php } ?>

            </fieldset>

            <?php if ((CLIENTE_EMAIL == 'spw') || (CLIENTE_EMAIL == 'gw')) { ?>
                <fieldset class="grupo">
                    <div class="campo">
                        <label for="Nickname">Login Parceiro</label>
                        <input type="text" name="Nickname" id="Nickname" value="<?php echo $_POST["Nickname"]; ?>">
                    </div>
                    <div class="campo">
                        <label for="Senha" key="Senha" class="tr">Senha Parceiro</label>
                        <input type="text" name="Senha" id="Senha" value="<?php echo $_POST["Senha"]; ?>">
                    </div>
                </fieldset>
            <?php } ?>

            <?php if ((CLIENTE_EMAIL == 'gardenquimica') || (CLIENTE_EMAIL == 'igq') || (CLIENTE_EMAIL == 'testegarden') || (CLIENTE_EMAIL == 'gw')) { ?>
                <fieldset class="grupo">
                    <div class="campo">
                        <label for="Solicitante" key="Solicitante" class="tr">Solicitante</label>
                        <?php
                        echo select_banco(
                            "SELECT Id, Titulo from funcionario WHERE Ativo='Sim' order by Titulo",
                            "Solicitante",
                            "Solicitante",
                            $_POST["Solicitante"],
                            "style='width:200px'",
                            ""
                        );
                        ?>
                    </div>
                </fieldset>
            <?php } ?>

            <fieldset class="grupo">
                <div class="campo">
                    <label for="Fone1" key="Fone1" class="tr">* Telefone 1</label>
                    <input type="text" name="Fone1" id="Fone1" value="<?php echo $_POST["Fone1"]; ?>">
                </div>
                <div class="campo">
                    <label for="Fone2" key="Fone2" class="tr">Telefone 2</label>
                    <input type="text" name="Fone2" id="Fone2" value="<?php echo $_POST["Fone2"]; ?>">
                </div>
                <div class="campo">
                    <label for="Fone3" key="Fone3" class="tr">Telefone 3</label>
                    <input type="text" name="Fone3" id="Fone3" value="<?php echo $_POST["Fone3"]; ?>">
                </div>
                <div class="campo">
                    <label for="Celular" key="Celular" class="tr">Celular</label>
                    <input type="text" name="Celular" id="Celular" value="<?php echo $_POST["Celular"]; ?>">
                </div>
            </fieldset>

            <fieldset class="grupo">
                <div class="campo">
                    <label for="Cep" key="Cep" class="tr">CEP</label>
                    <input type="text" name="Cep" id="Cep" value="<?php echo $_POST["Cep"]; ?>">
                </div>
                <div class="campo" style="width:30%;">
                    <label for="Rua" key="Rua" class="tr">Endereo</label>
                    <input type="text" name="Rua" id="Rua" value="<?php echo $_POST["Rua"]; ?>">
                </div>
                <div class="campo" style="width:25%;">
                    <label for="Complemento" key="Complemento" class="tr">Complemento</label>
                    <input type="text" name="Complemento" id="Complemento" value="<?php echo $_POST["Complemento"]; ?>">
                </div>
            </fieldset>

            <fieldset class="grupo">
                <div class="campo">
                    <label for="Bairro" key="Bairro" class="tr">Bairro</label>
                    <input type="text" name="Bairro" id="Bairro" value="<?php echo $_POST["Bairro"]; ?>">
                </div>
                <?php if (PAIS == 'USA') { ?>
                    <div class="campo">
                        <label for="Estado" key="Estado" class="tr">Estado</label>
                        <input type="text" name="Estado" id="Estado" value="<?php echo $_POST["Estado"]; ?>">
                    </div>
                    <div class="campo">
                        <label for="Cidade" key="Cidade" class="tr">Cidade</label>
                        <input type="text" name="Cidade" id="Cidade" value="<?php echo $_POST["Cidade"]; ?>">
                    </div>
                <?php } else { ?>
                    <div class="campo">
                        <label for="Cidade" key="Cidade" class="tr">Cidade</label>
                        <div id="divCidade">
                            <?php
                            $cidade = mysqli_query($con, "SELECT Codigo FROM cidade_ibge WHERE Id = '" . $_POST['Cidade'] . "' ");
                            $nome_cidade = mysqli_fetch_assoc($cidade);
                            $_POST["Cidade"] = $nome_cidade["Codigo"];

                            //eu troco o ID do select para funcionar o WebService
                            $cidadeUf = ((empty($_POST["Estado"])) ? null : "AND Uf='" . $_POST["Estado"] . "'");
                            echo select_banco(
                                "Select Codigo as Id,Titulo from cidade_ibge WHERE 1=1 $cidadeUf order by Titulo",
                                "Cidade",
                                "Ibge",
                                $_POST["Cidade"],
                                '',
                                ""
                            );
                            ?>
                        </div>
                    </div>
                    <div class="campo">
                        <label for="Estado" key="Estado" class="tr">Estado</label>
                        <?php
                        $vetor = array(
                            '' => 'Estados',
                            'AC' => 'Acre',
                            'AL' => 'Alagoas',
                            'AP' => 'Amap',
                            'AM' => 'Amazonas',
                            'BA' => 'Bahia',
                            'CE' => 'Cear',
                            'DF' => 'Distrito Federal',
                            'GO' => 'Gois',
                            'ES' => 'Esprito Santo',
                            'MA' => 'Maranho',
                            'MT' => 'Mato Grosso',
                            'MS' => 'Mato Grosso do Sul',
                            'MG' => 'Minas Gerais',
                            'PA' => 'Par',
                            'PB' => 'Paraba',
                            'PR' => 'Paran',
                            'PE' => 'Pernambuco',
                            'PI' => 'Piau',
                            'RJ' => 'Rio de Janeiro',
                            'RN' => 'Rio Grande do Norte',
                            'RS' => 'Rio Grande do Sul',
                            'RO' => 'Rondnia',
                            'RR' => 'Rorima',
                            'SP' => 'So Paulo',
                            'SC' => 'Santa Catarina',
                            'SE' => 'Sergipe',
                            'TO' => 'Tocantis',
                            'EX' => 'EX'
                        );
                        select_tela("Estado", "Estado", $_POST["Estado"], $vetor, 'onchange="comboEstado(this.value);"', "");
                        ?>
                        <input type="hidden" name="Id_Estado" id="Id_Estado" value="<?php echo $_POST["Estado"]; ?>">
                    </div>
                <?php } ?>
            </fieldset>

            <fieldset class="grupo">
                <div class="campo">
                    <label for="Cargo" key="Cargo" class="tr">Cargo</label>
                    <?php
                    echo select_banco("Select Id, Titulo from cargo order by Titulo", "Cargo", "Cargo", $_POST["Cargo"], "style='width:200px'", "");
                    ?>
                </div>
                <div class="campo">
                    <label for="Departamento" key="Departamento" class="tr">Departamento</label>
                    <?php
                    echo select_banco("Select Id, Titulo from departamento order by Titulo", "Departamento", "Departamento", $_POST["Departamento"], "style='width:200px'", "");
                    ?>
                </div>
                <div class="campo">
                    <label for="Ativo" key="Ativo" class="tr">Ativo</label>
                    <?php
                    $vetor = array('Sim' => 'Sim', 'No' => 'No');
                    select_tela("Ativo", "Ativo", $_POST["Ativo"], $vetor, '', "");
                    ?>
                </div>
                <div class="campo">
                    <label for="Peso" key="Peso" class="tr">Peso</label>
                    <input type="text" name="Peso" id="Peso" value="<?php echo $_POST["Peso"]; ?>" onBlur="fazerValor(this.value, 'Peso');">
                </div>
                <?php
                //se o sistema for Multi Empresa
                if (MULTI_EMPRESA == "Sim") {

                    //se o usuario master ele escolhe pra quem vai
                    if (ESCOLHER_EMPRESA == 'Sim') {
                ?>
                        <div class="campo">
                            <label for="Unidade" key="Unidade" class="tr">* Empresa</label>
                            <?php
                            echo select_banco('Select Id, Titulo from unidade order by Titulo', "Unidade", "Unidade", $_POST["Unidade"], "style='width:200px'", "");
                            ?>
                        </div>
                <?php
                        //se no for, a unidade sempre ser a sua
                    } else {
                        echo "<input type='hidden' name='Unidade' id='Unidade' value='" . $_SESSION["Unidade"] . "' >";
                    }
                } else {
                    echo "<input type='hidden' name='Unidade' id='Unidade' value='" . $_SESSION["Unidade"] . "' >";
                }
                ?>
            </fieldset>

            <fieldset class="grupo">
                <div class="campo" style="width: 70%">
                    <label for="Obs" key="Obs" class="tr">Obs</label>
                    <input type="text" name="Obs" id="Obs" value="<?php echo $_POST["Obs"]; ?>">
                </div>
            </fieldset>

            <fieldset class="grupo">
                <div class="campo">
                    <label for="Desconto_Produto" key="Desconto_Produto" class="tr">Desconto Produto %</label>
                    <input type="text" name="Desconto_Produto" id="Desconto_Produto" value="<?php echo valor_exibir($_POST["Desconto_Produto"]); ?>" class="money" onBlur="fazerValor(this.value, 'Desconto_Produto');">
                </div>
                <div class="campo">
                    <label for="Desconto_Pedido" key="Desconto_Pedido" class="tr">Desconto Pedido %</label>
                    <input type="text" name="Desconto_Pedido" id="Desconto_Pedido" value="<?php echo valor_exibir($_POST["Desconto_Pedido"]); ?>" class="money" onBlur="fazerValor(this.value, 'Desconto_Pedido');">
                </div>
                <?php if (PAIS == 'BRA') { ?>
                    <div class="campo">
                        <label for="Radio" key="Despesas" class="tr">Lanar Despesas</label>
                        <input type="checkbox" name="Despesas" id="Despesas" value="Despesas" <?php if ($_POST["Despesas"] == 'Sim') echo "checked='checked' "; ?>>
                    </div>
                <?php } ?>
                <?php if ((CLIENTE_EMAIL == 'autobox') || (CLIENTE_EMAIL == 'gw')) { ?>
                    <div class="campo">
                        <label for="Tabela" key="Tabela_Preco" class="tr">Tabela</label>
                        <?php
                        $tabela_pr = mysqli_query($con, "Select Id,Titulo,Valor from produto_tabela WHERE Ativo='Sim' ");

                        $vetor = '';
                        $vetor = array();
                        while ($reg = mysqli_fetch_assoc($tabela_pr)) {
                            $vetor[$reg["Valor"]] = $reg["Titulo"];
                        }

                        select_tela("Tabela_Preco", "Tabela_Preco", $_POST["Tabela_Preco"], $vetor, '', "");
                        ?>
                    </div>
                    <div class="campo">
                        <label for="Centro_Custo" key="Centro_Custo" class="tr">Centro de Custo</label>
                        <?php
                        echo select_banco("Select Id, Titulo from centro_custo WHERE Id_Pai = '' AND Ativo='Sim' order by Titulo", "Centro_Custo", "Centro_Custo", $_POST["Centro_Custo"], "", "");
                        ?>
                    </div>
                <?php } ?>
            </fieldset>

            <fieldset class="grupo">
                <legend key="Vendedor" class="tr">Vendedor</legend>
                <div class="campo">
                    <label for="Vendedor" key="Vendedor" class="tr">Vendedor</label>
                    <?php
                    $vetor = array('Sim' => 'Sim', 'No' => 'No');
                    select_tela("Vendedor", "Vendedor", $_POST["Vendedor"], $vetor, '', "");
                    ?>
                </div>
                <div class="campo">
                    <label for="Tecnico" key="Tecnico" class="tr">Tcnico</label>
                    <?php
                    $vetor = array('Sim' => 'Sim', 'No' => 'No');
                    select_tela("Tecnico", "Tecnico", $_POST["Tecnico"], $vetor, '', "");
                    ?>
                </div>
                <?php if (CLIENTE_EMAIL == 'marollamodas' || CLIENTE_EMAIL == 'brisamodas' || CLIENTE_EMAIL == 'gw') { ?>
                <div class="campo">
                    <label for="Motorista" key="Motorista" class="tr">Motorista</label>
                    <?php
                    $vetor = array('No' => 'No','Sim' => 'Sim');
                    select_tela("Motorista", "Motorista", $_POST["Motorista"], $vetor, '', "");
                    ?>
                </div>
                <?php
                }
                if (CLIENTE_EMAIL == 'eletrojam') { ?>
                    <div class="campo">
                        <label for="Tecnico" key="Tipo_Contrato" class="tr">Tipo Contrato</label>
                        <?php
                        $vetor = array('Clt' => 'Clt', 'Televendas' => 'Televendas', 'Autonomo' => 'Autonomo');
                        select_tela("Tipo_Contrato", "Tipo_Contrato", $_POST["Tipo_Contrato"], $vetor, '', "");
                        ?>
                    </div>
                <?php } ?>
                <?php if (CLIENTE_EMAIL == 'spw') { ?>
                    <div class="campo" style="width:10%">
                        <label for="Comissao1" key="Comissao1" class="tr">Comisso Indicao TK</label>
                        <input type="text" name="Comissao1" id="Comissao1" value="<?php echo valor_exibir($_POST["Comissao1"]); ?>" class="money" onBlur="fazerValor(this.value, 'Comissao1');">
                    </div>
                    <div class="campo" style="width:10%">
                        <label for="Comissao2" key="Comissao2" class="tr">Comisso Indicao Diretoria</label>
                        <input type="text" name="Comissao2" id="Comissao2" value="<?php echo valor_exibir($_POST["Comissao2"]); ?>" class="money" onBlur="fazerValor(this.value, 'Comissao2');">
                    </div>
                    <div class="campo" style="width:10%">
                        <label for="Comissao3" key="Comissao3" class="tr">Comisso Indicao Prpria</label>
                        <input type="text" name="Comissao3" id="Comissao3" value="<?php echo valor_exibir($_POST["Comissao3"]); ?>" class="money" onBlur="fazerValor(this.value, 'Comissao3');">
                    </div>
                <?php } else { ?>
                    <div class="campo">
                        <label for="Comissao_Avista" key="Comissao_Avista" class="tr">Comisso % Avista</label>
                        <input type="text" name="Comissao_Avista" id="Comissao_Avista" value="<?php echo valor_exibir($_POST["Comissao_Avista"]); ?>" class="money" onBlur="fazerValor(this.value, 'Comissao_Avista');">
                    </div>
                    <div class="campo">
                        <label for="Comissao_Aprazo" key="Comissao_Aprazo" class="tr">Comisso % Aprazo</label>
                        <input type="text" name="Comissao_Aprazo" id="Comissao_Aprazo" value="<?php echo valor_exibir($_POST["Comissao_Aprazo"]); ?>" class="money" onBlur="fazerValor(this.value, 'Comissao_Aprazo');">
                    </div>
                    <div class="campo">
                        <label for="Irrf" key="Irrf" class="tr">Reter IRRF</label>
                        <input type="text" name="Irrf" id="Irrf" value="<?php echo valor_exibir($_POST["Irrf"]); ?>" class="money" onBlur="fazerValor(this.value, 'Irrf');">
                    </div>
                <?php } ?>
                <div class="campo">
                    <label for="Meta_Dia" key="Meta_Dia" class="tr">Meta Dia</label>
                    <input type="text" name="Meta_Dia" id="Meta_Dia" value="<?php echo valor_exibir($_POST["Meta_Dia"]); ?>" class="money" onBlur="fazerValor(this.value, 'Meta_Dia');">
                </div>
                <div class="campo">
                    <label for="Meta_Mes" key="Meta_Mes" class="tr">Meta Ms</label>
                    <input type="text" name="Meta_Mes" id="Meta_Mes" value="<?php echo valor_exibir($_POST["Meta_Mes"]); ?>" class="money" onBlur="fazerValor(this.value, 'Meta_Mes');">
                </div>
            </fieldset>

            <?php if (CLIENTE_EMAIL == 'grupofortal' ||CLIENTE_EMAIL == 'brpneus' || CLIENTE_EMAIL == 'gw' || CLIENTE_EMAIL == 'gw2') { ?>

                <fieldset class="grupo">
                    <legend>Comisso</legend>
                    <div class="campo" style="width:10%">
                        <label for="Valor_Inicial" key="Valor_Inicial" class="tr">Valor Inicial</label>
                        <input type="text" name="Valor_Inicial" id="Valor_Inicial" value="<?php echo valor_exibir($_POST["Valor_Inicial"]); ?>" class="money" onBlur="fazerValor(this.value, 'Valor_Inicial');">
                    </div>
                    <div class="campo" style="width:10%">
                        <label for="Valor_Final" key="Valor_Final" class="tr">Valor Final</label>
                        <input type="text" name="Valor_Final" id="Valor_Final" value="<?php echo valor_exibir($_POST["Valor_Final"]); ?>" class="money" onBlur="fazerValor(this.value, 'Valor_Final');">
                    </div>
                    <?php if(CLIENTE_EMAIL == 'brpneus' || CLIENTE_EMAIL == 'gw2') { ?>
                        <div class="campo" style="width:10%">
                            <label for="Comissao_Escalonada" key="Comissao_Escalonada" class="tr">Comisso Produtos</label>
                            <input type="text" name="Comissao_Escalonada" id="Comissao_Escalonada" value="<?php echo valor_exibir($_POST["Comissao_Escalonada"]); ?>" class="money" onBlur="fazerValor(this.value, 'Comissao_Escalonada');">
                        </div>
                        <div class="campo" style="width:10%">
                            <label for="Comissao_Escalonada2" key="Comissao_Escalonada2" class="tr">Comisso Servios</label>
                            <input type="text" name="Comissao_Escalonada2" id="Comissao_Escalonada2" value="<?php echo valor_exibir($_POST["Comissao_Escalonada2"]); ?>" class="money" onBlur="fazerValor(this.value, 'Comissao_Escalonada2');">
                        </div>                   
                    <?php }else { ?>
                        <div class="campo" style="width:10%">
                            <label for="Comissao_Escalonada" key="Comissao_Escalonada" class="tr">Comisso</label>
                            <input type="text" name="Comissao_Escalonada" id="Comissao_Escalonada" value="<?php echo valor_exibir($_POST["Comissao_Escalonada"]); ?>" class="money" onBlur="fazerValor(this.value, 'Comissao_Escalonada');">
                        </div>
                        <div class="campo" style="width:10%">
                            <label for="Comissao_Escalonada2" key="Comissao_Escalonada2" class="tr">Comisso 2</label>
                            <input type="text" name="Comissao_Escalonada2" id="Comissao_Escalonada2" value="<?php echo valor_exibir($_POST["Comissao_Escalonada2"]); ?>" class="money" onBlur="fazerValor(this.value, 'Comissao_Escalonada2');">
                        </div>
                    <?php } ?>
                    <div class="campo" style="width:10%">
                        <label for="botao">&nbsp;</label>
                        <input class="botao_novo" type="button" value="Add" onClick="CriarComissao();">
                    </div>
                </fieldset>
                <fieldset class="grupo">
                    <div id="DivComissaoEscalonada"></div>
                </fieldset>

            <?php } ?>
            <?php if (CLIENTE_EMAIL == 'fertil' || CLIENTE_EMAIL=='beiradeiro' || CLIENTE_EMAIL == 'gw') { ?>

                <fieldset class="grupo">
                    <legend>Comisso</legend>
                    <div class="campo">
                        <label for="Categoria_Produto">* Categoria</label>
                        <div id="categoriaProduto">
                            <?php
                            echo select_banco("SELECT categoria_produto.Id,
                                                      categoria_produto.Titulo
                                                 FROM categoria_produto
                                                WHERE categoria_produto.Tipo_Categoria = 'P'
                                                  AND categoria_produto.Ativo='Sim'
                                                  AND categoria_produto.Id_Pai = ''
                                                ORDER BY categoria_produto.Titulo", "Categoria_Produto", "Categoria_Produto", $_POST["Categoria_Produto"], "onchange='buscaCategoriaProduto(this.value);'style='width:200px'", "")
                            ?>
                        </div>
                        <input type='hidden' name='Categoria_Hidden' id='Categoria_Hidden' value=''>
                    </div>
                    <div class="campo">
                        <label for="Categoria_Produto_Filho">Sub Categoria</label>
                        <div id="divCategoriaProduto">
                            <?php
                            echo select_banco("SELECT categoria_produto.Id,
                                                      categoria_produto.Titulo
                                                 FROM categoria_produto
                                                WHERE categoria_produto.Id_Pai = '" . $_POST["Categoria_Produto"] . "'
                                                  AND categoria_produto.Tipo_Categoria = 'P'
                                                  AND categoria_produto.Ativo='Sim'
                                             ORDER BY categoria_produto.Titulo", "Categoria_Produto_Filho", "Categoria_Produto_Filho", $_POST["Categoria_Produto_Filho"], "style='width:200px'", "")
                            ?>
                        </div>
                    </div>
                    <div class="campo" style="width:15%">
                        <label for="Comissao_Categoria_Produto" key="Comissao_Categoria_Produto" class="tr">Comisso</label>
                        <input type="text" name="Comissao_Categoria_Produto" id="Comissao_Categoria_Produto" value="<?php echo valor_exibir($_POST["Comissao_Categoria_Produto"]); ?>" class="money" onBlur="fazerValor(this.value, 'Comissao_Categoria_Produto');">
                    </div>
                    <div class="campo" style="width:10%">
                        <label for="botao">&nbsp;</label>
                        <input class="botao_novo" type="button" value="Add" onClick="CriarComissaoCategoriaProduto();">
                    </div>
                </fieldset>
                <fieldset class="grupo">
                    <div id="DivComissaoCategoriaProduto"></div>
                </fieldset>

            <?php } ?>

            <?php if (RESTAURANTE == 'Sim') { ?>
                <fieldset class="grupo">
                    <legend>Restaurante</legend>
                </fieldset>
                <div class="campo">
                    <label for="Usuario_Login" key="Usuario" class="tr">Usurio</label>
                    <?php
                    echo select_banco("SELECT Id, Login from usuario order by Login", "Usuario_Login", "Usuario_Login", $_POST["Usuario_Login"], "style='width:200px'", "");
                    ?>
                </div>
                <div class="campo">
                    <label for="Tipo_Operador" key="Tipo_Operador" class="tr">Tipo Operador</label>
                    <?php
                    $vetor = array('Caixa' => 'Caixa', 'Pedido' => 'Pedido');
                    select_tela("Tipo_Operador", "Tipo_Operador", $_POST["Tipo_Operador"], $vetor, '', "");
                    ?>
                </div>
                <?php if (MESA == 'Sim') { ?>
                    <fieldset class="grupo">
                        <legend>Mesa</legend>
                        <div class="campo">
                            <label for="Exibir_Mesa_Novo" key="Exibir_Mesa_Novo" class="tr">Exibir Mesa</label>
                            <?php
                            $vetor = array('Sim' => 'Sim', 'No' => 'No');
                            select_tela("Exibir_Mesa_Novo", "Exibir_Mesa_Novo", $_POST["Exibir_Mesa_Novo"], $vetor, '', "");
                            ?>
                        </div>
                        <div class="campo">
                            <label for="Funcao_Global_Mesa" key="Funcao_Global" class="tr">Funes Global</label>
                            <?php
                            $vetor = array('Sim' => 'Sim', 'No' => 'No');
                            select_tela("Funcao_Global_Mesa", "Funcao_Global_Mesa", $_POST["Funcao_Global_Mesa"], $vetor, '', "");
                            ?>
                        </div>
                        <div class="campo">
                            <label for="Transferencia_Mesa" key="Transferencia_Mesa" class="tr">Transferncia</label>
                            <?php
                            $vetor = array('Sim' => 'Sim', 'No' => 'No');
                            select_tela("Transferencia_Mesa", "Transferencia_Mesa", $_POST["Transferencia_Mesa"], $vetor, '', "");
                            ?>
                        </div>
                        <div class="campo">
                            <label for="Parcial_Mesa" key="Parcial_Mesa" class="tr">Parcial</label>
                            <?php
                            $vetor = array('Sim' => 'Sim', 'No' => 'No');
                            select_tela("Parcial_Mesa", "Parcial_Mesa", $_POST["Parcial_Mesa"], $vetor, '', "");
                            ?>
                        </div>
                        <div class="campo">
                            <label for="Configuracoes_Mesa" key="Configuracoes_Mesa" class="tr">Configuraes Mesa</label>
                            <?php
                            $vetor = array('Sim' => 'Sim', 'No' => 'No');
                            select_tela("Configuracoes_Mesa", "Configuracoes_Mesa", $_POST["Configuracoes_Mesa"], $vetor, '', "");
                            ?>
                        </div>
                        <div class="campo">
                            <label for="Cadastro_Mesa" key="Cadastro_Mesa" class="tr">Cadastro Mesa</label>
                            <?php
                            $vetor = array('Sim' => 'Sim', 'No' => 'No');
                            select_tela("Cadastro_Mesa", "Cadastro_Mesa", $_POST["Cadastro_Mesa"], $vetor, '', "");
                            ?>
                        </div>
                        <div class="campo">
                            <label for="Manutencao_Mesa" key="Manutencao_Mesa" class="tr">Manuteno Mesa</label>
                            <?php
                            $vetor = array('Sim' => 'Sim', 'No' => 'No');
                            select_tela("Manutencao_Mesa", "Manutencao_Mesa", $_POST["Manutencao_Mesa"], $vetor, '', "");
                            ?>
                        </div>
                        <div class="campo">
                            <label for="Ifood_Mesa" key="Parcial_Pedido" class="tr">Ifood</label>
                            <?php
                            $vetor = array('Sim' => 'Sim', 'No' => 'No');
                            select_tela("Ifood_Mesa", "Ifood_Mesa", $_POST["Ifood_Mesa"], $vetor, '', "");
                            ?>
                        </div>
                    </fieldset>
                    <fieldset class="grupo">
                        <div class="campo">
                            <label for="Transferir_Item_Mesa" key="Transferir_Item_Mesa" class="tr">Transferir Item</label>
                            <?php
                            $vetor = array('Sim' => 'Sim', 'No' => 'No');
                            select_tela("Transferir_Item_Mesa", "Transferir_Item_Mesa", $_POST["Transferir_Item_Mesa"], $vetor, '', "");
                            ?>
                        </div>
                        <div class="campo">
                            <label for="Transferir_Mesa" key="Transferir_Mesa" class="tr">Transferir Mesa</label>
                            <?php
                            $vetor = array('Sim' => 'Sim', 'No' => 'No');
                            select_tela("Transferir_Mesa", "Transferir_Mesa", $_POST["Transferir_Mesa"], $vetor, '', "");
                            ?>
                        </div>
                        <div class="campo">
                            <label for="Cancelar_Item_Mesa" key="Cancelar_Item_Mesa" class="tr">Cancelar Item</label>
                            <?php
                            $vetor = array('Sim' => 'Sim', 'No' => 'No');
                            select_tela("Cancelar_Item_Mesa", "Cancelar_Item_Mesa", $_POST["Cancelar_Item_Mesa"], $vetor, '', "");
                            ?>
                        </div>
                        <div class="campo">
                            <label for="Cancelar_Mesa_" key="Cancelar_Mesa_" class="tr">Cancelar Mesa</label>
                            <?php
                            $vetor = array('Sim' => 'Sim', 'No' => 'No');
                            select_tela("Cancelar_Mesa_", "Cancelar_Mesa_", $_POST["Cancelar_Mesa_"], $vetor, '', "");
                            ?>
                        </div>
                        <div class="campo">
                            <label for="Parcial_Mesa_" key="Parcial_Mesa_" class="tr">Parcial Mesa</label>
                            <?php
                            $vetor = array('Sim' => 'Sim', 'No' => 'No');
                            select_tela("Parcial_Mesa_", "Parcial_Mesa_", $_POST["Parcial_Mesa_"], $vetor, '', "");
                            ?>
                        </div>
                        <div class="campo">
                            <label for="Pagamento_Mesa" key="Pagamento_Mesa" class="tr">Pagamento</label>
                            <?php
                            $vetor = array('Sim' => 'Sim', 'No' => 'No');
                            select_tela("Pagamento_Mesa", "Pagamento_Mesa", $_POST["Pagamento_Mesa"], $vetor, '', "");
                            ?>
                        </div>
                        <div class="campo">
                            <label for="Desconto_Mesa_" key="Desconto_Mesa_" class="tr">Desconto</label>
                            <?php
                            $vetor = array('Sim' => 'Sim', 'No' => 'No');
                            select_tela("Desconto_Mesa_", "Desconto_Mesa_", $_POST["Desconto_Mesa_"], $vetor, '', "");
                            ?>
                        </div>
                        <div class="campo">
                            <label for="Alterar_Valor_Mesa_" key="Alterar_Valor_Mesa_" class="tr">Alterar Valor Item</label>
                            <?php
                            $vetor = array('Sim' => 'Sim', 'No' => 'No');
                            select_tela("Alterar_Valor_Mesa_", "Alterar_Valor_Mesa_", $_POST["Alterar_Valor_Mesa_"], $vetor, '', "");
                            ?>
                        </div>
                        <div class="campo">
                            <label for="Funcao_Mesa" key="Funcao_Mesa" class="tr">Funes Mesa</label>
                            <?php
                            $vetor = array('Sim' => 'Sim', 'No' => 'No');
                            select_tela("Funcao_Mesa", "Funcao_Mesa", $_POST["Funcao_Mesa"], $vetor, '', "");
                            ?>
                        </div>

                        <div class="campo">
                            <label for="Alterar_Taxa_Servico_Mesa" key="Alterar_Valor_Mesa" class="tr">Alterar Taxa
                                Servio</label>
                            <?php
                            $vetor = array('Sim' => 'Sim', 'No' => 'No');
                            select_tela("Alterar_Taxa_Servico_Mesa", "Alterar_Taxa_Servico_Mesa", $_POST["Alterar_Taxa_Servico_Mesa"], $vetor, '', "");
                            ?>
                        </div>
                        <div class="campo">
                            <label for="Alterar_Couvert_Mesa" key="Alterar_Couvert_Mesa" class="tr">Alterar Couvert
                                Artstico</label>
                            <?php
                            $vetor = array('Sim' => 'Sim', 'No' => 'No');
                            select_tela("Alterar_Couvert_Mesa", "Alterar_Couvert_Mesa", $_POST["Alterar_Couvert_Mesa"], $vetor, '', "");
                            ?>
                        </div>
                        <div class="campo">
                            <label for="Alterar_Itens_Cancelados" key="Alterar_Itens_Cancelados" class="tr">Itens
                                Cancelados</label>
                            <?php
                            $vetor = array('Sim' => 'Sim', 'No' => 'No');
                            select_tela("Alterar_Itens_Cancelados", "Alterar_Itens_Cancelados", $_POST["Alterar_Itens_Cancelados"], $vetor, '', "");
                            ?>
                        </div>
                    </fieldset>
                <?php }
                if (COMANDA == 'Sim') { ?>
                    <fieldset class="grupo">
                        <legend>Pedido</legend>
                        <div class="campo">
                            <label for="Exibir_Pedido_Novo" key="Exibir_Pedido_Novo" class="tr">Exibir Pedido</label>
                            <?php
                            $vetor = array('Sim' => 'Sim', 'No' => 'No');
                            select_tela("Exibir_Pedido_Novo", "Exibir_Pedido_Novo", $_POST["Exibir_Pedido_Novo"], $vetor, '', "");
                            ?>
                        </div>
                        <div class="campo">
                            <label for="Funcao_Global_Pedido" key="Funcao_Global_Pedido" class="tr">Funes Global</label>
                            <?php
                            $vetor = array('Sim' => 'Sim', 'No' => 'No');
                            select_tela("Funcao_Global_Pedido", "Funcao_Global_Pedido", $_POST["Funcao_Global_Pedido"], $vetor, '', "");
                            ?>
                        </div>
                        <div class="campo">
                            <label for="Transferencia_Pedido" key="Transferencia_Pedido" class="tr">Transferncia</label>
                            <?php
                            $vetor = array('Sim' => 'Sim', 'No' => 'No');
                            select_tela("Transferencia_Pedido", "Transferencia_Pedido", $_POST["Transferencia_Pedido"], $vetor, '', "");
                            ?>
                        </div>
                        <div class="campo">
                            <label for="Parcial_Pedido" key="Parcial_Pedido" class="tr">Parcial</label>
                            <?php
                            $vetor = array('Sim' => 'Sim', 'No' => 'No');
                            select_tela("Parcial_Pedido", "Parcial_Pedido", $_POST["Parcial_Pedido"], $vetor, '', "");
                            ?>
                        </div>
                        <div class="campo">
                            <label for="Configuracoes_Pedido" key="Configuracoes_Pedido" class="tr">Configuraes Pedido</label>
                            <?php
                            $vetor = array('Sim' => 'Sim', 'No' => 'No');
                            select_tela("Configuracoes_Pedido", "Configuracoes_Pedido", $_POST["Configuracoes_Pedido"], $vetor, '', "");
                            ?>
                        </div>
                        <div class="campo">
                            <label for="Ifood_Pedido" key="Ifood_Pedido" class="tr">Ifood Pedido</label>
                            <?php
                            $vetor = array('Sim' => 'Sim', 'No' => 'No');
                            select_tela("Ifood_Pedido", "Ifood_Pedido", $_POST["Ifood_Pedido"], $vetor, '', "");
                            ?>
                        </div>
                        <div class="campo">
                            <label for="Alterar_Cliente" key="Alterar_Cliente" class="tr">Alterar Cliente</label>
                            <?php
                            $vetor = array('Sim' => 'Sim', 'No' => 'No');
                            select_tela("Alterar_Cliente", "Alterar_Cliente", $_POST["Alterar_Cliente"], $vetor, '', "");
                            ?>
                        </div>
                    </fieldset>
                    <fieldset class="grupo">
                        <div class="campo">
                            <label for="Transferir_Item_Pedido" key="Transferir_Item_Pedido" class="tr">Transferir Item</label>
                            <?php
                            $vetor = array('Sim' => 'Sim', 'No' => 'No');
                            select_tela("Transferir_Item_Pedido", "Transferir_Item_Pedido", $_POST["Transferir_Item_Pedido"], $vetor, '', "");
                            ?>
                        </div>
                        <div class="campo">
                            <label for="Transferir_Pedido" key="Transferir_Pedido" class="tr">Transferir Pedido</label>
                            <?php
                            $vetor = array('Sim' => 'Sim', 'No' => 'No');
                            select_tela("Transferir_Pedido", "Transferir_Pedido", $_POST["Transferir_Pedido"], $vetor, '', "");
                            ?>
                        </div>
                        <div class="campo">
                            <label for="Cancelar_Item_Pedido" key="Cancelar_Item_Pedido" class="tr">Cancelar Item</label>
                            <?php
                            $vetor = array('Sim' => 'Sim', 'No' => 'No');
                            select_tela("Cancelar_Item_Pedido", "Cancelar_Item_Pedido", $_POST["Cancelar_Item_Pedido"], $vetor, '', "");
                            ?>
                        </div>
                        <div class="campo">
                            <label for="Cancelar_Pedido_" key="Cancelar_Pedido_" class="tr">Cancelar Pedido</label>
                            <?php
                            $vetor = array('Sim' => 'Sim', 'No' => 'No');
                            select_tela("Cancelar_Pedido_", "Cancelar_Pedido_", $_POST["Cancelar_Pedido_"], $vetor, '', "");
                            ?>
                        </div>
                        <div class="campo">
                            <label for="Parcial_Pedido_" key="Parcial_Pedido_" class="tr">Parcial Pedido</label>
                            <?php
                            $vetor = array('Sim' => 'Sim', 'No' => 'No');
                            select_tela("Parcial_Pedido_", "Parcial_Pedido_", $_POST["Parcial_Pedido_"], $vetor, '', "");
                            ?>
                        </div>
                        <div class="campo">
                            <label for="Pagamento_Pedido" key="Pagamento_Pedido" class="tr">Pagamento</label>
                            <?php
                            $vetor = array('Sim' => 'Sim', 'No' => 'No');
                            select_tela("Pagamento_Pedido", "Pagamento_Pedido", $_POST["Pagamento_Pedido"], $vetor, '', "");
                            ?>
                        </div>
                        <div class="campo">
                            <label for="Desconto_Pedido_" key="Desconto_Pedido_" class="tr">Desconto</label>
                            <?php
                            $vetor = array('Sim' => 'Sim', 'No' => 'No');
                            select_tela("Desconto_Pedido_", "Desconto_Pedido_", $_POST["Desconto_Pedido_"], $vetor, '', "");
                            ?>
                        </div>
                        <div class="campo">
                            <label for="Alterar_Valor_Pedido_" key="Alterar_Valor_Pedido_" class="tr">Alterar Valor Item</label>
                            <?php
                            $vetor = array('Sim' => 'Sim', 'No' => 'No');
                            select_tela("Alterar_Valor_Pedido_", "Alterar_Valor_Pedido_", $_POST["Alterar_Valor_Pedido_"], $vetor, '', "");
                            ?>
                        </div>
                        <div class="campo">
                            <label for="Alterar_Valor_Item_Pedido" key="Alterar_Valor_Item_Pedido" class="tr">Alterar Valor Item
                                Pedido</label>
                            <?php
                            $vetor = array('Sim' => 'Sim', 'No' => 'No');
                            select_tela("Alterar_Valor_Item_Pedido", "Alterar_Valor_Item_Pedido", $_POST["Alterar_Valor_Item_Pedido"], $vetor, '', "");
                            ?>
                        </div>
                        <!-- <div class="campo">
                            <label for="Funcao_Pedido" key="Funcao_Pedido" class="tr">Funes Mesa</label>
                            <?php
                            $vetor = array('Sim' => 'Sim', 'No' => 'No');
                            select_tela("Funcao_Pedido", "Funcao_Pedido", $_POST["Funcao_Pedido"], $vetor, '', "");
                            ?>
                        </div> -->

                        <div class="campo">
                            <label for="Alterar_Taxa_Servico_Pedido" key="Alterar_Taxa_Servico_Pedido" class="tr">Alterar Taxa
                                de Servio</label>
                            <?php
                            $vetor = array('Sim' => 'Sim', 'No' => 'No');
                            select_tela("Alterar_Taxa_Servico_Pedido", "Alterar_Taxa_Servico_Pedido", $_POST["Alterar_Taxa_Servico_Pedido"], $vetor, '', "");
                            ?>
                        </div>
                        <div class="campo">
                            <label for="Alterar_Couvert_Pedido" key="Alterar_Couvert_Pedido" class="tr">Alterar Couvert
                                Artstico</label>
                            <?php
                            $vetor = array('Sim' => 'Sim', 'No' => 'No');
                            select_tela("Alterar_Couvert_Pedido", "Alterar_Couvert_Pedido", $_POST["Alterar_Couvert_Pedido"], $vetor, '', "");
                            ?>
                        </div>
                        <div class="campo">
                            <label for="Alterar_Itens_Cancelados_Pedido" key="Alterar_Itens_Cancelados_Pedido" class="tr">Itens
                                Cancelados</label>
                            <?php
                            $vetor = array('Sim' => 'Sim', 'No' => 'No');
                            select_tela("Alterar_Itens_Cancelados_Pedido", "Alterar_Itens_Cancelados_Pedido", $_POST["Alterar_Itens_Cancelados_Pedido"], $vetor, '', "");
                            ?>
                        </div>
                    </fieldset>
                <?php }
                if (DELIVERY == 'Sim') { ?>
                    <fieldset class="grupo">
                        <legend>Delivery</legend>
                        <div class="campo">
                            <label for="Restautante" key="Restautante" class="tr">Exibir Mesa</label>
                            <?php
                            $vetor = array('Sim' => 'Sim', 'No' => 'No');
                            select_tela("Restaurante", "Restaurante", $_POST["Restaurante"], $vetor, '', "");
                            ?>
                        </div>
                        <div class="campo">
                            <label for="Restautante" key="Restautante" class="tr">Funes Global</label>
                            <?php
                            $vetor = array('Sim' => 'Sim', 'No' => 'No');
                            select_tela("Restaurante", "Restaurante", $_POST["Restaurante"], $vetor, '', "");
                            ?>
                        </div>
                        <div class="campo">
                            <label for="Restautante" key="Restautante" class="tr">Transferncia</label>
                            <?php
                            $vetor = array('Sim' => 'Sim', 'No' => 'No');
                            select_tela("Restaurante", "Restaurante", $_POST["Restaurante"], $vetor, '', "");
                            ?>
                        </div>
                        <div class="campo">
                            <label for="Restautante" key="Restautante" class="tr">Parcial</label>
                            <?php
                            $vetor = array('Sim' => 'Sim', 'No' => 'No');
                            select_tela("Restaurante", "Restaurante", $_POST["Restaurante"], $vetor, '', "");
                            ?>
                        </div>
                    </fieldset>
                    <fieldset class="grupo">
                        <div class="campo">
                            <label for="Transf_Item" key="Transf_Item" class="tr">Transferir Item</label>
                            <?php
                            $vetor = array('Sim' => 'Sim', 'No' => 'No');
                            select_tela("Transf_Item", "Transf_Item", $_POST["Transf_Item"], $vetor, '', "");
                            ?>
                        </div>
                        <div class="campo">
                            <label for="Transf_Mesa" key="Transf_Mesa" class="tr">Transferir Mesa</label>
                            <?php
                            $vetor = array('Sim' => 'Sim', 'No' => 'No');
                            select_tela("Transf_Mesa", "Transf_Mesa", $_POST["Transf_Mesa"], $vetor, '', "");
                            ?>
                        </div>
                        <div class="campo">
                            <label for="Cancelar_Item" key="Cancelar_Item" class="tr">Cancelar Item</label>
                            <?php
                            $vetor = array('Sim' => 'Sim', 'No' => 'No');
                            select_tela("Cancelar_Item", "Cancelar_Item", $_POST["Cancelar_Item"], $vetor, '', "");
                            ?>
                        </div>
                        <div class="campo">
                            <label for="Cancelar_Item" key="Cancelar_Item" class="tr">Cancelar Mesa</label>
                            <?php
                            $vetor = array('Sim' => 'Sim', 'No' => 'No');
                            select_tela("Cancelar_Item", "Cancelar_Item", $_POST["Cancelar_Item"], $vetor, '', "");
                            ?>
                        </div>
                        <div class="campo">
                            <label for="Parcial" key="Parcial" class="tr">Parcial</label>
                            <?php
                            $vetor = array('Sim' => 'Sim', 'No' => 'No');
                            select_tela("Parcial", "Parcial", $_POST["Parcial"], $vetor, '', "");
                            ?>
                        </div>
                        <div class="campo">
                            <label for="Pagamento_Mesa" key="Pagamento_Mesa" class="tr">Pagamento</label>
                            <?php
                            $vetor = array('Sim' => 'Sim', 'No' => 'No');
                            select_tela("Pagamento", "Pagamento", $_POST["Pagamento"], $vetor, '', "");
                            ?>
                        </div>
                        <div class="campo">
                            <label for="Desconto_Mesa" key="Desconto_Mesa" class="tr">Desconto</label>
                            <?php
                            $vetor = array('Sim' => 'Sim', 'No' => 'No');
                            select_tela("Desconto_Mesa", "Desconto_Mesa", $_POST["Desconto_Mesa"], $vetor, '', "");
                            ?>
                        </div>
                        <div class="campo">
                            <label for="Alterar_Valor_Mesa" key="Alterar_Valor_Mesa" class="tr">Alterar Valor Item</label>
                            <?php
                            $vetor = array('Sim' => 'Sim', 'No' => 'No');
                            select_tela("Alterar_Valor_Mesa", "Alterar_Valor_Mesa", $_POST["Alterar_Valor_Mesa"], $vetor, '', "");
                            ?>
                        </div>
                        <div class="campo">
                            <label for="Alterar_Valor_Mesa" key="Alterar_Valor_Mesa" class="tr">Funes</label>
                            <?php
                            $vetor = array('Sim' => 'Sim', 'No' => 'No');
                            select_tela("Alterar_Valor_Mesa", "Alterar_Valor_Mesa", $_POST["Alterar_Valor_Mesa"], $vetor, '', "");
                            ?>
                        </div>

                        <div class="campo">
                            <label for="Alterar_Valor_Mesa" key="Alterar_Valor_Mesa" class="tr">Alterar Taxa Servio</label>
                            <?php
                            $vetor = array('Sim' => 'Sim', 'No' => 'No');
                            select_tela("Alterar_Valor_Mesa", "Alterar_Valor_Mesa", $_POST["Alterar_Valor_Mesa"], $vetor, '', "");
                            ?>
                        </div>
                        <div class="campo">
                            <label for="Alterar_Valor_Mesa" key="Alterar_Valor_Mesa" class="tr">Alterar Couvert
                                Artstico</label>
                            <?php
                            $vetor = array('Sim' => 'Sim', 'No' => 'No');
                            select_tela("Alterar_Valor_Mesa", "Alterar_Valor_Mesa", $_POST["Alterar_Valor_Mesa"], $vetor, '', "");
                            ?>
                        </div>
                        <div class="campo">
                            <label for="Alterar_Valor_Mesa" key="Alterar_Valor_Mesa" class="tr">Itens Cancelados</label>
                            <?php
                            $vetor = array('Sim' => 'Sim', 'No' => 'No');
                            select_tela("Alterar_Valor_Mesa", "Alterar_Valor_Mesa", $_POST["Alterar_Valor_Mesa"], $vetor, '', "");
                            ?>
                        </div>
                        <div class="campo">
                            <label for="Alterar_Valor_Mesa" key="Alterar_Valor_Mesa" class="tr">Pagamento</label>
                            <?php
                            $vetor = array('Sim' => 'Sim', 'No' => 'No');
                            select_tela("Alterar_Valor_Mesa", "Alterar_Valor_Mesa", $_POST["Alterar_Valor_Mesa"], $vetor, '', "");
                            ?>
                        </div>
                    </fieldset>
                <?php } ?>
            <?php } ?>

















            <?php //if (RESTAURANTE == 'Sim') {
            ?>
            <!--                    <fieldset class="grupo">
                        <legend>Restaurante</legend>
                        <div class="campo">
                            <label for="Mesa_Grupo">Grupo Mesa</label>
                            <?php
                            echo select_banco("Select Id, Titulo from mesa_grupo order by Titulo", "Mesa_Grupo", "Mesa_Grupo", $_POST["Mesa_Grupo"], "", "");
                            ?>
                        </div>
                        <div class="campo">
                            <label for="Restautante" key="Restautante" class="tr">Exibir na Mesa</label>
                            <?php
                            $vetor = array('Sim' => 'Sim', 'No' => 'No');
                            select_tela("Restaurante", "Restaurante", $_POST["Restaurante"], $vetor, '', "");
                            ?>
                        </div>
                        <div class="campo">
                            <label for="Usuario_Login" key="Usuario" class="tr">Usurio</label>
                            <?php
                            echo select_banco("Select Id, Login from usuario order by Login", "Usuario_Login", "Usuario_Login", $_POST["Usuario_Login"], "style='width:200px'", "");
                            ?>
                        </div>
                        <div class="campo">
                            <label for="Transf_Item" key="Transf_Item" class="tr">Transfncia Item na Mesa</label>
                            <?php
                            $vetor = array('Sim' => 'Sim', 'No' => 'No');
                            select_tela("Transf_Item", "Transf_Item", $_POST["Transf_Item"], $vetor, '', "");
                            ?>
                        </div>
                        <div class="campo">
                            <label for="Transf_Mesa" key="Transf_Mesa" class="tr">Transfncia de Mesa</label>
                            <?php
                            $vetor = array('Sim' => 'Sim', 'No' => 'No');
                            select_tela("Transf_Mesa", "Transf_Mesa", $_POST["Transf_Mesa"], $vetor, '', "");
                            ?>
                        </div>
                        <div class="campo">
                            <label for="Cancelar_Item" key="Cancelar_Item" class="tr">Cancelar Item na Mesa</label>
                            <?php
                            $vetor = array('Sim' => 'Sim', 'No' => 'No');
                            select_tela("Cancelar_Item", "Cancelar_Item", $_POST["Cancelar_Item"], $vetor, '', "");
                            ?>
                        </div>
                    </fieldset>

                    <fieldset class="grupo">
                        <div class="campo">
                            <label for="Parcial" key="Parcial" class="tr">Parcial na Mesa</label>
                            <?php
                            $vetor = array('Sim' => 'Sim', 'No' => 'No');
                            select_tela("Parcial", "Parcial", $_POST["Parcial"], $vetor, '', "");
                            ?>
                        </div>
                        <div class="campo">
                            <label for="Pagamento" key="Pagamento" class="tr">Pagamento na Mesa</label>
                            <?php
                            $vetor = array('Sim' => 'Sim', 'No' => 'No');
                            select_tela("Pagamento", "Pagamento", $_POST["Pagamento"], $vetor, '', "");
                            ?>
                        </div>
                        <div class="campo">
                            <label for="Cancelar_Mesa" key="Cancelar_Mesa" class="tr">Cancelar Mesa</label>
                            <?php
                            $vetor = array('Sim' => 'Sim', 'No' => 'No');
                            select_tela("Cancelar_Mesa", "Cancelar_Mesa", $_POST["Cancelar_Mesa"], $vetor, '', "");
                            ?>
                        </div>
                        <div class="campo">
                            <label for="Desconto_Mesa" key="Desconto_Mesa" class="tr">Desconto Mesa</label>
                            <?php
                            $vetor = array('Sim' => 'Sim', 'No' => 'No');
                            select_tela("Desconto_Mesa", "Desconto_Mesa", $_POST["Desconto_Mesa"], $vetor, '', "");
                            ?>
                        </div>
                        <div class="campo">
                            <label for="Alterar_Valor_Mesa" key="Alterar_Valor_Mesa" class="tr">Alterar Valor</label>
                            <?php
                            $vetor = array('Sim' => 'Sim', 'No' => 'No');
                            select_tela("Alterar_Valor_Mesa", "Alterar_Valor_Mesa", $_POST["Alterar_Valor_Mesa"], $vetor, '', "");
                            ?>
                        </div>
                    </fieldset>-->
            <?php //}
            ?>

            <?php if (BELEZA == 'Sim') { ?>
                <fieldset class="grupo">
                    <legend>Restaurante</legend>
                    <div class="campo">
                        <label for="Salao" key="Salao" class="tr">Exibir no Salo</label>
                        <?php
                        $vetor = array('Sim' => 'Sim', 'No' => 'No');
                        select_tela("Salao", "Salao", $_POST["Salao"], $vetor, '', "campo_tableless");
                        ?>
                    </div>
                </fieldset>
            <?php } ?>

            <?php if (PAIS == 'BRA') { ?>
                <fieldset class="grupo">
                    <legend>Avanados</legend>
                    <div class="campo">
                        <label for="Rg">RG</label>
                        <input type="text" name="Rg" id="Rg" value="<?php echo $_POST["Rg"]; ?>">
                    </div>
                    <div class="campo">
                        <label for="Cpf">CPF</label>
                        <input type="text" name="Cpf" id="Cpf" value="<?php echo $_POST["Cpf"]; ?>">
                    </div>
                    <div class="campo">
                        <label for="Titulo_Eleitor">Titulo Eleitor</label>
                        <input type="text" name="Titulo_Eleitor" id="Titulo_Eleitor" value="<?php echo $_POST["Titulo_Eleitor"]; ?>">
                    </div>
                    <div class="campo">
                        <label for="Pis">PIS</label>
                        <input type="text" name="Pis" id="Pis" value="<?php echo $_POST["Pis"]; ?>">
                    </div>
                    <div class="campo">
                        <label for="Ctps">CTPS</label>
                        <input type="text" name="Ctps" id="Ctps" value="<?php echo $_POST["Ctps"]; ?>">
                    </div>
                    <div class="campo">
                        <label for="Ctps">CBO</label>
                        <input type="text" name="Cbo" id="Cbo" value="<?php echo $_POST["Cbo"]; ?>">
                    </div>
                </fieldset>

                <fieldset class="grupo">
                    <div class="campo">
                        <label for="Numero_Cartao" key="Numero_Cartao" class="tr">Matrcula</label>
                        <input type="text" name="Numero_Cartao" id="Numero_Cartao" value="<?php echo $_POST["Numero_Cartao"]; ?>">
                    </div>
                </fieldset>

                <fieldset class="grupo">
                    <legend>Contrato</legend>
                    <div class="campo" style="width: 140px">
                        <label for="Data_Inicio_Empresa">Data Incio</label>
                        <input type="text" name="Data_Inicio_Empresa" id="Data_Inicio_Empresa" value="<?php echo $_POST["Data_Inicio_Empresa"]; ?>" style="width: 80%">
                    </div>
                </fieldset>

                <fieldset class="grupo">
                    <div class="campo" style="width: 140px">
                        <label for="Data_Inicio_Contrato">Data Incio Contrato</label>
                        <input type="text" name="Data_Inicio_Contrato" id="Data_Inicio_Contrato" value="<?php echo $_POST["Data_Inicio_Contrato"]; ?>" style="width: 80%">
                    </div>
                    <div class="campo" style="width: 140px">
                        <label for="Data_Fim_Contrato">Data Fim Contrato</label>
                        <input type="text" name="Data_Fim_Contrato" id="Data_Fim_Contrato" value="<?php echo $_POST["Data_Fim_Contrato"]; ?>" style="width: 80%">
                    </div>
                    <div class="campo">
                        <label for="Radio" key="Efetivado" class="tr">Efetivado</label>
                        <input type="checkbox" name="Efetivado" id="Efetivado" value="Efetivado" <?php if ($_POST["Efetivado"] == 'Sim') echo "checked='checked' "; ?>>
                    </div>
                </fieldset>

                <fieldset class="grupo">
                    <div class="campo" style="width: 140px">
                        <label for="Data_Admissao">Data Efetivao</label>
                        <input type="text" name="Data_Admissao" id="Data_Admissao" value="<?php echo $_POST["Data_Admissao"]; ?>" style="width: 80%">
                    </div>
                    <div class="campo" style="width: 140px">
                        <label for="Data_Demissao">Data Demisso</label>
                        <input type="text" name="Data_Demissao" id="Data_Demissao" value="<?php echo $_POST["Data_Demissao"]; ?>" style="width: 80%">
                    </div>
                </fieldset>

                <fieldset class="grupo">
                    <div class="campo" style="width: 140px">
                        <label for="Aniversario">Aniversrio</label>
                        <input type="text" name="Aniversario" id="Aniversario" value="<?php echo $_POST["Aniversario"]; ?>" style="width: 80%">
                    </div>
                    <div class="campo" style="width: 140px">
                        <label for="Data_Exame">Data Exame</label>
                        <input type="text" name="Data_Exame" id="Data_Exame" value="<?php echo $_POST["Data_Exame"]; ?>" style="width: 80%">
                    </div>
                    <div class="campo" style="width: 140px">
                        <label for="Data_Ferias">Data Frias</label>
                        <input type="text" name="Data_Ferias" id="Data_Ferias" value="<?php echo $_POST["Data_Ferias"]; ?>" style="width: 80%">
                    </div>
                </fieldset>
            <?php } ?>

            <fieldset class="grupo">
                <div class="campo">
                    <label for="Salario">Salrio</label>
                    <input type="text" name="Salario" id="Salario" value="<?php echo valor_exibir($_POST["Salario"]); ?>" class="money" onBlur="fazerValor(this.value, 'Salario')">
                </div>
                <div class="campo">
                    <label for="Bonificacao">Bonificao</label>
                    <input type="text" name="Bonificacao" id="Bonificacao" value="<?php echo valor_exibir($_POST["Bonificacao"]); ?>" class="money" onBlur="fazerValor(this.value, 'Bonificacao')">
                </div>
                <div class="campo">
                    <label for="Gratificacao">Gratificao</label>
                    <input type="text" name="Gratificacao" id="Gratificacao" value="<?php echo valor_exibir($_POST["Gratificacao"]); ?>" class="money" onBlur="fazerValor(this.value, 'Gratificacao')">
                </div>
            </fieldset>

            <fieldset class="grupo">
                <div class="campo" style="width: 100px">
                    <label for="Salario_Familia" key="Salario_Familia" class="tr">Salrio Familia</label>
                    <?php
                    $vetor = array('Sim' => 'Sim', 'No' => 'No');
                    select_tela("Salario_Familia", "Salario_Familia", $_POST["Salario_Familia"], $vetor, '', "");
                    ?>
                </div>
                <div class="campo" style="width: 100px">
                    <label for="Valor_Salario_Familia" key="Valor_Salario_Familia" class="tr">Salrio Familia</label>
                    <input type="text" name="Valor_Salario_Familia" id="Valor_Salario_Familia" value="<?php echo $_POST["Valor_Salario_Familia"]; ?>">
                </div>
                <div class="campo" style="width: 100px">
                    <label for="Carga_Horaria" key="Carga_Horaria" class="tr">Horas Semanais</label>
                    <input type="text" name="Carga_Horaria" id="Carga_Horaria" value="<?php echo $_POST["Carga_Horaria"]; ?>">
                </div>
                <div class="campo">
                    <label for="Turno" key="Turno" class="tr">Turno</label>
                    <?php
                    $vetor = array('Primeiro' => 'Primeiro', 'Segundo' => 'Segundo', 'Comercial' => 'Comercial');
                    select_tela("Turno", "Turno", $_POST["Turno"], $vetor, '', "campo_tableless");
                    ?>
                </div>
                <div class="campo">
                    <label for="Estado_Civil" key="Estado_Civil" class="tr">Estado Civil</label>
                    <input type="text" name="Estado_Civil" id="Estado_Civil" value="<?php echo $_POST["Estado_Civil"]; ?>">
                </div>
            </fieldset>

            <fieldset class="grupo">
                <div class="campo" style="width: 8%">
                    <label for="Plano_Saude" key="Plano_Saude" class="tr">Plano de Sade</label>
                    <?php
                    $vetor = array('Sim' => 'Sim', 'No' => 'No');
                    select_tela("Plano_Saude", "Plano_Saude", $_POST["Plano_Saude"], $vetor, '', "campo_tableless");
                    ?>
                </div>
                <div class="campo" style="width: 30%">
                    <label for="Nome_Plano_Saude">Nome</label>
                    <input type="text" name="Nome_Plano_Saude" id="Nome_Plano_Saude" value="<?php echo $_POST["Nome_Plano_Saude"]; ?>">
                </div>
            </fieldset>

            <?php if (CLIENTE_EMAIL == 'oms') { ?>
                <fieldset class="grupo">
                    <div class="campo" style="width: 5%">
                        <label for="Ticket" key="Ticket" class="tr">Ticket</label>
                        <?php
                        $vetor = array('Sim' => 'Sim', 'No' => 'No');
                        select_tela("Ticket", "Ticket", $_POST["Ticket"], $vetor, '', "campo_tableless");
                        ?>
                    </div>
                    <div class="campo" style="width: 15%">
                        <label for="Tipo_Ticket" key="Tipo_Ticket" class="tr">Tipo</label>
                        <?php
                        $vetor = array('Refeio' => 'Refeio', 'Alimentao' => 'Alimentao');
                        select_tela("Tipo_Ticket", "Tipo_Ticket", $_POST["Tipo_Ticket"], $vetor, '', "campo_tableless");
                        ?>
                    </div>
                </fieldset>
            <?php } ?>

            <?php if (CLIENTE_EMAIL == 'oms') { ?>
                <fieldset class="grupo">
                    <legend>Vem Trabalhador</legend>
                    <div class="campo" style="width: 5%">
                        <label for="Vem" key="Vem" class="tr">VEM</label>
                        <?php
                        $vetor = array('Sim' => 'Sim', 'No' => 'No');
                        select_tela("Vem", "Vem", $_POST["Vem"], $vetor, '', "campo_tableless");
                        ?>
                    </div>
                    <div class="campo">
                        <label for="Numero_Vem">Nmero</label>
                        <input type="text" name="Numero_Vem" id="Numero_Vem" value="<?php echo $_POST["Numero_Vem"]; ?>">
                    </div>
                    <div class="campo" style="width: 16%">
                        <label for="Vale_Transporte" key="Vale_Transporte" class="tr">Vale Transporte</label>
                        <?php
                        echo select_banco("Select Id,Titulo from vale_transporte order by Titulo", "Vale_Transporte", "Vale_Transporte", $_POST["Vale_Transporte"], 'style="width:200px"', "")
                        ?>
                    </div>
                    <div class="campo" style="width: 10%">
                        <label for="Passagens_Dia">Passagens/Dia</label>
                        <input type="text" name="Passagens_Dia" id="Passagens_Dia" value="<?php echo $_POST["Passagens_Dia"]; ?>">
                    </div>
                    <div class="campo" style="width: 16%">
                        <label for="Vale_Transporte2" key="Vale_Transporte2" class="tr">Vale Transporte 2</label>
                        <?php
                        echo select_banco("Select Id,Titulo from vale_transporte order by Titulo", "Vale_Transporte2", "Vale_Transporte2", $_POST["Vale_Transporte2"], 'style="width:200px"', "")
                        ?>
                    </div>
                    <div class="campo" style="width: 10%">
                        <label for="Passagens_Dia2">Passagens/Dia 2</label>
                        <input type="text" name="Passagens_Dia2" id="Passagens_Dia2" value="<?php echo $_POST["Passagens_Dia2"]; ?>">
                    </div>
                </fieldset>

                <fieldset class="grupo">
                    <div class="campo" style="width: 16%">
                        <label for="Vale_Transporte3" key="Vale_Transporte3" class="tr">Vale Transporte 3</label>
                        <?php
                        echo select_banco("Select Id,Titulo from vale_transporte order by Titulo", "Vale_Transporte3", "Vale_Transporte3", $_POST["Vale_Transporte3"], 'style="width:200px"', "")
                        ?>
                    </div>
                    <div class="campo" style="width: 10%">
                        <label for="Passagens_Dia3">Passagens/Dia 3</label>
                        <input type="text" name="Passagens_Dia3" id="Passagens_Dia3" value="<?php echo $_POST["Passagens_Dia3"]; ?>">
                    </div>
                    <div class="campo" style="width: 16%">
                        <label for="Vale_Transporte4" key="Vale_Transporte4" class="tr">Vale Transporte 4</label>
                        <?php
                        echo select_banco("Select Id,Titulo from vale_transporte order by Titulo", "Vale_Transporte4", "Vale_Transporte4", $_POST["Vale_Transporte4"], 'style="width:200px"', "")
                        ?>
                    </div>
                    <div class="campo" style="width: 10%">
                        <label for="Passagens_Dia4">Passagens/Dia 4</label>
                        <input type="text" name="Passagens_Dia4" id="Passagens_Dia4" value="<?php echo $_POST["Passagens_Dia4"]; ?>">
                    </div>
                </fieldset>
            <?php }
            if ((CLIENTE_EMAIL == 'pfjcabos') || (CLIENTE_EMAIL == 'jtvfios') || (CLIENTE_EMAIL == 'gw')) { ?>

                <fieldset class="grupo">
                    <legend>Categoria Produto</legend>
                    <div class="campo">
                        <label for="Categoria_Produto">* Categoria</label>
                        <?php
                        echo select_banco("Select Id, Titulo from categoria_produto
                                        WHERE Tipo_Categoria = 'P'
                                        AND Id_Pai = '' order by Titulo", "Categoria_Produto", "Categoria_Produto", $_POST["Categoria_Produto"], "style='width:200px'", "")
                        ?>
                    </div>
                    <div class="campo">
                        <label for="botao">&nbsp;</label>
                        <input class="botao_novo" type="button" value="Add" onClick="CriarCategoriaProduto();">
                    </div>

                </fieldset>

                <fieldset class="grupo">
                    <div id="DivCategoria"></div>
                </fieldset>

            <?php } ?>

            <fieldset class="grupo">
                <legend>Filhos</legend>
                <div class="campo" style="width: 30%">
                    <label for="Filho">Nome</label>
                    <input type="text" name="Filho" id="Filho" value="<?php echo $_POST["Filho"]; ?>">
                </div>
                <div class="campo" style="width: 140px">
                    <label for="Data_Filho">Data Nascimento</label>
                    <input type="text" name="Data_Filho" id="Data_Filho" value="<?php echo $_POST["Data_Filho"]; ?>" style="width: 80%">
                </div>
                <div class="campo">
                    <label for="Cpf_Filho">Cpf</label>
                    <input type="text" name="Cpf_Filho" id="Cpf_Filho" value="<?php echo $_POST["Cpf_Filho"]; ?>">
                </div>
                <div class="campo">
                    <label for="botao">&nbsp;</label>
                    <input class="botao_novo" type="button" value="Add" onClick="CriarFilho();">
                </div>
            </fieldset>

            <fieldset class="grupo">
                <div id="DivFilho"></div>
            </fieldset>

            <fieldset class="grupo">
                <legend>Veculo</legend>
                <div class="campo">
                    <label for="Placa">Placa</label>
                    <input type="text" name="Placa" id="Placa" value="<?php echo $_POST["Placa"]; ?>">
                </div>
                <div class="campo">
                    <label for="Modelo">Modelo</label>
                    <input type="text" name="Modelo" id="Modelo" value="<?php echo $_POST["Modelo"]; ?>">
                </div>
                <div class="campo">
                    <label for="Cor">Cor</label>
                    <input type="text" name="Cor" id="Cor" value="<?php echo $_POST["Cor"]; ?>">
                </div>
                <div class="campo">
                    <label for="Km_Litro">Km Litro</label>
                    <input type="text" name="Km_Litro" id="Km_Litro" value="<?php echo $_POST["Km_Litro"]; ?>">
                </div>
                <div class="campo">
                    <label for="botao">&nbsp;</label>
                    <input class="botao_novo" type="button" value="Add" onClick="CriarVeiculo();">
                </div>
            </fieldset>

            <fieldset class="grupo">
                <div id="DivVeiculo"></div>
            </fieldset>

            <fieldset class="grupo">
                <legend>Frias</legend>
                <div class="campo">
                    <label for="Data_Inicio_Ferias">Data Incio</label>
                    <input type="text" name="Data_Inicio_Ferias" id="Data_Inicio_Ferias" value="<?php echo $_POST["Data_Inicio_Ferias"]; ?>" style="width: 80%">
                </div>
                <div class="campo">
                    <label for="Data_Fim_Ferias">Data Fim</label>
                    <input type="text" name="Data_Fim_Ferias" id="Data_Fim_Ferias" value="<?php echo $_POST["Data_Fim_Ferias"]; ?>" style="width: 80%">
                </div>
                <div class="campo">
                    <label for="Ano_Referente">Perodo Aquisitvo</label>
                    <input type="text" name="Ano_Referente" id="Ano_Referente" value="<?php echo $_POST["Ano_Referente"]; ?>">
                </div>
                <div class="campo">
                    <label for="botao">&nbsp;</label>
                    <input class="botao_novo" type="button" value="Add" onClick="CriarFerias();">
                </div>
            </fieldset>

            <fieldset class="grupo">
                <div id="DivFerias"></div>
            </fieldset>

            <?php if (CLIENTE_EMAIL == 'oms') { ?>
                <fieldset class="grupo">
                    <legend key="Ponto">Ponto</legend>
                    <div class="campo">
                        <label for="Entrada1">1 Entrada</label>
                        <input type="text" name="Entrada1" id="Entrada1" value="<?php echo $_POST["Entrada1"]; ?>">
                    </div>
                    <div class="campo">
                        <label for="Saida1">2 Sada</label>
                        <input type="text" name="Saida1" id="Saida1" value="<?php echo $_POST["Saida1"]; ?>">
                    </div>
                    <div class="campo">
                        <label for="Entrada2">1 Entrada</label>
                        <input type="text" name="Entrada2" id="Entrada2" value="<?php echo $_POST["Entrada2"]; ?>">
                    </div>
                    <div class="campo">
                        <label for="Saida2">2 Sada</label>
                        <input type="text" name="Saida2" id="Saida2" value="<?php echo $_POST["Saida2"]; ?>">
                    </div>
                </fieldset>
            <?php } ?>

            <?php if (PAIS == 'BRA') { ?>
                <fieldset class="grupo">
                    <legend>Cursos e Certificados</legend>
                    <div class="campo" style="width: 30%">
                        <label for="Curso">Curso</label>
                        <input type="text" name="Curso" id="Curso" value="<?php echo $_POST["Curso"]; ?>">
                    </div>
                    <div class="campo" style="width: 30%">
                        <label for="Instituicao">Instituio</label>
                        <input type="text" name="Instituicao" id="Instituicao" value="<?php echo $_POST["Instituicao"]; ?>">
                    </div>
                    <div class="campo" style="width: 140px">
                        <label for="Data_Validade">Validade</label>
                        <input type="text" name="Data_Validade" id="Data_Validade" value="<?php echo $_POST["Data_Validade"]; ?>" style="width: 80%">
                    </div>
                    <div class="campo">
                        <label for="botao">&nbsp;</label>
                        <input class="botao_novo" type="button" value="Add" onClick="CriarCurso();">
                    </div>
                </fieldset>

                <fieldset class="grupo">
                    <div id="DivCurso"></div>
                </fieldset>

                <fieldset class="grupo">
                    <legend>Dados Bancrios</legend>
                    <div class="campo">
                        <label for="Nome_Titular">Titular</label>
                        <input type="text" name="Nome_Titular" id="Nome_Titular" value="<?php echo $_POST["Nome_Titular"]; ?>">
                    </div>
                    <div class="campo">
                        <label for="Banco">Banco</label>
                        <div id="Lista_Banco">
                            <?php
                            echo select_banco("Select Id, CONCAT(Titulo) as Titulo from banco order by Titulo", "Banco", "Banco", $_POST["Banco"], "", "");
                            ?>
                        </div>
                    </div>
                    <input type='hidden' name='Banco_Hidden' id='Banco_Hidden' value=''>
                    <div class="campo">
                        <label for="Button">&nbsp;</label>
                        <input class="botao_novo" type="button" value="Novo" name="Novo_Banco" id="Novo_Banco" onclick="window.open('../banco/list_banco.php','Banco','width=600,height=500,top=0,left=0,scrollbars=yes');">
                    </div>
                    <div class="campo">
                        <label for="Agencia">Agncia</label>
                        <input type="text" name="Agencia" id="Agencia" value="<?php echo $_POST["Agencia"]; ?>">
                    </div>
                    <div class="campo">
                        <label for="Conta">Conta</label>
                        <input type="text" name="Conta" id="Conta" value="<?php echo $_POST["Conta"]; ?>">
                    </div>
                    <div class="campo">
                        <label for="Chave_Pix">Chave Pix</label>
                        <input type="text" name="Chave_Pix" id="Chave_Pix" value="<?php echo $_POST["Chave_Pix"]; ?>">
                    </div>

                </fieldset>
            <?php } ?>

            <?php if (PAIS == 'BRA') { ?>
                <fieldset class="grupo">
                    <legend>Endereos</legend>
                    <?php
                    if ($_POST["Radio_Endereco_Cobraca"] == "No") {
                        $exibirDivCob = "style='display:block;'";
                    } else {
                        $exibirDivCob = "style='display:none;'";
                    }
                    ?>
                    <div class="campo">
                        <label for="Endereco_Cobranca">End. Cobrana</label>
                        <?php
                        $vetor = array('Sim' => 'Sim', 'No' => 'No');
                        select_tela("Radio_Endereco_Cobranca", "Radio_Endereco_Cobranca", $_POST["Radio_Endereco_Cobranca"], $vetor, "onchange='End_Cob(this.value);'", "");
                        ?>
                        &nbsp;&nbsp;<font face="verdana" size="1" color="#CD2626"><i>Deseja repetir endereo para
                                cobrana?</i></font>
                    </div>
                </fieldset>

                <fieldset class="grupo">
                    <!-- A DIV ESTA SENDO MANIPULADA COM CSS -->
                    <div id="Div_End_Cob" <?php echo $exibirDivCob; ?>>

                        <div class="campo">
                            <label for="Endereco_Cobranca">Endereo</label>
                            <input type="text" name="Endereco_Cobranca" id="Endereco_Cobranca" value="<?php echo $_POST["Endereco_Cobranca"]; ?>">
                        </div>
                        <div class="campo">
                            <label for="Cep_Cobranca">Cep</label>
                            <input type="text" name="Cep_Cobranca" id="Cep_Cobranca" value="<?php echo $_POST["Cep_Cobranca"]; ?>">
                        </div>
                        <div class="campo">
                            <label for="Bairro_Cobranca">Bairro</label>
                            <input type="text" name="Bairro_Cobranca" id="Bairro_Cobranca" value="<?php echo $_POST["Bairro_Cobranca"]; ?>">
                        </div>
                        <div class="campo">
                            <label for="Cidade_Cobranca">Cidade</label>
                            <input type="text" name="Cidade_Cobranca" id="Cidade_Cobranca" value="<?php echo $_POST["Cidade_Cobranca"]; ?>">
                        </div>
                        <div class="campo">
                            <label for="Estado_Cobranca">Estado</label>
                            <?php
                            $vetor = array(
                                'PE' => 'Pernambuco',
                                'AC' => 'Acre',
                                'AL' => 'Alagoas',
                                'AP' => 'Amap',
                                'AM' => 'Amazonas',
                                'BA' => 'Bahia',
                                'CE' => 'Cear',
                                'DF' => 'Distrito Federal',
                                'GO' => 'Gois',
                                'ES' => 'Esprito Santo',
                                'MA' => 'Maranho',
                                'MT' => 'Mato Grosso',
                                'MS' => 'Mato Grosso do Sul',
                                'MG' => 'Minas Gerais',
                                'PA' => 'Par',
                                'PB' => 'Paraba',
                                'PR' => 'Paran',
                                'PE' => 'Pernambuco',
                                'PI' => 'Piau',
                                'RJ' => 'Rio de Janeiro',
                                'RN' => 'Rio Grande do Norte',
                                'RS' => 'Rio Grande do Sul',
                                'RO' => 'Rondnia',
                                'RR' => 'Rorima',
                                'SP' => 'So Paulo',
                                'SC' => 'Santa Catarina',
                                'SE' => 'Sergipe',
                                'TO' => 'Tocantis'
                            );
                            select_tela("Estado_Cobranca", "Estado_Cobranca", $_POST["Estado_Cobranca"], $vetor, '', "campo_tableless");
                            ?>
                        </div>

                    </div>

                </fieldset>

                <fieldset class="grupo">
                    <?php
                    if ($_POST["Radio_Endereco_Entrega"] == "No") {
                        $exibirDivEnt = "style='display:block;'";
                    } else {
                        $exibirDivEnt = "style='display:none;'";
                    }
                    ?>
                    <div class="campo">
                        <label for="Endereco_Entrega">End. Entrega</label>
                        <?php
                        $vetor = array('Sim' => 'Sim', 'No' => 'No');
                        select_tela("Radio_Endereco_Entrega", "Radio_Endereco_Entrega", $_POST["Radio_Endereco_Entrega"], $vetor, "onchange='End_Ent(this.value);'", "");
                        ?>
                        &nbsp;&nbsp;<font face="verdana" size="1" color="#CD2626"><i>Deseja repetir endereo para
                                entrega?</i></font>
                    </div>

                </fieldset>

                <fieldset class="grupo">
                    <!-- A DIV ESTA SENDO MANIPULADA COM CSS -->
                    <div id="Div_End_Ent" <?php echo $exibirDivEnt; ?>>

                        <div class="campo">
                            <label for="Cidade_Cobranca">Cidade</label>
                            <input type="text" name="Cidade_Cobranca" id="Cidade_Cobranca" value="<?php echo $_POST["Cidade_Cobranca"]; ?>">
                        </div>
                        <div class="campo">
                            <label for="Cep_Entrega">Cep</label>
                            <input type="text" name="Cep_Entrega" id="Cep_Entrega" value="<?php echo $_POST["Cep_Entrega"]; ?>">
                        </div>
                        <div class="campo">
                            <label for="Bairro_Entrega">Bairro</label>
                            <input type="text" name="Bairro_Entrega" id="Bairro_Entregaa" value="<?php echo $_POST["Bairro_Entrega"]; ?>">
                        </div>
                        <div class="campo">
                            <label for="Cidade_Entrega">Cidade</label>
                            <input type="text" name="Cidade_Entrega" id="Cidade_Entrega" value="<?php echo $_POST["Cidade_Entrega"]; ?>">
                        </div>
                        <div class="campo">
                            <label for="Estado_Entrega">Estado</label>
                            <?php
                            $vetor = array(
                                'PE' => 'Pernambuco',
                                'AC' => 'Acre',
                                'AL' => 'Alagoas',
                                'AP' => 'Amap',
                                'AM' => 'Amazonas',
                                'BA' => 'Bahia',
                                'CE' => 'Cear',
                                'DF' => 'Distrito Federal',
                                'GO' => 'Gois',
                                'ES' => 'Esprito Santo',
                                'MA' => 'Maranho',
                                'MT' => 'Mato Grosso',
                                'MS' => 'Mato Grosso do Sul',
                                'MG' => 'Minas Gerais',
                                'PA' => 'Par',
                                'PB' => 'Paraba',
                                'PR' => 'Paran',
                                'PE' => 'Pernambuco',
                                'PI' => 'Piau',
                                'RJ' => 'Rio de Janeiro',
                                'RN' => 'Rio Grande do Norte',
                                'RS' => 'Rio Grande do Sul',
                                'RO' => 'Rondnia',
                                'RR' => 'Rorima',
                                'SP' => 'So Paulo',
                                'SC' => 'Santa Catarina',
                                'SE' => 'Sergipe',
                                'TO' => 'Tocantis'
                            );
                            select_tela("Estado_Entrega", "Estado_Entrega", $_POST["Estado_Entrega"], $vetor, '', "campo_tableless");
                            ?>
                        </div>

                    </div>

                </fieldset>
            <?php } ?>

            <?php if (PAIS == 'BRA') { ?>
                <fieldset class="grupo">
                    <legend>Equipamentos</legend>
                    <div class="campo">
                        <label for="Equipamento">Equipamentos</label>
                        <?php
                        echo select_banco("Select Id, Titulo from equipamento order by Titulo", "Equipamento", "Equipamento", $_POST["Equipamento"], "onchange='ordemEquip(this.value);'", "")
                        ?>
                    </div>
                    <div class="campo">
                        <label for="Numero_Ordem_Equip">Nmero Ordem</label>
                        <div id="NumEquip">
                            <?php
                            echo select_banco("Select DISTINCT Numero_Ordem, Numero_Ordem from equipamento_ordem
                                            order by Numero_Ordem", "Numero_Ordem_Equip", "Numero_Ordem_Equip", $_POST["Numero_Ordem_Equip"], '', "");
                            ?>
                        </div>
                    </div>
                    <div class="campo" style="width: 140px">
                        <label for="Data_Entrega_Equip">Data Entrega</label>
                        <input type="text" name="Data_Entrega_Equip" id="Data_Entrega_Equip" value="<?php echo $_POST["Data_Entrega_Equip"]; ?>" style="width: 80%">
                    </div>
                    <div class="campo" style="width: 140px">
                        <label for="Data_Retorno_Equip">Data Retirada</label>
                        <input type="text" name="Data_Retorno_Equip" id="Data_Retorno_Equip" value="<?php echo $_POST["Data_Retorno_Equip"]; ?>" style="width: 80%">
                    </div>
                    <div class="campo">
                        <label for="botao">&nbsp;</label>
                        <input class="botao_novo" type="button" value="Add" onClick="CriarEquip();">
                    </div>
                </fieldset>

                <fieldset class="grupo">
                    <div id="DivEquip"></div>
                </fieldset>

                <fieldset class="grupo">
                    <legend>Ferramenta</legend>
                    <div class="campo">
                        <label for="Ferramenta">Ferramentas</label>
                        <?php
                        echo select_banco("Select Id, Titulo from ferramenta order by Titulo", "Ferramenta", "Ferramenta", $_POST["Ferramenta"], "onchange='ordemFer(this.value);'", "")
                        ?>
                    </div>
                    <div class="campo">
                        <label for="Numero_Ordem_Fer">Nmero Ordem</label>
                        <div id="NumFer">
                            <?php
                            echo select_banco("Select DISTINCT Numero_Ordem, Numero_Ordem from ferramenta_ordem
                                            order by Numero_Ordem", "Numero_Ordem_Fer", "Numero_Ordem_Fer", $_POST["Numero_Ordem_Fer"], '', "");
                            ?>
                        </div>
                    </div>
                    <div class="campo" style="width: 140px">
                        <label for="Data_Entrega_Fer">Data Entrega</label>
                        <input type="text" name="Data_Entrega_Fer" id="Data_Entrega_Fer" value="<?php echo $_POST["Data_Entrega_Fer"]; ?>" style="width: 80%">
                    </div>
                    <div class="campo" style="width: 140px">
                        <label for="Data_Retorno_Fer">Data Retirada</label>
                        <input type="text" name="Data_Retorno_Fer" id="Data_Retorno_Fer" value="<?php echo $_POST["Data_Retorno_Fer"]; ?>" style="width: 80%">
                    </div>
                    <div class="campo">
                        <label for="botao">&nbsp;</label>
                        <input class="botao_novo" type="button" value="Add" onClick="CriarFer();">
                    </div>
                </fieldset>

                <fieldset class="grupo">
                    <div id="DivFer"></div>
                </fieldset>
            <?php } ?>

            <fieldset class="grupo">
                <legend key="Foto" class="tr">Foto</legend>

                <div class="campo">
                    <label for="Foto" key="Foto" class="tr">Foto</label>
                    <input type="file" name="Foto" id="Foto">
                    <font size="1" color="#CD2626">Para alterar a imagem, selecione a nova imagem e salve-a.</font>
                </div>
                <?php if ($_GET["acao"] == "alterar") { ?>
                    <label for="Logo" key="Foto" class="tr">Foto</label>
                    <label for="Logo">
                        <?php
                        $chave = false;
                        if (file_exists("foto/" . $_POST["Foto"] . "")) {
                            $chave = true;
                            echo "<img src=\"foto/" . $_POST["Foto"] . "\"/>";
                        }

                        if (!$chave) {
                            echo 'No h imagem a ser exibida!';
                        }
                        ?>
                    </label>
                <?php } ?>
            </fieldset>

            <?php
            /* Para manipular o Id do fornecedor criei esta forma de pegar a SESSION */
            if ($_GET["acao"] == "alterar") {
                $modo_cod_funcionario = $_GET["id_funcionario"];
            } else {
                $modo_cod_funcionario = $_POST["Codigo_Funcionario"];
            }
            ?>

            <input type="hidden" name="Codigo_Funcionario" id="Codigo_Funcionario" value="<?php echo $modo_cod_funcionario; ?>">

            <?php
            if (!$_GET["status"]) {
                if ($_GET["acao"] == "alterar") {
            ?>
                    <button class="bt_cadastro tr" key="Salvar" type="submit" name="Alterar" value="Salvar" id="btnSubmit">Salvar</button>
                <?php } else { ?>
                    <button class="bt_cadastro tr" key="Salvar" type="submit" name="Cadastrar" value="Salvar" id="btnSubmit">Salvar</button>
            <?php
                }
            }
            ?>
            <button class="botao" type="button" value="Voltar" onClick="location.href = 'list_funcionario.php?acao=entrar'">Voltar</button>

        </fieldset>

    </form>

    <?php
    if ($_GET['id_funcionario']) {
        $tabela_criacao = "funcionario";
        $id_corrente = $_GET['id_funcionario'];
        include "../include/script_criacao.php";
        /* ARQUIVO ONDE MOSTRA QUEM CRIOU E QUEM ATUALIZOU */
    }
    ?>
    <div id="retorno"></div>
    <?php include "../include/rodape.php"; ?>