<?php
include_once '../include/conecta.php'; //Conecta com a nosso banco de dados MySQL
include_once './ver_sessao.php'; //Verifica se a sesso est ativa
include_once './funcoesPhp.php';
include_once '../menu_movimento.php';
if($_SERVER['REQUEST_METHOD'] == 'POST') {
    $natureza = addslashes($_POST['Natureza']);
    $titulo = addslashes($_POST['Titulo']);
    $razaoSocial = addslashes($_POST['Razao_Social']);
    $documentoCliente = $natureza == 'PJ' ? addslashes($_POST['CNPJ']) : addslashes($_POST['CPF']);
    $documentoCliente = preg_replace("/[^0-9]/", '', $documentoCliente);
    $estadual = preg_replace("/[^0-9]/", '', addslashes($_POST['Estadual']));
    $email = addslashes($_POST['Email']);
    $fone1 = preg_replace("/[^0-9]/", '', addslashes($_POST['Fone1']));
    $fone2 = preg_replace("/[^0-9]/", '', addslashes($_POST['Fone2']));
    $cep = preg_replace("/[^0-9]/", '', addslashes($_POST['Cep']));
    $rua = addslashes($_POST['Rua']);
    $numero = addslashes($_POST['Numero']);
    $bairro = addslashes($_POST['Bairro']);
    $cidade = addslashes($_POST['Cidade']);
    $endereco = "$rua, $numero";
    $uf = addslashes($_POST['Uf']);
    $tipoCliente = addslashes($_POST['Tipo_Cliente']);
    $ibge = addslashes($_POST['Ibge']);

    if(CNPJ_CLIENTE == 'Sim' && $documentoCliente == ''){
        echo "<script>alert('Campo $natureza  obrigatrio')</script>";
    }
    else {
        $tituloCliente = $natureza == 'PJ' ? $razaoSocial : $titulo;
        $whereTitulo = CLIENTE_RAZAO_SOCIAL == 'Sim' ? "Razao_Social = '$tituloCliente'" : "Titulo = '$titulo'";
        $clienteExiste = mysqli_query($con, "SELECT Id FROM cliente WHERE ". (CNPJ_CLIENTE == 'Sim' ? "Cpf_Cnpj = '$documentoCliente'" : $whereTitulo));
        
        if(mysqli_num_rows($clienteExiste) > 0) {
            echo "<script>alert('$natureza j cadastrado')</script>";
        }
        else {
            $codigoCliente = mysqli_query($con, "SELECT CAST(Codigo AS INT) Codigo FROM cliente ORDER BY Codigo DESC");
            $codigoCliente = mysqli_fetch_assoc($codigoCliente)['Codigo'];
            $codigoCliente = intval($codigoCliente) + 1;
            $codigoCliente = strlen("$codigoCliente") < 4 ? str_pad($codigoCliente + 1, 4, '0', STR_PAD_LEFT) : $codigoCliente; 
            $idCliente = md5($codigoCliente.microtime());
            $idCidade = mysqli_query($con, "SELECT Id FROM cidade_ibge WHERE Codigo = '$ibge'");
            $idCidade = mysqli_fetch_assoc($idCidade)['Id'];
            $dataCadastro = date("Y-m-d H:i:s");

            $cadastrarCliente = mysqli_query($con, "INSERT INTO cliente SET Id = '$idCliente', Titulo = '$titulo', Razao_Social = '$razaoSocial',
                Codigo = '$codigoCliente', Natureza = '$natureza', Cpf_Cnpj = '$documentoCliente', Estadual = '$estadual', Fone1 = '$fone1', Fone2 = '$fone2',
                Email = '$email', Endereco = '$endereco', Rua = '$rua', Numero = '$numero', Cep = '$cep', Bairro = '$bairro', Id_Cidade = '$idCidade',
                Codigo_Cidade = '$ibge', Cidade = '$cidade', Estado = '$uf', Inadimplente = 'No', Tipo_Cliente = '$tipoCliente',
                Pais = 'Brasil', Codigo_Pais = '1058', Tabela_Preco = '01', Id_Vendedor1 = '{$_SESSION['Id_Funcionario']}', Id_Usuario = '{$_SESSION['Id']}',
                Id_Usuario_Upd = '{$_SESSION['Id']}', Data_Cadastro = '$dataCadastro', Data_Cadastro_Upd = '$dataCadastro'");

            if($cadastrarCliente) {
                header("Location:./list_cliente.php");
                exit;
            }
            echo "<script>alert('No foi possvel realizar o cadastro. \r\nErro: $con->error</script>";
        }
    }
}
?>
<!DOCTYPE html>
<html>
<head>
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <link href="../gw_mobile/css/dashboard.css" rel="stylesheet">
    <link href="https://unpkg.com/boxicons@2.1.4/css/boxicons.min.css" rel="stylesheet">
    <link rel="stylesheet" href="path/to/font-awesome/css/font-awesome.min.css">
    <link rel="stylesheet" href="https://fonts.googleapis.com/css2?family=Material+Symbols+Outlined:opsz,wght,FILL,GRAD@48,400,0,0" />
    <meta charset="ISO 8859-1">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Clientes</title>
    <link rel="preconnect" href="https://fonts.gstatic.com" crossorigin>
    <link href="https://fonts.googleapis.com/css2?family=Poppins:wght@300;400;500;600&display=swap" rel="stylesheet">
    <link rel="stylesheet" href="../gw_mobile/css/cad_cliente.css">
</head>
<body>
    <div class="header">
        <div class="cabecalho">
            <div class="botao-voltar"> <img src="../imagem/voltar-mobile.png" onClick="history.go(-1)"></div>
            <h3 class="logo">Cadastro de Clientes</h3>
        </div>
    </div>
    <div class="container">
        <form class="formulario" method="post" id="cadastroCliente">
            <div class="display-flex">
                <div class="radio-button">
                    <label>
                        <input type="radio" name="Natureza" id="pj" value="PJ" checked>PJ
                    </label>
                    <label>
                        <input type="radio" name="Natureza" id="pf" value="PF">PF
                    </label>
                </div>
            </div>
            <div class="display-flex titulo-tag-pre">
                <pre>Nome Fantasia</pre>
                <input type="text" placeholder="Nome Fantasia" name="Titulo" maxlength="70">
            </div>
            <div class="pessoa-juridica">
                <div class="display-flex titulo-tag-pre">
                    <pre>Razo Social</pre>
                    <input type="text" placeholder="Razo Social" name="Razao_Social" maxlength="70">
                </div>
            </div>
            <div class="pessoa-fisica display-none">
                <div class="display-flex titulo-tag-pre">
                    <pre>CPF</pre>
                    <input type="text" placeholder="CPF" name="CPF" maxlength="14">
                </div>
            </div>
            <div class="pessoa-juridica">
                <div class="display-flex ">
                    <div class="display-flex titulo-tag-pre">
                        <pre>CNPJ</pre>
                        <input type="text" placeholder="CNPJ" name="CNPJ" maxlength="18">
                    </div>
                    <div class="display-flex titulo-tag-pre">
                        <pre>IE</pre>
                        <input type="text" placeholder="IE" name="Estadual" maxlength="10">
                    </div>
                </div>
            </div>
            <div class="display-flex titulo-tag-pre">
                <pre>Email</pre>
                <input type="email" placeholder="Email" name="Email" maxlength="50">
            </div>
            <div class="display-flex">
                <div class="display-flex titulo-tag-pre">
                    <pre>Telefone 1</pre>
                    <input type="tel" placeholder="Telefone 1" name="Fone1" maxlength="15">
                </div>

                <div class="display-flex titulo-tag-pre">
                    <pre>Telefone 2</pre>
                    <input type="tel" placeholder="Telefone 2" name="Fone2" maxlength="15">
                </div>
            </div>
            <div class="display-flex">
                <div class="display-flex titulo-tag-pre">
                    <pre>CEP</pre>
                    <input type="text" placeholder="CEP" name="Cep" maxlength="10">
                </div>
                <div class="display-flex titulo-tag-pre">
                    <pre>Rua</pre>
                    <input type="text" placeholder="Rua" name="Rua">
                </div>
            </div>
            <div class="display-flex">
                <div class="display-flex titulo-tag-pre">
                    <pre>Numero</pre>
                    <input type="text" placeholder="Numero" name="Numero">
                </div>
                <div class="display-flex titulo-tag-pre">
                    <pre>Bairro</pre>
                    <input type="text" placeholder="Bairro" name="Bairro">
                </div>
            </div>
            <div class="display-flex">
                <div class="display-flex titulo-tag-pre">
                    <pre>Cidade</pre>
                    <input type="text" placeholder="Cidade" name="Cidade">
                </div>
                <div class="display-flex titulo-tag-pre">
                    <pre>Estado</pre>
                    <input type="text" placeholder="Uf" name="Uf" maxlength="2">
                </div>
            </div>
            <div class="display-flex">
                <div class="radio-button">
                    <label>
                        <input type="radio" name="Tipo_cliente" id="cliente" value="cliente" checked>Cliente
                    </label>

                    <label>
                        <input type="radio" name="Tipo_cliente" id="prospect" value="prospect">Prospect
                    </label>
                </div>
            </div>
            <input type="hidden" name="Ibge">
            <button class="botao-salvar">Salvar</button>
        </form>
    </div>
    <?php include './dashboard.php'; ?>
    <script src=" ../js/jquery-3.3.1.min.js"></script>
    <script src="./js/script.js"></script>
    <script>
        $(document).ready(function() {
            $("input[name=Natureza]").change(function() {
                if($(this).val() == 'PJ') {
                    $('.pessoa-juridica').removeClass("display-none");
                    $('.pessoa-fisica').addClass("display-none");
                }
                else {
                    $('.pessoa-fisica').removeClass("display-none");
                    $('.pessoa-juridica').addClass("display-none");
                }
            });

            $("input[name=CPF]").keyup(function(e) {
                somenteNumeros(e);
                let cpf = $(this).val();
                switch(cpf.length) {
                    case 3: case 7:
                        $(this).val(`${cpf}.`);
                        break;
                    case 11:
                        $(this).val(`${cpf}-`);
                        break;
                }
            })

            $("input[name=CNPJ]").keyup(function(e) {
                somenteNumeros(e);
                let cnpj = $(this).val();
                switch(cnpj.length) {
                    case 2: case 6:
                        $(this).val(`${cnpj}.`);
                        break;
                    case 10:
                        $(this).val(`${cnpj}/`);
                        break;
                    case 15:
                        $(this).val(`${cnpj}-`);
                        break;
                }
            })

            $("input[name=Cep]").keyup(async function(e) {
                let cep = $(this).val();
                switch(cep.length) {
                    case 2:
                        $(this).val(`${cep}.`);
                        break;
                    case 6:
                        $(this).val(`${cep}-`);
                        break;
                }
                if(cep.length == 10) {
                    cep = cep.match(/\d+/g).join('');
                    let endereco = await buscarEndereco({cep: cep});
                    if(!endereco.erro) {
                        $("input[name=Rua]").val(endereco.logradouro);
                        $("input[name=Bairro]").val(endereco.bairro);
                        $("input[name=Cidade]").val(endereco.localidade);
                        $("input[name=Uf]").val(endereco.uf);
                        $("input[name=Ibge]").val(endereco.ibge);
                    }
                }
            });

            $("input[name=Estadual]").keyup(function(e) {
                somenteNumeros(e);
                let estadual = $(this).val();
                if(estadual.length == 7) {
                    $(this).val(`${estadual}-`);
                }
            });

        })
    </script>
</body>
</html>