<?php
include_once '../include/conecta.php'; //Conecta com a nosso banco de dados MySQL
include_once './ver_sessao.php'; //Verifica se a sesso est ativa
include_once './funcoesPhp.php';
include_once '../menu_movimento.php';

$colunaCliente = CLIENTE_RAZAO_SOCIAL=='Sim' ? 'Razao_Social' : 'Titulo';
$tituloVenda = mb_convert_encoding(addslashes($_POST["venda"]), 'ISO-8859-1', 'UTF-8');
$limiteVendas = 50;
$vendas = [];

$sql = "SELECT venda.Id, venda.Valor_Original, venda.Data_Venda, venda.Lancamento, cliente.$colunaCliente AS Cliente,
    cliente.Natureza, cliente.Codigo AS Codigo_Cliente FROM venda
    INNER JOIN cliente ON cliente.Id = venda.Id_Cliente WHERE
    ((cliente.Ativo = 'Sim' AND (cliente.$colunaCliente LIKE '%$tituloVenda%' OR cliente.Codigo = '$tituloVenda')) OR venda.Lancamento = '$tituloVenda')";

if(VER_APENAS_SUAS_VENDAS == 'Sim'){
    $sql .= " AND (venda.Id_Vendedor1 = '{$_SESSION['Id_Funcionario']}' OR venda.Id_Vendedor2 = '{$_SESSION['Id_Funcionario']}')";
}
$getVendas = mysqli_query($con, "$sql ORDER BY venda.Data_Cadastro DESC LIMIT $limiteVendas");

while ($venda = mysqli_fetch_assoc($getVendas)){
    // $cpfCnpj = preg_replace("/[^0-9]/", "", $venda['Cpf_Cnpj']);
    // $venda['Cpf_Cnpj'] = formatarDocumento($venda['Natureza'] == "PJ" ? "00.000.000/0000-00" : "000.000.000-00", $cpfCnpj);
    $venda['Cliente'] = mb_convert_encoding($venda['Cliente'], 'UTF-8', 'ISO-8859-1');
    $venda['Data_Venda'] = formatarData("d/m/Y", $venda['Data_Venda']);
    $venda['Valor_Original'] = formatarValor("Exibir", $venda['Valor_Original']);
    array_push($vendas, $venda);
}

echo json_encode(["vendas" => $vendas, "qtdVendasCarregadas"=> $limiteVendas]);
?>