<?php
include_once '../include/conecta.php'; //Conecta com a nosso banco de dados MySQL
include_once './ver_sessao.php'; //Verifica se a sesso est ativa
include_once '../include/funcoesPhp.php';
include_once '../menu_movimento.php';

$colunaCliente = CLIENTE_RAZAO_SOCIAL == 'Sim' ? 'Razao_Social' : 'Titulo';
$veri_venda = mysqli_query($con, "SELECT venda.Id,venda.Lancamento,venda.Protocolo,venda.Id_Unidade,venda.Total_Pagar, venda.Tipo_Operacao_Pagamento,
    venda.Id_Operadora_Cartao, venda.Cnpj_Operadora_Cartao, venda.Codigo_Autorizacao, venda.Codigo_Bandeira_Cartao, cliente.Destinatario,cfop.Cfop
    FROM (SELECT Id,Lancamento,Protocolo,Id_Unidade,Id_Cliente,Id_Cfop,Valor_Pago as Total_Pagar,Tipo_Operacao_Pagamento, Id_Operadora_Cartao,
    Cnpj_Operadora_Cartao,Codigo_Autorizacao, Codigo_Bandeira_Cartao FROM venda) as venda
    LEFT JOIN (SELECT Id, $colunaCliente as Destinatario FROM cliente) as cliente ON cliente.Id = venda.Id_Cliente
    LEFT JOIN (SELECT Id,Cfop FROM cfop) as cfop ON cfop.Id = venda.Id_Cfop
    WHERE venda.Id = '{$_GET["id_venda"]}'");
$veri_venda = mysqli_fetch_assoc($veri_venda);

//so entra se a nota nunca tiver side emitida
if ($veri_venda["Protocolo"] == '') {
    $veri_nfe = mysqli_query($con, "SELECT Id, Numero_Nota, Serie FROM nfe WHERE Id_Pedido = '{$_GET["id_venda"]}'");
    $veri_nfe = mysqli_fetch_assoc($veri_nfe);

    if ($veri_nfe["Numero_Nota"] != '') {
        $Numero_Nota = $veri_nfe["Numero_Nota"];
        $Serie = $veri_nfe["Serie"];
    }
    else {
        $ultimoNumero = mysqli_query($con, "SELECT Numero_Nfce, Serie_Nfce, Tipo_Impressao FROM unidade WHERE Id = '{$veri_venda["Id_Unidade"]}'");
        $ultimoNumero = mysqli_fetch_assoc($ultimoNumero);

        $Serie = $ultimoNumero["Serie_Nfce"];
        $Numero_Nota = !$ultimoNumero["Numero_Nfce"] ? 1 : $ultimoNumero["Numero_Nfce"] + 1;

        mysqli_query($con, "UPDATE unidade SET Numero_Nfce = '$Numero_Nota' WHERE Id = '{$veri_venda["Id_Unidade"]}'");
    }
    //deletando pra gerar uma nfe com novos dados
    mysqli_query($con, "DELETE FROM nfe WHERE Id_Pedido='{$_GET["id_venda"]}'");
    mysqli_query($con, "DELETE FROM nfe_pedido WHERE Id='{$_GET["id_venda"]}'");
    mysqli_query($con, "DELETE FROM nfe_pedido_produto WHERE Id_Pedido='{$_GET["id_venda"]}'");

    $id_nfe = md5($_GET["id_venda"] . microtime());
    $dataNfe = date("Y-m-d");
    $horaNfe = date("H:i");
    $dataHoraCadastro = date("Y-m-d H:i:s");
    $baseIcmsPisCofins = BASE_ICMS_PIS_COFINS;

    mysqli_query($con, "INSERT INTO nfe SET Id='$id_nfe', Serie='$Serie', Numero_Nota='$Numero_Nota', Natureza='', Tipo='1', Data_Nfe='$dataNfe',
        Hora_Nfe='$horaNfe', Forma_Emissao='1', Finalidade_Emissao='1', Tipo_Impressao='4', Status='Ativa', Id_Pedido='{$veri_venda['Id']}',
        Lancamento='{$veri_venda['Lancamento']}', Info_Fisco='', Info_Contribuinte='', Frete='', Id_Transportadora='', Ref_Nfe='', Horario_Verao='No',
        Exibir_Financeiro='Sim', Operacao='1', Consumidor_Final='1', Presenca='1', Natureza_Autorizacao='', Cpf_Cnpj='',
        Id_Unidade='{$veri_venda['Id_Unidade']}', modECF='', nECF='', nCOO='', Valor_Nfe='{$veri_venda['Total_Pagar']}',
        Destinatario='{$veri_venda['Destinatario']}', Cfop='{$veri_venda['Cfop']}', Tipo_Nfe='NFCe',  Base_Icms_Pis_Cofins='$baseIcmsPisCofins',
        Id_Usuario='{$_COOKIE['Id']}', Id_Usuario_Upd='{$_COOKIE['Id']}', Data_Cadastro='$dataHoraCadastro', Data_Cadastro_Upd='$dataHoraCadastro',
        Tipo_Operacao_Pagamento = '{$veri_venda['Tipo_Operacao_Pagamento']}', Id_Operadora_Cartao = '{$veri_venda['Id_Operadora_Cartao']}',
        Cnpj_Operadora_Cartao = '{$veri_venda['Cnpj_Operadora_Cartao']}', Codigo_Autorizacao = '{$veri_venda['Codigo_Autorizacao']}',
        Codigo_Bandeira_Cartao = '{$veri_venda['Codigo_Bandeira_Cartao']}'") or die($con->error);


    mysqli_query($con,"UPDATE venda SET NF='Sim' WHERE Id='{$_GET["id_venda"]}'");

    $venda = mysqli_query($con,"SELECT venda.Id, venda.Id_Usuario, venda.Id_Usuario_Upd, venda.Data_Cadastro, venda.Data_Cadastro_Upd, venda.Data_Venda,
        venda.Data_Conclusao, venda.Id_Funcionario, venda.Id_Cliente, venda.Id_Tipo_Pagamento, venda.Status, venda.Data_Pagamento, venda.Valor_Original,
        venda.Valor_Pago, venda.Lancamento, venda.Id_Unidade, venda.Id_Cfop, venda.Desconto, venda.Desconto_Real, venda.Id_Transportadora,
        venda.Valor_Frete, venda.Frete, venda.Tipo_Frete, venda.Despesa, venda.Qtd_Vol, venda.Especie_Vol, venda.Marca_Vol, venda.Numero_Vol,
        venda.Obs_Danfe as Obs, venda.Endereco_Entrega, venda.Rua, venda.Num, venda.Complemento, venda.Bairro, venda.Id_Cidade, venda.Estado,
        venda.Peso_Bruto, venda.Peso_Liquido, venda.Placa, venda.Uf_Placa, venda.UFSaidaPais, venda.xLocEmbarq, venda.xLocDespacho, venda.Numero_Pedido,
        venda.Id_Vendedor, venda.Id_Vendedor2 FROM venda WHERE venda.Id='{$_GET["id_venda"]}'") or die("Erro no SQL: " . mysqli_error($con));
    $venda = mysqli_fetch_assoc($venda);

    if($venda['Numero_Pedido']){
        $venda["Obs"] .= "<br> N Ped: {$venda['Numero_Pedido']}";
    }
    if (VENDEDOR_NFE == 'Sim') {
    if($venda['Id_Vendedor']){
        $vend1 = mysqli_query($con,"SELECT Titulo FROM funcionario WHERE Id='{$venda['Id_Vendedor']}'");
        $vend1 = mysqli_fetch_assoc($vend1);
        $venda["Obs"] .= "<br> Vend: {$vend1['Titulo']}";
    }
    if($venda['Id_Vendedor2']){
        $vend2 = mysqli_query($con,"SELECT Titulo FROM funcionario WHERE Id='{$venda['Id_Vendedor2']}'");
        $vend2 = mysqli_fetch_assoc($vend2);
        $venda["Obs"] .= "<br> Vend2: {$vend2['Titulo']}";
    }
}
    
    mysqli_query($con,"INSERT INTO nfe_pedido SET Id = '{$venda['Id']}', Id_Usuario = '{$venda['Id_Usuario']}', Id_Usuario_Upd = '{$venda['Id_Usuario_Upd']}',
        Data_Cadastro = '{$venda['Data_Cadastro']}', Data_Cadastro_Upd = '{$venda['Data_Cadastro_Upd']}', Data_Pedido = '{$venda['Data_Venda']}',
        Data_Conclusao = '{$venda['Data_Conclusao']}', Id_Funcionario = '{$venda['Id_Funcionario']}', Id_Cliente = '{$venda['Id_Cliente']}',
        Id_Tipo_Pagamento = '{$venda['Id_Tipo_Pagamento']}', Status = '{$venda['Status']}', Data_Pagamento = '{$venda['Data_Pagamento']}',
        Valor_Original = '{$venda['Valor_Original']}', Valor_Pago = '{$venda['Valor_Pago']}', Lancamento = '{$venda['Lancamento']}',
        Id_Unidade = '{$venda['Id_Unidade']}', Id_Cfop = '{$venda['Id_Cfop']}', Desconto = '{$venda['Desconto']}', Desconto_Real = '{$venda['Desconto_Real']}',
        Id_Nfe = '$id_nfe', Id_Transportadora = '{$venda['Id_Transportadora']}', Valor_Frete = '{$venda['Valor_Frete']}', Frete = '{$venda['Frete']}',
        Tipo_Frete = '{$venda['Tipo_Frete']}', Despesa = '{$venda['Despesa']}', Qtd_Vol = '{$venda['Qtd_Vol']}', Especie_Vol = '{$venda['Especie_Vol']}',
        Marca_Vol = '{$venda['Marca_Vol']}', Numero_Vol = '{$venda['Numero_Vol']}', Tipo = 'Venda', Obs = '{$venda['Obs']}',
        Endereco_Entrega = '{$venda['Endereco_Entrega']}', Rua = '{$venda['Rua']}', Num = '{$venda['Num']}', Complemento = '{$venda['Complemento']}',
        Bairro = '{$venda['Bairro']}', Id_Cidade = '{$venda['Id_Cidade']}', Estado = '{$venda['Estado']}', Peso_Bruto = '{$venda['Peso_Bruto']}',
        Peso_Liquido = '{$venda['Peso_Liquido']}', Placa = '{$venda['Placa']}', Uf_Placa = '{$venda['Uf_Placa']}', UFSaidaPais = '{$venda['UFSaidaPais']}',
        xLocEmbarq = '{$venda['xLocEmbarq']}', xLocDespacho = '{$venda['xLocDespacho']}'") or die("Erro no comando SQL:" . mysqli_error($con));

    /* inserindo agora os produtos relacionados */
    $produtosVenda = mysqli_query($con,"SELECT venda_produto.Id, venda_produto.Id_Venda, venda_produto.Id_Produto, venda_produto.Preco, venda_produto.Qtd,
        venda_produto.Desconto, venda_produto.Desconto_Real, venda_produto.Preco_Custo, venda_produto.Frete, venda_produto.Despesa,
        venda_produto.Ipi, venda_produto.Icms, venda_produto.Icms_Sub, venda_produto.Mva, venda_produto.Reducao, venda_produto.ReducaoBC,
        venda_produto.Id_Unidade, venda_produto.Id_Cfop, venda_produto.ST_Icms, venda_produto.Id_Unidade, venda_produto.Data_Cadastro,
        venda_produto.vBCSTRet, venda_produto.vICMSSTRet, venda_produto.vICMSDeson, venda_produto.motDesICMS, venda_produto.Desconto_Real_Pe_Nota,
        venda_produto.Ibpt, venda_produto.C_Produto, venda_produto.Id_Cor, venda_produto.Lote, venda_produto.Data_Validade, venda_produto.Aliquota_Pis,
        venda_produto.Aliquota_Cofins, venda_produto.CST_Pis, venda_produto.CST_Cofins, venda_produto.xPed, venda_produto.nItemPed, venda_produto.CST_Ipi,
        produto.cProdANP, produto.descANP, produto.UFCons, produto.vPart, produto.pGLP, produto.pGNn, produto.pGNi, produto.qTemp FROM venda_produto
        LEFT JOIN (SELECT Id,Tipo_Produto,cProdANP,descANP,UFCons,vPart,pGLP,pGNn,pGNi,qTemp FROM produto) as produto ON produto.Id = venda_produto.Id_Produto
        WHERE venda_produto.Id_Venda ='{$_GET['id_venda']}' AND produto.Tipo_Produto = 'P' AND venda_produto.Embalagem_Primaria <> 'KIT'
        ORDER BY venda_produto.Data_Cadastro") or die("Erro no SQL: " . mysqli_error($con));

    while ($vendaProduto = mysqli_fetch_assoc($produtosVenda)) {
        if ((CLIENTE_EMAIL == 'fabricadebaloes')) {
            if ($vendaProduto['motDesICMS'] != 1) {
                $tp_pro = mysqli_query($con,"SELECT Preco{$vendaProduto['Id_Cor']} as Novo_Preco FROM produto WHERE Id='{$vendaProduto['Id_Produto']}'");
                $tp_pro1 = mysqli_fetch_assoc($tp_pro);

                $vendaProduto["Preco"] = $tp_pro1["Novo_Preco"];
                $vendaProduto["motDesICMS"] = $vendaProduto["Id_Cor"];
            }
        }

        mysqli_query($con,"INSERT INTO nfe_pedido_produto SET Id = '{$vendaProduto['Id']}', Data_Cadastro = '{$vendaProduto['Data_Cadastro']}',
            Id_Pedido = '{$vendaProduto['Id_Venda']}', Id_Produto = '{$vendaProduto['Id_Produto']}', Preco = '{$vendaProduto['Preco']}',
            Qtd = '{$vendaProduto['Qtd']}', Desconto = '{$vendaProduto['Desconto']}', Desconto_Real = '{$vendaProduto['Desconto_Real']}',
            Preco_Custo = '{$vendaProduto['Preco_Custo']}', Frete = '{$vendaProduto['Frete']}', Despesa = '{$vendaProduto['Despesa']}',
            Icms = '{$vendaProduto['Icms']}', Icms_Sub = '{$vendaProduto['Icms_Sub']}', Mva = '{$vendaProduto['Mva']}', Reducao = '{$vendaProduto['Reducao']}',
            ReducaoBC = '{$vendaProduto['ReducaoBC']}', Ipi = '{$vendaProduto['Ipi']}', CST_Ipi = '{$vendaProduto['CST_Ipi']}', Id_Nfe = '$id_nfe',
            Id_Cfop = '{$vendaProduto['Id_Cfop']}', ST_Icms = '{$vendaProduto['ST_Icms']}', vBCSTRet = '{$vendaProduto['vBCSTRet']}',
            vICMSSTRet = '{$vendaProduto['vICMSSTRet']}', vICMSDeson = '{$vendaProduto['vICMSDeson']}', motDesICMS = '{$vendaProduto['motDesICMS']}',
            Id_Unidade = '{$vendaProduto['Id_Unidade']}', Desconto_Real_Pe_Nota = '{$vendaProduto['Desconto_Real_Pe_Nota']}',
            Ibpt = '{$vendaProduto['Ibpt']}', C_Produto = '{$vendaProduto['C_Produto']}', Lote = '{$vendaProduto['Lote']}',
            Data_Validade = '{$vendaProduto['Data_Validade']}', Aliquota_Pis = '{$vendaProduto['Aliquota_Pis']}', Aliquota_Cofins = '{$vendaProduto['Aliquota_Cofins']}',
            CST_Pis = '{$vendaProduto['CST_Pis']}', CST_Cofins = '{$vendaProduto['CST_Cofins']}', xPed = '{$vendaProduto['xPed']}',
            nItemPed = '{$vendaProduto['nItemPed']}', cProdANP = '{$vendaProduto['cProdANP']}', descANP = '{$vendaProduto['descANP']}',
            UFCons = '{$vendaProduto['UFCons']}', vPart = '{$vendaProduto['vPart']}', pGLP = '{$vendaProduto['pGLP']}', pGNn = '{$vendaProduto['pGNn']}',
            pGNi = '{$vendaProduto['pGNi']}', qTemp = '{$vendaProduto['qTemp']}'") or die("Erro no comando SQL:" . mysqli_error($con));
    }

    mysqli_query($con,"UPDATE nfe_pedido SET Endereco_Entrega='No' WHERE Endereco_Entrega='' AND Id_Nfe='$id_nfe'");
    
    echo "<script>window.open('../nfce/gerar_xml_nfce.php?id_nfe=$id_nfe','Emitir','width=600,height=800,top=0,left=0,scrollbars=yes');</script>";
    logUsuario($_SERVER['REMOTE_ADDR'], $_SESSION['Login'], $_SESSION['Email'], $_SESSION['Unidade'], "NFCe", "Cadastro", $Numero_Nota);
}
else {
    $veri_nfe = mysqli_query($con,"SELECT Id FROM nfe WHERE Id_Pedido = '{$_GET["id_venda"]}'");
    $veri_nfe = mysqli_fetch_assoc($veri_nfe);

    echo "<script>location.href='https://docs.google.com/viewer?url=https://www.ponttiweb.com.br/lojavirtual/nfce/reimprimir_nfce.php?id_nfe={$veri_nfe["Id"]}';</script>";
}

echo "<script>location.href='list_venda.php'</script>";
?>
<html>
    <head>
        <title>Gw - Gesto Web</title>
    </head>
    <body>
        <?php include "../include/rodape.php"; ?>