<?php
error_reporting(E_ALL);
ini_set('display_errors', 'On');
include_once '../include/conecta.php'; //Conecta com a nosso banco de dados MySQL
include_once './ver_sessao.php';
include_once './funcoesPhp.php';
include_once '../menu_movimento.php';
?>
<!DOCTYPE html>
<html>
<head>
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <link href="../gw_mobile/css/dashboard.css" rel="stylesheet">
    <link href="https://unpkg.com/boxicons@2.1.4/css/boxicons.min.css" rel="stylesheet">
    <link rel="stylesheet" href="path/to/font-awesome/css/font-awesome.min.css">
    <link rel="stylesheet" href="https://fonts.googleapis.com/css2?family=Material+Symbols+Outlined:opsz,wght,FILL,GRAD@48,400,0,0" />
    <meta charset="ISO 8859-1">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Produtos</title>
    <link rel="preconnect" href="https://fonts.gstatic.com" crossorigin>
    <link href="https://fonts.googleapis.com/css2?family=Poppins:wght@300;400;500;600&display=swap" rel="stylesheet">
    <link rel="stylesheet" href="../gw_mobile/css/list_produto.css">
</head>
<body>
    <div class="header">
        <div class="cadastrar">
            <h3 class="logo">Produtos</h3>
            <div class="opcoes-cabecalho">
                <div class="buscar-cliente">
                    <input type="text" id="input-buscar" class="d-none" placeholder="Pesquisar">
                    <button id="botao-buscar"><img src=" ../imagem/lupa-mobile.png"></img></button>
                </div>
                <!-- <a href="http://192.168.1.27/gw/gw_mobile/cad_cliente.php"><button><img src=" ../imagem/cadastrar.png"></img></button></a> -->
            </div>
        </div>
    </div>
    <div class="container">
        <?php
        $limiteProdutos = 50;
        $listarProdutos = $con->query("SELECT Codigo, Titulo, Preco1, Id FROM produto ORDER BY Titulo LIMIT $limiteProdutos");
        foreach ($listarProdutos as $resultadoLista) { ?>
            <div class="card">
                <div class="imagem-card">
                    <img src="../imagem/produtos-mobile.png">
                </div>
                <div class="informacao-card">
                    <div class="negrito"><?php echo $resultadoLista["Codigo"] . ': ' . $resultadoLista["Titulo"]; ?></div>
                    <div class="valor">
                        <div>R$ <?php echo formatarValor('Exibir', $resultadoLista["Preco1"]); ?></div>
                        <div class="estoque">
                            <div> Estoque:
                                <?php
                                $buscaEstoque = mysqli_query($con, "SELECT SUM(Qtd) as Estoque FROM estoque WHERE Id_Produto = '" . $resultadoLista["Id"] . "' 
                                                                    AND Concluido = 'Sim'");
                                $retornoEstoque = mysqli_fetch_assoc($buscaEstoque);
                                ?>

                            </div>
                            <div class="negrito"><?php echo formatarValor('Exibir', $retornoEstoque['Estoque'] ?? 0); ?></div>
                        </div>
                    </div>
                </div>
            </div>
            <?php
            $counter++;
        }
        ?>
        <div id="carregandoProdutos" class="d-none">
            <img src="../imagem/gif_loading.gif" alt="" width="55px">
        </div>
    </div>
    <input type="hidden" name="qtdProdutosCarregados" value="<?=$limiteProdutos;?>">
    <?php include './dashboard.php'; ?>
    <script src="../js/jquery-3.3.1.min.js"></script>
    <script src="./js/script.js"></script>
    <script src="./js/list_produto.js"></script>
</body>
</html>