<?php
include_once '../include/conecta.php'; //Conecta com a nosso banco de dados MySQL
ini_set('session.gc_maxlifetime', 60 * 120);
include_once '../include/ver_sessao.php';
include_once '../menu_movimento.php';

if(!((CLIENTE_EMAIL == "tupanfarmaatacado" || CLIENTE_EMAIL == "gw") && ($_SESSION['Id'] == "11111111111111111111111111111111" || $_SESSION['Id'] == "0f4f1b5685b9220d7722fcf1c0a93a69"))) {
    echo "<script>window.close()</script>";
}
if($_SERVER['REQUEST_METHOD'] == 'POST') {
    function dataExportacao(string $data) {
        $explodeData = explode("-", $data);
        return "{$explodeData[2]}{$explodeData[1]}{$explodeData[0]}";
    }

    $nfeSelecionadas = $_POST['vendas'];
    $colunaCliente = CLIENTE_RAZAO_SOCIAL == "Sim" ? "Razao_Social" : "Titulo";
    $idsNfe = implode("','", $nfeSelecionadas);
    $status = addslashes($_POST['status']);
    $idUnidade = MULTI_EMPRESA == "Sim" && ESCOLHER_EMPRESA == 'Sim' ? addslashes($_POST['unidade']) : $_SESSION['Unidade'];
    $getCnpjUnidade = mysqli_query($con, "SELECT Cnpj FROM unidade WHERE Id = '$idUnidade'");
    $cnpjUnidade = mysqli_fetch_assoc($getCnpjUnidade)['Cnpj'];
    $cnpjUnidade = preg_replace("/[^0-9]/", "", $cnpjUnidade);

    $sqlNfe = "SELECT nfe.Id, nfe.Numero_Nota, nfe.Serie, nfe.Data_Emissao, nfe.Hora_Nfe, nfe.Valor_Nfe, nfe.Status, nfe.vST, nfe.vICMS,
        nfe.vBCST, nfe.vBC, nfe.vICMSDeson, nfe.Chave, nfe.Id_Pedido, venda.Lancamento as Lancamento_Venda, venda.Id_Externo as Id_Herbamed,
        (SELECT Cpf_Cnpj FROM cliente WHERE Id = venda.Id_Cliente) as Cnpj_Cliente FROM nfe
        INNER JOIN venda ON venda.Id = nfe.Id_Pedido
        WHERE nfe.Id IN('$idsNfe')";
    $sqlNfe .= $status != "Todos" ? " AND nfe.Status = '$status'" : "";
    $getNfes = mysqli_query($con, $sqlNfe) or die($con->error);
    $nfes = mysqli_fetch_all($getNfes, MYSQLI_ASSOC);
    $diretorio = "./troca_arquivos/retorno";
    $dataAtual = new DateTime();
    $ftp = ftp_connect("ftp.integracaotupan.com.br");
    $ftpLogin = ftp_login($ftp, 'integracao', '#tupanintegra2018#');

    foreach($nfes as $nfe) {
        $dataProcessamento = new DateTime();
        $nomeArquivo = "NF0{$dataAtual->format('dmYHis')}{$nfe['Id_Herbamed']}.txt";
        $abrirArquivo = fopen($nomeArquivo, 'w+');
        $cnpjCliente = preg_replace("/[^0-9]/", "", $nfe['Cnpj_Cliente']);
        $cnpjEmpresa = preg_replace("/[^0-9]/", "", $nfe['Cnpj_Unidade']);
        $statusNfe = $nfe['Status'] == "Ativa" ? 1 : ($nfe['Status'] == "Cancelada" ? 2 : 3);
        $valorNfe = number_format($nfe['Valor_Nfe'], 2, '.', '');
        $chaveAcesso = $nfe['Chave_Acesso'] == "" ? "0" : $nfe['Chave_Acesso'];

        $cabecalhoArquivo = "00;{$cnpjUnidade};{$dataProcessamento->format('dmY;His')}\r\n";
        $explodeDataEmissao = explode("-", $nfe['Data_Emissao']);
        $dataEmissao = "{$explodeDataEmissao[2]}{$explodeDataEmissao[1]}{$explodeDataEmissao[0]}";
        $horaEmissao = str_replace(":", "", $nfe['Hora_Nfe'])."00";
        $cabecalhoNfe = "05;$cnpjCliente;{$nfe['Numero_Nota']};{$nfe['Serie']};{$nfe['Id_Herbamed']};{$nfe['Lancamento_Venda']};$dataEmissao;$horaEmissao;$statusNfe;$valorNfe;{$nfe['vST']};{$nfe['vICMS']};{$nfe['vBCST']};{$nfe['vBC']};{$nfe['vICMSDeson']}\r\n";
        $produtosNfe = "";
    
        $getProdutosPedido = mysqli_query($con, "SELECT nfe_pedido_produto.Preco, nfe_pedido_produto.Qtd, nfe_pedido_produto.Desconto, nfe_pedido_produto.Desconto_Real,
            nfe_pedido_produto.Desconto_Real_Pe_Nota, nfe_pedido_produto.Icms_Sub_Bc, nfe_pedido_produto.Icms_Sub_Real, nfe_pedido_produto.Icms_BC,
            nfe_pedido_produto.Icms_Real, nfe_pedido_produto.vICMSDeson, nfe_pedido_produto.Lote, produto.Gtin
            FROM nfe_pedido_produto
            INNER JOIN produto ON produto.Id = nfe_pedido_produto.Id_Produto
            WHERE nfe_pedido_produto.Id_Nfe = '{$nfe['Id']}'") or die($con->error);
        $produtosPedido = mysqli_fetch_all($getProdutosPedido, MYSQLI_ASSOC);
        
        foreach($produtosPedido as $indice=> $produto) {
            $sequenciaItem = $indice + 1;
            $descontoPercentual = number_format($produto['Desconto'] > 0 ? ($produto['Preco'] * ($produto['Desconto'] / 100)) : 0, 2, '.', '');
            $totalDesconto = $descontoPercentual + $produto['Desconto_Real'] + $produto['Desconto_Real_Pe_Nota'];
            $preco = number_format($produto['Preco'] - $totalDesconto, 2, '.', '');
            $gtin = $produto['Gtin'] == "" || $produto['Gtin'] == "SEM GTIN" ? "0.00" : $produto['Gtin'];
            $totalProduto = number_format($preco * $produto['Qtd'], 0, '.', '');
            $qtdProduto = number_format($produto['Qtd'], 0, '.', '');
            $baseST = number_format($produto['Icms_Sub_Bc'], 2, '.', '');
            $valorST = number_format($produto['Icms_Sub_Real'], 2, '.', '');
            $baseIcms = number_format($produto['Icms_BC'], 2, '.', '');
            $valorIcms = number_format($produto['Icms_Real'], 2, '.', '');
            $valorSuframa = number_format($produto['vICMSDeson'], 2, '.', '');
            $lote = $produto['Lote'] == "" ? "0" : $produto['Lote'];
            $percentualDesconto = number_format(($totalDesconto / $produto['Preco'] * $produto['Qtd']) * 100, 2, '.', '');

            $linhaProduto = "06;$cnpjCliente;{$nfe['Numero_Nota']};{$nfe['Serie']};{$nfe['Id_Herbamed']};{$nfe['Lancamento_Venda']};$sequenciaItem;$gtin;$qtdProduto;$preco;$totalProduto;$baseST;$valorST;$baseIcms;$valorIcms;$valorSuframa;$lote;$chaveAcesso;$percentualDesconto";

            if($sequenciaItem < sizeof($produtosPedido)) {
                $linhaProduto .= "\r\n";
            }
            $produtosNfe .= $linhaProduto;
        }
        fwrite($abrirArquivo, "{$cabecalhoArquivo}{$cabecalhoNfe}{$produtosNfe}");
        fclose($abrirArquivo);
        $enviarArquivoNfe = ftp_put($ftp, "/domains/integracaotupan.com.br/public_html/herbamed/retorno/$nomeArquivo", "$nomeArquivo", FTP_ASCII);
        unlink($nomeArquivo);

        if($statusNfe == 3 && $enviarArquivoNfe) {
            $dataProcessamento = new DateTime();
            $getVenda = mysqli_query($con, "SELECT Id, Lancamento, Valor_Original, Status, Id_Externo,
                (SELECT Cpf_Cnpj FROM cliente WHERE Id = venda.Id_Cliente) as Cnpj_Cliente
                FROM venda WHERE Id = '{$nfe['Id_Pedido']}'");
            $venda = mysqli_fetch_assoc($getVenda);
            $nomeArquivo = "OLRETPED0{$dataAtual->format('dmYHis')}{$venda['Id_Externo']}.txt";
            $abrirArquivo = fopen($nomeArquivo, 'w+');
            $cnpjCliente = preg_replace("/[^0-9]/", "", $venda['Cnpj_Cliente']);
            $cnpjEmpresa = preg_replace("/[^0-9]/", "", $venda['Cnpj_Unidade']);
            $valorVenda = number_format($venda['Valor_Original'], 2, '.', '');
            $posicaoPedido = 3;
            $codigoMotivo = "35";
            $idExternoVenda = $venda['Id_Externo'];

            $cabecalhoArquivo = "00;{$cnpjUnidade};{$dataProcessamento->format('dmY;His')}\r\n";
            $cabecalhoPedido = "03;$cnpjCliente;$idExternoVenda;{$venda['Lancamento']};{$dataProcessamento->format('dmY;His')};$valorVenda;$posicaoPedido;$codigoMotivo\r\n";
            $produtosVendaNfe = "";
                
            $getProdutosVenda = mysqli_query($con, "SELECT venda_produto.Qtd, produto.Gtin FROM produto
                INNER JOIN venda_produto ON venda_produto.Id_Produto = produto.Id
                WHERE venda_produto.Id_Venda = '{$venda['Id']}' AND venda_produto.Cancelado = 'No'");
            $produtosVenda = mysqli_fetch_all($getProdutosVenda, MYSQLI_ASSOC);
            
            foreach($produtosVenda as $indice=> $produto) {
                $sequenciaItem = $indice + 1;
                $posicaoItem = "0";
                $qtdProduto = "0.00";
                $codigoCancelamento = "0";
                $gtin = $produto['Gtin'] == "" || $produto['Gtin'] == "SEM GTIN" ? "0.00" : $produto['Gtin'];
                $linhaProduto = "04;$cnpjCliente;$idExternoVenda;$sequenciaItem;$gtin;$qtdProduto;$posicaoItem;$codigoCancelamento";

                if($sequenciaItem < sizeof($produtosVenda)) {
                    $linhaProduto .= "\r\n";
                }
                $produtosVendaNfe .= $linhaProduto;
            }
            fwrite($abrirArquivo, "{$cabecalhoArquivo}{$cabecalhoPedido}{$produtosVendaNfe}");
            fclose($abrirArquivo);
            ftp_put($ftp, "/domains/integracaotupan.com.br/public_html/herbamed/retorno/$nomeArquivo", "$nomeArquivo", FTP_ASCII);
            unlink($nomeArquivo);
        }
    }
    ftp_close($ftp);

    // mysqli_query($con, "UPDATE venda SET Exportado = 'Sim' WHERE Id IN('$idsNfe') AND Exportado = 'No'");
    ?>
    <script>window.close()</script>
    <?php
}
else {?>
    <script>window.close()</script>
    <?php
}
?>