<?php
include_once '../include/conecta.php'; //Conecta com a nosso banco de dados MySQL
ini_set('session.gc_maxlifetime', 60 * 120);
include_once '../include/ver_sessao.php';
include_once '../menu_movimento.php';

if(!((CLIENTE_EMAIL == "tupanfarmaatacado" || CLIENTE_EMAIL == "gw") && ($_SESSION['Id'] == "11111111111111111111111111111111" || $_SESSION['Id'] == "0f4f1b5685b9220d7722fcf1c0a93a69"))) {
    echo "<script>window.close()</script>";
}
if($_SERVER['REQUEST_METHOD'] == 'POST') {
    function dataExportacao(string $data) {
        $explodeData = explode("-", $data);
        return "{$explodeData[2]}{$explodeData[1]}{$explodeData[0]}";
    }
    $vendasSelecionadas = $_POST['vendas'];
    $colunaCliente = CLIENTE_RAZAO_SOCIAL == "Sim" ? "Razao_Social" : "Titulo";
    $idsVendas = implode("','", $vendasSelecionadas);
    $idsVendasExportadas = [];
    $status = addslashes($_POST['status']);
    $idUnidade = MULTI_EMPRESA == "Sim" && ESCOLHER_EMPRESA == 'Sim' ? addslashes($_POST['unidade']) : $_SESSION['Unidade'];
    $getCnpjUnidade = mysqli_query($con, "SELECT Cnpj FROM unidade WHERE Id = '$idUnidade'");
    $cnpjUnidade = mysqli_fetch_assoc($getCnpjUnidade)['Cnpj'];
    $cnpjUnidade = preg_replace("/[^0-9]/", "", $cnpjUnidade);

    $sqlVendas = "SELECT Id, Lancamento, Valor_Original, Status, Id_Externo, (SELECT Cpf_Cnpj FROM cliente WHERE Id = venda.Id_Cliente) as Cnpj_Cliente FROM venda
        WHERE Id IN('$idsVendas') AND Id_Externo IS NOT NULL AND Exportado = 'No'";
    $sqlVendas .= $status == "Ambos" ? " AND Status IN('Finalizado','Cancelado')" : " AND Status = '$status'";
    $getVendas = mysqli_query($con, $sqlVendas) or die($con->error);
    $vendas = mysqli_fetch_all($getVendas, MYSQLI_ASSOC);
    $lancamentosVendas = array_column($vendas, "Lancamento");
    $diretorio = "./troca_arquivos/retorno";
    $dataAtual = new DateTime();
    $ftp = ftp_connect("ftp.integracaotupan.com.br");
    $ftpLogin = ftp_login($ftp, 'integracao', '#tupanintegra2018#');

    foreach($vendas as $indiceVenda => $venda) {
        $dataAtual->modify("+ $indiceVenda seconds");
        $dataProcessamento = new DateTime();
        $nomeArquivo = "OLRETPED0{$dataAtual->format('dmYHis')}{$venda['Id_Externo']}.txt";
        $abrirArquivo = fopen("$nomeArquivo", 'w+');
        $cnpjCliente = preg_replace("/[^0-9]/", "", $venda['Cnpj_Cliente']);
        $cnpjEmpresa = preg_replace("/[^0-9]/", "", $venda['Cnpj_Unidade']);
        $valorVenda = $venda['Status'] == "Finalizado" ? number_format($venda['Valor_Original'], 2, '.', '') : "0.00";
        $posicaoPedido = $venda['Status'] == "Finalizado" ? 1 : 3;
        $codigoMotivo = $venda['Status'] == "Finalizado" ? "00" : "33";
        $idExternoVenda = $venda['Id_Externo'];

        $cabecalhoArquivo = "00;{$cnpjUnidade};{$dataProcessamento->format('dmY;His')}\r\n";
        $cabecalhoPedido = "03;$cnpjCliente;$idExternoVenda;{$venda['Lancamento']};{$dataProcessamento->format('dmY;His')};$valorVenda;$posicaoPedido;$codigoMotivo\r\n";
    
        fwrite($abrirArquivo, "$cabecalhoArquivo$cabecalhoPedido");
    
        $getProdutosVenda = mysqli_query($con, "SELECT venda_produto.Qtd, produto.Gtin FROM produto
            INNER JOIN venda_produto ON venda_produto.Id_Produto = produto.Id
            WHERE venda_produto.Id_Venda = '{$venda['Id']}' AND venda_produto.Cancelado = 'No'");
        $produtosVenda = mysqli_fetch_all($getProdutosVenda, MYSQLI_ASSOC);
        
        foreach($produtosVenda as $indice=> $produto) {
            $sequenciaItem = $indice + 1;
            $posicaoItem = $venda['Status'] == "Finalizado" ? "1" : "3";
            $qtdProduto = $venda['Status'] == "Finalizado" ? $produto['Qtd'] : "0.00";
            $codigoCancelamento = $venda['Status'] == "Finalizado" ? "0" : "18";
            $gtin = $produto['Gtin'] == "" || $produto['Gtin'] == "SEM GTIN" ? "0.00" : $produto['Gtin'];
            $linhaProduto = "04;$cnpjCliente;$idExternoVenda;$sequenciaItem;$gtin;$qtdProduto;$posicaoItem;$codigoCancelamento";

            if($sequenciaItem < sizeof($produtosVenda)) {
                $linhaProduto .= "\r\n";
            }
            fwrite($abrirArquivo, "$linhaProduto");
        }
        fclose($abrirArquivo);
        $vendaExportada = ftp_put($ftp, "/domains/integracaotupan.com.br/public_html/herbamed/retorno/$nomeArquivo", "$nomeArquivo", FTP_ASCII);

        if($vendaExportada) {
            array_push($idsVendasExportadas, $venda['Id']);
        }
        unlink($nomeArquivo);
    }
    $idsVendasExportadas = implode("','", $idsVendasExportadas);
    mysqli_query($con, "UPDATE venda SET Exportado = 'Sim' WHERE Id IN('$idsVendasExportadas') AND Exportado = 'No'");
    ftp_close($ftp);
    ?>
    <script>window.close()</script>
    <?php
}
else {?>
    <script>window.close()</script>
    <?php
}
?>