<?php
//chamando a classe
include 'PHPExcel.php';

function convertExcelToNormalDate($date){
  $day_difference = 25568; //Day difference between 1 January 1900 to 1 January 1970
  $day_to_seconds = 86400; // no. of seconds in a day
  $unixtime = ($date - $day_difference) * $day_to_seconds;
  return date('Y-m-d', $unixtime);
}

//ultimo passo gravando tudo no banco.
function add_contacts($colu01,$colu02,$colu03,$colu04,$colu05,$colu06,$colu07,$colu08) {
	// here you write your query and store it into database


	return true;
}

function import_contacts_from_xls($path) {

        global $con;
        
	$total = 0;
	if(!file_exists($path)) return false;

	$pathinfo = pathinfo($path);
	$file_extension= isset($pathinfo['extension'])?$pathinfo['extension']:'';

	$file_extension = strtolower($file_extension);

	$excel_reader_type = '';

	if($file_extension == 'xls')
	  $excel_reader_type = 'Excel5';
	else if($file_extension == 'xlsx')
	  $excel_reader_type = 'Excel2007';

	if(!$excel_reader_type) return false;

	$objReader = PHPExcel_IOFactory::createReader($excel_reader_type);
	$objPHPExcel = $objReader->load($path);

	foreach ($objPHPExcel->getWorksheetIterator() as $worksheet) {
    $y = 1;
    $n_cupom = '';
		foreach ($worksheet->getRowIterator() as $row) {

			// Reset the variables
			$colu01 = '';
			$colu02 = '';
			$colu03 = '';
                        $colu04 = '';
                        $colu05 = '';
                        $colu06 = '';
                        $colu07 = '';
                        $colu08 = '';

			$cellIterator = $row->getCellIterator();
			//$cellIterator->setIterateOnlyExistingCells(false); // Loop all cells, even if it is not set

			foreach ($cellIterator as $key => $cell) {

				if (is_null($cell)) continue;

				switch($key) {
					case 0:
						$colu01 = $cell->getCalculatedValue();
						break;
					case 1:
						$colu02 = $cell->getCalculatedValue();
						break;
					case 2:
						$colu03 = $cell->getCalculatedValue();
						break;
					case 3:
						$colu04 = $cell->getCalculatedValue();
						break;
                                        case 4:
						$colu05 = $cell->getCalculatedValue();
						break;
                                        case 5:
						$colu06 = $cell->getCalculatedValue();
						break;
                                        case 6:
						$colu07 = $cell->getCalculatedValue();
						break;
                                        case 7:
						$colu08 = $cell->getCalculatedValue();
						break;
					default:
						break;
				}
			}

                        //validando para para o codugo quando excel acabar
			if(!$colu02) continue;


            //contador para no inserir a primeira linha
            if($y!='1'){

          //se o n_cupom for vazio ou for diferente do que vem do excel entra
          if( ($n_cupom == '') || ($n_cupom != $colu02) ){

          //insere o novo numero do cupom que vem do excel
          $n_cupom = $colu02;


    //criando o cabealho do PDV
    $Id_do_Pdv = md5($colu02);

//buscando se j foi inserido o cabecalho do PDV
$bus_pdv = mysqli_query($con,"SELECT Id FROM pdv where Id = '".$Id_do_Pdv."' ");

// se a busca for negativa, insere o cabecalho
if(mysqli_num_rows($bus_pdv) == 0) {

//seto a variavel dizendo que este pdv no foi lancado
    $pdv_existe = 'N';

//buscando id do vendedor
$busca = "SELECT Id FROM funcionario where Titulo = '".limpaNome(utf8_decode(trim($colu07)))."' ";
$qry = mysqli_query($con,$busca);
$reg = mysqli_fetch_assoc($qry);

//buscando id do vendedor
$busca1 = "SELECT Id FROM tipo_pagamento where Titulo = '".limpaNome(utf8_decode(trim($colu08)))."' ";
$qry1 = mysqli_query($con,$busca1);
$reg1 = mysqli_fetch_assoc($qry1);

    mysqli_query($con,"INSERT INTO pdv (Id,
                        Data_Pdv,
                        Id_Funcionario,
                        Id_Cliente,
                        Id_Tipo_Pagamento,
                        Valor_Pago,
                        Status,
                        Codigo_Paf,
                        Id_Usuario,Id_Usuario_Upd,Data_Cadastro,Data_Cadastro_Upd)
                        values('".$Id_do_Pdv."',
                        '".convertExcelToNormalDate($colu01)."',
                        '".$reg["Id"]."',
                        '',
                        '".$reg1["Id"]."',
                        '',
                        'Aberto',
                        '".$colu02."',
                        '".$_SESSION["Id"]."','".$_SESSION["Id"]."','".date("Y-m-d H:i:s")."','".date("Y-m-d H:i:s")."')")
                    or die("Erro no comando SQL:".mysqli_error($con));

    //contando quando pdv foram inseridos
    $total++;
}else{
    //pdv j existe, seto a variavel dizendo que este pdv j foi lancado
    $pdv_existe = 'S';
    
}

//fim do n_cupom for vazio ou for diferente do que vem do excel
}


//inserindo os itens de cada venda
if($pdv_existe=='N'){

//faco a busca do produto pelo titulo
$b_prod = mysqli_query($con,"SELECT Id,Id_Local_Estoque_Saida as Local,Custo 
                        FROM produto where Titulo = '".limpaNome(utf8_decode(trim($colu04)))."'
                        AND Codigo = '".limpaNome(utf8_decode(trim($colu03)))."' ");
$reg_pro = mysqli_fetch_assoc($b_prod);

$Id_Pro = $reg_pro["Id"];
$Id_Local_Estoque = $reg_pro["Local"];
$Custo = $reg_pro["Custo"];

$Preco =str_replace('.','',$colu06);
$Preco =str_replace(',','.',$Preco);

$Quantidade = $colu05;
$vl_unit = $Preco / $Quantidade;

$vl_unit =str_replace('.','',$vl_unit);
$vl_unit =str_replace(',','.',$vl_unit);

$vl_total+=$vl_unit;

    $Codigo_Pdv_Produto = md5($Id_do_Pdv.microtime());
    mysqli_query($con,"INSERT INTO pdv_produto (Id, Id_Pdv,
                            Id_Produto,Preco, Qtd,
                            Desconto_Real, Preco_Custo,
                            Id_Cliente, Id_Funcionario,
                            Data_Cadastro)
                            values('$Codigo_Pdv_Produto',
                            '".$Id_do_Pdv."',
                            '".$Id_Pro."',
                            '".$vl_unit."',
                            '".$Quantidade."',
                            '',
                            '".$Custo."',
                            '',
                            '".$reg["Id"]."',
                            '".date("Y-m-d H:i:s")."')")
                or die("Erro no comando SQL:".mysqli_error($con));

                         $Quantidade = -$Quantidade;
cadEstoque($Codigo_Pdv_Produto,$Id_Pro,$Quantidade,'','','','',$Id_Local_Estoque,$Custo,$vl_unit,'',$Icms,$Ipi,"Pdv","No",$Id_do_Pdv,$_SESSION["Unidade"],date('d/m/Y'),"");

// fim inserindo os itens de cada venda
}


                //fim do contador para no inserir a primeira linha
               }
			//if(!$res) continue;
			//$total++;
        $y++;
		}
	}

	return $total;
}// end function


function valida_produto_xls($path) {

        global $con;
        
	$total = 0;
	if(!file_exists($path)) return false;

	$pathinfo = pathinfo($path);
	$file_extension= isset($pathinfo['extension'])?$pathinfo['extension']:'';

	$file_extension = strtolower($file_extension);

	$excel_reader_type = '';

	if($file_extension == 'xls')
	  $excel_reader_type = 'Excel5';
	else if($file_extension == 'xlsx')
	  $excel_reader_type = 'Excel2007';

	if(!$excel_reader_type) return false;

	$objReader = PHPExcel_IOFactory::createReader($excel_reader_type);
	$objPHPExcel = $objReader->load($path);

	foreach ($objPHPExcel->getWorksheetIterator() as $worksheet) {
    $y = 1;
		foreach ($worksheet->getRowIterator() as $row) {

			// Reset the variables
			$colu01 = '';
			$colu02 = '';
			$colu03 = '';
                        $colu04 = '';
                        $colu05 = '';
                        $colu06 = '';
                        $colu07 = '';
                        $colu08 = '';

			$cellIterator = $row->getCellIterator();
			//$cellIterator->setIterateOnlyExistingCells(false); // Loop all cells, even if it is not set

			foreach ($cellIterator as $key => $cell) {

				if (is_null($cell)) continue;

				switch($key) {
					case 0:
						$colu01 = $cell->getCalculatedValue();
						break;
					case 1:
						$colu02 = $cell->getCalculatedValue();
						break;
					case 2:
						$colu03 = $cell->getCalculatedValue();
						break;
					case 3:
						$colu04 = $cell->getCalculatedValue();
						break;
                                        case 4:
						$colu05 = $cell->getCalculatedValue();
						break;
                                        case 5:
						$colu06 = $cell->getCalculatedValue();
						break;
                                        case 6:
						$colu07 = $cell->getCalculatedValue();
						break;
                                        case 7:
						$colu08 = $cell->getCalculatedValue();
						break;
					default:
						break;
				}
			}

			if(!$colu04) continue;
                        
    if($y!='1'){
    //Validando se o produto existe no banco de dados.
        /*
    $val_pro = mysqli_query($con,"SELECT Id FROM produto WHERE Titulo='".limpaNome(utf8_decode(trim($colu04)))."'
                            AND Codigo = '".limpaNome(utf8_decode(trim($colu03)))."' ");
*/
    $val_pro = mysqli_query($con,"SELECT Id FROM produto WHERE Codigo = '".limpaNome(utf8_decode(trim($colu03)))."' ");
    //se o produto no existir
    if(mysqli_num_rows($val_pro) == 0) {
        $msg_prod.= stripslashes(utf8_decode($colu03))." - ".stripslashes(utf8_decode(trim($colu04)))." ; ";
    }
                        
			//if(!$res) continue;
			//$total++;
    }
    $y++;
		}
	}

	return $msg_prod;
}// end function


function valida_vendedor_xls($path) {

        global $con;
        
	$total = 0;
	if(!file_exists($path)) return false;

	$pathinfo = pathinfo($path);
	$file_extension= isset($pathinfo['extension'])?$pathinfo['extension']:'';

	$file_extension = strtolower($file_extension);

	$excel_reader_type = '';

	if($file_extension == 'xls')
	  $excel_reader_type = 'Excel5';
	else if($file_extension == 'xlsx')
	  $excel_reader_type = 'Excel2007';

	if(!$excel_reader_type) return false;

	$objReader = PHPExcel_IOFactory::createReader($excel_reader_type);
	$objPHPExcel = $objReader->load($path);

	foreach ($objPHPExcel->getWorksheetIterator() as $worksheet) {
    $y = 1;
		foreach ($worksheet->getRowIterator() as $row) {

			// Reset the variables
			$colu01 = '';
			$colu02 = '';
			$colu03 = '';
                        $colu04 = '';
                        $colu05 = '';
                        $colu06 = '';
                        $colu07 = '';
                        $colu08 = '';

			$cellIterator = $row->getCellIterator();
			//$cellIterator->setIterateOnlyExistingCells(false); // Loop all cells, even if it is not set

			foreach ($cellIterator as $key => $cell) {

				if (is_null($cell)) continue;

				switch($key) {
					case 0:
						$colu01 = $cell->getCalculatedValue();
						break;
					case 1:
						$colu02 = $cell->getCalculatedValue();
						break;
					case 2:
						$colu03 = $cell->getCalculatedValue();
						break;
					case 3:
						$colu04 = $cell->getCalculatedValue();
						break;
                                        case 4:
						$colu05 = $cell->getCalculatedValue();
						break;
                                        case 5:
						$colu06 = $cell->getCalculatedValue();
						break;
                                        case 6:
						$colu07 = $cell->getCalculatedValue();
						break;
                                        case 7:
						$colu08 = $cell->getCalculatedValue();
						break;
					default:
						break;
				}
			}

			if(!$colu07) continue;

    if($y!='1'){
    //Validando se o produto existe no banco de dados.
    $val_vend = mysqli_query($con,"SELECT Id FROM funcionario WHERE Titulo='".limpaNome(utf8_decode(trim($colu07)))."' ");

    //se o produto no existir
    if(mysqli_num_rows($val_vend) == 0) {
        $msg_vend.= "Vendedor ".stripslashes(utf8_decode(trim($colu07)))." no cadastrado; ";
    }

			//if(!$res) continue;
			//$total++;
    }
    $y++;
		}
	}

	return $msg_vend;
}// end function


function valida_pagamento_xls($path) {

        global $con;
        
	$total = 0;
	if(!file_exists($path)) return false;

	$pathinfo = pathinfo($path);
	$file_extension= isset($pathinfo['extension'])?$pathinfo['extension']:'';

	$file_extension = strtolower($file_extension);

	$excel_reader_type = '';

	if($file_extension == 'xls')
	  $excel_reader_type = 'Excel5';
	else if($file_extension == 'xlsx')
	  $excel_reader_type = 'Excel2007';

	if(!$excel_reader_type) return false;

	$objReader = PHPExcel_IOFactory::createReader($excel_reader_type);
	$objPHPExcel = $objReader->load($path);

	foreach ($objPHPExcel->getWorksheetIterator() as $worksheet) {
    $y = 1;
		foreach ($worksheet->getRowIterator() as $row) {

			// Reset the variables
			$colu01 = '';
			$colu02 = '';
			$colu03 = '';
                        $colu04 = '';
                        $colu05 = '';
                        $colu06 = '';
                        $colu07 = '';
                        $colu08 = '';

			$cellIterator = $row->getCellIterator();
			//$cellIterator->setIterateOnlyExistingCells(false); // Loop all cells, even if it is not set

			foreach ($cellIterator as $key => $cell) {

				if (is_null($cell)) continue;

				switch($key) {
					case 0:
						$colu01 = $cell->getCalculatedValue();
						break;
					case 1:
						$colu02 = $cell->getCalculatedValue();
						break;
					case 2:
						$colu03 = $cell->getCalculatedValue();
						break;
					case 3:
						$colu04 = $cell->getCalculatedValue();
						break;
                                        case 4:
						$colu05 = $cell->getCalculatedValue();
						break;
                                        case 5:
						$colu06 = $cell->getCalculatedValue();
						break;
                                        case 6:
						$colu07 = $cell->getCalculatedValue();
						break;
                                        case 7:
						$colu08 = $cell->getCalculatedValue();
						break;
					default:
						break;
				}
			}

			if(!$colu08) continue;

    if($y!='1'){
    //Validando se o produto existe no banco de dados.
    $val_pgto = mysqli_query($con,"SELECT Id FROM tipo_pagamento WHERE Titulo='".limpaNome(utf8_decode(trim($colu08)))."' ");

    //se o produto no existir
    if(mysqli_num_rows($val_pgto) == 0) {
        $msg_pgto.= "Tipo Pagamento ".stripslashes(utf8_decode(trim($colu08)))." no cadastrado; ";
    }

			//if(!$res) continue;
			//$total++;
    }
    $y++;
		}
	}

	return $msg_pgto;
}// end function


function import_financeiro_xls($path) {

        global $con;
        
	if(!file_exists($path)) return false;

	$pathinfo = pathinfo($path);
	$file_extension= isset($pathinfo['extension'])?$pathinfo['extension']:'';

	$file_extension = strtolower($file_extension);

	$excel_reader_type = '';

	if($file_extension == 'xls')
	  $excel_reader_type = 'Excel5';
	else if($file_extension == 'xlsx')
	  $excel_reader_type = 'Excel2007';

	if(!$excel_reader_type) return false;

	$objReader = PHPExcel_IOFactory::createReader($excel_reader_type);
	$objPHPExcel = $objReader->load($path);

	foreach ($objPHPExcel->getWorksheetIterator() as $worksheet) {
    $y = 1;
    $n_cupom = '';
		foreach ($worksheet->getRowIterator() as $row) {

			// Reset the variables
			$colu01 = '';
			$colu02 = '';
			$colu03 = '';
                        $colu04 = '';
                        $colu05 = '';
                        $colu06 = '';
                        $colu07 = '';
                        $colu08 = '';

			$cellIterator = $row->getCellIterator();
			//$cellIterator->setIterateOnlyExistingCells(false); // Loop all cells, even if it is not set

			foreach ($cellIterator as $key => $cell) {

				if (is_null($cell)) continue;

				switch($key) {
					case 0:
						$colu01 = $cell->getCalculatedValue();
						break;
					case 1:
						$colu02 = $cell->getCalculatedValue();
						break;
					case 2:
						$colu03 = $cell->getCalculatedValue();
						break;
					case 3:
						$colu04 = $cell->getCalculatedValue();
						break;
                                        case 4:
						$colu05 = $cell->getCalculatedValue();
						break;
                                        case 5:
						$colu06 = $cell->getCalculatedValue();
						break;
                                        case 6:
						$colu07 = $cell->getCalculatedValue();
						break;
                                        case 7:
						$colu08 = $cell->getCalculatedValue();
						break;
					default:
						break;
				}
			}

                        //validando para para o codugo quando excel acabar
			if(!$colu02) continue;


            //contador para no inserir a primeira linha
            if($y!='1'){

          //se o n_cupom for vazio ou for diferente do que vem do excel entra
          if( ($n_cupom == '') || ($n_cupom != $colu02) ){

          //insere o novo numero do cupom que vem do excel
          $n_cupom = $colu02;


    //criando o cabealho do PDV
    $Id_do_Pdv = md5($colu02);

//buscando se j foi inserido o cabecalho do PDV
$bus_pdv = mysqli_query($con,"SELECT Id FROM pdv where Id = '".$Id_do_Pdv."' AND Status = 'Aberto' ");

// se a busca for positiva, insere o cabecalho
if(mysqli_num_rows($bus_pdv) == 1) {

#### inserindo financeiro, atualizando cabecalho #####

    $vl_total = listar("SELECT SUM(Preco) as Preco FROM pdv_produto WHERE Id_Pdv = '".$Id_do_Pdv."'");

        mysqli_query($con,"UPDATE pdv SET
                            Troco = '',
                            Total_Pagar = '".$vl_total[0]["Preco"]."',
                            Valor_Pago = '',
                            Status = 'Finalizado',
                            Id_Usuario_Upd='".$_SESSION["Id"]."',Data_Cadastro_Upd='".date("Y-m-d H:i:s")."'
                            WHERE Id='".$Id_do_Pdv."' ");

        $vl_total = '0';

        /* atualizando a tabela estoque passando para a flag SIM */
        atuaEstoque("Sim","",$Id_do_Pdv);

        //dados do PDV
        $dados_pdv = listar("SELECT Lancamento,Data_Pdv,Total_Pagar,Id_Tipo_Pagamento,
                                Id_Funcionario
                                FROM pdv WHERE Id='".$Id_do_Pdv."'");

        $lacamentoPdv = $dados_pdv[0]["Lancamento"];
        $dataPdv = data_exibir($dados_pdv[0]["Data_Pdv"]);
        $vlTotalPdv = $dados_pdv[0]["Total_Pagar"];
        $tipo_pgtoPDV = $dados_pdv[0]["Id_Tipo_Pagamento"];
        $Id_Vendedor = $dados_pdv[0]["Id_Funcionario"];

        //Gerando valores de parcelas

	$valorOriginal = $vlTotalPdv;
	$vencimento = $dataPdv;//formato dd/mm/YYYY
	$Tipo_Pagamento = $tipo_pgtoPDV;

for ($i=1; $i<=PARCELA_PAGAMENTO; $i++) {
        $campo_tp.=" Taxa".str_pad($i, 2,"0", STR_PAD_LEFT).", Prazo".str_pad($i, 2,"0", STR_PAD_LEFT).", ";
    }
    $campo_tp = substr($campo_tp,0,-2);

	$tip = mysqli_query($con,"SELECT
                            $campo_tp
                            FROM tipo_pagamento
                            WHERE Id = '{$Tipo_Pagamento}' 
                            AND Gerar_Financeiro = 'Sim' ")
                            or die("ERRO no comando SQL:3".mysqli_error($con));
	$array_tipo = mysqli_fetch_assoc($tip);

	//$valorOriginal=str_replace('.','',$valorOriginal);
	//$valorOriginal=str_replace(',','.',$valorOriginal);

        //calcular o qtd de parcelas
        $z = 1;
	for ($x=1;$x<=PARCELA_PAGAMENTO;$x++){

        if($x < 10){
            $z = '0'.$x;
        }

        // se o prazo for vazio entao sai do loop
        if($array_tipo["Prazo".$z]==""){
            break;
        }
        //qtd de parcelas
        $n_parc=$z;

        $z++; }

// so pode declarar funcao 01 vez, entao isolamos ela
if($y=='2'){

function arr($valor) {
   $float_arredondar=round($valor * 100) / 100;
   return $float_arredondar;
}

}

        //saber quanto  cada parcela fixa
        $valor_por_parc =  arr($valorOriginal / $n_parc);
        //saber quanto ficar o valor, para a ultima ser com o restante da operao
        $montante = arr($valor_por_parc * ($n_parc - 1));
        //valor final, com o a mais ou o a menos. para as parcelas ficarem divididas
        $resto = ($valorOriginal - $montante);


        //Fim de gerar parcelas



        //Fazendo a diviso

        $z = 1;
	for ($x=1;$x<=PARCELA_PAGAMENTO;$x++){

        if($x < 10){
            $z = '0'.$x;
        }

        //saber qual o valor correto colocar nas parcelas
        if($z < $n_parc){
            $valor_de_parc = $valor_por_parc;
            //coloco o sinal de +, pois quando vem do banco ele diz que se tiver desconto negativo
            //irar tirar. E se o desconto tiver positivo irar acrescentar
            $valor_de_parc = $valor_de_parc + ( $valor_de_parc * ($array_tipo["Taxa".$z]/100) );
        }else{
            $valor_de_parc = $resto;
            //coloco o sinal de +, pois quando vem do banco ele diz que se tiver desconto negativo
            //irar tirar. E se o desconto tiver positivo irar acrescentar
            $valor_de_parc = $valor_de_parc + ( $valor_de_parc * ($array_tipo["Taxa".$z]/100) );
        }

        // se o prazo for vazio entao sai do loop
        if($array_tipo["Prazo".$z]==""){
            break;
        }


        $Data_Parcela[] = AddData($vencimento,$array_tipo["Prazo".$z]);

        $Valor_Parcela[] = $valor_de_parc;


        $z++; }

        //Fim da diviso





        //Fim gerar parcelas

for ($i=1; $i<=PARCELA_PAGAMENTO; $i++) {
        $campo_tp.=" Taxa".str_pad($i, 2,"0", STR_PAD_LEFT).", Prazo".str_pad($i, 2,"0", STR_PAD_LEFT).", ";
    }
    $campo_tp = substr($campo_tp,0,-2);

        /* Gerando o contas a receber */
	$tip = mysqli_query($con,"SELECT
                            $campo_tp,
                            Baixa_Caixa
                            FROM tipo_pagamento
                            WHERE Id = '{$Tipo_Pagamento}' 
                            AND Gerar_Financeiro = 'Sim' ")
                            or die("ERRO no comando SQL:4".mysqli_error($con));
	$array_tipo = mysqli_fetch_assoc($tip);


        //saber quantas parcelas so
        //$k  q qtd de parcelas
        $y = 1;
        $k = 0;
	for ($i=1;$i<=PARCELA_PAGAMENTO;$i++){

            if($i < 10){
                $y = '0'.$i;
            }

            // se o prazo for vazio entao sai do loop
            if($array_tipo["Prazo".$y]==""){
                break;
            }

        $y++;
        // $k  q qtd de parcelas
        $k++;
        }
        $k = "0".$k;


        /* loop da qtd de parcelas */
        $z = 1;
	for ($x=1;$x<=PARCELA_PAGAMENTO;$x++){

        if($x < 10){
            $z = '0'.$x;
        }

        // se o prazo for vazio entao sai do loop
        if($array_tipo["Prazo".$z]==""){
            break;
        }

        $valorPar=0;
        $valorPar=str_replace('.','',$Valor_Parcela[$x-1]);
	$valorPar=str_replace(',','.',$valorPar);


//se o tipo pagamento for Dinheiro = cod. 1, o CR  status liquidado
         if($Tipo_Pagamento == '1'){
            $statusConta = 'Liquidado';
            $dataPgtoConta = data_banco($Data_Parcela[$x-1]);
            $valorPagoConta = $valorPar;
         }else{
            $statusConta = 'Aberto';
            $dataPgtoConta = '0000-00-00';
            $valorPagoConta = '0.00';
         }


                        $codConta_receber = md5($Id_do_Pdv.microtime());
                        mysqli_query($con,"INSERT INTO conta_receber (Id, Descricao,
                                            Fatura, Id_Cliente,
                                            Obs, Data_Vencimento,
                                            Valor_Original, Valor_Pago,
                                            Id_Funcionario, Id_Conta,
                                            Status, Data_Pagamento,
                                            Id_Tipo_Pagamento,
                                            Boleto, Banco,
                                            Agencia, Cc, Numero,
                                            Id_Atividade,Valor_Total,
                                            Parcela, Id_Externo,
                                            Desconto,Parcial,Cheque,
                                            Id_Usuario,Id_Usuario_Upd,Data_Cadastro,Data_Cadastro_Upd)
                                            values('$codConta_receber',
                                            '".utf8_decode("Parcela(".$z."/".$k."). Do Pdv de N. ".$lacamentoPdv."")."',
                                            '".$_POST["Fatura"]."',
                                            '".$Id_Cliente."',
                                            '".limpaNome($_POST["Obs"])."',
                                            '".data_banco($Data_Parcela[$x-1])."',
                                            '".$valorPar."',
                                            '".$valorPagoConta."',
                                            '".$Id_Vendedor."',
                                            '".$_POST["Conta"]."',
                                            '".$statusConta."',
                                            '".$dataPgtoConta."',
                                            '".$Tipo_Pagamento."',
                                            '".$_POST["Boleto"]."',
                                            '".$_POST["Banco"]."',
                                            '".$_POST["Agencia"]."',
                                            '".$_POST["Cc"]."',
                                            '".$_POST["Numero"]."',
                                            '".$_POST["Atividade"]."',
                                            '".$_POST["Valor_Pago"]."',
                                            '".$z."',
                                            '".$Id_do_Pdv."',
                                            'No','No','No',
                                            '".$_SESSION["Id"]."','".$_SESSION["Id"]."','".date("Y-m-d H:i:s")."','".date("Y-m-d H:i:s")."')")
                                    or die("Erro no comando SQL:".mysqli_error($con));


                //se o titulo for dinheiro, entao vai direto para o caixa
                if($Tipo_Pagamento == '1'){

                /* buscando o nome do tipo pagamento */
                $tp_pgto = listar("Select Titulo from tipo_pagamento WHERE Id='".$Tipo_Pagamento."'");
                $Tipo_Pgto = $tp_pgto[0]["Titulo"];

                /* buscando o nome do funcionario */
                $tp_pgto = listar("Select Titulo from funcionario WHERE Id='".$Id_Vendedor."'");
                $func = $tp_pgto[0]["Titulo"];

                    $codcaixa = md5($_POST['Funcionario'].microtime());
                    mysqli_query($con,"INSERT INTO caixa
                                    ( Id,
                                    Data_Caixa,
                                    Tipo,
                                    Valor,
                                    Obs,
                                    Tipo_Pagamento,
                                    Id_Tipo_Pagamento,
                                    Funcionario,
                                    Id_Funcionario,
                                    Origem,
                                    Id_Externo,
                                    Id_Usuario,Id_Usuario_Upd,Data_Cadastro,Data_Cadastro_Upd)
                                    values(
                                    '$codcaixa',
                                    '".data_banco($vencimento)."',
                                    'Entrada',
                                    '".$valorPagoConta."',
                                    '".utf8_decode("Parcela(".$z."/".$k."). Do Pdv de N. ".$lacamentoPdv."")."',
                                    '".$Tipo_Pgto."',
                                    '".$Tipo_Pagamento."',
                                    '".$func."',
                                    '".$Id_Vendedor."',
                                    'Conta a Receber',
                                    '".$Id_do_Pdv."',
                                    '".$_SESSION["Id"]."','".$_SESSION["Id"]."','".date("Y-m-d H:i:s")."','".date("Y-m-d H:i:s")."')")
                                    or die("Erro no comando SQL:".mysqli_error($con));

                    //fim de gerar o caixa
                         }


        /* fim do loop da qtd de parcelas */
        $z++; }

        /* Fim gerando o contas a receber */



#### fim inserindo financeiro, atualizando cabecalho #####

        //fim da validacao se o pdv existe
          }

//fim do n_cupom for vazio ou for diferente do que vem do excel
}


                //fim do contador para no inserir a primeira linha
               }
			//if(!$res) continue;
			//$total++;
        $y++;
		}
	}

	return ;
}// end function




### fucoes legumes e cia ###


function valida_produto_legumes_xls($path) {
    
        global $con;
        
	$total = 0;
	if(!file_exists($path)) return false;

	$pathinfo = pathinfo($path);
	$file_extension= isset($pathinfo['extension'])?$pathinfo['extension']:'';

	$file_extension = strtolower($file_extension);

	$excel_reader_type = '';

	if($file_extension == 'xls')
	  $excel_reader_type = 'Excel5';
	else if($file_extension == 'xlsx')
	  $excel_reader_type = 'Excel2007';

	if(!$excel_reader_type) return false;

	$objReader = PHPExcel_IOFactory::createReader($excel_reader_type);
	$objPHPExcel = $objReader->load($path);

	foreach ($objPHPExcel->getWorksheetIterator() as $worksheet) {
    $y = 1;
		foreach ($worksheet->getRowIterator() as $row) {

			// Reset the variables
			$colu01 = '';
			$colu02 = '';
			$colu03 = '';
                        $colu04 = '';
                        $colu05 = '';
                        $colu06 = '';
                        $colu07 = '';
                        $colu08 = '';
                        $colu09 = '';
                        $colu10 = '';
                        $colu11 = '';
                        $colu12 = '';
                        $colu13 = '';
                        $colu14 = '';
                        $colu15 = '';
                        $colu16 = '';
                        $colu17 = '';
                        $colu18 = '';
                        $colu19 = '';
                        $colu20 = '';
                        $colu21 = '';
                        $colu22 = '';
                        $colu23 = '';
                        $colu24 = '';
                        $colu25 = '';
                        $colu26 = '';
                        $colu27 = '';
                        $colu28 = '';
                        $colu29 = '';
                        $colu30 = '';
                        $colu31 = '';
                        $colu32 = '';
                        $colu33 = '';
                        $colu34 = '';
                        $colu35 = '';
                        $colu36 = '';
                        $colu37 = '';
                        $colu38 = '';
                        $colu39 = '';
                        $colu40 = '';

			$cellIterator = $row->getCellIterator();
			//$cellIterator->setIterateOnlyExistingCells(false); // Loop all cells, even if it is not set

			foreach ($cellIterator as $key => $cell) {

				if (is_null($cell)) continue;

				switch($key) {
					case 0:
						$colu01 = $cell->getCalculatedValue();
						break;
					case 1:
						$colu02 = $cell->getCalculatedValue();
						break;
					case 2:
						$colu03 = $cell->getCalculatedValue();
						break;
					case 3:
						$colu04 = $cell->getCalculatedValue();
						break;
                                        case 4:
						$colu05 = $cell->getCalculatedValue();
						break;
                                        case 5:
						$colu06 = $cell->getCalculatedValue();
						break;
                                        case 6:
						$colu07 = $cell->getCalculatedValue();
						break;
                                        case 7:
						$colu08 = $cell->getCalculatedValue();
						break;
                                        case 8:
						$colu09 = $cell->getCalculatedValue();
						break;
                                        case 9:
						$colu10 = $cell->getCalculatedValue();
						break;
                                        case 10:
						$colu11 = $cell->getCalculatedValue();
						break;
                                        case 11:
						$colu12 = $cell->getCalculatedValue();
						break;
                                        case 12:
						$colu13 = $cell->getCalculatedValue();
						break;
                                        case 13:
						$colu14 = $cell->getCalculatedValue();
						break;
                                        case 14:
						$colu15 = $cell->getCalculatedValue();
						break;
                                        case 15:
						$colu16 = $cell->getCalculatedValue();
						break;
                                        case 16:
						$colu17 = $cell->getCalculatedValue();
						break;
                                        case 17:
						$colu18 = $cell->getCalculatedValue();
						break;
                                        case 18:
						$colu19 = $cell->getCalculatedValue();
						break;
                                        case 19:
						$colu20 = $cell->getCalculatedValue();
						break;
                                        case 20:
						$colu21 = $cell->getCalculatedValue();
						break;
                                        case 21:
						$colu22 = $cell->getCalculatedValue();
						break;
                                        case 22:
						$colu23 = $cell->getCalculatedValue();
						break;
                                        case 23:
						$colu24 = $cell->getCalculatedValue();
						break;
                                        case 24:
						$colu25 = $cell->getCalculatedValue();
						break;
                                        case 25:
						$colu26 = $cell->getCalculatedValue();
						break;
                                        case 26:
						$colu27 = $cell->getCalculatedValue();
						break;
                                        case 27:
						$colu28 = $cell->getCalculatedValue();
						break;
                                        case 28:
						$colu29 = $cell->getCalculatedValue();
						break;
                                        case 29:
						$colu30 = $cell->getCalculatedValue();
						break;
                                        case 30:
						$colu31 = $cell->getCalculatedValue();
						break;
                                        case 31:
						$colu32 = $cell->getCalculatedValue();
						break;
                                        case 32:
						$colu33 = $cell->getCalculatedValue();
						break;
                                        case 33:
						$colu34 = $cell->getCalculatedValue();
						break;
                                        case 34:
						$colu35 = $cell->getCalculatedValue();
						break;
                                        case 35:
						$colu36 = $cell->getCalculatedValue();
						break;
                                        case 36:
						$colu37 = $cell->getCalculatedValue();
						break;
                                        case 37:
						$colu38 = $cell->getCalculatedValue();
						break;
                                        case 38:
						$colu39 = $cell->getCalculatedValue();
						break;
                                        case 39:
						$colu40 = $cell->getCalculatedValue();
						break;
                                            
					default:
						break;
				}
			}

			if(!$colu26) continue;
                        
    if($y!='1'){
    //Validando se o produto existe no banco de dados.
        /*
    $val_pro = mysqli_query($con,"SELECT Id FROM produto WHERE Titulo='".limpaNome(utf8_decode(trim($colu04)))."'
                            AND Codigo = '".limpaNome(utf8_decode(trim($colu03)))."' ");
*/
    
    $val_pro = mysqli_query($con,"SELECT produto.Id
                FROM produto 
                INNER JOIN cliente_negociacao ON produto.Id = cliente_negociacao.Id_Produto
                WHERE cliente_negociacao.Codigo_Cliente = '".limpaNome(utf8_decode(trim($colu26)))."' ");
    //se o produto no existir
    if(mysqli_num_rows($val_pro) == 0) {
        $msg_prod.= 'No cadastrado: '.stripslashes(utf8_decode($colu26))." - ".stripslashes(utf8_decode(trim($colu22)))." ; ";
    }
                        
			//if(!$res) continue;
			//$total++;
    }
    $y++;
		}
	}

	return $msg_prod;
}// end function



function valida_cliente_legumes_xls($path) {

        global $con;
        
	$total = 0;
	if(!file_exists($path)) return false;

	$pathinfo = pathinfo($path);
	$file_extension= isset($pathinfo['extension'])?$pathinfo['extension']:'';

	$file_extension = strtolower($file_extension);

	$excel_reader_type = '';

	if($file_extension == 'xls')
	  $excel_reader_type = 'Excel5';
	else if($file_extension == 'xlsx')
	  $excel_reader_type = 'Excel2007';

	if(!$excel_reader_type) return false;

	$objReader = PHPExcel_IOFactory::createReader($excel_reader_type);
	$objPHPExcel = $objReader->load($path);

	foreach ($objPHPExcel->getWorksheetIterator() as $worksheet) {
    $y = 1;
		foreach ($worksheet->getRowIterator() as $row) {

			// Reset the variables
			$colu01 = '';
			$colu02 = '';
			$colu03 = '';
                        $colu04 = '';
                        $colu05 = '';
                        $colu06 = '';
                        $colu07 = '';
                        $colu08 = '';
                        $colu09 = '';
                        $colu10 = '';
                        $colu11 = '';
                        $colu12 = '';
                        $colu13 = '';
                        $colu14 = '';
                        $colu15 = '';
                        $colu16 = '';
                        $colu17 = '';
                        $colu18 = '';
                        $colu19 = '';
                        $colu20 = '';
                        $colu21 = '';
                        $colu22 = '';
                        $colu23 = '';
                        $colu24 = '';
                        $colu25 = '';
                        $colu26 = '';
                        $colu27 = '';
                        $colu28 = '';
                        $colu29 = '';
                        $colu30 = '';
                        $colu31 = '';
                        $colu32 = '';
                        $colu33 = '';
                        $colu34 = '';
                        $colu35 = '';
                        $colu36 = '';
                        $colu37 = '';
                        $colu38 = '';
                        $colu39 = '';
                        $colu40 = '';

			$cellIterator = $row->getCellIterator();
			//$cellIterator->setIterateOnlyExistingCells(false); // Loop all cells, even if it is not set

			foreach ($cellIterator as $key => $cell) {

				if (is_null($cell)) continue;

				switch($key) {
					case 0:
						$colu01 = $cell->getCalculatedValue();
						break;
					case 1:
						$colu02 = $cell->getCalculatedValue();
						break;
					case 2:
						$colu03 = $cell->getCalculatedValue();
						break;
					case 3:
						$colu04 = $cell->getCalculatedValue();
						break;
                                        case 4:
						$colu05 = $cell->getCalculatedValue();
						break;
                                        case 5:
						$colu06 = $cell->getCalculatedValue();
						break;
                                        case 6:
						$colu07 = $cell->getCalculatedValue();
						break;
                                        case 7:
						$colu08 = $cell->getCalculatedValue();
						break;
                                        case 8:
						$colu09 = $cell->getCalculatedValue();
						break;
                                        case 9:
						$colu10 = $cell->getCalculatedValue();
						break;
                                        case 10:
						$colu11 = $cell->getCalculatedValue();
						break;
                                        case 11:
						$colu12 = $cell->getCalculatedValue();
						break;
                                        case 12:
						$colu13 = $cell->getCalculatedValue();
						break;
                                        case 13:
						$colu14 = $cell->getCalculatedValue();
						break;
                                        case 14:
						$colu15 = $cell->getCalculatedValue();
						break;
                                        case 15:
						$colu16 = $cell->getCalculatedValue();
						break;
                                        case 16:
						$colu17 = $cell->getCalculatedValue();
						break;
                                        case 17:
						$colu18 = $cell->getCalculatedValue();
						break;
                                        case 18:
						$colu19 = $cell->getCalculatedValue();
						break;
                                        case 19:
						$colu20 = $cell->getCalculatedValue();
						break;
                                        case 20:
						$colu21 = $cell->getCalculatedValue();
						break;
                                        case 21:
						$colu22 = $cell->getCalculatedValue();
						break;
                                        case 22:
						$colu23 = $cell->getCalculatedValue();
						break;
                                        case 23:
						$colu24 = $cell->getCalculatedValue();
						break;
                                        case 24:
						$colu25 = $cell->getCalculatedValue();
						break;
                                        case 25:
						$colu26 = $cell->getCalculatedValue();
						break;
                                        case 26:
						$colu27 = $cell->getCalculatedValue();
						break;
                                        case 27:
						$colu28 = $cell->getCalculatedValue();
						break;
                                        case 28:
						$colu29 = $cell->getCalculatedValue();
						break;
                                        case 29:
						$colu30 = $cell->getCalculatedValue();
						break;
                                        case 30:
						$colu31 = $cell->getCalculatedValue();
						break;
                                        case 31:
						$colu32 = $cell->getCalculatedValue();
						break;
                                        case 32:
						$colu33 = $cell->getCalculatedValue();
						break;
                                        case 33:
						$colu34 = $cell->getCalculatedValue();
						break;
                                        case 34:
						$colu35 = $cell->getCalculatedValue();
						break;
                                        case 35:
						$colu36 = $cell->getCalculatedValue();
						break;
                                        case 36:
						$colu37 = $cell->getCalculatedValue();
						break;
                                        case 37:
						$colu38 = $cell->getCalculatedValue();
						break;
                                        case 38:
						$colu39 = $cell->getCalculatedValue();
						break;
                                        case 39:
						$colu40 = $cell->getCalculatedValue();
						break;
                                            
					default:
						break;
				}
			}

			if(!$colu36) continue;
                        
    if($y!='1'){
    //Validando se o produto existe no banco de dados.
        /*
    $val_pro = mysqli_query($con,"SELECT Id FROM produto WHERE Titulo='".limpaNome(utf8_decode(trim($colu04)))."'
                            AND Codigo = '".limpaNome(utf8_decode(trim($colu03)))."' ");
*/
    $val_pro = mysqli_query($con,"SELECT Id FROM cliente WHERE Cpf_Cnpj = '".str_pad(limpaNome(utf8_decode(trim($colu36))), 14,"0", STR_PAD_LEFT)."' ");
    //se o produto no existir
    if(mysqli_num_rows($val_pro) == 0) {
        $msg_cli.= 'No cadastrado: '.stripslashes(utf8_decode($colu36))." - ".stripslashes(utf8_decode(trim($colu40)))." ; ";
    }
                        
			//if(!$res) continue;
			//$total++;
    }
    $y++;
		}
	}

	return $msg_cli;
}// end function


function import_venda_legumes_xls($path) {

        global $con;
        
	$total = 0;
	if(!file_exists($path)) return false;

	$pathinfo = pathinfo($path);
	$file_extension= isset($pathinfo['extension'])?$pathinfo['extension']:'';

	$file_extension = strtolower($file_extension);

	$excel_reader_type = '';

	if($file_extension == 'xls')
	  $excel_reader_type = 'Excel5';
	else if($file_extension == 'xlsx')
	  $excel_reader_type = 'Excel2007';

	if(!$excel_reader_type) return false;

	$objReader = PHPExcel_IOFactory::createReader($excel_reader_type);
	$objPHPExcel = $objReader->load($path);

	foreach ($objPHPExcel->getWorksheetIterator() as $worksheet) {
    $y = 1;
    $n_cupom = '';
		foreach ($worksheet->getRowIterator() as $row) {

			// Reset the variables
			// Reset the variables
			$colu01 = '';
			$colu02 = '';
			$colu03 = '';
                        $colu04 = '';
                        $colu05 = '';
                        $colu06 = '';
                        $colu07 = '';
                        $colu08 = '';
                        $colu09 = '';
                        $colu10 = '';
                        $colu11 = '';
                        $colu12 = '';
                        $colu13 = '';
                        $colu14 = '';
                        $colu15 = '';
                        $colu16 = '';
                        $colu17 = '';
                        $colu18 = '';
                        $colu19 = '';
                        $colu20 = '';
                        $colu21 = '';
                        $colu22 = '';
                        $colu23 = '';
                        $colu24 = '';
                        $colu25 = '';
                        $colu26 = '';
                        $colu27 = '';
                        $colu28 = '';
                        $colu29 = '';
                        $colu30 = '';
                        $colu31 = '';
                        $colu32 = '';
                        $colu33 = '';
                        $colu34 = '';
                        $colu35 = '';
                        $colu36 = '';
                        $colu37 = '';
                        $colu38 = '';
                        $colu39 = '';
                        $colu40 = '';

			$cellIterator = $row->getCellIterator();
			//$cellIterator->setIterateOnlyExistingCells(false); // Loop all cells, even if it is not set

			foreach ($cellIterator as $key => $cell) {

				if (is_null($cell)) continue;

				switch($key) {
					case 0:
						$colu01 = $cell->getCalculatedValue();
						break;
					case 1:
						$colu02 = $cell->getCalculatedValue();
						break;
					case 2:
						$colu03 = $cell->getCalculatedValue();
						break;
					case 3:
						$colu04 = $cell->getCalculatedValue();
						break;
                                        case 4:
						$colu05 = $cell->getCalculatedValue();
						break;
                                        case 5:
						$colu06 = $cell->getCalculatedValue();
						break;
                                        case 6:
						$colu07 = $cell->getCalculatedValue();
						break;
                                        case 7:
						$colu08 = $cell->getCalculatedValue();
						break;
                                        case 8:
						$colu09 = $cell->getCalculatedValue();
						break;
                                        case 9:
						$colu10 = $cell->getCalculatedValue();
						break;
                                        case 10:
						$colu11 = $cell->getCalculatedValue();
						break;
                                        case 11:
						$colu12 = $cell->getCalculatedValue();
						break;
                                        case 12:
						$colu13 = $cell->getCalculatedValue();
						break;
                                        case 13:
						$colu14 = $cell->getCalculatedValue();
						break;
                                        case 14:
						$colu15 = $cell->getCalculatedValue();
						break;
                                        case 15:
						$colu16 = $cell->getCalculatedValue();
						break;
                                        case 16:
						$colu17 = $cell->getCalculatedValue();
						break;
                                        case 17:
						$colu18 = $cell->getCalculatedValue();
						break;
                                        case 18:
						$colu19 = $cell->getCalculatedValue();
						break;
                                        case 19:
						$colu20 = $cell->getCalculatedValue();
						break;
                                        case 20:
						$colu21 = $cell->getCalculatedValue();
						break;
                                        case 21:
						$colu22 = $cell->getCalculatedValue();
						break;
                                        case 22:
						$colu23 = $cell->getCalculatedValue();
						break;
                                        case 23:
						$colu24 = $cell->getCalculatedValue();
						break;
                                        case 24:
						$colu25 = $cell->getCalculatedValue();
						break;
                                        case 25:
						$colu26 = $cell->getCalculatedValue();
						break;
                                        case 26:
						$colu27 = $cell->getCalculatedValue();
						break;
                                        case 27:
						$colu28 = $cell->getCalculatedValue();
						break;
                                        case 28:
						$colu29 = $cell->getCalculatedValue();
						break;
                                        case 29:
						$colu30 = $cell->getCalculatedValue();
						break;
                                        case 30:
						$colu31 = $cell->getCalculatedValue();
						break;
                                        case 31:
						$colu32 = $cell->getCalculatedValue();
						break;
                                        case 32:
						$colu33 = $cell->getCalculatedValue();
						break;
                                        case 33:
						$colu34 = $cell->getCalculatedValue();
						break;
                                        case 34:
						$colu35 = $cell->getCalculatedValue();
						break;
                                        case 35:
						$colu36 = $cell->getCalculatedValue();
						break;
                                        case 36:
						$colu37 = $cell->getCalculatedValue();
						break;
                                        case 37:
						$colu38 = $cell->getCalculatedValue();
						break;
                                        case 38:
						$colu39 = $cell->getCalculatedValue();
						break;
                                        case 39:
						$colu40 = $cell->getCalculatedValue();
						break;
                                            
					default:
						break;
				}
			}

                        //validando para para o codugo quando excel acabar
			if(!$colu06) continue;


            //contador para no inserir a primeira linha
            if($y!='1'){

          //se o n_cupom for vazio ou for diferente do que vem do excel entra
          if( ($n_cupom == '') || ($n_cupom != $colu06) ){

          //insere o novo numero do cupom que vem do excel
          $n_cupom = $colu06;


    //criando o cabealho do PDV
    $Id_do_Pdv = md5($colu06);

//buscando se j foi inserido o cabecalho do PDV
$bus_pdv = mysqli_query($con,"SELECT Id FROM venda where Id = '".$Id_do_Pdv."' ");

// se a busca for negativa, insere o cabecalho
if(mysqli_num_rows($bus_pdv) == 0) {

//seto a variavel dizendo que este pdv no foi lancado
    $pdv_existe = 'N';

//buscando id do vendedor
//$qry = mysqli_query($con,"SELECT Id FROM funcionario where Titulo = '".limpaNome(utf8_decode(trim($colu07)))."' ");
//$reg = mysqli_fetch_assoc($qry);

//buscando id do vendedor
//$qry1 = mysqli_query($con,"SELECT Id FROM tipo_pagamento where Titulo = '".limpaNome(utf8_decode(trim($colu08)))."' ");
//$reg1 = mysqli_fetch_assoc($qry1);

//buscando id do cliente
$qry2 = mysqli_query($con,"SELECT Id FROM cliente where Cpf_Cnpj = '".str_pad(limpaNome(utf8_decode(trim($colu36))), 14,"0", STR_PAD_LEFT)."' ");
$reg2 = mysqli_fetch_assoc($qry2);
    
    mysqli_query($con,"INSERT INTO venda (Id,
                Data_Venda,
                Id_Funcionario,
                Id_Cliente,
                Id_Tipo_Pagamento,
                Valor_Pago,
                Status,
                Id_Unidade,
                Numero_Pedido,
                Data_Retirada,
                Obs,
                Endereco_Entrega,
                Id_Arquiteto,
                Id_Usuario,Id_Usuario_Upd,Data_Cadastro,Data_Cadastro_Upd)
                values('".$Id_do_Pdv."',
                '".date('d/m/Y')."',
                '',
                '".$reg2["Id"]."',
                '',
                '',
                'Aberto',
                '".$_SESSION["Unidade"]."',
                '".$colu06."',
                '".convertExcelToNormalDate($colu28)."',
                '".$colu08."',
                'Sim',
                'Sim',
                '".$_SESSION["Id"]."','".$_SESSION["Id"]."','".date("Y-m-d H:i:s")."','".date("Y-m-d H:i:s")."')")
            or die("Erro no comando SQL:".mysqli_error($con));

    //contando quando pdv foram inseridos
    $total++;
}else{
    //pdv j existe, seto a variavel dizendo que este pdv j foi lancado
    $pdv_existe = 'S';
    
}

//fim do n_cupom for vazio ou for diferente do que vem do excel
}


//inserindo os itens de cada venda
if($pdv_existe=='N'){

//faco a busca do produto pelo titulo
$Prodt = mysqli_query($con,"SELECT produto.Id,
                produto.Custo,
                produto.Id_Local_Estoque_Saida as Local,
                produto.Flag_Kit,
                produto.Comissao,
                produto.Situacao_Tributaria,
                produto.Id_Cfop_Venda,
                produto.Origem_ST,
                produto.Id_Categoria_Produto,
                produto.Id_Fornecedor,
                produto.Aliquota,
                produto.Ibpt,
                produto.Descricao,
                produto.Aliquota_Pis,
                produto.Aliquota_Cofins,
                produto.CST_Pis,
                produto.CST_Cofins,
                produto.Id_Categoria_Produto_Filho
                FROM produto 
                INNER JOIN cliente_negociacao ON produto.Id = cliente_negociacao.Id_Produto
                WHERE cliente_negociacao.Codigo_Cliente = '".limpaNome(utf8_decode(trim($colu26)))."' ");
$Prodt = mysqli_fetch_assoc($Prodt);

$Produto_Novo = $Prodt["Id"];
$Local_Est = $Prodt["Local"];
$Preco_Custo = $Prodt["Custo"];
$Kit = $Prodt["Flag_Kit"];
$Situacao_Tributaria = $Prodt["Situacao_Tributaria"];
$Comissao = $Prodt["Comissao"];
$Origem = $Prodt["Origem_ST"];
$Id_Categoria_Produto = $Prodt["Id_Categoria_Produto"];
$Id_Categoria_Produto_Filho = $Prodt["Id_Categoria_Produto_Filho"];
$Id_Fornecedor = $Prodt["Id_Fornecedor"];
$Aliquota = $Prodt["Aliquota"];
$Ibpt = $Prodt["Ibpt"];
$Descricao = $Prodt["Descricao"];
$Aliquota_Pis = $Prodt["Aliquota_Pis"];
$Aliquota_Cofins = $Prodt["Aliquota_Cofins"];
$CST_Pis = $Prodt["CST_Pis"];
$CST_Cofins = $Prodt["CST_Cofins"];

$Cfop = '289';

$Qtd_Novo = $colu23;
$Preco_Venda = $colu24;
$Desconto = $_POST["Desconto_Novo"];
$Desconto_Real = $_POST["Desconto_Real_Novo"];
$Ipi = $_POST["Ipi"];
$Icms = $_POST["Icms"];
$Icms_Sub = $_POST["Icms_Sub"];
$Mva = $_POST["Mva"];
$Reducao = $_POST["Reducao"];
$ReducaoBC = $_POST["ReducaoBC"];
$ST_Icms = $_POST["ST_Icms"];
$Local_Estoque = $_POST["Local_Estoque"];
if($Local_Estoque==''){
    $Local_Estoque = $Local_Est;
}
$Vendedor = $_POST["Vendedor"];

$Unidade = $_SESSION["Unidade"];

$Preco_Venda =str_replace('.','',$Preco_Venda);
$Preco_Venda =str_replace(',','.',$Preco_Venda);

$Qtd_Novo =str_replace('.','',$Qtd_Novo);
$Qtd_Novo =str_replace(',','.',$Qtd_Novo);

//$vl_unit = $Preco / $Quantidade;

//$vl_unit =str_replace('.','',$vl_unit);
//$vl_unit =str_replace(',','.',$vl_unit);

$vl_total+=$Preco_Venda*$Qtd_Novo;
$vl_total = valor_exibir($vl_total);
$vl_total = valor_banco($vl_total);


$categ = mysqli_query($con,"SELECT Id,Estado FROM cliente where Cpf_Cnpj = '".str_pad(limpaNome(utf8_decode(trim($colu36))), 14,"0", STR_PAD_LEFT)."' ");
$categ = mysqli_fetch_assoc($categ);


$desc_nego = mysqli_query($con,"SELECT C_Produto FROM cliente_negociacao where Id_Cliente = '" . $categ["Id"] . "'
                        AND Id_Produto = '" . $Produto_Novo . "'
                        AND (Periodo >= '" . date("Y-m-d") . "' OR Periodo = '0000-00-00')
                        ORDER BY Periodo LIMIT 1 ");
$desc_nego = mysqli_fetch_assoc($desc_nego);

    if($desc_nego['C_Produto']!=''){
        $Descricao=$desc_nego['C_Produto'];
    }


$Codigo_Pdv_Produto = md5($Id_do_Pdv.microtime());
mysqli_query($con,"INSERT INTO venda_produto (Id,
                        Id_Venda,
                        Id_Produto,
                        Preco,
                        Qtd,
                        Desconto,
                        Desconto_Real,
                        Preco_Custo,
                        Ipi,
                        Icms,
                        Icms_Sub,
                        Mva,
                        Reducao,
                        ReducaoBC,
                        Id_Cfop,
                        ST_Icms,
                        Id_Local_Estoque,
                        Situacao_Tributaria,
                        Origem_ST,
                        Id_Funcionario,
                        Comissao,
                        Id_Categoria_Produto,
                        Id_Categoria_Produto_Filho,
                        Id_Fornecedor,
                        Preco_Tabela,
                        vBCSTRet,
                        vICMSSTRet,
                        vICMSDeson,
                        motDesICMS,
                        Aliquota,
                        Ibpt,
                        C_Produto,
                        Aliquota_Pis,
                        Aliquota_Cofins,
                        CST_Pis,
                        CST_Cofins,
                        xPed,
                        nItemPed,
                        Id_Cliente,
                        Id_Usuario,Id_Usuario_Upd,Data_Cadastro,Data_Cadastro_Upd)
                        values('$Codigo_Pdv_Produto',
                        '".$Id_do_Pdv."',
                        '".$Produto_Novo."',
                        '".$Preco_Venda."',
                        '".$Qtd_Novo."',
                        '".$Desconto."',
                        '".$Desconto_Real."',
                        '".$Preco_Custo."',
                        '".$Ipi."',
                        '".$Icms."',
                        '".$Icms_Sub."',
                        '".$Mva."',
                        '".$Reducao."',
                        '".$ReducaoBC."',
                        '".$Cfop."',
                        '".$ST_Icms."',
                        '".$Local_Estoque."',
                        '".$Situacao_Tributaria."',
                        '".$Origem."',
                        '".$Vendedor."',
                        '".$Comissao_Pedido."',
                        '".$Id_Categoria_Produto."',
                        '".$Id_Categoria_Produto_Filho."',
                        '".$Id_Fornecedor."',
                        '".$Preco_Tabela."',
                        '".$vBCSTRet."',
                        '".$vICMSSTRet."',
                        '".$vICMSDeson."',
                        '".$_POST["motDesICMS"]."',
                        '".$Aliquota."',
                        '".$Ibpt."',
                        '".$Descricao."',
                        '".$Aliquota_Pis."',
                        '".$Aliquota_Cofins."',
                        '".$CST_Pis."',
                        '".$CST_Cofins."',
                        '".$xPed."',
                        '".$nItemPed."',
                        '".$categ['Id']."',
                        '".$_SESSION["Id"]."','".$_SESSION["Id"]."','".date("Y-m-d H:i:s")."','".date("Y-m-d H:i:s")."')")
                        or die("Erro no comando SQL:".mysqli_error($con));


                        $Qtd_Novo = -$Qtd_Novo;
cadEstoque($Codigo_Pdv_Produto,$Produto_Novo,$Qtd_Novo,"","","","",$Local_Estoque,$Preco_Custo,$Preco_Venda,$Cfop,$Icms,$Ipi,"Venda","No",$Id_do_Pdv,$Unidade,date('d/m/Y'),$_POST["Lancamento"],$Icms_Sub,$Mva,$Reducao,$Origem);

// fim inserindo os itens de cada venda
}


//Se for uma atualizao vai entrar aqui
if($pdv_existe=='S'){
    
    if(trim($colu39)=='Cancelado'){
        $Prodt = mysqli_query($con,"SELECT produto.Id
                FROM produto 
                INNER JOIN cliente_negociacao ON produto.Id = cliente_negociacao.Id_Produto
                WHERE cliente_negociacao.Codigo_Cliente = '".limpaNome(utf8_decode(trim($colu26)))."' ");
        $Prodt = mysqli_fetch_assoc($Prodt);
        
        $Prodt_venda = mysqli_query($con,"SELECT Id FROM venda_produto 
                    WHERE Id_Produto='".$Prodt['Id']."' AND Id_Venda='".$Id_do_Pdv."' ");
        $Prodt_venda = mysqli_fetch_assoc($Prodt_venda);
        
        mysqli_query($con,"DELETE FROM estoque WHERE Id='".$Prodt_venda['Id']."' ");
        
        mysqli_query($con,"DELETE FROM venda_produto WHERE Id_Produto='".$Prodt['Id']."' AND Id_Venda='".$Id_do_Pdv."' ");
        
        mysqli_query($con,"UPDATE venda SET Id_Arquiteto='Sim' WHERE Id='".$Id_do_Pdv."' ");
    }
    
    if(trim($colu39)=='Alterado'){
        $Prodt = mysqli_query($con,"SELECT produto.Id
                FROM produto 
                INNER JOIN cliente_negociacao ON produto.Id = cliente_negociacao.Id_Produto
                WHERE cliente_negociacao.Codigo_Cliente = '".limpaNome(utf8_decode(trim($colu26)))."' ");
        $Prodt = mysqli_fetch_assoc($Prodt);
        
        $Qtd_Novo = $colu23;
        $Preco_Venda = $colu24;
        
        $Preco_Venda =str_replace('.','',$Preco_Venda);
        $Preco_Venda =str_replace(',','.',$Preco_Venda);

        $Qtd_Novo =str_replace('.','',$Qtd_Novo);
        $Qtd_Novo =str_replace(',','.',$Qtd_Novo);
        
        mysqli_query($con,"UPDATE venda_produto SET
                    Preco='".$Preco_Venda."',
                    Qtd='".$Qtd_Novo."'
                    WHERE Id_Produto='".$Prodt['Id']."' AND Id_Venda='".$Id_do_Pdv."' ");
        
        $Prodt_venda = mysqli_query($con,"SELECT Id FROM venda_produto 
                    WHERE Id_Produto='".$Prodt['Id']."' AND Id_Venda='".$Id_do_Pdv."' ");
        $Prodt_venda = mysqli_fetch_assoc($Prodt_venda);
        
        $Qtd_Novo = -$Qtd_Novo;
        mysqli_query($con,"UPDATE estoque SET Qtd='".$Qtd_Novo."',
                    Preco_Venda='".$Preco_Venda."'
                    WHERE Id='".$Prodt_venda['Id']."' ");
        
        mysqli_query($con,"UPDATE venda SET Id_Arquiteto='Sim' WHERE Id='".$Id_do_Pdv."' ");
    }
    
}


                //fim do contador para no inserir a primeira linha
               }
			//if(!$res) continue;
			//$total++;
        $y++;
		}
	}

	return $total;
}// end function

### fim fucoes legumes e cia ###
?>