<?php
include_once '../../include/conecta.php'; //Conecta com a nosso banco de dados MySQL
include_once '../../include/ver_sessao.php'; //Verifica se a sesso est ativa
include_once '../../include/funcoesPhp.php'; include_once '../../menu_movimento.php';


function data_exibirtxt($data){
	if (trim($data)!=''){
		$ano = substr($data,0,4);
		$mes = substr($data,5,2);
		$dia = substr($data,8,2);
		return $dia.$mes.$ano;
	}
}

function sequencial($i)
{
    if($i < 10)
    {
        return zeros(0,4).$i;
    }
    else if($i >= 10 && $i < 100)
    {
        return zeros(0,3).$i;
    }
    else if($i >= 100 && $i < 1000)
    {
        return zeros(0,2).$i;
    }
    else if($i >= 1000 && $i < 10000)
    {
        return zeros(0,1).$i;
    }
    else if($i >= 10000 && $i < 100000)
    {
        return zeros(0,0).$i;
    }
}

function zeros($min,$max)
{
    $zeros = '';
    $x = ($max - strlen($min));
    for($i = 0; $i < $x; $i++)
    {
        $zeros .= '0';
    }
    return $zeros.$min;
}

function complementoRegistro($int,$tipo)
{
    if($tipo == "zeros")
    {
        $space = '';
        for($i = 1; $i <= $int; $i++)
        {
            $space .= '0';
        }
    }
    else if($tipo == "brancos")
    {
        $space = '';
        for($i = 1; $i <= $int; $i++)
        {
            $space .= ' ';
        }
    }

    return $space;
}

ob_start();

$quebradelinha=chr(13).chr(10);

//9 - Numrico
//X - Alfanumrico
//Exemplos:
//9(005) = 00015
//9(003)V99 = 06015
//X(020) = JOAO



$caixaA = mysqli_query($con,"SELECT caixa.Tipo,
                       caixa.Valor
                       FROM caixa
                       WHERE caixa.Data_Caixa >= '".data_banco($_GET["De"])."' 
                       AND caixa.Data_Caixa <= '".data_banco($_GET["Ate"])."' 
                       AND Transferencia = 'No'
                       AND Id_Unidade = '".$_GET["Unidade"]."'
                       AND (caixa.Tipo = 'Saida' OR caixa.Tipo = 'Entrada')
                       ORDER BY caixa.Data_Caixa");


               $valorAnterior = 0;
               while($chave = mysqli_fetch_assoc($caixaA)){
               $valorFinal = 0;

                   if($chave['Tipo']=='Entrada'){
                           $valorFinal = $valorAnterior+$chave['Valor'];
                   }
                   if($chave['Tipo']=='Saida'){
                           $valorFinal = $valorAnterior-$chave['Valor'];
                   }
                   if($chave['Tipo']=='Cancelado'){
                           $valorFinal = $valorAnterior;
                   }
                   
                $valorAnterior = $valorFinal;

                }

$data_1 = $_GET["Ate"];
$partes = explode("/", $data_1);
$dia2 = $partes[0];
$mes2 = $partes[1];
$ano2 = $partes[2];

switch($mes2){
    case '01': $mes = "Janeiro";
    break;
    case '02': $mes = "Fevereiro";// todo ano bixesto fev tem 29 dias
    break;
    case '03': $mes = "Marco";
    break;
    case '04': $mes = "Abril";
    break;
    case '05': $mes = "Maio";
    break;
    case '06': $mes = "Junho";
    break;
    case '07': $mes = "Julho";
    break;
    case '08': $mes = "Agosto";
    break;
    case '09': $mes = "Setembro";
    break;
    case '10': $mes = "Outubro";
    break;
    case '11': $mes = "Novembro";
    break;
    case '12': $mes = "Dezembro";
    break;
}
                
                
//dados da empresa
$empresa = mysqli_query($con,"SELECT Cnpj FROM unidade WHERE Id = '".$_GET["Unidade"]."' ");
$emp = mysqli_fetch_assoc($empresa);


//header
echo "C";
echo "M";
echo data_exibirtxt(data_banco($_GET["Ate"]));

$valorAnterior=  number_format($valorAnterior,2,",",".");
$valorAnterior=str_replace('.','',$valorAnterior);
$valorAnterior=str_replace(',','',$valorAnterior);
echo str_pad($valorAnterior, 15,"0", STR_PAD_LEFT);//total geral do caixa
echo str_pad($mes, 20," ", STR_PAD_RIGHT);
echo str_pad("OUT", 3," ", STR_PAD_RIGHT);//origem, isto  interno do cordilheira
echo str_pad(" ", 10," ", STR_PAD_RIGHT);//identificador
echo "N";//situao do lote
echo str_pad(CaracteresEspeciais($emp["Cnpj"],"Sim"), 14," ", STR_PAD_RIGHT);
echo complementoRegistro(22,"brancos");
echo sequencial(1);

echo $quebradelinha;



$produto = mysqli_query($con,"SELECT caixa.Valor,
                        caixa.Data_Caixa,
                        caixa.Tipo,
                        caixa.Obs,
                        atividade.Codigo_Reduzido as Codigo_Atividade,
                        conta.Codigo_Reduzido as Codigo_Conta
                        FROM caixa
                        LEFT JOIN (SELECT Id,Codigo_Reduzido FROM atividade) as atividade ON atividade.Id = caixa.Id_Atividade
                        LEFT JOIN conta ON conta.Id = caixa.Id_Conta
                        INNER join banco ON conta.Id_Banco = banco.Id 
                        WHERE caixa.Data_Caixa >= '".data_banco($_GET["De"])."' 
                        AND caixa.Data_Caixa <= '".data_banco($_GET["Ate"])."' 
                        AND Transferencia = 'No'
                        AND caixa.Id_Unidade = '".$_GET["Unidade"]."'
                        AND (caixa.Tipo = 'Saida' OR caixa.Tipo = 'Entrada')
                        ORDER BY caixa.Data_Caixa,caixa.Data_Cadastro ");

$y='2';
while($iten = mysqli_fetch_assoc($produto)){

echo "L";
echo data_exibirtxt($iten["Data_Caixa"]);

if($iten["Tipo"]=="Saida"){
    //se tiver pagando
    //Debito = Conta Fiannceira, Credito = Conta Bancaria
    echo str_pad($iten["Codigo_Atividade"], 6,"0", STR_PAD_LEFT);//conta debito
    echo str_pad($iten["Codigo_Conta"], 6,"0", STR_PAD_LEFT);//conta credito

}else{
    //se tiver recebendo
    //Debito = Conta Banria, Credito = Conta Financeira
    echo str_pad($iten["Codigo_Conta"], 6,"0", STR_PAD_LEFT);//conta debito
    echo str_pad($iten["Codigo_Atividade"], 6,"0", STR_PAD_LEFT);//conta credito
    
}

echo str_pad("015", 3,"0", STR_PAD_LEFT);//historico
//echo str_pad(substr($iten["Obs"],0,24), 25," ", STR_PAD_RIGHT);//compl historico
echo str_pad(" ", 25," ", STR_PAD_RIGHT);//compl historico
$iten["Valor"]=number_format($iten["Valor"],2,",",".");
$iten["Valor"]=str_replace('.','',$iten["Valor"]);
$iten["Valor"]=str_replace(',','',$iten["Valor"]);
echo str_pad($iten["Valor"], 15,"0", STR_PAD_LEFT);//valor
echo str_pad($iten["Centro_Custo"], 3,"0", STR_PAD_LEFT);
echo str_pad(" ", 14," ", STR_PAD_RIGHT);//classif a debito
echo str_pad(" ", 14," ", STR_PAD_RIGHT);//classif a credito
echo sequencial($y);
echo str_pad(" ", 1," ", STR_PAD_RIGHT);//delimitador
echo str_pad(" ", 90," ", STR_PAD_RIGHT);//observacaoes
echo str_pad($iten["Centro_Custo2"], 6,"0", STR_PAD_LEFT);//centro custo 2
echo complementoRegistro(2,"brancos");
echo str_pad(" ", 1," ", STR_PAD_RIGHT);//delimitador
echo str_pad(" ", 2," ", STR_PAD_RIGHT);//identificador

echo $quebradelinha;

$y++;

echo "H";
echo str_pad(substr($iten["Obs"],0,49), 50," ", STR_PAD_RIGHT);//desc hisotorico
echo complementoRegistro(44,"brancos");
echo sequencial($y);

echo $quebradelinha;

$y++;

}



$pagina = ob_get_contents();
ob_end_clean();
//echo utf8_encode($pagina);
// Abre ou cria o arquivo bloco1.txt
// "a" representa que o arquivo  aberto para ser escrito
$fp = fopen("LOTD0000_".CaracteresEspeciais($emp["Cnpj"],"Sim")."_TMP.TXT", "w");

// Escreve "exemplo de escrita" no bloco1.txt
$escreve = fwrite($fp, $pagina);

// Fecha o arquivo
$finaliza = fclose($fp);

$aquivoNome = "LOTD0000_".CaracteresEspeciais($emp["Cnpj"],"Sim")."_TMP.TXT"; // nome do arquivo que ser enviado p/ download
$arquivoLocal = $aquivoNome; // caminho absoluto do arquivo

// Definimos o novo nome do arquivo
$novoNome = "LOTD0000_".CaracteresEspeciais($emp["Cnpj"],"Sim").".TXT";

// Configuramos os headers que sero enviados para o browser
header('Content-Description: File Transfer');
header('Content-Disposition: attachment; filename="'.$novoNome.'"');
header('Content-Type: application/octet-stream');
header('Content-Transfer-Encoding: binary');
header('Content-Length: ' . filesize($aquivoNome));
header('Cache-Control: must-revalidate, post-check=0, pre-check=0');
header('Pragma: public');
header('Expires: 0');

// Envia o arquivo para o cliente
readfile($aquivoNome);

//copiando e deletando o arquivo
//$origem = 'arquivo.txt';
//$destino = 'pasta/example.txt';
//copy($origem, $destino);
unlink($arquivoLocal);
?>