<?php
include_once '../../include/conecta.php'; //Conecta com a nosso banco de dados MySQL
include_once '../../include/ver_sessao.php'; //Verifica se a sesso est ativa
include_once '../../include/funcoesPhp.php'; include_once '../../menu_movimento.php';


function data_exibirtxt($data){
	if (trim($data)!=''){
		$ano = substr($data,0,4);
		$mes = substr($data,5,2);
		$dia = substr($data,8,2);
		return $dia.$mes.$ano;
	}
}

function sequencial($i)
{
    if($i < 10)
    {
        return zeros(0,4).$i;
    }
    else if($i >= 10 && $i < 100)
    {
        return zeros(0,3).$i;
    }
    else if($i >= 100 && $i < 1000)
    {
        return zeros(0,2).$i;
    }
    else if($i >= 1000 && $i < 10000)
    {
        return zeros(0,1).$i;
    }
    else if($i >= 10000 && $i < 100000)
    {
        return zeros(0,0).$i;
    }
}

function zeros($min,$max)
{
    $zeros = '';
    $x = ($max - strlen($min));
    for($i = 0; $i < $x; $i++)
    {
        $zeros .= '0';
    }
    return $zeros.$min;
}

function complementoRegistro($int,$tipo)
{
    if($tipo == "zeros")
    {
        $space = '';
        for($i = 1; $i <= $int; $i++)
        {
            $space .= '0';
        }
    }
    else if($tipo == "brancos")
    {
        $space = '';
        for($i = 1; $i <= $int; $i++)
        {
            $space .= ' ';
        }
    }

    return $space;
}

ob_start();

$quebradelinha=chr(13).chr(10);

//9 - Numrico
//X - Alfanumrico
//Exemplos:
//9(005) = 00015
//9(003)V99 = 06015
//X(020) = JOAO
                
                
//dados da empresa
$empresa = mysqli_query($con,"SELECT Cnpj FROM unidade WHERE Id = '".$_GET["Unidade"]."' ");
$emp = mysqli_fetch_assoc($empresa);



$produto = mysqli_query($con,"SELECT caixa.Valor,
                        caixa.Data_Caixa,
                        caixa.Tipo,
                        caixa.Obs,
                        caixa.Fatura,
                        caixa.Lancamento,
                        atividade.Codigo_Reduzido as Codigo_Atividade,
                        conta.Codigo_Reduzido as Codigo_Conta
                        FROM caixa
                        LEFT JOIN (SELECT Id,Codigo_Reduzido FROM atividade) as atividade ON atividade.Id = caixa.Id_Atividade
                        LEFT JOIN conta ON conta.Id = caixa.Id_Conta
                        INNER join banco ON conta.Id_Banco = banco.Id 
                        WHERE caixa.Data_Caixa >= '".data_banco($_GET["De"])."' 
                        AND caixa.Data_Caixa <= '".data_banco($_GET["Ate"])."' 
                        AND Transferencia = 'No'
                        AND caixa.Id_Unidade = '".$_GET["Unidade"]."'
                        AND (caixa.Tipo = 'Saida' OR caixa.Tipo = 'Entrada')
                        ORDER BY caixa.Data_Caixa,caixa.Data_Cadastro ");

$y='2';
while($iten = mysqli_fetch_assoc($produto)){

echo '"'.$iten["Lancamento"].'",';

if($iten["Tipo"]=="Saida"){
    //se tiver pagando
    //Debito = Conta Fiannceira, Credito = Conta Bancaria
    echo '"'.$iten["Codigo_Atividade"].'",';//conta debito
    echo '"'.$iten["Codigo_Conta"].'",';//conta credito

}else{
    //se tiver recebendo
    //Debito = Conta Banria, Credito = Conta Financeira
    echo '"'.$iten["Codigo_Conta"].'",';//conta debito
    echo '"'.$iten["Codigo_Atividade"].'",';//conta credito
    
}

echo '"'.data_exibir($iten["Data_Caixa"]).'",';
$iten["Valor"]=number_format($iten["Valor"],2,",",".");
$iten["Valor"]=str_replace('.','',$iten["Valor"]);
$iten["Valor"]=str_replace(',','',$iten["Valor"]);
echo '"'.$iten["Valor"].'",';//valor

echo str_pad(" ", 5,"0", STR_PAD_LEFT);//cod historico
echo '"'.$iten["Obs"].'",';//historico

echo '"'.$iten["Fatura"].'"';

echo $quebradelinha;


$y++;

}



$pagina = ob_get_contents();
ob_end_clean();
//echo utf8_encode($pagina);
// Abre ou cria o arquivo bloco1.txt
// "a" representa que o arquivo  aberto para ser escrito
$fp = fopen("LOTD0000_".CaracteresEspeciais($emp["Cnpj"],"Sim")."_TMP.TXT", "w");

// Escreve "exemplo de escrita" no bloco1.txt
$escreve = fwrite($fp, $pagina);

// Fecha o arquivo
$finaliza = fclose($fp);

$aquivoNome = "LOTD0000_".CaracteresEspeciais($emp["Cnpj"],"Sim")."_TMP.TXT"; // nome do arquivo que ser enviado p/ download
$arquivoLocal = $aquivoNome; // caminho absoluto do arquivo

// Definimos o novo nome do arquivo
$novoNome = "LOTD0000_".CaracteresEspeciais($emp["Cnpj"],"Sim").".TXT";

// Configuramos os headers que sero enviados para o browser
header('Content-Description: File Transfer');
header('Content-Disposition: attachment; filename="'.$novoNome.'"');
header('Content-Type: application/octet-stream');
header('Content-Transfer-Encoding: binary');
header('Content-Length: ' . filesize($aquivoNome));
header('Cache-Control: must-revalidate, post-check=0, pre-check=0');
header('Pragma: public');
header('Expires: 0');

// Envia o arquivo para o cliente
readfile($aquivoNome);

//copiando e deletando o arquivo
//$origem = 'arquivo.txt';
//$destino = 'pasta/example.txt';
//copy($origem, $destino);
unlink($arquivoLocal);
?>