<?php
include_once '../../include/conecta.php'; //Conecta com a nosso banco de dados MySQL
include_once '../../include/ver_sessao.php'; //Verifica se a sesso est ativa
include_once '../../include/funcoesPhp.php'; include_once '../../menu_movimento.php';


function data_exibirtxt($data){
	if (trim($data)!=''){
		$ano = substr($data,0,4);
		$mes = substr($data,5,2);
		$dia = substr($data,8,2);
		return $ano.$mes.$dia;
	}
}

ob_start();

$quebradelinha=chr(13).chr(10);

$unid = mysqli_query($con,"SELECT Estado,Aliquota_Simples FROM unidade WHERE Id = '1' ");
$unid = mysqli_fetch_assoc($unid);

//$result = mysqli_query($con,"SELECT * FROM icms WHERE Estado = '".$unid["Estado"]."' ");
//$registro = mysqli_fetch_assoc($result);


//OP = N . numricos N devem ser alinhados a direita e preenchidos com zeros a esquerda.
//No informar virgula ou ponto decimal. No informar separador de milhar. EX 10,123 = 010123
//OP = A/AN . Campos Alfa A e Alfanumricos AN devem ser alinhados a esquerda e preenchidos com brancos as direita.
//OP = D . Campos Data D devem ser informados como DDMMAAAA ou conforme instruo da observao do prprio campo.
//Para informar um valor nulo, use '000000000'.

#Para apagar toda a Lista anterior e substituir pelas novas informaes do arquivo, informe no primeiro Item, o texto LIMPAR

//echo "LIMPAR";
//echo $quebradelinha;

$result = mysqli_query($con,"SELECT DISTINCT CONCAT(Tabela_Icms,'',Origem_ST,'',Codigo_ST) as Id,
                        Codigo_ST,
                        Modalidade_BC_ICMS,
                        Modalidade_BC_ICMS_ST,
                        Tabela_Icms,
                        Regime_ST,
                        Codigo_ST,
                        Origem_ST
                       FROM produto WHERE Ativo='Sim' AND Codigo_ST<>'' ");

$x = '1';
while ($linha = mysqli_fetch_assoc($result)){
    
$icm = mysqli_query($con,"select Id,
                    Aliquota".$linha['Tabela_Icms']." as Aliquota,
                    Reducao".$linha['Tabela_Icms']." as Reducao,
                    Icms_Sub".$linha['Tabela_Icms']." as Icms_Sub 
                    from icms
                    WHERE Estado='".$unid["Estado"]."' ");
$icm = mysqli_fetch_assoc($icm);


if($linha["Regime_ST"]=='Normal'){
    if($linha["Codigo_ST"]=='00'){
        $Codigo_Normal = $linha["Origem_ST"].'00';
        $Codigo_Simples = '0101';
    }
    if($linha["Codigo_ST"]=='10'){
        $Codigo_Normal = $linha["Origem_ST"].'10';
        $Codigo_Simples = '0201';
    }
    if($linha["Codigo_ST"]=='20'){
        $Codigo_Normal = $linha["Origem_ST"].'20';
        $Codigo_Simples = '0101';
    }
    if($linha["Codigo_ST"]=='30'){
        $Codigo_Normal = $linha["Origem_ST"].'30';
        $Codigo_Simples = '0202';
    }
    if($linha["Codigo_ST"]=='40'){
        $Codigo_Normal = $linha["Origem_ST"].'40';
        $Codigo_Simples = '0102';
    }
    if($linha["Codigo_ST"]=='41'){
        $Codigo_Normal = $linha["Origem_ST"].'41';
        $Codigo_Simples = '0102';
    }
    if($linha["Codigo_ST"]=='50'){
        $Codigo_Normal = $linha["Origem_ST"].'50';
        $Codigo_Simples = '0103';
    }
    if($linha["Codigo_ST"]=='51'){
        $Codigo_Normal = $linha["Origem_ST"].'51';
        $Codigo_Simples = '0103';
    }
    if($linha["Codigo_ST"]=='60'){
        $Codigo_Normal = $linha["Origem_ST"].'60';
        $Codigo_Simples = '0500';
    }
    if($linha["Codigo_ST"]=='70'){
        $Codigo_Normal = $linha["Origem_ST"].'70';
        $Codigo_Simples = '0203';
    }
    if($linha["Codigo_ST"]=='90'){
        $Codigo_Normal = $linha["Origem_ST"].'90';
        $Codigo_Simples = '0900';
    }
}else{
    if($linha["Codigo_ST"]=='101'){
        $Codigo_Normal = '000';
        $Codigo_Simples = $linha["Origem_ST"].'101';
    }
    if($linha["Codigo_ST"]=='102'){
        $Codigo_Normal = '000';
        $Codigo_Simples = $linha["Origem_ST"].'102';
    }
    if($linha["Codigo_ST"]=='103'){
        $Codigo_Normal = '040';
        $Codigo_Simples = $linha["Origem_ST"].'103';
    }
    if($linha["Codigo_ST"]=='201'){
        $Codigo_Normal = '010';
        $Codigo_Simples = $linha["Origem_ST"].'201';
    }
    if($linha["Codigo_ST"]=='202'){
        $Codigo_Normal = '010';
        $Codigo_Simples = $linha["Origem_ST"].'202';
    }
    if($linha["Codigo_ST"]=='203'){
        $Codigo_Normal = '010';
        $Codigo_Simples = $linha["Origem_ST"].'203';
    }
    if($linha["Codigo_ST"]=='300'){
        $Codigo_Normal = '040';
        $Codigo_Simples = $linha["Origem_ST"].'300';
    }
    if($linha["Codigo_ST"]=='400'){
        $Codigo_Normal = '041';
        $Codigo_Simples = $linha["Origem_ST"].'400';
    }
    if($linha["Codigo_ST"]=='500'){
        $Codigo_Normal = '060';
        $Codigo_Simples = $linha["Origem_ST"].'500';
    }
    if($linha["Codigo_ST"]=='900'){
        $Codigo_Normal = '090';
        $Codigo_Simples = $linha["Origem_ST"].'900';
    }
}



echo str_pad($linha["Id"], 6,"0", STR_PAD_LEFT);

echo str_pad("Aliquota ".$linha["Codigo_ST"], 60," ", STR_PAD_RIGHT);

echo str_pad($Codigo_Normal, 3,"0", STR_PAD_LEFT);//CST

echo str_pad("3", 1,"0", STR_PAD_LEFT);//Modalidade_BC_ICMS

echo str_pad("", 5,"0", STR_PAD_LEFT);//Base de Clculo do ICMS.

$icm["Aliquota"]=  number_format($icm["Aliquota"],2,",",".");
$icm["Aliquota"]=str_replace('.','',$icm["Aliquota"]);
$icm["Aliquota"]=str_replace(',','',$icm["Aliquota"]);

echo str_pad($icm["Aliquota"], 4,"0", STR_PAD_LEFT);//aliquota

echo str_pad("3", 1,"0", STR_PAD_LEFT);//Modalidade_BC_ICMS_ST

$icm["Icms_Sub"]=  number_format($icm["Icms_Sub"],2,",",".");
$icm["Icms_Sub"]=str_replace('.','',$icm["Icms_Sub"]);
$icm["Icms_Sub"]=str_replace(',','',$icm["Icms_Sub"]);

echo str_pad($icm["Icms_Sub"], 5,"0", STR_PAD_LEFT);//IVA

echo str_pad("", 5,"0", STR_PAD_LEFT);//Base de Clculo do ICMS ST.

echo str_pad("", 4,"0", STR_PAD_LEFT);

echo "0";//reservado

echo str_pad("", 5,"0", STR_PAD_LEFT);//Base Clculo Ap. Prpria

echo str_pad($Codigo_Simples, 6,"0", STR_PAD_LEFT);//CSOSN

echo str_pad($icm["Aliquota_Simples"], 4,"0", STR_PAD_LEFT);

echo str_pad("", 5,"0", STR_PAD_LEFT);
echo str_pad("", 4,"0", STR_PAD_LEFT);
echo str_pad("", 5,"0", STR_PAD_LEFT);
echo str_pad("", 4,"0", STR_PAD_LEFT);
echo str_pad("", 5,"0", STR_PAD_LEFT);
echo str_pad("", 4,"0", STR_PAD_LEFT);
echo str_pad("", 4,"0", STR_PAD_LEFT);
echo str_pad("", 4,"0", STR_PAD_LEFT);//CFOP
echo str_pad("", 2," ", STR_PAD_LEFT);//Motivo da Desonerao do ICMS
echo str_pad("", 5,"0", STR_PAD_LEFT);
echo str_pad("", 4,"0", STR_PAD_LEFT);
echo str_pad("", 5,"0", STR_PAD_LEFT);
echo str_pad("", 4,"0", STR_PAD_LEFT);
echo str_pad("", 5,"0", STR_PAD_LEFT);
echo str_pad("", 5,"0", STR_PAD_LEFT);
echo str_pad("", 4,"0", STR_PAD_LEFT);
echo "0";//Somar 'Outras despesas' na base do ICMS
/*
echo "0";//Sujeito a Repasse Interestadual
echo str_pad("", 5,"0", STR_PAD_LEFT);
echo str_pad("", 5,"0", STR_PAD_LEFT);
echo str_pad("", 5,"0", STR_PAD_LEFT);
echo str_pad("", 5,"0", STR_PAD_LEFT);
echo "0";//Subtrair ICMS Desonerado
*/
echo $quebradelinha;
}

$pagina = ob_get_contents();
ob_end_clean();
//echo utf8_encode($pagina);
// Abre ou cria o arquivo bloco1.txt
// "a" representa que o arquivo  aberto para ser escrito
$fp = fopen("ICMS_TEMP.txt", "w");

// Escreve "exemplo de escrita" no bloco1.txt
$escreve = fwrite($fp, $pagina);

// Fecha o arquivo
$finaliza = fclose($fp);

$aquivoNome = "ICMS_TEMP.txt"; // nome do arquivo que ser enviado p/ download
$arquivoLocal = $aquivoNome; // caminho absoluto do arquivo

// Definimos o novo nome do arquivo
$novoNome = "ICMS.txt";

// Configuramos os headers que sero enviados para o browser
header('Content-Description: File Transfer');
header('Content-Disposition: attachment; filename="'.$novoNome.'"');
header('Content-Type: application/octet-stream');
header('Content-Transfer-Encoding: binary');
header('Content-Length: ' . filesize($aquivoNome));
header('Cache-Control: must-revalidate, post-check=0, pre-check=0');
header('Pragma: public');
header('Expires: 0');

// Envia o arquivo para o cliente
readfile($aquivoNome);

//copiando e deletando o arquivo
//$origem = 'arquivo.txt';
//$destino = 'pasta/example.txt';
//copy($origem, $destino);
unlink($arquivoLocal);
?>