<?php
include_once 'include/conecta.php'; //Conecta com a nosso banco de dados MySQL
//include_once 'include/ver_sessao.php'; //Verifica se a sesso est ativa
include_once 'include/funcoesPhp.php'; //Inclue a pgina con todas as funes a ser usada.
?>
<!DOCTYPE html>
<html lang="pt-br">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <title>GeoLocalizao</title>
    <style type="text/css">
            html, body, #map { height: 100%; margin: 0; }
      </style>
    <script src="https://maps.google.com/maps/api/js?key=AIzaSyDlDusxy6lsppotSC3C4a9Ub3G2481_iyk&sensor=false"></script>
    <script src="js/map.js"></script>
    <script>
    document.addEventListener('DOMContentLoaded', function(){

    var target = document.querySelector('#map');
    
    navigator.geolocation.getCurrentPosition(function(position) {

        var latitude   = position.coords.latitude;
        var longitude  = position.coords.longitude;
        var coordinate = new google.maps.LatLng(latitude, longitude);

        var optionsMap = {
                    center : coordinate,
                    zoom: 19,
                    mapTypeId: google.maps.MapTypeId.ROADMAP
        };

        var map = new google.maps.Map(target, optionsMap);

        var configMarker = {
                             position : coordinate,
                             map : map,
                             title: "Voc est aqui!"
                            };

        var marker = new google.maps.Marker(configMarker);

    });
});
    </script>
   
</head>
<body>
    <div id="map"></div>  
</body>
</html>