<?php
include_once "../mpdf/mpdf.php";

if($_GET["Unidade"]){
    $_SESSION["Unidade"]=$_GET["Unidade"];
}
$pega_unidade = mysqli_query($con,"SELECT Titulo FROM unidade WHERE Id = '".$_SESSION["Unidade"]."' ");
$qtd_unidade = mysqli_fetch_assoc($pega_unidade);

//Texto para serem inseridos
$cabecalho = CaracteresEspeciais($qtd_unidade["Titulo"]);
$rodape = CaracteresEspeciais($qtd_unidade["Titulo"]);
$marcaDagua = CaracteresEspeciais($qtd_unidade["Titulo"]);

// cria um novo container PDF no formato A4 com orientao customizada
$mpdf=new mPDF('utf-8', 'A4');

// muda o charset para aceitar caracteres acentuados iso 8859-1 utilizados 
//por mim no banco de dados e na geracao do conteudo PHP com HTML
//$mpdf->allow_charset_conversion=true;
//$mpdf->charset_in='iso-8859-1';

//Algumas configuraes do PDF

// modo de visualizao. Exibir a pagina inteira no browser
$mpdf->SetDisplayMode('fullpage');


//Cabealho: Seta a data/hora completa de quando o PDF foi gerado + um texto no lado direito
$mpdf->SetHeader('{DATE j/m/Y H:i}|{PAGENO}/{nb}|'.$cabecalho.'');
//Rodap: Seta a data/hora completa de quando o PDF foi gerado + um texto no lado direito
$mpdf->SetFooter('{DATE j/m/Y H:i}|{PAGENO}/{nb}|'.$rodape.'');

// carrega uma folha de estilo - MAGICA!!!
$stylesheet = file_get_contents('../estilo/<?php echo SKIN ;?>/tabela_imp.css');


$mpdf->useOnlyCoreFonts = true; // false is default
//$mpdf->SetProtection(array('print'));
//$mpdf->SetTitle("Acme Trading Co. - Invoice");
//$mpdf->SetAuthor("Acme Trading Co.");
$mpdf->SetWatermarkText($marcaDagua);
$mpdf->showWatermarkText = true;
$mpdf->watermark_font = 'DejaVuSansCondensed';
$mpdf->watermarkTextAlpha = 0.1;
//$mpdf->use_kwt = true;
//$mpdf->shrink_tables_to_fit=1;

// incorpora a folha de estilo ao PDF
// O parmetro 1 diz que este  um css/style e dever ser interpretado como tal
$mpdf->WriteHTML($stylesheet,1);

// incorpora o corpo ao PDF na posio 2 e dever ser interpretado como footage. Todo footage  posicao 2 ou 0(padro).
$mpdf->WriteHTML(utf8_encode($html));

// define um nome para o arquivo PDF
$arquivo = date("dmYhis").'_sistema.pdf';

// imprimir deireto na tela
// $mpdf->Output();//gera na tela
// gera o relatrio
$mpdf->Output($arquivo,'D');//baixar o arquivo
//$mpdf->Output($arquivo,'F');//salva o arquivo

exit();
?>