<?php
error_reporting(false);

define('PAIS', 'BRA');

include 'include/funcoesPhp.php'; //Inclue a pgina con todas as funes a ser usada.
//INDEX PARA A TELA DE FINANCEIRO
if ($_SERVER['REQUEST_METHOD'] == "POST") {

    include 'include/conecta.php'; //Conecta com o banco de dados MySQL

    if ($_POST["Natureza"] == "PF") {
        $Cpf_Cnpj = $_POST["Cpf"];
    } else {
        $Cpf_Cnpj = $_POST["Cnpj"];
    }

    $Cpf_Cnpj = CaracteresEspeciais($Cpf_Cnpj, "Sim");

    $_POST['Senha'] = mysqli_real_escape_string($con, $_POST['Senha']);

    if (honeypot_verify($_POST)) {

        if ((CLIENTE_EMAIL == 'coffeebar') || (CLIENTE_EMAIL == 'naturezaviva') || (CLIENTE_EMAIL == 'ciclovital') || (CLIENTE_EMAIL == 'spw') || (CLIENTE_EMAIL == 'gw')) {
            $sist = " AND Senha_Site = '" . $_POST['Senha'] . "' ";
        }

        /* PUXA TODOS OS DADOS PARA INICIAR A SESSAO */
        $sql = mysqli_query($con, "SELECT cliente.Id,
                                cliente.Titulo,
                                cliente.Email,
                                cliente.Cpf_Cnpj,
                                cliente.Natureza,
                                cliente.Razao_Social
                                FROM cliente
                                WHERE 1=1 AND
                                cliente.Cpf_Cnpj = '" . $Cpf_Cnpj . "'
                                $sist
				                AND cliente.Ativo = 'Sim' ");

        if (mysqli_num_rows($sql) > 0) {
            session_start(); //Inicializa uma sesso
            $verUsuario = mysqli_fetch_assoc($sql);
            $_SESSION["Id_Cliente"] = $verUsuario["Id"];
            $_SESSION["Titulo_Cliente"] = $verUsuario["Titulo"];
            $_SESSION["Email_Cliente"] = $verUsuario["Email"];
            $_SESSION["Cpf_Cnpj_Cliente"] = $verUsuario["Cpf_Cnpj"];
            $_SESSION["Natureza_Cliente"] = $verUsuario["Natureza"];
            $_SESSION["Razao_Social_Cliente"] = $verUsuario["Razao_Social"];
            $_SESSION["Sistema"] = CLIENTE_EMAIL;
            $_SESSION["Tipo"] = "Financeiro";
            //seto para nao sair na ver_sessao
            $_SESSION["Login"] = "1";
            $_SESSION["Senha"] = "1";


            header("Location:principal.php"); //Redireciono para a pgina de opes
        } else {
            $msg = 'Cnpj ou Senha no conferem';
        }
    } else {
        $msg = 'Necessrio o Preenchimento';
    }
}

$pasta_sis = substr($_SERVER["PHP_SELF"], 1);
$qtd_past = strpos($pasta_sis, "/");
$pasta_sis = substr($pasta_sis, 0, $qtd_past);
?>
<html>
<head>
    <title>Gw - Gesto Web</title>
    <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1" />
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <link rel="shortcut icon" href="imagem/favi_gw.ico" type="image/x-icon" />
    <link href="estilo/login/bootstrap5.3.0/bootstrap.min.css" rel="stylesheet">
    <link href="estilo/login/bootstrap5.3.0/docs.css" rel="stylesheet">
    <link href="estilo/login/style_index2.css" rel="stylesheet" />
    <script src="./estilo/login/login.js"></script>
    <script src="estilo/login/bootstrap5.3.0/bootstrap.bundle.min.js"></script>
</head>

<body>
    <!---------------------------------- Container principal ------------------------------------->


    <div class="alinhamento-countainer principal-container  align-items-center min-vh-40">


        <!---------------------------------- Container Login ------------------------------------->


        <div class="row border p-3 bg-white shadow box-area rounded">


            <!---------------------------------- Bloco da Esquerda ------------------------------------->


            <div class="col-md-8 rounded-3 banner-area d-flex justify-content-center align-items-center flex-column left-box left-banner-box" style="background: #d7e3f9 ;">
                <div class="feature-image">
                    <div id="carouselExampleIndicators" class="carousel slide" data-bs-ride="carousel">
                        <div class="carousel-inner">
                            <div class="carousel-item active d-flex justify-content-center" id="social">
                                <img src="./imagem/foto_cliente.jpg" class="img-fluid rounded " style="width: 100%; height:100%">
                                <!-- <a href="https://instagram.com/ponttiweb" target="_blank">ponttiweb</a> -->
                            </div>
                        </div>
                    </div>

                </div>

            </div>
            <!---------------------------------- Bloco da Direita ------------------------------------->

            <div class="col-md-4 right-box formulario-area">

                <form name="formLogin" method="post" action="">
                    <?php echo honeypot_input(); ?>

                    <div class="row align-items-center">
                        <div class="group mt-3">
                            <?php
                            if (file_exists("unidade/foto/555.jpeg")) {
                                echo '<img src="unidade/foto/555.jpeg" class="rounded mx-auto d-block logo-cliente">';
                            } else {
                                if (file_exists("unidade/foto/1.jpeg")) {
                                    echo '<img src="unidade/foto/1.jpeg" class="rounded mx-auto d-block logo-cliente">';
                                } else {
                                    echo '<img src="unidade/foto/1.jpg" class="rounded mx-auto d-block logo-cliente">';
                                }
                            }
                            ?>
                        </div>

                        <div class="mt-5">
                            <label for="inputLastName1" class="form-label"></label>
                            <?php
                            $vetor = array('PJ' => '&nbsp;&nbsp; PJ &nbsp;&nbsp;', 'PF' => '&nbsp;&nbsp; PF &nbsp;&nbsp;');
                            select_tela("Natureza", "inputState", $_POST["Natureza"], $vetor, "onchange='PfPj(this.value);'", 'form-select bg-light fs-6');
                            ?>
                        </div>
                        <div style="display:none" id="P_F">

                        <div class="input-group mt-4">
                            <input type="text" name="Cpf" id="Cpf" value="<?php echo $_POST['Cpf']; ?>" class="form-control form-control-lg bg-light  fs-6" placeholder="Cpf" autofocus>
                        </div>

                        </div>

                        <div style="display:block" id="P_J">

                        <div class="input-group mt-4">
                            <input type="text" name="Cnpj" id="Cnpj" value="<?php echo $_POST['Cnpj']; ?>" class="form-control form-control-lg bg-light  fs-6" placeholder="Cnpj" autofocus>
                        </div>

                        </div>

                        <?php if (($pasta_sis == 'coffeebar') || ($pasta_sis == 'naturezaviva') || ($pasta_sis == 'ciclovital') || ($pasta_sis == 'spw') || ($pasta_sis == 'gw')) { ?>
                            
                            <div class="input-group mt-4">
                                <input type="password" name="Senha" id="Senha" value="<?php echo $_POST['Senha']; ?>" class="form-control form-control-lg bg-light  fs-6" placeholder="Senha" autofocus>
                            </div>

                        <?php } ?>

                        <div class="input-group mt-3">
                            <button class="btn btn-lg btn-primary w-100 fs-6">Entrar</button>
                        </div>
                    </div>
                </form>
                <div class=" power" style="display: flex;align-content: center; flex-direction: column; align-items: center;">
                    powered by: <img src="https://www.ponttierp.com/spw/imagem/_login_logo.png" class="rounded mx-auto d-block" style="width: 70px;">
                </div>
            </div>
        </div>

        <script type="text/javascript" language="javascript" src="js/jquery.js"></script>
        <script type="text/javascript" language="javascript" src="js/script.js"></script>
        <script type="text/javascript" language="javascript" src="js/meiomask/meiomask.js"></script>

        <script type="text/javascript" language="javascript">
            $(document).ready(function() {
                $('input[name="Cpf"]').setMask('cpf'); // cpf
                $('input[name="Cnpj"]').setMask('cnpj'); // cnpj
            });
        </script>
        <!--
            <script src="./js/jquery-3.3.1.min.js"></script>
        -->

</body>

</html>

<?php include_once "include/rodape.php"; ?>