<?php
include_once '../include/conecta.php'; //Conecta com a nosso banco de dados MySQL
include_once '../include/ver_sessao.php'; //Verifica se a sesso est ativa
include_once '../include/funcoesPhp.php';
include_once '../menu_movimento.php';

$modulo_lista = 'Indicador';
include '../include/sessao_lista.php';

$menu = mysqli_query($con, "SELECT permissao.Relatorio,
                                    permissao.Cadastrar,
                                    permissao.Alterar,
                                    permissao.Deletar
                                    FROM permissao
                                    INNER JOIN menu_usuario ON menu_usuario.Id_Menu = permissao.Id_Menu
					WHERE menu_usuario.Id_Responsavel='" . $_SESSION["Id"] . "' 
					AND permissao.Id_Responsavel='" . $_SESSION["Id"] . "'
					AND permissao.Id_Menu = '3211' ");
$menu = mysqli_fetch_assoc($menu);


if ($_GET['Pesq']) {
    $pesquisa = " AND " . $_GET['Ordenar'] . " like '%" . $_GET['Pesq'] . "%' ";
}

$_pagi_sql = "SELECT DISTINCT indicador.Id,
            Data_Indicador,
            unidade.Titulo as Unidade
            FROM indicador 
            LEFT JOIN (SELECT Id,Titulo FROM unidade) as unidade ON unidade.Id = indicador.Id_Unidade
            WHERE 1=1 $pesquisa ORDER BY Id ASC";

include_once '../include/paginator_opcao.php';
include_once '../include/paginator.inc.php';

?>
<html>

<head>
    <title>Gw - Gesto Web</title>
    <link rel="stylesheet" type="text/css" href="../estilo/<?php echo SKIN; ?>/listless.css" />
    <script type="text/javascript" language="javascript" src="../js/jquery.js"></script>
    <?php include '../include/script_cabeca.php'; ?>
    <script type="text/javascript" language="javascript" src="../js/script.js"></script>
    <script type="text/javascript" language="javascript">
        function submeteFiltro(valor) {
            document.forms['ordenar'].submit();
        }
    </script>
</head>

<body>
    <!-- Centro -->
    <div id="centro">
        <!-- Contedo -->
        <div id="conteudo" class="ajustar">
            <div class="titulo">
                <span>Indicador Venda</span>
                <form name="pesquisa" method="get" action="">
                    <span class="inputs">
                        <?php echo $_pagi_info; ?>
                    </span>
                </form>
            </div>
            <!-- Navegao -->
            <div class="botoes_cima">
                <a href="javascript:void(0);" class="voltar" alt="Voltar" title="Voltar" onclick="javascript:history.back(1);">Voltar</a>

                <?php if ($menu["Cadastrar"] == "Sim") { ?>
                    <a href="cad_indicador.php?acao=entrar" alt="Cadastrar" title="Cadastrar" class="incluir">Cadastrar</a>
                <?php } ?>
                <form name="ordenar" method="get" action="">
                    <span class="ordenar_por">
                        <label for="Pesq">Busca:</label>
                        <input type="text" name="Pesq" size="30" value="<?php echo $_GET['Pesq']; ?>">
                    </span>
                </form>
                <!-- Fim Navegao -->
            </div>

            <table id="lista">
                <thead>
                    <tr>
                        <td>Id</td>
                        <td>Data</td>
                        <td>Empresa</td>
                        <td>Indicadores</td>
                        <td>Opes</td>
                    </tr>
                </thead>
                <tfoot>
                    <tr>
                        <td colspan="8">
                            <div id="paginacao">
                                <p><?php echo $_pagi_navegacion; ?></p>
                            </div>
                        </td>
                    </tr>
                </tfoot>
                <tbody>
                    <?php $color = "#F5F5F5";;
                    while ($linha = mysqli_fetch_assoc($_pagi_result)) {
                        if ($color == "#F5F5F5") {
                            $color = "#E8E8E8";
                            $cass = "";
                        } else {
                            $color = "#F5F5F5";
                            $cass = "class='azul'";
                        }
                        
                    ?>
                        <tr <?php echo "$cass"; ?>>
                            <td><?php echo $linha['Id']; ?></td>
                            <td><?php echo data_exibir($linha['Data_Indicador']); ?></td>
                            <td><?php echo $linha['Unidade']; ?></td>
                            <td>
                            <?php
                            $ind_registro2 = mysqli_query($con, "SELECT Cor, Inicio, Fim FROM indicador_registro WHERE Id_Indicador = '" . $linha['Id'] . "' ");
                            
                            while ($ind_registro = mysqli_fetch_assoc($ind_registro2)) {

                            if ($ind_registro['Cor'] == 'green') {
                                $cor = "color:#228B22 ";
                                $ind_registro['Cor'] = "Verde";
                            }
                            if ($ind_registro['Cor'] == 'red') {
                                $cor = "color:#8B0000 ";
                                $ind_registro['Cor']= "Vermelho";
                            }
                            if ($ind_registro['Cor'] == 'yellow') {
                                $cor = "color:#EED202 ";
                                $ind_registro['Cor'] = "Amarelo";
                            }
                            if ($ind_registro['Cor'] == 'blue') {
                                $cor = "color:#6488EA ";
                                $ind_registro['Cor'] = "Azul";
                            }
                            if ($ind_registro['Cor'] == 'purple') {
                                $cor = "color:#8200C5 ";
                                $ind_registro['Cor'] = "Roxo";
                            }
                            if ($ind_registro['Cor'] == 'gray') {
                                $cor = "color:#5D5D5D ";
                                $ind_registro['Cor'] = "Cinza";
                            }
                            if ($ind_registro['Cor'] == 'orange') {
                                $cor = "color:#FFB380 ";
                                $ind_registro['Cor'] = "Laranja";
                            }
                            ?>
                            <span style="<?php echo $cor?>"><b><?php echo $ind_registro['Cor']; ?></b></span> = 
                            <?php echo valor_exibir($ind_registro['Inicio']); ?> % ~ 
                            <?php echo valor_exibir($ind_registro['Fim']); ?> %<br>
                            <?php } ?>
                            </td>
                            <td>
                                <?php
                                if ($menu["Alterar"] == "Sim") {
                                    $link3 = "cad_indicador.php?id_indicador=" . $linha['Id'] . "&acao=alterar";
                                    $figura3 = "../imagem/bt_editar.png";
                                ?>
                                    <a href='<?php echo $link3; ?>'><img src="<?php echo $figura3; ?>" title="Alterar" alt="Alterar" border="0" /></a>
                                <?php } ?>

                                <?php
                                if ($menu["Deletar"] == "Sim") {
                                    $link4 = "deletar('" . $linha["Id"] . "', 'del_indicador.php?id_indicador=');";
                                    $figura4 = "../imagem/bt_excluir.png";
                                ?>
                                    <a href='javascript:void(0);'><img src="<?php echo $figura4; ?>" alt="Excluir" title="Excluir" border="0" onclick="<?php echo $link4; ?>" /></a>
                                <?php } ?>
                            </td>
                        </tr>
                    <?php } ?>
                </tbody>
            </table>
            <!-- Navegao Inferior -->
            <div class="botoes_baixo">
                <a href="javascript:void(0);" class="voltar" alt="Voltar" title="Voltar" onclick="javascript:history.back(1);">Voltar</a>

                <?php if ($menu["Cadastrar"] == "Sim") { ?>
                    <a href="cad_indicador.php?acao=entrar" alt="Cadastrar" title="Cadastrar" class="incluir">Cadastrar</a>
                <?php } ?>
                <!-- Fim Navegao Inferior -->
            </div>

        </div>
        <!-- Fim do Contedo -->
    </div>
    <!-- Fim de Centro -->

</body>

</html>