<?php
namespace Bling\App\Model;
use Bling\App\Model\Type\Product\GrupoProduto;

class Tributacao {
    public $origem;
    public $nFCI;
    public $ncm;
    public $cest;
    public $codigoListaServicos;
    public $spedTipoItem;
    public $codigoItem;
    public $percentualTributos;
    public $valorBaseStRetencao;
    public $valorStRetencao;
    public $valorICMSSubstituto;
    public $codigoExcecaoTipi;
    public $classeEnquadramentoIpi;
    public $valorIpiFixo;
    public $codigoSeloIpi;
    public $valorPisFixo;
    public $valorCofinsFixo;
    public $codigoANP;
    public $descricaoANP;
    public $percentualGLP;
    public $percentualGasNacional;
    public $percentualGasImportado;
    public $valorPartida;
    public $tipoArmamento;
    public $descricaoCompletaArmamento;
    public $dadosAdicionais;
    public $grupoProduto;

    /**
     * @param int $tipoArmamento 0 - Uso permitido | 1 - Uso restrito
     */
    public function __construct(string $ncm, ?string $cest = null, ?float $valorICMSSubstituto = null, ?float $valorIpiFixo = null,
        ?float $valorPisFixo = null, ?float $valorCofinsFixo = null, ?string $nFCI = null, ?int $origem, ?string $codigoListaServicos = null,
        ?string $spedTipoItem = null, ?string $codigoItem = null, ?float $percentualTributos = null, ?float $valorBaseStRetencao = null,
        ?float $valorStRetencao = null, ?string $codigoExcecaoTipi = null, ?string $classeEnquadramentoIpi = null, ?string $codigoSeloIpi = null,
        ?string $codigoANP = null, ?string $descricaoANP = null, ?float $percentualGLP = null, ?float $percentualGasNacional = null,
        ?float $percentualGasImportado = null, ?float $valorPartida = null, ?int $tipoArmamento = null, ?string $descricaoCompletaArmamento = null,
        ?string $dadosAdicionais = null, ?GrupoProduto $grupoProduto = null)
    {
        $this->origem = $origem;
        $this->nFCI = $nFCI;
        $this->ncm = $ncm;
        $this->cest = $cest;
        $this->codigoListaServicos = $codigoListaServicos;
        $this->spedTipoItem = $spedTipoItem;
        $this->codigoItem = $codigoItem;
        $this->percentualTributos = $percentualTributos;
        $this->valorBaseStRetencao = $valorBaseStRetencao;
        $this->valorStRetencao = $valorStRetencao;
        $this->valorICMSSubstituto = $valorICMSSubstituto;
        $this->codigoExcecaoTipi = $codigoExcecaoTipi;
        $this->classeEnquadramentoIpi = $classeEnquadramentoIpi;
        $this->valorIpiFixo = $valorIpiFixo;
        $this->codigoSeloIpi = $codigoSeloIpi;
        $this->valorPisFixo = $valorPisFixo;
        $this->valorCofinsFixo = $valorCofinsFixo;
        $this->codigoANP = $codigoANP;
        $this->descricaoANP = $descricaoANP;
        $this->percentualGLP = $percentualGLP;
        $this->percentualGasNacional = $percentualGasNacional;
        $this->percentualGasImportado = $percentualGasImportado;
        $this->valorPartida = $valorPartida;
        $this->tipoArmamento = $tipoArmamento;
        $this->descricaoCompletaArmamento = $descricaoCompletaArmamento;
        $this->dadosAdicionais = $dadosAdicionais;
        $this->grupoProduto = $grupoProduto;
    }
}
?>