<?php
namespace Bling\App\Model\Type\Product;

class VideoProduto {
    public $url;

    public function __construct(string $url) {
        $this->url = $url;
    }
}

class ImagemProduto {
    public $link;
    
    public function __construct(string $link) {
        $this->link = $link;
    }
}

class ImagensProduto {
    public $externas;

    /**
     * @var ImagemProduto[] $externas 
     */
    public function __construct(array $externas) {
        $this->externas = $externas;
    }
}

class MidiaProduto {
    public $video;
    public $imagens;

    public function __construct(ImagensProduto $imagens, VideoProduto $video) {
        $this->video = $video;
        $this->imagens = $imagens;
    }
}