<?php
include_once '../include/conecta.php'; //Conecta com a nosso banco de dados MySQL
include_once '../include/ver_sessao.php'; //Verifica se a sesso est ativa
include_once '../include/funcoesPhp.php'; include_once '../menu_movimento.php';
?>
<html>
<head>
<title>Gw - Gesto Web</title>
<link rel="stylesheet" type="text/css" href="../estilo/<?php echo SKIN ;?>/tabelas.css" />
<script type="text/javascript" language="javascript" src="../js/jquery.js"></script>
<?php include '../include/script_cabeca.php'; ?>
<script type="text/javascript" language="javascript" src="../js/script.js"></script>
<script type="text/javascript" language="javascript" src="../js/meiomask/meiomask.js"></script>
<script type="text/javascript" language="javascript" src="../js/meiomask/<?php if(PAIS=="USA"){ echo "mascaras-usa"; }else{ echo "mascaras"; }?>.js"></script>
<script type="text/javascript" language="javascript" src="../js/blockUI/blockUI.js"></script>
<style type="text/css">
    thead { display: table-header-group; }
    tfoot { display: table-footer-group; }
</style>
<?php include 'cabecalho.php'; ?>
</head>
<body>
<?php

	$sql_inventario = mysqli_query($con,"SELECT funcionario.Titulo as Responsavel,
                                        inventario.Status,
                                        DATE_FORMAT(inventario.Data_Cadastro, '%d/%m/%Y - %H:%i:%s') as Data_Cadastro
                                        FROM inventario
                                        LEFT JOIN (SELECT Id,Id_Funcionario FROM usuario) as usuario ON usuario.Id = inventario.Id_Usuario
                                        LEFT JOIN (SELECT Id,Titulo FROM funcionario) as funcionario ON funcionario.Id = usuario.Id_Funcionario
                                        WHERE inventario.Id='".$_GET["id_inventario"]."'")
	or die("ERRO no comando SQL:".mysqli_error($con));
	$array_inventario = mysqli_fetch_assoc($sql_inventario);

	$data_cadastro = $array_inventario["Data_Cadastro"];
        $responsavel   = $array_inventario["Responsavel"];
        $status        = $array_inventario["Status"];

?>
<?php
//se o status estiver aberto eu seto a variavel. Se no eu deixo a tabela original
//tabela mexida no select de baixo. inventario_produto ou inventario_produto_temp
if($status == "Aberto"){
    $tabela_produto = "inventario_produto_temp";
}else{
    $tabela_produto = "inventario_produto";
}

 $cliente = mysqli_query($con,"Select distinct local_estoque.Id,
                        local_estoque.Titulo as Local_Estoque
                        from local_estoque
                        where 1=1
                        order by local_estoque.Titulo $Ordem_Lista1 ");

?>
<br>
<table width="100%" height="400px"><!-- TABELA Q ENVOLVE TODO O CONTEUDO -->
<tr>
    <td>
    <table width="100%">
            <tr>
                <td align="center">
                    Data : <b><?php echo $data_cadastro ?></b>
                </td>
                <td align="center">
                    Responsvel : <b><?php echo $responsavel ?></b>
                </td>
            </tr>
    </table>
    </td>
</tr>
<tr>
	<td>

<table width="100%" class="tabela">
    <tbody>
<?php
    while ($chave = mysqli_fetch_assoc($cliente)) {
?>

    <tr class="azul-tr">
        <td colspan="8">Local Estoque : <b><?php echo $chave["Local_Estoque"]?></b></td>
    </tr>

<tr bgcolor="#cccccc">
    <td>Unidade</td>
    <td>Cdigo</td>
    <td>Produto</td>
    <td>Qtd</td>
    <td>Qtd Atual</td>
    <td>Diferena</td>
    <td>Categoria</td>
</tr>
	<?php
$prod = mysqli_query($con,"Select Id_Produto,
                        produto.Titulo as Nome_Produto,
                        produto.Codigo,
                        categoria_produto.Titulo as Categoria,
                        $tabela_produto.Qtd_Atual,
                        $tabela_produto.Qtd,
                        $tabela_produto.Diferenca,
                        unidade.Titulo as Unidade
                        from $tabela_produto
                        LEFT JOIN (SELECT Id,Titulo,Codigo,Id_Categoria_Produto FROM produto) as produto ON produto.Id = $tabela_produto.Id_Produto
                        LEFT JOIN (SELECT Id,Titulo FROM categoria_produto) as categoria_produto ON produto.Id_Categoria_Produto = categoria_produto.Id
                        inner join (SELECT Id,Titulo FROM unidade) as unidade ON unidade.Id = $tabela_produto.Id_Unidade
                        where 1=1
                        and $tabela_produto.Id_Local_Estoque = '".$chave["Id"]."'
                        and $tabela_produto.Id_Inventario = '".$_GET["id_inventario"]."'
                        group by $tabela_produto.Id_Produto
                        order by $tabela_produto.Id_Local_Estoque,produto.Titulo ");

		$color = "#F5F5F5";
                while ($valor = mysqli_fetch_assoc($prod)) {
		if ($color == "#F5F5F5") {
			$color = "#E8E8E8";
		} else {
			$color = "#F5F5F5";
		}
	?>
	<tr bgcolor=<?php echo "$color"; ?> >
                <td><?php echo $valor["Unidade"]?></td>
                <td><?php echo $valor["Codigo"]?></td>
		<td><?php echo $valor["Nome_Produto"]?></td>
                <td><?php echo $valor["Qtd_Atual"]?></td>
                <td><?php echo $valor["Qtd"]?></td>
                <td><?php echo $valor["Diferenca"]?></td>
                <td><?php echo $valor["Categoria"]?></td>
	</tr>

	<?php } echo "<tr><td colspan=8>&nbsp;</td></tr>"; } ?>

 </tbody>
</table>

<div id="div_campos_escondidos"></div>

<input class="botao_tableless" type="button" value="Voltar" onclick="location.href='list_inventario.php'">


	</td>
</tr>
<tr>
	<td>
		<div id="div_resposta"></div>
	</td>
</tr>
</table>
<?php
if($_GET['id_inventario']){
$tabela_criacao = "inventario";
include "../include/script_criacao.php";
/* ARQUIVO ONDE MOSTRA QUEM CRIOU E QUEM ATUALIZOU*/
}
?>
<div id="retorno"></div>
<?php include "../include/rodape.php";?>
</body>
</html>