<?php
include_once '../include/conecta.php'; //Conecta com a nosso banco de dados MySQL
include_once '../include/ver_sessao.php'; //Verifica se a sesso est ativa
include_once '../include/funcoesPhp.php';
include_once '../menu_movimento.php';

if ($_SERVER['REQUEST_METHOD'] == "POST") {
    if ($_POST["Cadastrar"]) {
        foreach ($_POST as $chave => $valor) {
            if ($chave != "Cadastrar") {
                if ($valor != "") {
                    if ($valor["Id_Linha"]) {
                        mysqli_query($con, "UPDATE laudo_produto SET
                                Revisao='".limpaNome(trim($valor['Lcq_Revisao']))."',
                                Data_Revisao='".date('Y-m-d H:i:s')."',
                                $padraoUpd
                                WHERE Id='" . $valor["Id_Linha"] . "' ")
                        or die("Erro no comando SQL:" . mysqli_error($con));

                        logUsuario($_SERVER['REMOTE_ADDR'], $_SESSION['Login'], $_SESSION['Email'], $_SESSION['Unidade'], "Reviso Laudo", "Alterao", $valor['Lancamento']);
                    }
                }
            }
        }
        echo "<script>window.opener.document.forms['ordenar'].submit(); window.close();</script>";
    }
}
?>
<html>

<head>
    <title>Gw - Gesto Web</title>
    <link rel="stylesheet" type="text/css" href="../estilo/<?php echo SKIN; ?>/tableless.css" />
    <link rel="stylesheet" type="text/css" href="../js/autocomplete/jquery.autocomplete.css" />
    <link rel="stylesheet" type="text/css" href="../js/autocomplete/lib/thickbox.css" />
    <script language="javascript" type="text/javascript" src="../js/jquery.js"></script>
    <script language="javascript" type="text/javascript" src="../js/script.js"></script>
    <?php include '../include/script_cabeca.php'; ?>
    <?php include '../include/script_campo.php'; ?>
    <script type="text/javascript" language="javascript" src="../js/autocomplete/lib/jquery.bgiframe.min.js"></script>
    <script type="text/javascript" language="javascript" src="../js/autocomplete/lib/jquery.ajaxQueue.js"></script>
    <script type="text/javascript" language="javascript" src="../js/autocomplete/lib/thickbox-compressed.js"></script>
    <script type="text/javascript" language="javascript" src="../js/autocomplete/jquery.autocomplete.js"></script>

</head>

<body>
    <?php
    $item = mysqli_query($con, "SELECT laudo_produto.Id,
                                    laudo_produto.Resultado,
                                    laudo_produto.Revisao,
                                    lcq_elemento.Titulo as Elemento,
                                    lcq_caracteristicas.Titulo as Caracteristicas,
                                    laudo_produto.Min_Espec,
                                    laudo_produto.Max_Espec,
                                    laudo_tecnico.Lancamento,
                                    produto.Titulo,
                                    produto.Codigo
                                    FROM laudo_produto
                                    LEFT JOIN (SELECT Id,Lancamento FROM laudo_tecnico) as laudo_tecnico ON laudo_produto.Id_Laudo = laudo_tecnico.Id
                                    LEFT JOIN (SELECT Id,Titulo,Codigo FROM produto) as produto ON laudo_produto.Id_Produto = produto.Id
                                    LEFT JOIN (SELECT Id,Titulo FROM lcq) as lcq_elemento ON laudo_produto.Id_Elemento = lcq_elemento.Id
                                    LEFT JOIN (SELECT Id,Titulo FROM lcq) as lcq_caracteristicas ON laudo_produto.Id_Caracteristicas = lcq_caracteristicas.Id
                                    WHERE laudo_produto.Id_Laudo = '" . $_GET["id_laudo_tecnico"] . "' ");
    ?>
    <form action="" method="post" name="historico">

        <fieldset class="envolve">
            <legend>Reviso Frmula</legend>

        <?php while ($item_linha = mysqli_fetch_assoc($item)) { ?>

            <input type="hidden" name="<?php echo $item_linha["Id"]; ?>[Id_Linha]" id="Id_Linha" value="<?php echo $item_linha["Id"]; ?>">
            <input type="hidden" name="<?php echo $item_linha["Lancamento"]; ?>[Lancamento]" id="Lancamento" value="<?php echo $item_linha["Lancamento"]; ?>">

            <br />

            <fieldset class="grupo">
                <div class="campo">
                    <label for="Produto" style="font-size: 1.2em;"><b>Produto:</b> <?php echo $item_linha["Codigo"]." : ".$item_linha["Titulo"]; ?></label>
                </div>
            </fieldset>

            <fieldset class="grupo">
                <div class="campo" width="20%">
                    <label for="Lcq_Elemento"><b>Elemento:</b> <?php echo $item_linha["Elemento"]; ?></label>
                </div>
                <div class="campo" width="20%">
                    <label for="Lcq_Caracteristicas"><b>Caracteristicas:</b> <?php echo $item_linha["Caracteristicas"]; ?></label>
                </div>
                <div class="campo" width="20%">
                    <label for="Min_Espec"><b>Min Especificao:</b> <?php echo $item_linha["Min_Espec"]; ?></label>
                </div>
                <div class="campo" width="20%">
                    <label for="Max_Espec"><b>Max Especificao:</b> <?php echo $item_linha["Max_Espec"]; ?></label>
                </div>
        </fieldset>

        <fieldset class="grupo">
            <div class="campo" width="20%">
                <label for="Lcq_Metodo"><b>Resultado:</b> <?php echo $item_linha["Resultado"]; ?></label>
            </div>
        </fieldset>

        <fieldset class="grupo">
            <div class="campo" width="20%">
                <label for="Lcq_Revisao">Reviso
                    <font size="1" color="#CD2626" id="obs"> Se for nmero, usar virgulas. Exemplo "0,00".</font>
                </label>
                <input type="text" name="<?php echo $item_linha["Id"]; ?>[Lcq_Revisao]" id="Lcq_Revisao" value="<?php echo $item_linha["Revisao"]; ?>" autofocus>
            </div>
        </fieldset>

        <fieldset class="grupo">
            <hr>
        </fieldset>
        <?php } ?>
            <fieldset class="grupo">
                <button class="bt_cadastro" type="submit" name="Cadastrar" value="Salvar">Salvar</button>
                <button class="botao" type="button" value="Cancelar" name="Cancelar" onclick="window.close();">Cancelar</button>
            </fieldset>

        </fieldset>

    </form>
</body>

</html>