<?php
include_once '../include/conecta.php'; //Conecta com a nosso banco de dados MySQL
include_once '../include/ver_sessao.php'; //Verifica se a sesso est ativa
include_once '../include/funcoesPhp.php';
include_once '../menu_movimento.php';
$modulo_lista = 'Log';
include '../include/sessao_lista.php';
?>
<?php
$menu = mysqli_query($con,"select permissao.Relatorio,
                                    permissao.Cadastrar,
                                    permissao.Alterar,
                                    permissao.Deletar
                                    from permissao
                                    inner join menu_usuario ON menu_usuario.Id_Menu = permissao.Id_Menu
                                    where menu_usuario.Id_Responsavel='" . $_SESSION["Id"] . "'
                                    and permissao.Id_Responsavel='" . $_SESSION["Id"] . "'
                                    and permissao.Id_Menu = '707' ");
$menu = mysqli_fetch_assoc($menu);
?>
<?php
if ($_GET["Ordenar"]) {
    $Ordenar1 = " ORDER BY " . $_GET["Ordenar"] . " ";
} else {
    $Ordenar1 = " ORDER BY log_usuario.Data ";
}
if ($_GET['Ordem_Lista'] == 'Asc') {
    $Ordem_Lista1 = ' ASC ';
} else {
    $Ordem_Lista1 = ' DESC ';
}

if ($_GET['Pesq']) {
    $pesquisa .= " AND " . $_GET['Ordenar'] . " like '%" . $_GET['Pesq'] . "%' ";
}

if ($_GET['Nome']) {
    $pesquisa .= " AND log_usuario.Nome like '%" . $_GET['Nome'] . "%' ";
}
if ($_GET['Modulo']) {
    $pesquisa .= " AND log_usuario.Modulo like '%" . $_GET['Modulo'] . "%' ";
}
if ($_GET['Acao']) {
    $pesquisa .= " AND log_usuario.Acao like '%" . $_GET['Acao'] . "%' ";
}
if ($_GET['Email']) {
    $pesquisa .= " AND log_usuario.Email like '%" . $_GET['Email'] . "%' ";
}
if ($_GET['Obs']) {
    $pesquisa .= " AND log_usuario.Obs like '%" . $_GET['Obs'] . "%' ";
}


/* Inicio dos parmetros da Paginao */

/* varivel com o cdigo SQL da consulta ao banco de dados */
$_pagi_sql = "SELECT log_usuario.Nome,log_usuario.Email,
                        log_usuario.Data,
                        unidade.Titulo as Unidade,
                        log_usuario.Modulo,
                        log_usuario.Acao,
                        log_usuario.Obs
                        FROM log_usuario
                        LEFT JOIN (SELECT Id, Titulo FROM unidade) as unidade ON unidade.Id = log_usuario.Id_Unidade
			where 1=1 $pesquisa $Ordenar1 $Ordem_Lista1";

/* pagina fora que contem todas as opcoes do paginator */
include_once '../include/paginator_opcao.php';
include_once '../include/paginator.inc.php'; //incluindo o script de paginao PAGINATOR
/* Paginao na listagem dos clientes. Apenas nos arquivos listar.
 * Inclue-se depois que passa os parmetros da funo
 * seus resultados so aparentementes satisfatrio
 * */
?>
<html>
    <head>
        <title>GW 3.0 - Gesto Web</title>
        <link rel="stylesheet" type="text/css" href="../estilo/<?php echo SKIN; ?>/listless.css" />
        <script type="text/javascript" language="javascript" src="../js/jquery.js"></script>
        <?php include '../include/script_cabeca.php'; ?>
        <script type="text/javascript" language="javascript" src="../js/script.js"></script>
        <script type="text/javascript" language="javascript">
            function submeteFiltro(valor) {
                document.forms['ordenar'].submit();
            }
        </script>
    </head>
    <body>
        <!-- Centro -->
        <div id="centro">
            <!-- Contedo -->
            <div id="conteudo" class="ajustar">

                <div class="titulo">
                    <span>Logs</span>
                    <form name="pesquisa" method="get" action="">
                        <span class="inputs">
                            <?php echo $_pagi_info; ?>
                            <!--
                                <label for="Pesq">Busca:</label>
                                <input type="text" name="Pesq" size="30" value="<?php echo $_GET['Pesq']; ?>" >
                                <input name="Pesquisar" type="image" value="Pesquisar" src="../imagem/seta-dir.png" alt="Ir" title="Ir" >
                            -->
                        </span>
                    </form>
                </div>
                <!-- Navegao -->
                <div class="botoes_cima">
                    <a href="javascript:void(0);" class="voltar" alt="Voltar" title="Voltar" onclick="javascript:history.back(1);">Voltar</a>

                    <?php if ($menu["Relatorio"] == "Sim") { ?>
                        <a href="rel_log.php" alt="Relatrio" title="Relatrio" class="relatorio">Relatrio</a>
                    <?php } ?>
                    <form name="ordenar" method="get" action="">
                        <span class="ordenar_por">
                            <label for="Pesq">Busca Por:</label>
                            <input type="text" name="Nome" value="<?php echo $_GET['Nome']; ?>" placeholder="Nome...">
                            <input type="text" name="Modulo" value="<?php echo $_GET['Modulo']; ?>" placeholder="Modulo...">
                            <input type="text" name="Acao" value="<?php echo $_GET['Acao']; ?>" placeholder="Acao...">
                            <input type="text" name="Email" value="<?php echo $_GET['Email']; ?>" placeholder="Email...">
                            <input type="text" name="Obs" value="<?php echo $_GET['Obs']; ?>" placeholder="Obs...">
                            <input type="submit" name="Ok" value="Ok" style="margin-left: 10px" alt="Ok" title="Ok">
                        </span>
                    </form>
                    <!-- Fim Navegao -->
                </div>

                <table id="lista">
                    <thead>
                        <tr>
                            <td>Nome</td>
                            <td>E-mail</td>
                            <td>Unidade</td>
                            <td>Mdulo</td>
                            <td>Ao</td>
                            <td>Obs</td>
                            <td>Data</td>
                        </tr>
                    </thead>
                    <tfoot>
                        <tr>
                            <td colspan="8"><div id="paginacao"><p><?php echo $_pagi_navegacion; ?></p></div></td>
                        </tr>
                    </tfoot>
                    <tbody>
                        <?php
                        $color = "#F5F5F5";
                        while ($linha = mysqli_fetch_assoc($_pagi_result)) {
                            if ($color == "#F5F5F5") {
                                $color = "#E8E8E8";
                                $cass = "";
                            } else {
                                $color = "#F5F5F5";
                                $cass = "class='azul'";
                            }
                            ?>
                            <tr <?php echo "$cass"; ?> >
                                <td><?php echo $linha['Nome']; ?></td>
                                <td><?php echo $linha['Email']; ?></td>
                                <td><?php echo $linha['Unidade']; ?></td>
                                <td><?php echo $linha['Modulo']; ?></td>
                                <td><?php echo $linha['Acao']; ?></td>
                                <td><?php echo $linha['Obs']; ?></td>
                                <td><?php echo data_hora($linha['Data']); ?></td>
                            </tr>
                        <?php } ?>
                    </tbody>
                </table>
                <!-- Navegao Inferior -->
                <div class="botoes_baixo">
                    <a href="javascript:void(0);" class="voltar" alt="Voltar" title="Voltar" onclick="javascript:history.back(1);">Voltar</a>

                    <!-- Fim Navegao Inferior -->
                </div>

            </div>
            <!-- Fim do Contedo -->
        </div>
        <!-- Fim de Centro -->

    </body>
</html>