<?php
include_once '../include/conecta.php'; //Conecta com a nosso banco de dados MySQL
include_once '../include/ver_sessao.php'; //Verifica se a sessão está ativa
include_once '../include/funcoesPhp.php'; //Inclue a página con todas as funções a ser usada.

set_time_limit(20);

function palavra_especial($letra) {

    if ($letra) {

        $letra = str_replace("", "a", $letra);
        $letra = str_replace("", "A", $letra);
        $letra = str_replace("", "a", $letra);
        $letra = str_replace("", "A", $letra);
        $letra = str_replace("", "a", $letra);
        $letra = str_replace("", "A", $letra);
        $letra = str_replace("", "a", $letra);
        $letra = str_replace("", "A", $letra);
        $letra = str_replace("", "o", $letra);
        $letra = str_replace("", "O", $letra);
        $letra = str_replace("", "o", $letra);
        $letra = str_replace("", "O", $letra);
        $letra = str_replace("", "o", $letra);
        $letra = str_replace("", "O", $letra);
        $letra = str_replace("", "i", $letra);
        $letra = str_replace("", "I", $letra);
        $letra = str_replace("", "e", $letra);
        $letra = str_replace("", "E", $letra);
        $letra = str_replace("", "e", $letra);
        $letra = str_replace("", "E", $letra);
        $letra = str_replace("", "c", $letra);
        $letra = str_replace("", "C", $letra);
        $letra = str_replace("", "u", $letra);
        $letra = str_replace("", "U", $letra);
        $letra = str_replace("", "n", $letra);
        $letra = str_replace("", "N", $letra);
        $letra = str_replace("-", "", $letra);
        $letra = str_replace(".", "", $letra);
        $letra = str_replace("/", "", $letra);
        $letra = str_replace("(", "", $letra);
        $letra = str_replace(")", "", $letra);
        $letra = str_replace("", "", $letra);
        $letra = str_replace("?", "", $letra);
    } else {

        $letra = '';
    }

    return $letra;
}



###<============ inicio gerando xml  ============>###
#==== dados do emitente  ====#
$menu2 = mysqli_query($con,"SELECT
            unidade.Id,
            unidade.Titulo,
            unidade.Razao_Social,
            unidade.Cnpj,
            unidade.Rua,
            unidade.Numero,
            unidade.Complemento,
            unidade.Cep,
            unidade.Bairro,
            unidade.Fone1,
            unidade.Email,
            unidade.Estadual,
            unidade.CRT,
            unidade.Ambiente,
            unidade.Codigo_Cidade,
            unidade.Cidade,
            unidade.Estado,
            unidade.Aliquota_Simples,
            unidade.Email_Copia
            FROM unidade
            left join (SELECT Id,Id_Unidade FROM mdfe) as mdfe ON mdfe.Id_Unidade = unidade.Id
            WHERE mdfe.Id='" . $_GET["id_mdfe"] . "'");

$dados_emitente_mdfe = mysqli_fetch_assoc($menu2);

$Email_Copia_Empresa = $dados_emitente_mdfe["Email_Copia"];

if (SITE_SISTEMA == 'localhost') {
    $caminho_absoluto = CAMINHO_LOCAL;
} else {
    $caminho_absoluto = CAMINHO_SERVIDOR_CLIENTE;
}

//tipo do ambiente
if ($dados_emitente_mdfe["Ambiente"] == '1') {
    $ambiente_mdfe = 'producao';
} else {
    $ambiente_mdfe = 'homologacao';
}

switch ($dados_emitente_mdfe["Estado"]) {
    case 'AC': $cUF = "12";
        break;
    case 'AL': $cUF = "27";
        break;
    case 'AP': $cUF = "16";
        break;
    case 'AM': $cUF = "13";
        break;
    case 'BA': $cUF = "29";
        break;
    case 'CE': $cUF = "23";
        break;
    case 'DF': $cUF = "53";
        break;
    case 'GO': $cUF = "52";
        break;
    case 'ES': $cUF = "32";
        break;
    case 'MA': $cUF = "21";
        break;
    case 'MT': $cUF = "51";
        break;
    case 'MS': $cUF = "50";
        break;
    case 'MG': $cUF = "31";
        break;
    case 'PA': $cUF = "15";
        break;
    case 'PB': $cUF = "25";
        break;
    case 'PR': $cUF = "41";
        break;
    case 'PE': $cUF = "26";
        break;
    case 'PI': $cUF = "22";
        break;
    case 'RJ': $cUF = "33";
        break;
    case 'RN': $cUF = "24";
        break;
    case 'RS': $cUF = "43";
        break;
    case 'RO': $cUF = "11";
        break;
    case 'RR': $cUF = "14";
        break;
    case 'SP': $cUF = "35";
        break;
    case 'SC': $cUF = "42";
        break;
    case 'SE': $cUF = "28";
        break;
    case 'TO': $cUF = "17";
        break;
}

#==== fim dados do emitente  ====#
#==== dados do cabeca mdfe  ====#
$menu3 = mysqli_query($con,"SELECT
            mdfe.Numero_Nota,
            mdfe.Natureza,
            mdfe.Tipo,
            mdfe.Serie,
            mdfe.Data_Mdfe,
            mdfe.Hora_Mdfe,
            mdfe.Tipo_Impressao,
            mdfe.Forma_Emissao,
            mdfe.Finalidade_Emissao,
            mdfe.Hora_Mdfe,
            mdfe.Info_Fisco,
            mdfe.Info_Contribuinte,
            mdfe.Ref_Mdfe,
            mdfe.Horario_Verao,
            mdfe.Operacao,
            mdfe.Data_Emissao,
            mdfe.Modal,
            mdfe.Tipo_Transporte,
            mdfe.Uf_Inicio,
            mdfe.Uf_Fim,
            mdfe.Data_Viagem,
            mdfe.Info_Contribuinte,
            mdfe.vCarga,
            mdfe.cUnid,
            mdfe.qCarga,
            mdfe.RNTRC,
            mdfe.Motorista,
            mdfe.Motorista_Cpf,
            mdfe.Veiculo_Codigo,
            mdfe.Veiculo_Placa,
            mdfe.Veiculo_Tara,
            mdfe.Veiculo_Kg,
            mdfe.Veiculo_M3,
            mdfe.Veiculo_Tipo,
            mdfe.Veiculo_Carroceria,
            mdfe.Veiculo_Uf,
            mdfe.Veiculo_Renavam,
            mdfe.Lacre,
            mdfe.Natureza_Contratante,
            mdfe.Cpf_Cnpj_Contratante,
            mdfe.Codigo_Porto,
            mdfe.nApol,
            mdfe.nAver,
            mdfe.respSeg,
            mdfe.Cpf_Cnpj_Seguro,
            mdfe.xSeg,
            mdfe.CNPJ_Seguradora,
            mdfe.Natureza_Seguro,
            mdfe.Prop_Natureza,
            mdfe.Prop_Cpf_Cnpj,
            mdfe.Prop_RNTRC,
            mdfe.Prop_Nome,
            mdfe.Prop_Estadual,
            mdfe.Prop_Uf,
            mdfe.Prop_tpProp,
            mdfe.tpEmit,
            DATE_FORMAT(mdfe.Data_Cadastro, '%Y-%m-%d') as 'Data_Cadastro',
            unidade.Codigo_Cidade
            FROM mdfe
            left join (SELECT Id,Codigo_Cidade from unidade) as unidade ON mdfe.Id_Unidade = unidade.Id
            WHERE mdfe.Id='" . $_GET["id_mdfe"] . "' ");
$dados_mdfe = mysqli_fetch_assoc($menu3);


//horario verao = sim
if ($dados_mdfe["Horario_Verao"] == 'Sim') {
    $hora = '-02:00';
} else {
    $hora = '-03:00';
}

$data_mdfe = str_replace('-', '', $dados_mdfe["Data_Mdfe"]);
$data_mdfe = substr($data_mdfe, 0, -2); //formato desejado YYYYMM

$data_emissao = str_replace('-', '', $dados_mdfe["Data_Emissao"]);
$data_emissao = substr($data_emissao, 0, -2); //formato desejado YYYYMM

$data_emissao_temp = date("Ym");
#==== fim dados do cabeca mdfe  ====#

$caminho_cnpj='';
if (MULTI_EMPRESA == "Sim" || MULTI_EMPRESA == "Sim") {
    $caminho_cnpj = CaracteresEspeciais($dados_emitente_mdfe['Cnpj'],'Sim')."/";
    $arq_teste = $caminho_absoluto . "/nfe_arq/mdfe/{$caminho_cnpj}{$ambiente_mdfe}/assinadas";
    if(!is_dir($arq_teste)){
        mkdir($caminho_absoluto . "/nfe_arq/mdfe/{$caminho_cnpj}", 0777);
        mkdir($caminho_absoluto . "/nfe_arq/mdfe/{$caminho_cnpj}{$ambiente_mdfe}/", 0777);
        mkdir($caminho_absoluto . "/nfe_arq/mdfe/{$caminho_cnpj}{$ambiente_mdfe}/assinadas/", 0777);
        mkdir($caminho_absoluto . "/nfe_arq/mdfe/{$caminho_cnpj}{$ambiente_mdfe}/canceladas/", 0777);
        mkdir($caminho_absoluto . "/nfe_arq/mdfe/{$caminho_cnpj}{$ambiente_mdfe}/cartacorrecao/", 0777);
        mkdir($caminho_absoluto . "/nfe_arq/mdfe/{$caminho_cnpj}{$ambiente_mdfe}/consultadas/", 0777);
        mkdir($caminho_absoluto . "/nfe_arq/mdfe/{$caminho_cnpj}{$ambiente_mdfe}/dpec/", 0777);
        mkdir($caminho_absoluto . "/nfe_arq/mdfe/{$caminho_cnpj}{$ambiente_mdfe}/entradas/", 0777);
        mkdir($caminho_absoluto . "/nfe_arq/mdfe/{$caminho_cnpj}{$ambiente_mdfe}/enviadas/", 0777);
        mkdir($caminho_absoluto . "/nfe_arq/mdfe/{$caminho_cnpj}{$ambiente_mdfe}/enviadas/aprovadas/", 0777);
        mkdir($caminho_absoluto . "/nfe_arq/mdfe/{$caminho_cnpj}{$ambiente_mdfe}/enviadas/denegadas/", 0777);
        mkdir($caminho_absoluto . "/nfe_arq/mdfe/{$caminho_cnpj}{$ambiente_mdfe}/enviadas/reprovadas/", 0777);
        mkdir($caminho_absoluto . "/nfe_arq/mdfe/{$caminho_cnpj}{$ambiente_mdfe}/eventos/", 0777);
        mkdir($caminho_absoluto . "/nfe_arq/mdfe/{$caminho_cnpj}{$ambiente_mdfe}/inutilizadas/", 0777);
        mkdir($caminho_absoluto . "/nfe_arq/mdfe/{$caminho_cnpj}{$ambiente_mdfe}/pdf/", 0777);
        mkdir($caminho_absoluto . "/nfe_arq/mdfe/{$caminho_cnpj}{$ambiente_mdfe}/recebidas/", 0777);
        mkdir($caminho_absoluto . "/nfe_arq/mdfe/{$caminho_cnpj}{$ambiente_mdfe}/rejeitadas/", 0777);
        mkdir($caminho_absoluto . "/nfe_arq/mdfe/{$caminho_cnpj}{$ambiente_mdfe}/temporarias/", 0777);
        mkdir($caminho_absoluto . "/nfe_arq/mdfe/{$caminho_cnpj}{$ambiente_mdfe}/validadas/", 0777);
    }
}


//error_reporting(E_ALL);
error_reporting(E_ALL ^ E_NOTICE); //todos os erros, exceto notices
ini_set('display_errors', 'On');
require_once '../nfephp/bootstrap.php';
require_once '../mdfephp/bootstrap.php';
require_once '../nfephp/config/config.php';
require_once '../nfephp/config/certificado.php';


use NFePHP\MDFe\Make;
use NFePHP\MDFe\Tools;

use NFePHP\NFe\Common\Gtin;
use NFePHP\Common\Certificate;
use NFePHP\Common\Soap\SoapCurl;
use NFePHP\NFe\Common\Standardize;
use NFePHP\Common\Keys;
use NFePHP\DA\MDFe\Damdfe;
use NFePHP\DA\Legacy\FilesFolders;


$mdfe = new Make();

$dados_cert = geraCertificado($dados_emitente_mdfe["Id"]);

//carrega o conteudo do certificado.
$content = file_get_contents($dados_cert['pathCertsFiles'].$dados_cert['certPfxName']);

$certificate = Certificate::readPfx($content, $dados_cert['certPassword']);

$tools = new Tools(geraConfig($dados_emitente_mdfe["Id"]), $certificate);


$dhEmi = $dados_mdfe["Data_Mdfe"] . "T" . date("H:i:s") . $hora;
$numeroMDFe = $dados_mdfe["Numero_Nota"];

####monta chave####
$cUF = $cUF;
$tpAmb = $dados_emitente_mdfe["Ambiente"];// 1-Producao(versao fiscal), 2-Homologacao(versao de teste)
$ano = date('y', strtotime($dados_mdfe["Data_Mdfe"]));
$mes = date('m', strtotime($dados_mdfe["Data_Mdfe"]));
$mod = '58';        // Modelo do documento fiscal: 58 para identificao do MDF-e
$serie = $dados_mdfe["Serie"];// Serie do MDFe
$cnpj = $tools->config->cnpj;
$tpEmis = $dados_mdfe["Forma_Emissao"];// Forma de emissao do MDFe: 1-Normal; 2- Contingencia
$codigo = str_pad("9".$dados_mdfe["Numero_Nota"], 8, "0", STR_PAD_LEFT);
$chave = Keys::build(
    $cUF,
    $ano,
    $mes,
    $cnpj,
    $mod,
    $serie,
    $numero = $numeroMDFe,
    $tpEmis,
    $cMDF = $codigo
);
####monta chave####



$menu4 = mysqli_query($con,"SELECT mdfe_carregamento.Id,
                    mdfe_carregamento.Cidade_Carregamento,
                    mdfe_carregamento.Codigo_Cidade_Carregamento,
                    mdfe_carregamento.Estado_Carregamento
                    FROM mdfe_carregamento
                    WHERE mdfe_carregamento.Id_Mdfe='" . $_GET["id_mdfe"] . "'");

/*
 * Grupo ide ( Identificao )
 */
while ($linha = mysqli_fetch_assoc($menu4)) {
    
    $std = new \stdClass();
    $std->cMunCarrega = $linha['Codigo_Cidade_Carregamento'];
    $std->xMunCarrega = palavra_especial($linha['Cidade_Carregamento']);
    $mdfe->taginfMunCarrega($std);
    
}



$menu8 = mysqli_query($con,"SELECT mdfe_percurso.Id,
                    mdfe_percurso.Estado_Percurso
                    FROM mdfe_percurso
                    WHERE mdfe_percurso.Id_Mdfe='" . $_GET["id_mdfe"] . "' ORDER BY Id ");

$ufPer = array();
while ($linha = mysqli_fetch_assoc($menu8)) {
    $ufPer[] = $linha['Estado_Percurso'];
}
$std = new \stdClass();
$std->UFPer = $ufPer;//['MG','GO','TO','MA'];
$mdfe->taginfPercurso($std);



$cDV = substr($chave, -1);

$std = new \stdClass();
$std->cUF = $cUF;
$std->tpAmb = $dados_emitente_mdfe["Ambiente"];
$std->tpEmit = $dados_mdfe["tpEmit"];
$std->tpTransp = ($dados_mdfe['Tipo_Transporte']>0 ? $dados_mdfe['Tipo_Transporte'] : '');
$std->mod = $mod;
$std->serie = $serie;
$std->nMDF = $numeroMDFe;
$std->cMDF = $codigo;
$std->cDV = $cDV;
$std->modal = $dados_mdfe['Modal'];
$std->dhEmi = $dhEmi;
$std->tpEmis = $tpEmis;
$std->procEmi = '0';
$std->verProc = '4.0 Pontti Web';
$std->UFIni = $dados_mdfe['Uf_Inicio'];
$std->UFFim = $dados_mdfe['Uf_Fim'];
$mdfe->tagide($std);
/*
 * fim ide
 */




/*
 * Grupo emit ( Emitente )
 */
$std = new \stdClass();
$std->CNPJ = $tools->config->cnpj;
$std->IE = $tools->config->ie;
$std->xNome = CaracteresEspeciais(substr($tools->config->razaosocial, 0, 59), "Sim");
$std->xFant = CaracteresEspeciais(substr($tools->config->nomefantasia, 0, 59), "Sim");
$mdfe->tagemit($std);



$std = new \stdClass();
$std->xLgr = palavra_especial(trim($dados_emitente_mdfe["Rua"]));
$std->nro = palavra_especial(trim($dados_emitente_mdfe["Numero"]));
$std->xBairro = palavra_especial(trim($dados_emitente_mdfe["Bairro"]));
$std->cMun = palavra_especial(trim($dados_emitente_mdfe["Codigo_Cidade"]));
$std->xMun = palavra_especial(trim($dados_emitente_mdfe["Cidade"]));
$std->CEP = espacos(trim($dados_emitente_mdfe["Cep"]));
$std->UF = $dados_emitente_mdfe["Estado"];
$std->fone = espacos(trim($dados_emitente_mdfe["Fone1"]));
$std->email = $dados_emitente_mdfe["Email"];
$mdfe->tagenderEmit($std);
/*
 * fim emit
 */







/*
 * Grupo rodo ( Rodovirio )
 */
 
    /* Grupo infANTT */
    $stdinfANTT = new \stdClass();
    $stdinfANTT->RNTRC = $dados_mdfe['RNTRC'];
    
    /*
        //informaes do CIOT
        $stdinfCIOT = new \stdClass();
        $stdinfCIOT->CIOT = '123456789012';
        $stdinfCIOT->CPF = '11122233344';
        $stdinfCIOT->CNPJ = '11222333444455';
    $stdinfANTT->infCIOT = [$stdinfCIOT];
    */
    
    
$menu7 = mysqli_query($con,"SELECT CNPJForn,
                    CNPJPg,
                    nCompra,
                    vValePed
                    FROM mdfe_pedagio
                    WHERE Id_Mdfe='".$_GET["id_mdfe"]."' ");

while ($linha = mysqli_fetch_assoc($menu7)) {

        /* informaes do Vale Pedgio */
        $stdvalePed = new \stdClass();
        $stdvalePed->CNPJForn = $linha['CNPJForn'];
        $stdvalePed->CNPJPg = $linha['CNPJPg'];
        //$stdvalePed->CPFPg = '11122233355';
        $stdvalePed->nCompra = $linha['nCompra'];
        $stdvalePed->vValePed = $linha['vValePed'];
    $stdinfANTT->valePed = [$stdvalePed];

}



if($dados_mdfe['Cpf_Cnpj_Contratante']!=''){
    if (strlen($dados_mdfe['Cpf_Cnpj_Contratante']) == 14) {
        
        /* informaes do contratante */
        $stdinfContratante = new \stdClass();
        $stdinfContratante ->CNPJ = $dados_mdfe['Cpf_Cnpj_Contratante'];
        $stdinfANTT->infContratante = [$stdinfContratante];
        

    } else {
        
        /* informaes do contratante */
        $stdinfContratante = new \stdClass();
        $stdinfContratante ->CPF = $dados_mdfe['Cpf_Cnpj_Contratante'];
        $stdinfANTT->infContratante = [$stdinfContratante];

    }
}

    $mdfe->taginfANTT($stdinfANTT);

    /* fim infANTT */




    /* Grupo veicTracao */
    $stdveicTracao = new \stdClass();
    $stdveicTracao->cInt = $dados_mdfe['Veiculo_Codigo'];
    $stdveicTracao->placa = $dados_mdfe['Veiculo_Placa'];
    $stdveicTracao->tara = $dados_mdfe['Veiculo_Tara'];
    $stdveicTracao->capKG = $dados_mdfe['Veiculo_Kg'];
    $stdveicTracao->tpRod = $dados_mdfe['Veiculo_Tipo'];
    $stdveicTracao->tpCar = $dados_mdfe['Veiculo_Carroceria'];
    $stdveicTracao->UF = $dados_mdfe['Veiculo_Uf'];

    
    
    $stdcondutor = new \stdClass();
    
    $menu8 = mysqli_query($con,"SELECT mdfe_motorista.Id,
                    mdfe_motorista.Motorista,
                    mdfe_motorista.Cpf
                    FROM mdfe_motorista
                    WHERE mdfe_motorista.Id_Mdfe='" . $_GET["id_mdfe"] . "' ORDER BY Id ");
    
    $arr_motor = "";
    $arr_cpf = "";
    while ($linha = mysqli_fetch_assoc($menu8)) {
        $arr_motor.= palavra_especial($linha['Motorista']).",";
        $arr_cpf.= $linha['Cpf'].",";
    }
    $arr_motor = substr($arr_motor,0,-1);
    $arr_cpf = substr($arr_cpf,0,-1);
    
    $stdcondutor->xNome = $arr_motor;
    $stdcondutor->CPF = $arr_cpf;
    
    //$stdcondutor->xNome = palavra_especial($dados_mdfe['Motorista']);
    //$stdcondutor->CPF = $dados_mdfe['Motorista_Cpf'];
    
    $stdveicTracao->condutor = [$stdcondutor];
    
    $mdfe->tagveicTracao($stdveicTracao);
    /* fim veicTracao */



$menu10 = mysqli_query($con,"SELECT Reboque_Codigo,
                    Reboque_Placa,
                    Reboque_Tara,
                    Reboque_Kg,
                    Reboque_M3,
                    Reboque_Tipo,
                    Reboque_Carroceria,
                    Reboque_Uf,
                    Reboque_Renavam
                    FROM mdfe_reboque
                    WHERE Id_Mdfe='".$_GET["id_mdfe"]."' ");

$t='1';
while ($linha = mysqli_fetch_assoc($menu10)) {
    /* Grupo veicReboque */
    $veicReboque = new \stdClass();
    $veicReboque->cInt = $t;
    $veicReboque->placa = $linha["Reboque_Placa"];
    $veicReboque->tara = $linha["Reboque_Tara"];
    $veicReboque->capKG = $linha["Reboque_Kg"];
    $veicReboque->tpCar = $linha["Reboque_Carroceria"];
    $veicReboque->UF = $linha["Reboque_Uf"];
    
    //$prop = new \stdClass();
    //$prop->CPF = '15956253134';
    //$prop->CNPJ = '';
    //$prop->RNTRC = '';
    //$prop->xNome = 'ALCIDES RODRIGUES NETO';
    //$prop->IE = '';
    //$prop->UF = '';
    //$prop->tpProp = '0';
    //$veicReboque->prop = $prop;
    $mdfe->tagveicReboque($veicReboque);
    /* fim veicReboque */
    $t++;
}
    
    


//$lacRodo = new \stdClass();
//$lacRodo->nLacre = '1502400';
//$mdfe->taglacRodo($lacRodo);
/* fim rodo */
    
    
    
    
$menu5 = mysqli_query($con,"SELECT DISTINCT mdfe_descarregamento.Cidade_Descarregamento,
                    mdfe_descarregamento.Codigo_Cidade_Descarregamento,
                    mdfe_descarregamento.Estado_Descarregamento,
                    mdfe_descarregamento.Id_Cidade
                    FROM mdfe_descarregamento
                    WHERE mdfe_descarregamento.Id_Mdfe='".$_GET["id_mdfe"]."'");

$y='0';
while ($linha = mysqli_fetch_assoc($menu5)) {
    
    /*
    * Grupo infDoc ( Documentos fiscais )
    */
   $std = new \stdClass();
   $std->cMunDescarga = $linha['Codigo_Cidade_Descarregamento'];
   $std->xMunDescarga = palavra_especial($linha['Cidade_Descarregamento']);
   $mdfe->taginfMunDescarga($std);
    

    $menu15 = mysqli_query($con,"SELECT Tipo_Descarregamento,
                    Chave_Descarregamento
                    FROM mdfe_descarregamento
                    WHERE Id_Mdfe='".$_GET["id_mdfe"]."' AND Id_Cidade='".$linha['Id_Cidade']."' ");

    while ($reg = mysqli_fetch_assoc($menu15)) {
        if($reg['Tipo_Descarregamento']=='NFe'){
            
            $std = new \stdClass();
            $std->chNFe = $reg['Chave_Descarregamento'];
            $mdfe->taginfNFe($std);

        $qtdNFe++;
        }else{
            
            $std = new \stdClass();
            $std->chCTe = $reg['Chave_Descarregamento'];
            $mdfe->taginfCTe($std);
            
        $qtdCTe++;
        }
    }
    
    
$y++;
}




/*
//infCTe
$std = new \stdClass();
$std->chCTe = '35310800000000000372570010001999091000027765';
$std->SegCodBarra = '012345678901234567890123456789012345';
$std->indReentrega = '1';
    //Informaes das Unidades de Transporte (Carreta/Reboque/Vago)
    $stdinfUnidTransp = new \stdClass();
    $stdinfUnidTransp->tpUnidTransp = '1';
    $stdinfUnidTransp->idUnidTransp = 'AAA-1111';
        //Lacres das Unidades de Transporte
        $stdlacUnidTransp = new \stdClass();
        $stdlacUnidTransp->nLacre = ['00000001','00000002'];
        $stdinfUnidTransp->lacUnidTransp = $stdlacUnidTransp;
        //Informaes das Unidades de Carga (Containeres/ULD/Outros)
        $stdinfUnidCarga = new \stdClass();
        $stdinfUnidCarga->tpUnidCarga = '1';
        $stdinfUnidCarga->idUnidCarga = '01234567890123456789';
        
            //Lacres das Unidades de Carga
            $stdlacUnidCarga = new \stdClass();
            $stdlacUnidCarga->nLacre = ['00000001','00000002'];
        $stdinfUnidCarga->lacUnidCarga = $stdlacUnidCarga;
        $stdinfUnidCarga->qtdRat = '3.50';
    $stdinfUnidTransp->infUnidCarga = $stdinfUnidCarga;
    $stdinfUnidTransp->qtdRat = '3.50';
        
    $std->infUnidTransp = $stdinfUnidTransp;
    //transporte de produtos classificados pela ONU como perigosos
    $stdperi = new \stdClass();
    $stdperi->nONU = '1234';
    $stdperi->xNomeAE = 'testeNome';
    $stdperi->xClaRisco = 'testeClaRisco';
    $stdperi->grEmb = 'testegrEmb';
    $stdperi->qTotProd = '1';
    $stdperi->qVolTipo = '1';
    $std->peri = $stdperi;
    //Grupo de informaes da Entrega Parcial (Corte de Voo)
    $stdinfEntregaParcial = new \stdClass();
    $stdinfEntregaParcial->qtdTotal = '1234.56';
    $stdinfEntregaParcial->qtdParcial = '1234.56';
    $std->infEntregaParcial = $stdinfEntregaParcial;
$mdfe->taginfCTe($std);
 */



/*
//infNFe
$std = new \stdClass();
$std->chNFe = '35310800000000000372570010001999091000099999';
$std->SegCodBarra = '012345678901234567890123456789012345';
$std->indReentrega = '1';
    // Informaes das Unidades de Transporte (Carreta/Reboque/Vago)
    $stdinfUnidTransp = new \stdClass();
    $stdinfUnidTransp->tpUnidTransp = '1';
    $stdinfUnidTransp->idUnidTransp = 'AAA-1111';
        // Lacres das Unidades de Transporte
        $stdlacUnidTransp = new \stdClass();
        $stdlacUnidTransp->nLacre = ['00000001','00000002'];
        $stdinfUnidTransp->lacUnidTransp = $stdlacUnidTransp;
        // Informaes das Unidades de Carga (Containeres/ULD/Outros)
        $stdinfUnidCarga = new \stdClass();
        $stdinfUnidCarga->tpUnidCarga = '1';
        $stdinfUnidCarga->idUnidCarga = '01234567890123456789';
        
            // lacres das Unidades de Carga
            $stdlacUnidCarga = new \stdClass();
            $stdlacUnidCarga->nLacre = ['00000001','00000002'];
        $stdinfUnidCarga->lacUnidCarga = $stdlacUnidCarga;
        $stdinfUnidCarga->qtdRat = '3.50';
    $stdinfUnidTransp->infUnidCarga = $stdinfUnidCarga;
    $stdinfUnidTransp->qtdRat = '3.50';
        
    $std->infUnidTransp = $stdinfUnidTransp;
    // transporte de produtos classificados pela ONU como perigosos
    $stdperi = new \stdClass();
    $stdperi->nONU = '1234';
    $stdperi->xNomeAE = 'testeNome';
    $stdperi->xClaRisco = 'testeClaRisco';
    $stdperi->grEmb = 'testegrEmb';
    $stdperi->qTotProd = '1';
    $stdperi->qVolTipo = '1';
    $std->peri = $stdperi;
$mdfe->taginfNFe($std);
*/




/*
//infMDFeTransp
$std = new \stdClass();
$std->chNFe = '35310800000000000372570010001999091000088888';
$std->indReentrega = '1';
    // Informaes das Unidades de Transporte (Carreta/Reboque/Vago)
    $stdinfUnidTransp = new \stdClass();
    $stdinfUnidTransp->tpUnidTransp = '1';
    $stdinfUnidTransp->idUnidTransp = 'AAA-1111';
        // Lacres das Unidades de Transporte
        $stdlacUnidTransp = new \stdClass();
        $stdlacUnidTransp->nLacre = ['00000001','00000002'];
        $stdinfUnidTransp->lacUnidTransp = $stdlacUnidTransp;
        // Informaes das Unidades de Carga (Containeres/ULD/Outros)
        $stdinfUnidCarga = new \stdClass();
        $stdinfUnidCarga->tpUnidCarga = '1';
        $stdinfUnidCarga->idUnidCarga = '01234567890123456789';
        
            // lacres das Unidades de Carga
            $stdlacUnidCarga = new \stdClass();
            $stdlacUnidCarga->nLacre = ['00000001','00000002'];
        $stdinfUnidCarga->lacUnidCarga = $stdlacUnidCarga;
        $stdinfUnidCarga->qtdRat = '3.50';
    $stdinfUnidTransp->infUnidCarga = $stdinfUnidCarga;
    $stdinfUnidTransp->qtdRat = '3.50';
        
    $std->infUnidTransp = $stdinfUnidTransp;
    // transporte de produtos classificados pela ONU como perigosos
    $stdperi = new \stdClass();
    $stdperi->nONU = '1234';
    $stdperi->xNomeAE = 'testeNome';
    $stdperi->xClaRisco = 'testeClaRisco';
    $stdperi->grEmb = 'testegrEmb';
    $stdperi->qTotProd = '1';
    $stdperi->qVolTipo = '1';
    $std->peri = $stdperi;
$mdfe->taginfMDFeTransp($std);
*/





/* Grupo do Seguro */
$std = new \stdClass();
$std->respSeg = $dados_mdfe['respSeg'];

if(!empty($dados_mdfe['xSeg'])){
    /* Informaes da seguradora */
    $stdinfSeg = new \stdClass();
    $stdinfSeg->xSeg = $dados_mdfe['xSeg'];
    $stdinfSeg->CNPJ = $dados_mdfe['CNPJ_Seguradora'];
    $std->infSeg = $stdinfSeg;
}

if(!empty($dados_mdfe['nApol'])){
    $std->nApol = $dados_mdfe['nApol'];
    $std->nAver = [$dados_mdfe['nAver']];
}

$mdfe->tagseg($std);
/* fim grupo Seguro */





if($qtdCTe == 0){
    $qtdCTe = '';
}
if($qtdNFe == 0){
    $qtdNFe = '';
}
/* grupo de totais */
$std = new \stdClass();
$std->qCTe = $qtdCTe;
$std->qNFe = $qtdNFe;
$std->vCarga = number_format($dados_mdfe['vCarga'],'2','.','');
$std->cUnid = $dados_mdfe['cUnid'];
$std->qCarga = number_format($dados_mdfe['qCarga'],'4','.','');
$mdfe->tagtot($std);
/* fim grupo de totais */





/* grupo de lacres */
if(!empty($dados_mdfe['Lacre'])){
    
    $std = new \stdClass();
    $std->nLacre = [$dados_mdfe['Lacre']];
    $mdfe->taglacres($std);
    
}
/* fim grupo de lacres */




/*
//grupo Autorizados para download do XML do DF-e
$std = new \stdClass();
$std->CNPJ = '11122233344455';
$mdfe->tagautXML($std);
$std = new \stdClass();
$std->CPF = '11122233344';
$mdfe->tagautXML($std);
//fim grupo de lacres
*/


$menu6= mysqli_query($con,"SELECT DISTINCT mdfe_produto.tpCarga,
                    mdfe_produto.xProd,
                    mdfe_produto.cEAN,
                    mdfe_produto.NCM,
                    mdfe_produto.CEPCarrega,
                    mdfe_produto.CEPDescarrega
                    FROM mdfe_produto
                    WHERE mdfe_produto.Id_Mdfe='".$_GET["id_mdfe"]."'");

$y='0';
while ($linha = mysqli_fetch_assoc($menu6)) {
    $prodPred = new \stdClass();
    $prodPred->tpCarga = $linha["tpCarga"];
    $prodPred->xProd = $linha["xProd"];
    $prodPred->cEAN = $linha["cEAN"];
    $prodPred->NCM = $linha["NCM"];

    $localCarrega = new \stdClass();
    $localCarrega->CEP = $linha["CEPCarrega"];
    $localCarrega->latitude = null;
    $localCarrega->longitude = null;

    $localDescarrega = new \stdClass();
    $localDescarrega->CEP = $linha["CEPDescarrega"];
    $localDescarrega->latitude = null;
    $localDescarrega->longitude = null;

    $lotacao = new \stdClass();
    $lotacao->infLocalCarrega = $localCarrega;
    $lotacao->infLocalDescarrega = $localDescarrega;

    $prodPred->infLotacao = $lotacao;

    $mdfe->tagprodPred($prodPred);
}


if(!empty($dados_mdfe['Info_Contribuinte'])){

    /* grupo Informaes Adicionais */
    $std = new \stdClass();
    $std->infCpl = $dados_mdfe['Info_Contribuinte'];
    $mdfe->taginfAdic($std);
    /* fim grupo Informaes Adicionais */
    
}

/*
$mdfe->tagInfRespTec(
    $CNPJ = '20755929000138',
    $xContato = 'Pontti Web',
    $email = 'contato@pontti.com.br',
    $fone = '8130142099',
    $idCSRT = '',
    $hashCSRT = ''
);
*/

$resp = $mdfe->montaMDFe();

if ($resp) {
    header('Content-type: text/xml; charset=UTF-8');
    $xml = $mdfe->getXML();
    //echo $xml;
    
    $xmlAssinado = $tools->signMDFe($xml);
    
    try {
    $damdfe = new Damdfe($xmlAssinado);
    $damdfe->debugMode(true);
    $damdfe->creditsIntegratorFooter('Pontti Web - http://www.pontti.com.br');
    $damdfe->monta($tools->config->pathLogoFile, $tools->config->format);
    $pdf = $damdfe->render();
    
    ##salvando o pdf
    //$filename = "/var/www/nfe/homologacao/assinadas/{$data_nfe}/{$chave}-nfe.xml"; // Ambiente Linux
    //$filename = $caminho_absoluto."/nfe_arq/mdfe/{$caminho_cnpj}{$ambiente_mdfe}/pdf/{$data_nfe}/{$chave}-danfe.pdf"; // Ambiente Windows
    //if(!is_dir($caminho_absoluto."/nfe_arq/mdfe/{$caminho_cnpj}{$ambiente_mdfe}/pdf/{$data_nfe}/")){
        //mkdir($caminho_absoluto."/nfe_arq/mdfe/{$caminho_cnpj}{$ambiente_mdfe}/pdf/{$data_nfe}/", 0777, true);
    //}
    //file_put_contents($filename, $pdf);
    //chmod($filename, 0777);
    
    header('Content-Type: application/pdf');
    echo $pdf;
    
    } catch (Exception $e) {
        echo "Ocorreu um erro durante o processamento :" . $e->getMessage();
    }   
    
} else {
    header('Content-type: text/html; charset=UTF-8');
    if (count($mdfe->errors) > 0) {
        echo "<pre>";
        var_dump($mdfe->errors);
        echo "</pre>";
        exit;
    }
}
?>