<?php
include_once '../include/conecta.php'; //Conecta com a nosso banco de dados MySQL
include_once '../include/ver_sessao.php'; //Verifica se a sesso est ativa
include_once '../include/funcoesPhp.php'; include_once '../menu_movimento.php';
$modulo_lista = 'Conta_Receber';
include '../include/sessao_lista.php';

$Ordenar1 = ' ORDER BY conta_receber.Data_Vencimento ASC';

/* Inicio dos parmetros da Paginao*/	

/*varivel com o cdigo SQL da consulta ao banco de dados*/
$_pagi_sql = "SELECT conta_receber.Id,
                    conta_receber.Lancamento,
                    conta_receber.Descricao,
                    conta_receber.Fatura,
                    conta_receber.Status,
                    conta_receber.Valor_Original,
                    conta_receber.Data_Vencimento,
                    conta_receber.Id_Cliente,
                    conta_receber.Id_Conta,
                    cliente.Titulo as 'Cliente',
                    cliente.Razao_Social,
                    banco.Codigo as Banco,
                    conta.Carteira,
                    conta.Tipo_Conta,
                    Factoring,
                    Banco_Factoring
                    FROM (SELECT Id,Lancamento,Descricao,Fatura,Valor_Original,Valor_Pago,Id_Conta,
                    Data_Emissao,Data_Vencimento,Data_Pagamento,Data_Cadastro,Status,Origem,Boleto_Enviado,
                    Boleto_Lido,Titulo_Principal,Id_Funcionario,Id_Cliente,Id_Tipo_Pagamento,Id_Unidade FROM conta_receber) as conta_receber
                    LEFT JOIN (SELECT Id, Titulo,Razao_Social,Cpf_Cnpj FROM cliente) as cliente ON cliente.Id = conta_receber.Id_Cliente
                    LEFT JOIN (SELECT Id,Id_Banco,Carteira,Tipo_Conta,Factoring,Banco_Factoring FROM conta) as conta ON conta.Id = conta_receber.Id_Conta
                    LEFT JOIN (SELECT Id, Codigo FROM banco) as banco ON banco.Id = conta.Id_Banco
                    where 1=1
                    AND conta_receber.Status = 'Aberto'
                    AND cliente.Cpf_Cnpj = '".$_SESSION["Cpf_Cnpj_Cliente"]."'
                    $Status_Lista1 $data
                    $pesquisa $Ordenar1 ";

/* pagina fora que contem todas as opcoes do paginator */
include_once '../include/paginator_opcao.php';
include_once '../include/paginator.inc.php'; //incluindo o script de paginao PAGINATOR

?>
<!DOCTYPE html> 
<html>
<head>
<title>Gw Mobile</title>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
<meta name="viewport" content="width=device-width, initial-scale=1">
<script src="../js/jquery-mobile/jquery-1.11.1.min.js" type="text/javascript"></script>
<script src="../js/jquery-mobile/jquery.mobile-1.4.5.min.js" type="text/javascript"></script>
<link href="../js/jquery-mobile/jquery.mobile.external-png-1.4.5.min.css" rel="stylesheet" type="text/css"/>
<link href="../js/jquery-mobile/jquery.mobile.icons-1.4.5.min.css" rel="stylesheet" type="text/css"/>
<link href="../js/jquery-mobile/jquery.mobile.inline-png-1.4.5.min.css" rel="stylesheet" type="text/css"/>
<link href="../js/jquery-mobile/jquery.mobile.inline-svg-1.4.5.min.css" rel="stylesheet" type="text/css"/>
<link href="../js/jquery-mobile/jquery.mobile.structure-1.4.5.min.css" rel="stylesheet" type="text/css"/>
<link href="../js/jquery-mobile/jquery.mobile.theme-1.4.5.min.css" rel="stylesheet" type="text/css"/>
<link href="../js/jquery-mobile/jquery.mobile-1.4.5.min.css" rel="stylesheet" type="text/css"/>

<link rel="stylesheet" type="text/css" href="../js/jquery-ui/jquery-ui.min.css" />
<link rel="stylesheet" type="text/css" href="../js/jquery-ui/jquery-ui.structure.min.css" />
<link rel="stylesheet" type="text/css" href="../js/jquery-ui/jquery-ui.theme.min.css" />
<script type="text/javascript" language="javascript" src="../js/jquery-ui/jquery-ui.min.js"></script>

<script type="text/javascript" language="javascript" src="../js/script.js"></script>
</head>
<body>
    <!-- transicao de paginas -->
    <?php
    if($form_pagina=="Sim"){
        echo "<script type='text/javascript'>$(location).attr('href', '".$link_pagina."');</script>";
    }
    ?>
    <!-- fim transicao de paginas -->
    
<!-- page -->
<div data-role="page" id="page">
    
  <!-- header -->
  <div data-role="header" data-theme="b">
        <h1>Boletos</h1>
  </div>
  <!-- header -->
  
<div data-role="content">

<!-- <a href="cad_os_tecnico2.php?acao=entrar" data-ajax="false" class="ui-btn ui-corner-all ui-shadow ui-icon-plus ui-btn-icon-left ui-btn-b">
    Novo
</a> -->

<table data-role="table" class="ui-responsive ui-shadow" id="table">
    <thead>
        <tr style="border-bottom: 1px solid lightgray;">
            <td>Id</td>
            <td>Vencimento</td>
            <td>Descrio</td>
            <td>Fatura</td>
            <td>Cliente</td>
            <td>Valor</td>
            <td>Opes</td>
        </tr>
    </thead>
    <tfoot>
        <tr>
            <td colspan="5"><div id="paginacao"><p><?php echo $_pagi_navegacion; ?></p></div></td>
        </tr>
    </tfoot>
    <tbody>
        <?php while ($linha = mysqli_fetch_assoc($_pagi_result)) { ?>
        <tr style="border-bottom: 1px solid lightgray;">
        <td><?php echo $linha['Lancamento'];?></td>
        <td><?php echo data_exibir($linha['Data_Vencimento']);?></td>
        <td><?php echo $linha['Descricao'];?></td>
        <td><?php echo $linha['Fatura'];?></td>
        <td><?php
                if(CLIENTE_RAZAO_SOCIAL=='Sim'){
                    echo $linha["Razao_Social"];
                }else{
                    echo $linha["Cliente"];
                }
             ?>
        </td>
        <td><?php echo valor_exibir($linha['Valor_Original']);?></td>
        <td>
            
<?php
    switch($linha["Banco"]){
            case '001' :
                if($linha["Carteira"]=='18')
                    $pagina_boleto ='../boletophp/boleto_bb.php';
                else
                    $pagina_boleto ='../boletophp/boleto_bb_net.php';
            break;
            case '004' : $pagina_boleto ='../boletophp/boleto_nordeste_net.php';
            break;
            case '104' : 
                if($linha["Tipo_Conta"]=='SIGCB 6Dig')
                    $pagina_boleto ='../boletophp/boleto_cef_sigcb.php';
                else if($linha["Tipo_Conta"]=='SIGCB 7Dig')
                    $pagina_boleto ='../boletophp/boleto_cef_sigcb_net.php';
                else if($linha["Tipo_Conta"]=='SINCO')
                    $pagina_boleto ='../boletophp/boleto_cef_sinco.php';
                else if($linha["Tipo_Conta"]=='SICOB')
                    $pagina_boleto ='../boletophp/boleto_cef.php';
            break;
            case '237' :
                if( ($linha["Carteira"]=='06') || ($linha["Carteira"]=='03') )
                    $pagina_boleto ='../boletophp/boleto_bradesco.php';
                else
                    $pagina_boleto ='../boletophp/boleto_bradesco_net.php';
            break;
            case '341' : $pagina_boleto ='../boletophp/boleto_itau.php';
            break;
            case '422' : $pagina_boleto ='../boletophp/boleto_safra.php';
            break;
            case '077' : $pagina_boleto ='../boletophp/boleto_inter.php';
            break;
            case '409' : $pagina_boleto ='../boletophp/boleto_unibanco.php';
            break;
            case '356' : $pagina_boleto ='../boletophp/boleto_real.php';
            break;
            case '033' : 
                if($linha["Carteira"]=='101')
                    $pagina_boleto ='../boletophp/boleto_santander_banespa.php';
                else
                    $pagina_boleto ='../boletophp/boleto_santander_banespa1.php';
            break;
            case '399' : $pagina_boleto ='../boletophp/boleto_hsbc.php';
            break;
            case '756' : $pagina_boleto = '../boletophp/boleto_bancoob.php';
                break;
            case '748' : $pagina_boleto = '../boletophp/boleto_sicredi.php';
                break;
            case '136' : $pagina_boleto = '../boletophp/boleto_unicred_net.php';
                break;
                default : 
                if($linha["Factoring"]=='Sim'){
                    if($linha["Banco_Factoring"]=='Itau'){
                        $pagina_boleto ='../boletophp/boleto_itau_factoring.php';
                    }elseif($linha["Banco_Factoring"]=='Santander'){
                        $pagina_boleto ='../boletophp/boleto_santander_factoring.php';
                    }elseif($linha["Banco_Factoring"]=='Brasil'){
                        $pagina_boleto ='../boletophp/boleto_brasil_factoring.php';
                    }else{
                        $pagina_boleto ='../boletophp/boleto_bradesco_net_factoring.php';
                    }
                }else{
                    $pagina_boleto = '#';
                }
                break;
    }

    
                $Time1 = '';
                $Time2 = '';
                
                $Time1 = strtotime(date("Y-m-d"));
                $Time2 = strtotime($linha['Data_Vencimento']);

                if($Time1 > $Time2){
?>
            <a href="javascript:void();"
            onclick="window.open('ajusta_data.php?id_conta_receber=<?php echo $linha['Id'];?>&id_conta=<?php echo $linha['Id_Conta'];?>','Boleto','width=600,height=400,top=0,left=0,scrollbars=yes')">
                <img border="0" src="../imagem/bt_boleto.png" title="Boleto" alt="Boleto"/></a>
<?php 
                }else{
?>
            <a href="javascript:void();"
            onclick="window.open('<?php echo $pagina_boleto;?>?id_conta_receber=<?php echo $linha['Id'];?>&id_conta=<?php echo $linha['Id_Conta'];?>','Boleto','width=700,height=800,top=0,left=0,scrollbars=yes')">
                <img border="0" src="../imagem/bt_boleto.png" title="Boleto" alt="Boleto"/></a>
<?php 
                }
?>

        </td>
        </tr>
        <?php }?>
    </tbody>
</table>
      
      
        <!-- container Alerta -->
        <?php if($form_erro=='Sim'){ ?>
        <script type="text/javascript">
            $(function(){
                $('#dlg-falha').dialog({
                    modal:true,
                    show: { effect: "blind", duration: 350 },
                    hide: { effect: "blind", duration: 350 },
                    buttons: {
                        "Ok": function(){
                            $(this).dialog("close");
                        }
                    }
                });
            });
        </script>
        <div id="dlg-falha" title="Erro" style="background-color:#FFF">
            <p><?php echo $msg_erro;?></p>
        </div>
        <?php } ?>
        <!-- container Alerta -->
        
  </div>
  
    <!-- footer -->
    <div data-role="footer" data-position="fixed" data-theme="b">
        <h4>
        <div data-role="navbar" data-iconpos="left">
            <ul>
                <li><a href="principal_mobile.php" target="_self" class="ui-btn ui-corner-all" data-icon="back" data-ajax="false">Voltar</a></li>
            </ul>
        </div>
        </h4>
    </div>
    <!-- footer -->
    <div id="retorno"></div>
</div>
<!-- fim page -->

</body>
</html>