<?php
include_once '../include/conecta.php'; //Conecta com a nosso banco de dados MySQL
include_once '../include/ver_sessao.php'; //Verifica se a sesso est ativa
include_once '../include/funcoesPhp.php';
include_once '../menu_movimento.php';
$modulo_lista = 'Venda';
include '../include/sessao_lista.php';

?>
<?php
if (CLIENTE_RAZAO_SOCIAL == 'Sim') {
    $nome = 'Razao_Social';
} else {
    $nome = 'Titulo';
}

if ($_GET["Ordenar"]) {

    if (($_GET["Ordenar"] == 'cliente.Titulo') || ($_GET["Ordenar"] == 'cliente.Razao_Social')) {
        $join_table = " LEFT JOIN (SELECT Id,Titulo,Razao_Social FROM cliente) as cliente ON venda.Id_Cliente = cliente.Id ";
    }
    if ($_GET["Ordenar"] == 'vendedor.Titulo') {
        $join_table = " LEFT JOIN (SELECT Id,Titulo FROM funcionario) as vendedor ON venda.Id_Vendedor = vendedor.Id ";
    }

    $Ordenar1 = " ORDER BY venda.Data_Venda ";
} else {
    $Ordenar1 = " ORDER BY venda.Data_Venda ";
}
if ($_GET['Ordem_Lista'] == 'Asc') {
    $Ordem_Lista1 = ' ASC ';
} else {
    $Ordem_Lista1 = ' DESC ';
}
//se o sistema for Multi Empresa
// if (MULTI_EMPRESA == "Sim") {

//     //se o usuario no for master ele vai para sua empresa
//     if (ESCOLHER_EMPRESA == 'Sim') {

//         if ($_GET["Unidade"])
//             $unidade = "AND venda.Id_Unidade = '" . $_GET["Unidade"] . "' ";
//     } else {
//         $unidade = "AND venda.Id_Unidade = '" . $_SESSION["Unidade"] . "' ";
//     }
// } else {
//     $unidade = "AND venda.Id_Unidade = '" . $_SESSION["Unidade"] . "' ";
// }

if (VER_APENAS_SUAS_VENDAS == 'Sim') {
    $vendedor = "AND venda.Id_Vendedor = '" . $_SESSION["Id_Funcionario"] . "' ";
}


/* Inicio dos parmetros da Paginao*/

/*varivel com o cdigo SQL da consulta ao banco de dados*/
$_pagi_sql = "SELECT venda.Id,
                    venda.Lancamento,
                    venda.Data_Venda,
                    venda.Data_Conclusao,
                    venda.Valor_Pago,
                    venda.Valor_Original,
                    venda.Status,
                    venda.Id_Cliente,
                    venda.Id_Vendedor,
                    venda.Id_Tipo_Pagamento,
                    venda.Motivo,
                    unidade.Titulo as Unidade
                    FROM (SELECT Id,Lancamento,Data_Venda,Valor_Pago,Valor_Original,Status,
                    Id_Cliente,Id_Vendedor,Id_Tipo_Pagamento,Id_Unidade,Data_Conclusao,Motivo
                    FROM venda) as venda
                    $join_table
                    inner join (SELECT Id, Titulo FROM unidade) as unidade ON unidade.Id = venda.Id_Unidade
                    where (Status='Aberto' OR Status='Cotacao' OR Status='Aprovado' OR Status='No Aprovado')
                    $Status_Lista1 $unidade $vendedor
                    $pesquisa $Ordenar1 $Ordem_Lista1
                    , venda.Lancamento DESC ";

/* pagina fora que contem todas as opcoes do paginator */
include_once '../include/paginator_opcao.php';
include_once '../include/paginator.inc.php'; //incluindo o script de paginao PAGINATOR

?>
<!DOCTYPE html>
<html>

<head>
    <title>Gw Mobile</title>
    <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <script src="../js/jquery-mobile/jquery-1.11.1.min.js" type="text/javascript"></script>
    <script src="../js/jquery-mobile/jquery.mobile-1.4.5.min.js" type="text/javascript"></script>
    <link href="../js/jquery-mobile/jquery.mobile.external-png-1.4.5.min.css" rel="stylesheet" type="text/css" />
    <link href="../js/jquery-mobile/jquery.mobile.icons-1.4.5.min.css" rel="stylesheet" type="text/css" />
    <link href="../js/jquery-mobile/jquery.mobile.inline-png-1.4.5.min.css" rel="stylesheet" type="text/css" />
    <link href="../js/jquery-mobile/jquery.mobile.inline-svg-1.4.5.min.css" rel="stylesheet" type="text/css" />
    <link href="../js/jquery-mobile/jquery.mobile.structure-1.4.5.min.css" rel="stylesheet" type="text/css" />
    <link href="../js/jquery-mobile/jquery.mobile.theme-1.4.5.min.css" rel="stylesheet" type="text/css" />
    <link href="../js/jquery-mobile/jquery.mobile-1.4.5.min.css" rel="stylesheet" type="text/css" />

    <link rel="stylesheet" type="text/css" href="../js/jquery-ui/jquery-ui.min.css" />
    <link rel="stylesheet" type="text/css" href="../js/jquery-ui/jquery-ui.structure.min.css" />
    <link rel="stylesheet" type="text/css" href="../js/jquery-ui/jquery-ui.theme.min.css" />
    <script type="text/javascript" language="javascript" src="../js/jquery-ui/jquery-ui.min.js"></script>

    <script type="text/javascript" language="javascript" src="../js/script.js"></script>
<script type='text/javascript'>
    $( document ).ready(function() {
        $(".status_lista").click(function(){
            var Elem = $(this);
            let Status = $(this).attr("data-status");
            let Id = $(this).attr("data-id");

            $.ajax({
                method: 'post',
                url: 'busca_status.php',
                data: {
                    Status, Id
                },
                dataType: "json",
                success: function (response) {
                    //console.log(response.Status);
                    if(response.Status=='Nao_Aprovado'){
                        Elem.html('No Aprovado');
                    }else{
                        Elem.html(response.Status);
                    }

                    Elem.attr('data-status', response.Status);
                    
                    if(response.Status=='Cotacao'){
                        Elem.css("color", "#FF4500").css('font-weight', 'bold');
                    }
                    if(response.Status=='Aprovado'){
                        Elem.css("color", "#000").css('font-weight', 'bold');
                    }
                    if(response.Status=='Nao_Aprovado'){
                        Elem.css("color", "#000").css('font-weight', 'bold');
                    }
                    //$('#retorno').html(response);
                },
            });
        });

    });
</script>
</head>

<body>
    <!-- transicao de paginas -->
    <?php
    if ($form_pagina == "Sim") {
        echo "<script type='text/javascript'>$(location).attr('href', '" . $link_pagina . "');</script>";
    }
    ?>
    <!-- fim transicao de paginas -->

    <!-- page -->
    <div data-role="page" id="page">

        <!-- header -->
        <div data-role="header" data-theme="b">
            <h1>Vendas</h1>
        </div>
        <!-- header -->

        <div data-role="content">

            <!-- <a href="cad_venda_a.php?acao=entrar" data-ajax="false" class="ui-btn ui-corner-all ui-shadow ui-icon-plus ui-btn-icon-left ui-btn-b">
                Novo
            </a> -->

            <table data-role="table" class="ui-responsive ui-shadow" id="table">
                <thead>
                    <tr style="border-bottom: 1px solid lightgray;">
                        <td>O.S.</td>
                        <td>Data</td>
                        <td>Cliente</td>
                        <td>Valor</td>
                        <td>Status</td>
                        <!-- <td>Comp</td> -->
                    </tr>
                </thead>
                <tfoot>
                    <tr>
                        <td colspan="5">
                            <div id="paginacao">
                                <p><?php echo $_pagi_navegacion; ?></p>
                            </div>
                        </td>
                    </tr>
                </tfoot>
                <tbody>
                    <?php
                    while ($linha = mysqli_fetch_assoc($_pagi_result)) {

                        $corStatus = "";
                        if ($linha['Status'] == 'Finalizado') {
                            $corStatus = "color = '#228B22' ";
                        }
                        if ($linha['Status'] == 'Aberto') {
                            $corStatus = "color = '#3A5FCD' ";
                        }
                        if ($linha['Status'] == 'Cancelado') {
                            $corStatus = "color = '#CD2626' ";
                        }
                    ?>
                        <tr style="border-bottom: 1px solid lightgray;">
                            <td><?php echo $linha['Lancamento']; ?></td>
                            <td><?php echo data_exibir($linha['Data_Venda']); ?></td>
                            <?php
                            if (CLIENTE_RAZAO_SOCIAL == 'Sim') {
                                $nome = "Razao_Social";
                            } else {
                                $nome = "Titulo";
                            }
                            $cliente = mysqli_query($con, "SELECT Id,$nome as Cliente FROM cliente WHERE Id = '" . $linha['Id_Cliente'] . "' ");
                            $nome_cliente = mysqli_fetch_assoc($cliente);
                            ?>
                            <td><?php echo $nome_cliente["Cliente"]; ?></td>
                            <td><?php echo number_format($linha['Valor_Pago'], 2, ".", ","); ?></td>
                            <td>
                            <div data-id="<?php echo $linha['Id']; ?>" data-status="<?php echo $linha['Status']=='No Aprovado' ? 'Nao_Aprovado' : $linha['Status']; ?>" class="status_lista" >
                                <font <?php echo $corStatus?> >
                                    <b>
                                        <?php
                                        if ($linha['Status'] == "Aberto") {
                                            echo $st = "Lanamento";
                                        } elseif ($linha['Status'] == "Cotacao") {
                                            echo $st = "Cotao";
                                        } else {
                                            echo $linha['Status'];
                                        }
                                        ?>
                                    </b>
                                </font>
                            </div>
                            </td>
                            <!-- <td>
                                <a href="javascript:void(0);" class="ui-btn ui-corner-all ui-shadow ui-icon-eye ui-btn-icon-left ui-btn-b" onclick="window.open('../venda1/imp_venda.php?id_venda=<?php echo $linha['Id']; ?>','Imprimir','width=700,height=800,top=0,left=0,scrollbars=yes');">
                                    <?php echo $linha['Lancamento']; ?>
                                </a>
                            </td> -->
                            <!-- <td>
                                <a href="javascript:void(0);" class="ui-btn ui-corner-all ui-shadow  ui-btn-icon-left ui-btn-b" onclick="window.open('importar_nota.php?id_venda=<?php echo $linha['Id']; ?>','Anexo','width=700,height=800,top=0,left=0,scrollbars=yes');">
                                    Anexo
                                </a>
                            </td> -->
                        </tr>
                    <?php } ?>
                </tbody>
            </table>


            <!-- container Alerta -->
            <?php if ($form_erro == 'Sim') { ?>
                <script type="text/javascript">
                    $(function() {
                        $('#dlg-falha').dialog({
                            modal: true,
                            show: {
                                effect: "blind",
                                duration: 350
                            },
                            hide: {
                                effect: "blind",
                                duration: 350
                            },
                            buttons: {
                                "Ok": function() {
                                    $(this).dialog("close");
                                }
                            }
                        });
                    });
                </script>
                <div id="dlg-falha" title="Erro" style="background-color:#FFF">
                    <p><?php echo $msg_erro; ?></p>
                </div>
            <?php } ?>
            <!-- container Alerta -->

        </div>

        <!-- footer -->
        <div data-role="footer" data-position="fixed" data-theme="b">
            <h4>
                <div data-role="navbar" data-iconpos="left">
                    <ul>
                        <li><a href="principal_mobile.php" target="_self" class="ui-btn ui-corner-all" data-icon="back" data-ajax="false">Voltar</a></li>
                    </ul>
                </div>
            </h4>
        </div>
        <!-- footer -->
        <div id="retorno"></div>
    </div>
    <!-- fim page -->

</body>

</html>