<?php
include_once '../include/conecta.php'; //Conecta com a nosso banco de dados MySQL
ini_set('session.gc_maxlifetime', 60 * 120);
session_start();
//include_once '../include/ver_sessao.php'; //Verifica se a sesso est ativa
include_once '../include/funcoesPhp.php';
include_once '../menu_movimento.php';
include '../mpdf/mpdf.php';


// +----------------------------------------------------------------------+
// | BoletoPhp - Verso Beta                                              |
// +----------------------------------------------------------------------+
// | Este arquivo est disponvel sob a Licena GPL disponvel pela Web   |
// | em http://pt.wikipedia.org/wiki/GNU_General_Public_License           |
// | Voc deve ter recebido uma cpia da GNU Public License junto com     |
// | esse pacote; se no, escreva para:                                   |
// |                                                                      |
// | Free Software Foundation, Inc.                                       |
// | 59 Temple Place - Suite 330                                          |
// | Boston, MA 02111-1307, USA.                                          |
// +----------------------------------------------------------------------+

// +----------------------------------------------------------------------+
// | Originado do Projeto BBBoletoFree que tiveram colaboraes de Daniel |
// | William Schultz e Leandro Maniezo que por sua vez foi derivado do	  |
// | PHPBoleto de Joo Prado Maia e Pablo Martins F. Costa				        |
// | 																	                                    |
// | Se vc quer colaborar, nos ajude a desenvolver p/ os demais bancos :-)|
// | Acesse o site do Projeto BoletoPhp: www.boletophp.com.br             |
// +----------------------------------------------------------------------+

// +----------------------------------------------------------------------+
// | Equipe Coordenao Projeto BoletoPhp: <boletophp@boletophp.com.br>   |
// | Desenvolvimento Boleto Real: Juan Basso         		                  |
// +----------------------------------------------------------------------+
if ($_POST['layout_boleto']) {

    include("./carnes/include/funcoes_santander_banespa.php");



    // ------------------------- DADOS DINMICOS DO SEU CLIENTE PARA A GERAO DO BOLETO (FIXO OU VIA GET) -------------------- //
    // Os valores abaixo podem ser colocados manualmente ou ajustados p/ formulrio c/ POST, GET ou de BD (MySql,Postgre,etc)	//

    // if ($_GET["pontti"] == 'Sim') {
    //     //conctando com o nosso servidor
    //     $hostO = "209.182.205.220";
    //     $dbnameO = "pontti5_pontti";
    //     $usuarioO = "pontti5_pontti";
    //     $passwordO = "pontti";

    //     $con = mysqli_connect($hostO, $usuarioO, $passwordO, $dbnameO);

    //     if (mysqli_connect_errno()) {
    //         echo "Debugging errno: " . mysqli_connect_errno() . PHP_EOL;
    //         echo "Debugging error: " . mysqli_connect_error() . PHP_EOL;
    //     }
    //     //conctando com o nosso servidor

    //     $_GET["Id_Unidade_Usuario"] = 'Sim';
    // }

    // //Se o email foi enviado e o cliente esta abrindo
    // if ($_GET["Id_Unidade_Usuario"]) {
    //     mysqli_query($con, "UPDATE conta_receber SET Boleto_Lido = 'Sim' WHERE Id = '" . $idContaReceber . "' ");
    // }
    // //informando que j imprimiu o boleto
    // mysqli_query($con, "UPDATE conta_receber SET Boleto_Enviado = 'Sim' WHERE Id = '" . $idContaReceber . "' ");


    $mpdf = new mPDF();
    $mpdf->SetDisplayMode('fullpage');
    foreach ($_POST["Id"] as $idContaReceber) {

        ob_start();

        if ($idContaReceber) {

            //selecionando o conta a receber do cliente
            $esc_cr = "SELECT cliente.Razao_Social as 'Cliente',
                            cliente.Rua,
                            cliente.Numero,
                            cliente.Cep,
                            cliente.Bairro,
                            cliente.Cidade,
                            cliente.Natureza,
                            cliente.Estado,
                            cliente.Cpf_Cnpj,
                            cliente.Endereco_Cobranca,
                            cliente.Cidade_Cobranca,
                            cliente.Bairro_Cobranca,
                            cliente.Estado_Cobranca,
                            cliente.Cep_Cobranca,
                            conta_receber.Lancamento,
                            conta_receber.Descricao,
                            conta_receber.Data_Vencimento,
                            conta_receber.Data_Emissao,
                            conta_receber.Valor_Original,
                            conta_receber.Fatura,
                            conta_receber.Id_Unidade,
                            conta_receber.EF,
                            conta_receber.Origem,
                            banco.Titulo as 'Conta',
                            conta.Id as idConta
                            FROM conta_receber
                            INNER JOIN (SELECT Id, Titulo,Razao_Social, Rua, Numero,Estado, Cep, Bairro,Cidade,Natureza,Cpf_Cnpj,Endereco_Cobranca,Bairro_Cobranca,Cidade_Cobranca,Estado_Cobranca,Cep_Cobranca FROM cliente) as cliente ON cliente.Id = conta_receber.Id_Cliente
                            LEFT JOIN conta ON conta.Id = conta_receber.Id_Conta
                            LEFT JOIN banco ON banco.Id = conta.Id_Banco
                            WHERE
                            conta_receber.Id = '" . $idContaReceber . "' ";

            $sql_cr = mysqli_query($con, $esc_cr) or die("Erro no SQL:" . mysqli_error($con));
            $cr = mysqli_fetch_assoc($sql_cr);


            //selecionando o banco do cliente
            $esc_banco = "SELECT Agencia,
                    Codigo_Cliente,
                    Instrucao1,
                    Instrucao2,
                    Desc_Instrucao1,
                    Desc_Instrucao2,
                    Juros_Dia,
                    Juros_Real,
                    Dia_Instrucao,
                    Multa,
                    Tipo_Multa
                    FROM conta
                    where conta.Id = '" . $cr["idConta"] . "' ";

            $sql_banco = mysqli_query($con, $esc_banco) or die("Erro no SQL:" . mysqli_error($con));
            $banco = mysqli_fetch_assoc($sql_banco);

            if ($banco["Tipo_Multa"] == 'Perc') {
                $banco["Multa"] = $cr["Valor_Original"] * ($banco["Multa"] / 100);
                $banco["Multa"] = valor_exibir($banco["Multa"]);
                $banco["Multa"] = str_replace('.', '', $banco["Multa"]);
                $banco["Multa"] = str_replace(',', '.', $banco["Multa"]);
            }

            // DADOS DO BOLETO PARA O SEU CLIENTE
            //$dias_de_prazo_para_pagamento = 5;
            $taxa_boleto = "0";
            //$data_venc = date("d/m/Y", time() + ($dias_de_prazo_para_pagamento * 86400));  // Prazo de X dias OU informe data: "13/04/2006";

            //calculando o valor de juros dos dias de atraso
            if ($_GET["data"]) {

                $dia_de_hoje = data_banco($_GET["data"]);
                $data_do_banco = $cr["Data_Vencimento"];

                $time1 = strtotime($dia_de_hoje);
                $time2 = strtotime($data_do_banco);
                $dias_timestamp = $time1 - $time2;
                $dias_atraso = (int)floor($dias_timestamp / (60 * 60 * 24));

                if ($banco["Juros_Real"] > '0') {
                    $valor_atraso = ($banco["Juros_Real"] * $dias_atraso);
                } else {
                    $valor_atraso = (($cr["Valor_Original"] * ($banco["Juros_Dia"] / 100)) * $dias_atraso);
                }
                $valor_boleto = $cr["Valor_Original"] + $banco["Multa"] + $valor_atraso;
                $valor_boleto = str_replace(",", ".", $valor_boleto);
                $valor_boleto = number_format($valor_boleto + $taxa_boleto, 2, ',', '');
            } else {
                $valor_cobrado = $cr["Valor_Original"]; // Valor - REGRA: Sem pontos na milhar e tanto faz com "." ou "," ou com 1 ou 2 ou sem casa decimal
                $valor_cobrado = str_replace(",", ".", $valor_cobrado);
                $valor_boleto = number_format($valor_cobrado + $taxa_boleto, 2, ',', '');
            }

            $dadosboleto["nosso_numero"] = $cr["Lancamento"]; // Nosso numero - REGRA: Mximo de 8 caracteres!

            if ((CLIENTE_EMAIL == 'spw') || ($_GET["pontti"] == 'Sim')) $cr["Fatura"] = $cr["Lancamento"];

            if ($cr["Fatura"] == '') $cr["Fatura"] = $cr["Lancamento"];
            $dadosboleto["numero_documento"] = $cr["Fatura"];    // Num do pedido ou nosso numero

            if ($_GET["data"]) {
                $data_venc = $_GET["data"]; //colocando a data se for atraso
            } else {
                $data_venc = data_exibir($cr["Data_Vencimento"]);
            }
            $dadosboleto["data_vencimento"] = $data_venc; // Data de Vencimento do Boleto - REGRA: Formato DD/MM/AAAA
            $dadosboleto["data_documento"] = date("d/m/Y"); // Data de emisso do Boleto
            $dadosboleto["data_processamento"] = date("d/m/Y"); // Data de processamento do boleto (opcional)
            $dadosboleto["valor_boleto"] = $valor_boleto;     // Valor do Boleto - REGRA: Com vrgula e sempre com duas casas depois da virgula

            if ($cr["Natureza"] == 'PF') {
                $cr["Cpf_Cnpj"] = cpf_exibir($cr["Cpf_Cnpj"]);
            } else {
                $cr["Cpf_Cnpj"] = cnpj_exibir($cr["Cpf_Cnpj"]);
            }

            // DADOS DO SEU CLIENTE
            if ($dadosboleto['Radio_Endereco_Cobranca'] == 'Nao') {
                $dadosboleto["sacado"]                  = $cr["Cliente"] . " - " . $cr["Cpf_Cnpj"];
                $dadosboleto["endereco1"]         = $cr["Rua"] . ', ' . $cr["Numero"];
                $dadosboleto["endereco2"]         = $cr["Cidade"] . ' - ' . $cr["Estado"] . ' - ' . $cr["Cep"];
            } else {
                $dadosboleto["sacado"]                  = $cr["Cliente"] . " - " . $cr["Cpf_Cnpj"];
                $dadosboleto["endereco1"]         = $cr["Endereco_Cobranca"];
                $dadosboleto["endereco2"]         = $cr["Cidade_Cobranca"] . ' - ' . $cr["Estado_Cobranca"] . ' - ' . $cr["Cep_Cobranca"];
            }
            //selecionando as informacoes nas opcaoes
            $esc_info = "SELECT Info_Cliente1,
                        Info_Cliente2,
                        Info_Cliente3,
                        Info_Caixa1,
                        Info_Caixa2,
                        Info_Caixa3,
                        Info_Caixa4
                        FROM opcao ";

            $sql_info = mysqli_query($con, $esc_info) or die("Erro no SQL:" . mysqli_error($con));
            $info = mysqli_fetch_assoc($sql_info);


            if (CLIENTE_EMAIL == 'escola') {

                //selecionando os contatos do cliente
                $sacado = mysqli_query($con, "SELECT Titulo_Contato
                            FROM cliente_contato
                            WHERE Id_Cliente = '" . $cr["Id_Cliente"] . "' ");
                $sacador = mysqli_fetch_assoc($sacado);

                if ($sacador["Titulo_Contato"]) {
                    $info["Info_Cliente3"] .= 'Sacador / Avalista : ' . $sacador["Titulo_Contato"] . "<br/>";
                    $info["Info_Caixa3"] = 'Sacador / Avalista : ' . $sacador["Titulo_Contato"];
                }

                if ((CLIENTE_EMAIL == 'espacocerto') || (CLIENTE_EMAIL == 'escola')) {
                    $info["Info_Cliente3"] .= nl2br($cr["Obs"]);
                    $info["Info_Caixa4"] = nl2br($cr["Obs"]);
                }
            }


            $banco["Desc_Instrucao1"] = str_replace('XX', $banco["Dia_Instrucao"], $banco["Desc_Instrucao1"]);
            $banco["Desc_Instrucao2"] = str_replace('XX', $banco["Dia_Instrucao"], $banco["Desc_Instrucao2"]);

            if (($banco["Desc_Instrucao1"]) && ($banco["Instrucao1"] !== '00')) {
                $men_desc1 = "<br/>" . $banco["Desc_Instrucao1"];
            }
            if (($banco["Desc_Instrucao2"]) && ($banco["Instrucao2"] !== '00')) {
                $men_desc2 = "<br/>" . $banco["Desc_Instrucao2"];
            }
            if ($banco["Multa"] > '0') {
                $mem_jur = "<br/>Aps o vencimento cobrar Multa por Atraso de R$ " . number_format($banco["Multa"], 2, ",", ".");
            }
            if ($banco["Juros_Dia"] > '0') {
                //o juros que  cadastrado  de % por dia
                $vJuros = ($cr["Valor_Original"] * ($banco["Juros_Dia"] / 100));
                // $vJuros = str_replace('.', '', $vJuros);
                // $vJuros = str_replace(',', '.', $vJuros);
                $mem_jur = "<br/>Aps o vencimento cobrar juros R$ " . number_format($vJuros, 2, ",", ".") . " por dia.";
            }

            if (CLIENTE_EMAIL == 'spw') {
                $info["Info_Cliente1"] = $cr["Descricao"] . "<br>" . $info["Info_Cliente1"];
                $info["Info_Caixa1"] = $cr["Descricao"] . "<br>" . $info["Info_Caixa1"];
            }

            // INFORMACOES PARA O CLIENTE
            $dadosboleto["demonstrativo1"] = $info["Info_Cliente1"];
            $dadosboleto["demonstrativo2"] = $info["Info_Cliente2"];
            $dadosboleto["demonstrativo3"] = $info["Info_Cliente3"] . $men_fat . $men_desc1 . $men_desc2 . $mem_jur;

            // INSTRUES PARA O CAIXA
            $dadosboleto["instrucoes1"] = $info["Info_Caixa1"];
            $dadosboleto["instrucoes2"] = $info["Info_Caixa2"];
            $dadosboleto["instrucoes3"] = $info["Info_Caixa3"] . $men_fat . $men_desc1 . $men_desc2 . $mem_jur;
            $dadosboleto["instrucoes4"] = $info["Info_Caixa4"];

            // DADOS OPCIONAIS DE ACORDO COM O BANCO OU CLIENTE
            $dadosboleto["quantidade"] = "";
            $dadosboleto["valor_unitario"] = "";
            $dadosboleto["aceite"] = "N";
            $dadosboleto["especie"] = "R$";
            $dadosboleto["especie_doc"] = "DM";


            // ---------------------- DADOS FIXOS DE CONFIGURAO DO SEU BOLETO --------------- //
            /*
    //selecionando o banco do cliente
    $esc_banco = "SELECT Agencia, Codigo_Cliente
                    FROM conta
                  where conta.Id = '".$cr["idConta"]."' ";

    $sql_banco = mysqli_query($con,$esc_banco) or die("Erro no SQL:".mysqli_error($con));
    $banco = mysqli_fetch_assoc($sql_banco);
*/
            // DADOS PERSONALIZADOS - SANTANDER BANESPA
            $dadosboleto["codigo_cliente"] = $banco["Codigo_Cliente"]; // Cdigo do Cliente (PSK) (Somente 7 digitos)
            $dadosboleto["ponto_venda"] = $banco["Agencia"]; // Ponto de Venda = Agencia
            $dadosboleto["carteira"] = "101";  // Cobrana Simples Rpida COM Registro
            $dadosboleto["carteira_descricao"] = "COBRANCA SIMPLES RCR"; //"ELETRONICA C/ REG";  // Descrio da Carteira

            if (CLIENTE_EMAIL == 'coffeebar') {
                if (($cr["EF"] == 'Sim') && (($cr["Origem"] == 'VDA') || ($cr["Origem"] == 'CMD'))) {
                    //nao fazer nada
                } else {
                    $cr["Id_Unidade"] = '3'; //Av Lopes, so entra venda nao fiscal
                }
            }

            //selecionando a empresa
            $esc_emp = "SELECT Titulo, Cnpj, Rua, Numero, Cidade, Estado, Razao_Social,Bairro
                FROM unidade where Id = '" . $cr["Id_Unidade"] . "' ";

            $sql_emp = mysqli_query($con, $esc_emp) or die("Erro no SQL:" . mysqli_error($con));
            $emp = mysqli_fetch_assoc($sql_emp);

            // SEUS DADOS
            $dadosboleto["identificacao"] = $emp["Titulo"];
            $dadosboleto["cpf_cnpj"] = $emp["Cnpj"];
            $dadosboleto["endereco"] = $emp["Rua"] . " - " . $emp["Numero"];
            $dadosboleto["cidade_uf"] = $emp["Bairro"] . " - " . $emp["Cidade"] . " - " . $emp["Estado"];
            $dadosboleto["cedente"] = $emp["Razao_Social"];

            if (CLIENTE_EMAIL == 'higiene') {
                $dadosboleto["cedente"] = $dadosboleto["cedente"] . "<br>" . $dadosboleto["cpf_cnpj"] . " - " . $dadosboleto["endereco"] . " - " . $dadosboleto["cidade_uf"];
                $dadosboleto["sacado"] = $dadosboleto["sacado"] . "<br>" . $dadosboleto["endereco1"] . " - " . $dadosboleto["endereco2"];
            }

            $codigobanco = "033"; //Antigamente era 353
            $codigo_banco_com_dv = geraCodigoBanco($codigobanco);
            $nummoeda = "9";
            $fixo     = "9";   // Numero fixo para a posio 05-05
            $ios      = "0";   // IOS - somente para Seguradoras (Se 7% informar 7, limitado 9%)
            // Demais clientes usar 0 (zero)
            $fator_vencimento = fator_vencimento($dadosboleto["data_vencimento"]);

            //valor tem 10 digitos, sem virgula
            $valor = formata_numero($dadosboleto["valor_boleto"], 10, 0, "valor");
            //Modalidade Carteira
            $carteira = $dadosboleto["carteira"];
            //codigocedente deve possuir 7 caracteres
            $codigocliente = formata_numero($dadosboleto["codigo_cliente"], 7, 0);

            //nosso nmero (sem dv)  11 digitos
            $nnum = formata_numero($dadosboleto["nosso_numero"], 7, 0);
            //dv do nosso nmero
            $dv_nosso_numero = modulo_11($nnum, 9, 0);
            // nosso nmero (com dvs) so 13 digitos
            $nossonumero = "00000" . $nnum . $dv_nosso_numero;

            $vencimento = $dadosboleto["data_vencimento"];

            $vencjuliano = dataJuliano($vencimento);

            // 43 numeros para o calculo do digito verificador do codigo de barras
            $barra = "$codigobanco$nummoeda$fator_vencimento$valor$fixo$codigocliente$nossonumero$ios$carteira";

            //$barra = "$codigobanco$nummoeda$fixo$codigocliente$nossonumero$ios$carteira";
            $dv = digitoVerificador_barra($barra);
            // Numero para o codigo de barras com 44 digitos
            $linha = substr($barra, 0, 4) . $dv . substr($barra, 4);

            $dadosboleto["codigo_barras"] = $linha;
            $dadosboleto["linha_digitavel"] = monta_linha_digitavel($linha);
            $dadosboleto["nosso_numero"] = $nossonumero;
            $dadosboleto["codigo_banco_com_dv"] = $codigo_banco_com_dv;

            $barcodes = array();
            $numeros = array();
            $parcial = array();

            // NO ALTERAR!
            include("./carnes/include/layout_santander_banespa.php");

            $html = ob_get_contents();
            ob_end_clean();
            $mpdf->WriteHTML(utf8_encode($html));
        }
    }
    // echo $html;
    $mpdf->Output('boleto.pdf', 'F');
}
