<?php
include_once '../include/conecta.php'; //Conecta com a nosso banco de dados MySQL
include_once '../include/ver_sessao.php'; //Verifica se a sesso est ativa
include_once '../include/funcoesPhp.php'; include_once '../menu_movimento.php';
?>
<?php
    error_reporting(E_ALL);
    ini_set('display_errors', 'On');
    require_once '../nfephp/bootstrap.php';
    require_once '../nfephp/config/config.php';
    require_once '../nfephp/config/certificado.php';
    
    use NFePHP\NFe\Tools;
    use NFePHP\Common\Certificate;
    use NFePHP\NFe\Common\Standardize;
    
    $dados_cert = geraCertificado($_GET["Unidade"]);
    //carrega o conteudo do certificado.
    $content = file_get_contents($dados_cert['pathCertsFiles'].$dados_cert['certPfxName']);

    $certificate = Certificate::readPfx($content, $dados_cert['certPassword']);
    $tools = new Tools(geraConfig($_GET["Unidade"]), $certificate);
    $tools->model('55');
    
    $ultNSU = mysqli_query($con,"SELECT ultNSU FROM unidade WHERE Id='".$_GET["Unidade"]."' LIMIT 1 ");
    $ultNSU = mysqli_fetch_assoc($ultNSU);
    
    header('Content-type: text/plain');
    $resp = $tools->sefazDistDFe(
        $ultNSU["ultNSU"],
        0
    );
    //exit($resp);
    $st = new Standardize();
    $std = $st->toStd($resp);
    //var_dump($std);die();

    if($std->cStat=='656'){
        $custo["erro"]='S';
        $custo["motivo"]=$std->xMotivo."\n ultNSU: ".$std->ultNSU;
        echo json_encode($custo);
        die();
    }

    //$std->ultNSU; (salvar) cada lote tem um Numero. Este serve para saber ate onde buscamos as notas
    //Deve ser utilizado o ultNSU nas solicitacoes subsequentes
    
    //gravar no banco de dados o ultimo acesso dele e eu mesmo bloquear - 1 horas
    if($std->ultNSU > 0){
        mysqli_query($con,"UPDATE unidade SET ultNSU = '".$std->ultNSU."', Compra_Download='".date('Y-m-d H:i:s')."' WHERE Id='".$_GET["Unidade"]."' ");
    }
    
    $notas = [];
    if (is_array($std->loteDistDFeInt->docZip)) {
        foreach ($std->loteDistDFeInt->docZip as $doc) {
            $xml = gzdecode(base64_decode($doc));
            
            $doc = new DOMDocument('', '');
            $doc->loadXML($xml);
            if ($doc->getElementsByTagName('resNFe')->item(0) != null) {
                // tem resumo
                $notas[] = $xml;
            }
            
        }
    } else {
        $xml = gzdecode(base64_decode($std->loteDistDFeInt->docZip));
            
            $doc = new DOMDocument('', '');
            $doc->loadXML($xml);
            if ($doc->getElementsByTagName('resNFe')->item(0) != null) {
                // tem resumo
                $notas[] = $xml;
            }
            
    }
    
    //var_dump($notas);
    $x='1';
    foreach ($notas as $nota) {
        
        $xml = simplexml_load_string($nota);
        
        if(isset($xml->chNFe)){
            
        if($x=='1'){
            mysqli_query($con,"UPDATE compra_nfe SET Compra_Nova = '0' WHERE Compra_Nova='1' AND Id_Unidade='".$_GET["Unidade"]."' ");
        }
            
        $chNFe = mysqli_query($con,"SELECT chNFe FROM compra_nfe WHERE chNFe='".$xml->chNFe."' ");
        
        if(mysqli_num_rows($chNFe) == 0){
            mysqli_query($con,"INSERT INTO compra_nfe (
                                chNFe,
                                CNPJ, 
                                xNome,
                                IE,
                                dhEmi,
                                digVal,
                                dhRecibo,
                                nProt,
                                tpEvento,
                                descEvento,
                                Manifesto,
                                Compra,
                                Compra_Nova,
                                Id_Unidade,
                                ".$padraoCampos.")
                                values(
                                '".$xml->chNFe."',
                                '".$xml->CNPJ."',
                                '".$xml->xNome."',
                                '".$xml->IE."',
                                '".$xml->dhEmi."',
                                '".$xml->digVal."',
                                '".$xml->dhRecbto."',
                                '".$xml->nProt."',
                                '".$xml->tpEvento."',
                                '".$xml->descEvento."',
                                '0',
                                '0',
                                '1',
                                '".$_GET["Unidade"]."',
                                ".$padraoPost.")")
                                or die("Erro no comando SQL:".mysqli_error($con));
        }
        
        }
        $x++;
    }