<?php
include_once '../include/conecta.php'; //Conecta com a nosso banco de dados MySQL
include_once '../include/ver_sessao.php'; //Verifica se a sesso est ativa
include_once '../include/funcoesPhp.php';
include_once '../menu_movimento.php';
?>
<?php
if ($_GET['Data_Filtro'] == 'Data_NFe') {
    if ($_GET["De"])
        $data .= "AND nfe.Data_Nfe >= '" . data_banco($_GET["De"]) . " 00:00:00' ";
    if ($_GET["Ate"])
        $data .= "AND nfe.Data_Nfe <= '" . data_banco($_GET["Ate"]) . " 23:59:59' ";
}
if ($_GET['Data_Filtro'] == 'Data_Cadastro') {
    if ($_GET["De"])
        $data .= "AND nfe.Data_Cadastro >= '" . data_banco($_GET["De"]) . " 00:00:00' ";
    if ($_GET["Ate"])
        $data .= "AND nfe.Data_Cadastro <= '" . data_banco($_GET["Ate"]) . " 23:59:59' ";
}
if ($_GET["Cfop"]) {
    $cfop = "AND nfe.Cfop = '" . $_GET["Cfop"] . "' ";
}

if (($_GET["Ativa"]) || ($_GET["Denegada"]) || ($_GET["Sem_Emissao"]) || ($_GET["Cancelada"])) {

    $status = "AND (";

    if ($_GET["Sem_Emissao"]) {
        $status .= " nfe.Protocolo = '' OR";
    }
    if ($_GET["Ativa"]) {
        $status .= " (nfe.Protocolo != '' AND nfe.Status = 'Ativa') OR";
    }
    if ($_GET["Denegada"]) {
        $status .= " nfe.Status = 'Denegada' OR";
    }
    if ($_GET["Cancelada"]) {
        $status .= " nfe.Status = 'Cancelada' OR";
    }


    $status = substr($status, 0, -2);
    $status .= ")";
}


if ($_GET["Unidade"]) {
    $UnidadeCan = "AND nfe.Id_Unidade = '" . $_GET["Unidade"] . "' ";
}
if ($_GET["Serie"]) {
    $Serie = "AND nfe.Serie = '" . $_GET["Serie"] . "' ";
}
if ($_GET["Unidade"]) {
    $Unidade = "AND nfe.Id_Unidade = '" . $_GET["Unidade"] . "' ";
}

if ($_GET["Estado"]) {
    $Estado = "AND cliente.Estado = '" . $_GET["Estado"] . "' ";
}
if ($_GET["Ok"]) {
    $vendaA = mysqli_query($con, "SELECT nfe.Numero_Nota,
                                            nfe.Id as Id_Nfe,
                                            nfe.Serie,
                                            nfe.Status,
                                            venda.Lancamento as Venda,
                                            nfe.Data_Nfe,
                                            nfe.Data_Cadastro,
                                            nfe.Protocolo,
                                            nfe.Chave,
                                            nfe.Cfop,
                                            nfe.Valor_Nfe AS Valor_Pago,
                                            tipo_pagamento.Titulo as Pagamento,
                                            nfe.Id_Pedido,
                                            venda.Id as Id_Venda,
                                            venda.Id_Cliente,
                                            cliente.Estado
                                       FROM nfe
                                  LEFT JOIN (SELECT Id,Id_Tipo_Pagamento,Lancamento,Id_Cliente FROM venda) as venda ON venda.Id = nfe.Id_Pedido
                                  LEFT JOIN (SELECT Id,Titulo FROM tipo_pagamento) as tipo_pagamento ON tipo_pagamento.Id = venda.Id_Tipo_Pagamento
                                  LEFT JOIN (SELECT Id,Estado FROM cliente) as cliente ON cliente.Id = venda.Id_Cliente
                                       WHERE nfe.Tipo_Nfe='NFe'
                                            $filt $Serie $status $Usuario $cfop
                                            $dataV $data $usuario_v $Cliente $Unidade $Estado
                                            group by Id_Nfe
                                            order by nfe.Numero_Nota,nfe.Data_Nfe");
}

header('Content-Type: text/csv; charset=utf-8');
header('Content-Disposition: attachment; filename=relatorio_nfe.csv');

$resultado = fopen("php://output", 'w');// Gravar no buffer

$cabecalho = ['x','Nota','Serie','Data','Saida','Protocolo','Chave','Valor NFe','Cfop','Status','Venda','Pagamento','Valor Itens'];

$cod_auto1 = mysqli_query($con, "SELECT nfe_pedido_produto.Preco,
                                nfe_pedido_produto.Qtd,
                                nfe_pedido_produto.Desconto,
                                nfe_pedido_produto.Desconto_Real
                                FROM nfe_pedido_produto
                                WHERE nfe_pedido_produto.Id_Nfe = '" . $chave['Id_Nfe'] . "' ");
$ex_fun = '';
while ($valor = mysqli_fetch_assoc($cod_auto1)) {
    $ex_fun += ((($valor['Qtd'] * $valor['Preco']) - (($valor['Qtd'] * $valor['Preco']) * ($valor['Desconto'] / 100))) - $valor['Desconto_Real']);
}

$contador = 1;
$usuarios = [];
while ($chave = mysqli_fetch_assoc($vendaA)) {
    $usuarios[] = array(
            'x'=> $contador,
            'Nota'=> $chave['Numero_Nota'],
            'Serie'=> $chave['Serie'],
            'Data'=> data_exibir($chave["Data_Cadastro"]),
            'Saida'=> data_exibir($chave["Data_Nfe"]),
            'Protocolo'=> "\"".$chave['Protocolo']."\"",
            'Chave'=> "=\"" .$chave["Chave"]. "\"",
            'Valor NFe'=> valor_exibir($chave["Valor_Pago"]),
            'Cfop'=> $chave['Cfop'],
            'Status'=> $chave['Status'],
            'Venda'=> $chave['Venda'],
            'Pagamento'=> $chave['Pagamento'],
            'Valor Itens'=> valor_exibir($ex_fun),
    );
}

//$resultado = fopen('file.csv', 'w');// Abrir o arquivo

fputcsv($resultado, $cabecalho, ';');// Escrever o cabealho no arquivo

// Escrever o contedo no arquivo
foreach($usuarios as $row_usuario){
    fputcsv($resultado, $row_usuario, ';');
}

fclose($resultado);// Fechar arquivo
?>