<?php
include_once '../include/conecta.php'; //Conecta com a nosso banco de dados MySQL
include_once '../include/ver_sessao.php'; //Verifica se a sesso est ativa
include_once '../include/funcoesPhp.php'; include_once '../menu_movimento.php';
?>
<?php
    error_reporting(E_ALL);
    ini_set('display_errors', 'On');
    require_once '../nfephp/bootstrap.php';
    require_once '../nfephp/config/config.php';
    require_once '../nfephp/config/certificado.php';
    
    use NFePHP\NFe\Tools;
    use NFePHP\Common\Certificate;
    use NFePHP\NFe\Common\Standardize;
    
    $dados_cert = geraCertificado($_GET["Unidade"]);
    //carrega o conteudo do certificado.
    $content = file_get_contents($dados_cert['pathCertsFiles'].$dados_cert['certPfxName']);

    $certificate = Certificate::readPfx($content, $dados_cert['certPassword']);
    $tools = new Tools(geraConfig($_GET["Unidade"]), $certificate);
    $tools->model('55');
    
    header('Content-type: text/plain');
    $resp = $tools->sefazManifesta(
        $_GET["Chave"],
        Tools::EVT_NAO_REALIZADA,
        'Problemas de entrega, negociacao' // deve apenas ser preenchido na operao nao realizada
    );
    
    $st = new Standardize();
    $std = $st->toStd($resp);
    //var_dump($std);
    
    if($std->retEvento->infEvento->cStat == '596'){//Rejeio: Evento apresentado fora do prazo: [prazo vigente]
        mysqli_query($con,"UPDATE compra_nfe SET Nao_Realizada = '0' WHERE chNFe='".$_GET["Chave"]."' ");
        $custo["Nao_Realizada"]='0';
        $custo["Descricao_Nao_Realizada"]='No';
    }else
    if($std->retEvento->infEvento->cStat == '650'){//Rejeio: Evento de "Cincia da Emisso" para NF-e Cancelada ou Denegada
        mysqli_query($con,"UPDATE compra_nfe SET Nao_Realizada = '0' WHERE chNFe='".$_GET["Chave"]."' ");
        $custo["Nao_Realizada"]='0';
        $custo["Descricao_Nao_Realizada"]='No';
    }else
    if($std->retEvento->infEvento->cStat == '651'){//Rejeio: Evento de "Desconhecimento da Operao" para NF-e Cancelada ou Denegada
        mysqli_query($con,"UPDATE compra_nfe SET Nao_Realizada = '0' WHERE chNFe='".$_GET["Chave"]."' ");
        $custo["Nao_Realizada"]='0';
        $custo["Descricao_Nao_Realizada"]='No';
    }else
    if($std->retEvento->infEvento->cStat == '573'){//Rejeio: Duplicidade de Evento
        mysqli_query($con,"UPDATE compra_nfe SET Nao_Realizada = '1' WHERE chNFe='".$_GET["Chave"]."' ");
        $custo["Nao_Realizada"]='1';
        $custo["Descricao_Nao_Realizada"]='Sim';
    }else
    if($std->retEvento->infEvento->cStat == '135'){//requisiao aceita
        mysqli_query($con,"UPDATE compra_nfe SET Nao_Realizada = '1' WHERE chNFe='".$_GET["Chave"]."' ");
        $custo["Nao_Realizada"]='1';
        $custo["Descricao_Nao_Realizada"]='Sim';
    }
    
    echo json_encode($custo);