<?php
include_once '../include/conecta.php'; //Conecta com a nosso banco de dados MySQL
include_once '../include/ver_sessao.php'; //Verifica se a sessão está ativa
include_once '../include/funcoesPhp.php'; //Inclue a página con todas as funções a ser usada.

//error_reporting(E_ALL);
//error_reporting(E_ALL ^ E_NOTICE); //todos os erros, exceto notices
ini_set('display_errors', 'On');
require_once '../nfephp/bootstrap.php';

use NFePHP\NFe\Make;
use NFePHP\NFe\Convert;
use NFePHP\NFe\Common\ValidTXT;
use NFePHP\DA\NFe\Danfe;
use NFePHP\DA\Legacy\FilesFolders;

function palavra_especial($letra) {

    if ($letra) {

        $letra = str_replace("", "a", $letra);
        $letra = str_replace("", "A", $letra);
        $letra = str_replace("", "a", $letra);
        $letra = str_replace("", "A", $letra);
        $letra = str_replace("", "a", $letra);
        $letra = str_replace("", "A", $letra);
        $letra = str_replace("", "a", $letra);
        $letra = str_replace("", "A", $letra);
        $letra = str_replace("", "o", $letra);
        $letra = str_replace("", "O", $letra);
        $letra = str_replace("", "o", $letra);
        $letra = str_replace("", "O", $letra);
        $letra = str_replace("", "o", $letra);
        $letra = str_replace("", "O", $letra);
        $letra = str_replace("", "i", $letra);
        $letra = str_replace("", "I", $letra);
        $letra = str_replace("", "e", $letra);
        $letra = str_replace("", "E", $letra);
        $letra = str_replace("", "e", $letra);
        $letra = str_replace("", "E", $letra);
        $letra = str_replace("", "c", $letra);
        $letra = str_replace("", "C", $letra);
        $letra = str_replace("", "u", $letra);
        $letra = str_replace("", "U", $letra);
        $letra = str_replace("", "n", $letra);
        $letra = str_replace("", "N", $letra);
        $letra = str_replace("-", "", $letra);
        $letra = str_replace(".", "", $letra);
        $letra = str_replace("/", "", $letra);
        $letra = str_replace("(", "", $letra);
        $letra = str_replace(")", "", $letra);
        $letra = str_replace("", "", $letra);
        $letra = str_replace("?", "", $letra);
    } else {

        $letra = '';
    }

    return $letra;
}

mysqli_query($con,"UPDATE nfe SET Data_Emissao=Data_Nfe WHERE Id='".$_GET["id_nfe"]."' AND Data_Emissao='0000-00-00' ");

/* select do emitente */
$menu2 = mysqli_query($con,"SELECT
                            unidade.Titulo,
                            unidade.Razao_Social,
                            unidade.Cnpj,
                            unidade.Rua,
                            unidade.Numero,
                            unidade.Complemento,
                            unidade.Cep,
                            unidade.Bairro,
                            unidade.Fone1,
                            unidade.Email,
                            unidade.Estadual,
                            unidade.CRT,
                            unidade.Ambiente,
                            unidade.Id_Cidade,
                            unidade.Cidade,
                            unidade.Estado,
                            unidade.Aliquota_Simples,
                            cidade_ibge.Codigo as Codigo_Cidade
                            FROM
                            unidade
                            left join (SELECT Id,Id_Unidade,Id_Nfe FROM nfe_pedido) as nfe_pedido ON nfe_pedido.Id_Unidade = unidade.Id
                            left join (SELECT Id,Codigo FROM cidade_ibge) as cidade_ibge ON cidade_ibge.Id = unidade.Id_Cidade
                            WHERE nfe_pedido.Id_Nfe='" . $_GET["id_nfe"] . "'");

$dados_emitente_nfe = mysqli_fetch_assoc($menu2);

switch ($dados_emitente_nfe["Estado"]) {
    case 'AC': $cUF = "12";
        break;
    case 'AL': $cUF = "27";
        break;
    case 'AP': $cUF = "16";
        break;
    case 'AM': $cUF = "13";
        break;
    case 'BA': $cUF = "29";
        break;
    case 'CE': $cUF = "23";
        break;
    case 'DF': $cUF = "53";
        break;
    case 'GO': $cUF = "52";
        break;
    case 'ES': $cUF = "32";
        break;
    case 'MA': $cUF = "21";
        break;
    case 'MT': $cUF = "51";
        break;
    case 'MS': $cUF = "50";
        break;
    case 'MG': $cUF = "31";
        break;
    case 'PA': $cUF = "15";
        break;
    case 'PB': $cUF = "25";
        break;
    case 'PR': $cUF = "41";
        break;
    case 'PE': $cUF = "26";
        break;
    case 'PI': $cUF = "22";
        break;
    case 'RJ': $cUF = "33";
        break;
    case 'RN': $cUF = "24";
        break;
    case 'RS': $cUF = "43";
        break;
    case 'RO': $cUF = "11";
        break;
    case 'RR': $cUF = "14";
        break;
    case 'SP': $cUF = "35";
        break;
    case 'SC': $cUF = "42";
        break;
    case 'SE': $cUF = "28";
        break;
    case 'TO': $cUF = "17";
        break;
}



/* dados da nfe */
$menu3 = mysqli_query($con,"SELECT
                            nfe.Numero_Nota,
                            nfe.Natureza,
                            nfe.Tipo,
                            nfe.Serie,
                            nfe.Data_Nfe,
                            nfe.Hora_Nfe,
                            nfe.Tipo_Impressao,
                            nfe.Forma_Emissao,
                            nfe.Finalidade_Emissao,
                            nfe.Hora_Nfe,
                            nfe.Info_Fisco,
                            nfe.Info_Contribuinte,
                            nfe.Frete,
                            nfe.Ref_Nfe,
                            nfe.Horario_Verao,
                            nfe.Operacao,
                            nfe.Consumidor_Final,
                            nfe.Presenca,
                            nfe.Id_Pedido,
                            nfe.modECF,
                            nfe.nECF,
                            nfe.nCOO,
                            DATE_FORMAT(nfe.Data_Cadastro, '%Y-%m-%d') as 'Data_Cadastro',
                            nfe_pedido.Id_Tipo_Pagamento,
                            cfop.Titulo as Cfop,
                            cfop.Cfop as Numero_Cfop,
                            cidade_ibge.Codigo as Codigo_Cidade_Empresa
                            FROM nfe
                            left join (SELECT Id_Nfe,Id_Tipo_Pagamento,Id_Cfop from nfe_pedido) as nfe_pedido ON nfe_pedido.Id_Nfe = nfe.Id
                            left join (SELECT Id,Titulo,Cfop from cfop) as cfop ON nfe_pedido.Id_Cfop = cfop.Id
                            left join (SELECT Id,Id_Cidade from unidade) as unidade ON nfe.Id_Unidade = unidade.Id
                            left join (SELECT Id,Codigo from cidade_ibge) as cidade_ibge ON unidade.Id_Cidade = cidade_ibge.Id
                            WHERE nfe.Id='" . $_GET["id_nfe"] . "' ");

$dados_nfe = mysqli_fetch_assoc($menu3);


require_once("NFeTXT20.php");

$nfe = new NFeTXT2;

//horario verao = sim
if ($dados_nfe["Horario_Verao"] == 'Sim') {
    $hora = '-02:00';
} else {
    $hora = '-03:00';
}

$nfe->versao = "4.00";
//$nfe->id = "NFe35101158716523000119550010000000011003000000"; // O id eh calculado automaticamente
$nfe->cUF = $cUF;
$nfe->cNF = sprintf("%08d", $dados_nfe["Numero_Nota"]);
$nfe->NatOp = SoPalavrasEspeciais(substr($dados_nfe["Cfop"], 0, 40)); //descricao cfop - natureza
if ($dados_nfe["Id_Tipo_Pagamento"] == '1') {
    $vindPag = '0';
} else {
    $vindPag = '1';
}
//$nfe->indPag = $vindPag; //0 ? pagamento  vista;1 ? pagamento  prazo;2 - outros.
$nfe->mod = "55"; //55=NF-e emitida em substituio a Nota Fiscal modelo 1/1A; 65=NFC-e, utilizada nas operaes de vendas no varejo, onde no for exigida a NF-e por dispositivo legal.
$nfe->serie = $dados_nfe["Serie"];
//$nfe->nNF     = sprintf("%09d",$dados_nfe["Numero_Nota"]);
$nfe->nNF = $dados_nfe["Numero_Nota"];
$nfe->dhEmi = $dados_nfe["Data_Nfe"] . "T" . date("H:i:s") . $hora; //2010-08-19T13:00:15-03:00
$nfe->dhSaiEnt = $dados_nfe["Data_Nfe"] . "T" . date("H:i:s") . $hora; //2010-08-19T13:00:15-03:00
$nfe->tpNF = $dados_nfe["Tipo"]; // 0 entrada 1 saida
$op = substr($dados_nfe["Numero_Cfop"], 0, 1);
if ($op == '1') {
    $dados_nfe["Operacao"] = '1';
} else if ($op == '2') {
    $dados_nfe["Operacao"] = '2';
} else if ($op == '3') {
    $dados_nfe["Operacao"] = '3';
} else if ($op == '5') {
    $dados_nfe["Operacao"] = '1';
} else if ($op == '6') {
    $dados_nfe["Operacao"] = '2';
} else if ($op == '7') {
    $dados_nfe["Operacao"] = '3';
}
$nfe->idDest = $dados_nfe["Operacao"]; // 1=Operao interna; 2=Operao interestadual; 3=Operao com exterior.
$nfe->cMunFG = $dados_nfe["Codigo_Cidade_Empresa"]; //"2611606";
$nfe->TpImp = $dados_nfe["Tipo_Impressao"]; // 1 - Retrato 2 - Paisagem
$nfe->TpEmis = $dados_nfe["Forma_Emissao"]; // tipo emissao
//$nfe->cDV   = "0"; // gerado automaticamente
$nfe->tpAmb = $dados_emitente_nfe["Ambiente"]; // 1-Producao/ 2-Homologacao
$nfe->finNFe = $dados_nfe["Finalidade_Emissao"];
$nfe->indFinal = $dados_nfe["Consumidor_Final"]; //operao com Consumidor final
$nfe->indPres = $dados_nfe["Presenca"]; //presena do comprador no estabelecimento comercial
$nfe->procEmi = "0";
$nfe->VerProc = "4.00";
if ($dados_nfe["Forma_Emissao"] != '1') {
    $vdhCont = $dados_nfe["Data_Nfe"] . 'T' . $dados_nfe["Hora_Nfe"] . ':00' . $hora;
}
$nfe->dhCont = $vdhCont; //2010-08-19T13:00:15-03:00.
$nfe->xJust = ""; // Justificativa da entrada

if (($dados_nfe["Finalidade_Emissao"] == '2') || ($dados_nfe["Finalidade_Emissao"] == '3') || ($dados_nfe["Finalidade_Emissao"] == '4')) {
    $nfe->refNFe = $dados_nfe["Ref_Nfe"]; //Chave de acesso das NF-e referenciadas
}

if ($dados_nfe["modECF"]) {
    $nfe->modECF = $dados_nfe["modECF"]; //Modelo do Documento Fiscal
    $nfe->nECF = $dados_nfe["nECF"]; //Nmero de ordem sequencial do ECF
    $nfe->nCOO = $dados_nfe["nCOO"]; //Nmero do Contador de Ordem de Operao - COO
}


//Dados do emitente
$nfe->emi["XNome"] = SoPalavrasEspeciais(trim($dados_emitente_nfe["Razao_Social"]));
$nfe->emi["XFant"] = SoPalavrasEspeciais(trim($dados_emitente_nfe["Titulo"]));
$nfe->emi["IE"] = palavra_especial(trim($dados_emitente_nfe["Estadual"]));
$nfe->emi["IEST"] = ""; //Insc Est Substituto
$nfe->emi["IM"] = ""; // Inscricaoo Municipal - informado NF-e conjugada
$nfe->emi["CNAE"] = ""; // informado qdo o campo IM for informado.
$nfe->emi["CRT"] = palavra_especial($dados_emitente_nfe["CRT"]); // Cod de Regime Tributario. 1- Simples Nacional;2 -Simples Nacional,excesso de sublimite de receita bruta;3 - Regime Normal.(v2.0).
if(strlen(palavra_especial($dados_emitente_nfe["Cnpj"]))==14) {
    $nfe->emi["CNPJ"] = palavra_especial($dados_emitente_nfe["Cnpj"]); //indicar apenas um CNPJ ou CPF
    $nfe->emi["CPF"]    = ""; // Utilizado para CPF na nota
}else{
    $nfe->emi["CNPJ"] = ''; //indicar apenas um CNPJ ou CPF
    $nfe->emi["CPF"] = palavra_especial($dados_emitente_nfe["Cnpj"]); // Utilizado para CPF na nota
}
$nfe->emi["xLgr"] = palavra_especial(trim($dados_emitente_nfe["Rua"]));
$nfe->emi["nro"] = palavra_especial(trim($dados_emitente_nfe["Numero"]));
$nfe->emi["Cpl"] = palavra_especial(trim($dados_emitente_nfe["Complemento"]));
$nfe->emi["Bairro"] = palavra_especial(trim($dados_emitente_nfe["Bairro"]));
$nfe->emi["CMun"] = palavra_especial(trim($dados_emitente_nfe["Codigo_Cidade"]));
$nfe->emi["XMun"] = palavra_especial(trim($dados_emitente_nfe["Cidade"]));
$nfe->emi["UF"] = palavra_especial(trim($dados_emitente_nfe["Estado"]));
$nfe->emi["CEP"] = espacos(trim($dados_emitente_nfe["Cep"])); // apenas numeros
$nfe->emi["cPais"] = "1058";
$nfe->emi["xPais"] = "BRASIL";
$nfe->emi["fone"] = espacos(trim($dados_emitente_nfe["Fone1"]));


$sql_del = mysqli_query($con,"Select Id_Cliente2 FROM nfe_pedido WHERE Id_Nfe='" . $_GET["id_nfe"] . "'");
$cliente2 = mysqli_fetch_assoc($sql_del);
if ($cliente2["Id_Cliente2"]) {
    $cliente_nfe = "Id_Cliente2";
} else {
    $cliente_nfe = "Id_Cliente";
}

/* select do destinatario */
$menu = mysqli_query($con,"SELECT
                            cliente.Titulo as Cliente,
                            cliente.Razao_Social,
                            cliente.Natureza,
                            cliente.Cpf_Cnpj,
                            cliente.Estadual,
                            cliente.Municipal,
                            cliente.Email,
                            cliente.Fone1,
                            cliente.Rua,
                            cliente.Numero,
                            cliente.Complemento,
                            cliente.Bairro,
                            cliente.Cep,
                            cliente.Estado,
                            cliente.Cidade,
                            cliente.Pais,
                            cliente.Codigo_Pais,
                            cliente.Consumidor_Final,
                            cliente.Nao_Contribuinte_Icms,
                            cliente.Ipi,
                            cidade_ibge.Codigo as Codigo_Cidade,
                            nfe_pedido.DV,
                            nfe_pedido.Endereco_Entrega,
                            nfe_pedido.Rua as Rua_Ent,
                            nfe_pedido.Num as Numero_Ent,
                            nfe_pedido.Complemento as Compl_Ent,
                            nfe_pedido.Bairro as Bairro_Ent,
                            cidade_ibge_ent.Titulo as Cidade_Ent,
                            cidade_ibge_ent.Codigo as Codigo_Cidade_Ent,
                            nfe_pedido.Estado as Estado_Ent
                            FROM nfe
                            left join (SELECT Id,$cliente_nfe as Id_Cliente,Endereco_Entrega,Rua,Num,Complemento,Bairro,Id_Cidade,
                                Estado,Id_Nfe,DV FROM nfe_pedido) as nfe_pedido ON nfe_pedido.Id_Nfe = nfe.Id
                            left join
                            (
                            SELECT Id,Titulo,Razao_Social,Natureza,Cpf_Cnpj,Estadual,Email,Rua,Numero,Complemento,Bairro,
                            Cep,Id_Cidade,Cidade,Estado,Fone1,Pais,Codigo_Pais,Municipal,Consumidor_Final,Nao_Contribuinte_Icms,
                            Ipi
                            FROM cliente
                            UNION
                            SELECT Id,Titulo,Razao_Social,Natureza,Cpf_Cnpj,Estadual,Email,Rua,Numero,Complemento,Bairro,
                            Cep,Id_Cidade,Cidade,Estado,Fone1,Pais,Codigo_Pais,Municipal,Consumidor_Final,Nao_Contribuinte_Icms,
                            Ipi
                            FROM fornecedor
                            ) as cliente on cliente.Id = nfe_pedido.Id_Cliente
                            left join (SELECT Id,Codigo FROM cidade_ibge) as cidade_ibge ON cidade_ibge.Id = cliente.Id_Cidade
                            left join (SELECT Id,Codigo,Titulo FROM cidade_ibge) as cidade_ibge_ent ON cidade_ibge_ent.Id = nfe_pedido.Id_Cidade
                            WHERE
                            nfe.Id='" . $_GET["id_nfe"] . "' ");

$dados_destinatario_nfe = mysqli_fetch_assoc($menu);

//destinatario
if ($dados_destinatario_nfe["Natureza"] == "PJ") {
    $nome_destinatario = SoPalavrasEspeciais(trim($dados_destinatario_nfe["Razao_Social"]));
} else {
    $nome_destinatario = SoPalavrasEspeciais(trim($dados_destinatario_nfe["Cliente"]));
}
$nfe->dest["xNome"] = $nome_destinatario;

if ($dados_destinatario_nfe["Estadual"] == '') {
    $indIEDest = '9';
    $nfe->dest["IE"] = '';
} else if ((strpos(strtolower(trim($dados_destinatario_nfe["Estadual"])), 'isent') !== false) ||
        (strpos(strtolower(trim($dados_destinatario_nfe["Estadual"])), 'insent') !== false)
) {
    $indIEDest = '2';
    $nfe->dest["IE"] = '';
} else {
    $indIEDest = '1';
    $nfe->dest["IE"] = palavra_especial(trim($dados_destinatario_nfe["Estadual"]));
}
$nfe->dest["indIEDest"] = palavra_especial(trim($indIEDest)); //Indicador da IE do Destinatrio
//$nfe->dest["IE"]      = palavra_especial(trim($dados_destinatario_nfe["Estadual"]));
$nfe->dest["ISUF"] = ""; //SUFRAMA
$nfe->dest["IM"] = palavra_especial(trim($dados_destinatario_nfe["Municipal"]));

if (CLIENTE_EMAIL == 'reccoat') {
    $em = ';adriana@reccoat.com.br';
}
$nfe->dest["email"] = SoPalavrasEspeciais(trim($dados_destinatario_nfe["Email"] . $em));


if ($dados_destinatario_nfe["Estado"] == 'EX') {
    $nfe->dest["idEstrangeiro"] = '0479279'; //Identificao do destinatrio no caso de comprador estrangeiro
//No caso de operao com o exterior, ou para comprador estrangeiro informar a tag "idEstrangeiro",
//com o nmero do passaporte ou outro documento legal para identificar pessoa estrangeira.
$dados_destinatario_nfe["Complemento"] = '9';
$dados_destinatario_nfe["Bairro"] = '9999999';
} else
if ($dados_destinatario_nfe["Natureza"] == "PJ") {
    $nfe->dest["CNPJ"] = palavra_especial($dados_destinatario_nfe["Cpf_Cnpj"]);
} else {
    $nfe->dest["CPF"] = palavra_especial($dados_destinatario_nfe["Cpf_Cnpj"]);
}


//$nfe->dest["CNPJ"]  = "02536490000170";
//$nfe->dest["CPF"]   = "";
$nfe->dest["xLgr"] = palavra_especial(trim($dados_destinatario_nfe["Rua"]));

$num_dest = trim($dados_destinatario_nfe["Numero"]);
if (strlen($num_dest) == 1)
    $num_dest = '0' . $num_dest;
$nfe->dest["nro"] = palavra_especial($num_dest);
$nfe->dest["xCpl"] = palavra_especial(trim($dados_destinatario_nfe["Complemento"]));
$nfe->dest["xBairro"] = palavra_especial(trim($dados_destinatario_nfe["Bairro"]));
$nfe->dest["cMun"] = palavra_especial(trim($dados_destinatario_nfe["Codigo_Cidade"]));
$nfe->dest["xMun"] = palavra_especial(trim($dados_destinatario_nfe["Cidade"]));
$nfe->dest["UF"] = palavra_especial(trim($dados_destinatario_nfe["Estado"]));
$nfe->dest["CEP"] = espacos(trim($dados_destinatario_nfe["Cep"])); // apenas numeros
$nfe->dest["cPais"] = palavra_especial(trim($dados_destinatario_nfe["Codigo_Pais"])); //"1058";
$nfe->dest["xPais"] = palavra_especial(trim($dados_destinatario_nfe["Pais"])); //"BRASIL";
$nfe->dest["fone"] = espacos(trim($dados_destinatario_nfe["Fone1"]));

/* mexer no codigo
  // Informar apenas quando for diferente do endereco do remetente.
  $nfe->retirada["CNPJ"]    = "";
  $nfe->retirada["xLgr"]    = "";
  $nfe->retirada["nro"]     = "";
  $nfe->retirada["XCpl"]    = "";
  $nfe->retirada["XBairro"] = "";
  $nfe->retirada["CMun"]    = "";
  $nfe->retirada["XMun"]    = "";
  $nfe->retirada["UF"]      = "";
 */

if ($dados_destinatario_nfe["Endereco_Entrega"] == 'Sim') {
//Informar apenas quando for diferente do endereco do destinatario.
    if ($dados_destinatario_nfe["Natureza"] == "PJ") {
        $nfe->entrega["CNPJ"] = palavra_especial($dados_destinatario_nfe["Cpf_Cnpj"]);
    } else {
        $nfe->entrega["CPF"] = palavra_especial($dados_destinatario_nfe["Cpf_Cnpj"]);
    }
    $nfe->entrega["xLgr"] = palavra_especial(trim($dados_destinatario_nfe["Rua_Ent"]));
    $nfe->entrega["nro"] = palavra_especial(trim($dados_destinatario_nfe["Numero_Ent"]));
    $nfe->entrega["XCpl"] = palavra_especial(trim($dados_destinatario_nfe["Compl_Ent"]));
    $nfe->entrega["XBairro"] = palavra_especial(trim($dados_destinatario_nfe["Bairro_Ent"]));
    $nfe->entrega["CMun"] = palavra_especial(trim($dados_destinatario_nfe["Codigo_Cidade_Ent"]));
    $nfe->entrega["XMun"] = palavra_especial(trim($dados_destinatario_nfe["Cidade_Ent"]));
    $nfe->entrega["UF"] = palavra_especial(trim($dados_destinatario_nfe["Estado_Ent"]));
}


$menuG50 = mysqli_query($con,"SELECT
                            nfe.Natureza_Autorizacao,
                            nfe.Cpf_Cnpj
                            FROM nfe
                            WHERE nfe.Id='" . $_GET["id_nfe"] . "' ");
$dados_g50 = mysqli_fetch_assoc($menuG50);

if ($dados_g50["Cpf_Cnpj"] != '') {

    if ($dados_g50["Natureza_Autorizacao"] == 'PF') {
        $nfe->autorizado["CPF"] = $dados_g50["Cpf_Cnpj"];
    } else {
        $nfe->autorizado["CNPJ"] = $dados_g50["Cpf_Cnpj"];
    }
}


#achando o valor do frete por iten#
$frete_nota = mysqli_query($con,"SELECT DISTINCT nfe_pedido.Id,
                        nfe_pedido.Valor_Frete,
                        nfe_pedido.Despesa,
                        SUM(nfe_pedido_produto.Qtd) as Qtd
                        FROM nfe_pedido
                        left join (SELECT Id_Pedido,Qtd,Id_Nfe FROM nfe_pedido_produto) as nfe_pedido_produto
                        ON nfe_pedido_produto.Id_Pedido = nfe_pedido.Id AND nfe_pedido_produto.Id_Nfe = nfe_pedido.Id_Nfe
                        WHERE nfe_pedido.Id_Nfe='" . $_GET["id_nfe"] . "'
                        Group BY nfe_pedido.Id_Nfe");

while ($linha1 = mysqli_fetch_assoc($frete_nota)) {
    $vItenFrete = ($linha1['Valor_Frete'] / $linha1['Qtd']);
    $vItenFrete = str_replace('.', '', $vItenFrete);
    $vItenFrete = str_replace(',', '.', $vItenFrete);
    $vtFrete = $linha1['Valor_Frete'];

    if ($vItenFrete == '0' || $vItenFrete == '') {
        $vItenFrete = "";
    }
    if ($vtFrete == '0' || $vtFrete == '') {
        $vtFrete = "0.00";
    }
    //if($linha1['Frete']=='FOB'){
    //$vItenFrete = "";
    //$vtFrete = "0.00";
    //}

    $vItenDespesa = ($linha1['Despesa'] / $linha1['Qtd']);
    $vItenDespesa = str_replace('.', '', $vItenDespesa);
    $vItenDespesa = str_replace(',', '.', $vItenDespesa);
    $vtDespesa = $linha1['Despesa'];

    if ($vItenDespesa == '0' || $vItenDespesa == '') {
        $vItenDespesa = "";
    }
    if ($vtDespesa == '0' || $vtDespesa == '') {
        $vtDespesa = "0.00";
    }

    $vtII = '';
    $vtII = $linha1['II'];
}



#achando o valor do frete por iten#
$frete_nota = mysqli_query($con,"SELECT DISTINCT nfe_pedido.Id,
                                nfe_pedido.Valor_Frete,
                                nfe_pedido.Frete,
                                nfe_pedido.Despesa,
                                nfe_pedido.II,
                                SUM(nfe_pedido_produto.Qtd) as Qtd,
                                nfe_pedido.Nota_Importacao,
                                nfe_pedido.NDI,
                                nfe_pedido.DDI,
                                nfe_pedido.XLocDesemb,
                                nfe_pedido.UFDesemb,
                                nfe_pedido.DDesemb,
                                nfe_pedido.CExportador,
                                nfe_pedido.NAdicao,
                                nfe_pedido.NSeqAdic,
                                nfe_pedido.CFabricante,
                                nfe_pedido.VDescDI,
                                nfe_pedido.TpViaTransp,
                                nfe_pedido.VAFRMM,
                                nfe_pedido.TpIntermedio,
                                nfe_pedido.CNPJ,
                                nfe_pedido.UFTerceiro,
                                nfe_pedido.Obs,
                                nfe_pedido.UFSaidaPais,
                                nfe_pedido.xLocEmbarq,
                                nfe_pedido.xLocDespacho
                                FROM nfe_pedido
                                left join (SELECT Id_Pedido,Qtd,Id_Nfe FROM nfe_pedido_produto)
                                as nfe_pedido_produto
                                ON nfe_pedido_produto.Id_Pedido = nfe_pedido.Id
                                AND nfe_pedido_produto.Id_Nfe = nfe_pedido.Id_Nfe
                                WHERE nfe_pedido.Id_Nfe='" . $_GET["id_nfe"] . "'
                                Group BY nfe_pedido.Id_Nfe");
$frete_nota = mysqli_fetch_assoc($frete_nota);




//identificando se a empresa e simples ou normal
if ($dados_emitente_nfe["CRT"] == '3') {
    //3-regime normal
    $tabelaST = 'st_normal';
} else if ($dados_emitente_nfe["CRT"] == '2') {
    //2-Simples Nacional - Excesso de sublimite de receita bruta
    $tabelaST = 'st_normal';
} else {
    //1-simples
    $tabelaST = 'st_simples';
}


$itens = listar("SELECT DISTINCT nfe_pedido_produto.Id,
                                nfe_pedido_produto.Id_Produto,
                                nfe_pedido_produto.Preco,
                                nfe_pedido_produto.Qtd,
                                nfe_pedido_produto.Desconto,
                                nfe_pedido_produto.Desconto_Real,
                                nfe_pedido_produto.Icms,
                                nfe_pedido_produto.Icms_Sub,
                                nfe_pedido_produto.Mva,
                                nfe_pedido_produto.Reducao,
                                nfe_pedido_produto.Ipi,
                                nfe_pedido_produto.ST_Icms,
                                nfe_pedido_produto.Icms_Bc,
                                nfe_pedido_produto.Icms_Real,
                                nfe_pedido_produto.Icms_Reducao,
                                nfe_pedido_produto.Pis_Bc,
                                nfe_pedido_produto.Pis_Real,
                                nfe_pedido_produto.Pis,
                                nfe_pedido_produto.II_Bc,
                                nfe_pedido_produto.II_Real,
                                nfe_pedido_produto.Cofins_Bc,
                                nfe_pedido_produto.Cofins_Real,
                                nfe_pedido_produto.Cofins,
                                nfe_pedido_produto.Frete,
                                nfe_pedido_produto.Despesa,
                                nfe_pedido_produto.Ipi_Bc,
                                nfe_pedido_produto.Ipi_Real,
                                nfe_pedido_produto.Total_Tributo_Item,
                                nfe_pedido_produto.Icms_Sub_Bc,
                                nfe_pedido_produto.Icms_Sub_Perc,
                                nfe_pedido_produto.Valor_Total_Produto,
                                nfe_pedido_produto.vBCSTRet,
                                nfe_pedido_produto.vICMSSTRet,
                                nfe_pedido_produto.vICMSDeson,
                                nfe_pedido_produto.motDesICMS,
                                nfe_pedido_produto.Desconto_Real_Pe_Nota,
                                nfe_pedido_produto.Ibpt,
                                nfe_pedido_produto.Lote,
                                nfe_pedido_produto.Data_Validade,
                                nfe_pedido_produto.Data_Fabricacao,
                                nfe_pedido_produto.C_Produto as 'Descricao_Produto',
                                nfe_pedido_produto.xPed,
                                nfe_pedido_produto.nItemPed,
                                nfe_pedido_produto.uTrib,
                                nfe_pedido_produto.qTrib,
                                nfe_pedido_produto.Medida as Medida_Probene,
                                produto.Titulo as 'Produto',
                                produto.Codigo as 'Codigo_Produto',
                                produto.Codigo2 as 'Codigo_Produto2',
                                produto.Codigo3 as 'Codigo_Produto3',
                                produto.Descricao2 as 'Descricao_Produto2',
                                produto.Descricao3 as 'Descricao_Produto3',
                                produto.Obs as 'Obs_Produto',
                                produto.Gtin,
                                produto.Gtin2,
                                produto.Preco_Especial,
                                produto.Qtd_Caixa,
                                produto.Qtd_Caixa2,
                                produto.Ncm,
                                produto.Cest,
                                produto.Ex_Tipi,
                                produto.Medida,
                                produto.Medida2,
                                produto.Origem_ST,
                                produto.CST_Pis,
                                produto.Aliquota_Pis,
                                produto.CST_Cofins,
                                produto.Aliquota_Cofins,
                                produto.Aliquota_Simples,
                                produto.Valor_Credito_Simples,
                                produto.Cod_Selo_Controle,
                                produto.Qtd_Selo_Controle,
                                produto.CST_Ipi,
                                produto.Classe_Enquadramento,
                                produto.Codigo_Enquadramento,
                                produto.Cnpj_Produtor,
                                produto.Modalidade_BC_ICMS_ST,
                                produto.Reducao_BC_ICMS_ST,
                                produto.Valor_Adicional_ICMS_ST,
                                produto.Aliquota_ICMS_ST,
                                produto.Modalidade_BC_ICMS,
                                produto.Aliquota_ICMS,
                                produto.Peso_Bruto,
                                produto.Peso_Liquido,
                                produto.Codigo_Fornecedor,
                                produto.FCP,
                                produto.Anvisa,
                                produto.Tabela_Icms,
                                cfop.Cfop,
                                cfop.Base_Icms,
                                fabricante.Cpf_Cnpj as Cnpj_Fabricante
                                FROM nfe_pedido_produto
                                left join
                                (SELECT Id,
                                    Titulo,
                                    Codigo,
                                    Codigo2,
                                    Codigo3,
                                    Descricao2,
                                    Descricao3,
                                    Medida,
                                    Medida2,
                                    Preco_Especial,
                                    Qtd_Caixa,
                                    Qtd_Caixa2,
                                    Gtin,
                                    Gtin2,
                                    Obs,
                                    Ncm,
                                    Cest,
                                    Ex_Tipi,
                                    Codigo_ST,
                                    Origem_ST,
                                    CST_Pis,
                                    Aliquota_Pis,
                                    CST_Cofins,
                                    Aliquota_Cofins,
                                    Aliquota_Simples,
                                    Valor_Credito_Simples,
                                    Cod_Selo_Controle,
                                    Qtd_Selo_Controle,
                                    CST_Ipi,
                                    Classe_Enquadramento,
                                    Codigo_Enquadramento,
                                    Cnpj_Produtor,
                                    Modalidade_BC_ICMS_ST,
                                    Reducao_BC_ICMS_ST,
                                    Valor_Adicional_ICMS_ST,
                                    Aliquota_ICMS_ST,
                                    Modalidade_BC_ICMS,
                                    Aliquota_ICMS,
                                    Tipo_Produto,
                                    Tabela_Icms,
                                    Peso_Bruto,
                                    Peso_Liquido,
                                    Codigo_Fornecedor,
                                    FCP,
                                    Id_Fabricante,
                                    Anvisa
                                FROM produto WHERE produto.Tipo_Produto = 'P')
                                as produto ON produto.Id = nfe_pedido_produto.Id_Produto
                                left join (SELECT Id,Cfop,Base_Icms FROM cfop) as cfop ON cfop.Id = nfe_pedido_produto.Id_Cfop
                                left join (SELECT Id,Titulo,Cpf_Cnpj FROM fabricante) as fabricante ON fabricante.Id = produto.Id_Fabricante
                                WHERE nfe_pedido_produto.Id_Nfe='" . $_GET["id_nfe"] . "'
                                ORDER BY nfe_pedido_produto.Data_Cadastro ");


// array dos produtos pode usar um loop aqui e ir incrementando normalmente

/*
  ## para ratear o valor total pego a qtd total de produtos para depois divir o desconto no pe de nota ##
  foreach($itens as $campo){
  $qtdTotalItens += $campo['Qtd'];
  }

  ## pego o valor dos produtos ja com descontos ##
  foreach($itens as $campo){
  $vItensComDesconto += ( ($campo['Preco']*$campo['Qtd']) * ((100-$campo['Desconto'])/100) ) - $campo['Desconto_Real'];
  }


  ## desconto da nota ##
  $desc_nota = listar("SELECT DISTINCT nfe_pedido.Id,
  nfe_pedido.Desconto,
  nfe_pedido.Desconto_Real
  FROM nfe_pedido
  WHERE nfe_pedido.Id_Nfe='".$_GET["id_nfe"]."'");

  ## procuro achar o valor do desconto do pe de nota ##
  foreach($desc_nota as $linha){
  $vVendaComDescontoNoPe = ( ($vItensComDesconto * ((100-$linha['Desconto'])/100) ) -$linha['Desconto_Real'] );
  }


  ## achando o valor total do desconto do pe de nota ##
  $descTotalPeNota = $vItensComDesconto - $vVendaComDescontoNoPe;

  ## agora pra dar certo, e o valor final bater na nota tenho q fazer o rateio do desc total final nos produtos ##
  $valorDescRateado = $descTotalPeNota/$qtdTotalItens;


  $percentual = 1-($vVendaComDescontoNoPe/$vItensComDesconto);
  $percentual=str_replace('.','',$percentual);
  $percentual=str_replace(',','.',$percentual);

  $valorParaCalculoDescPeNota = $descTotalPeNota;
 */

$Novo_Codigo = 1;
$i = 0;
/* ----- Inicio dos produtos ------- */
foreach ($itens as $campo) {
    $vTotTrib = '0';

    /*
      //preciso pegar o desconto do pe de nota e dividilo exato pelo itens para dar a cada um deles um pedaco do valor,
      //mas nao pode ficar 1 centavao de diferenca. Entao irei ficar tirando os valores de pouco a pouco ate sobrar um resto
      //e este ficara no ultimo produto

      $valorDescRateadoPorItem = "";
      $valorParaCalculoDescPeNota = number_format($valorParaCalculoDescPeNota,2,'.','');
      $valorDescRateado = number_format($valorDescRateado,2,'.','');

      for($x=0;$x<$campo['Qtd'];$x++){

      if( $valorParaCalculoDescPeNota > $valorDescRateado ){

      $valorParaCalculoDescPeNota = $valorParaCalculoDescPeNota - $valorDescRateado;

      $valorDescRateadoPorItem+= $valorDescRateado;
      }else{

      $valorDescRateadoPorItem+= $valorParaCalculoDescPeNota;

      }

      }


      $valorItensSemDesconto = ($campo['Preco']*$campo['Qtd']);
      $valorDescontoItens = ($campo['Preco']*$campo['Qtd']) - (( ( $campo['Preco']*$campo['Qtd']) * (100-$campo['Desconto'])/100) - $campo['Desconto_Real']);
      $valorDescontoItens = number_format($valorDescontoItens,2,'.','');
      //$valorItensComDesconto = ( ( $campo['Preco']*$campo['Qtd']) * (100-$campo['Desconto'])/100) - $campo['Desconto_Real'];

      $precoItemComDesc = ($valorItensSemDesconto - $valorDescontoItens)/$campo['Qtd'];
      $precoItemComDesc=str_replace('.','',$precoItemComDesc);
      $precoItemComDesc=str_replace(',','.',$precoItemComDesc);


      $valorDescRateadoPorUmItem = $valorDescRateadoPorItem/$campo['Qtd'];

      $valorUmItenSemDesconto = $valorItensSemDesconto/$campo['Qtd'];
      $valorUmItenSemDesconto=str_replace('.','',$valorUmItenSemDesconto);
      $valorUmItenSemDesconto=str_replace(',','.',$valorUmItenSemDesconto);

      //echo $valorDescRateadoPorItem; die();
      //preco de cada item com desconto e aplica o desconto do fim
      $precoUmItemFim = ($precoItemComDesc - $valorDescRateadoPorUmItem);

      //preco de cada item com desconto e aplica o desconto do fim
      $precoItensFim = ($precoItemComDesc - $valorDescRateadoPorUmItem) * $campo['Qtd'];

      //preco de cada item com desconto e aplica o desconto do fim
      //$precoTodosItensFim += ($precoItemComDesc - $valorDescRateadoPorUmItem) * $campo['Qtd'];

      //tentativa do desconto - NOVO
      $precoTodosItensFim+= ($campo['Preco']*$campo['Qtd']);

      $valorTotal = ($precoUmItemFim * $campo['Qtd']);



      //esta variavel $totalDesconto  todos os descontos dos produtos com o desconto do venda no p de nota
      //irei ratear todo o desconto nos produtos para dar certo

      //$totalDesconto += ($precoItemComDesc - $precoItensFim);

      //valor do desconto total por produto
      $descTotalNoProduto = ($valorItensSemDesconto-$precoItensFim);
      $descTotalNoProduto=str_replace('.','',$descTotalNoProduto);
      $descTotalNoProduto=str_replace(',','.',$descTotalNoProduto);

      if($descTotalNoProduto=='0' || $descTotalNoProduto=='' || $descTotalNoProduto=='0.00'){
      $descTotalNoProduto = "";
      }
      $totalDesconto+=$descTotalNoProduto;
     */




    $vItenFreteP = ($vItenFrete * $campo['Qtd']);
    $vItenFreteP = str_replace('.', '', $vItenFreteP);
    $vItenFreteP = str_replace(',', '.', $vItenFreteP);

    if ($vItenFreteP == '0' || $vItenFreteP == '' || $vItenFreteP == '0.00') {
        $vItenFreteP = "";
    }

    $vItenDespesaP = ($vItenDespesa * $campo['Qtd']);
    $vItenDespesaP = str_replace('.', '', $vItenDespesaP);
    $vItenDespesaP = str_replace(',', '.', $vItenDespesaP);

    if ($vItenDespesaP == '0' || $vItenDespesaP == '' || $vItenDespesaP == '0.00') {
        $vItenDespesaP = "";
    }


    //$nfe->prod[$i]["infAdProd"] = "INFORMACOES ADICIONAIS DO PRODUTO";
    $nfe->prod[$i]["CProd"] = SoPalavrasEspeciais($campo["Codigo_Produto"]); //$Novo_Codigo;
    if(empty($campo["Gtin"])){
        $campo["Gtin"]='SEM GTIN';
    }
    $nfe->prod[$i]["CEAN"] = $campo["Gtin"];
    if ($campo["Codigo_Fornecedor"]) {
        $cod_for = " " . $campo["Codigo_Fornecedor"];
    } else {
        $cod_for = '';
    }

    if ($campo["Codigo_Produto"] == $campo["Codigo_Fornecedor"]) {
        $cod_for = '';
    }

    if ($campo["Descricao_Produto"] == '') {
        $campo["Descricao_Produto"] = $campo["Titulo"];
    }

    if ($campo["Lote"]) {
        if((CLIENTE_EMAIL=='probene') || (CLIENTE_EMAIL=='avile') || (CLIENTE_EMAIL=='ersind')){
            $cod_lote = " - " . $campo["Lote"];
        }else if(CLIENTE_EMAIL=='tupanfarma1' OR CLIENTE_EMAIL=='tupansaude1'){
            $cod_lote = '';
        } else {
            $cod_lote = " - Lt. " . $campo["Lote"] . " - Val. " . data_exibir($campo["Data_Validade"]). " - Fab. " . data_exibir($campo["Data_Fabricacao"]);
        }
    } else {
        $cod_lote = '';
    }

    $nfe->prod[$i]["XProd"] = SoPalavrasEspeciais($campo["Descricao_Produto"] . $cod_for . $cod_lote);
    $nfe->prod[$i]["NCM"] = palavra_especial($campo["Ncm"]);
    $nfe->prod[$i]["cBenef"] = '';//4.00
    $nfe->prod[$i]["CEST"] = palavra_especial($campo["Cest"]);
    //$nfe->prod[$i]["indEscala"] = 'S';//4.00
    //$nfe->prod[$i]["CNPJFab"] = palavra_especial($campo["Cnpj_Fabricante"]);//4.00
    $nfe->prod[$i]["EXTIPI"] = $campo["Ex_Tipi"]; //cod EX da TIPI. Em caso de servico, nao incluir a TAG
    $nfe->prod[$i]["CFOP"] = $campo["Cfop"];
    $nfe->prod[$i]["UCom"] = $campo["Medida"];
    if ($dados_destinatario_nfe['DV'] == 'Sim') {
        $campo['Qtd'] = abs($campo['Qtd']);
    }
    $nfe->prod[$i]["QCom"] = number_format($campo['Qtd'], 4, '.', '');
    //$nfe->prod[$i]["VUnCom"] = number_format($precoUmItemFim,4,'.','');
    $nfe->prod[$i]["VUnCom"] = number_format($campo["Preco"], 4, '.', '');

    if ($frete_nota["Nota_Importacao"] == 'Sim') {
        $nfe->prod[$i]["VProd"] = number_format($campo["Valor_Total_Produto"], 2, '.', '');
    } else {
        $vProd = number_format($campo["Preco"], 9, '.', '') * number_format($campo['Qtd'], 9, '.', ''); //martelada
        //$vProd = $campo["Preco"] * $campo['Qtd'];
        $nfe->prod[$i]["VProd"] = number_format($vProd, 2, '.', ''); //valor dos itens sem desconto
    }
    //$precoTodosItensFim += number_format($campo["Preco"], 4, '.', '') * number_format($campo['Qtd'], 4, '.', ''); //martelada
    $precoTodosItensFim += number_format($vProd, 4, '.', '');//$campo["Preco"] * $campo['Qtd'];
    $precoTodosItensFim = number_format($precoTodosItensFim, 4, '.', '');

    if ($campo["Gtin2"] != '') {
        $campo["Gtin"] = $campo["Gtin2"];
    }
    $nfe->prod[$i]["CEANTrib"] = $campo["Gtin"];

    if ($campo["uTrib"] != '') {
        $campo["Medida"] = $campo["uTrib"];
    }
    $nfe->prod[$i]["UTrib"] = $campo["Medida"];

    if ($campo["qTrib"] > '0') {
        $campo["Qtd"] = $campo["qTrib"];
    }
    $nfe->prod[$i]["QTrib"] = number_format($campo['Qtd'], 4, '.', '');
    //$nfe->prod[$i]["VUnTrib"] = number_format($precoUmItemFim,4,'.','');
    $nfe->prod[$i]["VUnTrib"] = number_format($campo["Preco"], 4, '.', '');
    $nfe->prod[$i]["VSeg"] = "";

    $descTotalNoProduto = ($campo['Preco'] * $campo['Qtd']) - (
            ( ( $campo['Preco'] * $campo['Qtd']) * (100 - $campo['Desconto']) / 100) - ($campo['Desconto_Real'] + $campo["Desconto_Real_Pe_Nota"])
            );

    $totalDesconto += $descTotalNoProduto;
    $totalDesconto = valor_exibir($totalDesconto);
    $totalDesconto = valor_banco($totalDesconto);

    if ($dados_destinatario_nfe['DV'] == 'Sim') {
        $descTotalNoProduto = abs($descTotalNoProduto);
    }
    $nfe->prod[$i]["VDesc"] = ($descTotalNoProduto) ? number_format($descTotalNoProduto, 2, '.', '') : ''; //desconto geral por item
    if (($nfe->prod[$i]["VDesc"] === '-0.00') || ($nfe->prod[$i]["VDesc"] === '0.00')) {
        $nfe->prod[$i]["VDesc"] = '';
    }

    $nfe->prod[$i]["indTot"] = "1"; //0-valor do item NAO entra no valor da NF/ 1-valor do item entra no valor da NF

    $nfe->prod[$i]["NVE"] = ""; //Codificao NVE - Nomenclatura de Valor Aduaneiro e Estatstica.
    $nfe->prod[$i]["xPed"] = $campo['xPed']; //Numero do Venda de Compra. Informacao de interesse do emissor para controle do B2B.(v2.0)
    $nfe->prod[$i]["nItemPed"] = $campo['nItemPed']; //Item do Venda de Compra
    $nfe->prod[$i]["nFCI"] = ""; //Nmero de controle da FCI - Ficha de Contedo de Importao


    if ($frete_nota["Nota_Importacao"] == 'Sim') {

        if ($campo['Frete'] == '0' || $campo['Frete'] == '' || $campo['Frete'] == '0.00')
            $imp_VFrete = '';
        else
            $imp_VFrete = number_format($campo['Frete'], 2, '.', '');

        $nfe->prod[$i]["VFrete"] = $imp_VFrete;

        if ($campo['Despesa'] == '0' || $campo['Despesa'] == '' || $campo['Despesa'] == '0.00')
            $imp_vOutro = '';
        else
            $imp_vOutro = number_format($campo['Despesa'], 2, '.', '');

        $nfe->prod[$i]["vOutro"] = $imp_vOutro;
    }else {
        $nfe->prod[$i]["VFrete"] = number_format($vItenFreteP, 2, '.', '');
        $nfe->prod[$i]["vOutro"] = number_format($vItenDespesaP, 2, '.', '');
    }

    //fazendo campos da importacao
    if ($frete_nota["Nota_Importacao"] == 'Sim') {
        $nfe->prod[$i]["NDI"] = $frete_nota["NDI"]; //Nmero do Documento de Importao DI/DSI/DA;
        $nfe->prod[$i]["DDI"] = $frete_nota["DDI"]; //Data de Registro da DI/DSI/DA;
        $nfe->prod[$i]["XLocDesemb"] = $frete_nota["XLocDesemb"]; //Local de desembarao;
        $nfe->prod[$i]["UFDesemb"] = $frete_nota["UFDesemb"]; //Sigla da UF onde ocorreu o Desembarao Aduaneiro;
        $nfe->prod[$i]["DDesemb"] = $frete_nota["DDesemb"]; //Data do Desembarao Aduaneiro;
        $nfe->prod[$i]["CExportador"] = $frete_nota["CExportador"]; //Cdigo do exportador usado nos sistemas internos de informao do emitente da NF-e.
        $nfe->prod[$i]["tpViaTransp"] = $frete_nota["TpViaTransp"]; //OBG Via de transporte internacional informada na Declarao de Importao (DI)
        $nfe->prod[$i]["vAFRMM"] = $frete_nota["VAFRMM"]; //OPC
        $nfe->prod[$i]["tpIntermedio"] = $frete_nota["TpIntermedio"]; //OBG Forma de importao quanto a intermediao
        $nfe->prod[$i]["CNPJ"] = $frete_nota["CNPJ"]; //OPC
        $nfe->prod[$i]["UFTerceiro"] = $frete_nota["UFTerceiro"]; //OPC
        $nfe->prod[$i]["NAdicao"] = $frete_nota["NAdicao"]; //Numero da adio;
        $nfe->prod[$i]["NSeqAdic"] = $frete_nota["NSeqAdic"]; //Numero seqencial do item dentro da adio;
        $nfe->prod[$i]["CFabricante"] = $frete_nota["CFabricante"]; //Cdigo do fabricante estrangeiro usado nos sistemas internos de informao do emitente da NF-e;
        if ($frete_nota["VDescDI"] == 0) {
            $frete_nota["VDescDI"] = '';
        } else {
            $frete_nota["VDescDI"] = number_format($frete_nota["VDescDI"], 2, '.', '');
        }
        $nfe->prod[$i]["VDescDI"] = $frete_nota["VDescDI"]; //Valor do desconto do item da DI  adio.

        /*
        $nfe->prod[$i]["nDraw"] = $frete_nota["nDraw"];
        $nfe->prod[$i]["nRE"] = $frete_nota["nRE"];
        $nfe->prod[$i]["chNFe"] = $frete_nota["chNFe"];
        $nfe->prod[$i]["qExport"] = $frete_nota["qExport"];
        
        $nfe->prod[$i]["nLote"] = $campo["Lote"];//4.0
        $nfe->prod[$i]["qLote"] = number_format($campo['Qtd'], 4, '.', '');//4.0
        $nfe->prod[$i]["dFab"] = $campo["Data_Fabricacao"];//4.0
        $nfe->prod[$i]["dVal"] = $campo["Data_Validade"];//4.0
        $nfe->prod[$i]["cAgreg"] = '';//4.0
        */
    }

//info contribuinte
    if ($campo["Obs_Produto"]) {
        $obsProd .= " - " . $campo["Obs_Produto"] . "; ";
    }

//peso bruto, peso liquido
    $peso_bruto += $campo['Peso_Bruto'] * $campo['Qtd'];
    $peso_bruto = str_replace('.', '', $peso_bruto);
    $peso_bruto = str_replace(',', '.', $peso_bruto);

    $peso_liquido += $campo['Peso_Liquido'] * $campo['Qtd'];
    $peso_liquido = str_replace('.', '', $peso_liquido);
    $peso_liquido = str_replace(',', '.', $peso_liquido);

#valor base de calculo por item (somatorio dos itens + frete + despesas)#
    $vBaseCalculoItem = ( ($campo["Preco"] * $campo['Qtd']) - (int)$descTotalNoProduto ) + ((int)$vItenFreteP + (int)$vItenDespesaP);
    $vBaseCalculoItem = str_replace('.', '', $vBaseCalculoItem);
    $vBaseCalculoItem = str_replace(',', '.', $vBaseCalculoItem);
    $vBaseCalculoItem = number_format($vBaseCalculoItem, 2, '.', '');


    /*
      //aplicando a reducao de base
      if($campo['Reducao']>'0'){
      $vBaseCalculoItem = $vBaseCalculoItem - ( $vBaseCalculoItem * ($campo['Reducao']/100) );
      $vBaseCalculoItem = number_format($vBaseCalculoItem,2,'.','');
      }else{
      $campo['Reducao'] = '0';
      }
     */

#valor total base de calculo#
//$vtBaseIcms+= ($precoItemComDesc*$campo['Qtd'])+($vItenFreteP + $vItenDespesaP);
//validaao de campos obrigatorios de impostos
    if (!$campo['ST_Icms']) {
        die("Erro no Produto -> " . $campo["Codigo_Produto"] . " : " . $campo["Produto"] . " - <b>ST ICMS em Branco</b>");
    }
    if (!$campo['CST_Ipi']) {
        die("Erro no Produto -> " . $campo["Codigo_Produto"] . " : " . $campo["Produto"] . " - <b>ST IPI em Branco</b>");
    }
    if (!$campo['CST_Pis']) {
        die("Erro no Produto -> " . $campo["Codigo_Produto"] . " : " . $campo["Produto"] . " - <b>ST PIS em Branco</b>");
    }
    if (!$campo['CST_Cofins']) {
        die("Erro no Produto -> " . $campo["Codigo_Produto"] . " : " . $campo["Produto"] . " - <b>ST COFINS em Branco</b>");
    }
    if (!$campo['Ncm']) {
        die("Erro no Produto -> " . $campo["Codigo_Produto"] . " : " . $campo["Produto"] . " - <b>NCM em Branco</b>");
    }
    $tam = strlen($campo['Ncm']);
    if ($tam > '8') {
        die("Erro no Produto -> " . $campo["Codigo_Produto"] . " : " . $campo["Produto"] . " - <b>NCM Acima de 8 Digitos</b>");
    }




    /*     * ****************
     * FIM CALCULO IPI, PIS COFINS *
     * ***************** */



    //fazendo campos do pis
    if ($frete_nota["Nota_Importacao"] == 'Sim') {
        $nfe->pis[$i]["CST"] = $campo['CST_Pis'];
        $nfe->pis[$i]["VBC"] = number_format($campo["Pis_Bc"], 2, '.', ''); //Valor BC do Cofins
        $nfe->pis[$i]["PPIS"] = number_format($campo["Pis"], 2, '.', ''); //percentual
        $nfe->pis[$i]["VPIS"] = number_format($campo["Pis_Real"], 2, '.', ''); //Valor do Cofins
        $vtPis += number_format($campo["Pis_Real"], 2, '.', '');
    } else {

        //pis
        if ($campo['CST_Pis'] == '01' || $campo['CST_Pis'] == '02') {
            $nfe->pis[$i]["CST"] = $campo['CST_Pis'];
            $nfe->pis[$i]["VBC"] = $vBaseCalculoItem; //somatorio dos itens + frete + despesas + valor icms
            $nfe->pis[$i]["PPIS"] = number_format($campo['Aliquota_Pis'], 2, '.', ''); //em percentual
            $nfe->pis[$i]["VPIS"] = number_format(( $vBaseCalculoItem * ($campo['Aliquota_Pis'] / 100)), 2, '.', ''); //Valor base Pis * Aliquota Pis/100
            $vtPis += number_format($vBaseCalculoItem * ($campo['Aliquota_Pis'] / 100), 2, '.', '');

            $vTotTrib = number_format($vTotTrib + ($vBaseCalculoItem * ($campo['Aliquota_Pis'] / 100)), 2, '.', '');
        }

        if ($campo['CST_Pis'] == '03') {
            $nfe->pis[$i]["CST"] = $campo['CST_Pis'];
            $nfe->pis[$i]["QBCProd"] = 0.00; //em valor
            $nfe->pis[$i]["VAliqProd"] = 0.00; //em valor
            $nfe->pis[$i]["VPIS"] = $campo['Valor_Pis'];
        }

        if ($campo['CST_Pis'] == '04' || $campo['CST_Pis'] == '06' || $campo['CST_Pis'] == '07' || $campo['CST_Pis'] == '08' || $campo['CST_Pis'] == '09') {

            $nfe->pis[$i]["CST"] = $campo['CST_Pis'];
        }

        if ($campo['CST_Pis'] == '49' || $campo['CST_Pis'] == '50' || $campo['CST_Pis'] == '51' || $campo['CST_Pis'] == '52' || $campo['CST_Pis'] == '53' || $campo['CST_Pis'] == '54' || $campo['CST_Pis'] == '55' || $campo['CST_Pis'] == '56' || $campo['CST_Pis'] == '60' || $campo['CST_Pis'] == '61' || $campo['CST_Pis'] == '62' || $campo['CST_Pis'] == '63' || $campo['CST_Pis'] == '64' || $campo['CST_Pis'] == '65' || $campo['CST_Pis'] == '66' || $campo['CST_Pis'] == '67' || $campo['CST_Pis'] == '70' || $campo['CST_Pis'] == '71' || $campo['CST_Pis'] == '72' || $campo['CST_Pis'] == '73' || $campo['CST_Pis'] == '74' || $campo['CST_Pis'] == '75' || $campo['CST_Pis'] == '98' || $campo['CST_Pis'] == '99') {

            $nfe->pis[$i]["CST"] = $campo['CST_Pis'];
            $nfe->pis[$i]["VBC"] = $vBaseCalculoItem; //somatorio dos itens + frete + despesas + valor icms
            $nfe->pis[$i]["PPIS"] = number_format($campo['Aliquota_Pis'], 2, '.', ''); //em percentual
            $nfe->pis[$i]["VPIS"] = number_format(( $vBaseCalculoItem * ($campo['Aliquota_Pis'] / 100)), 2, '.', ''); //Valor base Pis * Aliquota Pis/100
            //$nfe->pis[$i]["QBCProd"] = 0.00;//em valor
            //$nfe->pis[$i]["VAliqProd"]  = 0.00;//em valor
            $vtPis += number_format($vBaseCalculoItem * ($campo['Aliquota_Pis'] / 100), 2, '.', '');

            $vTotTrib = number_format($vTotTrib + ($vBaseCalculoItem * ($campo['Aliquota_Pis'] / 100)), 2, '.', '');
        }
    }//fazendo campos do pis
    //fazendo campos do cofins
    if ($frete_nota["Nota_Importacao"] == 'Sim') {
        $nfe->cofins[$i]["CST"] = $campo['CST_Cofins'];
        $nfe->cofins[$i]["VBC"] = number_format($campo["Cofins_Bc"], 2, '.', ''); //Valor BC do Cofins
        $nfe->cofins[$i]["PCOFINS"] = number_format($campo["Cofins"], 2, '.', ''); //percentual
        $nfe->cofins[$i]["VCOFINS"] = number_format($campo["Cofins_Real"], 2, '.', ''); //Valor do Cofins
        $vtCofins += number_format($campo["Cofins_Real"], 2, '.', '');
    } else {

        //cofins
        if ($campo['CST_Cofins'] == '01' || $campo['CST_Cofins'] == '02') {
            $nfe->cofins[$i]["CST"] = $campo['CST_Cofins'];
            $nfe->cofins[$i]["VBC"] = $vBaseCalculoItem; //somatorio dos itens + frete + despesas + valor icms
            $nfe->cofins[$i]["PCOFINS"] = number_format($campo['Aliquota_Cofins'], 2, '.', ''); //em percentual
            $nfe->cofins[$i]["VCOFINS"] = number_format(( $vBaseCalculoItem * ($campo['Aliquota_Cofins'] / 100)), 2, '.', ''); //Valor base Cofins * Aliquota Cofins/100
            $vtCofins += number_format($vBaseCalculoItem * ($campo['Aliquota_Cofins'] / 100), 2, '.', '');

            $vTotTrib = number_format($vTotTrib + ($vBaseCalculoItem * ($campo['Aliquota_Cofins'] / 100)), 2, '.', '');
        }

        if ($campo['CST_Cofins'] == '03') {
            $nfe->cofins[$i]["CST"] = $campo['CST_Cofins'];
            $nfe->cofins[$i]["QBCProd"] = 0.00; //em valor
            $nfe->cofins[$i]["VAliqProd"] = 0.00; //em valor
            $nfe->cofins[$i]["VCOFINS"] = $campo['Valor_Cofins'];
        }

        if ($campo['CST_Cofins'] == '04' || $campo['CST_Cofins'] == '06' || $campo['CST_Cofins'] == '07' || $campo['CST_Cofins'] == '08' || $campo['CST_Cofins'] == '09') {

            $nfe->cofins[$i]["CST"] = $campo['CST_Cofins'];
        }

        if ($campo['CST_Cofins'] == '49' || $campo['CST_Cofins'] == '50' || $campo['CST_Cofins'] == '51' || $campo['CST_Cofins'] == '52' || $campo['CST_Cofins'] == '53' || $campo['CST_Cofins'] == '54' || $campo['CST_Cofins'] == '55' || $campo['CST_Cofins'] == '56' || $campo['CST_Cofins'] == '60' || $campo['CST_Cofins'] == '61' || $campo['CST_Cofins'] == '62' || $campo['CST_Cofins'] == '63' || $campo['CST_Cofins'] == '64' || $campo['CST_Cofins'] == '65' || $campo['CST_Cofins'] == '66' || $campo['CST_Cofins'] == '67' || $campo['CST_Cofins'] == '70' || $campo['CST_Cofins'] == '71' || $campo['CST_Cofins'] == '72' || $campo['CST_Cofins'] == '73' || $campo['CST_Cofins'] == '74' || $campo['CST_Cofins'] == '75' || $campo['CST_Cofins'] == '98' || $campo['CST_Cofins'] == '99') {

            $nfe->cofins[$i]["CST"] = $campo['CST_Cofins'];
            $nfe->cofins[$i]["VBC"] = $vBaseCalculoItem; //somatorio dos itens + frete + despesas + valor icms
            $nfe->cofins[$i]["PCOFINS"] = number_format($campo['Aliquota_Cofins'], 2, '.', ''); //em percentual
            $nfe->cofins[$i]["VCOFINS"] = number_format(( $vBaseCalculoItem * ($campo['Aliquota_Cofins'] / 100)), 2, '.', ''); //Valor base Cofins * Aliquota Cofins/100
            //$nfe->cofins[$i]["QBCProd"] = 0.00;//em valor
            //$nfe->cofins[$i]["VAliqProd"]  = 0.00;//em valor
            $vtCofins += number_format($vBaseCalculoItem * ($campo['Aliquota_Cofins'] / 100), 2, '.', '');

            $vTotTrib = number_format($vTotTrib + ($vBaseCalculoItem * ($campo['Aliquota_Cofins'] / 100)), 2, '.', '');
        }
    }//fazendo campos do cofins

    /*
      //pis st
      $nfe->pisst[$i]["VPIS"] = "";
      $nfe->pisst[$i]["VBC"] = "";
      $nfe->pisst[$i]["PPIS"] = "";
      $nfe->pisst[$i]["QBCProd"] = "";
      $nfe->pisst[$i]["VAliqProd"] = "";

      //cofins st
      $nfe->cofinsst[$i]["VCOFINS"] = "";
      $nfe->cofinsst[$i]["VBC"] = "";
      $nfe->cofinsst[$i]["PCOFINS"] = "";
      $nfe->cofinsst[$i]["QBCProd"] = "";
      $nfe->cofinsst[$i]["VAliqProd"] = "";
     */


    //ipi
    if ($campo["Cod_Selo_Controle"] == 0)
        $campo["Cod_Selo_Controle"] = '';
    if ($campo["Qtd_Selo_Controle"] == 0)
        $campo["Qtd_Selo_Controle"] = '';

    //$nfe->ipi[$i]["ClEnq"] = $campo["Classe_Enquadramento"];
    $nfe->ipi[$i]["CNPJProd"] = palavra_especial($campo["Cnpj_Produtor"]);
    $nfe->ipi[$i]["CSelo"] = $campo["Cod_Selo_Controle"];
    $nfe->ipi[$i]["QSelo"] = $campo["Qtd_Selo_Controle"];
    if (!$campo["Codigo_Enquadramento"])
        $campo["Codigo_Enquadramento"] = '999';
    $nfe->ipi[$i]["CEnq"] = $campo["Codigo_Enquadramento"];


    //fazendo campos do ipi
    if ($frete_nota["Nota_Importacao"] == 'Sim') {
        $nfe->ipi[$i]["CST"] = $campo['CST_Ipi'];
        $nfe->ipi[$i]["VBC"] = number_format($campo["Ipi_Bc"], 2, '.', '');
        $nfe->ipi[$i]["PIPI"] = number_format($campo['Ipi'], 2, '.', ''); //em percentual
        //$nfe->ipi[$i]["QUnid"]      = $campo['CST_Ipi'];
        //$nfe->ipi[$i]["VUnid"]      = $campo['CST_Ipi'];
        $nfe->ipi[$i]["VIPI"] = number_format($campo["Ipi_Real"], 2, '.', '');
        $vIPI = valor_banco_2($campo["Ipi_Real"]);
    } else {

        //nao tributado
        if (
                ($campo['CST_Ipi'] == '01') || ($campo['CST_Ipi'] == '02') ||
                ($campo['CST_Ipi'] == '03') || ($campo['CST_Ipi'] == '04') ||
                ($campo['CST_Ipi'] == '05') || ($campo['CST_Ipi'] == '51') ||
                ($campo['CST_Ipi'] == '52') || ($campo['CST_Ipi'] == '53') ||
                ($campo['CST_Ipi'] == '54') || ($campo['CST_Ipi'] == '55')
        ) {
            $nfe->ipi[$i]["CST"] = $campo['CST_Ipi'];
        }
        //tributado
        if (
                ($campo['CST_Ipi'] === '00') || ($campo['CST_Ipi'] == '49') ||
                ($campo['CST_Ipi'] == '50') || ($campo['CST_Ipi'] == '99')
        ) {
            $nfe->ipi[$i]["CST"] = $campo['CST_Ipi'];
            $nfe->ipi[$i]["VBC"] = $vBaseCalculoItem;
            $nfe->ipi[$i]["PIPI"] = number_format($campo['Ipi'], 2, '.', ''); //em percentual
            //$nfe->ipi[$i]["QUnid"]      = $campo['CST_Ipi'];
            //$nfe->ipi[$i]["VUnid"]      = $campo['CST_Ipi'];
            $nfe->ipi[$i]["VIPI"] = valor_banco_2(( $vBaseCalculoItem * ($campo['Ipi'] / 100)));
            $vtIpi += valor_banco_2($vBaseCalculoItem * ($campo['Ipi'] / 100));

            $vTotTrib = valor_banco_2($vTotTrib + ($vBaseCalculoItem * ($campo['Ipi'] / 100)));


            $ipiBC = '0';
            /** agregando o IPI ao consumidor Final * */
            if (($dados_destinatario_nfe["Consumidor_Final"] == 'Sim') || ($dados_destinatario_nfe["Ipi"] == 'Sim')) {
                $ipiBC = valor_banco_2(( $vBaseCalculoItem * ($campo['Ipi'] / 100)));

                //$vBaseCalculoItem = $vBaseCalculoItem + $ipiBC;
            }
        }
    }//fazendo campos do ipi



    /*     * ****************
     * FIM CALCULO IPI, PIS COFINS *
     * ***************** */





###identificando se a empresa e simples ou normal###
    if (($dados_emitente_nfe["CRT"] == '3' OR $dados_emitente_nfe["CRT"] == '2') && ($frete_nota["Nota_Importacao"] != 'Sim')) {
        //3-regime normal
## inicio icms normal
        //icms normal/ tributacao normal
        switch ($campo['ST_Icms']) {
            case '00': //CST 00 TRIBUTADO INTEGRALMENTE

                $nfe->icms[$i]["Orig"] = $campo['Origem_ST']; //0-nacional;1-imp direto;2-Adquirida no mercado interno.
                $nfe->icms[$i]["CST"] = $campo['ST_Icms'];
                $nfe->icms[$i]["ModBC"] = $campo['Modalidade_BC_ICMS']; //0-Margem Valor Agregado(%);1-Pauta(Valor);2-Preo Tabelado Mx.(valor);3-valor da operao.
                $nfe->icms[$i]["VBC"] = number_format($vBaseCalculoItem, 2, '.', ''); //somatorio dos itens + frete + despesas
                $nfe->icms[$i]["PICMS"] = number_format($campo['Icms'], 2, '.', '');
                $nfe->icms[$i]["VICMS"] = number_format(( $vBaseCalculoItem * ($campo['Icms'] / 100)), 2, '.', ''); //valor do BC_ICMS * AlicoAliquota_ICMS/100
                
                if (($dados_destinatario_nfe["Consumidor_Final"] == 'Sim') &&
                    ($dados_destinatario_nfe["Nao_Contribuinte_Icms"] == 'Sim') &&
                    ($dados_destinatario_nfe["Estado"] != $dados_emitente_nfe["Estado"]) &&
                    ($campo["FCP"]>'0')
                ) {
                $nfe->icms[$i]["pFCP"] = number_format($campo["FCP"], 2, '.', '');//4.0
                $nfe->icms[$i]["vFCP"] = number_format($vBaseCalculoItem * ($campo["FCP"] / 100), 2, '.', '');//4.0
                
                $vtFCPItem+=$vBaseCalculoItem * ($campo["FCP"] / 100);
                $vtFCPSTItem+='0';
                $vtFCPSTRetItem+='0';
                }

                $vtIcms += number_format($vBaseCalculoItem * ($campo['Icms'] / 100), 2, '.', '');
                $vtBaseIcms += number_format($vBaseCalculoItem, 2, '.', ''); //valor total base de calculo
                $BaseDeCalculoPartilha = ($vBaseCalculoItem);

                if($campo['Base_Icms']=='No'){
                    $vtBaseIcms='0';
                }

                $vTotTrib = ( $vBaseCalculoItem * ($campo['Icms'] / 100) );
                $vTotTrib = valor_banco_2($vTotTrib);

                break;
            case '10': //CST 10 TRIBUTADO E COM COBRANCA DE ICMS POR SUBSTUICAO TRIBUTARIA
                $nfe->icms[$i]["Orig"] = $campo['Origem_ST']; //0-nacional;1-imp direto;2-Adquirida no mercado interno.
                $nfe->icms[$i]["CST"] = $campo['ST_Icms'];
                $nfe->icms[$i]["ModBC"] = $campo['Modalidade_BC_ICMS']; //0-Margem Valor Agregado(%);1-Pauta(Valor);2-Preo Tabelado Mx.(valor);3-valor da operao.
                $nfe->icms[$i]["VBC"] = $vBaseCalculoItem; //somatorio dos itens + frete + despesas
                $nfe->icms[$i]["PICMS"] = number_format($campo['Icms'], 4, '.', '');
                $nfe->icms[$i]["VICMS"] = number_format(( $vBaseCalculoItem * ($campo['Icms'] / 100)), 2, '.', ''); //valor do BC_ICMS * AlicoAliquota_ICMS/100
                $nfe->icms[$i]["ModBCST"] = $campo['Modalidade_BC_ICMS_ST'];
                $nfe->icms[$i]["PMVAST"] = $campo['Mva']; //Percentual da margem de valor Adicionado do ICMS ST
                $nfe->icms[$i]["PRedBCST"] = number_format($campo['Reducao'], 4, '.', ''); //Percentual da Reduo de BC do ICMS ST
                
                if (($dados_destinatario_nfe["Consumidor_Final"] == 'Sim') &&
                    ($dados_destinatario_nfe["Nao_Contribuinte_Icms"] == 'Sim') &&
                    ($dados_destinatario_nfe["Estado"] != $dados_emitente_nfe["Estado"]) &&
                    ($campo["FCP"]>'0')
                ) {
                $nfe->icms[$i]["vBCFCP"] = number_format($vBaseCalculoItem, 2, '.', '');//4.0
                $nfe->icms[$i]["pFCP"] = number_format($campo["FCP"], 2, '.', '');//4.0
                $nfe->icms[$i]["vFCP"] = number_format($vBaseCalculoItem * ($campo["FCP"] / 100), 2, '.', '');//4.0
                $nfe->icms[$i]["vBCFCPST"] = number_format($vBCST, 2, '.', '');//4.0
                $nfe->icms[$i]["pFCPST"] = number_format($campo["FCP"], 2, '.', '');//4.0
                $nfe->icms[$i]["vFCPST"] = number_format($vBCST * ($campo["FCP"] / 100), 2, '.', '');//4.0
                
                $vtFCPItem+=$vBaseCalculoItem * ($campo["FCP"] / 100);
                $vtFCPSTItem+=$vBCST * ($campo["FCP"] / 100);
                $vtFCPSTRetItem+='0';
                }
                
                $vBCST = '';
                $vBCST = ($vBaseCalculoItem + $ipiBC) + ( ($vBaseCalculoItem + $ipiBC) * ($campo['Mva'] / 100) );
                $vBCST = $vBCST - ($vBCST * ($campo['Reducao'] / 100)); //fazendo a reduo

                $nfe->icms[$i]["VBCST"] = number_format($vBCST, 2, '.', ''); //Valor da BC do ICMS ST
                $nfe->icms[$i]["PICMSST"] = $campo['Icms_Sub']; //percentual ICMS ST

                $VICMSST = '';
                $VICMSST = ( $vBCST * ($campo['Icms_Sub'] / 100) ) - ( $vBaseCalculoItem * ($campo['Icms'] / 100) );
                $nfe->icms[$i]["VICMSST"] = number_format($VICMSST, 2, '.', ''); //valor ICMS ST

                $vtIcms += ( $vBaseCalculoItem * ($campo['Icms'] / 100) );
                $vtBaseIcms += $vBaseCalculoItem; //valor total base de calculo
                $BaseDeCalculoPartilha = $vBaseCalculoItem;

                if($campo['Base_Icms']=='No'){
                    $vtBaseIcms='0';
                }

                $vtIcmsSub += ( $vBCST * ($campo['Icms_Sub'] / 100) ) - ( $vBaseCalculoItem * ($campo['Icms'] / 100) );
                $vtBaseIcmsSub += number_format($vBCST, 2, '.', ''); //valor total base de calculo

                $vTotTrib = ( $vBaseCalculoItem * ($campo['Icms'] / 100) );
                $vTotTrib = number_format($vTotTrib, 2, '.', '');

                break;
            case '20': //CST 20 COM REDUCAO DE BASE DE CALCULO
                $nfe->icms[$i]["Orig"] = $campo['Origem_ST']; //0-nacional;1-imp direto;2-Adquirida no mercado interno.
                $nfe->icms[$i]["CST"] = $campo['ST_Icms'];
                $nfe->icms[$i]["ModBC"] = $campo['Modalidade_BC_ICMS']; //0-Margem Valor Agregado(%);1-Pauta(Valor);2-Preo Tabelado Mx.(valor);3-valor da operao.
                $nfe->icms[$i]["PRedBC"] = number_format($campo['Reducao'], 2, '.', '');
                $VBC = '';
                $VBC = ($vBaseCalculoItem - ($vBaseCalculoItem * ($campo['Reducao'] / 100)) );
                $nfe->icms[$i]["VBC"] = number_format($VBC, 2, '.', ''); //somatorio dos itens + frete + despesas
                $nfe->icms[$i]["PICMS"] = number_format($campo['Icms'], 2, '.', '');
                $nfe->icms[$i]["VICMS"] = number_format(( $VBC * ($campo['Icms'] / 100)), 2, '.', ''); //valor do BC_ICMS * AlicoAliquota_ICMS/100
                $nfe->icms[$i]["vICMSDeson"] = number_format($campo['vICMSDeson'], 2, '.', '');
                $nfe->icms[$i]["motDesICMS"] = $campo['motDesICMS'];
                
                if (($dados_destinatario_nfe["Consumidor_Final"] == 'Sim') &&
                    ($dados_destinatario_nfe["Nao_Contribuinte_Icms"] == 'Sim') &&
                    ($dados_destinatario_nfe["Estado"] != $dados_emitente_nfe["Estado"]) &&
                    ($campo["FCP"]>'0')
                ) {
                $nfe->icms[$i]["vBCFCP"] = number_format($vBaseCalculoItem, 2, '.', '');//4.0
                $nfe->icms[$i]["pFCP"] = number_format($campo["FCP"], 2, '.', '');//4.0
                $nfe->icms[$i]["vFCP"] = number_format($vBaseCalculoItem * ($campo["FCP"] / 100), 2, '.', '');//4.0
                
                $vtFCPItem+=$vBaseCalculoItem * ($campo["FCP"] / 100);
                $vtFCPSTItem+='0';
                $vtFCPSTRetItem+='0';
                }

                $vtICMSDeson += $campo['vICMSDeson'];

                $vtIcms += number_format($VBC * ($campo['Icms'] / 100), 2, '.', '');
                $vtBaseIcms += number_format($VBC, 2, '.', ''); //valor total base de calculo
                $BaseDeCalculoPartilha = $VBC;

                if($campo['Base_Icms']=='No'){
                    $vtBaseIcms='0';
                }

                $vTotTrib = ( $VBC * ($campo['Icms'] / 100) );
                $vTotTrib = number_format($vTotTrib, 2, '.', '');

                break;
            case '30': //CST 30 ISENTA OU NAO TRIBUTADO E COM COBRANCA DO ICMS POR ST
                $nfe->icms[$i]["Orig"] = $campo['Origem_ST']; //0-nacional;1-imp direto;2-Adquirida no mercado interno.
                $nfe->icms[$i]["CST"] = $campo['ST_Icms'];
                $nfe->icms[$i]["ModBCST"] = $campo['Modalidade_BC_ICMS_ST'];
                $nfe->icms[$i]["PMVAST"] = $campo['Valor_Adicional_ICMS_ST'];
                $nfe->icms[$i]["PRedBCST"] = $campo['Reducao_BC_ICMS_ST'];
                $nfe->icms[$i]["VBCST"] = $campo['BC_ICMS_ST'];
                $nfe->icms[$i]["PICMSST"] = $campo['Aliquota_ICMS_ST'];
                $nfe->icms[$i]["VICMSST"] = $campo['ICMS_ST'];
                $nfe->icms[$i]["vICMSDeson"] = number_format($campo['vICMSDeson'], 2, '.', '');
                $nfe->icms[$i]["motDesICMS"] = $campo['motDesICMS'];
                
                if (($dados_destinatario_nfe["Consumidor_Final"] == 'Sim') &&
                    ($dados_destinatario_nfe["Nao_Contribuinte_Icms"] == 'Sim') &&
                    ($dados_destinatario_nfe["Estado"] != $dados_emitente_nfe["Estado"]) &&
                    ($campo["FCP"]>'0')
                ) {
                $nfe->icms[$i]["vBCFCPST"] = number_format($vBCST, 2, '.', '');//4.0
                $nfe->icms[$i]["pFCPST"] = number_format($campo["FCP"], 2, '.', '');//4.0
                $nfe->icms[$i]["vFCPST"] = number_format($vBCST * ($campo["FCP"] / 100), 2, '.', '');//4.0
                
                $vtFCPItem+='0';
                $vtFCPSTItem+=$vBCST * ($campo["FCP"] / 100);
                $vtFCPSTRetItem+='0';
                }

                $vtICMSDeson += $campo['vICMSDeson'];

                $vtIcms += ( $vBaseCalculoItem * ($campo['Icms'] / 100) );
                $vtBaseIcms += $vBaseCalculoItem; //valor total base de calculo
                $BaseDeCalculoPartilha = $vBaseCalculoItem;

                if($campo['Base_Icms']=='No'){
                    $vtBaseIcms='0';
                }

                $vTotTrib = ( $vBaseCalculoItem * ($campo['Icms'] / 100) );
                $vTotTrib = number_format($vTotTrib, 2, '.', '');

                break;
            case '40': //CST 40-ISENTA 41-NAO TRIBUTADO E 50-SUSPENSAO
                $nfe->icms[$i]["Orig"] = $campo['Origem_ST']; //0-nacional;1-imp direto;2-Adquirida no mercado interno.
                $nfe->icms[$i]["CST"] = $campo['ST_Icms'];
                //$nfe->icms[$i]["vICMS"] 	= number_format(( $vBaseCalculoItem * ($campo['Icms']/100) ),2,'.','');//valor do BC_ICMS * AlicoAliquota_ICMS/100
                //$nfe->icms[$i]["motDesICMS"] 	= "3";
                //$nfe->icms[$i]["vICMSDeson"] 	= "";
                //$nfe->icms[$i]["motDesICMS"] 	= "";
                $vtIcms += '0';
                $vtBaseIcms += '0'; //valor total base de calculo
                $BaseDeCalculoPartilha = '0';

                $vTotTrib = '0';
                $vTotTrib = number_format($vTotTrib, 2, '.', '');

                break;
            case '41': //CST 40-ISENTA 41-NAO TRIBUTADO E 50-SUSPENSAO
                $nfe->icms[$i]["Orig"] = $campo['Origem_ST']; //0-nacional;1-imp direto;2-Adquirida no mercado interno.
                $nfe->icms[$i]["CST"] = $campo['ST_Icms'];
                //$nfe->icms[$i]["vICMS"] 	= number_format(( $vBaseCalculoItem * ($campo['Icms']/100) ),2,'.','');//valor do BC_ICMS * AlicoAliquota_ICMS/100
                //$nfe->icms[$i]["motDesICMS"] 	= "3";
                //$nfe->icms[$i]["vICMSDeson"] 	= "";
                //$nfe->icms[$i]["motDesICMS"] 	= "";
                $vtIcms += '0';
                $vtBaseIcms += '0'; //valor total base de calculo
                $BaseDeCalculoPartilha = '0';

                $vTotTrib = '0';
                $vTotTrib = number_format($vTotTrib, 2, '.', '');

                break;
            case '50': //CST 40-ISENTA 41-NAO TRIBUTADO E 50-SUSPENSAO
                $nfe->icms[$i]["Orig"] = $campo['Origem_ST']; //0-nacional;1-imp direto;2-Adquirida no mercado interno.
                $nfe->icms[$i]["CST"] = $campo['ST_Icms'];
                //$nfe->icms[$i]["vICMS"] 	= number_format(( $vBaseCalculoItem * ($campo['Icms']/100) ),2,'.','');//valor do BC_ICMS * AlicoAliquota_ICMS/100
                //$nfe->icms[$i]["motDesICMS"] 	= "3";
                //$nfe->icms[$i]["vICMSDeson"] 	= "";
                //$nfe->icms[$i]["motDesICMS"] 	= "";
                $vtIcms += '0';
                $vtBaseIcms += '0'; //valor total base de calculo
                $BaseDeCalculoPartilha = '0';

                $vTotTrib = '0';
                $vTotTrib = number_format($vTotTrib, 2, '.', '');

                break;
            case '51': //CST 51 DIFERIMENTO - A EXIGENCIA DO PREECNCHIMENTO DAS INFORMAS DO ICMS DIFERIDO FICA A CRITERIO DE CADA UF
                $nfe->icms[$i]["Orig"] = $campo['Origem_ST']; //0-nacional;1-imp direto;2-Adquirida no mercado interno.
                $nfe->icms[$i]["CST"] = $campo['ST_Icms'];
                $nfe->icms[$i]["ModBC"] = $campo['Modalidade_BC_ICMS']; //0-Margem Valor Agregado(%);1-Pauta(Valor);2-Preo Tabelado Mx.(valor);3-valor da operao.

                if ((isset($campo['pDif'])) && ($campo['pDif'] > '0')) {

                    $campo['Reducao'] = '0';
                    $campo['Mva'] = '0';
                    $nfe->icms[$i]["PRedBC"] = number_format($campo['Reducao'], 2, '.', '');

                    $VBC = '';
                    $VBC = $vBaseCalculoItem + ( $vBaseCalculoItem * ($campo['Mva'] / 100) );
                    $VBC = $VBC - ($VBC * ($campo['Reducao'] / 100)); //fazendo a reduo
                    $nfe->icms[$i]["VBC"] = number_format($VBC, 2, '.', ''); //somatorio dos itens + frete + despesas
                    $nfe->icms[$i]["PICMS"] = number_format($campo['Icms'], 2, '.', '');

                    $VICMS = '';
                    $VICMS = ( $VBC * ($campo['Icms'] / 100) );
                    $nfe->icms[$i]["VICMS"] = number_format($VICMS, 2, '.', ''); //valor do BC_ICMS * AlicoAliquota_ICMS/100
                    //$nfe->icms[$i]["vICMSOp"] 	= "0";
                    //$nfe->icms[$i]["pDif"]          = "0";
                    //$nfe->icms[$i]["vICMSDif"] 	= "0";
                    
                    if (($dados_destinatario_nfe["Consumidor_Final"] == 'Sim') &&
                        ($dados_destinatario_nfe["Nao_Contribuinte_Icms"] == 'Sim') &&
                        ($dados_destinatario_nfe["Estado"] != $dados_emitente_nfe["Estado"]) &&
                        ($campo["FCP"]>'0')
                    ) {
                    $nfe->icms[$i]["vBCFCP"] = number_format($VBC, 2, '.', '');//4.0
                    $nfe->icms[$i]["pFCP"] = number_format($campo["FCP"], 2, '.', '');//4.0
                    $nfe->icms[$i]["vFCP"] = number_format($VBC * ($campo["FCP"] / 100), 2, '.', '');//4.0
                    
                    $vtFCPItem+=$VBC * ($campo["FCP"] / 100);
                    $vtFCPSTItem+='0';
                    $vtFCPSTRetItem+='0';
                    }

                    $vtIcms += $VICMS;
                    $vtBaseIcms += $VBC; //valor total base de calculo
                    $BaseDeCalculoPartilha = $VBC;


                    $vTotTrib = $VICMS;
                    $vTotTrib = number_format($vTotTrib, 2, '.', '');
                } else {

                    $nfe->icms[$i]["PRedBC"] = '0'; //number_format($campo['Reducao'],2,'.','');
                    $nfe->icms[$i]["VBC"] = '0'; //$vBaseCalculoItem;//somatorio dos itens + frete + despesas
                    $nfe->icms[$i]["PICMS"] = '0'; //number_format($campo['Icms'],2,'.','');
                    $nfe->icms[$i]["VICMS"] = '0'; //number_format(( $vBaseCalculoItem * ($campo['Icms']/100) ),2,'.','');//valor do BC_ICMS * AlicoAliquota_ICMS/100
                    //$nfe->icms[$i]["vICMSOp"] 	= "";
                    //$nfe->icms[$i]["pDif"]      = "";
                    //$nfe->icms[$i]["vICMSDif"] 	= "";
                    
                    if (($dados_destinatario_nfe["Consumidor_Final"] == 'Sim') &&
                        ($dados_destinatario_nfe["Nao_Contribuinte_Icms"] == 'Sim') &&
                        ($dados_destinatario_nfe["Estado"] != $dados_emitente_nfe["Estado"]) &&
                        ($campo["FCP"]>'0')
                    ) {
                    $nfe->icms[$i]["vBCFCP"] = number_format(0, 2, '.', '');//4.0
                    $nfe->icms[$i]["pFCP"] = number_format($campo["FCP"], 2, '.', '');//4.0
                    $nfe->icms[$i]["vFCP"] = number_format(0 * ($campo["FCP"] / 100), 2, '.', '');//4.0
                    
                    $vtFCPItem+=0 * ($campo["FCP"] / 100);
                    $vtFCPSTItem+='0';
                    $vtFCPSTRetItem+='0';
                    }

                    $vtIcms += '0';
                    $vtBaseIcms += '0'; //valor total base de calculo
                    $BaseDeCalculoPartilha = '0';

                    $vTotTrib = '0';
                    $vTotTrib = number_format($vTotTrib, 2, '.', '');
                }

                break;
            case '60': //CST 60 ICMS COBRADO ANTERIORMENTE POR ST
                $nfe->icms[$i]["Orig"] = $campo['Origem_ST']; //0-nacional;1-imp direto;2-Adquirida no mercado interno.
                $nfe->icms[$i]["CST"] = $campo['ST_Icms'];
                $nfe->icms[$i]["ModBC"] = $campo['Modalidade_BC_ICMS']; //0-Margem Valor Agregado(%);1-Pauta(Valor);2-Preo Tabelado Mx.(valor);3-valor da operao.
                $nfe->icms[$i]["VBC"] = number_format($vBaseCalculoItem, 2, '.', ''); //somatorio dos itens + frete + despesas
                $nfe->icms[$i]["PICMS"] = number_format($campo['Icms'], 4, '.', '');
                $nfe->icms[$i]["VICMS"] = number_format(( $vBaseCalculoItem * ($campo['Icms'] / 100)), 2, '.', ''); //valor do BC_ICMS * AlicoAliquota_ICMS/100
                $nfe->icms[$i]["ModBCST"] = $campo['Modalidade_BC_ICMS_ST'];
                $nfe->icms[$i]["PMVAST"] = $campo['Mva']; //Percentual da margem de valor Adicionado do ICMS ST
                $nfe->icms[$i]["PRedBCST"] = number_format($campo['Reducao'], 4, '.', ''); //Percentual da Reduo de BC do ICMS ST
                $nfe->icms[$i]["vBCSTRet"] = $campo['vBCSTRet'];
                $nfe->icms[$i]["vICMSSTRet"] = $campo['vICMSSTRet'];
                $nfe->icms[$i]["pST"]           = number_format($campo['Icms_Sub'], 2, '.', '');//4.0
                
                if($nfe->icms[$i]["vBCEfet"]>'0'){
                    $nfe->icms[$i]["pRedBCEfet"] = number_format($campo['pRedBCEfet'], 2, '.', '');
                    $nfe->icms[$i]["vBCEfet"] = number_format($campo['vBCEfet'], 2, '.', '');
                    $nfe->icms[$i]["pICMSEfet"] = number_format($campo['pICMSEfet'], 2, '.', '');
                    $nfe->icms[$i]["vICMSEfet"] = number_format($campo['vICMSEfet'], 2, '.', '');
                }
        
                $vBCST = '';
                $vBCST = ($vBaseCalculoItem + $ipiBC) + ( ($vBaseCalculoItem + $ipiBC) * ($campo['Mva'] / 100) );
                $vBCST = $vBCST - ($vBCST * ($campo['Reducao'] / 100)); //fazendo a reduo

                $nfe->icms[$i]["VBCST"] = number_format($vBCST, 2, '.', ''); //Valor da BC do ICMS ST
                $nfe->icms[$i]["PICMSST"] = $campo['Icms_Sub']; //percentual ICMS ST

                $VICMSST = '';
                $VICMSST = ( $vBCST * ($campo['Icms_Sub'] / 100) ) - ( $vBaseCalculoItem * ($campo['Icms'] / 100) );
                $nfe->icms[$i]["VICMSST"] = number_format($VICMSST, 2, '.', ''); //valor ICMS ST
                
                if (($dados_destinatario_nfe["Consumidor_Final"] == 'Sim') &&
                    ($dados_destinatario_nfe["Nao_Contribuinte_Icms"] == 'Sim') &&
                    ($dados_destinatario_nfe["Estado"] != $dados_emitente_nfe["Estado"]) &&
                    ($campo["FCP"]>'0')
                ) {
                $nfe->icms[$i]["vBCFCPSTRet"]   = number_format($vBCST, 2, '.', '');//4.0
                $nfe->icms[$i]["pFCPSTRet"]     = number_format($campo["FCP"], 2, '.', '');//4.0
                $nfe->icms[$i]["vFCPSTRet"]     = number_format($vBCST * ($campo["FCP"] / 100), 2, '.', '');//4.0
                
                $vtFCPItem+='0';
                $vtFCPSTItem+='0';
                $vtFCPSTRetItem+=number_format($vBCST * ($campo["FCP"] / 100), 2, '.', '');//4.0
                }

                if($campo['Icms']==='0'){
                    $nfe->icms[$i]["VBCST"]='0';
                    $nfe->icms[$i]["VICMSST"]='0';
                    $vBaseCalculoItem='0';
                }

                $vtIcms += ( $vBaseCalculoItem * ($campo['Icms'] / 100) );
                $vtBaseIcms += $vBaseCalculoItem; //valor total base de calculo
                $BaseDeCalculoPartilha = $vBaseCalculoItem;

                if($campo['Base_Icms']=='No'){
                    $vtBaseIcms='0';
                }
                if($campo['Icms']==='0'){
                    $nfe->icms[$i]["VBC"]='0';
                    $nfe->icms[$i]["VICMS"]='0';
                    //$vtBaseIcms='0';
                    $vBCST = '0';
                }

                $vtIcmsSub += ( $vBCST * ($campo['Icms_Sub'] / 100) ) - ( $vBaseCalculoItem * ($campo['Icms'] / 100) );
                $vtBaseIcmsSub += $vBCST; //valor total base de calculo

                $vTotTrib = ( $vBaseCalculoItem * ($campo['Icms'] / 100) );
                $vTotTrib = number_format($vTotTrib, 2, '.', '');

                break;
            case '70': //CST 70 - Com reduo de base de clculo e cobrana do ICMS por substituio tributria
                $nfe->icms[$i]["Orig"] = $campo['Origem_ST']; //0-nacional;1-imp direto;2-Adquirida no mercado interno.
                $nfe->icms[$i]["CST"] = $campo['ST_Icms'];
                $nfe->icms[$i]["ModBC"] = $campo['Modalidade_BC_ICMS']; //0-Margem Valor Agregado(%);1-Pauta(Valor);2-Preo Tabelado Mx.(valor);3-valor da operao.
                $nfe->icms[$i]["PRedBC"] = number_format($campo['Reducao'], 2, '.', '');
                $VBC = '';
                $VBC = ($vBaseCalculoItem - ($vBaseCalculoItem * ($campo['Reducao'] / 100)) );
                $nfe->icms[$i]["VBC"] = number_format($VBC, 2, '.', ''); //somatorio dos itens + frete + despesas
                $nfe->icms[$i]["PICMS"] = number_format($campo['Icms'], 2, '.', '');
                $nfe->icms[$i]["VICMS"] = number_format(( $vBaseCalculoItem * ($campo['Icms'] / 100)), 2, '.', ''); //valor do BC_ICMS * AlicoAliquota_ICMS/100
                $nfe->icms[$i]["ModBCST"] = $campo['Modalidade_BC_ICMS_ST'];
                $nfe->icms[$i]["PMVAST"] = $campo['Valor_Adicional_ICMS_ST'];
                $nfe->icms[$i]["PRedBCST"] = $campo['Reducao_BC_ICMS_ST'];
                $nfe->icms[$i]["VBCST"] = $campo['BC_ICMS_ST'];
                $nfe->icms[$i]["PICMSST"] = $campo['Aliquota_ICMS_ST'];
                $nfe->icms[$i]["VICMSST"] = $campo['ICMS_ST'];
                
                if (($dados_destinatario_nfe["Consumidor_Final"] == 'Sim') &&
                    ($dados_destinatario_nfe["Nao_Contribuinte_Icms"] == 'Sim') &&
                    ($dados_destinatario_nfe["Estado"] != $dados_emitente_nfe["Estado"]) &&
                    ($campo["FCP"]>'0')
                ) {
                $nfe->icms[$i]["vBCFCP"] = number_format($VBC, 2, '.', '');//4.0
                $nfe->icms[$i]["pFCP"] = number_format($campo["FCP"], 2, '.', '');//4.0
                $nfe->icms[$i]["vFCP"] = number_format($VBC * ($campo["FCP"] / 100), 2, '.', '');//4.0
                $nfe->icms[$i]["vBCFCPST"] = number_format($campo['BC_ICMS_ST'], 2, '.', '');//4.0
                $nfe->icms[$i]["pFCPST"] = number_format($campo["FCP"], 2, '.', '');//4.0
                $nfe->icms[$i]["vFCPST"] = number_format($campo['BC_ICMS_ST'] * ($campo["FCP"] / 100), 2, '.', '');//4.0
                
                $vtFCPItem+=$VBC * ($campo["FCP"] / 100);
                $vtFCPSTItem+=$campo['BC_ICMS_ST'] * ($campo["FCP"] / 100);
                $vtFCPSTRetItem+='0';
                }
                
                //$nfe->icms[$i]["vICMSDeson"] 	= "";
                //$nfe->icms[$i]["motDesICMS"] 	= "";
                $vtIcms += ( $vBaseCalculoItem * ($campo['Icms'] / 100) );
                $vtBaseIcms += $vBaseCalculoItem; //valor total base de calculo
                $BaseDeCalculoPartilha = $vBaseCalculoItem;

                $vTotTrib = ( $vBaseCalculoItem * ($campo['Icms'] / 100) );
                $vTotTrib = number_format($vTotTrib, 2, '.', '');

                break;
            case '90': //CST - 90 Outros
                $vBaseCalculoItem = '0'; //martelada
                $nfe->icms[$i]["Orig"] = $campo['Origem_ST']; //0-nacional;1-imp direto;2-Adquirida no mercado interno.
                $nfe->icms[$i]["CST"] = $campo['ST_Icms'];
                $nfe->icms[$i]["ModBC"] = $campo['Modalidade_BC_ICMS']; //0-Margem Valor Agregado(%);1-Pauta(Valor);2-Preo Tabelado Mx.(valor);3-valor da operao.
                $nfe->icms[$i]["PRedBC"] = number_format($campo['Reducao'], 2, '.', '');
                $nfe->icms[$i]["VBC"] = $vBaseCalculoItem; //somatorio dos itens + frete + despesas
                $nfe->icms[$i]["PICMS"] = number_format($campo['Icms'], 2, '.', '');
                $nfe->icms[$i]["VICMS"] = number_format(( $vBaseCalculoItem * ($campo['Icms'] / 100)), 2, '.', ''); //valor do BC_ICMS * AlicoAliquota_ICMS/100
                $nfe->icms[$i]["ModBCST"] = $campo['Modalidade_BC_ICMS_ST'];
                $nfe->icms[$i]["PMVAST"] = $campo['Valor_Adicional_ICMS_ST'];
                $nfe->icms[$i]["PRedBCST"] = $campo['Reducao_BC_ICMS_ST'];
                $nfe->icms[$i]["VBCST"] = $campo['BC_ICMS_ST'];
                $nfe->icms[$i]["PICMSST"] = $campo['Aliquota_ICMS_ST'];
                $nfe->icms[$i]["VICMSST"] = $campo['ICMS_ST'];
                
                if (($dados_destinatario_nfe["Consumidor_Final"] == 'Sim') &&
                    ($dados_destinatario_nfe["Nao_Contribuinte_Icms"] == 'Sim') &&
                    ($dados_destinatario_nfe["Estado"] != $dados_emitente_nfe["Estado"]) &&
                    ($campo["FCP"]>'0')
                ) {
                $nfe->icms[$i]["vBCFCP"] = number_format($vBaseCalculoItem, 2, '.', '');//4.0
                $nfe->icms[$i]["pFCP"] = number_format($campo["FCP"], 2, '.', '');//4.0
                $nfe->icms[$i]["vFCP"] = number_format($vBaseCalculoItem * ($campo["FCP"] / 100), 2, '.', '');//4.0
                $nfe->icms[$i]["vBCFCPST"] = number_format($campo['BC_ICMS_ST'], 2, '.', '');//4.0
                $nfe->icms[$i]["pFCPST"] = number_format($campo["FCP"], 2, '.', '');//4.0
                $nfe->icms[$i]["vFCPST"] = number_format($campo['BC_ICMS_ST'] * ($campo["FCP"] / 100), 2, '.', '');//4.0
                
                $vtFCPItem+=$vBaseCalculoItem * ($campo["FCP"] / 100);
                $vtFCPSTItem+=$campo['BC_ICMS_ST'] * ($campo["FCP"] / 100);
                $vtFCPSTRetItem+='0';
                }

                //$nfe->icms[$i]["vICMSDeson"] 	= "";
                //$nfe->icms[$i]["motDesICMS"] 	= "";
                $vtIcms += ( $vBaseCalculoItem * ($campo['Icms'] / 100) );
                $vtBaseIcms += $vBaseCalculoItem; //valor total base de calculo
                $BaseDeCalculoPartilha = $vBaseCalculoItem;

                $vTotTrib = ( $vBaseCalculoItem * ($campo['Icms'] / 100) );
                $vTotTrib = number_format($vTotTrib, 2, '.', '');

                break;


            case 'N10a': ////por enquanto sem saber o que fazer
                $nfe->icms[$i]["Orig"] = $campo['Origem_ST']; //0-nacional;1-imp direto;2-Adquirida no mercado interno.
                $nfe->icms[$i]["CST"] = $campo['ST_Icms'];
                $nfe->icms[$i]["ModBC"] = $campo['Modalidade_BC_ICMS']; //0-Margem Valor Agregado(%);1-Pauta(Valor);2-Preo Tabelado Mx.(valor);3-valor da operao.
                $nfe->icms[$i]["VBC"] = $vBaseCalculoItem; //somatorio dos itens + frete + despesas
                $nfe->icms[$i]["PICMS"] = number_format($campo['Icms'], 2, '.', '');
                $nfe->icms[$i]["VICMS"] = number_format(( $vBaseCalculoItem * ($campo['Icms'] / 100)), 2, '.', ''); //valor do BC_ICMS * AlicoAliquota_ICMS/100
                //$nfe->icms[$i]["pBCOp"] 	= "105.98";
                //$nfe->icms[$i]["UFST"] 	= "105.98";
                $vtIcms += ( $vBaseCalculoItem * ($campo['Icms'] / 100) );
                $vtBaseIcms += $vBaseCalculoItem; //valor total base de calculo
                $BaseDeCalculoPartilha = $vBaseCalculoItem;

                $vTotTrib = ( $vBaseCalculoItem * ($campo['Icms'] / 100) );
                $vTotTrib = number_format($vTotTrib, 2, '.', '');

                break;

            case 'N10b': ////por enquanto sem saber o que fazer
                $nfe->icms[$i]["Orig"] = $campo['Origem_ST']; //0-nacional;1-imp direto;2-Adquirida no mercado interno.
                $nfe->icms[$i]["CST"] = $campo['ST_Icms'];
                //$nfe->icms[$i]["vBCSTRet"] 	= "3";
                //$nfe->icms[$i]["vICMSSTRet"] 	= "588.78";
                //$nfe->icms[$i]["vBCSTDest"] 	= "18.00";
                //$nfe->icms[$i]["vICMSSTDest"] = "105.98";
                break;
        }
## fim icms normal
    } else if (($dados_emitente_nfe["CRT"] == '3' OR $dados_emitente_nfe["CRT"] == '2') && ($frete_nota["Nota_Importacao"] == 'Sim')) {
        //3-regime normal
## inicio icms normal
        //icms normal/ tributacao normal
        switch ($campo['ST_Icms']) {
            case '00': //CST 00 TRIBUTADO INTEGRALMENTE

                $nfe->icms[$i]["Orig"] = $campo['Origem_ST']; //0-nacional;1-imp direto;2-Adquirida no mercado interno.
                $nfe->icms[$i]["CST"] = $campo['ST_Icms'];
                $nfe->icms[$i]["ModBC"] = $campo['Modalidade_BC_ICMS']; //0-Margem Valor Agregado(%);1-Pauta(Valor);2-Preo Tabelado Mx.(valor);3-valor da operao.
                $nfe->icms[$i]["VBC"] = number_format($campo['Icms_Bc'], 2, '.', '');
                $nfe->icms[$i]["PICMS"] = number_format($campo['Icms'], 2, '.', '');
                $nfe->icms[$i]["VICMS"] = number_format($campo['Icms_Real'], 2, '.', '');
                
                if (($dados_destinatario_nfe["Consumidor_Final"] == 'Sim') &&
                    ($dados_destinatario_nfe["Nao_Contribuinte_Icms"] == 'Sim') &&
                    ($dados_destinatario_nfe["Estado"] != $dados_emitente_nfe["Estado"]) &&
                    ($campo["FCP"]>'0')
                ) {
                $nfe->icms[$i]["pFCP"] = number_format($campo["FCP"], 2, '.', '');//4.0
                $nfe->icms[$i]["vFCP"] = number_format($campo['Icms_Bc'] * ($campo["FCP"] / 100), 2, '.', '');//4.0
                
                $vtFCPItem+=$campo['Icms_Bc'] * ($campo["FCP"] / 100);
                $vtFCPSTItem+='0';
                $vtFCPSTRetItem+='0';
                }
                
                $vtIcms += ($campo['Icms_Real']);

                $BaseDeCalculoPartilha = $campo['Icms_Bc'];
                $vTotTrib = number_format($campo['Total_Tributo_Item'], 2, '.', '');

                break;
            case '10': //CST 10 TRIBUTADO E COM COBRANCA DE ICMS POR SUBSTUICAO TRIBUTARIA
                $nfe->icms[$i]["Orig"] = $campo['Origem_ST']; //0-nacional;1-imp direto;2-Adquirida no mercado interno.
                $nfe->icms[$i]["CST"] = $campo['ST_Icms'];
                $nfe->icms[$i]["ModBC"] = $campo['Modalidade_BC_ICMS']; //0-Margem Valor Agregado(%);1-Pauta(Valor);2-Preo Tabelado Mx.(valor);3-valor da operao.
                $nfe->icms[$i]["VBC"] = number_format($campo['Icms_Bc'], 2, '.', '');
                $nfe->icms[$i]["PICMS"] = number_format($campo['Icms'], 4, '.', '');
                $nfe->icms[$i]["VICMS"] = number_format($campo['Icms_Real'], 2, '.', '');
                $nfe->icms[$i]["ModBCST"] = $campo['Modalidade_BC_ICMS_ST'];
                $nfe->icms[$i]["PMVAST"] = $campo['Mva']; //Percentual da margem de valor Adicionado do ICMS ST
                $nfe->icms[$i]["PRedBCST"] = number_format($campo['Icms_Reducao'], 2, '.', '');
                $nfe->icms[$i]["VBCST"] = number_format($campo['Icms_Sub_Bc'], 2, '.', '');
                $nfe->icms[$i]["PICMSST"] = number_format($campo['Icms_Sub_Perc'], 4, '.', '');
                $nfe->icms[$i]["VICMSST"] = number_format($campo['Icms_Sub'], 2, '.', '');
                
                if (($dados_destinatario_nfe["Consumidor_Final"] == 'Sim') &&
                    ($dados_destinatario_nfe["Nao_Contribuinte_Icms"] == 'Sim') &&
                    ($dados_destinatario_nfe["Estado"] != $dados_emitente_nfe["Estado"]) &&
                    ($campo["FCP"]>'0')
                ) {                $nfe->icms[$i]["vBCFCP"] = number_format($campo['Icms_Bc'], 2, '.', '');//4.0
                $nfe->icms[$i]["pFCP"] = number_format($campo["FCP"], 2, '.', '');//4.0
                $nfe->icms[$i]["vFCP"] = number_format($campo['Icms_Bc'] * ($campo["FCP"] / 100), 2, '.', '');//4.0
                $nfe->icms[$i]["vBCFCPST"] = number_format($campo['Icms_Sub_Bc'], 2, '.', '');//4.0
                $nfe->icms[$i]["pFCPST"] = number_format($campo["FCP"], 2, '.', '');//4.0
                $nfe->icms[$i]["vFCPST"] = number_format($campo['Icms_Sub_Bc'] * ($campo["FCP"] / 100), 2, '.', '');//4.0
                
                $vtFCPItem+=$campo['Icms_Bc'] * ($campo["FCP"] / 100);
                $vtFCPSTItem+=$campo['Icms_Sub_Bc'] * ($campo["FCP"] / 100);
                $vtFCPSTRetItem+='0';
                }
                
                $vtIcms += ($campo['Icms_Real']);

                $BaseDeCalculoPartilha = $campo['Icms_Bc'];
                $vTotTrib = number_format($campo['Total_Tributo_Item'], 2, '.', '');

                break;
            case '20': //CST 20 COM REDUCAO DE BASE DE CALCULO
                $nfe->icms[$i]["Orig"] = $campo['Origem_ST']; //0-nacional;1-imp direto;2-Adquirida no mercado interno.
                $nfe->icms[$i]["CST"] = $campo['ST_Icms'];
                $nfe->icms[$i]["ModBC"] = $campo['Modalidade_BC_ICMS']; //0-Margem Valor Agregado(%);1-Pauta(Valor);2-Preo Tabelado Mx.(valor);3-valor da operao.
                $nfe->icms[$i]["PRedBC"] = number_format($campo['Icms_Reducao'], 2, '.', '');
                $nfe->icms[$i]["VBC"] = number_format($campo['Icms_Bc'], 2, '.', '');
                $nfe->icms[$i]["PICMS"] = number_format($campo['Icms'], 2, '.', '');
                $nfe->icms[$i]["VICMS"] = number_format($campo['Icms_Real'], 2, '.', '');
                $nfe->icms[$i]["vICMSDeson"] = number_format($campo['vICMSDeson'], 2, '.', '');
                $nfe->icms[$i]["motDesICMS"] = $campo['motDesICMS'];
                
                if (($dados_destinatario_nfe["Consumidor_Final"] == 'Sim') &&
                    ($dados_destinatario_nfe["Nao_Contribuinte_Icms"] == 'Sim') &&
                    ($dados_destinatario_nfe["Estado"] != $dados_emitente_nfe["Estado"]) &&
                    ($campo["FCP"]>'0')
                ) {
                $nfe->icms[$i]["vBCFCP"] = number_format($campo['Icms_Bc'], 2, '.', '');//4.0
                $nfe->icms[$i]["pFCP"] = number_format($campo["FCP"], 2, '.', '');//4.0
                $nfe->icms[$i]["vFCP"] = number_format($campo['Icms_Bc'] * ($campo["FCP"] / 100), 2, '.', '');//4.0
                
                $vtFCPItem+=$campo['Icms_Bc'] * ($campo["FCP"] / 100);
                $vtFCPSTItem+='0';
                $vtFCPSTRetItem+='0';
                }
                
                $vtIcms += ($campo['Icms_Real']);

                $BaseDeCalculoPartilha = $campo['Icms_Bc'];
                $vTotTrib = number_format($campo['Total_Tributo_Item'], 2, '.', '');

                break;
            case '30': //CST 30 ISENTA OU NAO TRIBUTADO E COM COBRANCA DO ICMS POR ST
                $nfe->icms[$i]["Orig"] = $campo['Origem_ST']; //0-nacional;1-imp direto;2-Adquirida no mercado interno.
                $nfe->icms[$i]["CST"] = $campo['ST_Icms'];
                $nfe->icms[$i]["ModBCST"] = $campo['Modalidade_BC_ICMS_ST'];
                $nfe->icms[$i]["PMVAST"] = $campo['Valor_Adicional_ICMS_ST'];
                $nfe->icms[$i]["PRedBCST"] = $campo['Reducao_BC_ICMS_ST'];
                $nfe->icms[$i]["VBCST"] = $campo['BC_ICMS_ST'];
                $nfe->icms[$i]["PICMSST"] = $campo['Aliquota_ICMS_ST'];
                $nfe->icms[$i]["VICMSST"] = $campo['ICMS_ST'];
                $nfe->icms[$i]["vICMSDeson"] = number_format($campo['vICMSDeson'], 2, '.', '');
                $nfe->icms[$i]["motDesICMS"] = $campo['motDesICMS'];
                
                if (($dados_destinatario_nfe["Consumidor_Final"] == 'Sim') &&
                    ($dados_destinatario_nfe["Nao_Contribuinte_Icms"] == 'Sim') &&
                    ($dados_destinatario_nfe["Estado"] != $dados_emitente_nfe["Estado"]) &&
                    ($campo["FCP"]>'0')
                ) {
                $nfe->icms[$i]["vBCFCPST"] = number_format($campo['BC_ICMS_ST'], 2, '.', '');//4.0
                $nfe->icms[$i]["pFCPST"] = number_format($campo["FCP"], 2, '.', '');//4.0
                $nfe->icms[$i]["vFCPST"] = number_format($campo['BC_ICMS_ST'] * ($campo["FCP"] / 100), 2, '.', '');//4.0
                
                $vtFCPItem+='0';
                $vtFCPSTItem+=$campo['BC_ICMS_ST'] * ($campo["FCP"] / 100);
                $vtFCPSTRetItem+='0';
                }
                
                $vtIcms += ($campo['Icms_Real']);

                $BaseDeCalculoPartilha = $campo['Icms_Bc'];
                $vTotTrib = number_format($campo['Total_Tributo_Item'], 2, '.', '');

                break;
            case '40': //CST 40-ISENTA 41-NAO TRIBUTADO E 50-SUSPENSAO
                $nfe->icms[$i]["Orig"] = $campo['Origem_ST']; //0-nacional;1-imp direto;2-Adquirida no mercado interno.
                $nfe->icms[$i]["CST"] = $campo['ST_Icms'];
                //$nfe->icms[$i]["vICMS"] 	= number_format(( $vBaseCalculoItem * ($campo['Icms']/100) ),2,'.','');//valor do BC_ICMS * AlicoAliquota_ICMS/100
                //$nfe->icms[$i]["motDesICMS"] 	= "3";
                //$nfe->icms[$i]["vICMSDeson"] 	= "";
                //$nfe->icms[$i]["motDesICMS"] 	= "";
                
                $vtIcms += ($campo['Icms_Real']);

                $BaseDeCalculoPartilha = $campo['Icms_Bc'];
                $vTotTrib = number_format($campo['Total_Tributo_Item'], 2, '.', '');

                break;
            case '41': //CST 40-ISENTA 41-NAO TRIBUTADO E 50-SUSPENSAO
                $nfe->icms[$i]["Orig"] = $campo['Origem_ST']; //0-nacional;1-imp direto;2-Adquirida no mercado interno.
                $nfe->icms[$i]["CST"] = $campo['ST_Icms'];
                //$nfe->icms[$i]["vICMS"] 	= number_format(( $vBaseCalculoItem * ($campo['Icms']/100) ),2,'.','');//valor do BC_ICMS * AlicoAliquota_ICMS/100
                //$nfe->icms[$i]["motDesICMS"] 	= "3";
                //$nfe->icms[$i]["vICMSDeson"] 	= "";
                //$nfe->icms[$i]["motDesICMS"] 	= "";
                
                $vtIcms += ($campo['Icms_Real']);

                $BaseDeCalculoPartilha = $campo['Icms_Bc'];
                $vTotTrib = number_format($campo['Total_Tributo_Item'], 2, '.', '');

                break;
            case '50': //CST 40-ISENTA 41-NAO TRIBUTADO E 50-SUSPENSAO
                $nfe->icms[$i]["Orig"] = $campo['Origem_ST']; //0-nacional;1-imp direto;2-Adquirida no mercado interno.
                $nfe->icms[$i]["CST"] = $campo['ST_Icms'];
                //$nfe->icms[$i]["vICMS"] 	= number_format(( $vBaseCalculoItem * ($campo['Icms']/100) ),2,'.','');//valor do BC_ICMS * AlicoAliquota_ICMS/100
                //$nfe->icms[$i]["motDesICMS"] 	= "3";
                //$nfe->icms[$i]["vICMSDeson"] 	= "";
                //$nfe->icms[$i]["motDesICMS"] 	= "";
                
                $vtIcms += ($campo['Icms_Real']);

                $BaseDeCalculoPartilha = $campo['Icms_Bc'];
                $vTotTrib = number_format($campo['Total_Tributo_Item'], 2, '.', '');

                break;
            case '51': //CST 51 DIFERIMENTO - A EXIGENCIA DO PREECNCHIMENTO DAS INFORMAS DO ICMS DIFERIDO FICA A CRITERIO DE CADA UF
                $nfe->icms[$i]["Orig"] = $campo['Origem_ST']; //0-nacional;1-imp direto;2-Adquirida no mercado interno.
                $nfe->icms[$i]["CST"] = $campo['ST_Icms'];
                $nfe->icms[$i]["ModBC"] = $campo['Modalidade_BC_ICMS']; //0-Margem Valor Agregado(%);1-Pauta(Valor);2-Preo Tabelado Mx.(valor);3-valor da operao.
                $nfe->icms[$i]["PRedBC"] = number_format($campo['Icms_Reducao'], 2, '.', '');
                $nfe->icms[$i]["VBC"] = number_format($campo['Icms_Bc'], 2, '.', '');
                $nfe->icms[$i]["PICMS"] = number_format($campo['Icms'], 2, '.', '');
                $nfe->icms[$i]["VICMS"] = number_format($campo['Icms_Real'], 2, '.', '');
                
                if (($dados_destinatario_nfe["Consumidor_Final"] == 'Sim') &&
                    ($dados_destinatario_nfe["Nao_Contribuinte_Icms"] == 'Sim') &&
                    ($dados_destinatario_nfe["Estado"] != $dados_emitente_nfe["Estado"]) &&
                    ($campo["FCP"]>'0')
                ) {
                $nfe->icms[$i]["vBCFCP"] = number_format($campo['Icms_Bc'], 2, '.', '');//4.0
                $nfe->icms[$i]["pFCP"] = number_format($campo["FCP"], 2, '.', '');//4.0
                $nfe->icms[$i]["vFCP"] = number_format($campo['Icms_Bc'] * ($campo["FCP"] / 100), 2, '.', '');//4.0
                
                $vtFCPItem+=$campo['Icms_Bc'] * ($campo["FCP"] / 100);
                $vtFCPSTItem+='0';
                $vtFCPSTRetItem+='0';
                }
                
                $vtIcms += ($campo['Icms_Real']);

                //$nfe->icms[$i]["vICMSOp"] 	= number_format($campo['Icms_Real'],2,'.','');
                //$nfe->icms[$i]["pDif"]          = "100.00";
                //$nfe->icms[$i]["vICMSDif"] 	= number_format($campo['Icms_Real'],2,'.','');

                $BaseDeCalculoPartilha = $campo['Icms_Bc'];
                $vTotTrib = number_format($campo['Total_Tributo_Item'], 2, '.', '');

                break;
            case '60': //CST 60 ICMS COBRADO ANTERIORMENTE POR ST
                $nfe->icms[$i]["Orig"] = $campo['Origem_ST']; //0-nacional;1-imp direto;2-Adquirida no mercado interno.
                $nfe->icms[$i]["CST"] = $campo['ST_Icms'];
                $nfe->icms[$i]["VBCST"] = number_format(0, 2, '.', '');
                $nfe->icms[$i]["VICMSST"] = number_format(0, 2, '.', '');
                $nfe->icms[$i]["vBCSTRet"] = $campo['vBCSTRet'];
                $nfe->icms[$i]["vICMSSTRet"] = $campo['vICMSSTRet'];
                
                if($nfe->icms[$i]["vBCEfet"]>'0'){
                    $nfe->icms[$i]["pRedBCEfet"] = number_format($campo['pRedBCEfet'], 2, '.', '');
                    $nfe->icms[$i]["vBCEfet"] = number_format($campo['vBCEfet'], 2, '.', '');
                    $nfe->icms[$i]["pICMSEfet"] = number_format($campo['pICMSEfet'], 2, '.', '');
                    $nfe->icms[$i]["vICMSEfet"] = number_format($campo['vICMSEfet'], 2, '.', '');
                }
                
                if (($dados_destinatario_nfe["Consumidor_Final"] == 'Sim') &&
                    ($dados_destinatario_nfe["Nao_Contribuinte_Icms"] == 'Sim') &&
                    ($dados_destinatario_nfe["Estado"] != $dados_emitente_nfe["Estado"]) &&
                    ($campo["FCP"]>'0')
                ) {
                $nfe->icms[$i]["pST"]           = number_format(0, 2, '.', '');//4.0
                $nfe->icms[$i]["vBCFCPSTRet"]   = number_format(0, 2, '.', '');//4.0
                $nfe->icms[$i]["pFCPSTRet"]     = number_format(0, 2, '.', '');//4.0
                $nfe->icms[$i]["vFCPSTRet"]     = number_format(0, 2, '.', '');//4.0
                
                $vtFCPItem+='0';
                $vtFCPSTItem+='0';
                $vtFCPSTRetItem+=number_format(0, 2, '.', '');
                }
                
                $vtIcms += ($campo['Icms_Real']);

                $BaseDeCalculoPartilha = $campo['Icms_Bc'];
                $vTotTrib = number_format($campo['Total_Tributo_Item'], 2, '.', '');

                break;
            case '70': //CST 70 - Com reduo de base de clculo e cobrana do ICMS por substituio tributria
                $nfe->icms[$i]["Orig"] = $campo['Origem_ST']; //0-nacional;1-imp direto;2-Adquirida no mercado interno.
                $nfe->icms[$i]["CST"] = $campo['ST_Icms'];
                $nfe->icms[$i]["ModBC"] = $campo['Modalidade_BC_ICMS']; //0-Margem Valor Agregado(%);1-Pauta(Valor);2-Preo Tabelado Mx.(valor);3-valor da operao.
                $nfe->icms[$i]["PRedBC"] = number_format($campo['Icms_Reducao'], 2, '.', '');
                $nfe->icms[$i]["VBC"] = number_format($campo['Icms_Bc'], 2, '.', '');
                $nfe->icms[$i]["PICMS"] = number_format($campo['Icms'], 2, '.', '');
                $nfe->icms[$i]["VICMS"] = number_format($campo['Icms_Real'], 2, '.', '');
                $nfe->icms[$i]["ModBCST"] = $campo['Modalidade_BC_ICMS_ST'];
                $nfe->icms[$i]["PMVAST"] = $campo['Valor_Adicional_ICMS_ST'];
                $nfe->icms[$i]["PRedBCST"] = $campo['Reducao_BC_ICMS_ST'];
                $nfe->icms[$i]["VBCST"] = $campo['BC_ICMS_ST'];
                $nfe->icms[$i]["PICMSST"] = $campo['Aliquota_ICMS_ST'];
                $nfe->icms[$i]["VICMSST"] = $campo['ICMS_ST'];
                
                if (($dados_destinatario_nfe["Consumidor_Final"] == 'Sim') &&
                    ($dados_destinatario_nfe["Nao_Contribuinte_Icms"] == 'Sim') &&
                    ($dados_destinatario_nfe["Estado"] != $dados_emitente_nfe["Estado"]) &&
                    ($campo["FCP"]>'0')
                ) {
                $nfe->icms[$i]["vBCFCP"] = number_format($campo['Icms_Bc'], 2, '.', '');//4.0
                $nfe->icms[$i]["pFCP"] = number_format($campo["FCP"], 2, '.', '');//4.0
                $nfe->icms[$i]["vFCP"] = number_format($campo['Icms_Bc'] * ($campo["FCP"] / 100), 2, '.', '');//4.0
                $nfe->icms[$i]["vBCFCPST"] = number_format($campo['BC_ICMS_ST'], 2, '.', '');//4.0
                $nfe->icms[$i]["pFCPST"] = number_format($campo["FCP"], 2, '.', '');//4.0
                $nfe->icms[$i]["vFCPST"] = number_format($campo['BC_ICMS_ST'] * ($campo["FCP"] / 100), 2, '.', '');//4.0
                
                $vtFCPItem+=$campo['Icms_Bc'] * ($campo["FCP"] / 100);
                $vtFCPSTItem+=$campo['BC_ICMS_ST'] * ($campo["FCP"] / 100);
                $vtFCPSTRetItem+='0';
                }
                
                $vtIcms += ($campo['Icms_Real']);

                //$nfe->icms[$i]["vICMSDeson"] 	= "";
                //$nfe->icms[$i]["motDesICMS"] 	= "";

                $BaseDeCalculoPartilha = $campo['Icms_Bc'];
                $vTotTrib = number_format($campo['Total_Tributo_Item'], 2, '.', '');

                break;
            case '90': //CST - 90 Outros
                $nfe->icms[$i]["Orig"] = $campo['Origem_ST']; //0-nacional;1-imp direto;2-Adquirida no mercado interno.
                $nfe->icms[$i]["CST"] = $campo['ST_Icms'];
                $nfe->icms[$i]["ModBC"] = $campo['Modalidade_BC_ICMS']; //0-Margem Valor Agregado(%);1-Pauta(Valor);2-Preo Tabelado Mx.(valor);3-valor da operao.
                $nfe->icms[$i]["PRedBC"] = number_format($campo['Icms_Reducao'], 2, '.', '');
                $nfe->icms[$i]["VBC"] = number_format($campo['Icms_Bc'], 2, '.', '');
                $nfe->icms[$i]["PICMS"] = number_format($campo['Icms'], 2, '.', '');
                $nfe->icms[$i]["VICMS"] = number_format($campo['Icms_Real'], 2, '.', '');
                $nfe->icms[$i]["ModBCST"] = $campo['Modalidade_BC_ICMS_ST'];
                $nfe->icms[$i]["PMVAST"] = $campo['Valor_Adicional_ICMS_ST'];
                $nfe->icms[$i]["PRedBCST"] = $campo['Reducao_BC_ICMS_ST'];
                $nfe->icms[$i]["VBCST"] = $campo['BC_ICMS_ST'];
                $nfe->icms[$i]["PICMSST"] = $campo['Aliquota_ICMS_ST'];
                $nfe->icms[$i]["VICMSST"] = $campo['ICMS_ST'];
                
                if (($dados_destinatario_nfe["Consumidor_Final"] == 'Sim') &&
                    ($dados_destinatario_nfe["Nao_Contribuinte_Icms"] == 'Sim') &&
                    ($dados_destinatario_nfe["Estado"] != $dados_emitente_nfe["Estado"]) &&
                    ($campo["FCP"]>'0')
                ) {
                $nfe->icms[$i]["vBCFCP"] = number_format($campo['Icms_Bc'], 2, '.', '');//4.0
                $nfe->icms[$i]["pFCP"] = number_format($campo["FCP"], 2, '.', '');//4.0
                $nfe->icms[$i]["vFCP"] = number_format($campo['Icms_Bc'] * ($campo["FCP"] / 100), 2, '.', '');//4.0
                $nfe->icms[$i]["vBCFCPST"] = number_format($campo['BC_ICMS_ST'], 2, '.', '');//4.0
                $nfe->icms[$i]["pFCPST"] = number_format($campo["FCP"], 2, '.', '');//4.0
                $nfe->icms[$i]["vFCPST"] = number_format($campo['BC_ICMS_ST'] * ($campo["FCP"] / 100), 2, '.', '');//4.0
                
                $vtFCPItem+=$campo['Icms_Bc'] * ($campo["FCP"] / 100);
                $vtFCPSTItem+=$campo['BC_ICMS_ST'] * ($campo["FCP"] / 100);
                $vtFCPSTRetItem+='0';
                }
                
                $vtIcms += ($campo['Icms_Real']);

                //$nfe->icms[$i]["vICMSDeson"] 	= "";
                //$nfe->icms[$i]["motDesICMS"] 	= "";

                $BaseDeCalculoPartilha = $campo['Icms_Bc'];
                $vTotTrib = number_format($campo['Total_Tributo_Item'], 2, '.', '');

                break;


            case 'N10a': ////por enquanto sem saber o que fazer
                $nfe->icms[$i]["Orig"] = $campo['Origem_ST']; //0-nacional;1-imp direto;2-Adquirida no mercado interno.
                $nfe->icms[$i]["CST"] = $campo['ST_Icms'];
                $nfe->icms[$i]["ModBC"] = $campo['Modalidade_BC_ICMS']; //0-Margem Valor Agregado(%);1-Pauta(Valor);2-Preo Tabelado Mx.(valor);3-valor da operao.
                $nfe->icms[$i]["VBC"] = number_format($campo['Icms_Bc'], 2, '.', '');
                $nfe->icms[$i]["PICMS"] = number_format($campo['Icms'], 2, '.', '');
                $nfe->icms[$i]["VICMS"] = number_format($campo['Icms_Real'], 2, '.', '');
                //$nfe->icms[$i]["pBCOp"] 	= "105.98";
                //$nfe->icms[$i]["UFST"] 	= "105.98";

                $BaseDeCalculoPartilha = $campo['Icms_Bc'];
                $vTotTrib = number_format($campo['Total_Tributo_Item'], 2, '.', '');

                break;

            case 'N10b': ////por enquanto sem saber o que fazer
                $nfe->icms[$i]["Orig"] = $campo['Origem_ST']; //0-nacional;1-imp direto;2-Adquirida no mercado interno.
                $nfe->icms[$i]["CST"] = $campo['ST_Icms'];
                //$nfe->icms[$i]["vBCSTRet"] 	= "3";
                //$nfe->icms[$i]["vICMSSTRet"] 	= "588.78";
                //$nfe->icms[$i]["vBCSTDest"] 	= "18.00";
                //$nfe->icms[$i]["vICMSSTDest"] = "105.98";

                $BaseDeCalculoPartilha = $campo['Icms_Bc'];
                $vTotTrib = number_format($campo['Total_Tributo_Item'], 2, '.', '');

                break;
        }
## fim icms normal
    } else {
        //1-simples Ou 2-Simples Nacional - Excesso de sublimite de receita bruta
        //$vBaseCalculoItem = '0.00';
## inicio icms simples
        //icms simples, tributacao simples
        switch ($campo['ST_Icms']) {
            case '101': //Tributao do ICMS pelo SIMPLES NACIONAL e CSOSN=101 (v.2.0)
                $nfe->icms[$i]["Orig"] = $campo['Origem_ST']; //0-nacional;1-imp direto;2-Adquirida no mercado interno.
                $nfe->icms[$i]["CSOSN"] = $campo['ST_Icms'];
                $nfe->icms[$i]["pCredSN"] = number_format($dados_emitente_nfe['Aliquota_Simples'], 2, '.', ''); //Alquota aplicvel de clculo do crdito (Simples Nacional).
                $nfe->icms[$i]["vCredICMSSN"] = number_format($vBaseCalculoItem * ($dados_emitente_nfe['Aliquota_Simples'] / 100), 2, '.', ''); //Valor crdito do ICMS que pode ser aproveitado nos termos do art. 23 da LC 123 (Simples Nacional)
                //$vtIcms+='';
                //$vtBaseIcms+='';//valor total base de calculo
                $BaseDeCalculoPartilha = $vBaseCalculoItem;
                $vCredito101 += $vBaseCalculoItem * ($dados_emitente_nfe['Aliquota_Simples'] / 100);
                $aliquotaSimples = $dados_emitente_nfe['Aliquota_Simples'];
                //$vBaseCalculoItem = '0.00';
                ####
                //$vtIcms+=( $vBaseCalculoItem * ($campo['Icms']/100) );
                //$vtBaseIcms+= $precoItensFim +($vItenFreteP + $vItenDespesaP);//valor total base de calculo
                //$vTotTrib = ( $vBaseCalculoItem * ($campo['Icms']/100) );
                //$vTotTrib = number_format($vTotTrib,2,'.','');

                break;
            case '102': //Tributao do ICMS pelo SIMPLES NACIONAL e CSOSN=102, 103, 300 ou 400 (v.2.0)
                $nfe->icms[$i]["Orig"] = $campo['Origem_ST']; //0-nacional;1-imp direto;2-Adquirida no mercado interno.
                $nfe->icms[$i]["CSOSN"] = $campo['ST_Icms'];
                //$vtIcms+='';
                //$vtBaseIcms+='';//valor total base de calculo
                $vBaseCalculoItem = '0.00';
                $BaseDeCalculoPartilha = '0.00';

                break;
            case '103': //Tributao do ICMS pelo SIMPLES NACIONAL e CSOSN=102, 103, 300 ou 400 (v.2.0)
                $nfe->icms[$i]["Orig"] = $campo['Origem_ST']; //0-nacional;1-imp direto;2-Adquirida no mercado interno.
                $nfe->icms[$i]["CSOSN"] = $campo['ST_Icms'];
                //$vtIcms+='';
                //$vtBaseIcms+='';//valor total base de calculo
                $vBaseCalculoItem = '0.00';
                $BaseDeCalculoPartilha = '0.00';

                break;
            case '300': //Tributao do ICMS pelo SIMPLES NACIONAL e CSOSN=102, 103, 300 ou 400 (v.2.0)
                $nfe->icms[$i]["Orig"] = $campo['Origem_ST']; //0-nacional;1-imp direto;2-Adquirida no mercado interno.
                $nfe->icms[$i]["CSOSN"] = $campo['ST_Icms'];
                //$vtIcms+='';
                //$vtBaseIcms+='';//valor total base de calculo
                $vBaseCalculoItem = '0.00';
                $BaseDeCalculoPartilha = '0.00';

                break;
            case '400': //Tributao do ICMS pelo SIMPLES NACIONAL e CSOSN=102, 103, 300 ou 400 (v.2.0)
                $nfe->icms[$i]["Orig"] = $campo['Origem_ST']; //0-nacional;1-imp direto;2-Adquirida no mercado interno.
                $nfe->icms[$i]["CSOSN"] = $campo['ST_Icms'];
                //$vtIcms+='';
                //$vtBaseIcms+='';//valor total base de calculo
                $vBaseCalculoItem = '0.00';
                $BaseDeCalculoPartilha = '0.00';

                break;
            case '201': //Tributao do ICMS pelo SIMPLES NACIONAL e CSOSN=201 (v.2.0)
                $nfe->icms[$i]["Orig"] = $campo['Origem_ST']; //0-nacional;1-imp direto;2-Adquirida no mercado interno.
                $nfe->icms[$i]["CSOSN"] = $campo['ST_Icms'];
                $nfe->icms[$i]["modBCST"] = $campo['Modalidade_BC_ICMS_ST'];
                $nfe->icms[$i]["pMVAST"] = $campo['Mva'];
                $nfe->icms[$i]["pRedBCST"] = number_format($campo['Reducao'], 2, '.', '');
                
                if (($dados_destinatario_nfe["Consumidor_Final"] == 'Sim') &&
                    ($dados_destinatario_nfe["Nao_Contribuinte_Icms"] == 'Sim') &&
                    ($dados_destinatario_nfe["Estado"] != $dados_emitente_nfe["Estado"])
                ) {
                $nfe->icms[$i]["vBCFCPST"] = number_format($vBCST, 2, '.', '');//4.0
                $nfe->icms[$i]["pFCPST"] = number_format($campo["FCP"], 2, '.', '');//4.0
                $nfe->icms[$i]["vFCPST"] = number_format($vBCST * ($campo["FCP"] / 100), 2, '.', '');//4.0
                
                $vtFCPItem+='0';
                $vtFCPSTItem+=$vBCST * ($campo["FCP"] / 100);
                $vtFCPSTRetItem+='0';
                }
                
                //$nfe->icms[$i]["vBCST"] 	= $campo['BC_ICMS_ST'];
                //$nfe->icms[$i]["pICMSST"] 	= $campo['Aliquota_ICMS_ST'];
                //$nfe->icms[$i]["vICMSST"] 	= $campo['ICMS_ST'];


                $vBCST = '';
                $vBCST = $vBaseCalculoItem + ( $vBaseCalculoItem * ($campo['Mva'] / 100) );
                $vBCST = $vBCST - ($vBCST * ($campo['Reducao'] / 100)); //fazendo a reduo

                $nfe->icms[$i]["vBCST"] = number_format($vBCST, 2, '.', ''); //Valor da BC do ICMS ST
                $nfe->icms[$i]["pICMSST"] = $campo['Icms_Sub']; //percentual ICMS ST
                ##calculo diferente
                //$ValorICMSProprioparaST = $vBaseCalculoItem * ($campo['Icms_Sub']/100);
                //$VICMSST = '';
                //$VICMSST = ( $vBCST * ($campo['Icms_Sub']/100) ) - ( $ValorICMSProprioparaST );
                //$nfe->icms[$i]["vICMSST"] 	= number_format($VICMSST,2,'.','');//valor ICMS ST

                $VICMSST = '';
                $VICMSST = ( $vBCST * ($campo['Icms_Sub'] / 100) ) - ( $vBaseCalculoItem * ($campo['Icms'] / 100) );
                $nfe->icms[$i]["VICMSST"] = number_format($VICMSST, 2, '.', ''); //valor ICMS ST

                $vtIcms += ( $vBaseCalculoItem * ($campo['Icms'] / 100) );
                $vtBaseIcms += $vBaseCalculoItem; //valor total base de calculo
                $BaseDeCalculoPartilha = $vBaseCalculoItem;

                //$vtIcmsSub+=( $vBCST * ($campo['Icms_Sub']/100) ) - ( $ValorICMSProprioparaST );
                $vtIcmsSub += ( $vBCST * ($campo['Icms_Sub'] / 100) ) - ( $vBaseCalculoItem * ($campo['Icms'] / 100) );
                $vtBaseIcmsSub += $vBCST; //valor total base de calculo

                $vTotTrib = ( $vBaseCalculoItem * ($campo['Icms'] / 100) );
                $vTotTrib = number_format($vTotTrib, 2, '.', '');


                //$vBaseCalculoItem = '0.00';
                $vtIcms = '0.00';
                $vtBaseIcms = '0.00';
                $BaseDeCalculoPartilha = '0.00';

                break;
            case '202': //Tributao do ICMS pelo SIMPLES NACIONAL e CSOSN=202 ou 203 (v.2.0)
                $nfe->icms[$i]["Orig"] = $campo['Origem_ST']; //0-nacional;1-imp direto;2-Adquirida no mercado interno.
                $nfe->icms[$i]["CSOSN"] = $campo['ST_Icms'];
                $nfe->icms[$i]["modBCST"] = $campo['Modalidade_BC_ICMS_ST'];
                $nfe->icms[$i]["pMVAST"] = $campo['Mva'];
                $nfe->icms[$i]["pRedBCST"] = number_format($campo['Reducao'], 2, '.', '');
                $nfe->icms[$i]["vBCFCPST"] = '';//4.0
                $nfe->icms[$i]["pFCPST"] = '';//4.0
                $nfe->icms[$i]["vFCPST"] = '';//4.0
                //$nfe->icms[$i]["vBCST"] 	= $campo['BC_ICMS_ST'];
                //$nfe->icms[$i]["pICMSST"] 	= $campo['Aliquota_ICMS_ST'];
                //$nfe->icms[$i]["vICMSST"] 	= $campo['ICMS_ST'];


                $vBCST = '';
                $vBCST = $vBaseCalculoItem + ( $vBaseCalculoItem * ($campo['Mva'] / 100) );
                $vBCST = $vBCST - ($vBCST * ($campo['Reducao'] / 100)); //fazendo a reduo

                $nfe->icms[$i]["vBCST"] = number_format($vBCST, 2, '.', ''); //Valor da BC do ICMS ST
                $nfe->icms[$i]["pICMSST"] = $campo['Icms_Sub']; //percentual ICMS ST
                ##calculo diferente
                //$ValorICMSProprioparaST = $vBaseCalculoItem * ($campo['Icms_Sub']/100);
                //$VICMSST = '';
                //$VICMSST = ( $vBCST * ($campo['Icms_Sub']/100) ) - ( $ValorICMSProprioparaST );
                //$nfe->icms[$i]["vICMSST"] 	= number_format($VICMSST,2,'.','');//valor ICMS ST

                $VICMSST = '';
                $VICMSST = ( $vBCST * ($campo['Icms_Sub'] / 100) ) - ( $vBaseCalculoItem * ($campo['Icms'] / 100) );
                $nfe->icms[$i]["VICMSST"] = number_format($VICMSST, 2, '.', ''); //valor ICMS ST
                
                if (($dados_destinatario_nfe["Consumidor_Final"] == 'Sim') &&
                    ($dados_destinatario_nfe["Nao_Contribuinte_Icms"] == 'Sim') &&
                    ($dados_destinatario_nfe["Estado"] != $dados_emitente_nfe["Estado"])
                ) {
                $nfe->icms[$i]["vBCFCPST"] = number_format($vBCST, 2, '.', '');//4.0
                $nfe->icms[$i]["pFCPST"] = number_format($campo["FCP"], 2, '.', '');//4.0
                $nfe->icms[$i]["vFCPST"] = number_format($vBCST * ($campo["FCP"] / 100), 2, '.', '');//4.0
                
                $vtFCPItem+='0';
                $vtFCPSTItem+=$vBCST * ($campo["FCP"] / 100);
                $vtFCPSTRetItem+='0';
                }

                $vtIcms += ( $vBaseCalculoItem * ($campo['Icms'] / 100) );
                $vtBaseIcms += $vBaseCalculoItem; //valor total base de calculo
                $BaseDeCalculoPartilha = $vBaseCalculoItem;

                //$vtIcmsSub+=( $vBCST * ($campo['Icms_Sub']/100) ) - ( $ValorICMSProprioparaST );
                $vtIcmsSub += ( $vBCST * ($campo['Icms_Sub'] / 100) ) - ( $vBaseCalculoItem * ($campo['Icms'] / 100) );
                $vtBaseIcmsSub += $vBCST; //valor total base de calculo

                $vTotTrib = ( $vBaseCalculoItem * ($campo['Icms'] / 100) );
                $vTotTrib = number_format($vTotTrib, 2, '.', '');


                //$vBaseCalculoItem = '0.00';
                $vtIcms = '0.00';
                $vtBaseIcms = '0.00';
                $BaseDeCalculoPartilha = '0.00';

                break;
            case '203': //Tributao do ICMS pelo SIMPLES NACIONAL e CSOSN=202 ou 203 (v.2.0)
                $nfe->icms[$i]["Orig"] = $campo['Origem_ST']; //0-nacional;1-imp direto;2-Adquirida no mercado interno.
                $nfe->icms[$i]["CSOSN"] = $campo['ST_Icms'];
                $nfe->icms[$i]["modBCST"] = $campo['Modalidade_BC_ICMS_ST'];
                $nfe->icms[$i]["pMVAST"] = $campo['Valor_Adicional_ICMS_ST'];
                $nfe->icms[$i]["pRedBCST"] = $campo['Reducao_BC_ICMS_ST'];
                $nfe->icms[$i]["vBCST"] = $campo['BC_ICMS_ST'];
                $nfe->icms[$i]["pICMSST"] = $campo['Aliquota_ICMS_ST'];
                $nfe->icms[$i]["vICMSST"] = $campo['ICMS_ST'];
                
                if (($dados_destinatario_nfe["Consumidor_Final"] == 'Sim') &&
                    ($dados_destinatario_nfe["Nao_Contribuinte_Icms"] == 'Sim') &&
                    ($dados_destinatario_nfe["Estado"] != $dados_emitente_nfe["Estado"])
                ) {
                $nfe->icms[$i]["vBCFCPST"] = number_format($campo['BC_ICMS_ST'], 2, '.', '');//4.0
                $nfe->icms[$i]["pFCPST"] = number_format($campo["FCP"], 2, '.', '');//4.0
                $nfe->icms[$i]["vFCPST"] = number_format($campo['BC_ICMS_ST'] * ($campo["FCP"] / 100), 2, '.', '');//4.0
                
                $vtFCPItem+='0';
                $vtFCPSTItem+=$campo['BC_ICMS_ST'] * ($campo["FCP"] / 100);
                $vtFCPSTRetItem+='0';
                }

                //$vtIcms+='';
                //$vtBaseIcms+='';//valor total base de calculo
                $vBaseCalculoItem = '0.00';
                $BaseDeCalculoPartilha = '0.00';

                break;
            case '500': //Tributao do ICMS pelo SIMPLES NACIONAL e CSOSN=500 (v.2.0)
                $nfe->icms[$i]["Orig"] = $campo['Origem_ST']; //0-nacional;1-imp direto;2-Adquirida no mercado interno.
                $nfe->icms[$i]["CSOSN"] = $campo['ST_Icms'];
                //$nfe->icms[$i]["modBCST"] 	= $campo['Modalidade_BC_ICMS_ST'];//Desuso
                $nfe->icms[$i]["vBCSTRet"] = $campo['vBCSTRet'];
                //$nfe->icms[$i]["PICMS"] 	= $campo['PICMS'];//Desuso
                $nfe->icms[$i]["vICMSSTRet"] = $campo['vICMSSTRet'];
                $nfe->icms[$i]["pST"] = number_format($campo['Icms_Sub'], 2, '.', '');//4.0
                
                if($nfe->icms[$i]["vBCEfet"]>'0'){
                    $nfe->icms[$i]["pRedBCEfet"] = number_format($campo['pRedBCEfet'], 2, '.', '');
                    $nfe->icms[$i]["vBCEfet"] = number_format($campo['vBCEfet'], 2, '.', '');
                    $nfe->icms[$i]["pICMSEfet"] = number_format($campo['pICMSEfet'], 2, '.', '');
                    $nfe->icms[$i]["vICMSEfet"] = number_format($campo['vICMSEfet'], 2, '.', '');
                }
                
                if (($dados_destinatario_nfe["Consumidor_Final"] == 'Sim') &&
                    ($dados_destinatario_nfe["Nao_Contribuinte_Icms"] == 'Sim') &&
                    ($dados_destinatario_nfe["Estado"] != $dados_emitente_nfe["Estado"])
                ) {
                $nfe->icms[$i]["vBCFCPSTRet"] = number_format($campo['vBCSTRet'], 2, '.', '');//4.0
                $nfe->icms[$i]["pFCPSTRet"] = number_format($campo["FCP"], 2, '.', '');//4.0
                $nfe->icms[$i]["vFCPSTRet"] = number_format($campo['vBCSTRet'] * ($campo["FCP"] / 100), 2, '.', '');//4.0
                
                $vtFCPItem+='0';
                $vtFCPSTItem+='0';
                $vtFCPSTRetItem+=number_format($campo['vBCSTRet'] * ($campo["FCP"] / 100), 2, '.', '');//4.0
                }

                //$vtIcms+='';
                //$vtBaseIcms+='';//valor total base de calculo
                $vBaseCalculoItem = '0.00';
                $BaseDeCalculoPartilha = '0.00';

                break;
            case '900': //Tributao do ICMS pelo SIMPLES NACIONAL e CSOSN=900 (v2.0)
                /*
                  $nfe->icms[$i]["Orig"] 	= $campo['Origem_ST'];//0-nacional;1-imp direto;2-Adquirida no mercado interno.
                  $nfe->icms[$i]["CSOSN"] = $campo['ST_Icms'];
                  $nfe->icms[$i]["modBCST"] 	= $campo['Modalidade_BC_ICMS_ST'];
                  //$nfe->icms[$i]["vBC"] 	= "588.78";
                  //$nfe->icms[$i]["PICpRedBCMS"] = "588.78";
                  //$nfe->icms[$i]["pICMS"] 	= "588.78";
                  //$nfe->icms[$i]["vICMS"] 	= "588.78";
                  //$nfe->icms[$i]["modBCST"] 	= "588.78";
                  $nfe->icms[$i]["pMVAST"] 	= $campo['Valor_Adicional_ICMS_ST'];
                  $nfe->icms[$i]["pRedBCST"] 	= $campo['Reducao_BC_ICMS_ST'];
                  $nfe->icms[$i]["vBCST"] 	= $campo['BC_ICMS_ST'];
                  $nfe->icms[$i]["pICMSST"] 	= $campo['Aliquota_ICMS_ST'];
                  $nfe->icms[$i]["vICMSST"] 	= $campo['ICMS_ST'];
                  //$nfe->icms[$i]["pCredSN"] 	= "588.78";
                  //$nfe->icms[$i]["vCredICMSSN"] = "18.00";
                  //$vtIcms+='';
                  //$vtBaseIcms+='';//valor total base de calculo
                  $vBaseCalculoItem = '0.00';
                  $BaseDeCalculoPartilha = '0.00';
                 */

                $nfe->icms[$i]["Orig"] = $campo['Origem_ST']; //0-nacional;1-imp direto;2-Adquirida no mercado interno.
                $nfe->icms[$i]["CSOSN"] = $campo['ST_Icms'];
                $nfe->icms[$i]["modBC"] = $campo['Modalidade_BC_ICMS']; //0-Margem Valor Agregado(%);1-Pauta(Valor);2-Preo Tabelado Mx.(valor);3-valor da operao.
                $nfe->icms[$i]["vBC"] = $vBaseCalculoItem; //somatorio dos itens + frete + despesas
                $nfe->icms[$i]["pICMS"] = number_format($campo['Icms'], 2, '.', '');
                $nfe->icms[$i]["vICMS"] = valor_banco_2(( $vBaseCalculoItem * ($campo['Icms'] / 100))); //valor do BC_ICMS * AlicoAliquota_ICMS/100
                $nfe->icms[$i]["vBCFCPST"] = '';//4.0
                $nfe->icms[$i]["pFCPST"] = '';//4.0
                $nfe->icms[$i]["vFCPST"] = '';//4.0
                
                $vBCST = '';
                $vBCST = $vBaseCalculoItem + ( $vBaseCalculoItem * ($campo['Mva'] / 100) );
                $vBCST = $vBCST - ($vBCST * ($campo['Reducao'] / 100)); //fazendo a reduo

                $nfe->icms[$i]["vBCST"] = number_format($vBCST, 2, '.', ''); //Valor da BC do ICMS ST
                $nfe->icms[$i]["pICMSST"] = $campo['Icms_Sub']; //percentual ICMS ST
                ##calculo diferente
                //$ValorICMSProprioparaST = $vBaseCalculoItem * ($campo['Icms_Sub']/100);
                //$VICMSST = '';
                //$VICMSST = ( $vBCST * ($campo['Icms_Sub']/100) ) - ( $ValorICMSProprioparaST );
                //$nfe->icms[$i]["vICMSST"] 	= number_format($VICMSST,2,'.','');//valor ICMS ST

                $VICMSST = '';
                $VICMSST = ( $vBCST * ($campo['Icms_Sub'] / 100) ) - ( $vBaseCalculoItem * ($campo['Icms'] / 100) );
                $nfe->icms[$i]["VICMSST"] = number_format($VICMSST, 2, '.', ''); //valor ICMS ST

                if (($dados_destinatario_nfe["Consumidor_Final"] == 'Sim') &&
                    ($dados_destinatario_nfe["Nao_Contribuinte_Icms"] == 'Sim') &&
                    ($dados_destinatario_nfe["Estado"] != $dados_emitente_nfe["Estado"])
                ) {
                $nfe->icms[$i]["vBCFCPST"] = number_format($vBCST, 2, '.', '');//4.0
                $nfe->icms[$i]["pFCPST"] = number_format($campo["FCP"], 2, '.', '');//4.0
                $nfe->icms[$i]["vFCPST"] = number_format($vBCST * ($campo["FCP"] / 100), 2, '.', '');//4.0

                $vtFCPItem+='0';
                $vtFCPSTItem+=$vBCST * ($campo["FCP"] / 100);
                $vtFCPSTRetItem+='0';
                }

                $vtIcms += valor_banco_2($vBaseCalculoItem * ($campo['Icms'] / 100));
                $vtBaseIcms += valor_banco_2($precoItensFim + ($vItenFreteP + $vItenDespesaP)); //valor total base de calculo
                $BaseDeCalculoPartilha = $precoItensFim + ($vItenFreteP + $vItenDespesaP);

                //$vtIcmsSub+=( $vBCST * ($campo['Icms_Sub']/100) ) - ( $ValorICMSProprioparaST );
                $vtIcmsSub += ( $vBCST * ($campo['Icms_Sub'] / 100) ) - ( $vBaseCalculoItem * ($campo['Icms'] / 100) );
                $vtBaseIcmsSub += $vBCST; //valor total base de calculo

                $vTotTrib = ( $vBaseCalculoItem * ($campo['Icms'] / 100) );
                $vTotTrib = valor_banco_2($vTotTrib);

                break;
        }
## fim icms simples
    }



if ($campo["Anvisa"]) {
    $nfe->prod_lote[$i]["cProdANVISA"]=$campo["Anvisa"];//4.0
    //$nfe->prod_lote[$i]["NLote"]=$campo["Lote"];
    //$nfe->prod_lote[$i]["QLote"]=number_format($campo['Qtd'], 4, '.', '');
    //$nfe->prod_lote[$i]["DFab"]=$campo["Data_Fabricacao"];
    //$nfe->prod_lote[$i]["DVal"]=$campo["Data_Validade"];
    $nfe->prod_lote[$i]["VPMC"]=number_format(0, 4, '.', '');
}



    //fazendo campos do imposto da importacao
    if ($frete_nota["Nota_Importacao"] == 'Sim') {
        $nfe->ii[$i]["VBC"] = number_format($campo["II_Bc"], 2, '.', ''); //Valor BC do Imposto de Importao
        $nfe->ii[$i]["VDespAdu"] = number_format($campo["VDespAdu"], 2, '.', ''); //Valor despesas aduaneiras
        $nfe->ii[$i]["VII"] = number_format($campo["II_Real"], 2, '.', ''); //Valor Imposto de Importao
        $nfe->ii[$i]["VIOF"] = number_format($campo["VIOF"], 2, '.', ''); //Valor Imposto sobre Operaes Financeiras
    }

    //icms de partilha
    if (($dados_destinatario_nfe["Consumidor_Final"] == 'Sim') &&
            ($dados_destinatario_nfe["Nao_Contribuinte_Icms"] == 'Sim') &&
            ($dados_destinatario_nfe["Estado"] != $dados_emitente_nfe["Estado"])
    ) {

        //percentuais da partilha
        switch (date("Y")) {
            case '2016': $pUFOrigem = "60.00";
                $pUFDestino = "40.00";
                break;
            case '2017': $pUFOrigem = "40.00";
                $pUFDestino = "60.00";
                break;
            case '2018': $pUFOrigem = "20.00";
                $pUFDestino = "80.00";
                break;
            default : $pUFOrigem = "0.00";
                $pUFDestino = "100.00";
        }

        //aliquota interna da UF de destino
        $aliq_interna = mysqli_query($con,"SELECT
                            icms_inter." . $dados_destinatario_nfe['Estado'] . " as Aliquota_Interna
                            FROM icms_inter
                            WHERE Estado='" . $dados_destinatario_nfe["Estado"] . "' ");
        $aliquota_interna = mysqli_fetch_assoc($aliq_interna);

        //se o produto for importado, pegara o valor de 4% = EX
        if (($campo["Origem_ST"] == '1') || ($campo["Origem_ST"] == '2') || ($campo["Origem_ST"] == '3') || ($campo["Origem_ST"] == '8')) {
            $estado_dest_partilha = 'EX';
        } else {
            $estado_dest_partilha = $dados_destinatario_nfe['Estado'];
        }

        //aliquota interestadual UF de origem
        $aliq_inter = mysqli_query($con,"SELECT
                            icms_inter." . $estado_dest_partilha . " as Aliquota_Inter
                            FROM icms_inter
                            WHERE Estado='" . $dados_emitente_nfe["Estado"] . "' ");
        $aliquota_inter = mysqli_fetch_assoc($aliq_inter);

        //Passo 1 - calcular a base de clculo do ICMS
        $baseDoIcms = $BaseDeCalculoPartilha;

        //Passo 2 - calcular o Fundo de Combate  Pobreza
        $FCP = $baseDoIcms * ($campo["FCP"] / 100);

        //Passo 3 - calcular o DIFAL
        $difal = $baseDoIcms * ( ($aliquota_interna["Aliquota_Interna"] - $aliquota_inter["Aliquota_Inter"]) / 100);

        //Passo 4 - efetuar a partilha do DIFAL
        ##Parte que ao estado de origem:
        $parteUFOrigem = $difal * ($pUFOrigem / 100);

        ##Parte que ao estado de destino:
        $parteUFDestino = $difal * ($pUFDestino / 100);

        $vtbaseDoIcms += $baseDoIcms;
        $vtFCP += $FCP;
        $vtparteUFDestino += valor_banco(valor_exibir($parteUFDestino));
        $vtparteUFOrigem += valor_banco(valor_exibir($parteUFOrigem));

        $nfe->icms_part[$i]["vBCUFDest"] = valor_banco(valor_exibir($baseDoIcms));
        $nfe->icms_part[$i]["vBCFCPUFDest"] = valor_banco(valor_exibir($baseDoIcms));
        $nfe->icms_part[$i]["pFCPUFDest"] = (valor_banco_2($campo["FCP"]));
        $nfe->icms_part[$i]["pICMSUFDest"] = valor_banco(valor_exibir($aliquota_interna["Aliquota_Interna"]));
        $nfe->icms_part[$i]["pICMSInter"] = valor_banco(valor_exibir($aliquota_inter["Aliquota_Inter"]));
        $nfe->icms_part[$i]["pICMSInterPart"] = $pUFDestino;
        $nfe->icms_part[$i]["vFCPUFDest"] = (valor_banco_2($FCP));
        $nfe->icms_part[$i]["vICMSUFDest"] = valor_banco(valor_exibir($parteUFDestino));
        $nfe->icms_part[$i]["vICMSUFRemet"] = valor_banco(valor_exibir($parteUFOrigem));
    }


//lancando a nova tag vTotTrib
//$vTotTrib = ( $vBaseCalculoItem * ($campo['Icms']/100) );
//$vTotTrib = number_format($vTotTrib,2,'.','');
//$nfe->imposto[$i]["vTotTrib"] = $vTotTrib;//metodo antigo

    if ($frete_nota["Nota_Importacao"] == 'Sim') {
        //$valorPTributo = $campo["Valor_Total_Produto"];
        $valorPTributo='0';
    } else {
        $valorPTributo = number_format($campo["Preco"] * $campo["Qtd"], 2, '.', '');
    }

    $vTotTrib = ( $valorPTributo * ($campo['Ibpt'] / 100) );
    $AliqIbpt+=$campo['Ibpt'];
    $vTotTrib = number_format($vTotTrib, 2, '.', '');
    $nfe->imposto[$i]["vTotTrib"] = $vTotTrib;
    $novoValorTributo += $vTotTrib;

    $Novo_Codigo++;
    $i++;
}
/* -------- fim dos produtos ------------- */



//$vtBaseIcms=str_replace('.','',$vtBaseIcms);
//$vtBaseIcms=str_replace(',','.',$vtBaseIcms);
$vtBaseIcms = number_format($vtBaseIcms, 2, '.', '');

//$vtIcms=str_replace('.','',$vtIcms);
//$vtIcms=str_replace(',','.',$vtIcms);
$vtIcms = number_format($vtIcms, 2, '.', '');

//$vtBaseIcmsSub=str_replace('.','',$vtBaseIcmsSub);
//$vtBaseIcmsSub=str_replace(',','.',$vtBaseIcmsSub);
$vtBaseIcmsSub = number_format($vtBaseIcmsSub, 2, '.', '');

//$vtIcmsSub=str_replace('.','',$vtIcmsSub);
//$vtIcmsSub=str_replace(',','.',$vtIcmsSub);
$vtIcmsSub = number_format($vtIcmsSub, 2, '.', '');

//$vtPis=str_replace('.','',$vtPis);
//$vtPis=str_replace(',','.',$vtPis);
$vtPis = number_format($vtPis, 2, '.', '');

//$vtCofins=str_replace('.','',$vtCofins);
//$vtCofins=str_replace(',','.',$vtCofins);
$vtCofins = number_format($vtCofins, 2, '.', '');

//$vtIpi=str_replace('.','',$vtIpi);
//$vtIpi=str_replace(',','.',$vtIpi);
$vtIpi = valor_banco_2($vtIpi);

//
$nota_importacao = listar("SELECT nfe_pedido.Nota_Importacao,
                                nfe_pedido.Base_Icms_I,
                                nfe_pedido.Icms_I,
                                nfe_pedido.II_I,
                                nfe_pedido.Pis_I,
                                nfe_pedido.Total_Produto_I,
                                nfe_pedido.Despesa_I,
                                nfe_pedido.Cofins_I,
                                nfe_pedido.Total_Nota_I,
                                nfe_pedido.Base_Icms_ST_I,
                                nfe_pedido.Icms_ST_I,
                                nfe_pedido.Ipi_I,
                                nfe_pedido.Total_Tributo_Nota
                                FROM nfe_pedido
                                WHERE nfe_pedido.Id_Nfe='" . $_GET["id_nfe"] . "' ");
if ($nota_importacao[0]["Nota_Importacao"] == 'Sim') {
    $vtBaseIcms = number_format($nota_importacao[0]["Base_Icms_I"], 2, '.', '');
    $vtIcms = number_format($nota_importacao[0]["Icms_I"], 2, '.', '');
    $vtII = $nota_importacao[0]["II_I"];
    $vtPis = number_format($nota_importacao[0]["Pis_I"], 2, '.', '');
    $vtCofins = number_format($nota_importacao[0]["Cofins_I"], 2, '.', '');
    $precoTodosItensFim = $nota_importacao[0]["Total_Produto_I"];
    $vtDespesa = $nota_importacao[0]["Despesa_I"];
    $vtNFe = $nota_importacao[0]["Total_Nota_I"];
    $vtBaseIcmsSub = $nota_importacao[0]["Base_Icms_ST_I"];
    $vtIcmsSub = $nota_importacao[0]["Icms_ST_I"];
    $vtIpi = $nota_importacao[0]["Ipi_I"];
    $Total_Tributo_Nota = $nota_importacao[0]["Total_Tributo_Nota"];
}

if ($dados_destinatario_nfe['DV'] == 'Sim') {
    $totalDesconto = abs($totalDesconto);
}

if ($vtBaseIcms) {
//atualizando a tabela de NFe
mysqli_query($con,"UPDATE nfe SET vBC='" . $vtBaseIcms . "',
            vICMS='" . $vtIcms . "',
            vBCST='" . number_format($vtBaseIcmsSub, 2, '.', '') . "',
            vST='" . number_format($vtIcmsSub, 2, '.', '') . "',
            vProd='" . number_format($precoTodosItensFim, 2, '.', '') . "',
            vFrete='" . number_format($vtFrete, 2, '.', '') . "',
            vSeg='0.00',
            vDesc='" . number_format($totalDesconto, 2, '.', '') . "',
            vII='" . number_format($vtII, 2, '.', '') . "',
            vIPI='" . valor_banco_2($vtIpi, 2, '.', '') . "',
            vPIS='" . $vtPis . "',vCOFINS='" . $vtCofins . "',
            vOutro='" . number_format($vtDespesa, 2, '.', '') . "'
            WHERE Id = '" . $_GET["id_nfe"] . "' ");
}

//totais
$nfe->total["vBC"] = $vtBaseIcms;
$nfe->total["vICMS"] = $vtIcms;
$nfe->total["vBCST"] = number_format($vtBaseIcmsSub, 2, '.', '');
$nfe->total["vST"] = number_format($vtIcmsSub, 2, '.', '');
$nfe->total["vProd"] = number_format($precoTodosItensFim, 2, '.', '');
$nfe->total["vFrete"] = number_format($vtFrete, 2, '.', '');
$nfe->total["vSeg"] = "0.00";
$nfe->total["vDesc"] = number_format($totalDesconto, 2, '.', '');
$nfe->total["vII"] = number_format($vtII, 2, '.', '');
$nfe->total["vIPI"] = $vtIpi;
$nfe->total["vIPIDevol"] = '';//4.0
$nfe->total["vPIS"] = $vtPis;
$nfe->total["vCOFINS"] = $vtCofins;
$nfe->total["vOutro"] = number_format($vtDespesa, 2, '.', '');

if ($nota_importacao[0]["Nota_Importacao"] == 'Sim') {
    //nova tag Lei do Imposto (ICMS + IPI + Pis + Cofins)
    $nfe->total["vTotTrib"] = number_format($Total_Tributo_Nota, 2, '.', '');
    $nfe->total["vICMSDeson"] = ""; //Valor Total do ICMS desonerado
} else {
    //nova tag Lei do Imposto (ICMS + IPI + Pis + Cofins)
    //$nfe->total["vTotTrib"] = number_format($vtIcms + $vtIpi + $vtPis + $vtCofins,2,'.','');//metodo antigo
    $nfe->total["vTotTrib"] = number_format($novoValorTributo, 2, '.', '');
    $nfe->total["vICMSDeson"] = ""; //Valor Total do ICMS desonerado
}

$nfe->total["vFCP"] = number_format($vtFCPItem, 2, '.', '');//incluso no layout 4.00
$nfe->total["vFCPST"] = number_format($vtFCPSTItem, 2, '.', ''); //incluso no layout 4.00
$nfe->total["vFCPSTRet"] = number_format($vtFCPSTRetItem, 2, '.', ''); //incluso no layout 4.00
$nfe->total["vFCPUFDest"] = number_format($vtFCP, 2, '.', '');
$nfe->total["vICMSUFDest"] = number_format($vtparteUFDestino, 2, '.', '');
$nfe->total["vICMSUFRemet"] = number_format($vtparteUFOrigem, 2, '.', '');

if ($nota_importacao[0]["Nota_Importacao"] == 'Sim') {
    $valorFinal = $vtNFe;
} else {
    $valorFinal = ($precoTodosItensFim - $totalDesconto) + $vtFCPSTItem + $vtFrete + $vtDespesa + $vtIpi + $vtIcmsSub;
}
$nfe->total["vNF"] = number_format($valorFinal, 2, '.', '');

$vtNFe = $nfe->total["vNF"];//martelada
//$nfe->total["VRetPIS"] = "";



if (($dados_destinatario_nfe["Consumidor_Final"] == 'Sim') && ($dados_destinatario_nfe["Nao_Contribuinte_Icms"] == 'Sim')) {
    $obsIcmsInter = ""
            . "Valor do Icms relatorio ao fundo de combate a pobreza(FCP) da UF de destino: R$ " . $vtFCP . ";"
            . "Valor do Icms interestadual para a UF de destino: R$ " . $vtparteUFDestino . ";"
            . "Valor do Icms interestadual para a UF de origem: R$ " . $vtparteUFOrigem . ";"
            . "Valor da BC do Icms na UF de destino: R$ " . $vtbaseDoIcms . ";"
            . "";
}




/* dados do transportador */
$menu6 = mysqli_query($con,"SELECT
                            fornecedor.Titulo,
                            fornecedor.Razao_Social,
                            fornecedor.Natureza,
                            fornecedor.Cpf_Cnpj,
                            fornecedor.Estadual,
                            fornecedor.Rua,
                            fornecedor.Numero,
                            fornecedor.Estado,
                            nfe_pedido.Tipo_Frete,
                            nfe_pedido.Placa,
                            nfe_pedido.Uf_Placa,
                            cidade_ibge.Titulo as Cidade
                            FROM nfe_pedido
                            left join (SELECT Id,Titulo,Razao_Social,Natureza,Cpf_Cnpj,Estadual,Rua,Numero,Estado,Id_Cidade from fornecedor) as fornecedor ON fornecedor.Id = nfe_pedido.Id_Transportadora
                            left join (SELECT Id,Titulo from cidade_ibge) as cidade_ibge on fornecedor.Id_Cidade = cidade_ibge.Id
                            WHERE
                            nfe_pedido.Id_Nfe='" . $_GET["id_nfe"] . "' ");

$dados_tra = mysqli_fetch_assoc($menu6);

// Transporte
$nfe->transp["ModFrete"] = $dados_tra["Tipo_Frete"];
if ($dados_tra["Natureza"] == "PJ") {
    $nome_trans = SoPalavrasEspeciais($dados_tra["Razao_Social"]);
} else {
    $nome_trans = SoPalavrasEspeciais($dados_tra["Titulo"]);
}
$nfe->transp["XNome"] = $nome_trans;

if ($dados_tra["Natureza"] == "PJ") {
    $nfe->transp["CNPJ"] = palavra_especial($dados_tra["Cpf_Cnpj"]);
} else {
    $nfe->transp["CPF"] = palavra_especial($dados_tra["Cpf_Cnpj"]);
}

$nfe->transp["IE"] = $dados_tra["Estadual"];
if ($dados_tra["Rua"])
    $end_transp = palavra_especial($dados_tra["Rua"] . ", " . $dados_tra["Numero"]);
$nfe->transp["XEnder"] = $end_transp;
$nfe->transp["UF"] = $dados_tra["Estado"];
$nfe->transp["XMun"] = palavra_especial($dados_tra["Cidade"]);

$nfe->transp["Placa"] = palavra_especial(strtoupper($dados_tra["Placa"]));
$nfe->transp["UFp"] = $dados_tra["Uf_Placa"];
//grupo veiculo transporte
//$nfe->transp["RNTC"] = "";//Registro Nacional de Transportador de Carga (ANTT)

$menu10 = mysqli_query($con,"SELECT
                            Qtd_Vol,
                            Especie_Vol,
                            Marca_Vol,
                            Numero_Vol,
                            Peso_Bruto,
                            Peso_Liquido
                            FROM nfe_pedido
                            WHERE
                            nfe_pedido.Id_Nfe='" . $_GET["id_nfe"] . "' ");

$dados_volume = mysqli_fetch_assoc($menu10);

//grupo volume
if ($dados_destinatario_nfe['DV'] == 'Sim') {
    $dados_volume['Qtd_Vol'] = abs($dados_volume['Qtd_Vol']);
}
$nfe->transp["QVol"] = SoPalavrasEspeciais($dados_volume["Qtd_Vol"]);
$nfe->transp["Esp"] = SoPalavrasEspeciais($dados_volume["Especie_Vol"]);
$nfe->transp["Marca"] = SoPalavrasEspeciais($dados_volume["Marca_Vol"]);
$nfe->transp["NVol"] = SoPalavrasEspeciais($dados_volume["Numero_Vol"]);

if (($dados_volume["Peso_Bruto"] == '') || ($dados_volume["Peso_Bruto"] == '0') || ($dados_volume["Peso_Bruto"] == '0.00')) {
    if ($dados_destinatario_nfe['DV'] == 'Sim') {
        $peso_bruto = abs($peso_bruto);
    }
    $nfe->transp["PesoB"] = number_format($peso_bruto, 3, '.', '');
} else {
    if ($dados_destinatario_nfe['DV'] == 'Sim') {
        $dados_volume['Peso_Bruto'] = abs($dados_volume['Peso_Bruto']);
    }
    $nfe->transp["PesoB"] = number_format($dados_volume["Peso_Bruto"], 3, '.', '');
}
if (($dados_volume["Peso_Liquido"] == '') || ($dados_volume["Peso_Liquido"] == '0') || ($dados_volume["Peso_Liquido"] == '0.00')) {
    if ($dados_destinatario_nfe['DV'] == 'Sim') {
        $peso_liquido = abs($peso_liquido);
    }
    $nfe->transp["PesoL"] = number_format($peso_liquido, 3, '.', '');
} else {
    if ($dados_destinatario_nfe['DV'] == 'Sim') {
        $dados_volume['Peso_Liquido'] = abs($dados_volume['Peso_Liquido']);
    }
    $nfe->transp["PesoL"] = number_format($dados_volume["Peso_Liquido"], 3, '.', '');
}


#==== dados da fatura  ====#
$total_financeiro = mysqli_query($con,"SELECT SUM(conta_receber.Valor_Original) as Total_Financeiro
                    FROM conta_receber
                    left join (SELECT Id,Id_Nfe FROM nfe_pedido) as nfe_pedido ON nfe_pedido.Id = conta_receber.Id_Externo
                    WHERE nfe_pedido.Id_Nfe='" . $_GET["id_nfe"] . "' ");
$total_financeiro = mysqli_fetch_assoc($total_financeiro);

$vtNFe = number_format($vtNFe, 2, ".", "");
$total_financeiro['Total_Financeiro'] = number_format($total_financeiro['Total_Financeiro'], 2, ".", "");

//verificando se pode exibir financeiro
$exi_finan = mysqli_query($con," SELECT Exibir_Financeiro FROM nfe WHERE nfe.Id='" . $_GET["id_nfe"] . "' ");
$exi_financeiro = mysqli_fetch_assoc($exi_finan);

if ($exi_financeiro["Exibir_Financeiro"] == 'Sim') {


    $menu8 = mysqli_query($con,"SELECT conta_receber.Id,
                            conta_receber.Valor_Original,
                            conta_receber.Valor_Pago,
                            conta_receber.Data_Vencimento,
                            conta_receber.Parcela,
                            conta_receber.Fatura
                            FROM conta_receber
                            left join (SELECT Id,Id_Nfe FROM nfe_pedido) as nfe_pedido ON nfe_pedido.Id = conta_receber.Id_Externo
                            WHERE nfe_pedido.Id_Nfe='" . $_GET["id_nfe"] . "'
                            ORDER BY Data_Vencimento");

    //se no houver financeiro no entra aqui
    if (mysqli_num_rows($menu8) != 0) {

        $menu7 = mysqli_query($con,"SELECT nfe_pedido.Id,
                            nfe_pedido.Lancamento,
                            nfe_pedido.Valor_Original,
                            nfe_pedido.Valor_Pago,
                            nfe_pedido.Desconto,
                            nfe_pedido.Desconto_Real
                            FROM nfe_pedido
                            WHERE nfe_pedido.Id_Nfe='" . $_GET["id_nfe"] . "'");
        $dados_fat = mysqli_fetch_assoc($menu7);
        // grupo cobranca --
        // dados da fatura
        $nfe->fatura["NFat"] = $dados_nfe["Numero_Nota"];
        $vOrig = number_format($dados_fat["Valor_Original"] + $vtIpi + $vtFCPSTItem + $vtIcmsSub + $vtDespesa + $vtFrete, 2, ".", "");
        
        /*
        if (($dados_fat["Desconto"] != '0.00') && ($dados_fat["Desconto_Real"] != '0.00')) {
            $desc = $dados_fat['Valor_Original'] - (($dados_fat['Valor_Original'] * ($dados_fat['Desconto']) / 100) - $dados_fat['Desconto_Real']);
            $desc = number_format($desc, 2, ".", "");
        } else if ($dados_fat["Desconto"] != '0.00') {
            $desc = $dados_fat['Valor_Original'] - ($dados_fat['Valor_Original'] * (( $dados_fat['Desconto']) / 100));
            $desc = number_format($desc, 2, ".", "");
        } else if ($dados_fat["Desconto_Real"] != '0.00') {
            $desc = $dados_fat['Valor_Original'] - ($dados_fat['Valor_Original'] - $dados_fat["Desconto_Real"]);
            $desc = number_format($desc, 2, ".", "");
        } else {
            $desc = '';
        }
        */
        
        if (($dados_fat["Desconto"]!='0') || ($dados_fat["Desconto_Real"]!='0')) {
            $desc = $vOrig - $dados_fat["Valor_Pago"];
            $desc = number_format($desc, 2, ".", "");
        } else {
            $desc = '0.00';
        }
        
        $vDesc = $desc;
        $vLiq = number_format($vOrig-$desc, 2, ".", "");
        
        if ($dados_destinatario_nfe['DV'] == 'Sim') {
            $vOrig = abs($vOrig);
            $vOrig = number_format($vOrig, 2, ".", "");
            $vDesc = abs($vDesc);
            $vDesc = number_format($vDesc, 2, ".", "");
            $vLiq = abs($vLiq);
            $vLiq = number_format($vLiq, 2, ".", "");
        }
        
        if (($vDesc === '-0.00') || ($vDesc === '0.00')) {
            $vDesc = '0.00';
        }
        
        $nfe->fatura["VOrig"] = $vOrig;
        $nfe->fatura["VDesc"] = $vDesc;
        $nfe->fatura["VLiq"] = $vLiq;

        if ($vtNFe < $total_financeiro['Total_Financeiro']) {
            $nfe->fatura["VOrig"] = $vtNFe;
            $nfe->fatura["VLiq"] = $vtNFe;
        }
        

    }//fim validacao fatura
    
    
    // dados da duplicata(s) (Pagamentos) - segundo
    if ( ($vtNFe < $total_financeiro['Total_Financeiro']) || ($vtNFe > $total_financeiro['Total_Financeiro']) ) {
        $a = 0;
        while ($linha = mysqli_fetch_assoc($menu8)) {
            $nfe->parcela[$a]["NDup"] = '001';
            //$nfe->parcela[$a]["NDup"] = $a+1;
            $nfe->parcela[$a]["DVenc"] = $linha["Data_Vencimento"];
            $nfe->parcela[$a]["VDup"] = number_format($vtNFe,2,".","");
            break;
        }
    }else{
        $a = 0;
        while ($linha = mysqli_fetch_assoc($menu8)) {
            $nfe->parcela[$a]["NDup"] = str_pad( ($a+1), 3,"0", STR_PAD_LEFT);
            //$nfe->parcela[$a]["NDup"] = $a+1;
            $nfe->parcela[$a]["DVenc"] = $linha["Data_Vencimento"];
            $nfe->parcela[$a]["VDup"] = number_format($linha["Valor_Original"],2,".","");

            if ($dados_destinatario_nfe['DV'] == 'Sim') {
                $VDup = abs($nfe->parcela[$a]["VDup"]);
                $nfe->parcela[$a]["VDup"] = number_format($VDup, 2, ".", "");
            }

            $a++;
        }
    }
    
}//fim validao financeiro


#==== procurando o financeiro  ====#
$menu8 = mysqli_query($con,"SELECT SUM(conta_receber.Valor_Original) as Valor_Original,
                    tipo_pagamento.Paf
                    FROM conta_receber
                    left join (SELECT Id,Id_Nfe FROM nfe_pedido) as nfe_pedido ON nfe_pedido.Id = conta_receber.Id_Externo
                    left join (SELECT Id,Paf FROM tipo_pagamento) as tipo_pagamento ON tipo_pagamento.Id = conta_receber.Id_Tipo_Pagamento
                    WHERE nfe_pedido.Id_Nfe='" . $_GET["id_nfe"] . "'
                    GROUP BY tipo_pagamento.Id
                    ORDER BY tipo_pagamento.Paf,Data_Vencimento");

if ($vtNFe < $total_financeiro['Total_Financeiro']) {
    
    //$nfe->fatura["vTroco"] = number_format(0, 2, ".", "");
    $a = 0;
    //pagamento
    $nfe->pagamentos[$a]["tPag"] = '01';
    $nfe->pagamentos[$a]["vPag"] = $vtNFe;
    //$nfe->pagamentos[$a]["CNPJ"] = null;
    //$nfe->pagamentos[$a]["tBand"] = null;
    //$nfe->pagamentos[$a]["cAut"] = null;
    //$nfe->pagamentos[$a]["tpIntegra"] = null;
    $nfe->pagamentos[$a]["indPag"] = '0'; //0= Pagamento  Vista 1= Pagamento  Prazo
}else
if ($dados_destinatario_nfe['DV'] == 'Sim') {
    
    //$nfe->fatura["vTroco"] = number_format(0, 2, ".", "");
    $a = 0;
    //pagamento
    $nfe->pagamentos[$a]["tPag"] = '90';
    $nfe->pagamentos[$a]["vPag"] = '0.00';
    //$nfe->pagamentos[$a]["CNPJ"] = null;
    //$nfe->pagamentos[$a]["tBand"] = null;
    //$nfe->pagamentos[$a]["cAut"] = null;
    //$nfe->pagamentos[$a]["tpIntegra"] = null;
    $nfe->pagamentos[$a]["indPag"] = '0'; //0= Pagamento  Vista 1= Pagamento  Prazo
}else
if ( (mysqli_num_rows($menu8) != 0) && ($exi_financeiro["Exibir_Financeiro"] == 'Sim') ) {

//$nfe->fatura["vTroco"] = number_format(0, 2, ".", "");
    
// dados da duplicata(s) (Pagamentos) - segundo
$a = 0;
while ($linha = mysqli_fetch_assoc($menu8)) {
    //01=Dinheiro
    //02=Cheque
    //03=Carto de Crdito
    //04=Carto de Dbito
    //05=Crdito Loja
    //10=Vale Alimentao
    //11=Vale Refeio
    //12=Vale Presente
    //13=Vale Combustvel
    //15=Boleto Bancrio
    //90=Sem Pagamento
    //99=Outros

    if ($linha["Paf"] == '') {
        $linha["Paf"] = '01';
    }
    if($linha["Paf"]=='01'){
        $indPag = '0';
    }else{
        $indPag = '1';
    }
    
    $nfe->pagamentos[$a]["tPag"] = $linha["Paf"];
    $nfe->pagamentos[$a]["vPag"] = number_format($linha["Valor_Original"], 2, ".", "");

    $CNPJ = ''; //CNPJ da operadora de carto
    $tBand = ''; //01=Visa 02=Mastercard 03=American Express 04=Sorocred 05=Diners Club 06=Elo 07=Hipercard 08=Aura 09=Cabal 99=Outros
    $cAut = ''; //nmero da autorizao da tranzao
    $tpIntegra = ''; //1=Pagamento integrado - TEF,2= Pagamento n?integrado - P.O.S
    if (($linha["Paf"] == '03') || ($linha["Paf"] == '04')) {
        //se a operao for com carto de crdito essa informao  obrigatria
        $CNPJ = ''; //CNPJ da operadora de carto
        $tBand = ''; //01=Visa 02=Mastercard 03=American Express 04=Sorocred 99=Outros
        $cAut = ''; //nmero da autorizao da tranzao
        $tpIntegra = '2'; //1=Pagamento integrado - TEF,2= Pagamento n?integrado - P.O.S
    }
    $nfe->pagamentos[$a]["CNPJ"] = $CNPJ;
    $nfe->pagamentos[$a]["tBand"] = $tBand;
    $nfe->pagamentos[$a]["cAut"] = $cAut;
    $nfe->pagamentos[$a]["tpIntegra"] = $tpIntegra; //incluso na NT 2015/002
    $nfe->pagamentos[$a]["indPag"] = $indPag; //0= Pagamento  Vista 1= Pagamento  Prazo

    $a++;
}

}else{//se no ouver pagamento
    
    //$nfe->fatura["vTroco"] = number_format(0, 2, ".", "");
    $a = 0;
    //pagamento
    $nfe->pagamentos[$a]["tPag"] = '90';
    $nfe->pagamentos[$a]["vPag"] = '0.00';
    //$nfe->pagamentos[$a]["CNPJ"] = null;
    //$nfe->pagamentos[$a]["tBand"] = null;
    //$nfe->pagamentos[$a]["cAut"] = null;
    //$nfe->pagamentos[$a]["tpIntegra"] = null;
    $nfe->pagamentos[$a]["indPag"] = '0'; //0= Pagamento  Vista 1= Pagamento  Prazo
}

#==== fim dados da fatura  ====#

if($frete_nota["Nota_Importacao"]=='Sim') {
    $obsProd='';
}

$vCredito101 = @number_format($vCredito101, 2, ".", "");
if ($vCredito101 > 0) {
    $obs101.= "PERMITE O APROVEITAMENTO DO CREDITO DE ICMS NO VALOR DE R$ " . $vCredito101 . "; CORRESPONDENTE A ALIQUOTA DE " . $aliquotaSimples . "%, NOS TERMOS DO ART. 23 DA LEI COMPLEMENTAR N. 123, DE 2006;";
}
if ($dados_emitente_nfe["CRT"] != '3' && empty($msg_sim) && CLIENTE_EMAIL!='mirandadistribuidora') {
    $obs101.= "DOCUMENTO EMITIDO POR ME OU EPP OPTANTE PELO SIMPLES NACIONAL; NAO GERA DIREITO A CREDITO FISCAL DE IPI.";
}

//$valorAproxTrib = " - Conf art 2 lei 12.741. TOTAL APROXIMADO DE TRIBUTOS FEDERAIS, ESTADUAIS, MUNICIPAIS R$ ".number_format($vtIcms + $vtIpi + $vtPis + $vtCofins,2,',','.')." (".number_format($AliqIbpt,2,',','.')."%)";
$valorAproxTrib = " - VALOR APROXIMADO DE TRIBUTOS R$ " . number_format($novoValorTributo, 2, ',', '.') . " (" . number_format($AliqIbpt, 2, ',', '.') . "%) FONTE:IBPT";

$nfe->infoAdd["InfAdFisco"] = quebra_linha(SoPalavrasEspeciais($dados_nfe["Info_Fisco"]));

$nfe->infoAdd["InfCpl"] = quebra_linha(SoPalavrasEspeciais($frete_nota["Obs"])) . ' ' . quebra_linha(SoPalavrasEspeciais($dados_nfe["Info_Contribuinte"])) .
        $valorAproxTrib .
        quebra_linha(SoPalavrasEspeciais($obsProd)) . $obs101 . $obsIcmsInter;

//$nfe->infoAdd["InfCpl"] = quebra_linha(SoPalavrasEspeciais($frete_nota["Obs"])) . ' ' . quebra_linha(SoPalavrasEspeciais($dados_nfe["Info_Contribuinte"])) .
        //s$valorAproxTrib . $obs101 . $obsIcmsInter;


//exportaao vendas - tpNF = Saida, idDest = 3
if (($dados_nfe["Tipo"] == '1') && ($dados_nfe["Operacao"] == '3')) {
    $nfe->exportacao["UFSaidaPais"] = $frete_nota["UFSaidaPais"];
    $nfe->exportacao["xLocEmbarq"] = $frete_nota["xLocEmbarq"];
    $nfe->exportacao["xLocDespacho"] = $frete_nota["xLocDespacho"];
}


// montando a chave nfe
$cNF2a = str_pad($nfe->cNF, 8, '0', STR_PAD_LEFT);
$nNF2a = str_pad($nfe->nNF, 9, '0', STR_PAD_LEFT);
$serie2a = str_pad($nfe->serie, 3, '0', STR_PAD_LEFT);
$aamma = substr($nfe->dhEmi, 2, 2) . substr($nfe->dhEmi, 5, 2);

//monta chave sem digito
$cheveNFe = $nfe->cUF . $aamma . $nfe->emi["CNPJ"] . $nfe->mod . $serie2a . $nNF2a . $nfe->TpEmis . $cNF2a;

//cancula o digito verificador
$multiplicadores = array(2, 3, 4, 5, 6, 7, 8, 9);
$i = 42;
while ($i >= 0) {
    for ($m = 0; $m < count($multiplicadores) && $i >= 0; $m++) {
        $soma_ponderada += $cheveNFe[$i] * $multiplicadores[$m];
        $i--;
    }
}
$resto = $soma_ponderada % 11;
if ($resto == '0' || $resto == '1') {
    $chaveNF = $cheveNFe . 0;
} else {
    $chaveNF = $cheveNFe . (11 - $resto);
}


//salvando a chave da NFe no sistema
mysqli_query($con,"UPDATE nfe SET Chave = '" . $chaveNF . "' WHERE Id='" . $_GET["id_nfe"] . "' ");

mysqli_query($con,"UPDATE venda SET Chave_Nfe = '" . $chaveNF . "', EF = 'Sim' WHERE Id='" . $dados_nfe["Id_Pedido"] . "' ");
//passando o financeiro do vendas para EF=Sim
$sql_del = mysqli_query($con,"Select Id FROM conta_receber WHERE Id_Externo = '" . $dados_nfe["Id_Pedido"] . "'");
while ($linha = mysqli_fetch_assoc($sql_del)) {
    mysqli_query($con,"UPDATE conta_receber SET EF = 'Sim' WHERE Id = '" . $linha["Id"] . "' ");
    mysqli_query($con,"UPDATE caixa SET EF = 'Sim' WHERE Id_Externo = '" . $linha["Id"] . "' ");
}

mysqli_query($con,"UPDATE compra SET Chave_Nfe = '" . $chaveNF . "', EF = 'Sim' WHERE Id='" . $dados_nfe["Id_Pedido"] . "' ");
//passando o financeiro do vendas para EF=Sim
$sql_del = mysqli_query($con,"Select Id FROM conta_pagar WHERE Id_Externo = '" . $dados_nfe["Id_Pedido"] . "'");
while ($linha = mysqli_fetch_assoc($sql_del)) {
    mysqli_query($con,"UPDATE conta_pagar SET EF = 'Sim' WHERE Id = '" . $linha["Id"] . "' ");
    mysqli_query($con,"UPDATE caixa SET EF = 'Sim' WHERE Id_Externo = '" . $linha["Id"] . "' ");
}


    // retorna na tela ou em uma variável
    $txt = $nfe->montaTXT();
    
    try {
        //$txt = file_get_contents('fixtures/nfe_errado.txt');
        $errors = ValidTXT::isValid($txt);
    } catch (\Exception $e) {
        //tratar exceptions
        echo utf8_decode(str_replace("\n", "<br/>", $e->getMessage()));
    }
    
    try {
        $conv = new Convert();
        $xml = $conv->toXml($txt);
        $resp = $xml[0];
        
        //header('Content-type: text/xml; charset=UTF-8');
        //echo $resp;
    } catch (\Exception $e) {
        //tratar exceptions
        echo utf8_decode(str_replace("\n", "<br/>", $e->getMessage()));
    }
    
    
    try {
    $danfe = new Danfe($resp, 'P', 'A4', '', 'I', '');
    $id = $danfe->montaDANFE();
    $pdf = $danfe->render();
    
    header('Content-Type: application/pdf');
    echo $pdf;//o pdf porde ser exibido como view no browser
    
    } catch (InvalidArgumentException $e) {
        echo "Ocorreu um erro durante o processamento :" . $e->getMessage();
    }
?>