<?php
include_once '../include/conecta.php'; //Conecta com a nosso banco de dados MySQL
include_once '../include/ver_sessao.php'; //Verifica se a sesso est ativa
include_once '../include/funcoesPhp.php';
include_once '../menu_movimento.php';
//Inclue a pgina con todas as funes a ser usada.

if (CLIENTE_EMAIL != 'ersind') {
    define('NFE_ALTERAR', 'Sim');
    define('NFE_REMOVER', 'Sim');
    define('NFE_INSERIR', 'Sim');
}

/*BUSCA REALIZADA PARA MONTAR A TABELA DE CONSULTA DOS ITENS SO ATIVA QUANDO O BUTAO FOR CHAMADO*/
$sql_venda = mysqli_query($con, "SELECT DISTINCT nfe_pedido_produto.Id,
                                        nfe_pedido_produto.Id_Produto,
                                        nfe_pedido_produto.Preco,
                                        nfe_pedido_produto.Qtd,
                                        nfe_pedido_produto.Desconto,
                                        nfe_pedido_produto.Desconto_Real,
                                        nfe_pedido_produto.Icms,
                                        nfe_pedido_produto.Ipi,
                                        nfe_pedido_produto.ST_Icms,
                                        nfe_pedido_produto.Desconto_Real_Pe_Nota,
                                        nfe_pedido_produto.C_Produto,
                                        nfe_pedido_produto.Ibpt,
                                        nfe_pedido_produto.Cest,
                                        cfop.Titulo as Cfop,
                                        cfop.Cfop as Codigo_Cfop,
                                        produto.Titulo as 'Produto',
                                        produto.Codigo,
                                        produto.Descricao,
                                        produto.Ncm,
                                        produto.Gtin,
                                        produto.Regime_ST
                                        FROM nfe_pedido_produto
                                        left join (SELECT Id,Titulo,Descricao,Regime_ST,Codigo,Ncm,Gtin FROM produto) as produto ON produto.Id = nfe_pedido_produto.Id_Produto
                                        left join (SELECT Id,Titulo,Cfop FROM cfop) as cfop ON cfop.Id = nfe_pedido_produto.Id_Cfop
                                        WHERE nfe_pedido_produto.Id_Nfe='" . $_POST["Codigo_Nfe"] . "'
                                        ORDER BY nfe_pedido_produto.Data_Cadastro ")
    or die("ERRO no comando SQL:" . mysqli_error($con));

ob_start();
?>
<?php
$color = "#F5F5F5";
$x = 0;
while ($linha = mysqli_fetch_assoc($sql_venda)) {
    if ($color == "#F5F5F5") {
        $color = "#E8E8E8";
    } else {
        $color = "#F5F5F5";
    }

?>

    <?php if ($x == 0) { ?>
        <table width="100%" align="center" border="0" cellpadding="2" cellspacing="2">
            <tr>
                <td class="table_prod_nome">Cod</td>
                <td class="table_prod_nome">Item</td>
                <td class="table_prod_nome">Valor Unit</td>
                <td class="table_prod_nome">Qtd</td>
                <td class="table_prod_nome">Desc %</td>
                <td class="table_prod_nome">Desc</td>
                <td class="table_prod_nome">Icms</td>
                <td class="table_prod_nome">ST Icms</td>
                <td class="table_prod_nome">Ipi</td>
                <td class="table_prod_nome">Cfop</td>
                <td class="table_prod_nome">NCM</td>
                <td class="table_prod_nome">CEST</td>
                <td class="table_prod_nome">Gtin</td>
                <td class="table_prod_nome">Valor Total</td>
                <?php if (CLIENTE_EMAIL == 'gw' || CLIENTE_EMAIL == 'metallagos' || CLIENTE_EMAIL == 'aj' || CLIENTE_EMAIL == 'spectracolor') { ?>
                    <td class="table_prod_nome">Inf Compl</td>
                <?php } ?>
                <td class="table_prod_nome">Alterar</td>
                <td class="table_prod_nome">Remover</td>
                <?php if ($_SESSION["Id"] == '11111111111111111111111111111111') { ?>
                    <td class="table_prod_nome">Ibpt</td>
                    <td class="table_prod_nome">Desc</td>
                    <td class="table_prod_nome">Prod</td>
                <?php } ?>
            </tr>
        <?php } ?>


        <tr bgcolor=<?php echo "$color"; ?>>
            <td class="table_prod_valor"><?php echo $linha["Codigo$Id_Cor"]; ?></td>
            <td class="table_prod_valor" title="<?php echo $linha["Descricao$Id_Cor"]; ?>">
                <?php echo $linha['Produto']; ?>
            </td>
            <td class="table_prod_valor"><?php echo valor_exibir($linha['Preco']); ?></td>
            <td class="table_prod_valor"><?php echo $linha['Qtd']; ?></td>
            <td class="table_prod_valor"><?php echo valor_exibir($linha['Desconto']); ?></td>
            <td class="table_prod_valor"><?php echo valor_exibir($linha['Desconto_Real']); ?></td>
            <td class="table_prod_valor"><?php echo valor_exibir($linha['Icms']); ?></td>
            <td class="table_prod_valor"><?php echo $linha['ST_Icms']; ?></td>
            <td class="table_prod_valor"><?php echo valor_exibir($linha['Ipi']); ?></td>
            <td class="table_prod_valor"><?php echo $linha['Codigo_Cfop'] . '-' . substr($linha['Cfop'], 0, 30); ?></td>
            <td class="table_prod_valor"><?php echo $linha['Ncm']; ?></td>
            <td class="table_prod_valor"><?php echo $linha['Cest']; ?></td>
            <td class="table_prod_valor"><?php echo $linha['Gtin']; ?></td>
            <td class="table_prod_valor"><?php echo valor_exibir((($linha['Qtd'] * $linha['Preco']) - (($linha['Qtd'] * $linha['Preco']) * ($linha['Desconto'] / 100))) - $linha['Desconto_Real']); ?></td>
            <?php if (CLIENTE_EMAIL == 'gw' || CLIENTE_EMAIL == 'metallagos' || CLIENTE_EMAIL=='aj' || CLIENTE_EMAIL == 'spectracolor') { ?>
                <td class="table_prod_valor"><img src="../imagem/ver.png" alt="Inf. Complementar" onclick="window.open('tabela_informacao_complementar.php?id_linha=<?php echo $linha['Id']; ?>','Alterar','width=600,height=550,top=0,left=0,scrollbars=yes')"></td>
            <?php } ?>
            <?php if ($_POST["Opcao_Ver"] != 'ver') { ?>
                <td class="table_prod_valor">
                    <?php if (NFE_ALTERAR == 'Sim') { ?>
                        <input class="botao_novo" type="button" value="Alterar" onclick="window.open('tabela_alterar.php?id_linha=<?php echo $linha['Id']; ?>','Alterar','width=900,height=700,top=0,left=0,scrollbars=yes')">
                    <?php } ?>
                </td>
                <td class="table_prod_valor">
                    <?php if (NFE_REMOVER == 'Sim') { ?>
                        <input class="botao_novo" type="button" value="Remover" onclick="ApagarLinha('<?php echo $linha['Id']; ?>');">
                    <?php } ?>
                </td>
            <?php } ?>
            <?php if ($_SESSION["Id"] == '11111111111111111111111111111111') { ?>
                <td class="table_prod_valor"><?php echo $linha['Ibpt']; ?></td>
                <td class="table_prod_valor"><?php echo $linha['Desconto_Real_Pe_Nota']; ?></td>
                <td class="table_prod_valor"><?php echo $linha['C_Produto']; ?></td>
            <?php } ?>
        </tr>
        <tr>
            <td height="2"></td>
        </tr>

    <?php
    $Valor_Total += valor_banco(valor_exibir((($linha['Qtd'] * $linha['Preco']) - (($linha['Qtd'] * $linha['Preco']) * ($linha['Desconto'] / 100))) - $linha['Desconto_Real']));

    $x++;
} ?>

        </table>
        <table width="100%">
            <tr>
                <td colspan="3"></td>
                <td width="30%" colspan="3" align="center">
                    <font face="verdana" size="2">Total Nota:
                        <input type="text" name="Total_Venda" id="Total_Venda" readonly="readonly" value="<?php echo  valor_exibir($Valor_Total); ?>" size="10">
                    </font>
                </td>
            </tr>
            <input type="hidden" name="Voltas" value="<?php echo $x++ ?>">
        </table>
        <?php
        $pagina = ob_get_contents();
        ob_end_clean();
        echo utf8_encode($pagina);
        ?>