<?php
include_once '../include/conecta.php'; //Conecta com a nosso banco de dados MySQL
ini_set('session.gc_maxlifetime', 60*120); session_start();
/*include_once '../include/ver_sessao.php'; //Verifica se a sesso est ativa*/
include_once '../include/funcoesPhp.php'; include_once '../menu_movimento.php';

 $cliente = listar("Select cliente.Titulo,
                        cliente.Natureza,
                        cliente.Cpf_Cnpj,
                        cliente.Rua,
                        cliente.Numero,
                        cliente.Bairro,
                        cliente.Cidade,
                        cliente.Estado,
                        cliente.Cep,
                        os.Data_Os
                        from os
                        left join (SELECT Id,Titulo,Natureza,Cpf_Cnpj,Rua,Numero,Bairro,Cidade,Estado,Cep FROM cliente) as cliente on cliente.Id = os.Id_Cliente
 			WHERE os.Id = '".$_GET["id_os"]."' ");
?>
<html>
<head>
<title>Gw - Gesto Web</title>
<script type="text/javascript" language="javascript" src="../js/jquery.js"></script>
<?php include '../include/script_cabeca.php'; ?>
<script type="text/javascript" language="javascript" src="../js/script.js"></script>
<script type="text/javascript" language="javascript">
$(document).ready(function () {
function slideout() {
   setTimeout(function () {
    $("#response").slideUp("slow", function () {});
   },
   2000);
}
$(".inlineEdit").bind("click", updateText);
var OrigText, NewText;
$(".save").live("click", function () {
  $("#loading").fadeIn('slow');
  NewText = $(this).siblings("form").children(".edit").val();
   var id = $(this).parent().attr("id");
   //var data = '?id=' + id + '&text=' + NewText;
   var data = 'id=' + id + '&text=' + NewText;
  $.post("edit.php", data, function (response) {
     $("#retorno").html(response);
     $("#response").slideDown('slow');
     slideout();
     $("#loading").fadeOut('slow');
  });
  $(this).parent().html(NewText).removeClass("selected").bind("click", updateText);
  recarregar();
});
$(".revert").live("click", function () {
  $(this).parent().html(OrigText).removeClass("selected").bind("click", updateText);
});
function updateText() {
  $('li').removeClass("inlineEdit");
  OrigText = $(this).html();
  $(this).addClass("selected").html('<form><textarea class="edit" rows="3" cols="64">' + OrigText + '</textarea></form><a href="#" class="save"><img src="../js/editing/images/save.png" border="0" width="48" height="15"/></a> <a href="#" class="revert"><img src="../js/editing/images/cancel.png" border="0" width="58" height="15"/></a>').unbind('click', updateText);
}
function recarregar() {
  setTimeout(function() {
        location.reload();
      }, 1000);
}

});
</script>
<script type="text/javascript" language="javascript">
  //window.onload = function(){
    //window.print();
  //}
</script>
<style type="text/css" media="print">

thead	{display: table-header-group;	}
tfoot	{display: table-footer-group;	}
thead th, thead td	{position: static; }

thead tr	{position: static; } /*prevent problem if print after scrolling table*/
table tfoot tr {     position: static;    }


</style>
</head>
<body>
<table width="98%" align="center"><!-- TABELA Q ENVOLVE TODO O CONTEUDO -->
    <tr>
        <td>
            <table width="100%">
                <tr>
                    <td align="justify">
                        <span style="font-size: 14px">
                    <b>
                        <center>
                            <font size="4">
                            CONTRATO PARTICULAR DE LOCAO DE EQUIPAMENTOS E PRESTAO DE SERVIOS DE COLETA, 
                            TRANSPORTE, GERENCIAMENTO E DESTINAO FINAL DE RESDUOS CLASSE I, CLASSE II A E 
                            CLASSE II B SLIDOS E LQUIDOS.
                            </font>
                        </center>
                    </b><br/>
                    </td>
                </tr>
                <tr>
                    <td align="justify">
                        <center>
                            <table>
                                <tr>
                                    <td width="40%"></td>
                                    <td width="60%" align="justify">
                                        Pelo presente instrumento particular de um lado, <b><?php echo $cliente[0]["Titulo"];?></b>, e do outro lado, 
                                        <b>CICLO VITAL RECICLAGEM EMPREENDIMENTOS E SOLUES AMBIENTAIS</b> resolvem, na melhor forma de direito, firmar o Contrato de prestao de servio, 
                                        o que fazem mediante as clusulas e condies seguintes.
                                    </td>
                                </tr>
                            </table>
                        </center>
                    </td>
                </tr>
                <tr>
                    <td align="justify">
                    <b><u>CLUSULA I - PARTES:</u></b><br/>
                    <b>1.1 - CONTRATANTES</b><br/>
                    <b><?php echo $cliente[0]["Titulo"];?></b>, inscrita no CNPJ/MF sob o n 
                    <?php
                        if($cliente[0]["Natureza"]=="PF"){
                           echo cpf_exibir($cliente[0]['Cpf_Cnpj']);
                        }else{
                           echo cnpj_exibir($cliente[0]['Cpf_Cnpj']);
                        }
                    ?>, com sede no endereo <?php echo $cliente[0]["Rua"].", ".$cliente[0]["Numero"].", ".$cliente[0]["Bairro"]." - ".$cliente[0]["Cidade"]." - ".$cliente[0]["Estado"];?>, CEP <?php echo $cliente[0]["Cep"]?>
                    <br/><br/>
                    <b>1.2 - CONTRATADA</b><br/>
                    <b>UNIVERSO EMPRENDIMENTOS LTDA</b>, pessoa jurdica de direito privado, devidamente inscrita no CNPJ/MF 
                    sob o n 03.446.513/0001-19, com sede  Rua Baro de So Borja. n 493. Jardim Fragoso, 
                    CEP: 53130-000, Olinda/PE, com autorizao de funcionamento expedida pela ANVISA - 
                    Agncia Nacional de Vigilncia Sanitria, habilitando-a  "Prestao de servios de segregao, 
                    coleta, acondicionamento, armazenamento, transporte, tratamento e disposio final de resduos 
                    resultantes de veculos terrestres em trnsito por postos de fronteira, aeronaves, embarcaes, 
                    terminais aquavirios, portos organizados, aeroportos, postos de fronteiras e recintos alfandegados"; 
                    neste ato, representada na forma de seu Contrato Social, adiante abreviadamente chamada de <b>CONTRATADA</b>, 
                    independentemente se uma ou mais de uma pessoa; 
                    <br/><br/>
                    <b><u>CLUSULA II - FUNDAMENTOS:</u></b><br/>
                    <b>2.1</b> Considerando que a <b>CONTRATADA</b> se compromete em cumprir todas as clusulas 
                    contratuais descritas neste contrato, resolvem <b>CONTRATANTES</b> e <b>CONTRATADA</b>, 
                    de comum acordo, celebrar o presente instrumento particular de locao de equipamentos, 
                    prestao de servios de gerenciamento de resduos, coleta, transporte de resduos e 
                    destinao final,dos resduos CLASSE I, CLASSE II A e CLASSE II B - RECICLAVEIS, NO RECICLVEIS, 
                    que se reger pelas clusulas e condies seguintes:
                    <br/><br/>
                    <b><u>CLUSULA III - DO OBJETO:</u></b><br/>
                    <b>3.1</b> O objeto do presente Contrato consiste na prestao  pela <b>CONTRATADA</b> s <b>CONTRATANTES</b>, 
                    dos servios no que diz respeito  Gerenciamento de Resduos, coleta e destinao final 
                    dos RESDUOS CLASSE 1, CLASSE II A e CLASSE II RECICLAVEIS - NO RECICLVEIS (LIXO COMUM), 
                    de forma ambientalmente correta, prevista nas NBRs (normas brasileira regulamentares) .
                    <br/>
                    <b>3.2</b> Destacando que a empresa ora Contratada est habilitada a gerenciar resduos classe I, 
                    classe II A e classe II B - reciclveis - No reciclveis (lixo comum), 
                    e conta com caminhes e equipamentos prprios ou sublocados a parceiros 
                    (NATUREZA VIVA SOLUES AMBIENTAIS, AJC REMOES, LIMPEPE, LUBECLEAN), 
                    sobre responsabilidade da <b>CONTRATADA</b> possuindo as licenas ambientais e 
                    de funcionamento exigidas pelos diversos rgos.
                    <br/>
                    <b>3.2.1</b> Escopo de Servio:
                    <br/>
                    &bull; Cumprir e fazer cumprir a legislao de segurana, sade, higiene, medicina do 
                    trabalho e meio ambiente; <br/>
                    &bull; Cumprir e fazer cumprir as normas e procedimentos internos das <b>CONTRATANTES</b>; <br/>
                    &bull; Preservar e manter as <b>CONTRATANTES</b> isentas de quaisquer reivindicaes, queixas ou aes 
                    de qualquer natureza pertinentes aos servios contratados: <br/>
                    &bull; Responsabilizar-se pelos efeitos de eventuais inobservncias a dispositivos contratuais;<br/>
                    &bull; Fazer a remoo dos resduos classe I, classe II A e classe II B - reciclveis - 
                    no reciclveis (lixo comum), obedecidas s leis ambientais e procedimentos estabelecidos.
                    <br/><br/>
                    <b><u>CLUSULA IV - DO PAGAMENTO E DOS PREOS:</u></b><br/>
                    <b>4.1</b> Os valores para a locao de equipamentos e para a prestao dos servios de coleta, 
                    transporte Gerenciamento e destinao final de resduos classe I, classe II - Reciclveis, 
                    classe II - No Reciclveis (lixo comum), sero os seguintes:
                    <br/><br/>
                    
                    
                        <table width="100%" align="center" cellpadding="2" cellspacing="2">
			<tr>
                            <td class="table_prod_nome" style="border: solid 1px #ccc" width="20%" align="center">Atividades</td>
                            <td class="table_prod_nome" style="border: solid 1px #ccc" width="60%" align="center">Descrio</td>
                            <td class="table_prod_nome" style="border: solid 1px #ccc" width="20%" align="center">Valor Mensal</td>
                        </tr>
			<?php
                        
        $sql_comodato = mysqli_query($con,"SELECT os_produto.Id,
                                    produto.Titulo as Servico,
                                    produto.Descricao,
                                    categoria_produto.Titulo as Categoria,
                                    os_produto.Preco,
                                    os_produto.Qtd,
                                    os_produto.Desconto,
                                    os_produto.Desconto_Real,
                                    os_produto.C_Descricao
                                    FROM os_produto
                                    left join (SELECT Id,Titulo,Descricao,Id_Categoria_Produto FROM produto) as produto ON produto.Id = os_produto.Id_Produto
                                    left join (SELECT Id,Titulo FROM categoria_produto) as categoria_produto ON categoria_produto.Id = produto.Id_Categoria_Produto
                                    WHERE os_produto.Id_Os='".$_GET["id_os"]."'
                                    ORDER BY Categoria,os_produto.Data_Cadastro ");
                        
                        ?>

			<?php
                            $x=0;
                            while($linha = mysqli_fetch_assoc($sql_comodato)){
                                
                            $v = valor_exibir((($linha['Qtd']*$linha['Preco'])-( ($linha['Qtd']*$linha['Preco'])*($linha['Desconto']/100) ) ) -$linha['Desconto_Real']);
                            
                            $Valor_Total+= (($linha['Qtd']*$linha['Preco'])-( ($linha['Qtd']*$linha['Preco'])*($linha['Desconto']/100) ) ) -$linha['Desconto_Real'];
			
                        ?>

                        <tr>
                            <td style="border: solid 1px #ccc" align="center"><?php echo $linha['Categoria'];?></td>
                            <td style="border: solid 1px #ccc" align="center" 
                                class="inlineEdit" id="P<?php echo $linha["Id"]."-C_Descricao";?>" style="cursor: pointer;" 
                                alt="Clique para Editar !" title="Clique para Editar !"
                            >
                                <?php
                                if($linha['C_Descricao']=='')
                                    echo $linha['Descricao'];
                                else
                                    echo $linha['C_Descricao'];
                                ?>
                            </td>
                            <td style="border: solid 1px #ccc" align="center">
                                <?php echo $v;?>
                            </td>
                        </tr>
			
			<?php $x++; }?>
                        <tr>
                            <td class="table_prod_valor" style="border: solid 1px #ccc" colspan="2" align="center">Valor Total Mensal</td>
                            <td class="table_prod_valor" style="border: solid 1px #ccc" align="center"><?php echo valor_exibir($Valor_Total);?></td>
                        </tr>
                        </table>
                    
                    
                    <br/>
                    (*) Caso haja reajuste no tratamento por parte do receptor final, ser comunicado para a Contratante para nova negociao.
                    <br/>
                    <b>4.2</b> Os valores mencionados na Clusula 4.1, podero ser reajustados 
                    atravs de negociao entre as partes aps o termino da vigncia deste instrumento, 
                    salvo os servios de tratamento de resduos que so sazonais, podendo sofrer alteraes 
                    de mercado durante a vigncia do referido contrato.
                    <br/>
                    <b>4.3</b> Os pagamentos referentes aos servios prestados devero ser feitos mensalmente, 
                    mediante fechamento de medio e apresentao do boleto bancrio e nota fiscal de prestao de 
                    servios, com prazo de vencimento para 10 (dez) dias corridos da data de entrega pela <b>CONTRATADA</b>.
                    <br/>
                    <b>4.4</b> Ultrapassado o prazo estabelecido, incidir sobre a importncia devida, 
                    multa moratria de 2% (dois por cento), juros  razo de 1% (um por cento) ao ms. 
                    Na hiptese de procedimento judicial, os honorrios advocatcios ficam desde j 
                    arbitrados em 10% (dez por cento) sobre o total do dbito.
                    <br/><br/>
                    <b><u>CLUSULA V - DA RETIRADA DOS MATERIAIS:</u></b><br/>
                    <b>5.1</b> A <b>CONTRATADA</b> dever retirar regularmente os materiais disponibilizados, 
                    sempre que as <b>CONTRATANTES</b> solicitarem, com o prazo mnimo de 48 (quarenta e oito) 
                    horas de antecedncia, sem deixar que os mesmos se acumulem aps solicitao de 
                    coleta ou programao fixa, a qual far-se- atravs de comunicao eletrnica ou ligao telefnica.
                    <br/>
                    <b>5.2</b> O transporte necessrio para a efetivao da coleta e entrega do resduo e de todos os 
                    materiais envolvidos na prestao de servios objeto deste instrumento, ser de responsabilidade da 
                    <b>CONTRATADA</b>. A <b>CONTRATADA</b> dever efetuar o transporte em caminhes apropriados e devidamente 
                    licenciados para o trnsito de resduos, bem como conduzidos por profissionais capacitados para 
                    conduo de resduos perigosos ou no perigosos. 
                    <br/>
                    <b>5.2.1</b> A <b>CONTRATADA</b> ser corresponsvel por danos que causar  via pblica, 
                    s propriedades vizinhas e ao meio ambiente, ocorridos eventualmente em funo 
                    de mau acondicionamento, vazamentos, derramamento dos resduos e acidentes de trnsito. 
                    <br/>
                    <b>5.3</b> Em caso de eventual atraso no servio de transporte, a <b>CONTRATADA</b> ter um prazo de 48 
                    (quarenta e oito) horas para solucion-lo, a contar da primeira comunicao realizada pelas <b>CONTRATANTES</b>.
                    <br/>
                    <b>5.4</b> A <b>CONTRATADA</b> se compromete a comprar todos os RESDUOS CLASSE II - RECICLVEIS, 
                    desde que acondicionados separadamente, conforme tabela abaixo: 
                    <br/>
                    COMPRA DOS RESDUOS:
                    <br/>
                    
                    TABELA
                    
                    <br/><br/>
                    <b><u>CLUSULA VI - DAS OBRIGAES DAS CONTRATANTES:</u></b><br/>
                    <b>6.1</b> As <b>CONTRATANTES</b> se comprometem a permitir o acesso da <b>CONTRATADA</b> em suas dependncias, 
                    para retirada dos materiais disponveis, dentro dos horrios e dias pactuados, cujo carregamento 
                    somente poder ser feito com acompanhamento e conferncia de pessoa designada pela <b>CONTRATADA</b>. 
                    <br/>
                    <b>6.2</b> Pagamento do preo indicado na "Clusula IV" e na forma ali estabelecida  <b>CONTRATADA</b>. 
                    <br/>
                    <b>6.3</b> Fornecer instalaes e condies para a execuo dos servios, presentes na "Clausula II".
                    <br/>
                    <b>6.4</b> Ficar na responsabilidade das <b>CONTRATANTES</b>, a fiscalizao para liberao dos servios contratados.
                    <br/>
                    <b>6.5</b> No caso de as <b>CONTRATANTES</b> recusarem-se a corrigir prontamente os defeitos, 
                    omisses ou falhas na entrega dos materiais descritos na Clusula IV, 
                    a <b>CONTRATADA</b> proceder  correo dos mesmos, respondendo as <b>CONTRATANTES</b> 
                    pelos custos que dai advenha, alm das multas e outras sanes decorrentes do inadimplemento contratual.
                    <br/>
                    <b>6.6</b> Responsabilizar-se por quaisquer indenizaes em decorrncia de danos ou prejuzos 
                    causados  <b>CONTRATADA</b> ou a terceiros, por ao ou omisso sua, de seus funcionrios, 
                    de seus prepostos, de suas subcontratadas e de funcionrios elou prepostos destas, 
                    bem como pela inobservncia ou infrao de disposies legais, regulamentos ou posturas vigentes.
                    <br/><br/>
                    <b><u>CLUSULA VII - DAS OBRIGAES DA CONTRATADA:</u></b><br/>
                    <b>7.1</b> A <b>CONTRATADA</b> ser o nico e exclusivo responsvel pela integridade das operaes 
                    concernentes ao objeto do presente contrato, bem como sobre os itens especficos, abaixo discriminados:
                    <br/>
                    a) Pela violao, por Si, seus empregados ou prepostos, das leis, regulamentos ou posturas 
                    aplicveis aos servios;<br/>
                    b) Pelo cumprimento de todas as obrigaes fiscais, inclusive, o pagamento, 
                    na poca devida, de eventuais tributos incidentes sobre o presente contrato, 
                    que sejam de sua responsabilidade por lei;<br/>
                    c) Pelo atendimento de todas as obrigaes sociais e trabalhistas derivadas do contrato 
                    de trabalho de seu pessoal utilizado no cumprimento deste contrato;<br/>
                    d) Pela preservao do meio ambiente em suas instalaes e fases de cumprimento do 
                    presente instrumento, atendendo todas as exigncias legais e aquelas necessrias para 
                    a certificao de qualidade para as <b>CONTRATANTES</b>, no que tange aos servios prestados pela <b>CONTRATADA</b>;<br/>
                    e) Pelo fornecimento de todo o ferramental, materiais consumveis e equipamentos necessrios - inclusive,
                    - Equipamentos de Segurana individual -  execuo dos servios contratados, sempre, obrigatoriamente, 
                    observando todas as normas tcnicas e de segurana do trabalho, tudo, mediante prvia comprovao 
                    documentai junto  <b>CONTRATANTE</b>, sob pena de no se iniciarem os trabalhos objeto deste instrumento 
                    contratual;<br/>
                    f) Por adotar e submeter s <b>CONTRATANTES</b> um esquema de identificao, atravs de crachs e uniformes, 
                    para todos os seus funcionrios;<br/>
                    g) Pela providncia da retirada e/ou substituio de qualquer empregado seu, sempre quando solicitada 
                    pelas <b>CONTRATANTES</b>, cuja conduta venha infringir as normas internas da retro-referida 
                    acerca das quais declara de antemo conhecer;<br/>
                    h) Responder, bem como, assim comprovar satisfatoriamente, pelo recolhimento de todos 
                    os tributos, sejam eles impostos, taxas, contribuies sociais, emolumentos municipais, 
                    estaduais e federais, etc., que se refiram direta e indiretamente aos trabalhos a serem 
                    executados Pelos tais, a <b>CONTRATADA</b>, alm de ter que demonstrar, quando do incio dos 
                    trabalhos contratados. a inteira e eficaz regularidade junto aos "rgos" e demais 
                    "reparties pblicas' destinatrias de tais encargos, periodicamente, 
                    dever apresent-los perante as <b>CONTRATANTES</b>, sob pena, de no se 
                    iniciarem os trabalhos contratados e/ou no serem procedidos os pagamentos 
                    eventualmente devidos. isto tudo, sem prejuzos d'outras sanes contratuais e legais aplicveis.<br/>
                    i) Manter e preservar as <b>CONTRATANTES</b> livres e a salvo de quaisquer demandas, queixas, reivindicaes, 
                    representaes, aes, reclamaes, sejam de natureza trabalhista 
                    (inclusive em funo do Enunciado 331 do TST e art. 455 da CLT), tributrias, cveis, 
                    comerciais ou outras, propostas por seus empregados, ex-empregados, prepostos e/ou fornecedores.<br/>
                    <br/>
                    <b>7.2</b> Comunicar prontamente s <b>CONTRATANTES</b> qualquer fato ou ato que possa vir a ocorrer 
                    que atrase na execuo dos servios, incluindo, os provocados por terceiros e os 
                    decorrentes de caso fortuito e fora maior.
                    <br/>
                    <b>7.3</b> A <b>CONTRATADA</b> obriga-se, ao trmino da vigncia de suas licenas ambientais a 
                    atualiz-las imediatamente, sob pena de cancelamento da presente relao. 
                    <br/>
                    <b>7.4</b> Responsabilizar-se por quaisquer indenizaes em decorrncia de danos 
                    ou prejuzos causados s <b>CONTRATANTES</b> ou a terceiros, por ao ou omisso sua, 
                    de seus funcionrios, de seus prepostos, de suas subcontratadas e de funcionrios 
                    e/ou prepostos destas, bem como pela inobservncia ou infrao de disposies legais, 
                    regulamentos ou posturas vigentes. 
                    <br/><br/>
                    <b><u>CLUSULA VII - DO SIGILO:</u></b><br/>
                    <b>8.1</b> As partes, por seus scios, empregados e/ou prepostos, obrigam-se a guardar absoluto 
                    sigilo sobre informaes e negcios, que venham a ser de seu conhecimento em virtude da relao 
                    contratual ora pactuada, responsabilizando-se, mutuamente, pelas perdas e danos que a 
                    violao dessa obrigao vier a causar.
                    <br/><br/>
                    <b><u>CLUSULA IX - DO PRAZO:</u></b><br/>
                    <b>9.1</b> O presente contrato ter o prazo de durao de 12 (doze) meses, 
                    contado a partir da data da assinatura do presente instrumento, prorrogvel por 
                    igual perodo desde que haja interesse das partes e mediante assinatura de termo aditivo.
                    <br/>
                    <b>9.2</b> O presente Contrato entrar em vigor na data de sua assinatura e viger at a 
                    consecuo integral do seu objeto, nos termos da Clusula III.
                    <br/><br/>
                    <b><u>CLUSULA X - DA RESCISO:</u></b><br/>
                    <b>10.1</b> Alm das hipteses previstas na clusula anterior, as <b>CONTRATANTES</b> e a <b>CONTRATADA</b>, 
                    podero considerar rescindo este instrumento particular de contrato de prestao de servios, 
                    pelas seguintes ocorrncias:
                    <br/>
                    a) Inobservncia a qualquer uma das clusulas 4.1, 4.2, 4.3, 6.1, 6.2, III, V e VIII (OITAVA);<br/>
                    b) Trmino, sem renovao do contrato firmado entre a <b>CONTRATADA</b> e <b>CONTRATANTES</b>;<br/>
                    c) No caso de resciso em virtude de inadimplemento contratual de ambas as partes, ser imposta 
                     parte infratora multa rescisria correspondente a 20% (vinte por cento), 
                    incidente sobre o valor contratual dos meses restantes  resciso, sem prejuzo de 
                    indenizao por eventuais perdas e danos.<br/>
                    <br/>
                    <b>10.2</b> Rescindido ou terminado o presente Contrato, as partes tomaro todas as 
                    providncias cabveis para extino do vinculo contratual, restando autorizada qualquer 
                    compensao de valores certos, lquidos e exigveis na ocasio.
                    <br/>
                    <b>10.3</b> A obrigao de sigilo prevista na Clusula VIII acima discriminada 
                    subsistir ao trmino ou resciso contratual, pelo prazo de 10 (dez) anos.
                    <br/>
                    <b>10.4</b> A decretao de falncia ou recuperao judicial ou extrajudicial das partes.
                    <br/><br/>
                    <b><u>CLUSULA XI - DISPOSIES GERAIS:</u></b><br/>
                    <b>11.1</b> O presente Contrato obriga as partes e seus sucessores a qualquer titulo. 
                    <br/>
                    <b>11.2</b> As alteraes ao presente Contrato de Prestao de Servios somente 
                    sero vlidas se celebradas por escrito e assinadas pelos representantes legais 
                    ou procuradores de ambas as partes.
                    <br/>
                    <b>11.3</b> As Partes reconhecem que, salvo nas hipteses disciplinadas de forma diversa 
                    neste instrumento: (i) o no exerccio ou o atraso no exerccio, por qualquer das Partes, 
                    de direito que lhe seja assegurado por este Contrato ou por lei, no constituir novao 
                    ou renncia a tal direito, nem prejudicar seu eventual exerccio; e (ii) a renncia , 
                    por qualquer das Partes, a esses direitos somente ser vlida se formalizada por escrito.
                    <br/>
                    <b>11.4</b> Se qualquer clusula ou condio deste instrumento vier a ser considerada 
                    ilegal invlida ou inexequvel nos termos da legislao brasileira, as demais clusulas e 
                    condies continuaro em pleno vigor e efeito, Caso a aludida ilegalidade, invalidade 
                    ou inexequibilidade, seja de natureza temporria, o dispositivo atingido ter seus efeitos 
                    suspensos at o momento em que cessar o conflito com a legislao brasileira, Se a ilegalidade, 
                    invalidade ou inexequibilidade for de natureza definitiva, as Partes obrigam-se a, de comum acordo, 
                    substituir a clusula ou condio por outra de efeitos equivalentes.
                    <br/>
                    <b>11.5</b> Cada parte arcar com os tributos, encargos e contribuies que incidam ou 
                    venham a incidir sobre o objeto deste Contrato, desde que seja designado legalmente corno contribuinte.
                    <br/>
                    <b>11.6</b> Todas as notificaes, avisos ou comunicaes relativos ao presente 
                    Contrato sero enviados por escrito, mediante carta protocolada ou com aviso de recebimento, 
                    fac-smile ou correspondncia eletrnica com comprovao de recebimento, 
                    ou ainda por via notaria| ou notificao judicial, aos endereos constantes do prembulo deste Contrato, 
                    ou para qualquer endereo que venha ser comunicado por escrito por qualquer uma das Partes  outra.
                    <br/>
                    <b>11.7</b> A <b>CONTRATADA</b> poder, no todo ou em parte, ceder a terceiros quaisquer obrigaes oriundas deste contrato, 
                    sem a prvia e expressa autorizao por escrito das <b>CONTRATANTES</b> quando estes terceiros forem queles 
                    parceiros descritos na Clusula 3.2 Caso contrrio, a <b>CONTRATADA</b> dever apresentar as licenas ambientais e de 
                    funcionamento do novo parceiro e as <b>CONTRATANTES</b> autorizaro por escrito, a cesso da obrigao constante 
                    no presente contrato.
                    <br/>
                    <b>11.8</b> O presente Contrato prevalece sobre todo e qualquer entendimento, proposta, 
                    correspondncia ou outro documento anteriormente emitido pelas Partes em relao ao objeto contratual.
                    <br/>
                    <b>11.9</b> O presente Contrato, bem como os casos omissos deste instrumento 
                    resolver-se-o na forma da legislao brasileira vigente.
                    <br/><br/>
                    <b><u>CLUSULA XIII - DO FORO:</u></b><br/>
                    <b>12.1</b> As partes contratantes, desde j elegem o Foro da Comarca de Recife/PE, 
                    com excluso de qualquer outro, por mais privilegiado que seja para dirimir qualquer 
                    controvrsia relacionada ao presente Contrato.
                    <br/>
                    E, por estarem justas e acordadas, e para firmeza e validade de todo o acima estipulado, 
                    fizeram lavrar o presente instrumento particular de contrato em 03, (trs) vias de igual 
                    teor e forma, e, para um s efeito na presena das testemunhas abaixo arroladas.
                    </td>
                </tr>
                <tr>
                    <td align="right">
                        <font size="2">
                        <?php
                            switch (date('F')){
                            case 'January':
                                $Mes_Maiusculo = ' Janeiro';
                            break;
                            case 'February':
                                $Mes_Maiusculo = ' Fevereiro';
                            break;
                            case 'March':
                                $Mes_Maiusculo = ' Maro';
                            break;
                            case 'April':
                                $Mes_Maiusculo = ' Abril';
                            break;
                            case 'May':
                                $Mes_Maiusculo = ' Maio';
                            break;
                            case 'June':
                                $Mes_Maiusculo = ' Junho';
                            break;
                            case 'July':
                                $Mes_Maiusculo = ' Julho';
                            break;
                            case 'August':
                                $Mes_Maiusculo = ' Agosto';
                            break;
                            case 'September':
                                $Mes_Maiusculo = ' Setembro';
                            break;
                            case 'October':
                                $Mes_Maiusculo = ' Outubro';
                            break;
                            case 'November':
                                $Mes_Maiusculo = ' Novembro';
                            break;
                            case 'December':
                                $Mes_Maiusculo = ' Dezembro';
                            break;
                    }
                        ?>
                        <br/><br/>Paulista, <?php /*echo date('d').' de '.$Mes_Maiusculo.' de '.date('Y');*/ echo data_extenso($cliente[0]['Data_Os']) ?><br/>
                        </font>
                    </td>
                </tr>
                <tr>
                    <td align="center">
                        <font size="2"><br/><br/>
                        _______________________________________________________
                        <br/>UNIVERSO EMPREENDIMENTO LTDA<br>CNPJ/MF n 03.446.513/0001-19
                        </font>
                    </td>
                </tr>
                <tr>
                    <td align="center">
                        <font size="2"><br/><br/>
                        _______________________________________________________
                        <br/><?php echo $cliente[0]["Titulo"];?><br>
                        <?php
                        if($cliente[0]["Natureza"]=="PF"){
                           echo cpf_exibir($cliente[0]['Cpf_Cnpj']);
                        }else{
                           echo cnpj_exibir($cliente[0]['Cpf_Cnpj']);
                        }
                        ?>
                        </font>
                    </td>
                </tr>
                
                <tr>
                    <td>
                        <font size="2"><br/><br/>
                        Testemunhas: 
                        </font>
                    </td>
                </tr>
                
                <tr>
                    <td align="center">
                            <table>
                                <tr>
                                    <tr>
                                        <td align="center">
                                            <font size="2"><br/><br/>
                                            ______________________________________
                                            <br/>Nome:
                                            <br/>RG n:
                                            <br/>CPF/MF n:
                                            </font>
                                        </td>
                                        <td align="center">
                                            <font size="2"><br/><br/>
                                            &nbsp;&nbsp;&nbsp;&nbsp;
                                            ______________________________________
                                            <br/>Nome:
                                            <br/>RG n:
                                            <br/>CPF/MF n:
                                            </font>
                                        </td>
                                    </tr>
                                </tr>
                            </table>
                    </td>
                </tr>
            </table>
        </td>
    </tr>
</table>
</body>
</html>