<?php
include_once '../../include/conecta.php'; //Conecta com a nosso banco de dados MySQL
ini_set('session.gc_maxlifetime', 60*120); session_start();
/*include_once '../../include/ver_sessao.php'; //Verifica se a sesso est ativa*/
include_once '../../include/funcoesPhp.php'; include_once '../../menu_movimento.php';


 $cliente = listar("Select cliente.Titulo,
                        cliente.Fone1,
                        cliente.Email,
                        cliente.Estado,
                        cliente.Rua,
                        cliente.Numero,
                        cliente.Cep,
                        cliente.Bairro,
                        cliente.Cidade,
                        os.Lancamento,
                        os.Id,
                        os.Data_Os,
                        os.Contato_Cliente,
                        os.P_Assunto,
                        os.P_Pagamento,
                        os.Obs,
                        tipo_pagamento.Titulo as Tipo_Pagamento,
                        CONCAT(vendedor.Titulo,' ',vendedor.Sobrenome) as Vendedor,
                        vendedor.Email as Vendedor_Email,
                        vendedor.Fone as Vendedor_Fone
                        from os
                        left join (SELECT Id,Titulo,Fone1,Email,Estado,Rua,Numero,Cep,Bairro,Cidade FROM cliente) as cliente on cliente.Id = os.Id_Cliente
                        left join (SELECT Id,Titulo FROM tipo_pagamento) as tipo_pagamento on tipo_pagamento.Id = os.Id_Tipo_Pagamento
                        left join (SELECT Id,Titulo,Sobrenome,Fone,Email FROM funcionario) as vendedor on vendedor.Id = os.Id_Vendedor
 			WHERE os.Id = '".$_GET["id_os"]."' ");
?>
<html>
<head>
<title>Gw - Gesto Web</title>
<link rel="stylesheet" type="text/css" href="../../vreport/VReport_print.css" media="print" />
<link rel="stylesheet" type="text/css" href="../../vreport/VReport_screen.css" media="screen" />
<script type="text/javascript" language="javascript" src="../../js/jquery.js"></script>
<?php include '../../include/script_cabeca.php'; ?>
<script type="text/javascript" language="javascript" src="../../js/script.js"></script>
<script type="text/javascript" language="javascript">
$(document).ready(function () {
function slideout() {
   setTimeout(function () {
    $("#response").slideUp("slow", function () {});
   },
   2000);
}
$(".inlineEdit").bind("click", updateText);
var OrigText, NewText;
$(".save").live("click", function () {
  $("#loading").fadeIn('slow');
  NewText = $(this).siblings("form").children(".edit").val();
   var id = $(this).parent().attr("id");
   //var data = '?id=' + id + '&text=' + NewText;
   var data = 'id=' + id + '&text=' + NewText;
  $.post("edit.php", data, function (response) {
     $("#retorno").html(response);
     $("#response").slideDown('slow');
     slideout();
     $("#loading").fadeOut('slow');
  });
  $(this).parent().html(NewText).removeClass("selected").bind("click", updateText);
  recarregar();
});
$(".revert").live("click", function () {
  $(this).parent().html(OrigText).removeClass("selected").bind("click", updateText);
});
function updateText() {
  $('li').removeClass("inlineEdit");
  OrigText = $(this).html();
  $(this).addClass("selected").html('<form><textarea class="edit" rows="3" cols="64">' + OrigText + '</textarea></form><a href="#" class="save"><img src="../../js/editing/images/save.png" border="0" width="48" height="15"/></a> <a href="#" class="revert"><img src="../../js/editing/images/cancel.png" border="0" width="58" height="15"/></a>').unbind('click', updateText);
}
function recarregar() {
  setTimeout(function() {
        location.reload();
      }, 1000);
}

});
</script>
<script type="text/javascript" language="javascript">
  //window.onload = function(){
    //window.print();
  //}
</script>
</head>
<body>
            
<div id='_VReportHeader'>
    <table>
        <tr> 	 
            <td>
                <img src="logo_natureza.png" width="240px" height="auto">
            </td>  
        </tr>
    </table>
</div>
    
<div id='_VReportContent'>
            <!-- 1 folha -->
            <table>
                <tbody>
                <tr>
                    <td align="justify">
                        <br/>
                        Proposta Comercial - N <?php echo $cliente[0]["Lancamento"]."/".date("Y");?>
                    </td>
                </tr>
                <tr>
                    <td align="right">
                        Recife, <?php echo data_extenso($cliente[0]['Data_Os']) ?>
                    </td>
                </tr>
                <tr>
                    <td>
                        <b>Ao Sr(a). <?php echo $cliente[0]["Contato_Cliente"];?></b>
                    </td>
                </tr>
                <tr>
                    <td>
                        <b><?php echo $cliente[0]["Titulo"]." - ".$cliente[0]["Estado"];?></b>
                    </td>
                </tr>
                <tr>
                    <td>
                        <?php echo $cliente[0]["Rua"].", ".$cliente[0]["Numero"];?>
                    </td>
                </tr>
                <tr>
                    <td>
                        <?php echo $cliente[0]["Cep"]." ".$cliente[0]["Bairro"]." ".$cliente[0]["Cidade"];?>
                    </td>
                </tr>
                <tr>
                    <td>
                        <br>
                        <b>OBJETIVO</b>
                    </td>
                </tr>
                <tr>
                    <td class="inlineEdit" id="C<?php echo $cliente[0]["Id"]."-P_Assunto";?>" style="cursor: pointer;font-size: 18px" 
                        alt="Clique para Editar !" title="Clique para Editar !"
                    >
                        
                        <?php
                        if($cliente[0]['Obs']=='')
                            echo $cliente[0]['P_Assunto'];
                        else
                            echo $cliente[0]['Obs'];
                        ?>
                        
                    </td>
                </tr>
                <tr>
                    <td align="justify">
                        <br/>
                        Prezado Senhor(a),
                        <br/>
                        <br>1. Segue abaixo proposta para prestao de servios, nos seguintes termos:
                    </td>
                </tr>
                <tr>
                    <td align='justify'>
                        <br/>
<table width="100%" align="center" cellpadding="2" cellspacing="0">
    <?php

$sql_comodato = mysqli_query($con,"SELECT os_produto.Id,
                produto.Titulo as Servico,
                produto.Descricao,
                categoria_produto.Titulo as Categoria,
                os_produto.Preco,
                os_produto.Qtd,
                os_produto.Desconto,
                os_produto.Desconto_Real,
                os_produto.C_Descricao,
                os_produto.Obs
                FROM os_produto
                left join (SELECT Id,Titulo,Descricao,Id_Categoria_Produto FROM produto) as produto ON produto.Id = os_produto.Id_Produto
                left join (SELECT Id,Titulo FROM categoria_produto) as categoria_produto ON categoria_produto.Id = produto.Id_Categoria_Produto
                WHERE os_produto.Id_Os='".$_GET["id_os"]."'
                ORDER BY Categoria,os_produto.Data_Cadastro ");

    ?>

    <?php
        $x=0;
        while($linha = mysqli_fetch_assoc($sql_comodato)){

        $v = valor_exibir((($linha['Qtd']*$linha['Preco'])-( ($linha['Qtd']*$linha['Preco'])*($linha['Desconto']/100) ) ) -$linha['Desconto_Real']);

        $Valor_Total+= (($linha['Qtd']*$linha['Preco'])-( ($linha['Qtd']*$linha['Preco'])*($linha['Desconto']/100) ) ) -$linha['Desconto_Real'];

    ?>
    <tr>
        <td class="table_prod_nome" style="border: solid 1px #ccc" width="20%" align="center" bgcolor="#ccc">Atividade</td>
        <td class="table_prod_nome" style="border: solid 1px #ccc" width="60%" align="center" bgcolor="#ccc">Descrio</td>
        <td class="table_prod_nome" style="border: solid 1px #ccc" width="20%" align="center" bgcolor="#ccc">Valor Unitrio (R$)</td>
    </tr>
    <tr>
        <td style="border: solid 1px #ccc; font-size:12px" align="center"><?php echo $linha['Categoria'];?></td>
        <td style="border: solid 1px #ccc; font-size:12px" align="center" 
            class="inlineEdit" id="P<?php echo $linha["Id"]."-C_Descricao";?>" style="cursor: pointer;" 
            alt="Clique para Editar !" title="Clique para Editar !"
        >
            <?php
            if($linha['C_Descricao']=='')
                echo $linha['Descricao'];
            else
                echo $linha['C_Descricao'];
            ?>
        </td>
        <td style="border: solid 1px #ccc; font-size:12px" align="center">
            R$ <?php echo $v;?>
        </td>
    </tr>
    <?php if(trim($linha['Obs'])!=''){ ?>
        <tr>
            <td style="border: solid 1px #ccc; font-size:12px" colspan="3">Obs: <?php echo $linha['Obs'];?></td>
        </tr>
    <?php } ?>
        <tr>
            <td colspan="3">&nbsp;<br/></td>
        </tr>
    <?php $x++; }?>
    </table>
                    </td>
                </tr>
                <tr>
                    <td align="justify">
                        2. Os servios prestados, acima mencionados, sero faturados quinzenalmente e, 
                        os pagamentos referentes aos mesmos sero feitos mediante apresentao do boleto 
                        bancrio e nota fiscal de prestao de servios (Prazo de 15 dias corridos). 
                        Em caso de atraso de pagamento, a CONTRATANTE estar automaticamente em mora, 
                        arcando com multa de 2 % e juros de 0,19% a.d
                    </td>
                </tr>
                <tr>
                    <td>
                        <br>
                        <b>Assunto 2: Proposta para compra de resduos reciclveis.</b>
                    </td>
                </tr>
                <tr>
                    <td align='justify'>
                        <br/>
<table width="100%" align="center" cellpadding="2" cellspacing="0">
    <?php

$sql_comodato = mysqli_query($con,"SELECT os_produto_reparo.Id,
                produto.Titulo as Produto,
                produto.Descricao,
                os_produto_reparo.Valor_Reparo,
                os_produto_reparo.Qtd_Reparo,
                os_produto_reparo.Solucao_Reparo
                FROM os_produto_reparo
                left join (SELECT Id,Titulo,Descricao FROM produto) as produto ON produto.Id = os_produto_reparo.Id_Produto
                WHERE os_produto_reparo.Id_Os='".$_GET["id_os"]."' ");

    ?>

    <?php
        $x=0;
        while($linha = mysqli_fetch_assoc($sql_comodato)){

        $v = valor_exibir($linha['Qtd_Reparo']*$linha['Valor_Reparo']);
    ?>
    <tr>
        <td class="table_prod_nome" style="border: solid 1px #ccc" width="60%" align="center" bgcolor="#ccc">Descrio</td>
        <td class="table_prod_nome" style="border: solid 1px #ccc" width="20%" align="center" bgcolor="#ccc">Valor Unitrio (R$)</td>
    </tr>
    <tr>
        <td style="border: solid 1px #ccc; font-size:12px" align="center"><?php echo $linha['Descricao'];?></td>
        <td style="border: solid 1px #ccc; font-size:12px" align="center">
            R$ <?php echo $v;?>
        </td>
    </tr>
    <?php if(trim($linha['Obs'])!=''){ ?>
        <tr>
            <td style="border: solid 1px #ccc; font-size:12px" colspan="3">Obs: <?php echo $linha['Solucao_Reparo'];?></td>
        </tr>
    <?php } ?>
        <tr>
            <td colspan="3">&nbsp;<br/></td>
        </tr>
    <?php $x++; }?>
    </table>
                    </td>
                </tr>
                <tr>
                    <td align="justify">
                        <br/>
                        3. Os pagamentos referentes aos materiais comprados sero efetuados na ocasio 
                        de fechamento quinzenal, onde o cliente pode optar por recebimento dos valores 
                        ou abatimento no saldo a pagar de sua fatura.
                    </td>
                </tr>
                <tr>
                    <td class="inlineEdit" id="C<?php echo $cliente[0]["Id"]."-P_Pagamento";?>" style="cursor: pointer;font-size: 18px" 
                        alt="Clique para Editar !" title="Clique para Editar !"
                    >
                        <br>
                        4. A presente proposta possui prazo de validade de 15 (Quinze) dias corridos a contar 
                        da data de envio.
                    </td>
                </tr>
                <tr>
                    <td><br/>
                        <b>Atenciosamente,</b>
                    </td>
                </tr>
                <tr>
                    <td align='center'>
                        <br/>
                        <?php
                        echo $cliente[0]["Vendedor"]."<br>";
                        echo $cliente[0]["Vendedor_Email"]."<br>";
                        echo $cliente[0]["Vendedor_Fone"]."<br>";
                        ?>
                    </td>
                </tr>
                </tbody>
            </table>
            <!-- 5 folha fim -->    
</div>

<div id='_VReportFooter'>
<table width='100%'>   
    <tr> 	 
        <td align="center">
            NATUREZA VIVA SOLUES AMBIENTAIS<br>
            Rua So Miguel, n 1895 - A - Jiqui - Recife - PE CEP.: 50.850-270<br>
            www.naturezavivaonline.com.br<br>
            Fone 81 3422.1368 / 3019.7155
        </td>  
    </tr>
</table>
</div>

<div id="retorno"></div>
<script src="../../vreport/VReport.js" type="text/javascript"></script>
</body>
</html>