<?php
include_once "../include/conecta.php"; //Conecta com a nosso banco de dados MySQL
ini_set('session.gc_maxlifetime', 60 * 120);
session_start();
/* include_once "../include/ver_sessao.php"; //Verifica se a sesso est ativa */
include_once "../include/funcoesPhp.php"; //Inclue a pgina con todas as funes a ser usada.
?>
<?php
                   $os = listar("Select os.Id,
 					os.Lancamento,
                                        os.Numero_Nota,
 					os.Status,
                                        os.EF,
 					os.Data_Os,
 					os.Obs as 'Obs_Os',
 					os.Valor_Original,
 					os.Valor_Pago,
                                        os.Contato_Cliente,
                                        os.Id_Unidade,
                                        os.P_Assunto,
                                        os.Hora_Os,
                                        os.Data_Retirada,
 					cliente.Titulo as 'Cliente',
 					cliente.Email,
 					cliente.Natureza,
 					cliente.Cpf_Cnpj,
 					cliente.Endereco,
                                        cliente.Complemento,
                                        cliente.Ponto_Referencia,
 					cliente.Cep,
 					cliente.Bairro,
 					cliente.Estado,
 					cliente.Fone1,
                                        cliente.Fone2,
 					cliente.Obs as 'Obs_Cliente',
                                        cliente.Cidade,
                                        os.Id_Unidade,
 					funcionario.Titulo as 'Funcionario'
 					from os
 					left join (SELECT Id,Titulo,Email,Natureza,Cpf_Cnpj,Endereco,Complemento,Ponto_Referencia,Cep,Bairro,Estado,Fone1,Fone2,Obs,Cidade FROM cliente) as cliente ON cliente.Id = os.Id_Cliente
 					left join (SELECT Id,Titulo FROM funcionario) as funcionario ON funcionario.Id = os.Id_Vendedor
 					where os.Id = '" . $_GET["id_os"] . "'
					order by os.Lancamento DESC");

$_GET["Unidade"] = $os[0]["Id_Unidade"];
?>
<html>
    <head>
        <title>Gw - Gesto Web</title>
        <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1" />
        <link rel="shortcut icon" href="../imagem/favi_gw.ico" type="image/x-icon" />
        <link rel="stylesheet" type="text/css" href="../estilo/<?php echo SKIN; ?>/tabela_imp.css" />
        <script type="text/javascript" language="javascript" src="../js/jquery.js"></script>
<?php include '../include/script_cabeca.php'; ?>
        <script type="text/javascript" language="javascript" src="../js/script.js"></script>
        <script type="text/javascript" language="javascript">
            window.onload = function () {
                window.print();
            }
        </script>
    </head>
    <body>

        <table width="98%" align="center"><!-- TABELA Q ENVOLVE TODO O CONTEUDO -->
            <tr>
                <td>
                    <table width="90%" align="center">
                        <?php
                        //variavel $_GET["Unidade"], vem de todos os filtros de relatorios.
                        if (!$_GET["Unidade"]) {
                            $_GET["Unidade"] = $_SESSION["Unidade"];
                        }


                        $empresa = listar("Select Logo,Razao_Social,Titulo,Cnpj,Rua,Numero,
                                Bairro,Cidade,Estado,Cep,Fone1,Fone2,Email,Site
                                from unidade where Id = '" . $_GET["Unidade"] . "' ");
                        ?>
                        <tr>
                            <td width="40%" class="razao">
                                <?php
                                if (file_exists("../unidade/foto/" . $empresa[0]["Logo"] . "")) {
                                    $cam_arq = "../unidade/foto/" . $empresa[0]["Logo"];
                                } else {
                                    $cam_arq = "../../unidade/foto/" . $empresa[0]["Logo"];
                                }
                                ?>
                                <img src="<?php echo $cam_arq; ?>" title="Logo" alt="Logo" border="0" width="140px" height="auto"/>

<?php if (CLIENTE_EMAIL == 'omega' || CLIENTE_EMAIL == 'alfarefrigeracao') { ?>
                                    <br>
                                    Fones: <?php echo $empresa[0]["Fone1"]; ?> | <?php echo $empresa[0]["Fone2"]; ?><br>
                                    (81) 9.8720-3233 | (81) 9.9850-2266 (Zap)
<?php } ?>
                            </td>
                            <td width="60%" class="razao">
                                <b><font face="verdana" size="3">
<?php echo $empresa[0]["Titulo"]; ?>
                                    </font></b><br>
                                Cnpj: <?php echo $empresa[0]["Cnpj"]; ?><br>
                                End: <?php echo $empresa[0]["Rua"] . ", " . $empresa[0]["Numero"]; ?> | <?php echo $empresa[0]["Bairro"]; ?> |
<?php echo $empresa[0]["Cidade"]; ?> | <?php echo $empresa[0]["Estado"]; ?> - 
                                CEP <?php echo $empresa[0]["Cep"]; ?><br>

<?php if (CLIENTE_EMAIL != 'omega' && CLIENTE_EMAIL != 'alfarefrigeracao') { ?>

                                    Fone: <?php echo $empresa[0]["Fone1"]; ?>
                                    <?php
                                    if ($empresa[0]["Fone2"]) {
                                        echo " - " . $empresa[0]["Fone2"];
                                    }
                                    ?>

<?php } ?>

                                <br>
                                E-mail: <?php echo $empresa[0]["Email"]; ?><br>
                                <?php
                                if ($empresa[0]["Site"]) {
                                    echo 'Site: ' . $empresa[0]["Site"];
                                }
                                ?>
                            </td>
                        </tr>
                    </table>
                </td>
            </tr>
            <tr>
                <td>
                    <table width="100%" align="center">
                        <tr>
                            <td colspan="2" align="center">
                                <font face="verdana" size="3">
                                <b>
                                    <i>
                                        Ordem de Servio - 
                                        <?php
                                        echo $os[0]["Lancamento"];

                                        if ($os[0]["Numero_Nota"]) {
                                            echo " (" . $os[0]["Numero_Nota"] . ")";
                                        }
                                        ?>
                                    </i>
                                </b>
                                </font></td>
                        </tr>
                    </table>
                </td>
            </tr>
            <tr>
                <td>
                    <table width="100%" align="center" class="tabela" style="font-size: 12px">
                        <tr>
                            <td width="70%">Cliente: <?php echo $os[0]["Cliente"]; ?></td>
                            <td width="30%">Emisso: <?php echo data_exibir($os[0]["Data_Os"]); ?></td>
                        </tr>
                        <tr>
                            <td width="70%">Contato: <?php echo $os[0]["Contato_Cliente"]; ?>
                            </td>
                            <td width="30%">Fone: 
                                <?php
                                echo $os[0]["Fone1"];
                                if ($os[0]["Fone2"]) {
                                    echo " / " . $os[0]["Fone2"];
                                }
                                ?>
                            </td>
                        </tr>
                        <tr>
                            <td colspan="2">Email: <?php echo $os[0]["Email"]; ?></td>
                        </tr>
                        <tr>
                            <td width="70%">End: <?php echo $os[0]["Endereco"] . ", " . $os[0]["Complemento"]; ?></td>
                            <?php if ($os[0]["Natureza"] == "PF") { ?>
                                <td width="30%">CPF: <?php echo cpf_exibir($os[0]["Cpf_Cnpj"]); ?></td>
                            <?php } else { ?>
                                <td width="30%">CNPJ: <?php echo cnpj_exibir($os[0]["Cpf_Cnpj"]); ?></td>
<?php } ?>
                        </tr>
                        <tr>
                            <td width="70%"><?php echo 'Bairro:' . $os[0]["Bairro"] . ' &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
                                                            Cidade:' . $os[0]["Cidade"] . ' &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
                                                            UF:' . $os[0]["Estado"]; ?></td>
                            <td width="30%">CEP: <?php echo cep_exibir($os[0]["Cep"]); ?></td>
                        </tr>
                        <tr>
                            <td colspan="2">Ponto Ref: <?php echo $os[0]["Ponto_Referencia"]; ?></td>
                        </tr>
                        <tr>
                            <td colspan="2">Obs: <?php echo $os[0]["Obs"]; ?></td>
                        </tr>
                    </table>
                </td>
            </tr>

            <tr>
                <td>
                    <table width="100%" align="center" class="tabela" style="font-size: 12px">
                        <tr>
                            <td colspan="9"><i>Descrio dos Servios</i></td>
                        </tr>
                        <tr class="azul-claro">
                            <td>N</td>
                            <td colspan="2">Produto</td>
                            <td>Qtd</td>
                            <td>N Srie</td>
                        </tr>
                        <?php
                          $os_prod = listar("Select os_produto_reparo.Id,
                                                    os_produto_reparo.Qtd_Reparo,
                                                    os_produto_reparo.Defeito_Reparo,
                                                    os_produto_reparo.Solucao_Reparo,
                                                    os_produto_reparo.Produto_Reparo,
                                                    os_produto_reparo.Descricao_Produto_Reparo,
                                                    os_produto_reparo.Numero_Serie,
                                                    produto.Titulo as Produto,
                                                    produto.Codigo
                                                    from os_produto_reparo
                                                    LEFT JOIN (SELECT Id,Titulo,Codigo FROM produto) as produto ON produto.Id = os_produto_reparo.Produto_Reparo
                                                    where os_produto_reparo.Id_Os = '" . $_GET["id_os"] . "' ");
                        ?>
                        <?php $x = 1;
                        foreach ($os_prod as $chave) { ?>
                            <tr>
                                <td><?php echo $x; ?></td>
                                <td colspan="2"><?php echo $chave["Codigo"] . ' : ' . $chave["Produto"]; ?></td>
                                <td><?php echo $chave["Qtd_Reparo"]; ?></td>
                                <td><?php echo $chave["Numero_Serie"]; ?></td>
                            </tr>
                            <tr>
                                <td colspan="5">Defeito: 
                                    <?php
                                        if ($chave["Defeito_Reparo"]) {
                                            echo $chave["Defeito_Reparo"];
                                        } else {
                                            echo "<br/><br/><br/><br/><br/><br/><br/><br/><br/><br/>";
                                        }
                                    ?>
                                </td>
                            </tr>
                            <tr>
                                <td colspan="5">Soluo: 
                                     <?php
                                        if ($chave["Solucao_Reparo"]) {
                                            echo $chave["Solucao_Reparo"];
                                        } else {
                                            echo "<br/><br/><br/><br/><br/><br/><br/><br/><br/><br/>";
                                        }
                                    ?>
                                </td>
                            </tr>
                            <?php
                            $Qtd_Os += $chave["Qtd_Reparo"];
                            $x++;
                        }
                        ?>
                        <tr>
                            <td colspan="2"></td>
                            <td>Totais da Os:</td>
                            <td><?php echo $Qtd_Os; ?></td>
                            <td></td>
                        </tr>
                    </table>
                </td>
            </tr>

            <tr>
                <td>
                    <table width="100%" align="center" class="tabela" style="font-size: 12px">
                        <tr>
                            <td colspan="9"><i>Produtos</i></td>
                        </tr>
                        <tr class="azul-claro">
                            <td width="3%">N</td>
                            <td width="10%">Cdigo</td>
                            <td>Produto</td>
                            <td width="5%">Qtd</td>
                            <td width="8%">Valor</td>
                            <td width="8%">Desc %</td>
                            <td width="8%">Desc $</td>
                            <td width="8%">Total</td>
                        </tr>
                        <?php
                          $os_pro = listar("Select DISTINCT os_produto.Id,
                                                            os_produto.Preco as 'Preco_Os',
                                                            os_produto.Qtd as 'Qtd_Os',
                                                            os_produto.Desconto as 'Desconto_Os',
                                                            os_produto.Desconto_Real,
                                                            os_produto.Obs as Obs_Produto,
                                                            produto.Titulo as 'Produto',
                                                            produto.Descricao,
                                                            produto.Codigo
                                                            from os_produto
                                                            left join produto ON produto.Id = os_produto.Id_Produto
                                                            where os_produto.Id_Os = '" . $_GET["id_os"] . "'
                                                            AND produto.Tipo_Produto = 'S'
                                                            ORDER BY os_produto.Data_Cadastro");

                        $x = 1;
                        $Qtd_Os = '0';
                        foreach ($os_pro as $chave) {
                            ?>

                            <tr>
                                <td><?php echo $x; ?></td>
                                <td><?php echo $chave["Codigo"]; ?></td>
                                <td><?php echo $chave["Produto"]; ?></td>
                                <td><?php echo $chave["Qtd_Os"]; ?></td>
                                <td><?php echo number_format($chave["Preco_Os"], 2, ',', '.'); ?></td>
                                <td><?php echo number_format($chave["Desconto_Os"], 2, ',', '.'); ?></td>
                                <td><?php echo number_format($chave["Desconto_Real"], 2, ',', '.'); ?></td>
                                <td>
                            <?php echo number_format(( ($chave['Qtd_Os'] * $chave['Preco_Os']) - ( ($chave['Qtd_Os'] * $chave['Preco_Os']) * ($chave['Desconto_Os'] / 100) ) ) - $chave['Desconto_Real'], 2, ',', '.'); ?></td>
                                </td>
                            </tr>
                            <tr>
                                <td colspan="7"><b>Observao:</b> <?php echo $chave["Obs_Produto"]; ?></td>
                            </tr>
                            <?php
                            $Qtd_Os += $chave["Qtd_Os"];
                            $Preco_Os += $chave["Preco_Os"];
                            $Desconto_Os += $chave["Desconto_Os"];
                            $Desconto_Real += $chave["Desconto_Real"];
                            $Total += ( ($chave["Preco_Os"] * $chave["Qtd_Os"]) -
                                    (($chave["Preco_Os"] * $chave["Qtd_Os"]) * ($chave["Desconto_Os"] / 100)) ) - $chave['Desconto_Real'];
                            $x++;
                        }
                        ?>
                        <tr>
                            <td colspan="3"></td>
                            <td colspan="3">Totais da Os:</td>
                            <!--
                            <td><?php echo $Qtd_Os; ?></td>
                            <td><?php echo number_format($Preco_Os, 2, ',', '.'); ?></td>
                            <td><?php echo number_format($Desconto_Os / ($x - 1), 2, ',', '.'); ?></td>
                            <td><?php echo number_format($Desconto_Real / ($x - 1), 2, ',', '.'); ?></td>
                            -->
                            <td colspan="2" align="right"><?php echo number_format($Total, 2, ',', '.'); ?></td>
                        </tr>
                    </table>
                </td>
            </tr>
            <?php
            $os_parcela = listar("Select os.Id,
					conta_receber.Lancamento,
					conta_receber.Data_Vencimento,
					conta_receber.Valor_Original, 
 					tipo_pagamento.Titulo as 'Tipo_Pagamento'
 					from os
 					left join (SELECT Id,Titulo FROM tipo_pagamento) as tipo_pagamento ON tipo_pagamento.Id = os.Id_Tipo_Pagamento
 					left join (SELECT Id,Lancamento,Data_Vencimento,Valor_Original,Id_Externo FROM conta_receber) as conta_receber ON conta_receber.Id_Externo = os.Id
 					where os.Id = '" . $_GET["id_os"] . "' 					
					order by conta_receber.Data_Vencimento");

            if ($os_parcela[0]["Id"]) {
                ?>
                <tr>
                    <td>
                        <table width="100%" align="center" class="tabela">
                            <tr>
                                <td colspan="4"><i>Parcelas</i></td>
                            </tr>
                            <tr class="azul-claro">
                                <td>N</td>
                                <td>Vencimento</td>
                                <td>Valor</td>
                                <td>Tipo</td>
                            </tr>
    <?php $x = 1;
    foreach ($os_parcela as $chave) { ?>
                                <tr>
                                    <td><?php echo $x; ?></td>
                                    <td><?php echo data_exibir($chave["Data_Vencimento"]) ?></td>
                                    <td><?php echo number_format($chave["Valor_Original"], 2, ',', '.') ?></td>
                                    <td><?php echo $chave["Tipo_Pagamento"] ?></td>
                                </tr>
                    <?php $x++;
                } ?>
                        </table>
                    </td>
                </tr>
<?php } ?>
        </table>
        <br/>
       
        <table width="98%" align="center">
            <tr>
                <td colspan="2">De 0-10 Qual a nota que voc avalia pela qualidade da prestao de servio da <b><?php echo $empresa[0]['Titulo']?></b>.</td>
            </tr>
            <tr>
                <td colspan="2">
                    <table width="100%">
                        <tr>
                            <td>01</td>
                            <td>02</td>
                            <td>03</td>
                            <td>04</td>
                            <td>05</td>
                            <td>06</td>
                            <td>07</td>
                            <td>08</td>
                            <td>09</td>
                            <td>10</td>
                        </tr>
                    </table>
                </td>
            </tr>
            <tr>
                <td colspan="2"><br></td>
            </tr>
            <tr>
                <td align="center">Horrio de Chegada: ____ : ____</td>
                <td align="center">Horrio de Sada: ____ : ____</td>
            </tr>
            <tr>
                <td colspan="2"><br><br><br><br></td>
            </tr>
            <tr>
                <td align="center">________________________</td>
                <td align="center">________________________</td>
            </tr>
            <tr>
                <td align="center"><font face="verdana" size="2"><?php echo $os[0]["Cliente"]; ?></font></td>
                <td align="center"><font face="verdana" size="2">Representante: <?php echo $os[0]["Funcionario"]; ?></font></td>
            </tr>
        </table>
    </body>
</html>
<?php include "../include/rodape.php"; ?>