<?php
include_once '../include/conecta.php'; //Conecta com a nosso banco de dados MySQL
ini_set('session.gc_maxlifetime', 60 * 120);
session_start();
/*include_once '../include/ver_sessao.php'; //Verifica se a sesso est ativa*/
include_once '../include/funcoesPhp.php';
include_once '../menu_movimento.php';
include('../phpqrcode/qrlib.php');

$os1 = mysqli_query($con, "SELECT os.Id,
                                 cliente.Razao_Social as Cliente,
                                 cliente.Contato,
                                 os.Data_Cadastro,
                                 os.Id_Unidade,
                                 DATE_FORMAT(os.Data_Cadastro, '%H:%i:%s') as 'Hora_Cadstro',
                                 cliente.Fone1,
                                 cliente.Fone2,
                                 cliente.Bairro,
                                 cliente.Cidade,
                                 cliente.Cep,
                                 cliente.Cpf_Cnpj
                            FROM os 
                            LEFT JOIN cliente ON os.Id_Cliente = cliente.Id
                            WHERE os.Id = '" . $_GET['id_os'] . "'");
$os = mysqli_fetch_assoc($os1);
?>
<html>

<head>
    <title>Gw - Gesto Web</title>
    <link rel="stylesheet" type="text/css" href="../estilo/<?php echo SKIN; ?>/tabela_imp.css" />
    <script type="text/javascript" language="javascript" src="../js/jquery.js"></script>
    <?php include '../include/script_cabeca.php'; ?>
    <script type="text/javascript" language="javascript" src="../js/script.js"></script>
    <script type="text/javascript" language="javascript" src="../js/meiomask/meiomask.js"></script>
    <script type="text/javascript" language="javascript" src="../js/meiomask/<?php if (PAIS == "USA") {
                                                                                    echo "mascaras-usa";
                                                                                } else {
                                                                                    echo "mascaras";
                                                                                } ?>.js"></script>
    <!-- <script type="text/javascript" language="javascript">
        window.onload = function() {
            window.print();
        }
    </script> -->
    <style type="text/css">
        thead {
            display: table-header-group;
        }

        tfoot {
            display: table-footer-group;
        }
    </style>
</head>

<body>
    <table width="98%" align="center">
        <!-- TABELA Q ENVOLVE TODO O CONTEUDO -->
        <tr>
            <td>
        <tr>
            <td>
                <table width="90%" align="center">
                    <?php
                    if (!$_GET["Unidade"]) {
                        $_GET["Unidade"] = $_SESSION["Unidade"];
                    }

                    $empresa = listar("Select Logo,Titulo,Cnpj,Rua,Numero,
                                Bairro,Cidade,Estado,Cep,Fone1,Fone2,Email,Site
                                from unidade where Id = '1' ");
                    ?>
                    <tr>
                        <td width="40%" class="razao">
                            <?php
                            if (file_exists("../unidade/foto/" . $empresa[0]["Logo"] . "")) {
                                $cam_arq = "../unidade/foto/" . $empresa[0]["Logo"];
                            } else {
                                $cam_arq = "../../unidade/foto/" . $empresa[0]["Logo"];
                            }
                            ?>
                            <img src="<?php echo $cam_arq; ?>" title="Logo" alt="Logo" border="0" width="140px" height="auto" />
                        </td>
                        <td width="60%" class="razao">
                            <b>
                                <font face="verdana" size="3">
                                    <?php echo $empresa[0]["Titulo"]; ?>
                                </font>
                            </b><br>
                            Cnpj: <?php echo $empresa[0]["Cnpj"]; ?><br>
                            End: <?php echo $empresa[0]["Rua"] . ", " . $empresa[0]["Numero"]; ?> |
                            <?php echo $empresa[0]["Bairro"]; ?> |
                            <?php echo $empresa[0]["Cidade"]; ?> | <?php echo $empresa[0]["Estado"]; ?> -
                            CEP <?php echo $empresa[0]["Cep"]; ?><br>
                            Fone: <?php echo $empresa[0]["Fone1"]; ?>
                            <?php
                            if ($empresa[0]["Fone2"]) {
                                echo " - " . $empresa[0]["Fone2"];
                            }
                            ?>
                            <br>
                            E-mail: <?php echo $empresa[0]["Email"]; ?><br>
                            <?php
                            if ($empresa[0]["Site"]) {
                                echo 'Site: ' . $empresa[0]["Site"];
                            }
                            ?>
                        </td>
                        <td width="33%" align="center">
                            <?php
                            QRcode::png("https://" . $_SERVER["SERVER_NAME"] . "/" . CLIENTE_EMAIL . "/os15/" . 'imp_qrcodepmoc.php' . "?id=" . $_GET['id_os'] . "&id_produto=" . $_GET['id_produto'] . "&ambiente=" . $_GET['ambiente'] . "&serie=" . $_GET['serie'], 'img_qrcode' . $ab . '.png', QR_ECLEVEL_L, 3);
                            // QRcode::png("https://" . $_SERVER["SERVER_NAME"] . "/" . CLIENTE_EMAIL . "/os15/" . 'imp_qrcodepmoc.php' . "?id=" . $_GET['id_os'], 'img_qrcode' . $ab . '.png', QR_ECLEVEL_L, 3);
                            echo '<img src="img_qrcode' . $ab . '.png" class="qrcodeimg"/>';
                            ?>
                        </td>
                    </tr>
                </table>
            </td>
        </tr>
        </td>
        </tr>
        <tr>
            <td>
                <font face="verdana" size="2"><i>Plano de Manuteno, Operao e Controle - PMOC</i></font>
            </td>
        </tr>
    </table>
    <table width="100%" class="tabela">
        <tr>
            <td colspan="5" style="border:0px">
                <table width="100%" align="center" class="tabela">
                    <tr>
                        <td colspan="9"><i>Identificao do Cliente</i></td>
                    </tr>
                    <tr>
                        <td width="60%">Nome: <?php echo $os["Cliente"]; ?></td>
                        <td width="40%">Data/Hora:
                            <?php echo data_exibir($os["Data_Cadastro"]) . " " . $os["Hora_Cadstro"]; ?></td>
                    </tr>
                    <tr>
                        <td width="60%">Contato: <?php echo $os["Contato"]; ?>
                        </td>
                        <td width="40%">Fone:
                            <?php
                            echo $os["Fone1"];
                            if ($os["Fone2"]) {
                                echo " / " . $os["Fone2"];
                            }
                            ?>
                        </td>
                    </tr>
                    <tr>
                        <td width="60%">End: <?php echo $os[0]["Endereco"] . ", " . $os[0]["Complemento"]; ?></td>
                        <?php if ($os[0]["Natureza"] == "PF") { ?>
                            <td width="40%">CPF: <?php echo cpf_exibir($os["Cpf_Cnpj"]); ?></td>
                        <?php } else { ?>
                            <td width="40%">CNPJ: <?php echo cnpj_exibir($os["Cpf_Cnpj"]); ?></td>
                        <?php } ?>
                    </tr>
                    <tr>
                        <td width="60%"><?php echo 'Bairro:' . $os["Bairro"] . ' &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
                                                        Cidade:' . $os["Cidade"] . ' &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
                                                        UF:' . $os["Estado"]; ?></td>
                        <td width="40%">CEP: <?php echo cep_exibir($os["Cep"]); ?></td>
                    </tr>
                </table>
            </td>
        </tr>

        <?php
        $empresa = listar("Select Logo,Titulo,Cnpj,Rua,Numero,
                            Bairro,Cidade,Estado,Cep,Fone1,Fone2,Email,Site
                            from unidade where Id = '" . $os["Id_Unidade"] . "' ");
        ?>
        <tr>
            <td colspan="5" style="border:0px">
                <table width="100%" align="center" class="tabela" style="font-size: 12px">
                    <tr>
                        <td colspan="9"><i>Identificao do Responsvel Tcnico</i></td>
                    </tr>
                    <tr>
                        <td width="60%">Nome: <?php echo $empresa[0]["Titulo"]; ?></td>
                        <td width="40%">Fone: <?php echo $empresa[0]["Fone1"]; ?></td>
                    </tr>
                    <tr>
                        <td width="60%">End: <?php echo $empresa[0]["Rua"] . ", " . $empresa[0]["Numero"]; ?></td>
                        <td width="40%">CNPJ: <?php echo $empresa[0]["Cnpj"]; ?></td>
                    </tr>
                    <tr>
                        <td width="60%"><?php echo 'Bairro:' . $empresa[0]["Bairro"] . ' &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
                                                            Cidade:' . $empresa[0]["Cidade"] . ' &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
                                                            UF:' . $empresa[0]["Estado"]; ?></td>
                        <td width="40%">CEP: <?php echo cep_exibir($empresa[0]["Cep"]); ?></td>
                    </tr>
                </table>
            </td>
        </tr>
        <?php
        $equipamento = mysqli_query($con, "SELECT DISTINCT os_produto_reparo.Id,
                os_produto_reparo.Produto_Reparo,
                produto.Titulo as Produto,
                os_produto_reparo.Numero_Serie,
                os_produto_reparo.Tipo_Atividade,
                os_produto_reparo.Identificacao_Ambiente,
                os_produto_reparo.Area_Clima_Total,
                os_produto_reparo.Capacidade,
                os_produto_reparo.Modelo,
                os_produto_reparo.Numero_Serie,
                os_produto_reparo.Fabricante
                FROM os_produto_reparo
                LEFT JOIN (SELECT Id,Codigo,Titulo FROM produto) as produto ON os_produto_reparo.Produto_Reparo = produto.Id
                WHERE os_produto_reparo.Produto_Reparo = '" . $_GET['id_produto'] . "'
                AND os_produto_reparo.Id_Os = '" . $_GET['id_os'] . "'
                AND os_produto_reparo.Identificacao_Ambiente = '" . $_GET['ambiente'] . "'
              ");

        $equipamentos = mysqli_fetch_assoc($equipamento);
        ?>
        <tr>
            <td colspan="5"><i>Identificao do Ambiente Climatizado</i></td>
        </tr>
        <tr>
            <td colspan="5" style="border:0px">
                <table width="100%" align="center" class="tabela">
                    <tr>
                        <td colspan="5">Tipo de Atividade: <?php echo $equipamentos['Tipo_Atividade']; ?></td>
                    </tr>
                    <tr>
                        <td colspan="2">Numero de Ocupantes:
                            &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
                            Fixos <?php echo $equipamentos['']; ?> / Flutuantes <?php echo $equipamentos['']; ?>
                        </td>
                        <td colspan="3">Identificao do Ambiente:
                            <?php echo $equipamentos['Identificacao_Ambiente']; ?></td>
                    </tr>
                    <tr>
                        <td>Are Climatizada Total: <?php echo $equipamentos['Area_Clima_Total']; ?></td>
                        <td colspan="2">Capacidade: <?php echo $equipamentos['Capacidade']; ?></td>
                        <td colspan="2">Equipamentos: <?php echo $equipamentos['Produto']; ?></td>
                    </tr>
                    <tr>
                        <td>Modelo: <?php echo $equipamentos['Modelo']; ?></td>
                        <td colspan="2">Srie: <?php echo $equipamentos['Numero_Serie']; ?></td>
                        <td colspan="2">Fabricante: <?php echo $equipamentos['Fabricante']; ?></td>
                    </tr>
                </table>
            </td>
        </tr>

        <tr>
            <td colspan="5"><i>Plano de Manuteno e Controle</i></td>
        </tr>
        <tr class="cinza" align="center">
            <td>x</td>
            <td>Produto / Servio</td>
            <td>Dt. Ult. Exec</td>
            <td>Dt. Execuo</td>
            <td>Comentrios</td>
        </tr>
        <?php
        $color = "#F5F5F5";
        $vtotal = '0';
        $a = 1;

        $produto = mysqli_query($con, "SELECT DISTINCT os_produto.Id,
                                os_produto.Id_Produto,
                                os_produto.Id_Os,
                                os_produto.Id_Produto_Reparo,
                                produto.Titulo as 'Produto',
                                produto.Codigo,
                                reparo.Produto_Reparo,
                                reparo.Identificacao_Ambiente,
                                reparo.Numero_Serie
                                FROM os_produto
                                left join (SELECT Id,Produto_Reparo,Identificacao_Ambiente,Numero_Serie FROM os_produto_reparo) as reparo ON reparo.Id = os_produto.Id_Produto_Reparo
                                left join (SELECT Id,Titulo,Codigo FROM produto) as produto ON produto.Id = os_produto.Id_Produto
                                WHERE os_produto.Id_Os='" . $_GET["id_os"] . "'
                                AND reparo.Identificacao_Ambiente = '" . $_GET['ambiente'] . "'
                                AND reparo.Numero_Serie = '" . $_GET['serie'] . "'
                                ORDER BY SUBSTRING(SUBSTRING(produto.Titulo, -2), 1, 1) ");
        while ($equipamentos = mysqli_fetch_assoc($produto)) {

            if ($color == "#F5F5F5") {
                $color = "#E8E8E8";
            } else {
                $color = "#F5F5F5";
            }

        ?>
            <tr bgcolor=<?php echo "$color"; ?>>
                <td><?php echo $a ?></td>
                <td><?php echo $equipamentos["Codigo"] . " : " . $equipamentos["Produto"] ?></td>
                <td>&nbsp;</td>
                <!-- Campo reaproveitado para Data de Execuo  -->
                <td><?php echo ($equipamentos["Data_Entrega"] == '0000-00-00' ? "&nbsp;" : data_exibir($equipamentos["Data_Entrega"])); ?>
                </td>
                <td>&nbsp;</td>
            </tr>
        <?php
            $a++;
        }

        ?>
        <tr>
            <td colspan="5">&nbsp;</td>
        </tr>
    </table>
    <!-- <table width="98%" align="center">
        <tr>
            <td align="center">________________________________________________</td>
        </tr>
        <tr>
            <td align="center">TIAGO ANTONIO RODRIGUES DOS SANTOS <br>
                Tecnico em Refrigeracao e climatizacao <br>
                CPF - 107.621.024-46<br>
                CFT ( Registro Nacional) - 10762102446
            </td>
        </tr>
    </table> -->
</body>

</html>