<?php
include_once '../include/conecta.php'; //Conecta com a nosso banco de dados MySQL
include_once '../include/ver_sessao.php'; //Verifica se a sesso est ativa
include_once '../include/funcoesPhp.php';
include_once '../menu_movimento.php';
$modulo_lista = 'Os';
include '../include/sessao_lista.php';

//se no houver nada na pesquisa da listagem
if (!$_GET['Pesq']) {
    //listagem padro
    if (!isset($_GET['Status_Lista'])) {
        $Status_Lista1 = " and os.Status = 'Aberto' ";
    }
}
?>
<?php
$menu = mysqli_query($con, "select permissao.Relatorio,
                                    permissao.Cadastrar,
                                    permissao.Alterar,
                                    permissao.Deletar
                                    from permissao
                                    inner join menu_usuario ON menu_usuario.Id_Menu = permissao.Id_Menu
                                    where menu_usuario.Id_Responsavel='" . $_SESSION["Id"] . "'
                                    and permissao.Id_Responsavel='" . $_SESSION["Id"] . "'
                                    and permissao.Id_Menu = '3193' ");
$menu = mysqli_fetch_assoc($menu);
?>
<?php

if (!$_GET['Pesq']) {
    if ($_GET["Status_Lista"]) {
        $Status_Lista1 = " and os.Status = '" . $_GET["Status_Lista"] . "' ";
    }
}
if ($_GET["Ordenar"]) {
    $Ordenar1 = " ORDER BY " . $_GET["Ordenar"] . " ";
} else {
    $Ordenar1 = " ORDER BY os.Data_Os ";
}
if ($_GET['Ordem_Lista'] == 'Asc') {
    $Ordem_Lista1 = ' ASC ';
} else {
    $Ordem_Lista1 = ' DESC ';
}


if ($_GET['Pesq']) {
    $pesquisa = " AND " . $_GET['Ordenar'] . " like '%" . $_GET['Pesq'] . "%' ";
}

if (CLIENTE_RAZAO_SOCIAL == 'Sim') {
    $nome = 'Razao_Social';
} else {
    $nome = 'Titulo';
}

if ($_GET["De"])
    $data .= "AND os." . $_GET["Data_Busca"] . " >= '" . data_banco($_GET["De"]) . "' ";
if ($_GET["Ate"])
    $data .= "AND os." . $_GET["Data_Busca"] . " <= '" . data_banco($_GET["Ate"]) . "' ";

/* Inicio dos parmetros da Paginao*/

/*varivel com o cdigo SQL da consulta ao banco de dados*/
$_pagi_sql = "SELECT os.Id,
            os.Lancamento,
            os.Data_Os,
            os.Data_Evento,
            os.Data_Conclusao,
            os.Valor_Pago,
            os.Valor_Original,
            os.Status,
            os.Tecnico_Retirada1,
            cliente.$nome as 'Cliente',
            funcionario.Titulo as 'Funcionario',
            vendedor.Titulo as 'Vendedor'
            FROM os
            left join (SELECT Id,Titulo,Razao_Social FROM cliente) as cliente ON cliente.Id = os.Id_Cliente
            left join (SELECT Id,Titulo FROM funcionario) as funcionario ON os.Id_Funcionario = funcionario.Id
            left join (SELECT Id,Titulo FROM funcionario) as vendedor ON os.Id_Vendedor = vendedor.Id
            where 1=1 $data $Status_Lista1
            $pesquisa $Ordenar1 $Ordem_Lista1
            , os.Lancamento DESC ";

/* pagina fora que contem todas as opcoes do paginator */
include_once '../include/paginator_opcao.php';
include_once '../include/paginator.inc.php'; //incluindo o script de paginao PAGINATOR
/*Paginao na listagem dos clientes. Apenas nos arquivos listar.
 * Inclue-se depois que passa os parmetros da funo
 * seus resultados so aparentementes satisfatrio
 * */
?>
<html>

<head>
    <title>Gw - Gesto Web</title>
    <link rel="stylesheet" type="text/css" href="../estilo/<?php echo SKIN; ?>/listless.css" />
    <script type="text/javascript" language="javascript" src="../js/jquery.js"></script>
    <?php include '../include/script_cabeca.php'; ?>
    <script type="text/javascript" language="javascript" src="../js/script.js"></script>
    <script type="text/javascript" language="javascript" src="../js/blockUI/blockUI.js"></script>
    <script type="text/javascript" language="javascript">
        function submeteFiltro(valor) {
            document.forms['ordenar'].submit();
        }
    </script>
    <script type="text/javascript" language="javascript">
        $(document).ready(function() {
            $('input[name="De"]').setMask('date'); // data
            $('input[name="Ate"]').setMask('date'); // data
        });
    </script>
    <script type="text/javascript" language="javascript">
        function opcaoBoleto() {
            $.blockUI({
                message: $('#Tela_Boleto'),
                css: {
                    width: '150px'
                }
            });
            //setTimeout($.unblockUI, 2000);
        }

        function mudarValor(id) {
            $("#hidden_id").val(id);
        }

        $(document).ready(function() {

            $(".table_boleto").mouseover(function() {
                $(this).css("background-color", "#87CEFA");
            }).mouseout(function() {
                $(this).css("background-color", "#E8E8E8");
            })


            $('#bt_Impressora').click(function() {
                var Id = $("#hidden_id").val();
                //$(location).attr('href','../os/link_impressao.php?id_os='+Id);
                location.href = '../os/link_impressao.php?id_os=' + Id
            });



            $('#bt_Enviar_Email').click(function() {
                $.blockUI({
                    message: $('#Tela_Email'),
                    css: {
                        width: '350px'
                    }
                });
                //setTimeout($.unblockUI, 6000);
            });


            $('#Enviar_Email').click(function() {
                $.blockUI({
                    message: "<h2>Enviando E-mail...</h2>"
                });

                var nomeDestinatario = $("#Nome_Destinatario").val();
                var emailDestinatario = $("#Email_Destinatario").val();
                var nomeCopia = $("#Nome_Copia").val();
                var emailCopia = $("#Email_Copia").val();
                var idOs = $("#hidden_id").val();
                $.get("email_imp_os.php", {
                        Nome_Destinatario: nomeDestinatario,
                        Email_Destinatario: emailDestinatario,
                        Nome_Copia: nomeCopia,
                        Email_Copia: emailCopia,
                        id_os: idOs
                    },
                    function(data) {
                        $("#div_resposta").html(data);
                        $.unblockUI();
                        $("#Nome_Destinatario").val('');
                        $("#Email_Destinatario").val('');
                        $("#Nome_Copia").val('');
                        $("#Email_Copia").val('');
                    });

            });


            $('#Cancelar_Email').click(function() {
                $.unblockUI();
                return false;
            });

            $('#Cancelar_Tela_Boleto').click(function() {
                $.unblockUI();
                return false;
            });

        });
    </script>
</head>

<body>
    <!-- Centro -->
    <div id="centro">
        <!-- Contedo -->
        <div id="conteudo" class="ajustar">

            <div class="titulo">
                <span>Solicitao de Material</span>
                <form name="pesquisa" method="get" action="">
                    <span class="inputs">
                        <?php echo $_pagi_info; ?>
                        <!--
					<label for="Pesq">Busca:</label>
					<input type="text" name="Pesq" size="30" value="<?php echo $_GET['Pesq']; ?>" >
                                        <input name="Pesquisar" type="image" value="Pesquisar" src="../imagem/seta-dir.png" alt="Ir" title="Ir" >
                                    -->
                    </span>
                </form>
            </div>
            <!-- Navegao -->
            <div class="botoes_cima">
                <a href="javascript:void(0);" class="voltar" alt="Voltar" title="Voltar" onclick="javascript:history.back(1);">Voltar</a>

                <?php if ($menu["Relatorio"] == "Sim") { ?>
                    <a href="rel_os.php" alt="Relatrio" title="Relatrio" class="relatorio">Relatrio</a>
                <?php } ?>

                <?php if ($menu["Cadastrar"] == "Sim") { ?>
                    <a href="os/cad_os.php?acao=entrar" alt="Cadastrar" title="Cadastrar" class="incluir">Cadastrar</a>
                <?php } ?>
                <form name="ordenar" method="get" action="">
                    <span style="float: right;">
                        <span style="float: left">
                            &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
                            <font class="tr" key="Buscar_Por">
                                Buscar por :
                            </font>
                            &nbsp;&nbsp;
                            <?php
                            $vetor = array(
                                'Data_Os' => 'Data Cadastro',
                                'Data_Conclusao' => 'Data Concluso',
                                'Data_Evento' => 'Data Evento'
                            );
                            select_tela("Data_Busca", "Data_Busca", $_GET["Data_Busca"], $vetor, "");
                            ?>
                            &nbsp;&nbsp;
                        </span>
                        <input type="text" name="De" id="De" value="<?php echo $_GET["De"]; ?>" style="width: 80px;">&nbsp;De
                        <input type="text" name="Ate" id="Ate" value="<?php echo $_GET["Ate"]; ?>" style="width: 80px;">&nbsp;At
                        <input type="submit" name="Ok" value="Ok" style="margin-left: 10px" alt="Ok" title="Ok">
                    </span>
                    <span class="ordenar_por">
                        <label for="Pesq">Busca:</label>
                        <input type="text" name="Pesq" size="30" value="<?php echo $_GET['Pesq']; ?>">
                        <label for="Pesq">Ordenar Por:</label>
                        <?php
                        $vetor = array(
                            '' => 'Status',
                            'Aberto' => 'Em Andamento',
                            'Finalizado' => 'Finalizado',
                            'Cancelado' => 'Cancelado'
                        );
                        select_tela("Status_Lista", "Status_Lista", $_GET["Status_Lista"], $vetor, "onchange='submeteFiltro(this.value)'");
                        ?>
                        <?php
                        $vetor = array(
                            'os.Lancamento' => 'Lancamento',
                            'cliente.Titulo' => 'Cliente',
                            'os.Valor_Original' => 'Valor Original',
                            'os.Valor_Pago' => 'Valor Pago',
                            'funcionario.Titulo' => 'Responsvel',
                            'os.Data_Os' => 'Data Ordem',
                            'os.Data_Cadastro' => 'Data Cadastro',
                            'os.Data_Evento' => 'Data Evento'
                        );
                        select_tela("Ordenar", "Ordenar", $_GET["Ordenar"], $vetor, "onchange='submeteFiltro(this.value)'");
                        ?>
                        <?php
                        $vetor = array('Desc' => 'Decrescente', 'Asc' => 'Crescente');
                        select_tela("Ordem_Lista", "Ordem_Lista", $_GET["Ordem_Lista"], $vetor, "onchange='submeteFiltro(this.value)'");
                        ?>
                    </span>
                </form>
                <!-- Fim Navegao -->
            </div>


            <table id="lista">
                <thead>
                    <tr>
                        <td>Id</td>
                        <td>Data Ordem</td>
                        <td>Data Evento</td>
                        <td>Concluso</td>
                        <td>Cliente</td>
                        <td>Tcnico Retirada</td>
                        <td>Responsvel</td>
                        <td>Status</td>
                        <td>Opes</td>
                    </tr>
                </thead>
                <tfoot>
                    <tr>
                        <td colspan="15">
                            <div id="paginacao">
                                <p><?php echo $_pagi_navegacion; ?></p>
                            </div>
                        </td>
                    </tr>
                </tfoot>
                <tbody>
                    <?php $color = "#F5F5F5";
                    while ($linha = mysqli_fetch_assoc($_pagi_result)) {
                        if ($color == "#F5F5F5") {
                            $color = "#E8E8E8";
                            $cass = "";
                        } else {
                            $color = "#F5F5F5";
                            $cass = "class='azul'";
                        }
                        $corStatus = "";
                        if ($linha['Status'] == 'Finalizado') {
                            $corStatus = "color = '#228B22' ";
                        }
                        if ($linha['Status'] == 'Aberto') {
                            $corStatus = "color = '#3A5FCD' ";
                        }
                        if ($linha['Status'] == 'Cancelado') {
                            $corStatus = "color = '#CD2626' ";
                        }
                    ?>
                        <tr <?php echo "$cass"; ?>>
                            <td><?php echo $linha['Lancamento']; ?></td>
                            <td><?php echo data_exibir($linha['Data_Os']); ?></td>
                            <td><?php echo data_exibir($linha['Data_Evento']); ?></td>
                            <td><?php echo data_exibir($linha['Data_Conclusao']); ?></td>
                            <td><?php echo $linha['Cliente']; ?></td>
                            <td><?php echo $linha['Vendedor']; ?></td>
                            <td><?php echo $linha['Funcionario']; ?></td>
                            <td>
                                <font <?php echo $corStatus ?>>
                                    <b>
                                        <?php
                                        if ($linha['Status'] == 'Aberto') {
                                            echo 'Em Andamento';
                                        } else {
                                            echo $linha['Status'];
                                        }
                                        ?>
                                    </b>
                                </font>
                            </td>
                            <td>
                                <a href='os/cad_os.php?id_os=<?php echo $linha['Id']; ?>&acao=alterar&status=ver'><img src="../imagem/bt_visualizar.png" alt="Visualizar" border="0" title="Visualizar"></a>

                                <?php
                                if ($menu["Alterar"] == "Sim") {
                                    $link3 = "os/cad_os.php?id_os=" . $linha['Id'] . "&acao=alterar";
                                    $figura3 = "../imagem/bt_editar.png";

                                    //verificando se o usuario pode reabrir venda ja finalizada
                                    if ($linha['Status'] == 'Finalizado') {
                                        if (REABRIR_VENDA == 'Sim') {
                                            $reabrir = 'Sim';
                                        } else {
                                            $reabrir = 'No';
                                        }
                                    } else {
                                        $reabrir = 'Sim';
                                    }

                                    if ($reabrir == 'Sim') {
                                ?>
                                        <a href='<?php echo $link3; ?>'><img src="<?php echo $figura3; ?>" title="Alterar" alt="Alterar" border="0" /></a>
                                <?php }
                                } ?>
                                <!--
                <a href='javascript:void(0);' id="bt_boleto" onClick="mudarValor('<?php echo $linha['Id']; ?>'); opcaoBoleto();">
                <img src="../imagem/bt_pedido.png" title="Imprimir" alt="Imprimir" border="0" /></a>
                -->

                                <a href="javascript:void();" onclick="window.open('imp_os.php?id_os=<?php echo $linha['Id']; ?>','Imprimir','width=700,height=800,top=0,left=0,scrollbars=yes')">
                                    <img border="0" src="../imagem/bt_pedido.png" title="Imprimir Ordem" alt="Imprimir Ordem" /></a>

                                <a href="javascript:void();" onclick="window.open('imp_os_saida_2.php?id_os=<?php echo $linha['Id']; ?>','Termica','width=700,height=800,top=0,left=0,scrollbars=yes')">
                                    <img border="0" src="../imagem/bt_pedido.png" title="Cupom" alt="Cupom" /></a>

                                <a href="javascript:void();" onclick="window.open('enviar_email.php?id_os=<?php echo $linha['Id']; ?>','Email','width=700,height=700,top=0,left=0,scrollbars=yes')">
                                    <img border="0" src="../imagem/enviar-email.png" title="Os Email" alt="Os Email" /></a>


                                <?php
                                if ($menu["Deletar"] == "Sim") {
                                    $link4 = "deletar('" . $linha["Id"] . "', 'del_os.php?id_os=');";
                                    $figura4 = "../imagem/bt_excluir.png";
                                ?>
                                    <a href='javascript:void(0);'><img src="<?php echo $figura4; ?>" alt="Excluir" border="0" title="Excluir" onclick="<?php echo $link4; ?>" /></a>
                                <?php } ?>
                            </td>
                        </tr>
                    <?php } ?>
                </tbody>
            </table>
            <!-- Navegao Inferior -->
            <div class="botoes_baixo">
                <a href="javascript:void(0);" class="voltar" alt="Voltar" title="Voltar" onclick="javascript:history.back(1);">Voltar</a>

                <?php if ($menu["Relatorio"] == "Sim") { ?>
                    <a href="rel_os.php" alt="Relatrio" title="Relatrio" class="relatorio">Relatrio</a>
                <?php } ?>

                <?php if ($menu["Cadastrar"] == "Sim") { ?>
                    <a href="os/cad_os.php?acao=entrar" alt="Cadastrar" title="Cadastrar" class="incluir">Cadastrar</a>
                <?php } ?>
                <!-- Fim Navegao Inferior -->
            </div>

        </div>
        <!-- Fim do Contedo -->
    </div>
    <!-- Fim de Centro -->

    <!-- INICIO DA TELA MODAL DECISAO DO BOLETO-->
    <!-- No css existe um estilo para essas divs que as deixa invisivel - display:none; -->
    <div id="Tela_Boleto">
        <table width="100%" height="100px" align="center">
            <tr class="cinza">
                <td height="25" align="center" class="table_boleto">
                    <!-- hiddem para pegar o id do lancamento e fazer a rotina do boleto -->
                    <input type="hidden" name="hidden_id" id="hidden_id" value="">
                    <a href='javascript:void(0);' id="bt_Enviar_Email" title="Email"><img src="../imagem/emailG.png" border="0" /></a>
                </td>
                <td height="25" align="center" class="table_boleto">
                    <a href='javascript:void(0);' id="bt_Impressora" title="Impressora"><img src="../imagem/imprimirG.png" border="0" /></a>
                </td>
            </tr>
            <tr class="cinza">
                <td colspan="2" align="center">
                    <input type="button" value="Cancelar" name="Cancelar_Tela_Boleto" id="Cancelar_Tela_Boleto">
                </td>
            </tr>
        </table>
    </div>
    <!-- FIM DA TELA MODAL DECISAO DO BOLETO-->

    <!-- INICIO DA TELA MODAL ENVIO DE EMAIL-->
    <!-- No css existe um estilo para essas divs que as deixa invisivel - display:none; -->
    <?php include_once "../include/email_tabela.php"; ?>
    <!-- FIM DA TELA MODAL ENVIO DE EMAIL-->

</body>

</html>