<?php
include_once "../include/conecta.php"; //Conecta com a nosso banco de dados MySQL
ini_set('session.gc_maxlifetime', 60*120); session_start();
/* include_once "../include/ver_sessao.php"; //Verifica se a sesso est ativa */
include_once "../include/funcoesPhp.php"; //Inclue a pgina con todas as funes a ser usada.
?>
<?php 
               $os = listar("Select os.Id,
 					os.Lancamento,
 					os.Status,
 					os.Data_Os,
 					os.Obs as 'Obs_Os',
 					os.Valor_Original,
 					os.Valor_Pago,
                                        os.Arquivo,
                                        os.Contato,
                                        os.Id_Unidade,
 					cliente.Titulo as 'Cliente',
 					cliente.Email,
 					cliente.Natureza,
 					cliente.Cpf_Cnpj,
 					cliente.Rua,
                                        cliente.Numero,
 					cliente.Cep,
 					cliente.Bairro,
 					cliente.Estado,
 					cliente.Fone1,
 					cliente.Obs as 'Obs_Cliente',
                                        cidade_ibge.Titulo as Cidade,
 					funcionario.Titulo as 'Funcionario'
 					from os
 					left join (SELECT Id,Titulo,Email,Natureza,Cpf_Cnpj,Rua,Numero,Cep,Bairro,Estado,Fone1,Obs,Id_Cidade FROM cliente) as cliente ON cliente.Id = os.Id_Cliente
                                        left join (SELECT Id,Titulo FROM cidade_ibge) as cidade_ibge ON cidade_ibge.Id = cliente.Id_Cidade
 					left join (SELECT Id,Titulo FROM funcionario) as funcionario ON funcionario.Id = os.Id_Funcionario
 					where os.Id = '".$_GET["id_os"]."'
					order by os.Lancamento DESC");

$_GET["Unidade"] = $os[0]["Id_Unidade"];
?>
<html>
<head>
<title>Gw - Gesto Web</title>
<link rel="stylesheet" type="text/css" href="../estilo/<?php echo SKIN ;?>/tabela_imp.css" />
<script type="text/javascript" language="javascript" src="../js/jquery.js"></script>
<?php include '../include/script_cabeca.php'; ?>
<script type="text/javascript" language="javascript" src="../js/script.js"></script>
</head>
<body>

<table width="98%" align="center"><!-- TABELA Q ENVOLVE TODO O CONTEUDO -->
<tr>
	<td>
		<?php include "../include/cabecalho_relatorio.php"; ?>
	</td>
</tr>
<tr>
	<td>
		<br/>
		<table width="100%" align="center">
			<tr>
                            <td colspan="2" align="center">
                                <font face="verdana" size="3">
                                    <b><i>Recibo</i></b>
                                </font>
                            </td>
			</tr>
			<tr>
                            <td width="55%">
                                <font face="verdana" size="2">
                                    Responsvel: <?php echo $os[0]["Funcionario"];?>
                                </font>
                            </td>
                            <td width="45%">
                                <font face="verdana" size="2">N Ordem: </font>
                                    <b>
                                        <font face="verdana" size="4">
                                            <?php echo $os[0]["Lancamento"];?>
                                        </font>
                                    </b>
                            </td>
			</tr>
		</table>
	</td>
</tr>
<tr>
	<td>
		<table width="100%" align="center" class="tabela">
			<tr>
				<td colspan="2"><i>Dados do Servio</i></td>
			</tr>
			<tr>
				<td colspan="2">Emisso: <?php echo data_exibir($os[0]["Data_Os"]);?></td>
			</tr>
			<tr>
				<td width="70%">Cliente: <?php echo $os[0]["Cliente"];?></td>
				<td width="30%">Fone: <?php echo $os[0]["Fone1"];?></td>
			</tr>
			<tr>
				<td width="70%">End: <?php echo $os[0]["Endereco"];?></td>
				<?php if($os[0]["Natureza"] == "PF"){?>
				<td width="30%">CPF: <?php echo $os[0]["Cpf_Cnpj"];?></td>
				<?php }else{?>
				<td width="30%">CNPJ: <?php echo $os[0]["Cpf_Cnpj"];?></td>
				<?php }?>
			</tr>
			<tr>
				<td width="70%"><?php echo 'Bairro:'.$os[0]["Bairro"].' Cidade:'.
                                                                                $os[0]["Cidade"].' UF:'.
                                                                                $os[0]["Estado"];?></td>
				<td width="30%">CEP: <?php echo $os[0]["Cep"];?></td>
			</tr>
			<tr>
				<td width="70%">Obs: <?php echo $os[0]["Obs_Os"];?></td>
				<td width="30%">Solicitante: <?php echo $os[0]["Contato"];?></td>
			</tr>
		</table>
	</td>
</tr>
<tr>
	<td>
		<table width="100%" align="center" class="tabela">
			<tr>
				<td colspan="14"><i>Produtos</i></td>
			</tr>
			<tr class="azul-claro">
				<td width="3%">N</td>
				<td>Produto</td>
                                <td width="8%">Valor</td>
				<td>Qtd</td>
                                <td >Altura:</td>
                                <td >Largura:</td>
                                <td >Tipo:</td>
                                <td >Lona:</td>
                                <td >Adesivo:</td>
                                <td >Acabamento:</td>
                                <td >Resoluo:</td>
                                <td>Foto:</td>
				<td width="8%">Total</td>
			</tr>
			<?php

               $os_ser = listar("Select DISTINCT os_produto.Id,
                                        os_produto.Preco as 'Preco_Os',
 					os_produto.Qtd as 'Qtd_Os',
 					os_produto.Desconto as 'Desconto_Os',
                                        os_produto.Desconto_Real,
                                        os_produto.Altura,
                                        os_produto.Largura,
                                        os_produto.Tipo,
                                        os_produto.Lona,
                                        os_produto.Adesivo,
                                        os_produto.Acabamento,
                                        os_produto.Impressao,
                                        os_produto.Resolucao,
 					produto.Titulo as 'Produto',
 					produto.Descricao,
 					produto.Codigo,
                                        produto.Foto
 					from os_produto
 					left join (SELECT Id,Titulo,Descricao,Codigo FROM produto) as produto ON produto.Id = os_produto.Id_Produto
 					where os_produto.Id_Os = '".$_GET["id_os"]."' ");

                        $x=1; foreach($os_ser as $chave){?>

			<tr>
				<td><?php echo $x;?></td>
				<td><?php echo $chave["Produto"];?></td>
                                <td><?php echo number_format($chave["Preco_Os"],2,',','.');?></td>
				<td><?php echo $chave["Qtd_Os"];?></td>
				<td><?php echo number_format($chave['Altura'],2,',','.');?></td>
                                <td><?php echo number_format($chave['Largura'],2,',','.');?></td>
                                <td><?php echo $chave['Tipo'];?></td>
                                <td><?php echo $chave['Lona'];?></td>
                                <td><?php echo $chave['Adesivo'];?></td>
                                <td><?php echo $chave['Acabamento'];?></td>
                                <td><?php echo $chave['Resolucao'];?></td>
                                <td>
                                <?php
                                $chave = false;
                                if(file_exists("../produto/fotos/".$os[0]["Codigo"]."/medium/".$os[0]["Foto"]."")){
                                    $chave = true;
                                    echo "<img src=\"../produto/fotos/".$os[0]["Codigo"]."/medium/".$os[0]["Arquivo"]."\"/>";
                                }

                                if(!$chave){
                                    echo 'No h imagem a ser exibida!';
                                }
                                ?>
                                </td>
				<td>
                                    <?php echo number_format( ($chave['Qtd_Os']*$chave['Preco_Os']) ,2,',','.');?>
                                </td>
			</tr>
			<?php
			$Qtd_Os+= $chave["Qtd_Os"];
			$Preco_Os+=$chave["Preco_Os"];
			$Desconto_Os+=$chave["Desconto_Os"];
                        $Desconto_Real+=$chave["Desconto_Real"];
			$Total+=( ($chave["Preco_Os"]*$chave["Qtd_Os"])-
					(($chave["Preco_Os"]*$chave["Qtd_Os"])*($chave["Desconto_Os"]/100)) ) - $chave['Desconto_Real'];
			$x++; }
			?>
			<tr>
				<td colspan="8"></td>
				<td colspan="5">Total:</td>
				<td><?php echo number_format($Total,2,',','.');?></td>
			</tr>
		</table>
	</td>
</tr>
<!--
<tr>
	<td>
		<table width="100%" align="center" class="tabela">
			<tr>
				<td colspan="9"><i>Anexo</i></td>
			</tr>
                        <tr>
				<td colspan="9">
                                <?php
                                $chave = false;
                                if(file_exists("arquivo/".$os[0]["Arquivo"]."")){
                                    $chave = true;
                                    echo "<img src=\"arquivo/".$os[0]["Arquivo"]."\"/>";
                                }

                                if(!$chave){
                                    echo 'No h imagem a ser exibida!';
                                }
                                ?>
                                </td>
			</tr>
		</table>
	</td>
</tr>
-->
<tr>
	<td>
		<table width="100%" align="center" class="tabela">
			<tr>
                            <td colspan="9">
                                <i>
                                    Declaro que as informaes e alteraes que contam neste layout esto de acordo
                                    com o solicitado por mim. Autorizo a grfica Modus realizar o servio tornando-se a mesma
                                    isenta de qualquer responsabilidade por eventual mudana do layout aps a concluso do material.
                                </i>
                            </td>
			</tr>
		</table>
	</td>
</tr>
</table>
<br/><br/>
<table width="98%" align="center">
	<tr>
		<td align="center">________________________</td>
		<td align="center">________________________</td>
	</tr>
	<tr>
		<td align="center"><font face="verdana" size="2"><?php echo $os[0]["Cliente"];?></font></td>
		<td align="center"><font face="verdana" size="2"><?php echo $os[0]["Funcionario"];?></font></td>
	</tr>
</table>

<br>
</body>
</html>
<?php include "../include/rodape.php";?>