<?php
include_once "../include/conecta.php"; //Conecta com a nosso banco de dados MySQL
ini_set('session.gc_maxlifetime', 60*120); session_start();
/* include_once "../include/ver_sessao.php"; //Verifica se a sesso est ativa */
include_once "../include/funcoesPhp.php"; //Inclue a pgina con todas as funes a ser usada.
?>
<?php 
                        $os = listar("SELECT os.Id,
										os.Lancamento,
										os.Status,
										os.Data_Os,
										os.Obs,
										os.Valor_Original,
										os.Valor_Pago,
										os_produto.Preco as 'Preco_Os',
										os_produto.Qtd as 'Qtd_Os',
										os_produto.Desconto as 'Desconto_Os',
                                        os.Contato_Cliente,
                                        os.Id_Unidade,
										produto.Titulo as 'Produto',
										produto.Descricao,
										produto.Codigo,
										cliente.Titulo as 'Cliente',
										cliente.Razao_Social,
										cliente.Email,
										cliente.Natureza,
										cliente.Cpf_Cnpj,
										cliente.Endereco,
                                        cliente.Complemento,
                                        cliente.Ponto_Referencia,
										cliente.Cep,
										cliente.Bairro,
										cliente.Cidade,
										cliente.Estado,
										cliente.Fone1,
                                        cliente.Fone2,
										cliente.Obs as 'Obs_Cliente',
										funcionario.Titulo as 'Funcionario'
										FROM os
										LEFT JOIN os_produto ON os_produto.Id_Os = os.Id
										LEFT JOIN (SELECT Id,Titulo,Descricao,Codigo FROM produto) as produto ON produto.Id = os_produto.Id_Produto
										LEFT JOIN (SELECT Id,Titulo,Razao_Social,Email,Natureza,Cpf_Cnpj,Endereco,Complemento,Ponto_Referencia,Cep,Bairro,Estado,Fone1,Fone2,Obs,Cidade FROM cliente) as cliente ON cliente.Id = os.Id_Cliente
										LEFT JOIN (SELECT Id,Titulo FROM funcionario) as funcionario ON funcionario.Id = os.Id_Vendedor
										WHERE os.Id = '".$_GET["id_os"]."'
										ORDER BY os_produto.Data_Cadastro");

$_GET["Unidade"] = $os[0]["Id_Unidade"];
?>
<html>
<head>
<title>Gw - Gesto Web</title>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1" />
<link rel="shortcut icon" href="../imagem/favi_gw.ico" type="image/x-icon" />
<link rel="stylesheet" type="text/css" href="../estilo/<?php echo SKIN ;?>/tabela_imp.css" />
<script type="text/javascript" language="javascript" src="../js/jquery.js"></script>
<?php include '../include/script_cabeca.php'; ?>
<script type="text/javascript" language="javascript" src="../js/script.js"></script>
<script type="text/javascript" language="javascript" src="../js/meiomask/meiomask.js"></script>
<script type="text/javascript" language="javascript" src="../js/meiomask/<?php if(PAIS=="USA"){ echo "mascaras-usa"; }else{ echo "mascaras"; }?>.js"></script>
<script type="text/javascript" language="javascript">
  window.onload = function(){
    window.print();
  }
</script>
</head>
<body>

<table width="98%" align="center"><!-- TABELA Q ENVOLVE TODO O CONTEUDO -->
<tr>
	<td>
		<?php include "../include/cabecalho_pedido.php"; ?>
	</td>
</tr>
<tr>
	<td>
		<table width="100%" align="center">
			<tr>
                            <td colspan="2" align="center">
                                <font face="verdana" size="3">
                                    <b>
                                        <i>
                                Ordem de Servio - <?php echo $os[0]["Lancamento"];?>
                                <br>
                                <?php if($os[0]["Status"]=='Cancelado'){
                                    echo "(Cancelado)";
                                } ?>
                                        </i>
                                    </b>
                                </font></td>
			</tr>
		</table>
	</td>
</tr>
<tr>
	<td>
                <table width="100%" align="center" class="tabela" style="font-size: 12px">
			<tr>
				<td width="70%">Razo Social: <?php echo $os[0]["Razao_Social"];?></td>
                                <td width="30%">Emisso: <?php echo data_exibir($os[0]["Data_Os"]);?></td>
			</tr>
			<tr>
				<td width="70%">Cliente: <?php echo $os[0]["Cliente"];?></td>
				<td width="30%">Fone: 
                                    <?php
                                        echo $os[0]["Fone1"];
                                        if($os[0]["Fone2"]){
                                            echo " / ".$os[0]["Fone2"];
                                        }
                                    ?>
                                </td>
			</tr>
			<tr>
				<td width="70%">End: <?php echo $os[0]["Endereco"].", ".$os[0]["Complemento"];?></td>
				<?php if($os[0]["Natureza"] == "PF"){?>
				<td width="30%">CPF: <?php echo cpf_exibir($os[0]["Cpf_Cnpj"]);?></td>
				<?php }else{?>
				<td width="30%">CNPJ: <?php echo cnpj_exibir($os[0]["Cpf_Cnpj"]);?></td>
				<?php }?>
			</tr>
			<tr>
				<td width="70%"><?php echo 'Bairro:'.$os[0]["Bairro"].' Cidade:'.$os[0]["Cidade"].' UF:'.
												$os[0]["Estado"];?></td>
				<td width="30%">CEP: <?php echo cep_exibir($os[0]["Cep"]);?></td>
			</tr>
                        <tr>
				<td colspan="2">Ponto Ref: <?php echo $os[0]["Ponto_Referencia"];?></td>
			</tr>
			<tr>
				<td colspan="2">Obs: <?php echo $os[0]["Obs"];?></td>
			</tr>
		</table>
	</td>
</tr>

<tr>
	<td>
		<table width="100%" align="center" class="tabela" style="font-size: 12px">
			<tr>
				<td colspan="9"><i>Produtos para Reparo</i></td>
			</tr>
			<tr class="azul-claro">
				<td>N</td>
				<td>Produto</td>				
				<td>Defeito Apresentado</td>
                                <td>Qtd</td>
                                <td>N Srie</td>
			</tr>
                    <?php
                        $os_prod = listar("Select os_produto_reparo.Id,
                                        os_produto_reparo.Qtd_Reparo,
                                        os_produto_reparo.Defeito_Reparo,
                                        os_produto_reparo.Solucao_Reparo,
                                        os_produto_reparo.Produto_Reparo,
                                        os_produto_reparo.Numero_Serie
                                        from os_produto_reparo
                                        where os_produto_reparo.Id_Os = '".$_GET["id_os"]."' ");

                    ?>
			<?php $x=1; foreach($os_prod as $chave){?>
			<tr>
				<td><?php echo $x;?></td>
				<td><?php echo $chave["Produto_Reparo"];?></td>				
				<td><?php echo $chave["Defeito_Reparo"];?></td>
                                <td><?php echo $chave["Qtd_Reparo"];?></td>
                                <td><?php echo $chave["Numero_Serie"];?></td>
			</tr>
                        <tr>
                            <td colspan="5">Soluo<br/><br/><br/><br/></td>
			</tr>
			<?php
			$Qtd_Os+= $chave["Qtd_Reparo"];
			$x++; }
			?>
			<tr>
				<td colspan="3"></td>
				<td>Totais da Os:</td>
				<td><?php echo $Qtd_Os;?></td>
			</tr>
		</table>
	</td>
</tr>

<!--
<tr>
	<td>
		<table width="100%" align="center" class="tabela">
			<tr>
				<td colspan="8"><i>Produtos</i></td>
			</tr>
			<tr class="azul-claro">
				<td width="3%">N</td>
				<td width="10%">Cdigo</td>
				<td>Produto</td>
				<td width="5%">Qtd</td>
				<td width="8%">Valor</td>
				<td width="8%">Desconto</td>
				<td width="8%">Total</td>
			</tr>
			<?php $x=1; foreach($os as $chave){?>
			<tr>
				<td><?php echo $x;?></td>
				<td><?php echo $chave["Codigo"];?></td>
				<td><?php echo $chave["Produto"];?></td>
				<td><?php echo $chave["Qtd_Os"];?></td>
				<td><?php echo number_format($chave["Preco_Os"],2,',','.');?></td>
				<td><?php echo number_format($chave["Desconto_Os"],2,',','.');?></td>
				<td><?php echo number_format(($chave["Preco_Os"]*$chave["Qtd_Os"])-
					(($chave["Preco_Os"]*$chave["Qtd_Os"])*($chave["Desconto_Os"]/100)),2,',','.');?></td>
			</tr>
			<?php
			$Qtd_Os+= $chave["Qtd_Os"];
			$Preco_Os+=$chave["Preco_Os"];
			$Desconto_Os+=$chave["Desconto_Os"];
			$Total+=($chave["Preco_Os"]*$chave["Qtd_Os"])-
					(($chave["Preco_Os"]*$chave["Qtd_Os"])*($chave["Desconto_Os"]/100));
			$x++; }
			?>
			<tr>
				<td colspan="3"></td>
				<td>Totais da Os:</td>
				<td><?php echo $Qtd_Os;?></td>
				<td><?php echo number_format($Preco_Os,2,',','.');?></td>
				<td><?php echo number_format($Desconto_Os/($x-1),2,',','.');?></td>
				<td><?php echo number_format($Total,2,',','.');?></td>
			</tr>
		</table>
	</td>
</tr>
-->
<!--
<?php 
                $os_parcela = listar("Select os.Id,
					conta_pagar.Lancamento,
					conta_pagar.Data_Vencimento,
					conta_pagar.Valor_Original, 
 					tipo_pagamento.Titulo as 'Tipo_Pagamento'
 					from os
 					left join tipo_pagamento ON tipo_pagamento.Id = os.Id_Tipo_Pagamento
 					left join os_conta_pagar ON os.Id = os_conta_pagar.Id_Os
 					left join conta_pagar ON os_conta_pagar.Id_Conta_Pagar = conta_pagar.Id
 					where os.Id = '".$_GET["id_os"]."'
					order by os.Lancamento DESC");

?>
<tr>
	<td>
		<table width="100%" align="center" class="tabela">
			<tr>
				<td colspan="4"><i>Parcelas</i></td>
			</tr>
			<tr class="azul-claro">
				<td>N</td>
				<td>Vencimento</td>
				<td>Valor</td>
				<td>Tipo</td>
			</tr>
			<?php $x=1; foreach($os_parcela as $chave){?>
			<tr>
				<td><?php echo $x;?></td>
				<td><?php echo data_exibir($chave["Data_Vencimento"])?></td>
				<td><?php echo number_format($chave["Valor_Original"],2,',','.')?></td>
				<td><?php echo $chave["Tipo_Pagamento"]?></td>
			</tr>
			<?php $x++; }?>
		</table>
	</td>
</tr>
-->
</table>
<br/>
<table width="98%" align="center">
	<tr>
		<td align="center">________________________</td>
		<td align="center">________________________</td>
	</tr>
	<tr>
		<td align="center"><font face="verdana" size="2"><?php echo $os[0]["Cliente"];?></font></td>
		<td align="center"><font face="verdana" size="2">Representante: <?php echo $os[0]["Funcionario"];?></font></td>
	</tr>
</table>
<!--
<table width="98%" align="center">
	<tr>
		<td align="center">________________________</td>
	</tr>
	<tr>
		<td align="center"><font face="verdana" size="2"><?php echo $os[0]["Cliente"];?></font></td>
	</tr>
</table>
-->
</body>
</html>
<?php include "../include/rodape.php";?>