<?php
include_once "../include/conecta.php"; //Conecta com a nosso banco de dados MySQL
ini_set('session.gc_maxlifetime', 60 * 120);
session_start();
/* include_once "../include/ver_sessao.php"; //Verifica se a sesso est ativa */
include_once "../include/funcoesPhp.php"; //Inclue a pgina con todas as funes a ser usada.
?>
<?php
$os = listar("SELECT os.Id,
 					os.Lancamento,
 					os.Status,
 					os.Data_Os,
                    os.Data_Conclusao,
 					os.Obs as 'Obs_Os',
 					os.Valor_Original,
 					os.Valor_Pago,
 					os_produto.Preco as 'Preco_Os',
 					os_produto.Qtd as 'Qtd_Os',
 					os_produto.Desconto as 'Desconto_Os',
                    os.Contato_Cliente,
                    os.Id_Unidade,
                    os.Tipo_Os,
                    os.Os_Fornecedor,
 					produto.Titulo as 'Produto',
 					produto.Descricao,
 					produto.Codigo,
 					cliente.Titulo as 'Cliente',
                    cliente.Razao_Social,
 					cliente.Email,
 					cliente.Natureza,
 					cliente.Cpf_Cnpj,
 					cliente.Endereco,
                    cliente.Complemento,
                    cliente.Ponto_Referencia,
 					cliente.Cep,
 					cliente.Bairro,
 					cliente.Cidade,
 					cliente.Estado,
 					cliente.Fone1,
                    cliente.Fone2,
 					cliente.Obs as 'Obs_Cliente',
 					funcionario.Titulo as 'Funcionario'
 					from os
 					left join os_produto ON os_produto.Id_Os = os.Id
 					left join (SELECT Id,Titulo,Descricao,Codigo FROM produto) as produto ON produto.Id = os_produto.Id_Produto
 					left join (SELECT Id,Titulo,Razao_Social,Email,Natureza,Cpf_Cnpj,Endereco,Complemento,Ponto_Referencia,Cep,Bairro,Estado,Fone1,Fone2,Obs,Cidade FROM cliente) as cliente ON cliente.Id = os.Id_Cliente
 					left join (SELECT Id,Titulo FROM funcionario) as funcionario ON funcionario.Id = os.Id_Vendedor
 					where os.Id = '" . $_GET["id_os"] . "'
					ORDER BY os_produto.Data_Cadastro");

$_GET["Unidade"] = $os[0]["Id_Unidade"];
?>
<html>

<head>
    <title>Gw - Gesto Web</title>
    <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1" />
    <link rel="shortcut icon" href="../imagem/favi_gw.ico" type="image/x-icon" />
    <link rel="stylesheet" type="text/css" href="../estilo/<?php echo SKIN; ?>/tabela_imp.css" />
    <script type="text/javascript" language="javascript" src="../js/jquery.js"></script>
    <?php include '../include/script_cabeca.php'; ?>
    <script type="text/javascript" language="javascript" src="../js/script.js"></script>
    <script type="text/javascript" language="javascript" src="../js/meiomask/meiomask.js"></script>
    <script type="text/javascript" language="javascript" src="../js/meiomask/<?php if (PAIS == "USA") {
                                                                                    echo "mascaras-usa";
                                                                                } else {
                                                                                    echo "mascaras";
                                                                                } ?>.js"></script>
    <script type="text/javascript" language="javascript">
        //window.onload = function(){
        //window.print();
        //};
    </script>
</head>

<body>

    <table width="98%" align="center">
        <!-- TABELA Q ENVOLVE TODO O CONTEUDO -->
        <?php
        if (CLIENTE_EMAIL == 'coffeebar') {
            $_GET["Unidade"] = '3';
        }

        $empresa = listar("Select Logo,Titulo,Razao_Social,Cnpj,Rua,Numero,
                                Bairro,Cidade,Estado,Cep,Fone1,Fone2,Email,Site
                                from unidade where Id = '" . $_GET["Unidade"] . "' ");
        ?>
        <tr>
            <td>
                <table width="100%" align="center">
                    <tr>
                        <td rowspan="2" style='font-variant:small-caps; border-top: 2px solid #363636;' width="20%">
                            <?php
                            if (file_exists("../unidade/foto/" . $empresa[0]["Logo"] . "")) {
                                $cam_arq = "../unidade/foto/" . $empresa[0]["Logo"];
                            } else {
                                $cam_arq = "../../unidade/foto/" . $empresa[0]["Logo"];
                            }
                            ?>
                            <img src="<?php echo $cam_arq; ?>" title="Logo" alt="Logo" border="0" width="160px" height="auto" />
                        </td>
                        <td style='font-variant:small-caps; border-top: 2px solid #363636;' align="center">
                            <span style='font-variant:small-caps;font-size: 10px'>
                                |
                                <?php echo $empresa[0]["Rua"] . ", " . $empresa[0]["Numero"] . " - " . $empresa[0]["Bairro"] . " - " . $empresa[0]["Cidade"] . " - " . $empresa[0]["Estado"]; ?>
                                | <br>
                                | <?php echo $empresa[0]["Fone1"]; ?> | <?php echo $empresa[0]["Email"]; ?> |
                            </span>
                        </td>
                        <td rowspan="2" style='border-top: 2px solid #363636;font-size: 12px; background-color: #ccc' align="center">
                            <span style='font-variant:small-caps;font-size: 10px'>Mapa Separao <br /></span>
                            <span style='font-size: 24px'>
                                <b><?php echo str_pad($os[0]["Lancamento"], 5, "0", STR_PAD_LEFT); ?></b>
                            </span>
                            <br />
                        </td>
                    </tr>
                </table>
            </td>
        </tr>
        <tr>
            <td heigth="10"></td>
        </tr>
        <tr>
            <td>
                <table width="100%" align="center" style="font-family: verdana">
                    <tr>
                        <td colspan="2" style='font-variant:small-caps; border-bottom: 2px solid #363636;'>
                            <b>Cliente</b>
                            <span style="float: right;font-size: 12px">
                                <?php
                                if ($os[0]["Os_Fornecedor"]) {
                                    echo "OS Fornecedor: " . $os[0]["Os_Fornecedor"];
                                }
                                ?>
                            </span>
                        </td>
                    </tr>
                    <tr>
                        <td width="70%" style='border-bottom: 1px solid #737373;border-right: 1px solid #737373;font-size: 12px'>
                            <span style='font-variant:small-caps;font-size: 10px'>Fantasia / Razo Social <br /></span>
                            <?php echo $os[0]["Cliente"] . " / " . $os[0]["Razao_Social"]; ?>
                        </td>
                        <td width="30%" style='border-bottom: 1px solid #737373;font-size: 12px'>
                            <span style='font-variant:small-caps;font-size: 10px'>Emisso <br /></span>
                            <?php echo data_exibir($os[0]["Data_Os"]); ?>
                        </td>
                    </tr>
                    <tr>
                        <td width="70%" style='border-bottom: 1px solid #737373;border-right: 1px solid #737373;font-size: 12px'>
                            <span style='font-variant:small-caps;font-size: 10px'>Reclamante <br /></span>
                            <?php echo ($os[0]["Contato_Cliente"] != '') ? $os[0]["Contato_Cliente"] : "-"; ?>
                        </td>
                        <td width="30%" style='border-bottom: 1px solid #737373;font-size: 12px'>
                            <span style='font-variant:small-caps;font-size: 10px'>Fone <br /></span>
                            <?php
                            echo $os[0]["Fone1"];
                            if ($os[0]["Fone2"]) {
                                echo " / " . $os[0]["Fone2"];
                            }
                            ?>
                        </td>
                    </tr>
                    <tr>
                        <td width="70%" style='border-bottom: 1px solid #737373;border-right: 1px solid #737373;font-size: 12px'>
                            <span style='font-variant:small-caps;font-size: 10px'>Endereo <br /></span>
                            <?php echo $os[0]["Endereco"] . ", " . $os[0]["Complemento"]; ?>
                        </td>

                        <?php if ($os[0]["Natureza"] == "PF") { ?>
                            <td width="30%" style='border-bottom: 1px solid #737373;font-size: 12px'>
                                <span style='font-variant:small-caps;font-size: 10px'>CPF <br /></span>
                                <?php echo cpf_exibir($os[0]["Cpf_Cnpj"]); ?>
                            </td>
                        <?php } else { ?>
                            <td width="30%" style='border-bottom: 1px solid #737373;font-size: 12px'>
                                <span style='font-variant:small-caps;font-size: 10px'>CNPJ <br /></span>
                                <?php echo cnpj_exibir($os[0]["Cpf_Cnpj"]); ?>
                            </td>
                        <?php } ?>
                    </tr>
                    <tr>
                        <td width="70%" style='border-bottom: 1px solid #737373;border-right: 1px solid #737373;font-size: 12px'>
                            <span style='font-variant:small-caps;font-size: 10px'>Bairro / Cidade / UF <br /></span>
                            <?php echo $os[0]["Bairro"] . " / " . $os[0]["Cidade"] . " / " . $os[0]["Estado"]; ?>
                        </td>
                        <td width="30%" style='border-bottom: 1px solid #737373;font-size: 12px'>
                            <span style='font-variant:small-caps;font-size: 10px'>CEP <br /></span>
                            <?php echo cep_exibir($os[0]["Cep"]); ?>
                        </td>
                    </tr>
                    <tr>
                        <td colspan="2" style='border-bottom: 1px solid #737373;font-size: 12px'>
                            <span style='font-variant:small-caps;font-size: 10px'>Ponto Referncia <br /></span>
                            <?php echo ($os[0]["Ponto_Referencia"] != '') ? $os[0]["Ponto_Referencia"] : "-"; ?>
                        </td>
                    </tr>
                </table>
            </td>
        </tr>

        <tr>
            <td>
                <table width="100%" align="center" style="font-family: verdana">
                    <tr>
                        <td colspan="9" style='font-variant:small-caps; border-bottom: 2px solid #363636;'>
                            <b>Equipamentos</b>
                            <span style="float: right;font-size: 12px">
                                <?php
                                if ($os[0]["Tipo_Os"] == 'Maquina_Cliente') {
                                    echo "Mquina do Cliente";
                                }
                                if ($os[0]["Tipo_Os"] == 'Maquina_Propria') {
                                    echo "Mquina Em Comodato";
                                }
                                if ($os[0]["Tipo_Os"] == 'Maquina_Garantia') {
                                    echo "Mquina em Garantia";
                                }
                                ?>
                            </span>
                        </td>
                    </tr>
                    <?php
                    $os_prod = listar("SELECT os_produto_reparo.Id,
                                        os_produto_reparo.Defeito_Reparo,
                                        os_produto_reparo.Solucao_Reparo,
                                        os_produto_reparo.Produto_Reparo,
                                        os_produto_reparo.Numero_Serie,
                                        os_produto_reparo.Falta_Peca,
                                        produto.Codigo,
                                        produto.Titulo as Produto
                                        from os_produto_reparo
                                        LEFT JOIN (SELECT Id,Titulo,Codigo FROM produto) as produto ON produto.Id = os_produto_reparo.Produto_Reparo
                                        where os_produto_reparo.Id_Os = '" . $_GET["id_os"] . "' ");

                    ?>
                    <?php $x = 1;
                    foreach ($os_prod as $chave) { ?>
                        <tr>
                            <td style='border-bottom: 1px solid #737373;border-right: 1px solid #737373;font-size: 12px'>
                                <span style='font-variant:small-caps;font-size: 10px'>N <br /></span>
                                <?php echo $x; ?>
                            </td>
                            <td style='border-bottom: 1px solid #737373;border-right: 1px solid #737373;font-size: 12px'>
                                <span style='font-variant:small-caps;font-size: 10px'>Produto <br /></span>
                                <?php
                                if (empty($chave['Produto'])) {
                                    echo $chave['Produto_Reparo'];
                                } else {
                                    echo $chave['Codigo'] . " - " . $chave['Produto'];
                                }
                                ?>
                            </td>
                            <td style='border-bottom: 1px solid #737373;font-size: 12px'>
                                <span style='font-variant:small-caps;font-size: 10px'>Srie <br /></span>
                                <?php echo ($chave["Numero_Serie"] != '') ? $chave["Numero_Serie"] : "-"; ?>
                            </td>
                        </tr>
                        <?php if ($chave["Falta_Peca"]) { ?>
                            <tr>
                                <td colspan="3" style='border-bottom: 1px solid #737373;font-size: 12px'>
                                    <span style='font-variant:small-caps;font-size: 10px'>Produto Faltando Pea <br /></span>
                                    <?php echo $chave["Falta_Peca"]; ?>
                                </td>
                            </tr>
                        <?php } ?>
                        <tr>
                            <td colspan="3" style='border-bottom: 1px solid #737373;font-size: 12px'>
                                <span style='font-variant:small-caps;font-size: 10px'>Defeito Reclamado <br /></span>
                                <?php echo ($chave["Defeito_Reparo"] != '') ? $chave["Defeito_Reparo"] : "-"; ?>
                            </td>
                        </tr>
                        <tr>
                            <td colspan="3" style='border-bottom: 1px solid #737373;font-size: 12px'>
                                <span style='font-variant:small-caps;font-size: 10px'>Soluo <br /></span>
                                <?php echo ($chave["Solucao_Reparo"] != '') ? $chave["Solucao_Reparo"] : "-"; ?>
                            </td>
                        </tr>
                    <?php
                        $x++;
                    }
                    ?>

                    <?php
                    if ($chave["Produto_Reparo"] == '') {
                    ?>
                        <tr>
                            <td style='border-bottom: 1px solid #737373;border-right: 1px solid #737373;font-size: 12px' width="70%">
                                <span style='font-variant:small-caps;font-size: 10px'>Produto <br /></span>
                                <br />
                            </td>
                            <td style='border-bottom: 1px solid #737373;font-size: 12px' width="30%">
                                <span style='font-variant:small-caps;font-size: 10px'>Srie <br /></span>
                                <br />
                            </td>
                        </tr>
                        <tr>
                            <td colspan="2" style='border-bottom: 1px solid #737373;font-size: 12px'>
                                <span style='font-variant:small-caps;font-size: 10px'>Defeito Reclamado <br /></span>
                                <br /><br /><br /><br /><br /><br /><br />
                            </td>
                        </tr>
                        <tr>
                            <td colspan="2" style='border-bottom: 1px solid #737373;font-size: 12px'>
                                <span style='font-variant:small-caps;font-size: 10px'>Soluo <br /></span>
                                <br /><br /><br /><br /><br /><br /><br /><br />
                            </td>
                        </tr>
                    <?php } ?>

                </table>
            </td>
        </tr>

        <tr>
            <td>
                <table width="100%" align="center" style="font-family: verdana">
                    <tr>
                        <td colspan="9" style='font-variant:small-caps; border-bottom: 2px solid #363636;'><b>Peas e
                                Servios</b></td>
                    </tr>

                    <?php
                    $os_pro = listar("SELECT DISTINCT os_produto.Id,
                                        os_produto.Preco as 'Preco_Os',
                                        os_produto.Qtd as 'Qtd_Os',
                                        os_produto.Desconto as 'Desconto_Os',
                                        os_produto.Desconto_Real,
                                        produto.Titulo as 'Produto',
                                        produto.Descricao,
                                        produto.Codigo
                                        from os_produto
                                        left join (SELECT Id,Titulo,Descricao,Codigo FROM produto) as produto ON produto.Id = os_produto.Id_Produto
                                        where os_produto.Id_Os = '" . $_GET["id_os"] . "'
                                        ORDER BY os_produto.Data_Cadastro");

                    $x = 1;
                    $Qtd_Os = '0';
                    foreach ($os_pro as $chave) { ?>

                        <tr>
                            <td width="3%" style='border-bottom: 1px solid #737373;border-right: 1px solid #737373;font-size: 12px'>
                                <span style='font-variant:small-caps;font-size: 10px'>N <br /></span>
                                <?php echo $x; ?>
                            </td>
                            <td width="10%" style='border-bottom: 1px solid #737373;border-right: 1px solid #737373;font-size: 12px'>
                                <span style='font-variant:small-caps;font-size: 10px'>Cdigo <br /></span>
                                <?php echo $chave["Codigo"]; ?>
                            </td>
                            <td style='border-bottom: 1px solid #737373;border-right: 1px solid #737373;font-size: 12px'>
                                <span style='font-variant:small-caps;font-size: 10px'>Produto <br /></span>
                                <?php echo $chave["Produto"]; ?>
                            </td>
                            <td width="5%" style='border-bottom: 1px solid #737373;border-right: 1px solid #737373;font-size: 12px'>
                                <span style='font-variant:small-caps;font-size: 10px'>Qtd <br /></span>
                                <?php echo $chave["Qtd_Os"]; ?>
                            </td>
                        </tr>

                    <?php
                        $Qtd_Os += $chave["Qtd_Os"];
                        $x++;
                    }
                    ?>
                    <?php
                    if ($chave["Codigo"] == '') {
                        for ($i = 1; $i <= 4; $i++) {
                    ?>

                            <tr>
                                <td width="3%" style='border-bottom: 1px solid #737373;border-right: 1px solid #737373;font-size: 12px'>
                                    <span style='font-variant:small-caps;font-size: 10px'>N <br /></span>
                                    <?php echo $i; ?>
                                </td>
                                <td width="10%" style='border-bottom: 1px solid #737373;border-right: 1px solid #737373;font-size: 12px'>
                                    <span style='font-variant:small-caps;font-size: 10px'>Cdigo <br /></span>
                                    <br />
                                </td>
                                <td style='border-bottom: 1px solid #737373;border-right: 1px solid #737373;font-size: 12px'>
                                    <span style='font-variant:small-caps;font-size: 10px'>Produto <br /></span>
                                    <br />
                                </td>
                                <td width="5%" style='border-bottom: 1px solid #737373;border-right: 1px solid #737373;font-size: 12px'>
                                    <span style='font-variant:small-caps;font-size: 10px'>Qtd <br /></span>
                                    <br />
                                </td>
                                <td width="10%" style='border-bottom: 1px solid #737373;border-right: 1px solid #737373;font-size: 12px'>
                                    <span style='font-variant:small-caps;font-size: 10px'>Valor <br /></span>
                                    <br />
                                </td>
                                <td width="10%" style='border-bottom: 1px solid #737373;font-size: 12px'>
                                    <span style='font-variant:small-caps;font-size: 10px'>Total <br /></span>
                                    <br />
                                </td>
                            </tr>

                    <?php }
                    } ?>


                </table>
            </td>
        </tr>

        <tr>
            <td>
                <table width="100%" align="center" style="font-family: verdana">
                    <tr>
                        <td colspan="4" style='font-variant:small-caps; border-bottom: 2px solid #363636;'>
                            <b>Responsvel</b>
                        </td>
                    </tr>
                    <tr>
                        <td width="25%" style='border-bottom: 1px solid #737373;border-right: 1px solid #737373;font-size: 12px'>
                            <span style='font-variant:small-caps;font-size: 10px'>Tcnico <br /></span>
                            <?php echo $os[0]["Funcionario"]; ?>
                        </td>
                        <td width="25%" style='border-bottom: 1px solid #737373;border-right: 1px solid #737373;font-size: 12px'>
                            <span style='font-variant:small-caps;font-size: 10px'>Hora Chegada <br /></span>
                            &nbsp;
                        </td>
                        <td width="25%" style='border-bottom: 1px solid #737373;border-right: 1px solid #737373;font-size: 12px'>
                            <span style='font-variant:small-caps;font-size: 10px'>Data Resoluo <br /></span>
                            <?php echo ($os[0]["Data_Conclusao"] == '0000-00-00') ? "&nbsp;" : data_exibir($os[0]["Data_Conclusao"]); ?>
                        </td>
                        <td width="25%" style='border-bottom: 1px solid #737373;font-size: 12px'>
                            <span style='font-variant:small-caps;font-size: 10px'>Tempo Resoluo <br /></span>
                            &nbsp;
                        </td>
                    </tr>
                    <tr>
                        <td rowspan="2" colspan="2" style='border-bottom: 1px solid #737373;border-right: 1px solid #737373;font-size: 12px'>
                            <span style='font-variant:small-caps;font-size: 10px'>Observaes <br /></span>
                            <?php echo ($os[0]["Obs_Os"] != '') ? $os[0]["Obs_Os"] : "-<br/><br/><br/>"; ?>
                        </td>
                        <td colspan="2" style='border-bottom: 1px solid #737373;font-size: 12px'>
                            <span style='font-variant:small-caps;font-size: 10px'>Ass Tcnico <br /></span>
                            &nbsp;
                        </td>
                    </tr>
                </table>
            </td>
        </tr>


    </table>
</body>

</html>
<?php include "../include/rodape.php"; ?>