<?php
include_once '../include/conecta.php'; //Conecta com a nosso banco de dados MySQL
include_once '../include/ver_sessao.php'; //Verifica se a sesso est ativa
include_once '../include/funcoesPhp.php';
include_once '../menu_movimento.php';
$modulo_lista = 'Cliente';
include '../include/sessao_lista.php';
?>
<?php
$menu = mysqli_query($con, "select permissao.Relatorio,
                                    permissao.Cadastrar,
                                    permissao.Alterar,
                                    permissao.Deletar
                                    from permissao
                                    inner join menu_usuario ON menu_usuario.Id_Menu = permissao.Id_Menu
                                    where menu_usuario.Id_Responsavel='" . $_SESSION["Id"] . "' 
                                    and permissao.Id_Responsavel='" . $_SESSION["Id"] . "'
                                    and permissao.Id_Menu = '231' ");
$menu = mysqli_fetch_assoc($menu);
?>
<?php
if ($_GET["Ordenar"]) {

    if ($_GET["Ordenar"] == 'cliente.Codigo') {
        $Ordenar1 = " ORDER BY abs(cliente.Codigo) ";
    } else {
        $Ordenar1 = " ORDER BY " . $_GET["Ordenar"] . " ";
    }
} else {
    $Ordenar1 = " ORDER BY cliente.Titulo ";
}
if ($_GET['Ordem_Lista'] == 'Desc') {
    $Ordem_Lista1 = ' DESC ';
} else {
    $Ordem_Lista1 = ' ASC ';
}


if ($_GET['Pesq']) {

    if ($_GET["Ordenar"] == 'cliente.Fone1') {
        $pesquisa = " AND (cliente.Fone1 like '%" . $_GET['Pesq'] . "%' OR
                           cliente.Fone2 like '%" . $_GET['Pesq'] . "%' OR
                           cliente.Fone3 like '%" . $_GET['Pesq'] . "%' ) ";
    } else {
        $pesquisa = " AND " . $_GET['Ordenar'] . " like '%" . $_GET['Pesq'] . "%' ";
    }
}

//se o sistema for Multi Empresa
if (MULTI_EMPRESA == "Sim") {

    //se o usuario no for master ele vai para sua empresa
    if (ESCOLHER_EMPRESA == 'Sim') {

        if ($_GET["Unidade"])
            $unidade = "AND cliente.Id_Unidade = '" . $_GET["Unidade"] . "' ";
    } else {
        $unidade = "AND cliente.Id_Unidade = '" . $_SESSION["Unidade"] . "' ";
    }
} else {
    $unidade = "AND cliente.Id_Unidade = '" . $_SESSION["Unidade"] . "' ";
}


/* Inicio dos parmetros da Paginao */

/* varivel com o cdigo SQL da consulta ao banco de dados */
$_pagi_sql = "SELECT cliente.Id,
                        cliente.Titulo,
                        cliente.Razao_Social,
                        cliente.Fone1,
                        cliente.Email,
                        cliente.Natureza,
                        cliente.Codigo,
                        cliente.Cpf_Cnpj,
                        cliente.Ativo,
                        cliente.Cidade,
                        status_historico.Titulo as Historico,
                        categoria_cliente.Titulo as Categoria,
                        cliente_contato.Titulo_Contato
			FROM cliente
                        left join (SELECT Id, Titulo FROM categoria_cliente) as categoria_cliente ON cliente.Id_Categoria_Cliente = categoria_cliente.Id
                        left join (SELECT Id, Titulo FROM status_historico) as status_historico ON cliente.Id_Status_Historico = status_historico.Id
                        left join (SELECT Id, Titulo_Contato, Id_Cliente FROM cliente_contato) as cliente_contato ON cliente.Id = cliente_contato.Id_Cliente
                        WHERE Tipo_Cliente = 'Cliente' $unidade
                $pesquisa $Ordenar1 $Ordem_Lista1";

/* pagina fora que contem todas as opcoes do paginator */
include_once '../include/paginator_opcao.php';
include_once '../include/paginator.inc.php'; //incluindo o script de paginao PAGINATOR
/* Paginao na listagem dos clientes. Apenas nos arquivos listar.
 * Inclue-se depois que passa os parmetros da funo
 * seus resultados so aparentementes satisfatrio
 * */
?>
<html>
    <head>
        <title>Gw - Gesto Web</title>
        <link rel="stylesheet" type="text/css" href="../estilo/<?php echo SKIN; ?>/listless.css" />
        <script type="text/javascript" language="javascript" src="../js/jquery.js"></script>
<?php include '../include/script_cabeca.php'; ?>
        <script type="text/javascript" language="javascript" src="../js/script.js"></script>
        <script type="text/javascript" language="javascript">
            function submeteFiltro(valor) {
                document.forms['ordenar'].submit();
            }
        </script>
    </head>
    <body>
        <!-- Centro -->
        <div id="centro">
            <!-- Contedo -->
            <div id="conteudo" class="ajustar">

                <div class="titulo">
                    <span>Pacientes</span>
                    <form name="pesquisa" method="get" action="">
                        <span class="inputs">
<?php echo $_pagi_info; ?>
                            <!--
                                <label for="Pesq">Busca:</label>
                                <input type="text" name="Pesq" size="30" value="<?php echo $_GET['Pesq']; ?>" >
                                <input name="Pesquisar" type="image" value="Pesquisar" src="../imagem/seta-dir.png" alt="Ir" title="Ir" >
                            -->
                        </span>
                    </form>
                </div>
                <!-- Navegao -->
                <div class="botoes_cima">
                    <a href="javascript:void(0);" class="voltar" alt="Voltar" title="Voltar" onclick="javascript:history.back(1);">Voltar</a>

<?php if ($menu["Relatorio"] == "Sim") { ?>
                        <a href="list_relatorio.php" alt="Relatrio" title="Relatrio" class="relatorio">Relatrio</a>
                    <?php } ?>

                    <?php if ($menu["Cadastrar"] == "Sim") { ?>
                        <a href="cad_paciente.php?acao=entrar" alt="Cadastrar" title="Cadastrar" class="incluir">Cadastrar</a>
                    <?php } ?>

                    <form name="ordenar" method="get" action="">
                        <span class="ordenar_por">

<?php
if (MULTI_EMPRESA == "Sim") {
    if (ESCOLHER_EMPRESA == 'Sim') {
        ?>
                                    <label for="Pesq">Empresa:</label>
                                    <?php
                                    echo select_banco("SELECT Id,Titulo FROM unidade WHERE Ativo='Sim' ORDER BY Titulo",
                                            "Unidade", "Unidade", $_GET["Unidade"], "onchange='submeteFiltro(this.value)'", "");
                                    ?>
                                    <?php
                                } else {
                                    echo "<input type='hidden' name='Unidade' id='Unidade' value='" . $_SESSION["Unidade"] . "' >";
                                }
                            } else {
                                echo "<input type='hidden' name='Unidade' id='Unidade' value='" . $_SESSION["Unidade"] . "' >";
                            }
                            ?>
                            <label for="Pesq">Busca:</label>
                            <input type="text" name="Pesq" size="30" value="<?php echo $_GET['Pesq']; ?>" >
                            <label for="Pesq">Ordenar Por:</label> <?php
                            if (CLIENTE_MANUAL == 'No') {
                                $vetor = array('cliente.Titulo' => 'Nome',
                                    'cliente.Codigo' => 'Cdigo',
                                    'cliente.Fone1' => 'Fone',
                                    'cliente.Cidade' => 'Cidade',
                                    'cliente_contato.Titulo_Contato' => 'Dependente',
                                    'cliente.Matricula' => 'Matrcula');
                            } else {
                                $vetor = array('cliente.Titulo' => 'Nome',
                                    'cliente.Codigo' => 'Cdigo',
                                    'cliente.Fone1' => 'Fone',
                                    'cliente.Cidade' => 'Cidade',
                                    'cliente_contato.Titulo_Contato' => 'Contato',
                                    'cliente.Matricula' => 'Matrcula');
                            }
                            select_tela("Ordenar", "Ordenar", $_GET["Ordenar"], $vetor, "onchange='submeteFiltro(this.value)'");
                            ?>
                            <?php
                            $vetor = array('Asc' => 'Crescente', 'Desc' => 'Decrescente');
                            select_tela("Ordem_Lista", "Ordem_Lista", $_GET["Ordem_Lista"], $vetor, "onchange='submeteFiltro(this.value)'");
                            ?>
                        </span>
                    </form>
                    <!-- Fim Navegao -->
                </div>

                <table id="lista">
                    <thead>
                        <tr>
                            <td>Cdigo</td>
                            <td>Paciente</td>
                            <td>Fone</td>
                            <td>E-mail</td>
                            <td>Cidade</td>
                            <td>Dependentes</td>
                            <td>Histrico</td>
                            <td>Opes</td>
                        </tr>
                    </thead>
                    <tfoot>
                        <tr>
                            <td colspan="12"><div id="paginacao"><p><?php echo $_pagi_navegacion; ?></p></div></td>
                        </tr>
                    </tfoot>
                    <tbody>
<?php
$color = "#F5F5F5";
while ($linha = mysqli_fetch_assoc($_pagi_result)) {
    if ($color == "#F5F5F5") {
        $color = "#E8E8E8";
        $cass = "";
    } else {
        $color = "#F5F5F5";
        $cass = "class='azul'";
    }
    ?>
                            <tr <?php echo "$cass"; ?> >
                                <td>
    <?php
    echo $linha['Codigo'];

    if ($linha['Ativo'] == "No") {
        echo '&nbsp;&nbsp;<img src="../imagem/farol_cinza.png" title="Ativo" alt="Ativo" border="0" class="img_farol"/>';
    }
    ?>
                                </td>
                                <td><?php echo $linha["Titulo"]; ?></td>
                                <td><?php echo $linha["Fone1"]; ?></td>
                                <td><?php echo $linha['Email']; ?></td>
                                <td><?php echo $linha['Cidade']; ?></td>
    <?php
    $cod_auto1 = mysqli_query($con, "SELECT cliente.Titulo,
                                    cliente.Fone1
                                    FROM (SELECT Id,Titulo,Fone1,Id_Cliente_Pai FROM cliente WHERE Tipo_Cliente='Dependente') as cliente
                                    WHERE cliente.Id_Cliente_Pai = '" . $linha['Id'] . "' ");
    $ex_fun = '';
    while ($valor = mysqli_fetch_assoc($cod_auto1)) {
        $ex_fun .= $valor["Titulo"] . ' - ' . $valor["Fone1"] . "<br>";
    }
    ?>
                                <td><?php echo $ex_fun; ?></td>
                                <td><?php echo $linha['Historico']; ?></td>
                                <td>
                                    <a href='ver_paciente.php?id_cliente=<?php echo $linha['Id']; ?>'><img src="../imagem/bt_visualizar.png" alt="Visualizar" border="0" title="Visualizar"></a>

    <?php
    if ($menu["Alterar"] == "Sim") {
        $link3 = "cad_paciente.php?id_cliente=" . $linha['Id'] . "&acao=alterar";
        $figura3 = "../imagem/bt_editar.png";
        ?>
                                        <a href='<?php echo $link3; ?>'><img src="<?php echo $figura3; ?>" title="Alterar" alt="Alterar" border="0" /></a>
                                    <?php } ?>

                                    <a href="javascript:void();"
                                       onclick="window.open('historico.php?id_cliente=<?php echo $linha['Id']; ?>', 'AbrirPopUP', 'width=800,height=800,top=0,left=0,scrollbars=yes')">
                                        <img border="0" src="../imagem/bt_historico.png" title="Histrico" alt="Histrico"/></a>

                                    <a href="javascript:void();"
                                       onclick="window.open('produto_vendido.php?id_cliente=<?php echo $linha['Id']; ?>', 'Servico', 'width=900,height=800,top=0,left=0,scrollbars=yes')">
                                        <img border="0" src="../imagem/estoque.png" title="Servios Cliente" alt="Servios Cliente"/></a>

                                    <a href="javascript:void();"
                                       onclick="window.open('anexo.php?id_cliente=<?php echo $linha['Id']; ?>', 'Anexos', 'width=700,height=600,top=0,left=0,scrollbars=yes')">
                                        <img border="0" src="../imagem/anexo.png" title="Anexos" alt="Anexos" width="16" height="16"/></a>

                                    <a href="javascript:void();"
                                       onclick="window.open('enviar_email.php?id_cliente=<?php echo $linha['Id']; ?>', 'AbrirPopUP', 'width=700,height=600,top=0,left=0,scrollbars=yes')">
                                        <img src="../imagem/enviar-email.png" title="Enviar Email" alt="Enviar Email" border="0"/></a>

    <?php
    if ($menu["Deletar"] == "Sim") {
        $link4 = "deletar('" . $linha["Id"] . "', 'del_paciente.php?id_cliente=');";
        $figura4 = "../imagem/bt_excluir.png";
        ?>
                                        <a href='javascript:void(0);'><img src="<?php echo $figura4; ?>" alt="Excluir" border="0" title="Excluir"
                                                                           onclick="<?php echo $link4; ?>" /></a>
    <?php } ?>
                                </td>
                            </tr>
<?php } ?>
                    </tbody>
                </table>
                <!-- Navegao Inferior -->
                <div class="botoes_baixo">            

                    <a href="javascript:void(0);" class="voltar" alt="Voltar" title="Voltar" onclick="javascript:history.back(1);">Voltar</a>

<?php if ($menu["Relatorio"] == "Sim") { ?>
                        <a href="list_relatorio.php" alt="Relatrio" title="Relatrio" class="relatorio">Relatrio</a>
                    <?php } ?>

                    <?php if ($menu["Cadastrar"] == "Sim") { ?>
                        <a href="cad_paciente.php?acao=entrar" alt="Cadastrar" title="Cadastrar" class="incluir">Cadastrar</a>
                    <?php } ?>
                    <!-- Fim Navegao Inferior -->
                </div>

            </div>
            <!-- Fim do Contedo -->
        </div>
        <!-- Fim de Centro -->


        <!-- INICIO DA TELA MODAL ENVIO DE EMAIL-->
        <!-- No css existe um estilo para essas divs que as deixa invisivel - display:none; -->
        <div id="div_resposta"></div>
        <input type="hidden" name="Tabela" id="Tabela" value="cliente">
        <input type="hidden" name="hidden_id" id="hidden_id" value="">
<?php include_once "../include/email_campos_listagem.php"; ?>
        <!-- FIM DA TELA MODAL ENVIO DE EMAIL-->

    </body>
</html>