<?php
include_once '../include/conecta.php'; //Conecta com a nosso banco de dados MySQL
include_once '../include/ver_sessao.php';
include_once '../menu_movimento.php';
?>
<!DOCTYPE html>
<html>
<head>
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Gw - Gesto Web</title>
    <link rel="stylesheet" type="text/css" href="../estilo/<?php echo SKIN ;?>/tableless.css" />
    <link rel="stylesheet" href="assets/css/style.css">
    <script type="text/javascript" language="javascript" src="../js/jquery.js"></script>
    <?php include '../include/script_cabeca.php'; ?>
    <script type="text/javascript" language="javascript" src="../js/script.js"></script>
    <style>
        .conteudo {
            display: flex;
            gap: 3rem;
            flex-wrap: wrap;
        }
        .conteudo .bloco {
            display: flex;
            flex-direction: column;
            gap: 4rem;
            width: 300px;
            height: 350px;
            border: solid 2px #7D7D7D;
            border-radius: 5px;
        }
        .conteudo .bloco .titulo-bloco {
            background: #6480B4;
            padding: 10px;
            text-align: center;
            color: #FFF;
        }
        .conteudo .bloco .botoes {
            display: flex;
            flex-direction: column;
            gap: 2rem;
            padding: 20px;
        }
        .bloco .botoes > .botao{
            height: 35px!important;
        }
    </style>
</head>
<body>
    <div class="container envolve">
        <div class="d-flex flex-column align-content-center justify-content-center gap-3">
            <h2>Integrao Marketplace</h2>
            <div class="conteudo">
                <div class="bloco">
                    <h3 class="titulo-bloco">Transferncia de dados</h3>
                    <div class="botoes">
                        <button class="botao">Importar</button>
                        <button class="botao" onclick="location.href='exportacao/exportacao.php'">Exportar</button>
                    </div>
                </div>
                <div class="bloco">
                    <h3 class="titulo-bloco">Atualizao de dados</h3>
                    <div class="botoes">
                        <button class="botao">Atualizar</button>
                    </div>
                </div>
                <div class="bloco">
                    <h3 class="titulo-bloco">Configuraes</h3>
                    <div class="botoes">
                        <button class="botao" onclick="location.href='configurar_campos_produtos.php'">Config. Produtos</button>
                        <button class="botao" onclick="location.href='configurar.php'">Configuraes Gerais</button>
                    </div>
                </div>
            </div>
        </div>
    </div>
</body>
</html>