<?php
include_once '../include/conecta.php'; //Conecta com a nosso banco de dados MySQL
include_once 'ver_cookie.php'; //Verifica se a sesso est ativa
include_once 'funcoesPhp.php'; //Inclue a pgina con todas as funes a ser usada.

?>
<html>

<head>
    <title>Gw - Gesto Web</title>
    <link rel="stylesheet" type="text/css" href="../estilo/<?php echo SKIN; ?>/tableless.css" />
    <link rel="stylesheet" type="text/css" href="../estilo/<?php echo SKIN; ?>/tabelas.css" />
    <script language="javascript" type="text/javascript" src="../js/jquery.js"></script>
    <?php include '../include/script_cabeca.php'; ?>
    <?php include '../include/script_campo.php'; ?>
    <script language="javascript" type="text/javascript" src="../js/script.js"></script>
    <style type="text/css">
        input {
            margin: 0 5px;
            width: 150px;
            height: 40px;
            font: 25px Georgia, "Trebuchet MS", Tahoma, Times, serif;
            font-weight: bold;
        }

        .codigo {
            margin: 0 5px;
            width: 250px;
            height: 40px;
            font: 25px Georgia, "Trebuchet MS", Tahoma, Times, serif;
            font-weight: bold;
        }

        .descricao {
            margin: 0 5px;
            width: 250px;
            height: 40px;
            font: 25px Georgia, "Trebuchet MS", Tahoma, Times, serif;
            font-weight: bold;
        }

        .fornecedor {
            margin: 0 5px;
            width: 450px;
            height: 40px;
            font: 25px Georgia, "Trebuchet MS", Tahoma, Times, serif;
            font-weight: bold;
        }

        h1 {
            font: 30px "Trebuchet MS", Tahoma, Helvetica, sans-serif;
            color: #f4f4f4;
        }

        .buscarprodutos {
            font: 20px "Trebuchet MS", Tahoma, Helvetica, sans-serif;
            color: #f4f4f4;
            font-weight: bold;
        }

        strong {
            margin: 0 5px;
            font: 18px "Trebuchet MS", Tahoma, Geneva, sans-serif;
            color: #000000;
            font-weight: bold;
        }

        span {
            font: 14px "Trebuchet MS", Tahoma, Helvetica, sans-serif;
            font-weight: bold;
            color: #069;
        }

        .over {
            overflow: scroll;
            height: 300px;
            padding: 0;
            background-color: #FFFFFF;
        }

        .tr-1 {
            background-color: #999999;
            height: 45px;
        }

        .tr-2 {
            background-color: #225F93;
        }

        .tr-3 {
            background-color: #cccccc;
        }

        .destaque {
            background: #00C5CD !important;
        }
    </style>
    <script type='text/javascript'>
        var pressedCtrl = false;
        $(document).keyup(function(e) {
            if (e.which == 17)
                pressedCtrl = false;
        })

        $(document).keydown(function(e) {
            if (e.which == 17)
                pressedCtrl = true;

            //CTRL + J (teclado) Bloqueado, erro com leitor de codigo de barras
            if (pressedCtrl == true && e.which == 74) {
                return false;
            }
        });
    </script>
    <script type="text/javascript" language="javascript">
        $(document).ready(function() {
            setTimeout(function() {
                $('#Valor').val('');
                $('#Senha').val('');
            }, 200);
        });
    </script>
    <script>
        $(document).ready(function() {
            $('form').submit(function(e) {
                e.preventDefault();
                let idProduto = [];
                let senha = $('#Senha').val();
                let idPdv = $('#Id_Pdv').val();
                Array.from($("input[type='checkbox']:checked")).map(input => {
                    if ($(input).attr('checked')) {
                        console.log('object');
                        idProduto.push($(input).val());
                    }
                })
                if (senha != '') {
                    if (idProduto != '') {
                        $.ajax({
                            url: 'cancelar_item_pdv.php',
                            type: 'POST',
                            data: {
                                idProduto,
                                senha,
                                idPdv
                            },
                            success: function(data) {
                                console.log(data);
                                if (data == 'Senha Errada') {
                                    alert('Senha Errada');
                                    return false;
                                } else {
                                    alert('Itens cancelados com sucesso');
                                    window.opener.totalPagar();
                                    window.opener.tabelaProduto();
                                    window.close();
                                }
                            }
                        })
                    } else {
                        alert('Selecione ao menos um item');
                        return false;
                    }
                } else {
                    alert('Preencha a senha');
                    return false;
                }

                console.log(idProduto);
            })
        });
    </script>
</head>

<body>

    <form name="sangria" id="sangria" method="post" action="">
        <table width="98%" border="0" cellpadding="2" cellspacing="1" id="tabela_pdv">

            <input type="hidden" name="Id_Pdv" id="Id_Pdv" value="<?php echo $_GET["id_pdv"] ?>">

            <tr>
                <td colspan="4" align="center" bgcolor="#225F93">
                    <span id="Caixa_Livre" class="buscarprodutos" style="font-size: 30px"><br />Cancelar Item<br /><br /></span>
                </td>
            </tr>
            <tr>
                <td class="tr-1" width="30%"></td>
                <td class="tr-1"><strong>Lista Itens</strong></td>
            </tr>
            <tr>
                <td colspan="2">
                    <div style="height: 300px; overflow-y: scroll;">
                        <?php
                        $produtos = $con->query("SELECT pdv_produto.Id,pdv_produto.Preco,pdv_produto.Qtd,pdv_produto.C_Produto,produto.Codigo
                    FROM pdv_produto 
                        LEFT JOIN (SELECT Id,Codigo FROM produto) as produto ON produto.Id = pdv_produto.Id_Produto
                    WHERE Cancelado = 'No' AND Id_Pdv = '{$_GET["id_pdv"]}'");
                        while ($produto = mysqli_fetch_assoc($produtos)) { ?>
                            <div>
                                <input type="checkbox" name="Cancelar_Produto" value="<?= $produto['Id'] ?>"><span style="font-size: 20px;color: #000; font-weight: normal;"><b><?= $produto['Codigo'].' : '?></b> <?=$produto['C_Produto'] . ' - Qtd ' . $produto['Qtd'] . ' - R$' . valor_exibir($produto['Preco']) ?> </span>
                            </div>
                        <?php }
                        ?>
                </td>
            </tr>
            </div>
            <tr>
                <td class="tr-1" width="30%"></td>
                <td class="tr-1"><strong>Senha Master</strong></td>
            </tr>
            <tr>
                <td class="tr-1" width="30%"></td>
                <td class="tr-1">
                    <input type="password" name="Senha" id="Senha" value="" class="descricao" autocomplete="off">
                </td>
            </tr>
            <tr>
                <td class="tr-1" colspan="2"><strong>&nbsp;</strong></td>
            </tr>
            <tr>
                <td colspan="4" align="center" bgcolor="#225F93">
                    <button type="submit" name="Salvar_Suprimento" value="Salvar_Suprimento" style="width: 200px; height: 40px"><span style="font-size: 20px;color: #000">Salvar</span></button>
                    <button type="button" name="Cancelar" value="Cancelar" style="width: 200px; height: 40px" onclick="window.close();"><span style="font-size: 20px;color: #000">Cancelar</span></button>
                </td>
            </tr>
        </table>
    </form>

    <?php include "../include/rodape.php"; ?>
</body>

</html>