<?php
include_once '../include/conecta.php'; //Conecta com a nosso banco de dados MySQL
include_once '../include/ver_sessao.php'; //Verifica se a sesso est ativa
include_once '../include/funcoesPhp.php';
include_once '../menu_movimento.php';

$Valor_Total_Venda = valor_banco(valor_exibir($_POST['valorOriginal'] + $_POST["descontoTotal"]));

$desc_pe_nota = $_POST["descontoTotal"];


$Desc_Rat = $desc_pe_nota / $Valor_Total_Venda; //valor rateado geral
$Desc_Rat = number_format($Desc_Rat, 10, ",", "."); //marreta

//formatando o valor correto para ficar com 3 casas decimais
$Desc_Rat = str_replace('.', '', $Desc_Rat);
$Desc_Rat = str_replace(',', '.', $Desc_Rat);



if ($Desc_Rat != '0') {

    //dando o desconto para cada item
    $buscaItem = mysqli_query($con, "SELECT Id,
                        Preco, Qtd,
                        Desconto_Real
                        FROM pdv_produto
                        WHERE Id_Pdv = '" . $_POST["idPdv"] . "' AND Cancelado = 'No' ");

    while ($linha = mysqli_fetch_assoc($buscaItem)) {

        $preco_por_item = ((($linha['Qtd'] * $linha['Preco'])
            - (($linha['Qtd'] * $linha['Preco']) * ($linha['Desconto'] / 100))) - $linha['Desconto_Real']);

            
            $desc_g = $preco_por_item * $Desc_Rat;
            $desc_g = valor_exibir($desc_g);
            $desc_g = valor_banco($desc_g);
            // $desc_g = number_format($desc_g, 2, ".", "");
            
            
            // if ($desc_g > $desc_pe_nota) {
            //     $desc_g = $desc_pe_nota; //Se o primeiro rateio ja for maior que o desconto completo. Entra o desconto
            // }
            
            // echo $linha["Id"] . '<br/>';

        //atualizando o desconto em todos os itens
        mysqli_query($con, "UPDATE pdv_produto SET Desconto_Real_Pe_Nota = " . $desc_g . " WHERE Id = '" . $linha["Id"] . "' ");
    }


    //selecionando o ultimo item
    $u_item = mysqli_query($con, "SELECT Id FROM pdv_produto
                            WHERE Id_Pdv = '" . $_POST["idPdv"] . "'
                            AND Cancelado = 'No'
                            ORDER BY Data_Cadastro DESC LIMIT 1 ");
    $u_item = mysqli_fetch_assoc($u_item);

    //martelada no ultimo item
    $martUltimoItem = mysqli_query($con, "SELECT SUM(Desconto_Real_Pe_Nota) as Valor_Total_Desconto
                        FROM pdv_produto
                        WHERE Id_Pdv = '" . $_POST["idPdv"] . "' AND Id <> '" . $u_item["Id"] . "' AND Cancelado = 'No' ");
    $ultimoItem = mysqli_fetch_assoc($martUltimoItem);

    $v_final_desc = valor_banco($desc_pe_nota) - $ultimoItem["Valor_Total_Desconto"];
    $v_final_desc = valor_exibir($v_final_desc);
    $v_final_desc = valor_banco($v_final_desc);
    // $v_final_desc = number_format($v_final_desc, 2, ".", "");


    mysqli_query($con, "UPDATE pdv_produto SET Desconto_Real_Pe_Nota = " . $v_final_desc . " WHERE Id = '" . $u_item["Id"] . "' ");
}

echo json_encode(["desconto" => $Desc_Rat]);
