<?php
include_once "../include/conecta.php"; //Conecta com a nosso banco de dados MySQL
ini_set('session.gc_maxlifetime', 60 * 120);
session_start();
/* include_once "../include/ver_sessao.php"; //Verifica se a sesso est ativa */
include_once "../include/funcoesPhp.php"; //Inclue a pgina con todas as funes a ser usada.
?>
<?php
                $pdv = listar("Select pdv.Id,
 					pdv.Lancamento,
 					pdv.Status,
 					pdv.Data_Pdv,
 					pdv.Obs as 'Obs_Pdv',
 					pdv.Total_Pagar,
 					pdv.Valor_Pago,
                                        pdv.Desconto_Total,
                                        pdv.Id_Unidade,
                                        pdv.Id_Vendedor2,
 					cliente.Titulo as 'Cliente',
                                        cliente.Razao_Social,
 					cliente.Email,
 					cliente.Natureza,
 					cliente.Cpf_Cnpj,
 					cliente.Rua,
                                        cliente.Numero,
 					cliente.Cep,
 					cliente.Bairro,
 					cliente.Estado,
 					cliente.Fone1,
                                        cliente.Contato,
                                        cliente.Endereco,
                                        cliente.Ponto_Referencia,
 					cliente.Obs as 'Obs_Cliente',
                                        cliente.Codigo,
                                        cidade_ibge.Titulo as Cidade,
 					funcionario.Titulo as 'Funcionario',
                                        vendedor.Titulo as 'Vendedor',
                                        tipo_pagamento.Titulo as 'Tipo_Pagamento'
 					from pdv
 					left join 
                                        (SELECT Id,Titulo,Email,Natureza,Cpf_Cnpj,Estadual,Rua,Numero,Cep,Bairro,Estado,Fone1,
                                        Obs,Id_Cidade,Razao_Social,Contato,Endereco,Ponto_Referencia,Codigo FROM cliente) as cliente 
                                        ON cliente.Id = pdv.Id_Cliente
                                        left join (SELECT Id,Titulo FROM cidade_ibge) as cidade_ibge ON cidade_ibge.Id = cliente.Id_Cidade
 					left join (SELECT Id,Titulo FROM funcionario) as funcionario ON funcionario.Id = pdv.Id_Funcionario
                                        left join (SELECT Id,Titulo FROM funcionario) as vendedor ON pdv.Id_Vendedor = vendedor.Id
                                        left join (SELECT Id,Titulo FROM tipo_pagamento) as tipo_pagamento ON tipo_pagamento.Id = pdv.Id_Tipo_Pagamento
 					where pdv.Id = '" . $_GET["id_pdv"] . "'
					order by pdv.Lancamento DESC");


$_GET["Unidade"] = $pdv[0]["Id_Unidade"];
?>
<html>
    <head>
        <title>Gw - Gesto Web</title>
        <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1" />
        <link rel="shortcut icon" href="../imagem/favi_gw.ico" type="image/x-icon" />
        <link rel="stylesheet" type="text/css" href="../estilo/<?php echo SKIN; ?>/tabela_imp.css" />
        <script type="text/javascript" language="javascript" src="../js/jquery.js"></script>
        <?php include '../include/script_cabeca.php'; ?>
        <script type="text/javascript" language="javascript" src="../js/script.js"></script>
    </head>
    <body>
        <table width="98%" align="center"><!-- TABELA Q ENVOLVE TODO O CONTEUDO -->
            <tr>
                <td>
                    <?php include "../include/cabecalho_pedido.php"; ?>
                </td>
            </tr>
            <tr>
                <td>
                    <table width="100%" align="center">
                        <tr>
                            <td colspan="2" align="center">
                                <span style='font-variant:small-caps;font-size: 18px'>
                                    <?php if(CLIENTE_EMAIL=='granderecife2') { ?>
                                    <b>
                                        <?php if($pdv[0]["Id_Vendedor2"]=='Orca'){
                                                echo 'Oramento - ' . $pdv[0]["Lancamento"];
                                             }else{
                                                 echo 'Venda - ' . $pdv[0]["Lancamento"];;
                                             }
                                        ?>
                                    </b>
                                    <?php }else{ ?>
                                    <b>
                                        Pdv - <?php echo $pdv[0]["Lancamento"]; ?>
                                        <?php if (CLIENTE_EMAIL == 'saolucas') { 
                                            if ($pdv[0]["Status"] == 'Finalizado') {
                                                echo " - Pago";
                                    }} }?>
                                    </b>
                                </span>
                            </td>
                        </tr>
                    </table>
                </td>
            </tr>
            <tr>
                <td>
                    <table width="100%" align="center" style="font-family: verdana">
                        <tr>
                            <td colspan="3" style='font-variant:small-caps; border-bottom: 2px solid #363636;font-size: 12px'>
                                Cliente
                                <!--
                                <span style="float: right">Vendedor : <?php echo $pdv[0]["Vendedor"]; ?></span>
                                -->
                            </td>
                        </tr>
                        <tr>
                            <td style='border-bottom: 1px solid #737373;border-right: 1px solid #737373;font-size: 12px'>
                                <span style='font-variant:small-caps;font-size: 10px'>Fantasia / Razo Social <br/></span>
<?php echo $pdv[0]["Codigo"] . " - " . $pdv[0]["Cliente"]; ?>
                            </td>
                            <td style='border-bottom: 1px solid #737373;border-right: 1px solid #737373;font-size: 12px'>
                                <span style='font-variant:small-caps;font-size: 10px'>Contato <br/></span>
<?php echo ($pdv[0]["Contato_Cliente"] != '') ? $pdv[0]["Contato_Cliente"] : "-"; ?>
                            </td>
                            <td style='border-bottom: 1px solid #737373;font-size: 12px'>
                                <span style='font-variant:small-caps;font-size: 10px'>Emisso <br/></span>
<?php echo data_exibir($pdv[0]["Data_Pdv"]); ?>
                            </td>
                        </tr>
                        <tr>
                            <td style='border-bottom: 1px solid #737373;border-right: 1px solid #737373;font-size: 12px'>
                                <span style='font-variant:small-caps;font-size: 10px'>Endereo <br/></span>
<?php echo $pdv[0]["Endereco"] . ", " . $pdv[0]["Complemento"]; ?>
                            </td>
                            <td style='border-bottom: 1px solid #737373;border-right: 1px solid #737373;font-size: 12px'>
                                <span style='font-variant:small-caps;font-size: 10px'>Bairro / Cidade / UF <br/></span>
<?php echo $pdv[0]["Bairro"] . " / " . $pdv[0]["Cidade"] . " / " . $pdv[0]["Estado"]; ?>
                            </td>
                            <td style='border-bottom: 1px solid #737373;font-size: 12px'>
                                <span style='font-variant:small-caps;font-size: 10px'>CEP <br/></span>
<?php echo cep_exibir($pdv[0]["Cep"]); ?>
                            </td>
                        </tr>
                        <tr>
                            <td colspan="3" style='border-bottom: 1px solid #737373;font-size: 12px'>
                                <span style='font-variant:small-caps;font-size: 10px'>Ponto Referncia <br/></span>
<?php echo ($pdv[0]["Ponto_Referencia"] != '') ? $pdv[0]["Ponto_Referencia"] : "-"; ?>
                            </td>
                        </tr>
                        <tr>
                            <td style='border-bottom: 1px solid #737373;font-size: 12px'>
                                <span style='font-variant:small-caps;font-size: 10px'>Fone <br/></span>
                                <?php
                                echo $pdv[0]["Fone1"];
                                if ($pdv[0]["Fone2"]) {
                                    echo " / " . $pdv[0]["Fone2"];
                                }
                                ?>
                            </td>
                                <?php if ($pdv[0]["Natureza"] == "PF") { ?>
                                <td style='border-bottom: 1px solid #737373;font-size: 12px'>
                                    <span style='font-variant:small-caps;font-size: 10px'>CPF <br/></span>
                                <?php echo cpf_exibir($pdv[0]["Cpf_Cnpj"]); ?>
                                </td>
                                <?php } else { ?>
                                <td style='border-bottom: 1px solid #737373;font-size: 12px'>
                                    <span style='font-variant:small-caps;font-size: 10px'>CNPJ <br/></span>
                                <?php echo cnpj_exibir($pdv[0]["Cpf_Cnpj"]); ?>
                                </td>
                                <?php } ?>
                            <td style='border-bottom: 1px solid #737373;font-size: 12px'>
                                <span style='font-variant:small-caps;font-size: 10px'>Vendedor <br/></span>
<?php echo $pdv[0]["Vendedor"]; ?>
                            </td>
                        </tr>
                        <tr>
                            <td colspan="3" style='border-bottom: 1px solid #737373;font-size: 12px'>
                                <span style='font-variant:small-caps;font-size: 10px'>Obs Pdv <br/></span>
<?php echo ($pdv[0]["Obs_Pdv"] != '') ? $pdv[0]["Obs_Pdv"] : "-"; ?>
                            </td>
                        </tr>
                    </table>
                </td>
            </tr>
            <tr>
                <td>
                    <table width="100%" align="center" style="font-family: verdana">
                        <tr>
                            <td colspan="9" style='font-variant:small-caps; border-bottom: 2px solid #363636;font-size: 12px'>
                                Produtos
                            </td>
                        </tr>
                        <tr>
                            <td style='border-bottom: 1px solid #737373;border-right: 1px solid #737373;font-size: 12px'>
                                <span style='font-variant:small-caps;font-size: 10px'>N</span>
                            </td>
                            <td style='border-bottom: 1px solid #737373;border-right: 1px solid #737373;font-size: 12px'>
                                <span style='font-variant:small-caps;font-size: 10px'>Cdigo</span>
                            </td>
                            <td style='border-bottom: 1px solid #737373;border-right: 1px solid #737373;font-size: 12px'>
                                <span style='font-variant:small-caps;font-size: 10px'>Produto</span>
                            </td>
                            <td style='border-bottom: 1px solid #737373;border-right: 1px solid #737373;font-size: 12px'>
                                <span style='font-variant:small-caps;font-size: 10px'>UN</span>
                            </td>
                            <td style='border-bottom: 1px solid #737373;border-right: 1px solid #737373;font-size: 12px'>
                                <span style='font-variant:small-caps;font-size: 10px'>Qtd</span>
                            </td>
                            <td style='border-bottom: 1px solid #737373;border-right: 1px solid #737373;font-size: 12px'>
                                <span style='font-variant:small-caps;font-size: 10px'>Valor</span>
                            </td>
                            <td style='border-bottom: 1px solid #737373;border-right: 1px solid #737373;font-size: 12px'>
                                <span style='font-variant:small-caps;font-size: 10px'>Desc %</span>
                            </td>
                            <td style='border-bottom: 1px solid #737373;border-right: 1px solid #737373;font-size: 12px'>
                                <span style='font-variant:small-caps;font-size: 10px'>Desc $</span>
                            </td>
                            <td style='border-bottom: 1px solid #737373;border-right: 1px solid #737373;font-size: 12px'>
                                <span style='font-variant:small-caps;font-size: 10px'>Total</span>
                            </td>
                        </tr>
                        <?php
                        $pdv_pro = listar("Select DISTINCT pdv_produto.Id,
                                        pdv_produto.Preco as 'Preco_Pdv',
 					pdv_produto.Qtd as 'Qtd_Pdv',
 					pdv_produto.Desconto as 'Desconto_Pdv',
                                        pdv_produto.Desconto_Real,
 					produto.Titulo as 'Produto',
 					produto.Descricao,
                                        produto.Medida,
 					produto.Codigo,
                                        local_estoque.Titulo as Local_Estoque
 					from pdv_produto
 					left join (SELECT Id,Titulo,Descricao,Codigo,Medida FROM produto) as produto ON produto.Id = pdv_produto.Id_Produto
                                        left join (SELECT Id,Titulo FROM local_estoque) as local_estoque ON local_estoque.Id = pdv_produto.Id_Local_Estoque
 					where pdv_produto.Id_Pdv = '" . $_GET["id_pdv"] . "'
                                        ORDER BY pdv_produto.Data_Cadastro ");
                        ?>
<?php $x = 1;
foreach ($pdv_pro as $chave) {
    ?>

                            <tr>
                                <td style='border-bottom: 1px solid #737373;font-size: 12px'>
                                    <span style='font-variant:small-caps;font-size: 10px'><?php echo $x; ?></span>
                                </td>
                                <td style='border-bottom: 1px solid #737373;font-size: 12px'>
                                    <span style='font-variant:small-caps;font-size: 10px'><?php echo $chave["Codigo"]; ?></span>
                                </td>
                                <td style='border-bottom: 1px solid #737373;font-size: 12px'>
                                    <span style='font-variant:small-caps;font-size: 10px'><?php echo $chave["Produto"]; ?></span>
                                </td>
                                <td style='border-bottom: 1px solid #737373;font-size: 12px'>
                                    <span style='font-variant:small-caps;font-size: 10px'><?php echo $chave["Medida"]; ?></span>
                                </td>
                                <td style='border-bottom: 1px solid #737373;font-size: 12px'>
                                    <span style='font-variant:small-caps;font-size: 10px'><?php echo $chave["Qtd_Pdv"]; ?></span>
                                </td>
                                <td style='border-bottom: 1px solid #737373;font-size: 12px'>
                                    <span style='font-variant:small-caps;font-size: 10px'><?php echo number_format($chave["Preco_Pdv"], 2, ',', '.'); ?></span>
                                </td>
                                <td style='border-bottom: 1px solid #737373;font-size: 12px'>
                                    <span style='font-variant:small-caps;font-size: 10px'><?php echo number_format($chave["Desconto_Pdv"], 2, ',', '.'); ?></span>
                                </td>
                                <td style='border-bottom: 1px solid #737373;font-size: 12px'>
                                    <span style='font-variant:small-caps;font-size: 10px'><?php echo number_format($chave["Desconto_Real"], 2, ',', '.'); ?></span>
                                </td>
                                <td style='border-bottom: 1px solid #737373;font-size: 12px'>
                                    <span style='font-variant:small-caps;font-size: 10px'>
                            <?php echo number_format(( ($chave['Qtd_Pdv'] * $chave['Preco_Pdv']) - ( ($chave['Qtd_Pdv'] * $chave['Preco_Pdv']) * ($chave['Desconto_Pdv'] / 100) ) ) - $chave['Desconto_Real'], 2, ',', '.'); ?></span>
                                </td>
                            </tr>
                            <?php
                            $Qtd_Pdv += $chave["Qtd_Pdv"];
                            $Preco_Pdv += $chave["Preco_Pdv"];
                            $Desconto_Pdv += $chave["Desconto_Pdv"];
                            $Desconto_Real += $chave["Desconto_Real"];
                            $Total += ( ($chave["Preco_Pdv"] * $chave["Qtd_Pdv"]) -
                                    (($chave["Preco_Pdv"] * $chave["Qtd_Pdv"]) * ($chave["Desconto_Pdv"] / 100)) ) - $chave['Desconto_Real'];
                            $x++;
                        }
                        ?>
                        <tr>
                            <?php
                            $cod_auto2 = mysqli_query($con, "SELECT tipo_pagamento.Titulo
                                                        FROM (SELECT Id,Id_Pdv,Id_Tipo_Pagamento,Ordem FROM pdv_tipo_pagamento) as pdv_tipo_pagamento
                                                        LEFT JOIN (SELECT Id,Titulo FROM tipo_pagamento) as tipo_pagamento ON tipo_pagamento.Id = pdv_tipo_pagamento.Id_Tipo_Pagamento
                                                        WHERE pdv_tipo_pagamento.Id_Pdv = '" . $_GET["id_pdv"] . "'
                                                        ORDER BY pdv_tipo_pagamento.Ordem");
                            $ex_tip = '';
                            while ($valor1 = mysqli_fetch_assoc($cod_auto2)) {
                                $ex_tip .= $valor1["Titulo"] . " ,";
                            }
                            $ex_tip = substr($ex_tip, 0, -2);
                            ?>
                            <td style='border-bottom: 1px solid #737373;border-right: 1px solid #737373;font-size: 12px' colspan="3">
                                <span style='font-variant:small-caps;font-size: 10px'><b>Forma de Pagamento:</b> <?php echo $ex_tip; ?></span>
                            </td>
                            <td style='border-bottom: 1px solid #737373;border-right: 1px solid #737373;font-size: 12px' colspan="3">
                                <span style='font-variant:small-caps;font-size: 10px'><b>Totais da Pdv</b></span>
                            </td>
                            <td style='border-bottom: 1px solid #737373;border-right: 1px solid #737373;font-size: 12px'>
                                <span style='font-variant:small-caps;font-size: 10px'><?php echo number_format($pdv[0]["Desconto"], 2, ',', '.'); ?></span>
                            </td>
                            <td style='border-bottom: 1px solid #737373;border-right: 1px solid #737373;font-size: 12px'>
                                <span style='font-variant:small-caps;font-size: 10px'><?php echo number_format($pdv[0]["Desconto_Real"], 2, ',', '.'); ?></span>
                            </td>
                            <td style='border-bottom: 1px solid #737373;border-right: 1px solid #737373;font-size: 12px'>
                                <span style='font-variant:small-caps;font-size: 10px'><?php echo number_format(( ( $Total - ( $Total * ($pdv[0]["Desconto"] / 100) ) ) - $pdv[0]["Desconto_Real"]), 2, ',', '.'); ?></span>
                            </td>
                        </tr>
                    </table>
                </td>
            </tr>
        </table>
        
        <?php if ((CLIENTE_EMAIL == 'gw') || (CLIENTE_EMAIL == 'levfortconstrucoes')) { ?>

<br><br><br>
<div style='page-break-before:always;'></div>

<table width="100%" align="center" class="tabela">
<tr>
    <td align="center" colspan="4"><span style="font-size: 16px;">Itens para Entrega</span></td>
</tr>
<tr>
    <td align="center" colspan="4"><span style="font-size: 14px;">Retirada na LOJA</span></td>
</tr>
<?php
$venda_pro = listar("SELECT DISTINCT pdv_produto.Id,
pdv_produto.Qtd,
produto.Titulo as 'Produto',
produto.Descricao,
produto.Codigo,
produto.Medida,
produto.Local_Entrega
from pdv_produto
INNER join (SELECT Id,Titulo,Codigo,Descricao,Medida,Local_Entrega FROM produto) as produto ON produto.Id = pdv_produto.Id_Produto
where pdv_produto.Id_Pdv = '" . $_GET["id_pdv"] . "'
AND Tipo_Venda2 = 'Loja'
AND Cancelado <> 'Sim' 
ORDER BY pdv_produto.Data_Cadastro");

foreach ($venda_pro as $chave) {
    ?>
    <tr>
        <td><?php echo $chave["Codigo"] ?></td>
        <td><?php echo $chave["Produto"] ?></td>
        <td><?php echo $chave["Medida"] ?></td>
        <td><?php echo $chave["Qtd"] ?></td>
    </tr>
    <?php } ?>
<tr>
    <td align="center" colspan="4"><span style="font-size: 14px;">Entrega CD</span></td>
</tr>
<?php
$venda_pro = listar("SELECT DISTINCT pdv_produto.Id,
pdv_produto.Qtd,
produto.Titulo as 'Produto',
produto.Descricao,
produto.Codigo,
produto.Medida,
produto.Local_Entrega
from pdv_produto
INNER join (SELECT Id,Titulo,Codigo,Descricao,Medida,Local_Entrega FROM produto) as produto ON produto.Id = pdv_produto.Id_Produto
where pdv_produto.Id_Pdv = '" . $_GET["id_pdv"] . "'
AND Tipo_Venda2 = 'Entrega'
AND Cancelado <> 'Sim' 
ORDER BY pdv_produto.Data_Cadastro");

foreach ($venda_pro as $chave) {
    ?>
    <tr>
        <td><?php echo $chave["Codigo"] ?></td>
        <td><?php echo $chave["Produto"] ?></td>
        <td><?php echo $chave["Medida"] ?></td>
        <td><?php echo $chave["Qtd"] ?></td>
    </tr>
    <?php } ?>
</table>
<?php } ?>
    </body>
</html>
<?php include "../include/rodape.php"; ?>