<?php
include_once '../include/conecta.php'; //Conecta com a nosso banco de dados MySQL
include_once '../include/ver_sessao.php'; //Verifica se a sesso est ativa
include_once '../include/funcoesPhp.php';
include_once '../menu_movimento.php';

if ($_GET['Data_Filtro'] == 'Data') {
    if ($_GET["De"])
        $data .= "AND pdv_voucher_devolucao.Data_Cadastro >= '" . data_banco($_GET["De"]) . " 00:00:00' ";
    if ($_GET["Ate"])
        $data .= "AND pdv_voucher_devolucao.Data_Cadastro <= '" . data_banco($_GET["Ate"]) . " 23:59:59' ";
}
if ($_GET['Data_Filtro'] == 'Conclusao') {
    if ($_GET["De"])
        $data .= "AND pdv_voucher_devolucao.Data_Limite >= '" . data_banco($_GET["De"]) . " 00:00:00' ";
    if ($_GET["Ate"])
        $data .= "AND pdv_voucher_devolucao.Data_Limite <= '" . data_banco($_GET["Ate"]) . " 23:59:59' ";
}

if ($_GET["Utilizado"]) {
    $utilizado = "AND pdv_voucher_devolucao.Utilizado = '" . $_GET["Utilizado"] . "' ";
}

if ($_GET["Unidade"]) {
    $Unidade = "AND pdv.Id_Unidade = '" . $_GET["Unidade"] . "' ";
}

if ($_GET["Ok"]) {
    $pdv = mysqli_query($con, "SELECT DISTINCT pdv_voucher_devolucao.Id,
                                               pdv_voucher_devolucao.Id_Pdv,
                                               pdv_voucher_devolucao.Numero_Voucher,
                                               pdv_voucher_devolucao.Valor_Credito,
                                               pdv_voucher_devolucao.Utilizado,
                                               pdv_voucher_devolucao.Data_Limite,
                                               pdv_voucher_devolucao.Data_Cadastro,
                                               usuario.Login Usuario,
                                               pdv.Lancamento
                                        FROM pdv_voucher_devolucao
                                        LEFT JOIN usuario ON usuario.Id = pdv_voucher_devolucao.Id_Usuario
                                        LEFT JOIN pdv ON pdv.Id = pdv_voucher_devolucao.Id_Pdv_Utilizado
                                        WHERE 1=1
                                        $data $utilizado");
}
?>
<html>

<head>
    <title>Gw - Gesto Web</title>
    <link rel="stylesheet" type="text/css" href="../estilo/<?php echo SKIN; ?>/tabela_imp.css" />
    <script type="text/javascript" language="javascript" src="../js/jquery.js"></script>
    <?php include '../include/script_cabeca.php'; ?>
    <script type="text/javascript" language="javascript" src="../js/script.js"></script>
    <script type="text/javascript" language="javascript" src="../js/meiomask/meiomask.js"></script>
    <script type="text/javascript" language="javascript" src="../js/meiomask/<?php if (PAIS == "USA") {
                                                                                    echo "mascaras-usa";
                                                                                } else {
                                                                                    echo "mascaras";
                                                                                } ?>.js"></script>
    <script type="text/javascript" language="javascript">
        window.onload = function() {
            window.print();
        }
    </script>
</head>

<body>
    <table width="98%" align="center">
        <!-- TABELA Q ENVOLVE TODO O CONTEUDO -->
        <tr>
            <td>
                <?php include "../include/cabecalho_relatorio.php"; ?>
            </td>
        </tr>
        <tr>
            <td>
                <font face="verdana" size="2"><i>Relatrio de Voucher</i></font>
            </td>
        </tr>
        <tr>
            <td>
                <font face="verdana" size="2">
                    <?php
                    if ($_GET["De"]) {
                        echo "Perodo: " . $_GET["De"];
                    }
                    if ($_GET["Ate"]) {
                        echo "  " . $_GET["Ate"];
                    }
                    ?>
                </font>
            </td>
        </tr>
        <tr>
            <td>
                <table width="100%" class="tabela">
                    <tr class="azul-claro">
                        <td>Data Limite</td>
                        <td>Voucher</td>
                        <td>Valor</td>
                        <td>Utilizado</td>
                        <td>Ultilizao</td>
                        <td>Usurio</td>
                        <td>Data Criao</td>
                    </tr>
                    <tfoot>
                        <tr class="cinza">
                            <td colspan="6">Relatrio de Voucher</td>
                        </tr>
                    </tfoot>
                    <?php
                    if ($_GET["Ok"]) {

                        $color = "#F5F5F5";
                        $contador = '1';
                        while ($chave = mysqli_fetch_assoc($pdv)) {

                            if ($color == "#F5F5F5") {
                                $color = "#E8E8E8";
                            } else {
                                $color = "#F5F5F5";
                            }
                            $corStatus = "";
                            if ($chave['Utilizado'] == 'Sim') {
                                $corStatus = "color = '#228B22' ";
                                $Utilizado = $chave["Lancamento"];
                            }
                            if ($chave['Utilizado'] == 'No') {
                                $corStatus = "color = '#3A5FCD' ";
                                $Utilizado = 'Disponvel pra Uso';
                            }
                            if ($chave['Data_Limite'] <= date('Y-m-d') && $chave['Utilizado'] == 'No') {
                                $corStatus = "color = '#CD2626' ";
                                $chave["Utilizado"] = 'Expirado';
                                $Utilizado = 'No pode ser usado';
                            }
                    ?>
                            <tr bgcolor=<?php echo "$color"; ?>>
                                <td>
                                    <font <?php echo $corStatus ?>>
                                        <?php echo data_exibir($chave["Data_Limite"]) ?>
                                    </font>
                                </td>
                                <td><?php echo $chave["Numero_Voucher"] ?></td>
                                <td><?php echo valor_exibir($chave["Valor_Credito"]) ?></td>
                                <td>
                                    <font <?php echo $corStatus ?>>
                                        <b><?php echo $chave["Utilizado"] ?></b>
                                    </font>
                                </td>
                                <td>
                                    <font <?php echo $corStatus ?>>
                                        <b><?php echo $Utilizado  ?></b>
                                    </font>
                                </td>
                                <td><?php echo $chave["Usuario"] ?></td>
                                <td><?php echo data_exibir($chave["Data_Cadastro"]) ?></td>
                            </tr>
                    <?php
                            $contador++;
                        }
                    } ?>
                    <tr>
                        <td colspan="8">&nbsp;</td>
                    </tr>
                </table>
            </td>
        </tr>
    </table>
    <br>
</body>

</html>