<?php
include_once "../include/conecta.php"; //Conecta com a nosso banco de dados MySQL
ini_set('session.gc_maxlifetime', 60*120); session_start();
/* include_once "../include/ver_sessao.php"; //Verifica se a sesso est ativa */
include_once "../include/funcoesPhp.php"; //Inclue a pgina con todas as funes a ser usada.
?>
<?php
               $venda = listar("Select pdv.Id,
						pdv.Lancamento,
						pdv.Status,
						pdv.Data_Pdv,
						pdv.Obs as 'Obs_Pdv',
						pdv.Total_Pagar,
						pdv.Valor_Pago,
						pdv.Id_Unidade,
						cliente.Titulo as 'Cliente',
						cliente.Email,
						cliente.Natureza,
						cliente.Cpf_Cnpj,
						cliente.Rua,
						cliente.Numero,
						cliente.Cep,
						cliente.Bairro,
						cliente.Estado,
						cliente.Fone1,
						cliente.Obs as 'Obs_Cliente',
						cidade_ibge.Titulo as Cidade,
 						funcionario.Titulo as 'Funcionario',
						usuario.Login
						from pdv
						left join (SELECT Id,Titulo,Email,Natureza,Cpf_Cnpj,Estadual,Rua,Numero,Cep,Bairro,Estado,Fone1,Obs,Id_Cidade FROM cliente) as cliente ON cliente.Id = pdv.Id_Cliente
						left join (SELECT Id,Titulo FROM cidade_ibge) as cidade_ibge ON cidade_ibge.Id = cliente.Id_Cidade
 						left join (SELECT Id,Titulo FROM funcionario) as funcionario ON funcionario.Id = pdv.Id_Funcionario
						left join (SELECT Id,Login FROM usuario) as usuario ON usuario.Id = pdv.Id_Usuario
						where pdv.Id = '".$_GET["id_pdv"]."'
						order by pdv.Lancamento DESC");

$_GET["Unidade"] = $venda[0]["Id_Unidade"];
?>
<html>
<head>
<title>Gw - Gesto Web</title>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1" />
<link rel="shortcut icon" href="../imagem/favi_gw.ico" type="image/x-icon" />
<link rel="stylesheet" type="text/css" href="../estilo/<?php echo SKIN ;?>/tabela_imp.css" />
<script type="text/javascript" language="javascript" src="../js/jquery.js"></script>
<?php include '../include/script_cabeca.php'; ?>
<script type="text/javascript" language="javascript" src="../js/script.js"></script>
<script type="text/javascript" language="javascript" src="../js/meiomask/meiomask.js"></script>
<script type="text/javascript" language="javascript" src="../js/meiomask/<?php if(PAIS=="USA"){ echo "mascaras-usa"; }else{ echo "mascaras"; }?>.js"></script>
</head>
<body>

<table width="98%" align="center"><!-- TABELA Q ENVOLVE TODO O CONTEUDO -->
<tr>
	<td>
		<?php include "../include/cabecalho_pedido.php"; ?>
	</td>
</tr>
<tr>
	<td>
		<table width="100%" align="center">
			<tr>
				<td colspan="2" align="center">
					<font face="verdana" size="3">
						<b><i>Projeto - <?php echo $venda[0]["Lancamento"];?></i></b>
					</font>
				</td>
			</tr>
		</table>
	</td>
</tr>
<tr>
	<td>
		<table width="100%" align="center" class="tabela">
			<tr>
				<td width="70%">Cliente: <?php echo $venda[0]["Cliente"];?></td>
				<td width="30%">Emisso: <?php echo data_exibir($venda[0]["Data_Pdv"]);?></td>
			</tr>
			<tr>
				<td colspan="2">Obs: <?php echo $venda[0]["Obs_Pdv"];?></td>
			</tr>
		</table>
	</td>
</tr>
<tr>
	<td>
		<table width="100%" align="center" class="tabela">
			<tr>
				<td colspan="9"><i>Produtos</i></td>
			</tr>
			<tr class="azul-claro">
				<td width="3%">N</td>
				<td width="10%">Cdigo</td>
				<td width="22%">Produto</td>
				<td width="5%">Qtd</td>
				<td width="5%">Alt</td>
				<td width="5%">Larg</td>
				<td width="8%">Preo</td>
				<td width="8%">Desc $</td>
				<td width="8%">Total</td>
			</tr>
			<?php

               $venda_pro = listar("Select DISTINCT pdv_produto.Id,
									pdv_produto.Preco,
 									pdv_produto.Qtd,
									pdv_produto.Altura,
									pdv_produto.Largura,
									pdv_produto.Desconto_Real,
									pdv_produto.Obs,
									produto.Titulo as 'Produto',
									produto.Descricao,
									produto.Codigo
									from pdv_produto
									left join (SELECT Id,Titulo,Codigo,Descricao FROM produto) as produto ON produto.Id = pdv_produto.Id_Produto
									where pdv_produto.Id_Pdv = '".$_GET["id_pdv"]."'
									AND Cancelado = 'No' ");

                        $x=1; foreach($venda_pro as $chave){?>

			<tr>
				<td><?php echo $x;?></td>
				<td><?php echo $chave["Codigo"];?></td>
				<td><?php echo $chave["Produto"];?></td>
				<td><?php echo $chave["Qtd"];?></td>
				<td><?php echo $chave["Altura"];?></td>
				<td><?php echo $chave["Largura"];?></td>
				<td><?php echo number_format($chave["Preco"],2,',','.');?></td>
				<td><?php echo number_format($chave["Desconto_Real"],2,',','.');?></td>
				<td>
					<?php
					$Qtd+= $chave["Qtd"];

					if($chave['Altura']>0 && $chave['Largura']>0){
						$chave['Qtd'] = $chave['Qtd'] * ($chave['Altura']*$chave['Largura']);
					}
						echo number_format($chave["Qtd"]* ($chave["Preco"] - ($chave["Desconto_Real"])),2,",",".");
					?>
				</td>
				</tr>
				<tr>
					<td colspan="9"><b>Observao:</b> <?php echo $chave["Obs"];?></td>
				</tr>
			<?php
			$Preco+=$chave["Preco"];
			$Desconto_Venda+=$chave["Desconto_Venda"];
			$Desconto_Real+=$chave["Desconto_Real"];
			$Total+= $chave["Qtd"]* ($chave["Preco"] - ($chave["Desconto_Real"]));
			$x++; }
			?>
			<tr>
				<td colspan="2"></td>
				<td>Totais da Pdv:</td>
				<td><?php echo $Qtd;?></td>
				<td colspan="2"></td>
				<td></td>
				<td><?php echo number_format($Desconto_Real/($x-1),2,',','.');?></td>
				<td><?php echo number_format($Total,2,',','.');?></td>
			</tr>
		</table>
	</td>
</tr>
<!--
<?php
        $venda_parcela = listar("Select pdv.Id,
					conta_receber.Lancamento,
					conta_receber.Data_Vencimento,
					conta_receber.Valor_Original,
 					tipo_pagamento.Titulo as 'Tipo_Pagamento'
 					from pdv
 					left join (SELECT Id,Lancamento,Data_Vencimento,Valor_Original,Id_Externo,Id_Tipo_Pagamento FROM conta_receber) as conta_receber ON conta_receber.Id_Externo = pdv.Id
					left join (SELECT Id,Titulo FROM tipo_pagamento) as tipo_pagamento ON tipo_pagamento.Id = conta_receber.Id_Tipo_Pagamento
 					where pdv.Id = '".$_GET["id_pdv"]."'
					order by conta_receber.Data_Vencimento ");

if($venda_parcela[0]["Id"]!=''){
?>
<tr>
	<td>
		<table width="100%" align="center" class="tabela">
			<tr>
				<td colspan="4"><i>Parcelas</i></td>
			</tr>
			<tr class="azul-claro">
				<td>N</td>
				<td>Vencimento</td>
				<td>Valor</td>
				<td>Tipo</td>
			</tr>
			<?php $x=1; foreach($venda_parcela as $chave){?>
			<tr>
				<td><?php echo $x;?></td>
				<td><?php echo data_exibir($chave["Data_Vencimento"])?></td>
				<td><?php echo number_format($chave["Valor_Original"],2,',','.')?></td>
				<td><?php echo $chave["Tipo_Pagamento"]?></td>
			</tr>
			<?php $x++; }?>
		</table>
	</td>
</tr>
<?php }?>
-->
<?php
	$venda_parcela = listar("Select pdv.Id,
							conta_receber.Status,
							conta_receber.Valor_Original
							from pdv
							left join (SELECT Id,Status,Data_Vencimento,Valor_Original,Id_Externo FROM conta_receber) as conta_receber ON conta_receber.Id_Externo = pdv.Id
							where pdv.Id = '".$_GET["id_pdv"]."'
							order by conta_receber.Data_Vencimento ");

		foreach ($venda_parcela as $chave) {
			if($chave["Status"]=='Liquidado'){
				$valor_pg+=$chave["Valor_Original"];
			}else{
				$valor_ab+=$chave["Valor_Original"];
			}
		}
?>
<tr>
    <td>
        Valor Pago: <?php echo valor_exibir($valor_pg); ?> <br>
        Valor A Pagar: <?php echo valor_exibir($valor_ab); ?> <br>
	</td>
</tr>

<tr>
	<td>
		<table width="100%" align="center" class="tabela">
			<tr>
				<td colspan="5"><i>Custos</i></td>
			</tr>
			<tr class="azul-claro">
				<td>N</td>
				<td>Desc</td>
				<td>Venc</td>
				<td>Valor</td>
				<td>Status</td>
			</tr>
<?php
	$venda_pagar = listar("Select Id,
							Status,
							Valor_Original,
							Lancamento,
							Data_Vencimento,
							Descricao
							from conta_pagar
							where Id_Projeto = '".$_GET["id_pdv"]."'
							order by Lancamento ");

		foreach ($venda_pagar as $chave1) {
?>
			<tr>
				<td><?php echo $chave1["Lancamento"]?></td>
				<td><?php echo $chave1["Descricao"]?></td>
				<td><?php echo data_exibir($chave1["Data_Vencimento"])?></td>
				<td><?php echo number_format($chave1["Valor_Original"],2,',','.')?></td>
				<td><?php echo $chave1["Status"]?></td>
			</tr>
<?php
			$valor_pagar+=$chave1["Valor_Original"];
		}
?>
		</table>
	</td>
</tr>
<tr>
    <td>
        Total Custo: <?php echo valor_exibir($valor_pagar); ?> <br><br><br>
	</td>
</tr>
<tr>
    <td>
        Valor Projeto: <?php echo valor_exibir($valor_pg + $valor_ab); ?> - <?php echo valor_exibir($valor_pagar); ?> = 
		<?php echo valor_exibir(($valor_pg + $valor_ab)-$valor_pagar); ?> 
		(<?php
		// $lucro = ($valor_pg + $valor_ab) - $valor_pagar;
		// $margemLucro = ($lucro / ($valor_pg + $valor_ab)) * 100;


		$margemLucro = ((valor_banco(($valor_pg + $valor_ab)/$valor_pagar) -1) * 100);
		echo valor_exibir($margemLucro);
		?> %)<br>
	</td>
</tr>
</table>


<br>
</body>
</html>
<?php include "../include/rodape.php";?>