<?php
include_once '../include/conecta.php'; //Conecta com a nosso banco de dados MySQL
include_once '../include/ver_sessao.php'; //Verifica se a sesso est ativa
include_once '../include/funcoesPhp.php';
include_once '../menu_movimento.php';

$usuario = listar("SELECT pdv_produto.Id,
                            pdv_produto.Id_Pdv,
                            pdv_produto.Id_Produto,
                            pdv_produto.Preco,
                            SUM(pdv_produto.Qtd) as Qtd,
                            SUM(pdv_produto.Desconto_Real)as Desconto_Real,
                            produto.Titulo as 'Produto'
                            FROM (SELECT * FROM pdv_produto WHERE pdv_produto.Id_Pdv='" . $_GET["id_pdv"] . "' AND Cancelado='No') as pdv_produto
                            left join (SELECT Id,Titulo,Codigo FROM produto) as produto ON produto.Id = pdv_produto.Id_Produto
                            WHERE pdv_produto.Id_Pdv='" . $_GET["id_pdv"] . "'
                            GROUP BY pdv_produto.Id_Produto
                            order by pdv_produto.Data_Cadastro ");

$usuario1 = listar("SELECT cliente.Titulo as Cliente,
                            cliente.Fone1,
                            cliente.Fone2,
                            cliente.Rua,
                            cliente.Numero,
                            cliente.Cidade,
                            cliente.Bairro,
                            cliente.Ponto_Referencia,
                            cliente.Complemento,
                            pdv.Id_Cliente,
                            pdv.Lancamento,
                            pdv.Status,
                            pdv.Data_Cadastro,
                            vendedor.Titulo as Vendedor,
                            funcionario.Titulo as Funcionario
                            FROM cliente
                            left join (SELECT Id,Lancamento,Id_Cliente,Id_Vendedor,Id_Funcionario,Data_Cadastro,Status FROM pdv) as pdv ON pdv.Id_Cliente = cliente.Id
                            left join (SELECT Id,Titulo FROM funcionario) as vendedor ON vendedor.Id = pdv.Id_Vendedor
                            left join (SELECT Id,Titulo FROM funcionario) as funcionario ON funcionario.Id = pdv.Id_Funcionario
                            WHERE pdv.Id='" . $_GET["id_pdv"] . "' ");

if (PAIS == 'USA') {
    $cozinha_l = "KITCHEN";
    $mesa_l = "COMMANDS";
    $data_l = "DATE";
    $usuario_l = "WAITER";
} else {
    $cozinha_l = "COZINHA";
    $mesa_l = "COMANDA";
    $data_l = "DATA";
    $usuario_l = "GARON";
}

mysqli_query($con, "UPDATE pdv SET Id_Tipo_Pagamento = (Id_Tipo_Pagamento+1) WHERE pdv.Id = '" . $_GET["id_pdv"] . "' ");
?>
<html>
    <head>
        <title>Comprovante de Entrega</title>
        <link rel="stylesheet" type="text/css" href="../estilo/<?php echo SKIN; ?>/tabela_imp.css" />
        <script type="text/javascript" language="javascript" src="../js/jquery.js"></script>
        <?php include '../include/script_cabeca.php'; ?>
        <script type="text/javascript" language="javascript" src="../js/script.js"></script>
<?php if ($_GET["impressao"] != "3") { ?>
            <script type="text/javascript" language="javascript">
                //window.onload = function(){
                //window.print();
                //window.close();
                //};
            </script>
<?php } ?>
        <style type="text/css">
            .razao{
                font-size: 12px;
                font-weight: bolder;
            }
        </style>
    </head>
    <body>
        <?php
            $empresa = listar("Select * from unidade where Id = '" . $_SESSION["Unidade"] . "' ");
            ?>
        <table width="100%">
            <tr>
                <td>
                    <table width="100%" class="razao">
                        <tr>
                            <td width="40%">
                            <?php
                                if(file_exists("../unidade/foto/".$empresa[0]["Logo"]."")){
                                    $cam_arq = "../unidade/foto/".$empresa[0]["Logo"];
                                }else{
                                    $cam_arq = "../../unidade/foto/".$empresa[0]["Logo"];
                                }
                            ?>
                                <img src="<?php echo $cam_arq; ?>" title="Logo" alt="Logo" border="0" width="140px" height="auto"/>
                            </td>
                            <td align="center" width="40%">
                                <a href="javascript:void();" onclick="window.print();">
                                    <img src="../imagem/imprima.png" alt="Imprimir" title="Imprimir">
                                </a>
                                &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
                                <?php if(EMITIR_NFCE=='Sim'){ ?>
                                <a href='gera_nfce.php?id_pdv=<?php echo $_GET["id_pdv"]; ?>''><img src="../imagem/bt_cupom.png" alt="NFCe" title="NFCe" border="0"></a>
                                <?php } ?>
                            </td>
                        </tr>
                    </table>
                </td>
            </tr>
            
            <tr>
                <td width="50%" class="razao">
                    <font size='3'><?php echo strtoupper($empresa[0]["Razao_Social"]); ?></font><br>
                    <font size='3'>Tel: <?php echo $empresa[0]["Fone1"]; ?></font><br>
                </td>
            </tr>
            <tr>
                <td>
                    ----------------------------------------------------------------------
                </td>
            </tr>
            <tr>
                <td align="center">
                    <table width="100%" class="razao">
                        <tr>
                            <td>
                                <font size='3'><b>Venda: </b><?php echo $usuario1[0]["Lancamento"] ?></font> <br><br>
                                <font size='3'><b>Entregador: </b><?php echo $usuario1[0]["Vendedor"] ?></font> <br><br>
                                <font size='3'><b>Vendedor: </b><?php echo $usuario1[0]["Funcionario"] ?></font>
                            </td>
                        </tr>

                        <tr>
                            <td>----------------------------------------------------------------------
                            </td>
                        </tr>
                        <tr>
                            <td><font size='3'><b><?php echo $usuario1[0]["Cliente"] ?><b/></font></td>
                        </tr>
                        <tr>
                            <td><font size='3'><?php echo $usuario1[0]["Fone1"] . " - " . $usuario1[0]["Fone2"] ?></font></td>
                        </tr>
                        <?php if($usuario1[0]["Rua"]!=''){ ?>
                        <tr>
                            <td><font size='3'><?php echo $usuario1[0]["Rua"] . ", " . $usuario1[0]["Numero"] . " - " . $usuario1[0]["Bairro"] . " - " . $usuario1[0]["Cidade"] ?></font></td>
                        </tr>
                        <tr>
                            <td><font size='3'><?php echo $usuario1[0]["Complemento"] ?></font></td>
                        </tr>
                        <tr>
                            <td><font size='3'><?php echo $usuario1[0]["Ponto_Referencia"] ?></font></td>
                        </tr>
                        <?php } ?>
                    </table>
                </td>
            </tr>
            <tr>
                <td>&nbsp;</td>
            </tr>
            <tr>
                <td>
                    <table width="83%" class="razao">
                        <tr>
                            <td colspan="4">PRODUTO</td>
                        </tr>
                        <tr>
                            <td>QTD</font></td>
                            <td align="right">V.UNI</font></td>
                            <td align="right">DESC</font></td>
                            <td align="right">VALOR</font></td>
                        </tr>
                        <tr>
                            <td colspan="4">__________________________________</td>
                        </tr>
                        <?php
                            foreach ($usuario as $chave) {
                        ?>
                            <tr>
                                <td colspan="4"><font size='3'><?php echo substr($chave["Produto"], 0, 20) ?></font></td>
                            </tr>
                            <tr>
                                <td><font size='3'><?php echo $chave["Qtd"] ?></font></td>
                                <td align="right"><font size='3'><?php echo number_format($chave["Preco"], 2, ",", "."); ?></font></td>
                                <td align="right"><font size='3'><?php echo number_format($chave["Desconto_Real"], 2, ",", "."); ?></font></td>
                                <td align="right"><font size='3'><?php echo number_format($chave["Qtd"] * $chave["Preco"], 2, ",", "."); ?></font></td>
                            </tr>
                            <?php
                            $ValTotal += ($chave["Qtd"] * $chave["Preco"]);
                            $tDesconto += $chave["Desconto_Real"];
                        }
                        ?>
                        <?php
                        if ($usuario[0]["Desconto"] > 0) {
                            $de = ($ValTotal + $ValTotalCompl) * ($usuario[0]["Desconto"] / 100);
                            //echo valor_exibir($de);
                            $desc_total = $de;
                        }
                        if ($usuario[0]["Desconto_Real"] > 0) {
                            //echo valor_exibir($usuario[0]["Desconto_Real"]);
                            $desc_total = $usuario[0]["Desconto_Real"];
                        }
                        if (($usuario[0]["Desconto"] == 0) && ($usuario[0]["Desconto_Real"] == 0)) {
                            //echo valor_exibir(0);
                            $desc_total = '0';
                        }
                        $desc_total = valor_exibir($desc_total);
                        $desc_total = valor_banco($desc_total);
                        ?>
                        <tr>
                            <td></td>
                            <td colspan="2">SUB TOTAL</td>
                            <td align="right"><font size='3'><?php echo number_format($ValTotal + $ValTotalCompl, 2, ",", "."); ?></font></td>
                        </tr>
                        <?php
                        $tx_serv = mysqli_query($con, "SELECT Taxa_Servico_Comanda,Valor_Taxa_Servico FROM opcao ");
                        $taxa_serv = mysqli_fetch_assoc($tx_serv);

                        if ($taxa_serv["Taxa_Servico_Comanda"] == 'Sim') {

                            $serv = ( ($ValTotal + $ValTotalCompl) * ($taxa_serv["Valor_Taxa_Servico"] / 100) );
                            $serv = valor_exibir($serv);
                            $serv = valor_banco($serv);

                            //validando se na venda teve taxa de servico
                            if ($usuario[0]["Taxa_Servico"] != 'Sim')
                                $serv = '0.00';
                            ?>
                            <tr>
                                <td></td>
                                <td colspan="2">SERVICOS</td>
                                <td align="right"><font size='3'><?php echo number_format($serv, 2, ",", "."); ?></font></td>
                            </tr>
                            <?php
                        }
                        ?>
                        <tr>
                            <td></td>
                            <td colspan="2">DESCONTO</td>
                            <td align="right"><font size='3'><?php echo arredondar_estoque($tDesconto); ?></font></td>
                        </tr>
                        <tr>
                            <td>&nbsp;</td>
                            <td>&nbsp;</td>
                            <td>&nbsp;</td>
                            <td align="right">---------</td>
                        </tr>
                        <tr>
                            <td></td>
                            <td colspan="2">VL.TOTAL</td>
                            <td align="right"><font size='3'><?php echo number_format(($ValTotal + $ValTotalCompl - $tDesconto) + $serv, 2, ",", "."); ?></font></td>
                        </tr>
                    </table>
                </td>
            </tr>
            <tr>
                <td>&nbsp;</td>
            </tr>
            <tr>
                <td>
            <tr>
                <td>
                    <font size='3'><b>Tipo de Pagamento:</b></font>
                </td>
            </tr>
                    <table width="83%" class="razao">
                        <?php
                        $tp = mysqli_query($con, "SELECT tipo_pagamento.Titulo as Tipo_Pagamento,
                                                         pdv_tipo_pagamento.Valor_Pago as Valor
                                                    FROM pdv_tipo_pagamento
                                                    LEFT JOIN (SELECT Id,Titulo FROM tipo_pagamento) as tipo_pagamento ON tipo_pagamento.Id = pdv_tipo_pagamento.Id_Tipo_Pagamento
                                                    WHERE pdv_tipo_pagamento.Id_Pdv ='" . $_GET["id_pdv"] . "' ");
                        
                                while ($linha = mysqli_fetch_assoc($tp)) {
                                    
                                ?>
                        <tr>
                            <td><font size='3'>
                               <?php echo $linha['Tipo_Pagamento'],': ', valor_exibir($linha['Valor']); ?>
                                </font></td>
                        </tr>
                        <?php } ?>
                    </table>
                </td>
            </tr>
            <tr>
                <td height="30">
                    ----------------------------------------------------------------------
                </td>
            </tr>
            <tr>
                <td class="razao" align="center">
                    <?php
                    $obs = mysqli_query($con, "SELECT pdv.Obs
                           FROM pdv
                           WHERE pdv.Id='" . $_GET["id_pdv"] . "' ");
                    $obss = mysqli_fetch_assoc($obs);
                    if($obss["Obs"]!=''){
                        echo '<b>'.$obss["Obs"]."</b>.<br>----------------------------------------------------------------------<br>";
                    }
                        
                    ?>
                </td>
            </tr>
            <tr>
                <td align="center" class="razao">
                    <br>Obrigado por ter nos escolhido. <br/>
                    Este no  um cupom fiscal.
                </td>
            </tr>
            <tr>
                <td align="center" style="font-size:12px">
                    <br><br>
                    <b><?php echo data_exibir($usuario1[0]["Data_Cadastro"]) . " " . substr($usuario1[0]["Data_Cadastro"], -8) ?></b>
                </td>
            </tr>
        </table>
        <?php
            
                $venda_parcela = listar("Select pdv.Id,
                                conta_receber.Lancamento,
                                conta_receber.Data_Vencimento,
                                conta_receber.Valor_Original, 
                                conta_receber.Status, 
                                tipo_pagamento.Titulo as 'Tipo_Pagamento'
                                from pdv
                                left join (SELECT Id,Lancamento,Data_Vencimento,Valor_Original,Id_Externo,Id_Tipo_Pagamento,Status FROM conta_receber) as conta_receber ON conta_receber.Id_Externo = '" . $_GET["id_pdv"] . "'
                                left join (SELECT Id,Titulo FROM tipo_pagamento) as tipo_pagamento ON tipo_pagamento.Id = conta_receber.Id_Tipo_Pagamento
                                where pdv.Id = '" . $_GET["id_pdv"] . "' 
                                AND conta_receber.Status = 'Aberto'
                                order by conta_receber.Data_Vencimento");
                

                if (($usuario1[0]["Status"] == 'Finalizado')) {
                    ?>
                    <tr>
                        <td>
                            <table width="83%" class="razao">
                                <tr>
                                    <td colspan="5"><i>Parcelas em Aberto</i></td>
                                </tr>
                                <tr>
                                    <td>N</td>
                                    <td>Vencimento</td>
                                    <td>Valor</td>
                                    <td>Tipo</td>
                                </tr>
        <?php $x = 1;
        foreach ($venda_parcela as $chave) {
            ?>
                                    <tr>
                                        <td><?php echo $x; ?></td>
                                        <td><?php echo data_exibir($chave["Data_Vencimento"]) ?></td>
                                        <td><?php echo number_format($chave["Valor_Original"], 2, ',', '.') ?></td>
                                        <td><?php echo $chave["Tipo_Pagamento"] ?></td>
                                    </tr>
            <?php $x++;
                }
        ?>
                            </table>
                        </td>
                    </tr>
    <?php } ?>

        <br>
    </body>
</html>