<?php
include_once '../include/conecta.php'; //Conecta com a nosso banco de dados MySQL
include_once './ver_cookie.php'; //Verifica se a sesso est ativa
include_once './funcoesPhp.php'; //Inclue a pgina con todas as funes a ser usada.

$buscaProdutoPdv = mysqli_query($con, "SELECT pdv_produto.Id,
                    pdv_produto.Id_Produto,
                    pdv_produto.Qtd,
                    pdv.Id_Unidade,
                    pdv.Data_Pdv,
                    pdv.Lancamento
                    FROM pdv_produto
                    LEFT JOIN (SELECT Id,Id_Unidade,Data_Pdv,Lancamento FROM pdv) as pdv ON pdv.Id = pdv_produto.Id_Pdv
                    WHERE pdv_produto.Id_Pdv = '" . $_GET["Id_Pdv"] . "'
                    AND pdv_produto.Lote=''
                    ORDER BY pdv_produto.Data_Cadastro ");

while ($buscaLoteFifoPdv = mysqli_fetch_assoc($buscaProdutoPdv)) {

    $loteProdutoPdv = listar("SELECT estoque.Lote,
        estoque.Data_Validade,
        estoque.Data_Fabricacao,
        estoque.Id_Local_Estoque,
        SUM(estoque.Qtd - estoque.Reservado) as Estoque_Atual
        FROM (SELECT Id_Produto,
                Qtd,
                IF( estoque.Reservado IS NULL,
                    '0',
                    estoque.Reservado
                ) as Reservado,
                Id_Unidade,
                Id_Local_Estoque,
                Lote,
                Data_Validade,
                Data_Fabricacao
            FROM estoque
            INNER JOIN (SELECT Id FROM local_estoque WHERE (Tipo='Vendas' OR Tipo='Ambos')) as local_estoque ON local_estoque.Id = estoque.Id_Local_Estoque
            WHERE estoque.Concluido = 'Sim'
            AND Id_Unidade = '" . $buscaLoteFifoPdv["Id_Unidade"] . "' AND Id_Produto='" . $buscaLoteFifoPdv["Id_Produto"] . "') as estoque
            WHERE 1=1
        GROUP BY estoque.Lote,estoque.Id_Produto,estoque.Id_Local_Estoque ".LOTE_TIPO." 
        HAVING Estoque_Atual > '0' AND Data_Validade >= '" . date('Y-m-d') . "'
        ORDER BY estoque.Data_Validade ASC ");

    $qtd_novo_lote = '0';
    $Qtd_Acumulada = '0';
    $new_lote = [];
    $x = 0;
    $ultima_linha = '';
    foreach ($loteProdutoPdv as $linhaRegistro) {

        if ($qtd_novo_lote == '0') { //a variavel recebe a quantidade total
            $qtd_novo_lote = $buscaLoteFifoPdv["Qtd"];
        }

        $qtd_novo_lote -= $linhaRegistro["Estoque_Atual"];
        $qtd_novo_lote = valor_banco(valor_exibir($qtd_novo_lote));

        $new_lote[$x]["Qtd"] = $linhaRegistro["Estoque_Atual"];
        $new_lote[$x]["Lote"] = $linhaRegistro["Lote"];
        $new_lote[$x]["Data_Validade"] = $linhaRegistro["Data_Validade"];
        $new_lote[$x]["Data_Fabricacao"] = $linhaRegistro["Data_Fabricacao"];
        $new_lote[$x]["Id_Local_Estoque"] = $linhaRegistro["Id_Local_Estoque"];

        if (end(array_keys($loteProdutoPdv)) == $x) { //Verificando o fim de um array em PHP
            if ($qtd_novo_lote > 0) { //se chegou no fim e tiver saldo devedor, gera uma nova linha

                $x++;
                //criando mais uma volta com o resto sem estoque
                $new_lote[$x]["Qtd"] = $qtd_novo_lote;
                $new_lote[$x]["Lote"] = "";
                $new_lote[$x]["Data_Validade"] = "0000-00-00";
                $new_lote[$x]["Data_Fabricacao"] = "0000-00-00";
                $new_lote[$x]["Id_Local_Estoque"] = "1";

                break;
            }
        }

        if ($qtd_novo_lote <= 0) {
            $new_lote[$x]["Qtd"] = valor_banco(valor_exibir($buscaLoteFifoPdv["Qtd"] - $Qtd_Acumulada)); //aqui sobreescreve a QTD, com apenas com o restante
            break;
        }

        $Qtd_Acumulada += $linhaRegistro["Estoque_Atual"]; //a QTD acumulada que ja foi passada para a venda

        $x++;
    }

    //se a consulta no retornar nada
    if (empty($loteProdutoPdv[0]["Lote"])) {
        $new_lote[0]["Qtd"] = $buscaLoteFifoPdv["Qtd"];
        $new_lote[0]["Lote"] = "";
        $new_lote[0]["Data_Validade"] = "0000-00-00";
        $new_lote[0]["Data_Fabricacao"] = "0000-00-00";
        $new_lote[0]["Id_Local_Estoque"] = "1";
    }

    $x = 1;
    foreach ($new_lote as $chaveRegistro => $vetorRegistro) {

        /* inserindo agora os produtos relacionados */
        $delete = mysqli_query($con, "SELECT Id,
                                Id_Pdv,
                                Id_Produto,
                                Preco,
                                Qtd,
                                Desconto,
                                Desconto_Real,
                                Ipi,
                                Icms,
                                Icms_Sub,
                                Mva,
                                Reducao,
                                Preco_Custo,
                                Id_Local_Estoque,
                                Id_Unidade,
                                Id_Funcionario,
                                Comissao,
                                Id_Cfop,
                                ST_Icms,
                                Data_Cadastro,
                                Situacao_Tributaria,
                                C_Produto,
                                Origem_ST,
                                Id_Categoria_Produto,
                                Id_Categoria_Produto_Filho,
                                Preco_Tabela,
                                Id_Cliente,
                                Id_Fornecedor,
                                motDesICMS,
                                Aliquota,
                                Financeiro,
                                Desconto_Real_Pe_Nota,
                                Ibpt,
                                Lote,
                                Data_Validade,
                                Data_Fabricacao,
                                Aliquota_Pis,
                                Aliquota_Cofins,
                                CST_Pis,
                                CST_Cofins,
                                Cancelado
                  FROM pdv_produto
                  WHERE pdv_produto.Id='" . $buscaLoteFifoPdv["Id"] . "' ORDER BY pdv_produto.Data_Cadastro ")
            or die("Erro no SQL: " . mysqli_error($con));

        while ($linhaRegistro = mysqli_fetch_assoc($delete)) {

            $id_pdv_produto = md5($_SESSION["Id"] . $x . microtime());
            mysqli_query($con, "INSERT INTO pdv_produto (Id,
                                Id_Pdv,
                                Id_Produto,
                                Preco,
                                Qtd,
                                Desconto,
                                Desconto_Real,
                                Ipi,
                                Icms,
                                Icms_Sub,
                                Mva,
                                Reducao,
                                Preco_Custo,
                                Id_Local_Estoque,
                                Id_Unidade,
                                Id_Funcionario,
                                Comissao,
                                Id_Cfop,
                                ST_Icms,
                                Data_Cadastro,
                                Situacao_Tributaria,
                                C_Produto,
                                Origem_ST,
                                Id_Categoria_Produto,
                                Id_Categoria_Produto_Filho,
                                Preco_Tabela,
                                Id_Cliente,
                                Id_Fornecedor,
                                motDesICMS,
                                Aliquota,
                                Financeiro,
                                Desconto_Real_Pe_Nota,
                                Ibpt,
                                Lote,
                                Data_Validade,
                                Data_Fabricacao,
                                Aliquota_Pis,
                                Aliquota_Cofins,
                                CST_Pis,
                                CST_Cofins,
                                Cancelado)
                                values('" . $id_pdv_produto . "',
                                '" . $linhaRegistro["Id_Pdv"] . "',
                                '" . $linhaRegistro["Id_Produto"] . "',
                                '" . $linhaRegistro["Preco"] . "',
                                '" . $vetorRegistro["Qtd"] . "',
                                '" . $linhaRegistro["Desconto"] . "',
                                '" . $linhaRegistro["Desconto_Real"] . "',
                                '" . $linhaRegistro["Ipi"] . "',
                                '" . $linhaRegistro["Icms"] . "',
                                '" . $linhaRegistro["Icms_Sub"] . "',
                                '" . $linhaRegistro["Mva"] . "',
                                '" . $linhaRegistro["Reducao"] . "',
                                '" . $linhaRegistro["Preco_Custo"] . "',
                                '" . $vetorRegistro["Id_Local_Estoque"] . "',
                                '" . $linhaRegistro["Id_Unidade"] . "',
                                '" . $linhaRegistro["Id_Funcionario"] . "',
                                '" . $linhaRegistro["Comissao"] . "',
                                '" . $linhaRegistro["Id_Cfop"] . "',
                                '" . $linhaRegistro["ST_Icms"] . "',
                                '" . date("Y/m/d H:i:s") . "',
                                '" . $linhaRegistro["Situacao_Tributaria"] . "',
                                '" . $linhaRegistro["C_Produto"] . "',
                                '" . $linhaRegistro["Origem_ST"] . "',
                                '" . $linhaRegistro["Id_Categoria_Produto"] . "',
                                '" . $linhaRegistro["Id_Categoria_Produto_Filho"] . "',
                                '" . $linhaRegistro["Preco_Tabela"] . "',
                                '" . $linhaRegistro["Id_Cliente"] . "',
                                '" . $linhaRegistro["Id_Fornecedor"] . "',
                                '" . $linhaRegistro["motDesICMS"] . "',
                                '" . $linhaRegistro["Aliquota"] . "',
                                '" . $linhaRegistro["Financeiro"] . "',
                                '" . $linhaRegistro["Desconto_Real_Pe_Nota"] . "',
                                '" . $linhaRegistro["Ibpt"] . "',
                                '" . $vetorRegistro["Lote"] . "',
                                '" . $vetorRegistro["Data_Validade"] . "',
                                '" . $vetorRegistro["Data_Fabricacao"] . "',
                                '" . $linhaRegistro["Aliquota_Pis"] . "',
                                '" . $linhaRegistro["Aliquota_Cofins"] . "',
                                '" . $linhaRegistro["CST_Pis"] . "',
                                '" . $linhaRegistro["CST_Cofins"] . "',
                                '" . $linhaRegistro["Cancelado"] . "')")
                or die("Erro no comando SQL:" . mysqli_error($con));


            $data = $buscaLoteFifoPdv["Data_Pdv"];
            $lancamento = $buscaLoteFifoPdv["Lancamento"];

            mysqli_query($con, "UPDATE estoque SET Data_Externo='$data',Lancamento='$lancamento', Lote='" . $vetorRegistro["Lote"] . "',Data_Validade='" . $vetorRegistro["Data_Validade"] . "',Data_Fabricacao='" . $vetorRegistro["Data_Fabricacao"] . "' WHERE Id_Produto ='" . $linhaRegistro["Id_Produto"] . "' AND Id_Externo='" . $linhaRegistro["Id_Pdv"] . "'");
        }

        $x++;
    }

    if ($x > 1) { //se entrou no foreach dos lotes
        mysqli_query($con, "DELETE from pdv_produto where pdv_produto.Id='" . $buscaLoteFifoPdv["Id"] . "' ");
    }
}

echo json_encode($custo);
