<?php
include_once '../include/conecta.php'; //Conecta com a nosso banco de dados MySQL
include_once 'ver_cookie.php'; //Verifica se a sesso est ativa
include_once 'funcoesPhp.php'; //Inclue a pgina con todas as funes a ser usada.
?>
<html>
    <head>
        <title>Gw - Gesto Web</title>
        <link rel="stylesheet" type="text/css" href="../estilo/<?php echo SKIN; ?>/tableless.css" />
        <link rel="stylesheet" type="text/css" href="../estilo/<?php echo SKIN; ?>/tabelas.css" />
        <script language="javascript" type="text/javascript" src="../js/jquery.js"></script>
        <?php include '../include/script_cabeca.php'; ?>
        <?php include '../include/script_campo.php'; ?>
        <script language="javascript" type="text/javascript" src="../js/script.js"></script>
        <script language="javascript" type="text/javascript">
            function idProduto(Codigo) {
                window.opener.document.getElementById("Codigo").value = Codigo;
                window.close();
            }
        </script>
        <script type="text/javascript" language="javascript" >
            //Funo para dar Foco no primeiro campo
            $(document).ready(function() {
                $("#Codigo").focus();
            });
        </script>
        <script type='text/javascript'>

            var pressedCtrl = false;
            $(document).keyup(function(e) {
                if (e.which == 17)
                    pressedCtrl = false;
            })

            $(document).keydown(function(e) {
                if (e.which == 17)
                    pressedCtrl = true;

                //CTRL + J (teclado) Bloqueado, erro com leitor de codigo de barras
                if (pressedCtrl == true && e.which == 74) {
                    return false;
                }
            });
        </script>
        <style type="text/css">
            input{
                margin:0 5px;
                width:150px;
                height:40px;
                font:25px Georgia, "Trebuchet MS", Tahoma, Times, serif;
                font-weight:bold;
            }
            .codigo{
                margin:0 5px;
                width:250px;
                height:40px;
                font:25px Georgia, "Trebuchet MS", Tahoma, Times, serif;
                font-weight:bold;
            }
            .descricao{
                margin:0 5px;
                width:250px;
                height:40px;
                font:25px Georgia, "Trebuchet MS", Tahoma, Times, serif;
                font-weight:bold;
            }
            .fornecedor{
                margin:0 5px;
                width:450px;
                height:40px;
                font:25px Georgia, "Trebuchet MS", Tahoma, Times, serif;
                font-weight:bold;
            }
            h1{
                font:30px "Trebuchet MS", Tahoma, Helvetica, sans-serif;
                color:#f4f4f4;
            }
            .buscarprodutos{
                font:20px "Trebuchet MS", Tahoma, Helvetica, sans-serif;
                color:#f4f4f4;
                font-weight:bold;
            }
            strong{
                margin:0 5px;
                font:18px "Trebuchet MS", Tahoma, Geneva, sans-serif;
                color:#000000;
                font-weight:bold;
            }
            span{
                font:14px "Trebuchet MS", Tahoma, Helvetica, sans-serif;
                font-weight:bold;
                color:#069;
            }
            .over{
                overflow:scroll;
                height:300px;
                padding:0;
                background-color: #FFFFFF;
            }
            .tr-1{
                background-color: #999999;
            }
            .tr-2{
                background-color: #225F93;
            }
            .tr-3{
                background-color: #cccccc;
            }
            .destaque {background: #00C5CD !important;}
        </style>
        <script type="text/javascript" language="javascript" >
            //funcao de trocar a cor da TR no listar
            $(function() {
                $('table tr').hover(
                        function() {
                            $(this).addClass('destaque');
                        },
                        function() {
                            $(this).removeClass('destaque');
                        }
                );
            });
        </script>
    </head>
    <body>
        <form name="tabela_preco" id="tabela_preco" method="post" action="">
            <table width="98%" border="0" cellpadding="2" cellspacing="1" id="tabela_pdv">
                <tr>
                    <td colspan="4" align="center" bgcolor="#225F93">
                        <span id="Caixa_Livre" class="buscarprodutos">
                            Buscar Produtos<br/>Digite o cdigo ou parte da descrio produto.
                        </span>
                    </td>
                </tr>
                <tr>
                    <td class="tr-1"><strong>Cdigo / Cd Fornec</strong></td>
                    <td colspan="3" class="tr-1"><strong>Descrio / Cod Barras / Gtin</strong></td>
                </tr>
                <tr>
                    <td class="tr-1"><input type="text" name="Codigo" id="Codigo" class="codigo" value="<?php echo $_POST["Codigo"]; ?>"/></td>
                    <td colspan="3" class="tr-1"><input type="text" name="Descricao" id="Descricao" class="descricao" value="<?php echo $_POST["Descricao"]; ?>"/></td>
                </tr>
                <tr>
                    <td class="tr-1" colspan="4">
                        <strong>Fornecedor</strong>
                        <?php
                        if (FORNECEDOR_RAZAO_SOCIAL == 'Sim') {
                            $nome = 'Razao_Social';
                        } else {
                            $nome = 'Titulo';
                        }
                        echo select_banco("Select fornecedor.Id, $nome as Titulo from fornecedor WHERE Ativo = 'Sim' AND Funcionario = 'No' order by Titulo", "Fornecedor", "Fornecedor", $_POST["Fornecedor"], '', 'fornecedor');
                        ?>
                    </td>
                </tr>
                <!--
                <tr>
                    <td class="tr-1" colspan="4">
                        <?php if (MULTI_EMPRESA == "Sim") { ?>
                            <strong>Empresa &nbsp;&nbsp;&nbsp;&nbsp;</strong>
                            <?php
                            // echo select_banco2("SELECT Id,Titulo FROM unidade WHERE Ativo='Sim' ORDER BY Titulo", "Unidade", "Unidade", "Empresa", $_POST["Unidade"], "", "fornecedor");
                        }
                        ?>
                        <?php
                        /*
                          //se o sistema for Multi Empresa
                          if(MULTI_EMPRESA=="Sim"){

                          //se o usuario master ele escolhe pra quem vai
                          if($_COOKIE["Id_Nivel"]=='1'){
                          ?>
                          <strong>Empresa &nbsp;&nbsp;&nbsp;&nbsp;</strong>
                          <?php echo select_banco2("SELECT Id,Titulo FROM unidade WHERE Ativo='Sim' ORDER BY Titulo",
                          "Unidade","Unidade","Empresa",$_POST["Unidade"],"","fornecedor");
                          ?>
                          <?php
                          //se no for, a unidade sempre ser a sua
                          }else{
                          echo "<input type='hidden' name='Unidade' id='Unidade' value='".$_COOKIE["Unidade"]."' >";
                          }

                          }else{
                          echo "<input type='hidden' name='Unidade' id='Unidade' value='".$_COOKIE["Unidade"]."' >";
                          }
                         */
                        ?>
                    </td>
                </tr>
                        -->
                <tr>
                    <td colspan="4" align="center" bgcolor="#225F93">
                        <button type="submit" name="Buscar" value="Buscar Produtos" style="width: 400px; height: 40px"><span style="font-size: 20px;color: #000">Buscar Produtos</span></button>
                    </td>
                </tr>
            </table>
        </form>

        <?php
        if ($_SERVER['REQUEST_METHOD'] == "POST") {

            if ($_POST["Codigo"]) {
                $cond .= " AND produto.Codigo = '" . $_POST["Codigo"] . "' OR Codigo_Fornecedor like '%,".$_POST["Codigo"].",%' ";
            }
            if ($_POST["Descricao"]) {
                
                $c_barras = utf8_decode($_POST["Descricao"]);

                //$c_barras = (int) $c_barras;
                //$c_barras = substr($c_barras,0,3);
                //$posicao = strpos($c_barras, '789');

                if ((strlen($c_barras) > '10') && (is_numeric($c_barras))) {
                    $tam = strlen($_POST["Descricao"]);
                    $barras = 'Sim';
                    if ($tam == '12') {
                        $_POST["Descricao"] = substr($_POST["Descricao"], 1);
                    }
                }

                if ($barras == 'Sim') {
                    $cond .= " and (produto.Codigo_Barras = '" . $_POST["Descricao"] . "'
                            OR produto.Gtin = '" . $_POST["Descricao"] . "' ) ";
                } else {
                    $cond .= " and (produto.Titulo like '%" . $_POST["Descricao"] . "%') ";
                }
                
            }
            if ($_POST["Fornecedor"]) {
                $cond .= " AND produto.Id_Fornecedor = '" . $_POST["Fornecedor"] . "' ";
            }
            if ($_POST["Unidade"]) {
                $Unidade = "AND estoque.Id_Unidade = '" . $_POST["Unidade"] . "' ";
            }

            $empresa = mysqli_query($con,"Select Tabela_Preco from unidade where Id = '" . $_COOKIE["Unidade"] . "' ");
            $empresa = mysqli_fetch_assoc($empresa);
            $tab_preco = $empresa["Tabela_Preco"];

            switch ($tab_preco) {
                case "01": $tab_preco = '1';
                    break;
                case "02": $tab_preco = '2';
                    break;
                case "03": $tab_preco = '3';
                    break;
                case "04": $tab_preco = '4';
                    break;
                case "05": $tab_preco = '5';
                    break;
                case "06": $tab_preco = '6';
                    break;
                case "07": $tab_preco = '7';
                    break;
                case "08": $tab_preco = '8';
                    break;
                case "09": $tab_preco = '9';
                    break;
                case "10": $tab_preco = '10';
                    break;
                case "11": $tab_preco = '11';
                    break;
                case "12": $tab_preco = '12';
                    break;
                default:$tab_preco = '1';
            }

            $pegaPreco = mysqli_query($con, "SELECT * FROM produto_tabela WHERE Ativo = 'Sim'   ORDER BY Id  ");
            $salvar_tabela = '';
            while ($posicaoPreco = mysqli_fetch_assoc($pegaPreco)) {
                $posicaoPreco["Valor"] = intval($posicaoPreco["Valor"]);
                $andPreco = "";
                $andPreco .= 'produto.Preco' . $posicaoPreco["Valor"];
                $andPreco = substr($andPreco, 0, 37);
                $andPreco .= ",";
                $salvar_tabela .= $andPreco;
            }

            $pro_pdv = mysqli_query($con,"SELECT DISTINCT produto.Id,
                            produto.Codigo,
                            produto.Codigo_Fornecedor,
                            $salvar_tabela
                            produto.Titulo as Produto,
                            produto.Armazenagem
                            FROM produto
                            WHERE 1=1 $cond
                            AND Tipo_Produto = 'P'
                            AND Ativo = 'Sim'
                            AND Tipo_Categoria = 'Pode vender'
                            GROUP BY produto.Id
                            ORDER BY produto.Titulo");
        }
        ?>
        <table width="98%" border="0" cellpadding="2" cellspacing="1" id="tabela_pdv">
            <tr bgcolor="#225F93">
                <td><strong>X</strong></td>
                <td><strong>Cd</strong></td>
                <td><strong>Cd Forn</strong></td>
                <td><strong>Descrio</strong></td>
                <?php
                $tab_preco = mysqli_query($con, "SELECT * FROM produto_tabela WHERE Ativo = 'Sim' ORDER BY Valor ");
                $tit_preco = array();
                while ($chave = mysqli_fetch_assoc($tab_preco)) {
                    $tit_preco[$chave["Valor"]] = $chave["Titulo"];

                    if ($tit_preco[$chave["Valor"]] != '') {
                        echo '<td><b>' . $tit_preco[$chave["Valor"]] . '</b></td>';
                    }
                }
                ?>
                <?php 
                    $uni = mysqli_query($con,"SELECT unidade.Titulo as 'Unidade' FROM unidade ORDER BY unidade.Titulo ");
                    while($reg = mysqli_fetch_assoc($uni)){
                        echo "<td><strong>".$reg['Unidade']."</strong></td>";
                    }
                ?>
                <td><strong>Armz</strong></td>
            </tr>
            <?php
            $tabelas_preco = explode(",", $salvar_tabela);
            $y = '1';
            while ($chave = mysqli_fetch_assoc($pro_pdv)) {
                ?>
                <tr class="tr-1" ondblclick="idProduto('<?php echo $chave["Codigo"]." : ".$chave["Produto"]; ?>')" style="cursor:pointer" >
                    <td><b><?php echo $y; ?></b></td>
                    <td><b><?php echo $chave["Codigo"]; ?></b></td>
                    <td><b><?php echo $chave["Codigo_Fornecedor"]; ?></b></td>
                    <td><b><?php echo $chave["Produto"]; ?></b></td>
                    <?php foreach ($tabelas_preco as $tabela_preco) {
                        $tabela_preco = str_replace("produto.", '', $tabela_preco) ?>
                        <?php if (strlen($chave[$tabela_preco]) > 0) { ?>
                            <td><b><?php echo valor_exibir($chave[$tabela_preco]) ?></b></td>
                    <?php }
                    } ?>
                    <?php
                    $qtd_pneu_total='0';

                    $uni2 = mysqli_query($con,"Select unidade.Id as 'Id_Unidade' from unidade ORDER BY unidade.Titulo ");
                    while($reg2 = mysqli_fetch_assoc($uni2)){

                        $produto = mysqli_query($con,"SELECT SUM(estoque.Qtd) as Estoque_Atual
                                        FROM estoque 
                                        WHERE estoque.Concluido = 'Sim'
                                        AND Id_Produto = '".$chave["Id"]."'
                                        AND Id_Unidade = '".$reg2['Id_Unidade']."'
                                        $Unidade
                                        GROUP BY Id_Produto ");


                        $qtd_pneu='0';
                        while($valor = mysqli_fetch_assoc($produto)){
                            $qtd_pneu+= $valor["Estoque_Atual"];
                            $qtd_pneu_total+= $valor["Estoque_Atual"];
                            $qtd_pneu_final+= $valor["Estoque_Atual"];
                        }

                        $loja[$reg2['Id_Unidade']]['Estoque_Atual']+=$qtd_pneu;
                    ?>
                    <td><?php echo valor_exibir($qtd_pneu)?></td>

                    <?php } ?>
                    <td><b><?php echo $chave["Armazenagem"]; ?></b></td>
                </tr>
                <?php
                $ValTotal += ($chave["Qtd"]*$chave["Preco"] )- $chave["Desconto_Real"];
                $y++;
            }
            ?>
        </table>

        <?php include "../include/rodape.php"; ?>
    </body>
</html>