<?php
include_once "../include/conecta.php"; //Conecta com a nosso banco de dados MySQL
ini_set('session.gc_maxlifetime', 60 * 120);
session_start();
/* include_once "../include/ver_sessao.php"; //Verifica se a sesso est ativa */
include_once "../include/funcoesPhp.php"; //Inclue a pgina con todas as funes a ser usada.

$usuario = listar("Select pdv.Id,
                        pdv.Lancamento,
                        pdv.Status,
                        pdv.Data_Pdv,
                        pdv.Total_Pagar,
                        pdv.Valor_Pago,
                        pdv.Obs,
                        pdv.Id_Cliente,
                        cliente.Titulo as 'Cliente',
                        cliente.Email,
                        cliente.Natureza,
                        cliente.Cpf_Cnpj,
                        cliente.Endereco,
                        cliente.Cep,
                        cliente.Bairro,
                        cliente.Cidade,
                        cliente.Estado,
                        cliente.Fone1,
                        cliente.Obs as 'Obs_Cliente',
                        funcionario.Titulo as 'Funcionario',
                        vendedor.Titulo as Vendedor
                        from pdv
                        left join cliente ON cliente.Id = pdv.Id_Cliente
                        left join funcionario ON funcionario.Id = pdv.Id_Funcionario
                        left join (SELECT Id,Titulo FROM funcionario) as vendedor ON vendedor.Id = pdv.Id_Vendedor
                        where pdv.Id = '" . $_GET["id_pdv"] . "'
                        order by pdv.Lancamento DESC");
?>
<html>

<head>
    <title>Order</title>
    <link rel="stylesheet" type="text/css" href="../estilo/<?php echo SKIN; ?>/tabela_imp.css" />
    <script type="text/javascript" language="javascript" src="../js/jquery.js"></script>
    <?php include '../include/script_cabeca.php'; ?>
    <script type="text/javascript" language="javascript" src="../js/script.js"></script>
    <?php if ($_GET["impressao"] != "3") { ?>
        <!--        <script type="text/javascript" language="javascript">
          window.onload = function(){
            window.print();
            window.close();
          };
        </script>-->
    <?php } ?>
    <style type="text/css">
        .razao {
            font-size: 12px;
        }
    </style>
</head>

<body>

    <table width="100%">
        <?php
        if (!$_GET["Id_Unidade_Usuario"]) {
            $_GET["Id_Unidade_Usuario"] = $_SESSION["Unidade"];
        }
        $empresa = listar("Select * from unidade where Id = '" . $_GET["Id_Unidade_Usuario"] . "' ");
        ?>
        <tr>
            <td align="right">
                <table width="100%">
                    <tr>
                        <td width="40%">
                            <?php
                            if (file_exists("../unidade/foto/" . $empresa[0]["Logo"] . "")) {
                                $cam_arq = "../unidade/foto/" . $empresa[0]["Logo"];
                            } else {
                                $cam_arq = "../../unidade/foto/" . $empresa[0]["Logo"];
                            }
                            ?>
                            <img src="<?php echo $cam_arq; ?>" title="Logo" alt="Logo" border="0" width="140px" height="auto" />
                        </td>
                        <td width="50%" class="razao" align="left">
                            <?php echo strtoupper($empresa[0]["Titulo"]); ?><br>
                            <?php echo $empresa[0]["Rua"] . ", " . $empresa[0]["Numero"]; ?><br>
                            <?php echo $empresa[0]["Id_Cidade"] . ", " . $empresa[0]["Estado"] . " - " . $empresa[0]["Cep"]; ?><br>
                            Phone: <?php echo $empresa[0]["Fone1"]; ?><br>
                            <?php
                            if ($empresa[0]["Fone2"]) {
                                echo "Fax: " . $empresa[0]["Fone2"];
                            }
                            ?>
                        </td>
                    </tr>

                </table>
            </td>
        </tr>
        <tr>
            <td align="center" style="background-color:#000000;">
                <font color="#FFFFFF">
                    Identificao do Documento
                </font>
            </td>
        </tr>

        <tr>
            <td align="">
                <table width="100%" class="razao">
                    <tr>
                        <td align="left"><b>N Pedido</b></td>
                        <td aling="rigth"><?php echo ($usuario[0]["Lancamento"]) ?></td>
                    </tr>
                    <tr>
                        <td aling="left"><b>Data</b></td>
                        <td aling="rigth"><?php echo data_hora($usuario[0]["Data_Pdv"]) ?></td>
            </td>
        </tr>
    </table>
    </td>
    </tr>
    <tr>
        <td align="">
            <table width="100%" class="razao">
                <tr>
                    <td colspan="3" align="center" style="background-color:#000000;">
                        <font color="#FFFFFF">
                            Identificao do Cliente
                        </font>
                    </td>
                </tr>
                <tr>
                    <td><b>Cliente:</b> <?php echo ($usuario[0]["Cliente"]); ?></td>
                </tr>
                <tr>
                    <td><b>Fone:</b> <?php echo ($usuario[0]["Fone1"]); ?></td>
                </tr>
                <tr>
                    <td><b>Endereo:</b> <?php echo $usuario[0]["Endereco"] . ', ' . $usuario[0]["Cidade"] . ' - ' . $usuario[0]["Estado"] ?></td>
                </tr>
                <tr>
                    <td><b>Vendedor:</b> <?php echo ($usuario[0]["Vendedor"]); ?></td>
                    <td align="left">&nbsp;</td>
                </tr>
            </table>
        </td>
    </tr>
    <tr>
        <td>
            <table width="100%" class="razao">
                <tr>
                    <td colspan="8" width="100%" align="left" style="background-color:#000000;">
                        <font color="#FFFFFF">
                            Produtos
                        </font>
                    </td>
                </tr>

                <tr>
                    <td><b>Cdigo</b></td>
                    <td><b>Descriao</b></td>
                    <td><b>Qtd</b></td>
                    <td><b>Preo</b></td>
                    <td><b>Desconto</b></td>
                    <td><b>Total</b></td>
                </tr>
                <?php

                $venda_pro = mysqli_query($con, "Select DISTINCT pdv_produto.Id,
                                        pdv_produto.Preco,
 					                    pdv_produto.Qtd,
                                        pdv_produto.Desconto_Real,
                                        pdv.Id_Tipo_Pagamento,
                                        pagamento.Titulo as 'Pagamento',
                                        produto.Titulo as 'Produto',
                                        produto.Descricao,
                                        produto.Codigo
                                        from pdv_produto
                                        left join (SELECT Id,Titulo,Codigo,Descricao FROM produto) as produto ON produto.Id = pdv_produto.Id_Produto
                                        LEFT JOIN (SELECT Id,Id_Tipo_Pagamento FROM pdv) as pdv ON pdv.Id = pdv_produto.Id_Pdv
                                        LEFT JOIN (SELECT Id,Titulo FROM tipo_pagamento) as pagamento ON pagamento.Id = pdv.Id_Tipo_Pagamento
                                        where pdv_produto.Id_Pdv = '" . $_GET["id_pdv"] . "'
                                        AND Cancelado <> 'Sim' ");


                $x = 0;
                while ($chave = mysqli_fetch_assoc($venda_pro)) {
                ?>

                    <tr>
                        <td><?php echo $chave["Codigo"]; ?></td>
                        <td><?php echo $chave["Produto"]; ?></td>
                        <td><?php echo $chave["Qtd"]; ?></td>
                        <td><?php echo number_format($chave["Preco"], 2, ',', '.'); ?></td>
                        <td><?php echo number_format($chave["Desconto_Real"], 2, ',', '.'); ?></td>
                        <td>
                            <?php echo number_format($chave["Qtd"] * ($chave["Preco"] - ($chave["Desconto_Real"])), 2, ",", "."); ?>
                        </td>
                    </tr>
                <?php
                    $x++;
                    $Qtd_Venda += $chave["Qtd"];
                    $Preco_Venda += $chave["Preco"];
                    $Desconto_Real += $chave["Desconto_Real"];
                    $Total += $chave["Qtd"] * ($chave["Preco"] - ($chave["Desconto_Real"]));
                }
                ?>
                <tr>
                    <td colspan="8" width="100%" align="left">
                        __________________________________________________
                    </td>
                </tr>

                <tr>
                    <td colspan="5">Volumes:</td>
                    <td align="right"><?php echo $Qtd_Venda; ?></td>
                </tr>
                <tr>
                    <td colspan="5">Sub Total:</td>
                    <td align="right"><?php echo number_format($Preco_Venda, 2, ',', '.'); ?></td>
                </tr>
                <tr>
                    <td colspan="5">Desconto:</td>
                    <td align="right"><?php echo number_format($Desconto_Real / ($x - 1), 2, ',', '.'); ?></td>
                </tr>
                <tr>
                    <td colspan="5">Total (R$):</td>
                    <td align="right"><?php echo number_format($Total, 2, ',', '.'); ?></td>


                </tr>
                <?php
                //buscando todos os pagamentos do PDV
                $pdv_tp = mysqli_query($con, "Select tipo_pagamento.Titulo as Tipo_Pagamento,
                    tipo_pagamento.Pix,
                                IF( pdv_tipo_pagamento.Troco > '0',
                                    pdv_tipo_pagamento.Valor_Pago - pdv_tipo_pagamento.Troco,
                                    pdv_tipo_pagamento.Valor_Pago
                                ) as Valor_Pago
                                FROM pdv_tipo_pagamento
                                LEFT JOIN (SELECT Id,Titulo,Pix FROM tipo_pagamento) as tipo_pagamento ON tipo_pagamento.Id = pdv_tipo_pagamento.Id_Tipo_Pagamento
                                WHERE Id_Pdv='" . $_GET["id_pdv"] . "'
                                ORDER BY pdv_tipo_pagamento.Data_Cadastro");

                //WHILE PAGAMENTOS PDV
                while ($pg_pdv = mysqli_fetch_assoc($pdv_tp)) {
                     if($pg_pdv["Pix"]=='Sim'){
                                $pix_valor+= $pg_pdv["Valor_Pago"];
                                $pix_descr= $pg_pdv["Tipo_Pagamento"];
                            }
                ?>
                    <tr>
                        <td colspan="3">Pagamento:</td>
                        <td colspan="3">Valor:</td>
                    </tr>
                    <tr>
                        <td colspan="3"><?php echo $pg_pdv["Tipo_Pagamento"] ?></td>
                        <td colspan="3"><?php echo number_format($pg_pdv["Valor_Pago"], 2, ',', '.'); ?><br></td>
                    </tr>

                <?php } ?>

                <?php
                    if ($usuario[0]["Id_Cliente"] != "84c09c43f28bc1c9823907b038508c7c") {
                ?>
                        <tr>
                            <td colspan="8" align="center" style="background-color:#000000;">
                                <font color="#FFFFFF">
                                    VISTO CLIENTE
                                </font>
                            </td>
                        </tr>

                        <tr>
                            <td colspan="8" align="center"><br><?php echo strtoupper($empresa[0]["Titulo"]); ?><br>
                                <?php echo $empresa[0]["Rua"] . ", " . $empresa[0]["Numero"]; ?><br>
                                <?php echo $empresa[0]["Id_Cidade"] . ", " . $empresa[0]["Estado"] . " - " . $empresa[0]["Cep"]; ?><br>
                                Phone: <?php echo $empresa[0]["Fone1"]; ?><br>
                            </td>
                        </tr>
                        <tr>
                            <td colspan="8" width="100%" align="left">
                                __________________________________________________
                            </td>
                        </tr>
                        <tr>
                            <td align="left"><b>N Pedido:</b></td>
                            <td aling="rigth"><?php echo ($usuario[0]["Lancamento"]) ?></td>
                            <td aling="left"><b>Data:</b></td>
                            <td aling="rigth"><?php echo data_exibir($usuario[0]["Data_Pdv"]) ?></td>
                        </tr>
                        <tr>
                            <td colspan="8"><br><b>Cliente:</b> <?php echo ($usuario[0]["Cliente"]); ?></td>
                        </tr>
                        <tr>
                            <td colspan="8" width="100%" align="left">
                                __________________________________________________
                            </td>
                        </tr>
                        <tr>
                            <td colspan="2"></td>
                            <td colspan="2">Valor:</td>
                            <td colspan="2" align="right"><?php echo number_format($Total, 2, ',', '.'); ?><br></td>
                        </tr>

                        <tr>
                            <td colspan="8" align="center" class="razao">
                                Reconheco que devo a(o) <?php echo strtoupper($empresa[0]["Titulo"]); ?><br>
                                a quantia acima citada!<br>
                            </td>
                        </tr>
                        <tr>
                            <td>&nbsp;</td>
                        </tr>
                        <tr>
                            <td>&nbsp;</td>
                        </tr>
                        <tr>
                            <td>&nbsp;</td>
                        </tr>
                        <tr>
                            <td colspan="8" align="center"><b>VISTO CLIENTE</b></td>
                        </tr>
                <?php }
                 if(!empty($pix_descr)){ ?>
                        <tr>
                            <td>&nbsp;</td>
                        </tr>
           <tr>
                    <td colspan="8" width="100%" align="center" style="background-color:#000000;">
                        <font color="#FFFFFF">
                            Dados Pix
                        </font>
                    </td>
                </tr>
            <tr>
                <td colspan="3">
                    <pre><br></pre>
                    <pre>COD: <b><?php echo sprintf("%06d", $usuario[0]["Lancamento"])." - ".data_exibir($usuario[0]["Data_Pdv"]) ?></b><br></pre>
                    <pre>Cliente: <b><?php echo $usuario[0]["Cliente"]; ?></b><br></pre>
                    <pre>Total: <?php echo "R$ ".number_format($usuario[0]["Total_Pagar"], 2, ",", "."); ?><br></pre>
                    <pre>Pgto: <?php echo $pix_descr; ?><br></pre>
                    <pre>Valor: <b><?php echo "R$ ".number_format($pix_valor, 2, ",", "."); ?></b><br></pre>
                </td>
            </tr>
            <?php } ?>
                 


        </td>
    </tr>


    </table>
    </td>
    </tr>
    </table>

</body>

</html>
