<?php
include_once '../include/conecta.php'; //Conecta com a nosso banco de dados MySQL
ini_set('session.gc_maxlifetime', 60 * 120);
session_start();
/*include_once '../include/ver_sessao.php'; //Verifica se a sesso est ativa*/
include_once '../include/funcoesPhp.php';
include_once '../menu_movimento.php';

$pro_pdv = mysqli_query($con, "SELECT DISTINCT pdv_produto.Id,
                            pdv_produto.Id_Produto,
                            pdv_produto.Preco,
                            pdv_produto.Qtd,
                            pdv_produto.Desconto_Real,
                            pdv_produto.Data_Cadastro,
                            produto.Codigo,
                            produto.Titulo as 'Produto',
                            produto.Medida,
                            funcionario.Titulo as Vendedor
                            FROM pdv_produto
                            LEFT JOIN (SELECT Id,Titulo,Codigo,Medida FROM produto) as produto ON produto.Id = pdv_produto.Id_Produto
                            LEFT JOIN (SELECT Id,Titulo FROM funcionario) as funcionario ON funcionario.Id = pdv_produto.Id_Funcionario
                            WHERE pdv_produto.Id_Pdv='" . $_GET["id_pdv"] . "'
                            AND Cancelado = 'No' ");

$data_pdv = listar("SELECT pdv.Lancamento,
                            pdv.Total_Pagar,
                            pdv.Valor_Pago,
                            pdv.Troco,
                            pdv.Desconto_Total,
                            pdv.Tipo_Desconto,
                            pdv.Obs,
                            pdv.Id_Vendedor2,
                            pdv.Id_Unidade,
                            DATE_FORMAT(pdv.Data_Cadastro, '%d/%m/%Y %H:%i:%s') as Data,
                            tipo_pagamento.Titulo as Tipo_Pagamento,
                            cliente.Titulo as Cliente,
                            cliente.Rua,
                            cliente.Numero,
                            cliente.Bairro,
                            cliente.Cidade,
                            cliente.Estado,
                            cliente.Fone1,
                            cliente.Fone2,
                            cliente.Ponto_Referencia,
                            cliente.Complemento
                            from pdv
                            LEFT JOIN (SELECT Id,Titulo FROM tipo_pagamento) as tipo_pagamento ON tipo_pagamento.Id = pdv.Id_Tipo_Pagamento
                            LEFT JOIN (SELECT Id,Titulo,Rua,Numero,Bairro,Cidade,Estado,Fone1,Fone2,Ponto_Referencia,Complemento FROM cliente) as cliente ON cliente.Id = pdv.Id_Cliente
                            where pdv.Id = '" . $_GET["id_pdv"] . "' ");

$_GET["Unidade"] = $data_pdv[0]["Id_Unidade"];
?>
<?php ob_start(); /* Inicia o fluxo*/ ?>
<html>

<head>
    <title>Gw - Gesto Web</title>
    <style type="text/css">
        * {
            margin: 0px;
            padding: 0px;
            font-weight: bolder;
        }

        body {
            font: 16px Arial, Arial, Helvetica, sans-serif;
            background-color: #fff;
            margin-left: 2.5%;
        }
    </style>
    <script type="text/javascript" language="javascript" src="../js/jquery.js"></script>
    <?php include '../include/script_cabeca.php'; ?>
    <script type="text/javascript" language="javascript" src="../js/script.js"></script>
    <script type="text/javascript" language="javascript" src="../js/meiomask/meiomask.js"></script>
    <script type="text/javascript" language="javascript" src="../js/meiomask/<?php
                                                                                if (PAIS == "USA") {
                                                                                    echo "mascaras-usa";
                                                                                } else {
                                                                                    echo "mascaras";
                                                                                }
                                                                                ?>.js"></script>
    <script type="text/javascript" language="javascript">
        window.onload = function() {
            window.print();
        }
    </script>
</head>

<body>
    <table width="302">
        <tr>
            <td colspan="2" align="left">
                <table width="100%" style="font-size:12px; font-weight: bold;">
                    <tr>
                        <td align="left" width="50%">
                            Pedido: <?php echo sprintf("%06d", $data_pdv[0]["Lancamento"]); ?>
                        </td>
                        <td align="left" width="50%"><?php echo $data_pdv[0]["Data"]; ?></td>
                    </tr>
                    <tr>
                        <td align="left" colspan="2">Vendedor: <?php echo $data_pdv[0]["Vendedor"]; ?></td>
                    </tr>
                    <tr>
                        <td align="left" colspan="2"># <?php echo $data_pdv[0]["Tabela"]; ?> &nbsp;&nbsp;&nbsp; R$ <span class="Ajuste_Valor"></span></td>
                    </tr>
                    <tr>
                        <td align="center" colspan="2">
                            <br><br>
                            <span style="font-size:14px;">
                                <?php
                                if ($data_pdv[0]["Id_Vendedor2"] == "Orca") {
                                    echo "ORCAMENTO";
                                } else {
                                    echo "VENDA";
                                }
                                ?>
                            </span>
                            <br><br><br>
                            _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _
                            <br><br><br>
                        </td>
                    </tr>
                </table>
            </td>
        </tr>
        <?php
        if (!$_GET["Id_Unidade_Usuario"]) {
            $_GET["Id_Unidade_Usuario"] = $_GET["Unidade"];
        }
        $empresa = listar("SELECT Titulo,
                                  Rua,
                                  Numero,
                                  Cnpj,
                                  Logo,
                                  Bairro,
                                  Cidade,
                                  Estado,
                                  Fone1,
                                  Fone2
                             FROM unidade
                            WHERE Id = '" . $_GET["Id_Unidade_Usuario"] . "' ");
        ?>
        <tr>
            <td align="right">
                <table width="100%">
                    <tr>
                        <!-- <td width="40%">
                            <?php
                            if (file_exists("../unidade/foto/" . $empresa[0]["Logo"] . "")) {
                                $cam_arq = "../unidade/foto/" . $empresa[0]["Logo"];
                            } else {
                                $cam_arq = "../../unidade/foto/" . $empresa[0]["Logo"];
                            }
                            ?>
                            <img src="<?php echo $cam_arq; ?>" title="Logo" alt="Logo" border="0" width="100px" height="auto" />
                        </td> -->
                        <td class="razao" align="left" style="font-size:16px;">
                            <?php echo strtoupper($empresa[0]["Titulo"]); ?><br>
                            <?php echo $empresa[0]["Cnpj"]; ?><br>
                            End: <?php echo $empresa[0]["Rua"] . ', ' . $empresa[0]["Numero"]; ?> <br>
                            <?php echo $empresa[0]["Bairro"]; ?> -
                            <?php echo $empresa[0]["Cidade"]; ?> - <?php echo $empresa[0]["Estado"]; ?><br>
                            Tel: <?php echo $empresa[0]["Fone1"] . ' | ' . $empresa[0]["Fone2"]; ?><br>
                        </td>
                    </tr>
                </table>
            </td>
        </tr>
        <tr>
            <td colspan="2">
                -----------------------------------------------------------------------------------------------------------
            </td>
        </tr>
        <tr>
            <td colspan="2" align="left">
                <table width="98%" class="razao" style="font-size:24px;">
                    <?php
                    if (CLIENTE_RAZAO_SOCIAL == 'Sim') {
                        $nome = 'Razao_Social';
                    } else {
                        $nome = 'Titulo';
                    }
                    $data_pdv = listar("SELECT pdv.Lancamento,
                                                pdv.Total_Pagar,
                                                pdv.Valor_Pago,
                                                pdv.Troco,
                                                pdv.Desconto_Total,
                                                pdv.Tipo_Desconto,
                                                pdv.Obs,
                                                pdv.Data_Pdv,
                                                tipo_pagamento.Titulo as Tipo_Pagamento,
                                                cliente.Titulo as Cliente,
                                                funcionario.Titulo as Vendedor,
                                                cliente.Fone1,
                                                cliente.Fone2,
                                                cliente.Rua,
                                                cliente.Numero,
                                                cliente.Bairro,
                                                cliente.Cidade,
                                                cliente.Estado,
                                                cliente.Complemento,
                                                cliente.Ponto_Referencia
                                                from pdv
                                                LEFT JOIN (SELECT Id,Titulo FROM tipo_pagamento) as tipo_pagamento ON tipo_pagamento.Id = pdv.Id_Tipo_Pagamento
                                                LEFT JOIN (SELECT Id,$nome as Titulo,Fone1,Fone2,Rua,Numero,Bairro,Cidade,Estado,Ponto_Referencia,Complemento FROM cliente) as cliente ON cliente.Id = pdv.Id_Cliente
                                                LEFT JOIN (SELECT Id,Titulo FROM funcionario) as funcionario ON funcionario.Id = pdv.Id_Vendedor
                                                where pdv.Id = '" . $_GET["id_pdv"] . "' ");
                    ?>
                    <tr>
                        <td align="left">Vend: <?php echo $data_pdv[0]["Vendedor"]; ?></td>
                    </tr>
                    <tr>
                        <td align="left"><?php echo data_exibir($data_pdv[0]["Data_Pdv"]) . " " . date("H:i:s"); ?></td>
                    </tr>
                    <tr>
                        <td align="left"><b>COD. <?php echo sprintf("%06d", $data_pdv[0]["Lancamento"]); ?></b></td>
                    </tr>
                    <tr>
                        <td align="left">
                            <b><?php echo $data_pdv[0]["Cliente"]; ?></b>
                        </td>
                    </tr>
                    <?php if (strtolower($data_pdv[0]["Cliente"]) != 'avulso') { ?>
                        <tr>
                            <td align="left">
                                <?php echo substr($data_pdv[0]["Rua"] . ", " . $data_pdv[0]["Numero"], 0, 39) ?>
                                <?php echo substr($data_pdv[0]["Rua"] . ", " . $data_pdv[0]["Numero"], 40, 118) ?>
                            </td>
                        </tr>
                        <tr>
                            <td align="left">
                                <?php echo $data_pdv[0]["Bairro"] . " - " . $data_pdv[0]["Cidade"] . " - " . $data_pdv[0]["Estado"]; ?>
                            </td>
                        </tr>
                        <tr>
                            <td align="left">
                                Compl. <?php echo $data_pdv[0]["Complemento"]; ?>
                            </td>
                        </tr>
                        <tr>
                            <td align="left">
                                <?php echo $data_pdv[0]["Ponto_Referencia"]; ?>
                            </td>
                        </tr>
                        <tr>
                            <td align="left">
                                <b><?php echo $data_pdv[0]["Fone1"] . ' / ' . $data_pdv[0]["Fone2"]; ?></b>
                            </td>
                        </tr>
                    <?php } ?>
                </table>
            </td>
        </tr>
        <tr>
            <td height="20" colspan="2">
                -----------------------------------------------------------------------------------------------------------
            </td>
        </tr>
        <tr>
            <td colspan="3">
                <table class="razao" style="font-size: 24px;">
                    <tr>
                        <td width="12%">
                            COD
                        </td>
                        <td colspan="5">
                            DESCRICAO
                        </td>
                    </tr>
                    <tr>
                        <td>
                            QTD
                        </td>
                        <td>
                            UNI
                        </td>
                        <td>
                            VL.UNIT
                        </td>
                        <td>
                            DESC.
                        </td>
                        <td>
                            VL.ITEM
                        </td>
                        <td>&nbsp;&nbsp;</td>
                    </tr>
                    <tr>
                        <td height="5" colspan="6">
                            -----------------------------------------------------------------------
                        </td>
                    </tr>
                    <?php
                    $y = '1';
                    while ($chave = mysqli_fetch_assoc($pro_pdv)) {
                    ?>
                        <tr>
                            <td>
                                <?php echo $chave["Codigo"]; ?>
                            </td>
                            <td colspan="5">
                                <?php echo ($chave["Produto"]) ?>

                            </td>
                        </tr>
                        <tr>
                            <td>
                                <?php echo $chave["Qtd"]; ?>
                            </td>
                            <td>
                                <?php echo $chave["Medida"]; ?>
                            </td>
                            <td>
                                <?php echo number_format($chave["Preco"], 2, ",", "."); ?>
                            </td>
                            <td>
                                <?php echo number_format($chave["Desconto_Real"], 2, ",", "."); ?>
                            </td>
                            <td align="right">
                                <?php echo "R$ " . number_format(($chave["Qtd"] * $chave["Preco"]) - $chave["Desconto_Real"], 2, ",", "."); ?>
                            </td>
                            <td>&nbsp;</td>
                        </tr>
                    <?php
                        $QtdItens += $chave["Qtd"];
                        $ValTotal += ($chave["Qtd"] * $chave["Preco"]) - $chave["Desconto_Real"];
                        $y++;
                    }
                    ?>
                    <tr>
                        <td height="5" colspan="6">
                            -----------------------------------------------------------------------
                        </td>
                    </tr>
                    <tr>
                        <td colspan="4">
                            QTD ITENS
                        </td>
                        <td align="right">
                            <?php echo $QtdItens; ?>
                        </td>
                        <td>&nbsp;</td>
                    </tr>
                    <tr>
                        <td colspan="4">
                            VL.PEDIDO
                        </td>
                        <td align="right">
                            <?php echo "R$ " . number_format($ValTotal, 2, ",", "."); ?>
                        </td>
                        <td>&nbsp;</td>
                    </tr>
                    <tr>
                        <td colspan="4">
                            DESCONTOS
                        </td>
                        <td align="right">
                            <?php
                            if ($data_pdv[0]["Tipo_Desconto"] == 'Real') {
                                echo "R$ ";
                            } else {
                                echo "% ";
                            }
                            echo number_format($data_pdv[0]["Desconto_Total"], 2, ",", "."); ?>
                        </td>
                        <td>&nbsp;</td>
                    </tr>
                    <tr>
                        <td colspan="4">
                            TOTAL
                        </td>
                        <td align="right">
                            <?php echo "R$ " . number_format($data_pdv[0]["Total_Pagar"], 2, ",", "."); ?>
                        </td>
                        <td>&nbsp;</td>
                    </tr>
                    <tr>
                        <td height="5" colspan="6">
                            -----------------------------------------------------------------------</td>
                    </tr>
                    <!--
                    <tr>
                        <td colspan="4">VL.PAGO</td>
                        <td align="right">
                                <?php
                                if ($data_pdv[0]["Troco"] > '0') {
                                    echo number_format($data_pdv[0]["Valor_Pago"], 2, ",", ".");
                                } else {
                                    echo number_format($data_pdv[0]["Total_Pagar"], 2, ",", ".");
                                }
                                ?>
                        </td>
                        <td>&nbsp;</td>
                    -->
        </tr>
    </table>
    </td>
    </tr>
    <?php if (CLIENTE_EMAIL != 'levfortconstrucoes' && CLIENTE_EMAIL != 'naldoconstrucoes') { ?>
        <tr>
            <td colspan="2">
                <table width="100%" class="razao">
                    <tr>
                        <td>
                            FORMA DE PAGAMENTO
                        </td>
                        <td align="right">
                            VALOR
                        </td>
                        <td>&nbsp;&nbsp;</td>
                    </tr>
                    <?php
                    //buscando todos os pagamentos do PDV
                    $pdv_tp = mysqli_query($con, "SELECT tipo_pagamento.Titulo as Tipo_Pagamento,
                                IF( pdv_tipo_pagamento.Troco > '0',
                                    pdv_tipo_pagamento.Valor_Pago - pdv_tipo_pagamento.Troco,
                                    pdv_tipo_pagamento.Valor_Pago
                                ) as Valor_Pago
                                FROM pdv_tipo_pagamento
                                LEFT JOIN (SELECT Id,Titulo FROM tipo_pagamento) as tipo_pagamento ON tipo_pagamento.Id = pdv_tipo_pagamento.Id_Tipo_Pagamento
                                WHERE Id_Pdv='" . $_GET["id_pdv"] . "'
                                ORDER BY pdv_tipo_pagamento.Data_Cadastro");

                    //WHILE PAGAMENTOS PDV
                    while ($pg_pdv = mysqli_fetch_assoc($pdv_tp)) {
                    ?>
                        <tr>
                            <td align="left" class="razao">
                                <?php echo $pg_pdv["Tipo_Pagamento"] ?>
                            </td>
                            <td align="right" class="razao">
                                <?php echo "R$ " . number_format($pg_pdv["Valor_Pago"], 2, ",", "."); ?>
                            </td>
                            <td>&nbsp;&nbsp;</td>
                        </tr>
                    <?php } ?>
                    <tr>
                        <td>
                            TOTAL PAGO
                        </td>
                        <td align="right">
                            <?php echo "R$ " . number_format($data_pdv[0]["Valor_Pago"], 2, ",", "."); ?>
                        </td>
                        <td>&nbsp;&nbsp;</td>
                    </tr>
                    <tr>
                        <td>
                            TROCO
                        </td>
                        <td align="right">
                            <?php echo "R$ " . number_format($data_pdv[0]["Troco"], 2, ",", "."); ?>
                        </td>
                        <td>&nbsp;&nbsp;</td>
                    </tr>
                </table>
            </td>
        </tr>
        <tr>
            <td height="5" colspan="6">
                -----------------------------------------------------------------------------------------------------------
            </td>
        </tr>

        <tr>
            <td align="left" class="razao" style="width:100%; font-size:24px;">
                <?php if ($data_pdv[0]["Obs"] != '') echo 'Obs: ' . $data_pdv[0]["Obs"] ?>
                <br>
                <br>
                <b>Cliente: </b> <?php echo $data_pdv[0]["Cliente"]; ?><br>
                <b>Endereo: </b>
                <?php echo substr($data_pdv[0]["Rua"] . ', ' . $data_pdv[0]["Numero"] . ', ' . $data_pdv[0]["Bairro"] . ', ' . $data_pdv[0]["Cidade"] . ' - ' . $data_pdv[0]["Estado"], 0, 58) ?>
                <?php echo substr($data_pdv[0]["Rua"] . ', ' . $data_pdv[0]["Numero"] . ', ' . $data_pdv[0]["Bairro"] . ', ' . $data_pdv[0]["Cidade"] . ' - ' . $data_pdv[0]["Estado"], 59, 119) ?><br>
                <b>Complemento: </b> <?php echo $data_pdv[0]["Complemento"]; ?><br>
                <b>Ponto de Referncia: </b><?php echo $data_pdv[0]["Ponto_Referencia"]; ?><br>
                <b>Fone: </b> <?php echo $data_pdv[0]["Fone1"] . ' - ' .  $data_pdv[0]["Fone2"]; ?><br>
            </td>
        </tr>
    <?php  } ?>
    <tr>
        <td colspan="2" align="left" class="razao" style="font-size: 24px;">
            <?php
            if ($data_pdv[0]["Obs"] != '') {
                echo substr('OBS: ' . SoPalavrasEspeciais($data_pdv[0]["Obs"]), 0, 50);
                echo "<br/>";
                echo substr(SoPalavrasEspeciais($data_pdv[0]["Obs"]), 48, 100);
            }
            if (CLIENTE_EMAIL == 'unigames') {
                echo "<br>";
                echo "Obrigado por ter nos escolhido.<br>";
                echo "7 dias para troca de produtos.<br>";
                echo "S trocamos jogos pelo mesmo ttulo.<br>";
                echo "No trocamos jogos arranhados.<br>";
            }
            if (CLIENTE_EMAIL == 'estilofeminino') {
                echo "<br>";
                echo "10 DIAS PARA TROCA,<br>";
                echo "COM APRESENTAAO DO CUPOM.";
            }
            if (CLIENTE_EMAIL == 'phoenix') {
                echo "Garantia de 90 Dias em loja com a nota<br>";
                echo "fiscal e caixa do produto, No trocamos por<br>";
                echo "danos de uso, Pelculas trincadas, Capas rasgadas<br>";
                echo "ou mau uso.";
            }
            ?>
            <br>
            <!-- <br>------------------------------------------------------------------------------------------------------------- -->
        </td>
    </tr>
    <tr>
        <td colspan="2" align="left" class="razao">
            Documento Sem valor Fiscal.<br>

        </td>
    </tr>
    </table>

    <?php if ((CLIENTE_EMAIL == 'gw1') || (CLIENTE_EMAIL == 'levfortconstrucoes1')) { ?>

<br><br><br>
<div style='page-break-before:always;'></div>

<table width="100%" align="center" class="tabela">
<tr>
    <td align="center" colspan="4"><span style="font-size: 16px;">Itens para Entrega</span></td>
</tr>
<tr>
    <td align="center" colspan="4"><span style="font-size: 14px;">Retirada na LOJA</span></td>
</tr>
<?php
$venda_pro = listar("SELECT DISTINCT pdv_produto.Id,
pdv_produto.Qtd,
produto.Titulo as 'Produto',
produto.Descricao,
produto.Codigo,
produto.Medida,
produto.Local_Entrega
from pdv_produto
INNER join (SELECT Id,Titulo,Codigo,Descricao,Medida,Local_Entrega FROM produto) as produto ON produto.Id = pdv_produto.Id_Produto
where pdv_produto.Id_Pdv = '" . $_GET["id_pdv"] . "'
AND Tipo_Venda2 = 'Loja'
AND Cancelado <> 'Sim'
ORDER BY pdv_produto.Data_Cadastro");

foreach ($venda_pro as $chave) {
    ?>
    <tr>
        <td><?php echo $chave["Codigo"] ?></td>
        <td><?php echo $chave["Produto"] ?></td>
        <td><?php echo $chave["Medida"] ?></td>
        <td><?php echo $chave["Qtd"] ?></td>
    </tr>
    <?php } ?>
<tr>
    <td align="center" colspan="4"><span style="font-size: 14px;">Entrega CD</span></td>
</tr>
<?php
$venda_pro = listar("SELECT DISTINCT pdv_produto.Id,
pdv_produto.Qtd,
produto.Titulo as 'Produto',
produto.Descricao,
produto.Codigo,
produto.Medida,
produto.Local_Entrega
from pdv_produto
INNER join (SELECT Id,Titulo,Codigo,Descricao,Medida,Local_Entrega FROM produto) as produto ON produto.Id = pdv_produto.Id_Produto
where pdv_produto.Id_Pdv = '" . $_GET["id_pdv"] . "'
AND Tipo_Venda2 = 'Entrega'
AND Cancelado <> 'Sim'
ORDER BY pdv_produto.Data_Cadastro");

foreach ($venda_pro as $chave) {
    ?>
    <tr>
        <td><?php echo $chave["Codigo"] ?></td>
        <td><?php echo $chave["Produto"] ?></td>
        <td><?php echo $chave["Medida"] ?></td>
        <td><?php echo $chave["Qtd"] ?></td>
    </tr>
    <?php } ?>
</table>
<?php } ?>
    <br>
</body>

</html>
<?php

$pagina = ob_get_contents();
ob_end_clean();
echo utf8_encode($pagina);

?>
<!-- <?php
/*
        $html = ob_get_contents();
        ob_end_clean();

        include_once "../include/pdf_opcao_visualizacao1.php";
        ?> -->
*/