<?php
include_once '../include/conecta.php'; //Conecta com a nosso banco de dados MySQL
//ini_set('session.gc_maxlifetime', 60*120); session_start();
/*include_once '../include/ver_sessao.php'; //Verifica se a sesso est ativa*/
include_once 'funcoesPhp.php'; //Inclue a pgina con todas as funes a ser usada.

 $pro_pdv = mysqli_query($con,"SELECT DISTINCT pdv_produto.Id,
                            pdv_produto.Id_Produto,
                            pdv_produto.Preco,
                            pdv_produto.Qtd,
                            pdv_produto.Desconto_Real,
                            pdv_produto.Data_Cadastro,
                            produto.Codigo,
                            produto.Titulo as 'Produto',
                            produto.Medida,
                            funcionario.Titulo as Vendedor
                            FROM pdv_produto
                            LEFT JOIN (SELECT Id,Titulo,Codigo,Medida FROM produto) as produto ON produto.Id = pdv_produto.Id_Produto
                            LEFT JOIN (SELECT Id,Titulo FROM funcionario) as funcionario ON funcionario.Id = pdv_produto.Id_Funcionario
                            WHERE pdv_produto.Id_Pdv='".$_GET["id_pdv"]."'
                            AND Cancelado = 'No' ");

 	//ob_start();
?>
<html>
<head>
<title>Gw - Gesto Web</title>
<style type="text/css">
* {
	margin: 0px;
	padding: 0px;
}
body {
	font: 10px Arial, Arial, Helvetica, sans-serif;
	background-color: #fff;
}
</style>
<script type="text/javascript" language="javascript" src="../js/jquery.js"></script>
<?php include '../include/script_cabeca.php'; ?>
<script type="text/javascript" language="javascript" src="../js/script.js"></script>
<script type="text/javascript" language="javascript" src="../js/meiomask/meiomask.js"></script>
<script type="text/javascript" language="javascript" src="../js/meiomask/<?php if(PAIS=="USA"){ echo "mascaras-usa"; }else{ echo "mascaras"; }?>.js"></script>
<script type="text/javascript" language="javascript">
  window.onload = function(){
    //window.print();
  }
</script>
<script type="text/javascript" language="javascript" >
$(document).ready(function() {
    var Valor_Total_Final = $("#Valor_Total_Final").val();
    $("#Ajuste_Valor").html(Valor_Total_Final);
 });
</script>
</head>
<body>
    <table width="290">
    <tr>
        <td>
            <table width="100%" class="razao">
                <tr>
                    <td align="right" width="60%">
                        <a href="javascript:void();" onclick="window.print();">
                            <img src="../imagem/imprima.png" alt="Imprimir" title="Imprimir">
                        </a>
                    </td>
                    <td align="right" width="20%">
                        &nbsp;
                    </td>
                </tr>
            </table>
        </td>
    </tr>
    
    <tr>
                <td colspan="2" align="left">
                    <table width="100%" style="font-weight: bold;">
                        <?php
                        if (CLIENTE_RAZAO_SOCIAL == 'Sim') {
                            $nome = 'Razao_Social';
                        } else {
                            $nome = 'Titulo';
                        }
                        $data_pdv = listar("Select pdv.Lancamento,
                                                pdv.Total_Pagar,
                                                pdv.Valor_Pago,
                                                pdv.Troco,
                                                pdv.Desconto_Total,
                                                pdv.Tipo_Desconto,
                                                pdv.Obs,
                                                pdv.Id_Vendedor2,
                                                DATE_FORMAT(pdv.Data_Cadastro, '%d/%m/%Y %H:%i:%s') as Data,
                                                tipo_pagamento.Titulo as Tipo_Pagamento,
                                                cliente.Titulo as Cliente,
                                                funcionario.Titulo as Vendedor,
                                                cliente.Fone1,
                                                cliente.Rua,
                                                cliente.Numero,
                                                cliente.Bairro,
                                                cliente.Cidade,
                                                cliente.Estado,
                                                cliente.Ponto_Referencia,
                                                
                                                (SELECT produto_tabela.Titulo FROM pdv_produto 
                                                LEFT JOIN (SELECT Id,Titulo FROM produto_tabela) as produto_tabela ON produto_tabela.Id = pdv_produto.Preco_Tabela
                                                WHERE Id_Pdv = '".$_GET["id_pdv"]."' LIMIT 1) as Tabela
                                                
                                                from pdv
                                                LEFT JOIN (SELECT Id,Titulo FROM tipo_pagamento) as tipo_pagamento ON tipo_pagamento.Id = pdv.Id_Tipo_Pagamento
                                                LEFT JOIN (SELECT Id,$nome as Titulo,Fone1,Rua,Numero,Bairro,Cidade,Estado,Ponto_Referencia FROM cliente) as cliente ON cliente.Id = pdv.Id_Cliente
                                                LEFT JOIN (SELECT Id,Titulo FROM funcionario) as funcionario ON funcionario.Id = pdv.Id_Vendedor
                                                where pdv.Id = '" . $_GET["id_pdv"] . "' ");
                        ?>
                        <tr>
                            <td align="left">Vend: <?php echo $data_pdv[0]["Vendedor"]; ?></td>
                        </tr>
                        <tr>
                            <td align="left"><?php echo $data_pdv[0]["Data"]; ?></td>
                        </tr>
                        <tr>
                            <td align="left"><b>COD. <?php echo sprintf("%06d", $data_pdv[0]["Lancamento"]); ?></b></td>
                        </tr>
                        <tr>
                            <td align="left"><?php echo $data_pdv[0]["Cliente"]; ?></td>
                        </tr>
                    <?php if (strtolower($data_pdv[0]["Cliente"]) != 'avulso') { ?>
                            <tr>
                                <td align="left"><?php echo $data_pdv[0]["Rua"] . ", " . $data_pdv[0]["Numero"]; ?></td>
                            </tr>
                            <tr>
                                <td align="left"><?php echo $data_pdv[0]["Bairro"] . " - " . $data_pdv[0]["Cidade"] . " - " . $data_pdv[0]["Estado"]; ?></td>
                            </tr>
                            <tr>
                                <td align="left"><?php echo $data_pdv[0]["Ponto_Referencia"]; ?></td>
                            </tr>
                            <tr>
                                <td align="left"><?php echo $data_pdv[0]["Fone1"]; ?></td>
                            </tr>
                    <?php } ?>
                    <tr>
                        <td align="left" colspan="2"># <?php echo $data_pdv[0]["Tabela"]; ?> &nbsp;&nbsp;&nbsp; R$ <span id="Ajuste_Valor"></span></td>
                    </tr>
                    <tr>
                        <td align="center" colspan="2">
                            <br><br>
                            <span style="font-size:14px;">
                            <?php
                                if($data_pdv[0]["Id_Vendedor2"]=="Orca"){
                                    echo "ORCAMENTO";
                                }else{
                                    echo "VENDA";
                                }
                            ?>
                            </span>
                            <br><br><br>
                            _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _
                            <br><br><br>
                        </td>
                    </tr>
                </table>
            </td>
        </tr>
    
    
    <?php
                    if(!$_GET["Id_Unidade_Usuario"]){
                            $_GET["Id_Unidade_Usuario"] = $_COOKIE["Unidade"];
                    }
                    $empresa = listar("Select Titulo,Rua,Numero,Cnpj,Logo,
                                        Bairro,Cidade,Estado,Fone1
                                        from unidade where Id = '".$_GET["Id_Unidade_Usuario"]."' ");
    ?>
           <tr>
                <td align="right">
                    <table width="100%">
                        <tr>
                        <td width="40%">
                            <?php
                                if(file_exists("../unidade/foto/".$empresa[0]["Logo"]."")){
                                    $cam_arq = "../unidade/foto/".$empresa[0]["Logo"];
                                }else{
                                    $cam_arq = "../../unidade/foto/".$empresa[0]["Logo"];
                                }
                            ?>
                            <img src="<?php echo $cam_arq; ?>" title="Logo" alt="Logo" border="0" width="140px" height="auto"/>
                        </td>
                        <td class="razao" align="center" >
                            <?php echo strtoupper($empresa[0]["Titulo"]);?><br>
                            <?php echo $empresa[0]["Cnpj"];?><br>
                            End: <?php echo $empresa[0]["Rua"] .', '. $empresa[0]["Numero"];?> <br>
                            <?php echo $empresa[0]["Bairro"];?> -
                            <?php echo $empresa[0]["Cidade"];?> - <?php echo $empresa[0]["Estado"];?><br>
                            Tel: <?php echo $empresa[0]["Fone1"];?><br>
                        </td>
                        </tr>
                    </table>
                </td>
            </tr>
         <tr>
            <td>
                ==================================================
            </td>
        </tr>
        
        <tr>
            <td colspan="2" align="left">
                <table width="300px" style="font-weight: bold;">
                    <tr>
                        <td align="left"><b>COD. <?php echo sprintf("%06d", $data_pdv[0]["Lancamento"]); ?></b></td>
                    </tr>
                    <tr>
                        <td align="left">Vend: <?php echo $data_pdv[0]["Vendedor"]; ?></td>
                    </tr>
                </table>
            </td>
        </tr>
        <tr>
            <td height="30">
                -------------------------------------------------------------------------------
            </td>
        </tr>
        
        <tr>
            <td>&nbsp;</td>
        </tr>
        <tr>
            <td>
                <table width="83%" class="razao">
                    <tr>
                        <td>ITEM</td>
                        <td>CD</td>
                        <td colspan="3">DESCRIO</td>
                    </tr>
                    <tr>
                        <td>QTD</td>
                        <td>UNI</td>
                        <td>VL.UNIT</td>
                        <td>DESC.</td>
                        <td align="right">VL.ITEM</td>
                    </tr>
                    <tr>
                        <td height="5" colspan="7">-------------------------------------------------------------------------------</td>
                    </tr>
               <?php
                   $y = '1';
                   while($chave = mysqli_fetch_assoc($pro_pdv)){
                ?>
                    <tr>
                        <td><?php //echo $y; ?></td>
                        <td><?php echo $chave["Codigo"];?></td>
                        <td colspan="3"><?php echo $chave["Produto"];?></td>
                    </tr>
                    <tr>
                        <td><?php echo $chave["Qtd"];?></td>
                        <td><?php echo $chave["Medida"];?></td>
                        <td><?php echo number_format($chave["Preco"],2,",",".");?></td>
                        <td><?php echo number_format($chave["Desconto_Real"],2,",",".");?></td>
                        <td align="right"><?php echo number_format(($chave["Qtd"]*$chave["Preco"] )- $chave["Desconto_Real"],2,",",".");?></td>
                    </tr>
                <?php
                    $QtdTotal+= $chave["Qtd"];
                    $ValTotal+= ($chave["Qtd"]*$chave["Preco"] )- $chave["Desconto_Real"];
                    $y++;
                    }
                ?>
                    <tr>
                        <td height="5" colspan="7">-------------------------------------------------------------------------------</td>
                    </tr>
                    <tr>
                        <td colspan="4">VL.PEDIDO</td>
                        <td align="right"><?php echo number_format($ValTotal,2,",",".");?></td>
                    </tr>
                    <tr>
                        <td colspan="3"><pre>TOTAL ITENS &nbsp;&nbsp; <?php echo number_format($QtdTotal,2,",",".");?></pre></td>
                    </tr>
                    <tr>
                        <td colspan="4">VL.TOTAL</td>
                        <td align="right"><?php echo number_format($ValTotal-$data_pdv[0]["Desconto_Total"],2,",",".");?></td>
                        <input type="hidden" value="<?php echo number_format($ValTotal-$data_pdv[0]["Desconto_Total"],2,",",".");?>" name="Valor_Total_Final" id="Valor_Total_Final">
                    </tr>
                </table>
            </td>
        </tr>
        <tr>
            <td height="30">
                -------------------------------------------------------------------------------
            </td>
        </tr>
        <tr>
            <td align="center" class="razao">
                <?php if($data_pdv[0]["Obs"]!='') echo 'Obs: '.$data_pdv[0]["Obs"] ?>
            </td>
        </tr>
        <tr>
            <td height="30">
                -------------------------------------------------------------------------------
            </td>
        </tr>
        <tr>
            <td align="center" class="razao">
                Obrigado por ter nos escolhido. <br/>
                No tem valor fiscal.
            </td>
        </tr>
    </table>

<br>
</body>
</html>
<?php
/*
	$pagina = ob_get_contents();
	ob_end_clean();
	echo utf8_encode($pagina);
 */
?>