<?php
include_once '../include/conecta.php'; //Conecta com a nosso banco de dados MySQL
include_once 'ver_cookie.php'; //Verifica se a sesso est ativa
include_once 'funcoesPhp.php'; //Inclue a pgina con todas as funes a ser usada.
?>
<html>

<head>
    <title>Gw - Gesto Web</title>
    <link rel="stylesheet" type="text/css" href="../estilo/<?php echo SKIN; ?>/tableless.css" />
    <link rel="stylesheet" type="text/css" href="../estilo/<?php echo SKIN; ?>/tabelas.css" />
    <script language="javascript" type="text/javascript" src="../js/jquery.js"></script>
    <?php include '../include/script_cabeca.php'; ?>
    <?php include '../include/script_campo.php'; ?>
    <script language="javascript" type="text/javascript" src="../js/script.js"></script>
    <script language="javascript" type="text/javascript">
        function idPdv(Id_Pdv, Vendedor, Cliente) {
            //window.opener.document.getElementById("Codigo").value=Codigo; window.close();
            window.opener.loadPdv(Id_Pdv, Vendedor, Cliente);
            window.close();
        }
    </script>
    <script type="text/javascript" language="javascript">
        $(document).ready(function() {
            $("#Codigo").focus();
        });
    </script>
    <style type="text/css">
        input {
            margin: 0 5px;
            width: 150px;
            height: 40px;
            font: 25px Georgia, "Trebuchet MS", Tahoma, Times, serif;
            font-weight: bold;
        }

        .codigo {
            margin: 0 5px;
            width: 250px;
            height: 40px;
            font: 25px Georgia, "Trebuchet MS", Tahoma, Times, serif;
            font-weight: bold;
        }

        .descricao {
            margin: 0 5px;
            width: 250px;
            height: 40px;
            font: 25px Georgia, "Trebuchet MS", Tahoma, Times, serif;
            font-weight: bold;
        }

        .fornecedor {
            margin: 0 5px;
            width: 450px;
            height: 40px;
            font: 25px Georgia, "Trebuchet MS", Tahoma, Times, serif;
            font-weight: bold;
        }

        h1 {
            font: 30px "Trebuchet MS", Tahoma, Helvetica, sans-serif;
            color: #f4f4f4;
        }

        .buscarprodutos {
            font: 20px "Trebuchet MS", Tahoma, Helvetica, sans-serif;
            color: #f4f4f4;
            font-weight: bold;
        }

        strong {
            margin: 0 5px;
            font: 18px "Trebuchet MS", Tahoma, Geneva, sans-serif;
            color: #000000;
            font-weight: bold;
        }

        span {
            font: 14px "Trebuchet MS", Tahoma, Helvetica, sans-serif;
            font-weight: bold;
            color: #069;
        }

        .over {
            overflow: scroll;
            height: 300px;
            padding: 0;
            background-color: #FFFFFF;
        }

        .tr-1 {
            background-color: #999999;
        }

        .tr-2 {
            background-color: #225F93;
        }

        .tr-3 {
            background-color: #cccccc;
        }

        .destaque {
            background: #00C5CD !important;
        }
    </style>
    <script type="text/javascript" language="javascript">
        //funcao de trocar a cor da TR no listar
        $(function() {
            $('table tr').hover(
                function() {
                    $(this).addClass('destaque');
                },
                function() {
                    $(this).removeClass('destaque');
                }
            );
        });
    </script>
</head>

<body>
    <form name="tabela" id="tabela" method="post" action="">
        <table width="98%" border="0" cellpadding="2" cellspacing="1" id="tabela_pdv">
            <tr>
                <td colspan="4" align="center" bgcolor="#225F93">
                    <span id="Caixa_Livre" class="buscarprodutos">Buscar Produtos</span>
                </td>
            </tr>
            <tr>
                <td colspan="2" class="tr-1" width="50%"><strong>Cdigo Venda</strong></td>
                <td colspan="2" class="tr-1" width="50%"><strong>Cliente</strong></td>
            </tr>
            <tr>
                <td colspan="2" class="tr-1"><input type="text" name="Codigo" id="Codigo" class="codigo" /></td>
                <td colspan="2" class="tr-1"><input type="text" name="Cliente" id="cliente" class="codigo" /></td>
            </tr>

            <tr>
                <td colspan="4" align="center" bgcolor="#225F93">
                    <button type="submit" name="Buscar" value="Buscar Venda" style="width: 400px; height: 40px"><span style="font-size: 20px;color: #000">Buscar Venda</span></button>
                </td>
            </tr>
        </table>
    </form>

    <?php

    if ($_SERVER['REQUEST_METHOD'] == "POST") {

        if ($_POST["Codigo"]) {
            $cond .= " AND pdv.Lancamento = '" . $_POST["Codigo"] . "' ";
        }
        if ($_POST["Cliente"]) {
            $cond .= " AND cliente.Titulo like '%" . $_POST["Cliente"] . "%' ";
        }
    }

    if ($_COOKIE["Id_Nivel"] > 10) {
        //$vend = " AND Id_Vendedor = '".$_COOKIE["Id_Funcionario"]."' ";
    }

    $pro_pdv = mysqli_query($con, "SELECT DISTINCT pdv.Id,
                        pdv.Lancamento,
                        pdv.Data_Pdv,
                        pdv.Total_Pagar,
                        pdv.Id_Vendedor2,
                        cliente.Titulo as Cliente,
                        cliente.Cpf_Cnpj,
                        vendedor.Titulo as Vendedor
                        FROM pdv
                        left join (SELECT Id,Titulo,Cpf_Cnpj FROM cliente) as cliente ON cliente.Id = pdv.Id_Cliente
                        left join (SELECT Id,Titulo FROM funcionario) as vendedor ON vendedor.Id = pdv.Id_Vendedor
                        WHERE Status = 'Aberto'
                        AND Alterar_Caixa='S'
                        AND Total_Pagar > '0'
                        AND pdv.Id_Unidade = '" . $_COOKIE["Unidade"] . "'
                        $cond $vend
                        ORDER BY pdv.Lancamento DESC");

    ?>
    <table width="98%" border="0" cellpadding="2" cellspacing="1" id="tabela_pdv">
        <tr bgcolor="#225F93">
            <td align="center"><strong>Tipo</strong></td>
            <td align="center"><strong>Cdigo</strong></td>
            <td align="center"><strong>Data</strong></td>
            <td align="center"><strong>Cliente</strong></td>
            <td align="center"><strong>Vendedor</strong></td>
            <td align="center"><strong>Valor</strong></td>
        </tr>
        <?php
        $y = '1';
        while ($chave = mysqli_fetch_assoc($pro_pdv)) {
        ?>
            <tr class="tr-1" ondblclick='idPdv("<?php echo $chave["Id"]; ?>","<?php echo $chave["Vendedor"]; ?>","<?php echo $chave["Cliente"] . " -- " . $chave["Cpf_Cnpj"] ?>")' style="cursor:pointer">
                <td align="center"><b><?php echo $chave["Id_Vendedor2"]; ?></b></td>
                <td align="center"><b><?php echo $chave["Lancamento"]; ?></b></td>
                <td align="center"><b><?php echo data_exibir($chave["Data_Pdv"]); ?></b></td>
                <td align="center"><b><?php echo $chave["Cliente"]; ?> -- <?php echo $chave["Cpf_Cnpj"]; ?></b></td>
                <td align="center"><b><?php echo $chave["Vendedor"]; ?></b></td>
                <td align="center"><b><?php echo valor_exibir($chave["Total_Pagar"]); ?></b></td>
            </tr>
        <?php
            $y++;
        }
        ?>
    </table>

    <?php include "../include/rodape.php"; ?>
</body>

</html>