<?php
include_once '../include/conecta.php'; //Conecta com a nosso banco de dados MySQL
include_once '../include/ver_sessao.php'; //Verifica se a sesso est ativa
include_once '../include/funcoesPhp.php'; include_once '../menu_movimento.php';

 $usuario = listar("SELECT pdv_entrega_produto.Id,
                            pdv_entrega_produto.Id_Pdv_Entrega,
                            pdv_entrega_produto.Id_Produto,
                            pdv_entrega_produto.Preco,
                            SUM(pdv_entrega_produto.Qtd) as Qtd,
                            pdv_entrega_produto.Desconto,
                            pdv_entrega_produto.Desconto_Real,
                            produto.Titulo as 'Produto',
                            vendedor.Titulo as Vendedor
                            FROM pdv_entrega_produto
                            left join (SELECT Id,Titulo,Codigo FROM produto) as produto ON produto.Id = pdv_entrega_produto.Id_Produto
                            left join (SELECT Id,Titulo FROM funcionario) as vendedor ON vendedor.Id = pdv_entrega_produto.Id_Funcionario
                            WHERE pdv_entrega_produto.Id_Pdv_Entrega='".$_GET["Id_Pdv_Entrega"]."'
                            GROUP BY pdv_entrega_produto.Id_Produto
                            order by pdv_entrega_produto.Data_Cadastro ");

 $usuario1 = listar("SELECT cliente.Titulo as Cliente,
                            cliente.Fone1,
                            cliente.Fone2,
                            cliente.Rua,
                            cliente.Numero,
                            cliente.Cidade,
                            cliente.Bairro,
                            cliente.Ponto_Referencia,
                            pdv_entrega.Id_Cliente
                            FROM cliente
                            left join (SELECT Id,Id_Cliente FROM pdv_entrega) as pdv_entrega ON pdv_entrega.Id_Cliente = cliente.Id 
                            WHERE pdv_entrega.Id='".$_GET["Id_Pdv_Entrega"]."' ");

if(PAIS=='USA'){
    $cozinha_l = "KITCHEN";
    $mesa_l = "COMMANDS";
    $data_l = "DATE";
    $usuario_l = "WAITER";
}else{
    $cozinha_l = "COZINHA";
    $mesa_l = "COMANDA";
    $data_l = "DATA";
    $usuario_l = "GARON";
}


$data_v = mysqli_query($con,"SELECT DATE_FORMAT(mesa_temp.Data_Cadastro, '%H:%i:%s') as 'Hora_Cadastro',
                            mesa_temp.Data_Cadastro,
                            mesa_temp.Taxa_Servico
                            FROM mesa_temp
                            WHERE mesa_temp.Id_Mesa='".$_GET["mesa"]."'
                            AND mesa_temp.Numero_Pedido='".$_GET["numero_pedido"]."'
                            AND mesa_temp.Saiu_Para_Mesa = 'Sim'
                            AND mesa_temp.Cancelado = 'No'
                            order by mesa_temp.Data_Cadastro ");
$data_p = mysqli_fetch_assoc($data_v);
?>
<html>
<head>
<title>Comprovante de Entrega</title>
<link rel="stylesheet" type="text/css" href="../estilo/<?php echo SKIN ;?>/tabela_imp.css" />
<script type="text/javascript" language="javascript" src="../js/jquery.js"></script>
<?php include '../include/script_cabeca.php'; ?>
<script type="text/javascript" language="javascript" src="../js/script.js"></script>
<?php if($_GET["impressao"]!="3"){ ?>
<script type="text/javascript" language="javascript">
  //window.onload = function(){
    //window.print();
    //window.close();
  //};
</script>
<?php } ?>
<style type="text/css">
    .razao{
        font-size: 12px;
    }
</style>
</head>
<body>

    <table width="100%">
    <tr>
        <td>
            <table width="100%" class="razao">
                <tr>
                    <td align="right" width="60%">
                        <a href="javascript:void();" onclick="window.print();">
                            <img src="../imagem/imprima.png" alt="Imprimir" title="Imprimir">
                        </a>
                    </td>
                </tr>
            </table>
        </td>
    </tr>
    <?php
                    $empresa = listar("Select * from unidade where Id = '".$_SESSION["Unidade"]."' ");
    ?>
            <tr>
                    <td width="50%" class="razao">
                        <?php echo strtoupper($empresa[0]["Razao_Social"]);?><br>
                        Tel: <?php echo $empresa[0]["Fone1"];?><br>
                    </td>
            </tr>
        <tr>
           <td>
               ----------------------------------------------------------------------
           </td>
        </tr>
        <tr>
            <td align="center">
                <table width="100%" class="razao">
                    
                    
                    <tr>
                        <td><b>Entregador: </b><?php echo $usuario[0]["Vendedor"] ?></td>
                    </tr>
                    <tr>
                        <td><?php echo data_exibir($data_p["Data_Cadastro"])." ".$data_p["Hora_Cadastro"];?></td>
                    </tr>
                    
                    <tr>
                        <td>--------------------------------------------------------------------------
                        </td>
                    </tr>
                    <tr>
                        <td><b><?php echo $usuario1[0]["Cliente"] ?><b/></td>
                    </tr>
                    <tr>
                        <td><?php echo $usuario1[0]["Fone1"]." - ".$usuario1[0]["Fone2"] ?></td>
                    </tr>
                    <tr>
                        <td><?php echo $usuario1[0]["Rua"].", ".$usuario1[0]["Numero"]." - ".$usuario1[0]["Bairro"]." - ".$usuario1[0]["Cidade"] ?></td>
                    </tr>
                    <tr>
                        <td><?php echo $usuario1[0]["Ponto_Referencia"] ?></td>
                    </tr>
                </table>
            </td>
        </tr>
        <tr>
            <td>&nbsp;</td>
        </tr>
        <tr>
            <td>
                <table width="83%" class="razao">
                    <tr>
                        <td>QTD</td>
                        <td>PRODUTO</td>
                        <td align="right">V.UNI</td>
                        <td align="right">VALOR</td>
                    </tr>
                <?php
                   foreach($usuario as $chave){
                ?>
                    <tr>
                        <td><?php echo $chave["Qtd"]?></td>
                        <td><?php echo substr($chave["Produto"],0,20)?></td>
                        <td align="right"><?php echo number_format($chave["Preco"],2,",",".");?></td>
                        <td align="right"><?php echo number_format($chave["Qtd"]*$chave["Preco"],2,",",".");?></td>
                    </tr>
                <?php
 $compl = listar("SELECT mesa_temp_compl.Id,
                            mesa_temp_compl.Id_Produto,
                            mesa_temp_compl.Preco,
                            mesa_temp_compl.Qtd,
                            produto_compl.Titulo as 'Produto'
                            FROM mesa_temp_compl
                            left join (SELECT Id,Titulo,Codigo FROM produto WHERE Tipo_Produto = 'C') as produto_compl ON produto_compl.Id = mesa_temp_compl.Id_Produto_Compl
                            WHERE mesa_temp_compl.Id_Mesa='".$_GET["mesa"]."'
                            and mesa_temp_compl.Numero_Pedido='".$_GET["numero_pedido"]."'
                            AND mesa_temp_compl.Id_Produto = '".$chave["Id_Produto"]."'
                            AND mesa_temp_compl.Ordem = '".$chave["Ordem"]."'
                            AND Preco > '0'
                            order by mesa_temp_compl.Data_Cadastro ");
                            
                   foreach($compl as $valor){
                ?>
                    <tr>
                        <td>->></td>
                        <td><?php echo substr($valor["Produto"],0,20)?></td>
                        <td align="right"><?php echo number_format($valor["Preco"],2,",",".");?></td>
                        <td align="right"><?php echo number_format($valor["Qtd"]*$valor["Preco"],2,",",".");?></td>
                    </tr>
                <?php
                    $ValTotalCompl+= ($valor["Qtd"]*$valor["Preco"]);
                   } 
                   $ValTotal+= ($chave["Qtd"]*$chave["Preco"]);
                   }
                ?>
                    <?php
                            if($usuario[0]["Desconto"]>0){
                               $de = ($ValTotal+$ValTotalCompl) * ($usuario[0]["Desconto"]/100);
                               //echo valor_exibir($de);
                               $desc_total = $de;
                            }
                            if($usuario[0]["Desconto_Real"]>0){
                                //echo valor_exibir($usuario[0]["Desconto_Real"]);
                                $desc_total = $usuario[0]["Desconto_Real"];
                            }
                            if( ($usuario[0]["Desconto"]==0) && ($usuario[0]["Desconto_Real"]==0) ){
                                //echo valor_exibir(0);
                                $desc_total = '0';
                            }
                            $desc_total = valor_exibir($desc_total);
                            $desc_total = valor_banco($desc_total);
                        ?>
                    <tr>
                        <td colspan="2"></td>
                        <td>PRODUTOS</td>
                        <td align="right"><?php echo number_format($ValTotal+$ValTotalCompl,2,",",".");?></td>
                    </tr>
                    <?php
                        $tx_serv = mysqli_query($con,"SELECT Taxa_Servico_Comanda,Valor_Taxa_Servico FROM opcao ");
                        $taxa_serv = mysqli_fetch_assoc($tx_serv);

                        if($taxa_serv["Taxa_Servico_Comanda"]=='Sim'){

                        $serv = ( ($ValTotal+$ValTotalCompl)*($taxa_serv["Valor_Taxa_Servico"]/100) ) ;
                        $serv = valor_exibir($serv);
                        $serv = valor_banco($serv);
                        
                        //validando se na venda teve taxa de servico
                        if($usuario[0]["Taxa_Servico"]!='Sim')
                            $serv = '0.00';
                    ?>
                    <tr>
                        <td colspan="2"></td>
                        <td>SERVICOS</td>
                        <td align="right"><?php echo number_format($serv,2,",",".");?></td>
                    </tr>
                    <?php
                        }
                    ?>
                    <tr>
                        <td colspan="2"></td>
                        <td>DESCONTO</td>
                        <td align="right"><?php echo $desc_total; ?></td>
                    </tr>
                    <tr>
                        <td>&nbsp;</td>
                        <td>&nbsp;</td>
                        <td>&nbsp;</td>
                        <td align="right">---------</td>
                    </tr>
                    <tr>
                        <td colspan="2"></td>
                        <td>VL.TOTAL</td>
                        <td align="right"><?php echo number_format( ($ValTotal+$ValTotalCompl-$desc_total)+$serv,2,",",".");?></td>
                    </tr>
                </table>
            </td>
        </tr>
        <tr>
            <td>&nbsp;</td>
        </tr>
        <tr>
            <td>
                <table width="83%" class="razao">
               <?php
        $tp = mysqli_query($con,"SELECT tipo_pagamento.Titulo as Tipo_Pagamento,
                        pdv_entrega.Id_Tipo_Pagamento
                        FROM pdv_entrega
                        LEFT JOIN (SELECT Id,Titulo FROM tipo_pagamento) as tipo_pagamento ON tipo_pagamento.Id = pdv_entrega.Id_Tipo_Pagamento
                        WHERE pdv_entrega.Id ='".$_GET["Id_Pdv_Entrega"]."' ");
            
        $linha = mysqli_fetch_assoc($tp);
                ?>
                    <tr>
                        <td>Tipo de Pagamento: <?php echo $linha["Tipo_Pagamento"]?></td>
                    </tr>
                
                </table>
            </td>
        </tr>
        <?php
        $obs = mysqli_query($con,"SELECT pdv_entrega.Obs
                           FROM pdv_entrega
                           WHERE pdv_entrega.Id='".$_GET["Id_Pdv_Entrega"]."' ");
        $obss = mysqli_fetch_assoc($obs);
        ?>
        <tr>
            <td height="30">
                ----------------------------------------------------------------------
            </td>
        </tr>
        <tr>
            <td class="razao" align="center"><?php echo $obss["Obs"];?></td>
        </tr>
        <tr>
            <td height="30">
                ----------------------------------------------------------------------
            </td>
        </tr>
        <tr>
            <td align="center" class="razao">
                Obrigado por ter nos escolhido. <br/>
                Este no  um cupom fiscal.
            </td>
        </tr>
    </table>

<br>
</body>
</html>