<?php
include_once '../include/conecta.php'; //Conecta com a nosso banco de dados MySQL
include_once '../include/ver_sessao.php'; //Verifica se a sesso est ativa
include_once '../include/funcoesPhp.php';
include_once '../menu_movimento.php';

$usuario = listar("SELECT pdv_produto.Id,
                            pdv_produto.Id_Pdv,
                            pdv_produto.Id_Produto,
                            pdv_produto.Preco,
                            SUM(pdv_produto.Qtd) as Qtd,
                            SUM(pdv_produto.Desconto_Real)as Desconto_Real,
                            produto.Titulo as 'Produto'
                            FROM (SELECT * FROM pdv_produto WHERE pdv_produto.Id_Pdv='" . $_GET["id_pdv"] . "' AND Cancelado='No') as pdv_produto
                            left join (SELECT Id,Titulo,Codigo FROM produto) as produto ON produto.Id = pdv_produto.Id_Produto
                            WHERE pdv_produto.Id_Pdv='" . $_GET["id_pdv"] . "'
                            GROUP BY pdv_produto.Id_Produto
                            order by pdv_produto.Data_Cadastro ");

$usuario1 = listar("SELECT cliente.Titulo as Cliente,
                            cliente.Fone1,
                            cliente.Fone2,
                            cliente.Rua,
                            cliente.Numero,
                            cliente.Cidade,
                            cliente.Bairro,
                            cliente.Ponto_Referencia,
                            cliente.Complemento,
                            pdv.Id_Cliente,
                            pdv.Lancamento,
                            pdv.Data_Cadastro,
                            vendedor.Titulo as Vendedor,
                            funcionario.Titulo as Funcionario
                            FROM cliente
                            left join (SELECT Id,Lancamento,Id_Cliente,Id_Vendedor,Id_Funcionario,Data_Cadastro FROM pdv) as pdv ON pdv.Id_Cliente = cliente.Id
                            left join (SELECT Id,Titulo FROM funcionario) as vendedor ON vendedor.Id = pdv.Id_Vendedor
                            left join (SELECT Id,Titulo FROM funcionario) as funcionario ON funcionario.Id = pdv.Id_Funcionario
                            WHERE pdv.Id='" . $_GET["id_pdv"] . "' ");

if (PAIS == 'USA') {
    $cozinha_l = "KITCHEN";
    $mesa_l = "COMMANDS";
    $data_l = "DATE";
    $usuario_l = "WAITER";
} else {
    $cozinha_l = "COZINHA";
    $mesa_l = "COMANDA";
    $data_l = "DATA";
    $usuario_l = "GARON";
}

mysqli_query($con, "UPDATE pdv SET Id_Tipo_Pagamento = (Id_Tipo_Pagamento+1) WHERE pdv.Id = '" . $_GET["id_pdv"] . "' ");
?>
<html>
    <head>
        <title>Comprovante de Entrega</title>
        <link rel="stylesheet" type="text/css" href="../estilo/<?php echo SKIN; ?>/tabela_imp.css" />
        <script type="text/javascript" language="javascript" src="../js/jquery.js"></script>
        <?php include '../include/script_cabeca.php'; ?>
        <script type="text/javascript" language="javascript" src="../js/script.js"></script>
<?php if ($_GET["impressao"] != "3") { ?>
            <script type="text/javascript" language="javascript">
                //window.onload = function(){
                //window.print();
                //window.close();
                //};
            </script>
<?php } ?>
        <style type="text/css">
            .razao{
                font-size: 12px;
                font-weight: bolder;
            }
        </style>
    </head>
    <body>

        <table width="100%">
            <tr>
                <td>
                    <table width="100%" class="razao">
                        <tr>
                            <td align="center" width="40%">
                                <a href="javascript:void();" onclick="window.print();">
                                    <img src="../imagem/imprima.png" alt="Imprimir" title="Imprimir">
                                </a>
                                &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
                                <?php if(EMITIR_NFCE=='Sim'){ ?>
                                <a href='gera_nfce.php?id_pdv=<?php echo $_GET["id_pdv"]; ?>''><img src="../imagem/bt_cupom.png" alt="NFCe" title="NFCe" border="0"></a>
                                <?php } ?>
                            </td>
                        </tr>
                    </table>
                </td>
            </tr>
            <?php
            $empresa = listar("Select * from unidade where Id = '" . $_SESSION["Unidade"] . "' ");
            ?>
            <?php if(CLIENTE_EMAIL=='portodocamarao') { ?>
            <tr>
                <td width="50%" class="razao">
                    <font size='3'><?php echo strtoupper($empresa[0]["Titulo"]); ?></font><br>
                    <font size='3'>Tel: <?php echo $empresa[0]["Fone1"]; ?></font><br>
                </td>
            </tr>
            <?php }else{ ?>
            <tr>
                <td width="50%" class="razao">
                    <font size='3'><?php echo strtoupper($empresa[0]["Razao_Social"]); ?></font><br>
                    <font size='3'>Tel: <?php echo $empresa[0]["Fone1"]; ?></font><br>
                </td>
            </tr>
            <?php } ?>
            <tr>
                <td>
                    ----------------------------------------------------------------------
                </td>
            </tr>
            <tr>
                <td align="center">
                    <table width="100%" class="razao">


                        <tr>
                            <td>
                                <font size='3'><b>Venda: </b><?php echo $usuario1[0]["Lancamento"] ?></font> <br><br>
                                <font size='3'><b>Entregador: </b><?php echo $usuario1[0]["Vendedor"] ?></font> <br><br>
                                <font size='3'><b>Vendedor: </b><?php echo $usuario1[0]["Funcionario"] ?></font>
                            </td>
                        </tr>

                        <tr>
                            <td>--------------------------------------------------------------------------
                            </td>
                        </tr>
                        <tr>
                            <td><font size='3'><b><?php echo $usuario1[0]["Cliente"] ?><b/></font></td>
                        </tr>
                        <tr>
                            <td><font size='3'><?php echo $usuario1[0]["Fone1"] . " - " . $usuario1[0]["Fone2"] ?></font></td>
                        </tr>
                        <tr>
                            <td><font size='3'><?php echo $usuario1[0]["Rua"] . ", " . $usuario1[0]["Numero"] . " - " . $usuario1[0]["Bairro"] . " - " . $usuario1[0]["Cidade"] ?></font></td>
                        </tr>
                        <tr>
                            <td><font size='3'><?php echo $usuario1[0]["Complemento"] ?></font></td>
                        </tr>
                        <tr>
                            <td><font size='3'><?php echo $usuario1[0]["Ponto_Referencia"] ?></font></td>
                        </tr>
                    </table>
                </td>
            </tr>
            <tr>
                <td>&nbsp;</td>
            </tr>
            <tr>
                <td>
                    <table width="83%" class="razao">
                        <tr>
                            <td><font size='3'>PRODUTO</font></td>
                            <td><font size='3'>QTD</font></td>
                            <td align="right"><font size='3'>V.UNI</font></td>
                            <td align="right"><font size='3'>DESC</font></td>
                            <td align="right"><font size='3'>VALOR</font></td>
                        </tr>
                        <?php
                        foreach ($usuario as $chave) {
                            ?>
                            <tr>
                                <td><font size='3'><?php echo substr($chave["Produto"], 0, 20) ?></font></td>
                                <td><font size='3'><?php echo $chave["Qtd"] ?></font></td>
                                <td align="right"><font size='3'><?php echo number_format($chave["Preco"], 2, ",", "."); ?></font></td>
                                <td align="right"><font size='3'><?php echo arredondar_estoque($chave["Desconto_Real"], 2, ",", "."); ?></font></td>
                                <td align="right"><font size='3'><?php echo number_format($chave["Qtd"] * $chave["Preco"], 2, ",", "."); ?></font></td>
                            </tr>
                            <?php
                            $ValTotal += ($chave["Qtd"] * $chave["Preco"]);
                            $tDesconto += $chave["Desconto_Real"];
                        }
                        ?>
                        <?php
                        if ($usuario[0]["Desconto"] > 0) {
                            $de = ($ValTotal + $ValTotalCompl) * ($usuario[0]["Desconto"] / 100);
                            //echo valor_exibir($de);
                            $desc_total = $de;
                        }
                        if ($usuario[0]["Desconto_Real"] > 0) {
                            //echo valor_exibir($usuario[0]["Desconto_Real"]);
                            $desc_total = $usuario[0]["Desconto_Real"];
                        }
                        if (($usuario[0]["Desconto"] == 0) && ($usuario[0]["Desconto_Real"] == 0)) {
                            //echo valor_exibir(0);
                            $desc_total = '0';
                        }
                        $desc_total = valor_exibir($desc_total);
                        $desc_total = valor_banco($desc_total);
                        ?>
                        <tr>
                            <td colspan="3"></td>
                            <td><font size='3'>SUB TOTAL</font></td>
                            <td align="right"><font size='3'><?php echo number_format($ValTotal + $ValTotalCompl, 2, ",", "."); ?></font></td>
                        </tr>
                        <?php
                        $tx_serv = mysqli_query($con, "SELECT Taxa_Servico_Comanda,Valor_Taxa_Servico FROM opcao ");
                        $taxa_serv = mysqli_fetch_assoc($tx_serv);

                        if ($taxa_serv["Taxa_Servico_Comanda"] == 'Sim') {

                            $serv = ( ($ValTotal + $ValTotalCompl) * ($taxa_serv["Valor_Taxa_Servico"] / 100) );
                            $serv = valor_exibir($serv);
                            $serv = valor_banco($serv);

                            //validando se na venda teve taxa de servico
                            if ($usuario[0]["Taxa_Servico"] != 'Sim')
                                $serv = '0.00';
                            ?>
                            <tr>
                                <td colspan="3"></td>
                                <td><font size='3'>SERVICOS</font></td>
                                <td align="right"><font size='3'><?php echo number_format($serv, 2, ",", "."); ?></font></td>
                            </tr>
                            <?php
                        }
                        ?>
                        <tr>
                            <td colspan="2"></td>
                            <td><font size='3'>DESCONTO</font></td>
                            <td align="right"><font size='3'><?php echo arredondar_estoque($tDesconto); ?></font></td>
                        </tr>
                        <tr>
                            <td>&nbsp;</td>
                            <td>&nbsp;</td>
                            <td>&nbsp;</td>
                            <td align="right">---------</td>
                        </tr>
                        <tr>
                            <td colspan="3"></td>
                            <td><font size='3'>VL.TOTAL</font></td>
                            <td align="right"><font size='3'><?php echo number_format(($ValTotal + $ValTotalCompl - $tDesconto) + $serv, 2, ",", "."); ?></font></td>
                        </tr>
                    </table>
                </td>
            </tr>
            <tr>
                <td>&nbsp;</td>
            </tr>
            <tr>
                <td>
                    <table width="83%" class="razao">
                        <?php
                        $tp = mysqli_query($con, "SELECT tipo_pagamento.Titulo as Tipo_Pagamento
                        FROM pdv_tipo_pagamento
                        LEFT JOIN (SELECT Id,Titulo FROM tipo_pagamento) as tipo_pagamento ON tipo_pagamento.Id = pdv_tipo_pagamento.Id_Tipo_Pagamento
                        WHERE pdv_tipo_pagamento.Id_Pdv ='" . $_GET["id_pdv"] . "' ");
                        ?>
                        <tr>
                            <td><font size='3'>Tipo de Pagamento: 
                                <?php
                                while ($linha = mysqli_fetch_assoc($tp)) {
                                    $var_tp .= $linha["Tipo_Pagamento"] . ', ';
                                }
                                echo substr($var_tp, 0, -2);
                                ?>
                                </font></td>
                        </tr>

                    </table>
                </td>
            </tr>
            <?php
            $obs = mysqli_query($con, "SELECT pdv.Obs
                           FROM pdv
                           WHERE pdv.Id='" . $_GET["id_pdv"] . "' ");
            $obss = mysqli_fetch_assoc($obs);
            ?>
            <tr>
                <td height="30">
                    ----------------------------------------------------------------------
                </td>
            </tr>
            <tr>
                <td class="razao" align="center"><?php echo $obss["Obs"]; ?></td>
            </tr>
            <tr>
                <td height="30">
                    ----------------------------------------------------------------------
                </td>
            </tr>
            <tr>
                <td align="center" class="razao">
                    Obrigado por ter nos escolhido. <br/>
                    Este no  um cupom fiscal.
                </td>
            </tr>
            <tr>
                <td align="center" style="font-size:12px">
<?php echo data_exibir($usuario1[0]["Data_Cadastro"]) . " " . substr($usuario1[0]["Data_Cadastro"], -8) ?>
                </td>
            </tr>
        </table>

        <br>
    </body>
</html>