<?php
include_once "../include/conecta.php"; //Conecta com a nosso banco de dados MySQL
ini_set('session.gc_maxlifetime', 60 * 120);
session_start();
/* include_once "../include/ver_sessao.php"; //Verifica se a sesso est ativa */
include_once "../include/funcoesPhp.php"; //Inclue a pgina con todas as funes a ser usada.
?>
<?php
$pedido = listar("Select pedido.Id,
                         pedido.Lancamento,
                         pedido.Status,
                         pedido.Data_Pedido,
                         pedido.Obs as 'Obs_Pedido',
                         pedido.Valor_Original,
                         pedido.Valor_Pago,
                         pedido.Desconto,
                         pedido.Desconto_Real,
                         pedido.Frete,
                         pedido.Valor_Frete,
                         pedido.Id_Unidade,
                         fornecedor.Titulo as 'Fornecedor',
                         fornecedor.Razao_Social,
                         fornecedor.Email,
                         fornecedor.Natureza,
                         fornecedor.Cpf_Cnpj,
                         fornecedor.Rua,
                         fornecedor.Numero,
                         fornecedor.Cep,
                         fornecedor.Bairro,
                         fornecedor.Estado,
                         fornecedor.Fone1,
                         fornecedor.Estadual,
                         fornecedor.Obs as 'Obs_Fornecedor',
                         cidade_ibge.Titulo as Cidade,
                         funcionario.Titulo as 'Funcionario',
                         tipo_pagamento.Titulo as 'Tipo_Pagamento',
                         centro_custo.Titulo as Centro_Custo,
                         atividade.Titulo as Atividade,
                         transportadora.Titulo as Transportadora,
                         cfop.Titulo as Descricao_Cfop
                         from pedido
                         left join (SELECT Id,Titulo,Email,Natureza,Cpf_Cnpj,Rua,Numero,Cep,Bairro,Estado,Fone1,Obs,Id_Cidade,Razao_Social,Estadual FROM fornecedor) as fornecedor ON fornecedor.Id = pedido.Id_Fornecedor
                         left join (SELECT Id,Titulo FROM cidade_ibge) as cidade_ibge ON cidade_ibge.Id = fornecedor.Id_Cidade
                         left join (SELECT Id,Titulo FROM cfop) as cfop ON cfop.Id = pedido.Id_Cfop
                         left join (SELECT Id,Titulo FROM funcionario) as funcionario ON funcionario.Id = pedido.Id_Funcionario
                         left join (SELECT Id,Titulo FROM tipo_pagamento) as tipo_pagamento ON tipo_pagamento.Id = pedido.Id_Tipo_Pagamento
                         LEFT JOIN (SELECT Id,Titulo FROM centro_custo) as centro_custo ON centro_custo.Id = pedido.Id_Centro_Custo
                         LEFT JOIN (SELECT Id,Titulo FROM atividade) as atividade ON atividade.Id = pedido.Id_Atividade
                         LEFT JOIN (SELECT Id,Titulo FROM fornecedor) as transportadora ON transportadora.Id = pedido.Id_Transportadora
                         where pedido.Id = '" . $_GET["id_pedido"] . "'
                         order by pedido.Lancamento DESC");

$_GET["Unidade"] = $pedido[0]["Id_Unidade"];
?>
<html>

<head>
    <title>Gw - Gesto Web</title>
    <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1" />
    <link rel="shortcut icon" href="../imagem/favi_gw.ico" type="image/x-icon" />
    <link rel="stylesheet" type="text/css" href="../estilo/<?php echo SKIN; ?>/tabela_imp.css" />
    <script type="text/javascript" language="javascript" src="../js/jquery.js"></script>
    <?php include '../include/script_cabeca.php'; ?>
    <script type="text/javascript" language="javascript" src="../js/script.js"></script>
    <script type="text/javascript" language="javascript" src="../js/meiomask/meiomask.js"></script>
    <script type="text/javascript" language="javascript" src="../js/meiomask/<?php if (PAIS == "USA") {
                                                                                                echo "mascaras-usa";
                                                                                        } else {
                                                                                                echo "mascaras";
                                                                                        } ?>.js"></script>
</head>

<body>

    <table width="98%" align="center">
        <!-- TABELA Q ENVOLVE TODO O CONTEUDO -->
        <tr>
            <td>
                <?php
                $empresa = listar("Select Titulo,Razao_Social,Rua,Numero,Cep,Bairro,Cidade,Estado,Estadual,Cnpj,Logo from unidade where Id = '" . $_GET["Unidade"] . "' ");
                ?>
                <table width="100%" align="center">
                    <tr>
                        <td width="25%">
                        <?php
                            if(file_exists("../unidade/foto/".$empresa[0]["Logo"]."")){
                                $cam_arq = "../unidade/foto/".$empresa[0]["Logo"];
                            }else{
                                $cam_arq = "../../unidade/foto/".$empresa[0]["Logo"];
                            }
                        ?>
                            <img src="<?php echo $cam_arq; ?>" title="Logo" alt="Logo" border="0" width="140px" height="auto"/>
                        </td>
                        <td width="40%">
                            <font face="verdana" size="4">
                                <?php
                                echo "<b>" . $empresa[0]["Titulo"] . "</b><br>";
                                ?>
                            </font>
                            <font face="verdana" size="2">
                                <?php
                                echo "<i>" . $empresa[0]["Razao_Social"] . "</i>";
                                ?>
                            </font>
                        </td>
                        <td align="right" width="35%" style="font-size:16px; vertical-align: top; font-family: verdana">
                            <?php
                            echo "<b>PEDIDO DE COMPRA</b><br>".$pedido[0]["Lancamento"];
                            ?>
                        </td>
                    </tr>
                </table>
            </td>
        </tr>
        <tr>
            <td height=8></td>
        </tr>
        <tr>
            <td>
                <table width="100%" align="center">
                    <tr>
                        <td>
                            <font face="verdana" size="2">
                                <?php
                                echo $empresa[0]["Rua"] . ", " . $empresa[0]["Numero"];
                                ?>
                            </font>
                        </td>
                        <td align="right">
                            <font face="verdana" size="2">
                                <?php
                                echo data_extenso($pedido[0]["Data_Pedido"]) . "<br>";
                                ?>
                            </font>
                            <font face="verdana" size="2">
                                <?php
                                echo "Natureza de Compra<br>" . $pedido[0]["Descricao_Cfop"];
                                ?>
                            </font>
                        </td>
                    </tr>
                </table>
            </td>
        </tr>
        <tr>
            <td height=8></td>
        </tr>
        <tr>
            <td>
                <table width="100%" align="center">
                    <tr>
                        <td width=10% style="font-size:10px; vertical-align: top; font-family: verdana">
                            <b>FORNECEDOR</b>
                        </td>
                        <td width=40% style="font-size:12px; vertical-align: top; font-family: verdana">
                                <?php
                                echo $pedido[0]["Fornecedor"] . "<br>";
                                echo $pedido[0]["Rua"] . ", " . $pedido[0]["Numero"] . "<br>";
                                echo $pedido[0]["Cidade"] . " - " . $pedido[0]["Estado"] . " - " . $pedido[0]["Cep"] . " - BRASIL<br>";
                                echo $pedido[0]["Fone1"] . "<br>";
                                echo "CNPJ/CPF " . cnpj_exibir($pedido[0]["Cpf_Cnpj"]) . "<br>";
                                echo "INSCR EST " . $pedido[0]["Estadual"] . "<br>";
                                ?>
                        </td>
                        <td width=10% style="font-size:10px; vertical-align: top; font-family: verdana">
                            <b>ENTREGAR PARA</b>
                        </td>
                        <td width=40% style="font-size:12px; vertical-align: top; font-family: verdana">
                                <?php
                                echo $empresa[0]["Titulo"] . "<br>";
                                echo $empresa[0]["Rua"] . ", " . $empresa[0]["Numero"] . "<br>";
                                echo $empresa[0]["Cidade"] . " - " . $empresa[0]["Estado"] . " - " . $empresa[0]["Cep"] . " - BRASIL<br>";
                                echo "CNPJ/CPF " . cnpj_exibir($empresa[0]["Cnpj"]) . "<br>";
                                echo "INSCR EST " . $empresa[0]["Estadual"] . "<br>";
                                ?>
                        </td>
                    </tr>
                </table>
            </td>
        </tr>
        <tr>
            <td height=8></td>
        </tr>
        <tr>
            <td>
                <table width="100%" align="center" class="tabela">
                    <tr>
                        <td width="50%" align="center">TRANSPORTE</td>
                        <td width="50%" align="center">CONDIO PAGAMENTO - <?php echo $pedido[0]["Tipo_Pagamento"]; ?></td>
                    </tr>
                    <tr>
                        <td width="50%">INTEGRAO<br>FRETE: <?php echo $pedido[0]["Frete"]; ?> &nbsp;&nbsp;&nbsp;&nbsp;
                            VIA: Rodovirio</td>
                        <td width="50%" align="center">

                    <?php
                    $venda_parcela = listar("SELECT financeiro_pedido.*,
                                            tipo_pagamento.Titulo as 'Tipo_Pagamento'
                                            FROM financeiro_pedido
                                            LEFT JOIN (SELECT Id,Titulo FROM tipo_pagamento) as tipo_pagamento ON tipo_pagamento.Id = financeiro_pedido.Id_Tipo_Pagamento
                                            WHERE financeiro_pedido.Id_Externo = '" . $_GET["id_pedido"] . "' 
                                            AND financeiro_pedido.Id_Tipo_Pagamento <> '0'
                                            ORDER BY financeiro_pedido.Ordem ");
                    ?>
                    <table width="98%" align="center" class="tabela">
                        <tr class="azul-claro">
                            <td>N</td>
                            <td>Vencimento</td>
                            <td>Valor</td>
                            <td>Tipo</td>
                        </tr>
                        <?php
                        for ($i=1; $i<=PARCELA_PAGAMENTO; $i++) {
                            $campo_tp.=" Taxa".str_pad($i, 2,"0", STR_PAD_LEFT).", Prazo".str_pad($i, 2,"0", STR_PAD_LEFT).", ";
                        }
                        $campo_tp = substr($campo_tp,0,-2);
                        
                        foreach ($venda_parcela as $chave) {

                            $tip = mysqli_query($con, "SELECT $campo_tp
                                                        FROM tipo_pagamento
                                                        WHERE Id = '{$chave["Id_Tipo_Pagamento"]}'  ")
                            or die("ERRO no comando SQL:" . mysqli_error($con));
                            $array_tipo = mysqli_fetch_assoc($tip);


                            $z = 1;
                            for ($x = 1; $x<=PARCELA_PAGAMENTO; $x++) {

                                if ($x < 10) {
                                    $z = '0' . $x;
                                }

                                if ($array_tipo["Prazo" . $z] == "") {
                                    break;
                                }
                                ?>
                                <tr>
                                    <td><?php echo $x; ?></td>
                                    <td><?php echo data_exibir($chave["Data$z"]) ?></td>
                                    <td><?php echo number_format($chave["Valor$z"], 2, ',', '.') ?></td>
                                    <td><?php echo $chave["Tipo_Pagamento"] ?></td>
                                </tr>
                                <?php
                                $z++;
                            }
                        }
                        ?>
                    </table>



                        </td>
                    </tr>
                    <tr><td colspan="2">Valor Frete: <?php echo valor_exibir($pedido[0]["Valor_Frete"]); ?></td></tr>
                </table>
            </td>
        </tr>
        <tr>
            <td height=8></td>
        </tr>
        <tr>
            <td>

                <?php

                                $pedido_pro = listar("Select pedido_produto.Preco,
 					pedido_produto.Liberado as 'Qtd',
 					pedido_produto.Desconto as 'Desconto',
                                        pedido_produto.Desconto_Real,
                                        pedido_produto.Ipi,
                                        pedido_produto.Icms,
                                        pedido_produto.Status_Produto,
                                        pedido_produto.Moeda,
                                        pedido_produto.Cotacao_Fornecedor,
                                        pedido_produto.Rmes,
                                        pedido_produto.Data_Entrega,
 					produto.Titulo as 'Produto',
 					produto.Descricao,
                                        produto.Codigo_Fornecedor,
 					produto.Codigo,
                                        produto.Medida
 					from pedido_produto
 					left join (SELECT Id,Titulo,Descricao,Codigo,Codigo_Fornecedor,Medida FROM produto) as produto ON produto.Id = pedido_produto.Id_Produto
 					where pedido_produto.Id_Pedido = '" . $_GET["id_pedido"] . "'
                                        ORDER BY pedido_produto.Data_Cadastro");

                                $x = 1;
                                foreach ($pedido_pro as $chave) { ?>
                <table width="100%" align="center" class="tabela">
                    <tr class="azul-claro">
                        <td>ORDEM</td>
                        <td>ITEM</td>
                        <td>PREO UNIT</td>
                        <td>% DESC</td>
                        <td>MOEDA</td>
                        <td>TAXA FIN</td>
                        <td>% ICMS</td>
                        <td>% IPI</td>
                        <td>VALOR IPI</td>
                    </tr>
                    <tr>
                        <td><?php echo $chave["Rmes"]; ?></td>
                        <td><?php echo $chave["Codigo"]; ?></td>
                        <td><?php echo number_format($chave["Preco"], 2, ',', '.'); ?></td>
                        <td><?php echo number_format($chave["Desconto"], 2, ',', '.'); ?></td>
                        <td><?php echo $chave["Moeda"]; ?></td>
                        <td><?php echo number_format(0, 2, ',', '.'); ?></td>
                        <td><?php echo number_format($chave["Icms"], 2, ',', '.'); ?></td>
                        <td><?php echo number_format($chave["Ipi"], 2, ',', '.'); ?></td>
                        <td><?php echo number_format( ($chave["Ipi"]/100) * ($chave["Preco"]*$chave["Qtd"]), 2, ',', '.'); ?></td>
                    </tr>
                    <tr>
                        <td colspan="9" style="font-size:12px; border-top: 0px; border-bottom: 0px;">
                            <br/>
                            <b>ITEM FORNECEDOR:</b> <?php echo $chave["Codigo"]; ?><br><br/>
                            <b>DESCRIO DO ITEM:</b> <?php echo $chave["Produto"]; ?>
                            <br/><br/>
                        </td>
                    </tr>
                    <tr>
                        <td colspan="9" style="border-top: 0px;">
                            <table width="96%" align="center" class="tabela">
                                <tr>
                                    <td>ENTREGA</td>
                                    <td>QUANTIDADE</td>
                                    <td>UN</td>
                                    <td>P.TAX</td>
                                    <td>VALOR DESC</td>
                                    <td>VAL ENC FIN</td>
                                    <td>PREO TOTAL</td>
                                </tr>
                                <tr>
                                    <td><?php echo data_exibir($chave["Data_Entrega"]); ?></td>
                                    <td><?php echo valor_exibir($chave["Qtd"]); ?></td>
                                    <td><?php echo $chave["Medida"]; ?></td>
                                    <td><?php echo valor_exibir(DOLAR); ?></td>
                                    <td><?php echo number_format(0, 2, ',', '.'); ?></td>
                                    <td><?php echo number_format(0, 2, ',', '.'); ?></td>
                                    <td>
                                        <?php echo number_format((($chave['Qtd'] * $chave['Preco'])
                                            + (($chave['Qtd'] * $chave['Preco']) * ($chave['Ipi'] / 100))
                                            - (($chave['Qtd'] * $chave['Preco']) * ($chave['Desconto'] / 100))) - $chave['Desconto_Real'], 2, ',', '.'); ?>
                                    </td>
                                </tr>
                            </table>
                        </td>
                    </tr>
                    <tr style="border: 0px;">
                        <td height=8 colspan=7 style="border: 0px;"></td>
                    </tr>
                </table>
                <?php
                                        $Qtd += $chave["Qtd"];
                                        $Preco += $chave["Preco"];
                                        $Desconto += $chave["Desconto"];
                                        $Desconto_Real += $chave["Desconto_Real"];
                                        $Total += (($chave["Preco"] * $chave["Qtd"])
                                                + (($chave['Qtd'] * $chave['Preco']) * ($chave['Ipi'] / 100))
                                                - (($chave["Preco"] * $chave["Qtd"]) * ($chave["Desconto"] / 100))) - $chave['Desconto_Real'];
                                        $x++;
                                }
                                ?>

            </td>
        </tr>
        <tr>
            <td>
                <table width="30%" align="right" class="tabela">
                    <tr>
                        <td align="center" width="50%">TOTAL: </td>
                        <td align="right" width="50%">
                            <?php echo number_format((($Total - ($Total * ($pedido[0]["Desconto"] / 100))) - $pedido[0]["Desconto_Real"]) + $pedido[0]["Valor_Frete"], 2, ',', '.'); ?>
                        </td>
                    </tr>
                </table>
            </td>
        </tr>
        <tr>
            <td height=8></td>
        </tr>
        <tr>
            <td>
                <table width="100%" align="right" class="tabela">
                    <?php if (CLIENTE_EMAIL == 'gardenquimica') { ?>
                    <tr>
                        <td><b>COMENTRIOS DO PEDIDO</b><br>
                            <?php echo $pedido[0]["Obs_Pedido"]; ?><br><br>
                            <b>MENSAGEM DO PEDIDO</b><br>
                            1 Nota : No sero aceitos Boletos com vencimentos para os dias 15 e 30 ms.<br>
                            2 Nota: Todo material adquirido  obrigatrio o envio do laudo de analise junto  nota
                            fiscal.<br>
                            &nbsp;&nbsp;&nbsp;&nbsp;* CASO CONTRARIO, SUJEITO a DEVOLUO.<br>
                            3 Nota: Todo material adquirido  obrigatorio o atendimento a nossa especificao.<br>
                            &nbsp;&nbsp;&nbsp;&nbsp;* Que segue em anexo.<br>
                            4 Nota: Obrigatrio o envio do arquivo XML com 1 dia til antes da entrega da carga. Enviar
                            para o e-mail: nfe@gardequimica.com.br .<br>
                            5 Nota: O no envio do arquivo XML, implicara na demora para a descarga ou at mesmo no
                            recebimento da carga.<br>
                            6 Nota: Horrio de recebimento de carga lquida: das 08:00 s 12:00 horas, carga seca 13:00
                            s 17:00 horas.<br>
                            <br>
                            A Garden Quimica infoma que a partir de 01/12/2020 no fazemos o envio de boletos
                            antecipadamente,
                            todos nossos boletos so enviados via correios pelo banco emissor, e caso no receba o
                            boleto,
                            por favor solicite com antecedncia atravs do e-mail flavia.barbosa@gardenquimica.com.br
                            ou pelo whatsapp (11)98212-2665
                            Obs: No ser possivl a iseno de juros se no solicitado antes do vencimento do bol
                            <br><br>
                            Favor realizar as conferncias de:
                            Valor real x n.f/ Peso/ddl averbado a laudo tcnico.
                        </td>
                    </tr>
                    <?php } else { ?>
                    <tr>
                        <td><b>COMENTRIOS DO PEDIDO</b><br>
                            <?php echo $pedido[0]["Obs_Pedido"]; ?><br><br>
                            <b>MENSAGEM DO PEDIDO</b><br>
                            1 Nota: Todo material adquirido  obrigatrio o envio do laudo de analise junto  nota
                            fiscal.<br>
                            &nbsp;&nbsp;&nbsp;&nbsp;* CASO CONTRARIO, SUJEITO a DEVOLUO.<br>
                            2 Nota: Todo material adquirido  obrigatorio o atendimento a nossa especificao.<br>
                            &nbsp;&nbsp;&nbsp;&nbsp;* Que segue em anexo.<br>
                            3 Nota: Obrigatrio o envio do arquivo XML com 1 dia til antes da entrega da carga. Enviar
                            para o e-mail: financeiro@igq.com.br .<br>
                            4 Nota: O no envio do arquivo XML, implicara na demora para a descarga ou at mesmo no
                            recebimento da carga.<br>
                            5 Nota: Horrio de recebimento de carga lquida: das 08:00 s 12:00 horas, carga seca 13:00
                            s 17:00 horas.<br>
                        </td>
                    </tr>
                    <?php } ?>
                </table>
            </td>
        </tr>
    </table>
    <br /><br /><br />
    <table width="98%" align="center">
        <tr>
            <td align="center">________________________</td>
            <td align="center">________________________</td>
        </tr>
        <tr>
            <td align="center">
                <font face="verdana" size="2"><i>Comprador</i></font>
            </td>
            <td align="center">
                <font face="verdana" size="2"><i>Data</i></font>
            </td>
        </tr>
    </table>
</body>

</html>
<?php include "../include/rodape.php"; ?>