<?php
include_once '../include/conecta.php'; //Conecta com a nosso banco de dados MySQL
include_once '../include/ver_sessao.php'; //Verifica se a sesso est ativa
include_once '../include/funcoesPhp.php';
include_once '../menu_movimento.php';
?>
<?php
if (($_GET["Finalizado"]) || ($_GET["Aberto"]) || ($_GET["Cancelado"])) {

    $status = "and (";

    if ($_GET["Finalizado"]) {
        $status .= " pedido.Status = 'Finalizado' OR";
    }
    if ($_GET["Aberto"]) {
        $status .= " pedido.Status = 'Aberto' OR";
    }
    if ($_GET["Cancelado"]) {
        $status .= " pedido.Status = 'Cancelado' OR";
    }

    $status = substr($status, 0, -2);
    $status .= ")";
}

if ($_GET['Data_Filtro'] == 'Data') {
    if ($_GET["De"])
        $data .= "AND pedido.Data_Pedido >= '" . data_banco($_GET["De"]) . " 00:00:00' ";
    if ($_GET["Ate"])
        $data .= "AND pedido.Data_Pedido <= '" . data_banco($_GET["Ate"]) . " 23:59:59' ";
}
if ($_GET['Data_Filtro'] == 'Conclusao') {
    if ($_GET["De"])
        $data .= "AND pedido.Data_Conclusao >= '" . data_banco($_GET["De"]) . " 00:00:00' ";
    if ($_GET["Ate"])
        $data .= "AND pedido.Data_Conclusao <= '" . data_banco($_GET["Ate"]) . " 23:59:59' ";
}
if ($_GET['Data_Filtro'] == 'Entrega') {
    if ($_GET["De"])
        $pedido_produto .= "AND pedido_produto.Data_Entrega >= '" . data_banco($_GET["De"]) . " 00:00:00' ";
    if ($_GET["Ate"])
        $pedido_produto .= "AND pedido_produto.Data_Entrega <= '" . data_banco($_GET["Ate"]) . " 23:59:59' ";
}


if ($_GET["Fornecedor"]) {

    $mystring = $_GET["Fornecedor"];
    $findme = " : ";

    $posicao = strpos($mystring, $findme);

    $cod_cli = substr($_GET["Fornecedor"], 0, $posicao);
    $nome_cli = substr($_GET["Fornecedor"], ($posicao + 3));


    if (FORNECEDOR_RAZAO_SOCIAL == 'Sim') {
        $nome = 'Razao_Social';
    } else {
        $nome = 'Titulo';
    }
    /* convertendo o nome do fornecedor, para o seu codigo */
    $Prodt = listar("SELECT Id FROM fornecedor WHERE " . $nome . " ='" . $nome_cli . "' AND Codigo = '" . $cod_cli . "' ");
    $_GET["Fornecedor"] = $Prodt[0]["Id"];

    $fornecedor = "AND pedido.Id_Fornecedor = '" . $_GET["Fornecedor"] . "' ";
}

if ($_GET["Produto"]) {

    $mystring = $_GET["Produto"];
    $findme = " : ";

    $posicao = strpos($mystring, $findme);

    $cod_cli = substr($_GET["Produto"], 0, $posicao);
    $nome_cli = substr($_GET["Produto"], ($posicao + 3));


    /* convertendo o nome do fornecedor, para o seu codigo */
    $Prodt = listar("SELECT Id FROM produto WHERE Titulo='" . $nome_cli . "' AND Codigo = '" . $cod_cli . "' ");
    $_GET["Produto"] = $Prodt[0]["Id"];

    $pedido_produto .= "and pedido_produto.Id_Produto = '" . $_GET["Produto"] . "' ";
}

if ($_GET["Funcionario"])
    $usuario_p .= "and pedido.Id_Funcionario = '" . $_GET["Funcionario"] . "' ";

if ($_GET["Vendedor"])
    $usuario_p .= "and pedido.Id_Vendedor = '" . $_GET["Vendedor"] . "' ";

if ($_GET["Status_Produto"])
    $status_produto .= "and pedido_produto.Status_Produto = '" . $_GET["Status_Produto"] . "' ";

if ($_GET["Centro_Custo"])
    $centro = "and pedido.Id_Centro_Custo = '" . $_GET["Centro_Custo"] . "' ";

if ($_GET["Unidade"]) {
    $Unidade = "and pedido.Id_Unidade = '" . $_GET["Unidade"] . "' ";
}

if ($_GET["Ok"]) {
    $pedido = listar("Select pedido.Id,
                            pedido.Lancamento,
                            pedido.Status,
                            pedido.Data_Pedido,
                            pedido.Data_Conclusao,
                            pedido.Desconto,
                            pedido.Desconto_Real,
                            pedido.Cotacao,
                            fornecedor.Titulo as Fornecedor,
                            fornecedor.Razao_Social,
                            tipo_pagamento.Titulo as Tipo_Pagamento,
                            funcionario.Titulo as 'Responsavel',
                            centro_custo.Titulo as Centro_Custo
                            from pedido
                            INNER join (SELECT Id,Id_Produto,Id_Pedido FROM pedido_produto WHERE 1=1 $pedido_produto) as pedido_produto ON pedido_produto.Id_Pedido = pedido.Id
                            LEFT JOIN (SELECT Id,Titulo FROM funcionario) as funcionario ON funcionario.Id = pedido.Id_Funcionario
                            LEFT JOIN (SELECT Id,Titulo,Razao_Social FROM fornecedor) as fornecedor ON pedido.Id_Fornecedor = fornecedor.Id
                            LEFT JOIN (SELECT Id,Titulo FROM tipo_pagamento) as tipo_pagamento ON pedido.Id_Tipo_Pagamento = tipo_pagamento.Id
                            LEFT JOIN (SELECT Id,Titulo FROM centro_custo) as centro_custo ON pedido.Id_Centro_Custo = centro_custo.Id
                            where 1=1
                            $data $status $fornecedor $usuario_p $Unidade $centro 
                            group by pedido.Lancamento
                            order by pedido.Lancamento");
}
?>
<html>

<head>
    <title>Gw - Gesto Web</title>
    <link rel="stylesheet" type="text/css" href="../estilo/<?php echo SKIN; ?>/tabelas.css" />
    <link rel="stylesheet" type="text/css" href="../js/datePicker/datePicker.css" />
    <link rel="stylesheet" type="text/css" href="../js/autocomplete/jquery.autocomplete.css" />
    <link rel="stylesheet" type="text/css" href="../js/autocomplete/lib/thickbox.css" />
    <script type="text/javascript" language="javascript" src="../js/jquery.js"></script>
    <?php include '../include/script_cabeca.php'; ?>
    <script type="text/javascript" language="javascript" src="../js/script.js"></script>
    <script type="text/javascript" language="javascript" src="../js/meiomask/meiomask.js"></script>
    <script type="text/javascript" language="javascript" src="../js/meiomask/<?php if (PAIS == "USA") {
                                                                                    echo "mascaras-usa";
                                                                                } else {
                                                                                    echo "mascaras";
                                                                                } ?>.js"></script>
    <script type="text/javascript" language="javascript" src="../js/blockUI/blockUI.js"></script>
    <script type="text/javascript" language="javascript" src="../js/autocomplete/lib/jquery.bgiframe.min.js"></script>
    <script type="text/javascript" language="javascript" src="../js/autocomplete/lib/jquery.ajaxQueue.js"></script>
    <script type="text/javascript" language="javascript" src="../js/autocomplete/lib/thickbox-compressed.js"></script>
    <script type="text/javascript" language="javascript" src="../js/autocomplete/jquery.autocomplete.js"></script>
    <!-- required plugins -->
    <script language="javascript" type="text/javascript" src="../js/datePicker/<?php if (PAIS == "USA") {
                                                                                    echo "date";
                                                                                } else {
                                                                                    echo "date-pt";
                                                                                } ?>.js"></script>
    <!--[if IE]>
	<script type="text/javascript" src="../js/datePicker/jquery.bgiframe.js"></script>
	<![endif]-->
    <!-- jquery.datePicker.js -->
    <script type="text/javascript" src="../js/datePicker/jquery.datePicker.js"></script>
    <script type="text/javascript" language="javascript">
    Date.firstDayOfWeek = 0;
    <?php if (PAIS == "USA") {
            echo "Date.format='mm/dd/yyyy';";
        } else {
            echo "Date.format='dd/mm/yyyy';";
        } ?>
    $(function() {
        $('.date-pick').datePicker({
            startDate: '01/01/1990'
        })
    });
    </script>
    <script type="text/javascript" language="javascript">
    $(document).ready(function() {
        $("#Fornecedor").autocomplete("../relatorio/busca_fornecedor.php", {
            width: 340,
            selectFirst: true,
            scroll: false,
            cacheLength: 100,
            max: 100
        });
        $("#Produto").autocomplete("pedido/busca_produto.php", {
            width: 340,
            selectFirst: true,
            scroll: false,
            cacheLength: 100,
            max: 100
        });
    });
    </script>
    <style type="text/css">
    thead {
        display: table-header-group;
    }

    tfoot {
        display: table-footer-group;
    }
    </style>
</head>

<body>
    <table width="100%" height="400px">
        <!-- TABELA Q ENVOLVE TODO O CONTEUDO -->
        <tr>
            <td>
                <table width="100%">
                    <tr>
                        <td align="left">
                            <font face="verdana" size="2"><i><b>Relatrio de Pedidos</b></i></font>
                        </td>
                        <td align="center">
                            <a href='imp_pdf_pedido.php?<?php echo $_SERVER["QUERY_STRING"] ?>' title="Pdf"><img
                                    src="../imagem/pdfG.png" border="0" alt="Pdf" title="Pdf" /></a>
                            <br />
                            <font face="verdana" size="2"><i>Pdf</i></font>
                        </td>
                        <td align="center">
                            <a href='imp_excel_pedido.php?<?php echo $_SERVER["QUERY_STRING"] ?>' title="Excel"><img
                                    src="../imagem/excelG.png" border="0" alt="Excel" title="Excel" /></a>
                            <br />
                            <font face="verdana" size="2"><i>Excel</i></font>
                        </td>
                        <td align="center">
                            <a href="imp_rel_pedido.php?<?php echo $_SERVER["QUERY_STRING"] ?>" title="Imprimir"
                                target="_blank"><img src="../imagem/imprimirG.png" border="0" alt="Imprimir"
                                    title="Imprimir" /></a>
                            <br />
                            <font face="verdana" size="2"><i>Imprimir</i></font>
                        </td>
                    </tr>
                </table>
            </td>
        </tr>
        <tr>
            <td>
                <form action="" method="get">
                    <table width="100%" class="busca_rel">
                        <tr class="azul">
                            <td>De<input type="text" name="De" id="De" class="date-pick" size="10"
                                    value="<?php echo $_GET["De"]; ?>"></td>
                            <td>At<input type="text" name="Ate" id="Ate" class="date-pick" size="10"
                                    value="<?php echo $_GET["Ate"]; ?>"></td>
                            <?php
                            if ($_GET['Data_Filtro'] == 'Data') {
                                $Data = 'checked';
                            } else if ($_GET['Data_Filtro'] == 'Conclusao') {
                                $Conclusao = 'checked';
                            } else if ($_GET['Data_Filtro'] == 'Entrega') {
                                $Entrega = 'checked';
                            } else {
                                $Data  = 'checked';
                            }
                            ?>
                            <td>
                                <input type="radio" name="Data_Filtro" value='Data' id="Data"
                                    <?php echo $Data; ?>><label class="label_radio" for="Data">Data Abertura</label>
                                <input type="radio" name="Data_Filtro" value='Conclusao' id="Conclusao"
                                    <?php echo $Conclusao; ?>><label class="label_radio" for="Conclusao">Data
                                    Concluso</label>
                                <input type="radio" name="Data_Filtro" value='Entrega' id="Entrega"
                                    <?php echo $Entrega; ?>><label class="label_radio" for="Entrega">Data
                                    Entrega</label>
                            </td>
                        </tr>
                        <tr class="azul">
                            <td>
                                <?php
                                if (FORNECEDOR_RAZAO_SOCIAL == 'Sim') {
                                    $nome = 'Razao_Social';
                                } else {
                                    $nome = 'Titulo';
                                }

                                $Produt = listar("SELECT CONCAT(Codigo,' : ', " . $nome . ") as Titulo FROM fornecedor WHERE Id='" . $_GET['Fornecedor'] . "'");
                                $_GET["Fornecedor"] = $Produt[0]["Titulo"];
                                ?>
                                <label for="Fornecedor"><b> * Cdigo / Fornecedor :</b></label>
                                <input style="width: 220px; height: 20px;" type="text" id="Fornecedor" name="Fornecedor"
                                    value="<?php echo $_GET['Fornecedor']; ?>" />
                            </td>
                            <td>
                                <?php
                                //se o sistema for Multi Empresa
                                if (MULTI_EMPRESA == "Sim") {

                                    //se o usuario master ele escolhe pra quem vai
                                    if (ESCOLHER_EMPRESA == 'Sim') {
                                ?>

                                <?php echo select_banco2(
                                            "SELECT Id,Titulo FROM unidade WHERE Ativo='Sim' ORDER BY Titulo",
                                            "Unidade",
                                            "Unidade",
                                            "Empresa",
                                            $_GET["Unidade"],
                                            'style="width:200px"',
                                            ""
                                        );
                                        ?>

                                <?php
                                        //se no for, a unidade sempre ser a sua
                                    } else {
                                        echo "<input type='hidden' name='Unidade' id='Unidade' value='" . $_SESSION["Unidade"] . "' >";
                                    }
                                } else {
                                    echo "<input type='hidden' name='Unidade' id='Unidade' value='" . $_SESSION["Unidade"] . "' >";
                                }
                                ?>
                            </td>
                            <td>
                                <?php
                                echo select_banco2(
                                    "Select distinct Id, Titulo from funcionario where Ativo = 'Sim' AND Vendedor = 'Sim' order by Titulo",
                                    "Funcionario",
                                    "Funcionario",
                                    "Responsvel",
                                    $_GET["Funcionario"],
                                    'style="width:200px"'
                                );
                                ?>
                            </td>
                        </tr>
                        <tr class="azul">
                            <td>
                                <?php
                                /* convertendo o codigo do produto, para o seu nome */
                                $Produt = listar("SELECT CONCAT(Codigo,' : ', Titulo) as Titulo FROM produto WHERE Id='" . $_GET["Produto"] . "'");
                                $_GET["Produto"] = $Produt[0]["Titulo"];
                                ?>
                                <label for="Produto"><b> * Cdigo / Produto :</b></label>
                                <input style="width: 200px; height: 20px;" type="text" name="Produto" id="Produto"
                                    value="<?php echo $_GET["Produto"] ?>">
                            </td>
                            <td>
                                
		                        <input type="checkbox" name="Finalizado" value="Finalizado" 
                                    <?php if ($_GET["Finalizado"]) echo "checked='checked' "; ?> >Finalizado		
                                <input type="checkbox" name="Aberto" value="Aberto"
                                    <?php if ($_GET["Aberto"]) echo "checked='checked' "; ?>>Em Lanamento
                                <input type="checkbox" name="Cancelado" value="Cancelado"
                                    <?php if ($_GET["Cancelado"]) echo "checked='checked' "; ?>>Cancelado

                                <input type="hidden" value="<?php echo $_GET["Finalizado"]; ?>" name="Finalizado_Rel"
                                    id="Finalizado_Rel">
                                <input type="hidden" value="<?php echo $_GET["Aberto"]; ?>" name="Aberto_Rel"
                                    id="Aberto_Rel">
                                <input type="hidden" value="<?php echo $_GET["Cancelado"]; ?>" name="Cancelado_Rel"
                                    id="Cancelado_Rel">

                            </td>
                            <td>
                                <?php
                                $vetor = array(
                                    ''          =>  'Status Produto',
                                    'Pendente'  =>  'Pendente',
                                    'Entregue'  =>  'Entregue'
                                );
                                select_tela("Status_Produto", "Status_Produto", $_POST["Status_Produto"], $vetor, '', "");
                                ?>
                                <?php
                                echo select_banco2(
                                    "Select Id, Titulo from centro_custo WHERE Id_Pai = '' order by Titulo",
                                    "Centro_Custo",
                                    "Centro_Custo",
                                    "Centro Custo",
                                    $_GET["Centro_Custo"],
                                    'style="width:200px"',
                                    ""
                                );
                                ?>
                                &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
                                <input type="submit" value="Ok" name="Ok">
                            </td>
                        </tr>
                    </table>
                </form>
            </td>
        </tr>
        <tr>
            <td>
                <table width="100%" class="tabela">
                    <?php
                    if ($_GET["Ok"]) {

                        foreach ($pedido as $chave) { ?>
                    <tr class="azul-claro">
                        <td>Pedido N: <b><?php echo $chave["Lancamento"] ?></b></td>
                        <td>Fornecedor:
                            <b>
                                <?php
                                        if (FORNECEDOR_RAZAO_SOCIAL == 'Sim') {
                                            echo $chave["Razao_Social"];
                                        } else {
                                            echo $chave["Fornecedor"];
                                        }
                                        ?>
                            </b>
                        </td>
                        <td colspan="2">Data: <b><?php echo data_exibir($chave["Data_Pedido"]) ?></b></td>
                        <td colspan="2">Centro: <b><?php echo $chave["Centro_Custo"] ?></b></td>
                    </tr>
                    <tr>
                        <td>Produto</td>
                        <td>Medida</td>
                        <td>Valor</td>
                        <td>Quantidade</td>
                        <?php if (CLIENTE_EMAIL == 'maxqualy') { ?>
                        <td>Status</td>
                        <?php } ?>
                        <?php if (CLIENTE_EMAIL == 'gardenquimica' || CLIENTE_EMAIL == 'igq' || CLIENTE_EMAIL == 'gw') { ?>
                        <td>Entrega</td>
                        <?php } ?>
                        <td>Total</td>
                    </tr>
                    <?php
                            $produto = listar("Select produto.Titulo,
                            produto.Codigo,
                            produto.Medida,
                            pedido_produto.Preco,
                            pedido_produto.Qtd,
                            pedido_produto.Status_Produto,
                            pedido_produto.Desconto,
                            pedido_produto.Status_Produto,
                            pedido_produto.Desconto_Real,
                            pedido_produto.Data_Entrega
                            from pedido_produto
                            left join (SELECT Id,Titulo,Codigo,Medida FROM produto) as produto ON produto.Id = pedido_produto.Id_Produto
                            where pedido_produto.Id_Pedido = '" . $chave["Id"] . "'
                            $pedido_produto $status_produto
                            ORDER BY pedido_produto.Data_Cadastro");
                            ?>
                    <?php
                            $color = "#F5F5F5";
                            $vtotal = '0';
                            foreach ($produto as $valor) {

                                if ($color == "#F5F5F5") {
                                    $color = "#E8E8E8";
                                } else {
                                    $color = "#F5F5F5";
                                }

                            ?>
                    <tr bgcolor=<?php echo "$color"; ?>>
                        <td><?php echo $valor["Codigo"] . " : " . $valor["Titulo"] ?></td>
                        <td><?php echo $valor["Medida"] ?></td>
                        <td><?php echo @valor_exibir((($valor["Preco"]) - ($valor["Preco"] * ($valor["Desconto"] / 100))) - $valor["Desconto_Real"]); ?>
                        </td>
                        <td><?php echo valor_exibir($valor["Qtd"]) ?></td>
                        <?php if (CLIENTE_EMAIL == 'maxqualy') { ?>
                        <td><?php echo $valor["Status_Produto"] ?></td>
                        <?php } ?>
                        <?php if (CLIENTE_EMAIL == 'gardenquimica' || CLIENTE_EMAIL == 'igq' || CLIENTE_EMAIL == 'gw') { ?>
                        <td><?php echo data_exibir($valor["Data_Entrega"]) ?></td>
                        <?php } ?>
                        <td><?php echo @valor_exibir((($valor["Preco"] * $valor["Qtd"]) - (($valor["Preco"] * $valor["Qtd"]) * ($valor["Desconto"] / 100))) - $valor["Desconto_Real"]); ?>
                        </td>

                        <?php
                                $vtotal += ((($valor["Preco"] * $valor["Qtd"]) - (($valor["Preco"] * $valor["Qtd"]) * ($valor["Desconto"] / 100))) - $valor["Desconto_Real"]);
                            }
                                ?>
                    <tr>
                        <td>&nbsp;</td>
                        <td>Desconto %: <?php echo valor_exibir($chave["Desconto"]); ?></td>
                        <td>Desconto Real: <?php echo valor_exibir($chave["Desconto_Real"]); ?></td>
                        <td></td>
                        <td><b><?php echo valor_exibir((($vtotal) - ($vtotal * ($chave["Desconto"] / 100))) - $chave["Desconto_Real"]); ?></b>
                        </td>
                    </tr>
                    <?php
                                $vtotalacum[$chave["Status"]] += (($vtotal) - ($vtotal * ($chave["Desconto"] / 100))) - $chave["Desconto_Real"];
                                $vtotalacumA += (($vtotal) - ($vtotal * ($chave["Desconto"] / 100))) - $chave["Desconto_Real"];
                                ?>
                    <?php
                                $corStatus = "";
                                if ($chave['Status'] == 'Finalizado') {
                                    $corStatus = "color = '#228B22' ";
                                }
                                if ($chave['Status'] == 'Aberto') {
                                    $corStatus = "color = '#3A5FCD' ";
                                }
                                if ($chave['Status'] == 'Cancelado') {
                                    $corStatus = "color = '#CD2626' ";
                                }
                                ?>
                    <tr class="cinza">
                        <td>Status Pedido: <font <?php echo $corStatus ?>><b><?php echo $chave["Status"] ?></b></font>
                        </td>
                        <td>Tipo Pagamento: <?php echo $chave["Tipo_Pagamento"] ?></td>
                        <td>Concluso: <?php echo data_exibir($chave["Data_Conclusao"]) ?></td>
                        <td></td>
                        <td colspan="2">Responsvel: <?php echo $chave["Responsavel"] ?></td>
                    </tr>
                    <tr>
                        <td colspan="7">&nbsp;</td>
                    </tr>
                    <?php }
                    } ?>

                    <tr>
                        <td align="right"><b>Valores Finais:</b> &nbsp;</td>
                        <td colspan="5" align="right">
                            Em Lanamento : <b><?php echo valor_exibir($vtotalacum["Aberto"]); ?></b>&nbsp;&nbsp;&nbsp;
                            Finalizado : <b><?php echo valor_exibir($vtotalacum["Finalizado"]); ?></b>&nbsp;&nbsp;&nbsp;
                            Cancelado : <b><?php echo valor_exibir($vtotalacum["Cancelado"]); ?></b>&nbsp;&nbsp;&nbsp;
                            Total Geral :
                            <b><?php echo valor_exibir($vtotalacum["Aberto"] + $vtotalacum["Finalizado"]); ?></b>
                        </td>
                    </tr>
                </table>
            </td>
        </tr>
        <tr>
            <td>
                <div id="div_resposta"></div>
            </td>
        </tr>
    </table>
    <!-- INICIO DA TELA MODAL ENVIO DE EMAIL-->
    <!-- No css existe um estilo para essas divs que as deixa invisivel - display:none; -->
    <?php include_once "../include/email_tabela.php"; ?>
    <!-- FIM DA TELA MODAL ENVIO DE EMAIL-->
    <br>
</body>

</html>