<?php
include_once "../include/conecta.php"; //Conecta com a nosso banco de dados MySQL
ini_set('session.gc_maxlifetime', 60*120); session_start();
/* include_once "../include/ver_sessao.php"; //Verifica se a sesso est ativa */
include_once "../include/funcoesPhp.php"; //Inclue a pgina con todas as funes a ser usada.
?>
<?php 
               $pedido = listar("Select pedido.Id,
 					pedido.Lancamento,
 					pedido.Status,
 					pedido.Data_Pedido,
 					pedido.Obs as 'Obs_Pedido',
 					pedido.Valor_Original,
 					pedido.Valor_Pago,
                                        pedido.Desconto,
                                        pedido.Desconto_Real,
                                        pedido.Frete,
                                        pedido.Urgente,
                                        pedido.Entrega,
                                        pedido.Id_Unidade,
                                        pedido.Pedido_Liberado,
 					fornecedor.Titulo as 'Fornecedor',
                                        fornecedor.Razao_Social,
 					fornecedor.Email,
 					fornecedor.Natureza,
 					fornecedor.Cpf_Cnpj,
 					fornecedor.Rua,
                                        fornecedor.Numero,
 					fornecedor.Cep,
 					fornecedor.Bairro,
 					fornecedor.Estado,
 					fornecedor.Fone1,
 					fornecedor.Obs as 'Obs_Fornecedor',
                                        cidade_ibge.Titulo as Cidade,
 					funcionario.Titulo as 'Funcionario',
                                        funcionario2.Titulo as 'Funcionario_Liberacao',
                                        tipo_pagamento.Titulo as 'Tipo_Pagamento'
 					from pedido
 					left join (SELECT Id,Titulo,Email,Natureza,Cpf_Cnpj,Rua,Numero,Cep,Bairro,Estado,Fone1,Obs,Id_Cidade,Razao_Social FROM fornecedor) as fornecedor ON fornecedor.Id = pedido.Id_Fornecedor
                                        left join (SELECT Id,Titulo FROM cidade_ibge) as cidade_ibge ON cidade_ibge.Id = fornecedor.Id_Cidade
 					LEFT JOIN (SELECT Id,Titulo FROM funcionario) as funcionario ON funcionario.Id = pedido.Id_Funcionario
                                        LEFT JOIN (SELECT Id,Titulo FROM funcionario) as funcionario2 ON funcionario2.Id = pedido.Id_Funcionario_Liberacao
                                        left join (SELECT Id,Titulo FROM tipo_pagamento) as tipo_pagamento ON tipo_pagamento.Id = pedido.Id_Tipo_Pagamento
 					where pedido.Id = '".$_GET["id_pedido"]."'
					order by pedido.Lancamento DESC");

$_GET["Unidade"] = $pedido[0]["Id_Unidade"];
?>
<html>
<head>
<title>Gw - Gesto Web</title>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1" />
<link rel="shortcut icon" href="../imagem/favi_gw.ico" type="image/x-icon" />
<link rel="stylesheet" type="text/css" href="../estilo/<?php echo SKIN ;?>/tabela_imp.css" />
<script type="text/javascript" language="javascript" src="../js/jquery.js"></script>
<?php include '../include/script_cabeca.php'; ?>
<script type="text/javascript" language="javascript" src="../js/script.js"></script>
<script type="text/javascript" language="javascript" src="../js/meiomask/meiomask.js"></script>
<script type="text/javascript" language="javascript" src="../js/meiomask/<?php if(PAIS=="USA"){ echo "mascaras-usa"; }else{ echo "mascaras"; }?>.js"></script>
</head>
<body>

<table width="98%" align="center"><!-- TABELA Q ENVOLVE TODO O CONTEUDO -->
<tr>
	<td>
<table width="90%" align="center">
<?php
        
        //variavel $_GET["Unidade"], vem de todos os filtros de relatorios.
        if(!$_GET["Unidade"]){
                $_GET["Unidade"] = $_SESSION["Unidade"];
        }
        $empresa = listar("Select Logo,Titulo,Cnpj,Rua,Numero,
                                Bairro,Cidade,Estado,Cep,Fone1,Fone2,Email,Site
                                from unidade where Id = '".$_GET["Unidade"]."' ");
?>
        <tr>
            <td width="30%">
            <?php
                if(file_exists("../unidade/foto/".$empresa[0]["Logo"]."")){
                    $cam_arq = "../unidade/foto/".$empresa[0]["Logo"];
                }else{
                    $cam_arq = "../../unidade/foto/".$empresa[0]["Logo"];
                }
            ?>
                <img src="<?php echo $cam_arq; ?>" title="Logo" alt="Logo" border="0" width="140px" height="auto"/>
            </td>
                <td width="70%" class="razao">
                        <b><font face="verdana" size="3">
                                <?php echo $empresa[0]["Titulo"];?>
                        </font></b><br>
                        Cnpj: <?php echo $empresa[0]["Cnpj"];?><br>
                        End: <?php echo $empresa[0]["Rua"].", ".$empresa[0]["Numero"];?> | <?php echo $empresa[0]["Bairro"];?> |
                        <?php echo $empresa[0]["Cidade"];?> | <?php echo $empresa[0]["Estado"];?> - 
                        CEP <?php echo $empresa[0]["Cep"];?><br>
                        Fone: <?php echo $empresa[0]["Fone1"];?>
                        <?php
                        if($empresa[0]["Fone2"]){
                            echo " - ".$empresa[0]["Fone2"];
                        }
                        ?>
                        <br>
                        E-mail: <?php echo $empresa[0]["Email"];?><br>
                        <?php
                        if($empresa[0]["Site"]){
                            echo 'Site: '.$empresa[0]["Site"];
                        }
                        ?>
                </td>
        </tr>
</table>
	</td>
</tr>
<tr>
	<td>
		<table width="100%" align="center">
			<tr>
                            <td colspan="2" align="center">
                                <font face="verdana" size="3">
                                    <b><i>RMES - <?php echo $pedido[0]["Lancamento"];?></i></b>
                                </font>
                            </td>
			</tr>
		</table>
	</td>
</tr>
<tr>
	<td>
		<table width="100%" align="center" class="tabela">
                        <tr>
				<td width="70%">Fornecedor: 
                                    <?php
                                    if(FORNECEDOR_RAZAO_SOCIAL=='Sim'){
                                        echo $pedido[0]["Codigo"]." - ".$pedido[0]["Razao_Social"];
                                    }else{
                                        echo $pedido[0]["Codigo"]." - ".$pedido[0]["Fornecedor"];
                                    }
                                    ?>
                                </td>
                                <td width="30%">Fone: <?php echo $pedido[0]["Fone1"];?></td>
			</tr>
			<tr>
				<td width="70%">End: <?php echo $pedido[0]["Rua"].', '.$compra[0]["Numero"];?></td>
                                <td width="30%">CEP: <?php echo $pedido[0]["Cep"];?></td>
			</tr>
			<tr>
				<td width="70%"><?php echo 'Bairro'.$pedido[0]["Bairro"].' Cidade'.
                                                                $pedido[0]["Cidade"].' UF'.
                                                                $pedido[0]["Estado"];?>
                                </td>
				<?php if($compra[0]["Natureza"] == "PF"){?>
				<td width="30%">CPF: <?php echo $pedido[0]["Cpf_Cnpj"];?></td>
				<?php }else{?>
				<td width="30%">CNPJ: <?php echo $pedido[0]["Cpf_Cnpj"];?></td>
				<?php }?>
			</tr>
			<tr>
				<td width="60%">Data: <?php echo data_exibir($pedido[0]["Data_Pedido"]);?></td>
				<td width="40%">Urgncia: <?php echo $pedido[0]["Urgente"];?></td>
			</tr>
                        <tr>
				<td width="60%">Pagamento: <?php echo $pedido[0]["Tipo_Pagamento"];?></td>
				<td width="40%">Entrega: <?php echo $pedido[0]["Entrega"];?></td>
			</tr>
                        <td width="40%">
                            Liberao: <?php echo $pedido[0]["Funcionario_Liberacao"];?> | 
                            <?php echo $pedido[0]["Pedido_Liberado"];?>
                        </td>
			<tr>
				<td colspan="2">Obs: <?php echo $pedido[0]["Obs_Pedido"];?></td>
			</tr>
		</table>
	</td>
</tr>
<tr>
	<td>
		<table width="100%" align="center" class="tabela">
			<tr>
				<td colspan="8"><i>Produtos</i></td>
			</tr>
			<tr class="azul-claro">
				<td width="3%">N</td>
				<td width="10%">Cdigo</td>
				<td width="22%">Produto</td>
                                <td width="5%">Medida</td>
				<td width="5%">Qtd</td>
                                <td width="5%">Equipamento</td>
				<td width="8%">Valor</td>
				<td width="8%">Total</td>
			</tr>
			<?php

               $pedido_pro = listar("Select pedido_produto.Preco as 'Preco_Pedido',
 					pedido_produto.Liberado as 'Qtd_Pedido',
 					pedido_produto.Desconto as 'Desconto_Pedido',
                                        pedido_produto.Desconto_Real,
                                        pedido_produto.Ipi,
                                        pedido_produto.Nome_Produto,
                                        pedido_produto.Equipamento,
 					produto.Titulo as 'Produto',
                                        produto.Medida,
 					produto.Codigo
 					from pedido_produto
 					left join (SELECT Id,Titulo,Medida,Codigo FROM produto) as produto ON produto.Id = pedido_produto.Id_Produto
 					where pedido_produto.Id_Pedido = '".$_GET["id_pedido"]."'
                                        ORDER BY pedido_produto.Data_Cadastro");

                        $x=1; foreach($pedido_pro as $chave){?>
                        
			<tr>
				<td><?php echo $x;?></td>
				<td><?php echo $chave["Codigo"];?></td>
				<td>
                                    <?php
                                    if($chave['Nome_Produto'])
                                        echo $chave['Nome_Produto'];
                                    else
                                        echo $chave['Produto'];
                                    ?>
                                </td>
                                <td><?php echo $chave["Medida"];?></td>
				<td><?php echo $chave["Qtd_Pedido"];?></td>
                                <td><?php echo $chave["Equipamento"];?></td>
				<td><?php echo number_format($chave["Preco_Pedido"],2,',','.');?></td>
				<td>
                                    <?php echo number_format( ( ($chave['Qtd_Pedido']*$chave['Preco_Pedido'])
                                               + ( ($chave['Qtd_Pedido']*$chave['Preco_Pedido'])*($chave['Ipi']/100) )
                                               - ( ($chave['Qtd_Pedido']*$chave['Preco_Pedido']) * ($chave['Desconto_Pedido']/100) ) ) - $chave['Desconto_Real'],2,',','.');?>
                                </td>
			</tr>
			<?php
			$Qtd_Pedido+= $chave["Qtd_Pedido"];
			$Preco_Pedido+=$chave["Preco_Pedido"];
			$Desconto_Pedido+=$chave["Desconto_Pedido"];
                        $Desconto_Real+=$chave["Desconto_Real"];
			$Total+=( ($chave["Preco_Pedido"]*$chave["Qtd_Pedido"])
                                + ( ($chave['Qtd_Pedido']*$chave['Preco_Pedido'])*($chave['Ipi']/100) )
				-(($chave["Preco_Pedido"]*$chave["Qtd_Pedido"])*($chave["Desconto_Pedido"]/100)) ) - $chave['Desconto_Real'];
			$x++; }
			?>
                        <tr>
				<td colspan="4"></td>
				<td colspan="3">Totais da Compra:</td>
				<td><?php echo number_format(( ( $Total - ( $Total*($pedido[0]["Desconto"]/100) ) ) - $pedido[0]["Desconto_Real"]),2,',','.');?></td>
                                
			</tr>
		</table>
	</td>
</tr>
</table>
<br/>
<table width="98%" align="center">
	<tr>
		<td align="center">________________________</td>
	</tr>
	<tr>
		<td align="center"><font face="verdana" size="2">Solicitante: <?php echo $pedido[0]["Funcionario"];?></font></td>
	</tr>
</table>
</body>
</html>
<?php include "../include/rodape.php";?>