<?php
include_once '../include/conecta.php'; //Conecta com a nosso banco de dados MySQL
include_once '../include/ver_sessao.php'; //Verifica se a sesso est ativa
include_once '../include/funcoesPhp.php'; include_once '../menu_movimento.php';

    // Importar o modulo
    require("phplot.php");
    // Instanciar o grafico com tamanho pre-definido
    // Deixar em branco faz com que o grafico encaixe na janela
    $grafico = new PHPlot(1200,600);
    // Definindo o formato final da imagem
    $grafico->SetFileFormat("png");
    // Definindo o titulo do grafico
    #$grafico->SetTitle("Posts mais acessados");
    // Tipo do grafico
    // Por ser: lines, bars, boxes, bubbles, candelesticks, candelesticks2, linepoints, ohlc, pie, points, squared, stackedarea, stackedbars, thinbarline
    $grafico->SetPlotType("bars");
    # Tamanho da fonte que varia de 1-5
    $grafico->SetXLabelFontSize(5);
    $grafico->SetAxisFontSize(5);
    #Margem do grafico ([$lm], [$rm], [$tm], [$bm])
    $grafico->SetMarginsPixels(NULL, NULL, 80, NULL);
 
    //Aqui nos temos a propriedades da class phplot, podemos definir a cor dos textos de nosso grfico
    #$grafico->SetTextColor('blue');
    #$grafico->SetTickLabelColor('red');
    //Aqui nos temos a propriedades da class phplot, podemos definir a cor do ttulo de nosso grfico
    #$grafico->SetTitleColor('blue');
    #$grafico->SetDataLabelColor('red');
    //aqui nos definimos a cor da exibio da quantidade de votos, coloquei vermelho
    #$grafico->SetDataValueLabelColor('red');
    //tipo da borda da imagem
    #$grafico->SetImageBorderType('plain');
    
    # ajuste eixo X ----------
    // Titulo dos dados no eixo X
    #$grafico->SetXTitle("Meses");
    # Seta os traos (grid) do eixo X para invisvel
    #$grafico->SetXTickLabelPos('none');
    $grafico->SetXDataLabelPos('plotdown');
    $grafico->SetXDataLabelAngle('45');
    $grafico->SetXTickPos('none');
    # Texto abaixo do eixo X
    #$grafico->SetXLabel("ULTIMAS LEITURAS");
    # Qtd de amostragens
    //$grafico->SetNumXTicks(4);
    
    # ajuste eixo Y ----------
    // Titulo dos dados no eixo Y
    $grafico->SetYTitle("Faturamento Anual");
    // Preciso de uma casa decimal
    $grafico->SetPrecisionY(0);
    # Coloca nos pontos os valores de Y
    $grafico->SetYDataLabelPos('plotin');
    $grafico->SetYDataLabelAngle('45');
    # Qtd de amostragens
    $grafico->SetNumYTicks(4);
    
    // setar o valores no eixo Y no formato moeda
    // este metodo aceita uma funo quando o parametro custom  setado
    $grafico->SetYLabelType('custom', 'valor_exibir');
    
    /*
    // dados do grafico
    $resultado = $pdo->select("SELECT DISTINCT id_post, qntAcesso FROM `post` order by qntAcesso DESC LIMIT 5");
    //cria um array vazio
    $dados = array();
    //percorre o loop preenchendo o array
    foreach($resultado as $res){
        //cria um array auxiliar para que a cada linha ele comece um novo, pois eh varios array dentro de um array
        $aux = array();
        $idPost = $res['id_post'];
        //armazena o ID do post e concatena abaixo para melhorar o visual
        array_push($aux, "post-$idPost" , $res['qntAcesso']);
        //add o array novo dentro do array unico criado antes do loop
        array_push($dados, $aux);
    }
    */
    
    
######

if($_GET['Data_Filtro']=='Data'){
        
    if($_GET["De"]){
        $data_v.= "AND venda.Data_Venda >= '".data_banco($_GET["De"])." 00:00:00' ";
        $data_a.= "AND venda.Data_Venda >= '".data_banco(DiminuirData($_GET["De"],'360'))." 00:00:00' ";
    }
    if($_GET["Ate"]){
        $data_v.= "AND venda.Data_Venda <= '".data_banco($_GET["Ate"])." 23:59:59' ";
        $data_a.= "AND venda.Data_Venda <= '".data_banco($_GET["Ate"])." 23:59:59' ";
    }
        
    $data_30.= "AND venda.Data_Venda >= '".data_banco(DiminuirData($_GET["De"],'30'))." 00:00:00' ";
    $data_30.= "AND venda.Data_Venda <= '".data_banco($_GET["De"])." 23:59:59' ";
    
    $data_90.= "AND venda.Data_Venda >= '".data_banco(DiminuirData($_GET["De"],'90'))." 00:00:00' ";
    $data_90.= "AND venda.Data_Venda <= '".data_banco($_GET["De"])." 23:59:59' ";
    
}
if($_GET['Data_Filtro']=='Conclusao'){
        
    if($_GET["De"]){
        $data_v.= "AND venda.Data_Conclusao >= '".data_banco($_GET["De"])." 00:00:00' ";
        $data_a.= "AND venda.Data_Conclusao >= '".data_banco(DiminuirData($_GET["De"],'360'))." 00:00:00' ";
    }
    if($_GET["Ate"]){
        $data_v.= "AND venda.Data_Conclusao <= '".data_banco($_GET["Ate"])." 23:59:59' ";
        $data_a.= "AND venda.Data_Conclusao <= '".data_banco($_GET["Ate"])." 23:59:59' ";
    }
    
    $data_30.= "AND venda.Data_Conclusao >= '".data_banco(DiminuirData($_GET["De"],'30'))." 00:00:00' ";
    $data_30.= "AND venda.Data_Conclusao <= '".data_banco($_GET["De"])." 23:59:59' ";
    
    $data_90.= "AND venda.Data_Conclusao >= '".data_banco(DiminuirData($_GET["De"],'90'))." 00:00:00' ";
    $data_90.= "AND venda.Data_Conclusao <= '".data_banco($_GET["De"])." 23:59:59' ";
        
}


if($_GET["Cliente"]){
    
$mystring = $_GET["Cliente"];
$findme = " : ";

$posicao = strpos($mystring, $findme);

$cod_cli = substr($_GET["Cliente"], 0, $posicao);
$nome_cli = substr($_GET["Cliente"], ($posicao + 3) );


    if(CLIENTE_RAZAO_SOCIAL=='Sim'){
        $nome = 'Razao_Social';
    }else{
        $nome = 'Titulo';
    }
/* convertendo o nome do fornecedor, para o seu codigo */
$Prodt = listar("SELECT Id FROM cliente WHERE ".$nome." ='".$nome_cli."' AND Codigo = '".$cod_cli."' ");
$_GET["Cliente"] = $Prodt[0]["Id"];

$cliente_v.= "and venda.Id_Cliente = '".$_GET["Cliente"]."' ";
    
}

if($_GET["Fornecedor"]){
    
$mystring = $_GET["Fornecedor"];
$findme = " : ";

$posicao = strpos($mystring, $findme);

$cod_cli = substr($_GET["Fornecedor"], 0, $posicao);
$nome_cli = substr($_GET["Fornecedor"], ($posicao + 3) );


    if(FORNECEDOR_RAZAO_SOCIAL=='Sim'){
        $nome = 'Razao_Social';
    }else{
        $nome = 'Titulo';
    }
/* convertendo o nome do fornecedor, para o seu codigo */
$Prodt = listar("SELECT Id FROM fornecedor WHERE ".$nome." ='".$nome_cli."' AND Codigo = '".$cod_cli."' ");
$_GET["Fornecedor"] = $Prodt[0]["Id"];

$id_for = $Prodt[0]["Id"];
$for_v.= "and venda.Id_Fornecedor = '".$_GET["Fornecedor"]."' ";
    
}

if($_GET["Produto"]){
        
$mystring = $_GET["Produto"];
$findme = " : ";

$posicao = strpos($mystring, $findme);

$cod_cli = substr($_GET["Produto"], 0, $posicao);
$nome_cli = substr($_GET["Produto"], ($posicao + 3) );


/* convertendo o nome do fornecedor, para o seu codigo */
$Prodt = listar("SELECT Id FROM produto WHERE Titulo='".$nome_cli."' AND Codigo = '".$cod_cli."' ");
$_GET["Produto"] = $Prodt[0]["Id"];
        
$venda_produto_v = " and venda_produto.Id_Produto = '".$_GET["Produto"]."' ";
        
}

if($_GET["Vendedor"]){
        $vend_v.= "AND venda.Id_Vendedor = '".$_GET["Vendedor"]."' ";
}

if($_GET["Unidade"]){
        $unidade_v = "AND venda.Id_Unidade = '".$_GET["Unidade"]."' ";
}
if($_GET["Categoria_Cliente"]){
	$natureza.= "and cliente.Id_Categoria_Cliente = '".$_GET["Categoria_Cliente"]."' ";
}
if($_GET["Categoria_Cliente_Filho"]){
	$natureza.= "and cliente.Id_Categoria_Cliente_Filho = '".$_GET["Categoria_Cliente_Filho"]."' ";
}
if ($_GET["Estado"]) {
    $natureza .= "and cliente.Estado = '" . $_GET["Estado"] . "' ";
}
//gabiarra
if($natureza!=''){
    $total_cliente = mysql_query("SELECT Id FROM cliente WHERE 1=1 $natureza ");
    $id_cliente = "AND (";
    while($reg = mysql_fetch_assoc($total_cliente)){
        $id_cliente.= " venda.Id_Cliente = '".$reg["Id"]."' OR ";
    }
    $id_cliente = substr($id_cliente,0,-3);
    $id_cliente = $id_cliente." ) ";
    
}

//nao pode ter os 2. Se tiver cliente, no pode ter por categoria.
if($cliente_v !=''){
    $id_cliente = '';
}









if($_GET["Ok"]){
    if(CLIENTE_RAZAO_SOCIAL=='Sim'){
        $nome = 'Razao_Social';
    }else{
        $nome = 'Titulo';
    }
$vendas = mysql_query("SELECT cliente.Id as Id_Cliente,
                    cliente.Cliente
                    FROM (SELECT Id,Data_Venda,Data_Conclusao,Status,Id_Cliente,Id_Vendedor,Id_Unidade 
                    FROM venda 
                    WHERE Status <> 'Cancelado' $data_v $vend_v $unidade_v $id_cliente $cliente_v $for_v) as venda
                    INNER JOIN (SELECT Id,$nome as Cliente FROM cliente) as cliente ON cliente.Id = venda.Id_Cliente
                    where 1=1 
                    GROUP BY venda.Id_Cliente
                    ORDER BY cliente.Cliente ");

}

        $valorFinal = '0';
        
                //inicio da validacao de campos
		if($_GET["Ok"]){               
                    
if($_GET['Data_Filtro']=='Data'){
    $data_v = " Data_Venda ";
}
if($_GET['Data_Filtro']=='Conclusao'){
    $data_v = " Data_Conclusao ";
}
                    
                $x=0;
                $tVendas = '0';
		$color = "#F5F5F5";
                $g = '0';
                for ($i = 1; $i <= 12; $i++) {
        
                if($i < 10){
                    $k = '0'.$i;
                }else{
                    $k = $i;
                }

		if ($color == "#F5F5F5") {
                    $color = "#E8E8E8";
		} else {
                    $color = "#F5F5F5";
		}

                
$ano_pass = $_GET["Ano"]-1;
//faturamento do periodo Anterior
$vendasA = mysql_query("SELECT venda.Id,
                    venda_produto.Id_Produto,
                    SUM(venda_produto.Qtd_Faturado) as Qtd_Faturado,
                    SUM( (venda_produto.Preco * venda_produto.Qtd_Faturado) - ( (venda_produto.Preco * venda_produto.Qtd_Faturado) * (venda_produto.Desconto/100) ) - venda_produto.Desconto_Real ) as Valor_Faturado
                    FROM (SELECT Id,Data_Venda,Data_Conclusao,Status,Id_Cliente,Id_Vendedor,Id_Unidade 
                    FROM venda WHERE Status <> 'Cancelado' 
                    AND YEAR(".$data_v.") = '".$ano_pass."'
                    AND MONTH(".$data_v.") = '".$i."'
                    $vend_v $unidade_v $id_cliente $cliente_v $for_v) as venda
                    inner join (SELECT Id,Id_Venda,Preco,Qtd,Qtd_Faturado,Desconto,Desconto_Real,Id_Produto 
                    FROM venda_produto
                    WHERE 1=1 $venda_produto_v ) as venda_produto ON venda_produto.Id_Venda = venda.Id
                    where 1=1 
                    GROUP BY venda_produto.Id_Produto
                    ORDER BY Qtd DESC");

$kgFaturadoA='0';
$realFaturadoA='0';
while ($linha2 = mysql_fetch_assoc($vendasA)) {

$produ = mysql_query("SELECT Id,Titulo,Codigo,Medida,Id_Fornecedor,Peso_Bruto,Id_Categoria_Produto 
            FROM produto WHERE Id = '".$linha2['Id_Produto']."' ");
$prod = mysql_fetch_assoc($produ);

$kgFaturadoA+=($linha2['Qtd_Faturado']*$prod['Peso_Bruto']);
$realFaturadoA+=($linha2['Valor_Faturado']);

$kgFaturadoAT+=($linha2['Qtd_Faturado']*$prod['Peso_Bruto']);
$realFaturadoAT+=($linha2['Valor_Faturado']);
}
                

//faturamento do periodo ATUAL
$vendas2 = mysql_query("SELECT venda.Id,
                    venda_produto.Id_Produto,
                    SUM(venda_produto.Qtd_Faturado) as Qtd_Faturado,
                    SUM( (venda_produto.Preco * venda_produto.Qtd_Faturado) - ( (venda_produto.Preco * venda_produto.Qtd_Faturado) * (venda_produto.Desconto/100) ) - venda_produto.Desconto_Real ) as Valor_Faturado
                    FROM (SELECT Id,Data_Venda,Data_Conclusao,Status,Id_Cliente,Id_Vendedor,Id_Unidade 
                    FROM venda WHERE Status <> 'Cancelado' 
                    AND YEAR(".$data_v.") = '".$_GET["Ano"]."'
                    AND MONTH(".$data_v.") = '".$i."'
                    $vend_v $unidade_v $id_cliente $cliente_v $for_v) as venda
                    inner join (SELECT Id,Id_Venda,Preco,Qtd,Qtd_Faturado,Desconto,Desconto_Real,Id_Produto 
                    FROM venda_produto
                    WHERE 1=1 $venda_produto_v ) as venda_produto ON venda_produto.Id_Venda = venda.Id
                    where 1=1 
                    GROUP BY venda_produto.Id_Produto
                    ORDER BY Qtd DESC");

$kgFaturado='0';
$realFaturado='0';
while ($linha2 = mysql_fetch_assoc($vendas2)) {

$produ = mysql_query("SELECT Id,Titulo,Codigo,Medida,Id_Fornecedor,Peso_Bruto,Id_Categoria_Produto 
            FROM produto WHERE Id = '".$linha2['Id_Produto']."' ");
$prod = mysql_fetch_assoc($produ);

$kgFaturado+=($linha2['Qtd_Faturado']*$prod['Peso_Bruto']);
$realFaturado+=($linha2['Valor_Faturado']);

$kgFaturadoT+=($linha2['Qtd_Faturado']*$prod['Peso_Bruto']);
$realFaturadoT+=($linha2['Valor_Faturado']);
}

    switch($i){
        case '01': $mes = "Janeiro";
        break;
        case '02': $mes = "Fevereiro";// todo ano bixesto fev tem 29 dias
        break;
        case '03': $mes = "Maro";
        break;
        case '04': $mes = "Abril";
        break;
        case '05': $mes = "Maio";
        break;
        case '06': $mes = "Junho";
        break;
        case '07': $mes = "Julho";
        break;
        case '08': $mes = "Agosto";
        break;
        case '09': $mes = "Setembro";
        break;
        case '10': $mes = "Outubro";
        break;
        case '11': $mes = "Novembro";
        break;
        case '12': $mes = "Dezembro";
        break;
    }

$perc_pass='';
$perc='';

$perc_kg = $kgFaturado-$kgFaturadoA;
$perc_kg1 = ($perc_kg/$kgFaturado)*100;


$perc_real = $realFaturado-$realFaturadoA;
$perc_real1 = ($perc_real/$realFaturado)*100;

$arrData = array();
$arrData[$g][1] = CaracteresEspeciais($mes,'Sim');
$arrData[$g][2] = number_format($kgFaturadoA,2,".","");
$arrData[$g][3] = number_format($kgFaturado,2,".","");
$arrData[$g][4] = number_format($perc_kg1,2,".","");
$arrData[$g][5] = number_format($realFaturadoA,2,".","");
$arrData[$g][6] = number_format($realFaturado,2,".","");
$arrData[$g][7] = number_format($perc_real1,2,".","");


        $g++;
        $x++;
        }
        
$perc_kgT = $kgFaturadoT-$kgFaturadoAT;
$perc_kgT = ($perc_kgT/$kgFaturadoT)*100;


$perc_realT = $realFaturadoT-$realFaturadoAT;
$perc_realT = ($perc_realT/$realFaturadoT)*100;
        

        //fim validacao de campos
        }








    
    
    //cria um array vazio
    $dados = array();
    foreach ($arrData as $arSubData) {
        //cria um array auxiliar para que a cada linha ele comece um novo, pois eh varios array dentro de um array
        $aux = array();
        //armazena o ID do post e concatena abaixo para melhorar o visual
        array_push($aux, $arSubData[1] , $arSubData[2], $arSubData[3], $arSubData[4], $arSubData[5], $arSubData[6], $arSubData[7]);
        //add o array novo dentro do array unico criado antes do loop
        array_push($dados, $aux);
    }
    
    # Tipo de dados que preenchero o Grfico text(label dos anos) e data (valores de porcentagem)
    $grafico->SetDataType("text-data");
    //seta os dados
    $grafico->SetDataValues($dados);
    //Exibimos o grfico
    $grafico->DrawGraph();
    
?>