<?php
include_once '../include/conecta.php'; //Conecta com a nosso banco de dados MySQL
include_once '../include/ver_sessao.php'; //Verifica se a sesso est ativa
include_once '../include/funcoesPhp.php'; include_once '../menu_movimento.php';

    // Importar o modulo
    require("phplot.php");
    // Instanciar o grafico com tamanho pre-definido
    // Deixar em branco faz com que o grafico encaixe na janela
    $grafico = new PHPlot(1200,600);
    // Definindo o formato final da imagem
    $grafico->SetFileFormat("png");
    // Definindo o titulo do grafico
    #$grafico->SetTitle("Posts mais acessados");
    // Tipo do grafico
    // Por ser: lines, bars, boxes, bubbles, candelesticks, candelesticks2, linepoints, ohlc, pie, points, squared, stackedarea, stackedbars, thinbarline
    $grafico->SetPlotType("bars");
    # Tamanho da fonte que varia de 1-5
    $grafico->SetXLabelFontSize(5);
    $grafico->SetAxisFontSize(5);
    #Margem do grafico ([$lm], [$rm], [$tm], [$bm])
    $grafico->SetMarginsPixels(NULL, NULL, 20, NULL);
 
    //Aqui nos temos a propriedades da class phplot, podemos definir a cor dos textos de nosso grfico
    #$grafico->SetTextColor('blue');
    #$grafico->SetTickLabelColor('red');
    //Aqui nos temos a propriedades da class phplot, podemos definir a cor do ttulo de nosso grfico
    #$grafico->SetTitleColor('blue');
    #$grafico->SetDataLabelColor('red');
    //aqui nos definimos a cor da exibio da quantidade de votos, coloquei vermelho
    #$grafico->SetDataValueLabelColor('red');
    //tipo da borda da imagem
    #$grafico->SetImageBorderType('plain');
    
    # ajuste eixo X ----------
    // Titulo dos dados no eixo X
    #$grafico->SetXTitle("Meses");
    # Seta os traos (grid) do eixo X para invisvel
    #$grafico->SetXTickLabelPos('none');
    //$grafico->SetXLabelAngle('45');
    $grafico->SetXDataLabelPos('plotdown');
    $grafico->SetXDataLabelAngle('0');
    $grafico->SetXTickPos('none');
    # Texto abaixo do eixo X
    #$grafico->SetXLabel("ULTIMAS LEITURAS");
    # Qtd de amostragens
    //$grafico->SetNumXTicks(4);

    
    # ajuste eixo Y ----------
    // Titulo dos dados no eixo Y
    $grafico->SetYTitle("Conta Pagar x Conta Receber");
    // Preciso de uma casa decimal
    $grafico->SetPrecisionY(0);
    # Coloca nos pontos os valores de Y
    $grafico->SetYDataLabelPos('plotin');
    # Qtd de amostragens
    $grafico->SetNumYTicks(4);
    
    // setar o valores no eixo Y no formato moeda
    // este metodo aceita uma funo quando o parametro custom  setado
    $grafico->SetYLabelType('custom', 'valor_exibir');
    
    # Set a 3 line legend, and position it in the upper left corner:
    $grafico->SetLegend(array('Pagar', 'Receber'));
    $grafico->SetLegendPosition(8, 0, 'plot', 0.5, 0);
    
    /*
    // dados do grafico
    $resultado = $pdo->select("SELECT DISTINCT id_post, qntAcesso FROM `post` order by qntAcesso DESC LIMIT 5");
    //cria um array vazio
    $dados = array();
    //percorre o loop preenchendo o array
    foreach($resultado as $res){
        //cria um array auxiliar para que a cada linha ele comece um novo, pois eh varios array dentro de um array
        $aux = array();
        $idPost = $res['id_post'];
        //armazena o ID do post e concatena abaixo para melhorar o visual
        array_push($aux, "post-$idPost" , $res['qntAcesso']);
        //add o array novo dentro do array unico criado antes do loop
        array_push($dados, $aux);
    }
    */
    
    
######

//Meses do ano
$arrData = array();
$arrData[0][1] = "Jan";
$arrData[1][1] = "Fev";
$arrData[2][1] = "Mar";
$arrData[3][1] = "Abr";
$arrData[4][1] = "Mai";
$arrData[5][1] = "Jun";
$arrData[6][1] = "Jul";
$arrData[7][1] = "Ago";
$arrData[8][1] = "Set";
$arrData[9][1] = "Out";
$arrData[10][1] = "Nov";
$arrData[11][1] = "Dez";

if( ($_GET["Liquidado"]) || ($_GET["Aberto"]) || ($_GET["Cancelado"]) ){

        $statusP = "and (";
        $statusR = "and (";
    
if($_GET["Liquidado"]){
	$statusP.= " conta_pagar.Status = 'Liquidado' OR";
        $statusR.= " conta_receber.Status = 'Liquidado' OR";
}
if($_GET["Aberto"]){
	$statusP.= " conta_pagar.Status = 'Aberto' OR";
        $statusR.= " conta_receber.Status = 'Aberto' OR";
}
if($_GET["Cancelado"]){
	$statusP.= " conta_pagar.Status = 'Cancelado' OR";
        $statusR.= " conta_receber.Status = 'Cancelado' OR";
}
    
    $statusP = substr($statusP, 0, -2);
    $statusR = substr($statusR, 0, -2);
    $statusP.=")";
    $statusR.=")";

}

if($_GET["Unidade"]){
	$UnidadeP = "and conta_pagar.Id_Unidade = '".$_GET["Unidade"]."' ";
        $UnidadeR = "and conta_receber.Id_Unidade = '".$_GET["Unidade"]."' ";
}

                for ($i = 1; $i <= 12; $i++) {
        
                            if($i < 10){
                                $k = '0'.$i;
                            }else{
                                $k = $i;
                            }
                            
            $ultDia = date("t", mktime(0, 0, 0, $k, 1, $_GET["Ano"]));
                $dataP='';
if($_GET['Data_Filtro']=='Vencimento'){
		$dataP .= "AND conta_pagar.Data_Vencimento >= '".($_GET["Ano"].'-'.$k.'-01')."' ";
		$dataP .= "AND conta_pagar.Data_Vencimento <= '".($_GET["Ano"].'-'.$k.'-'.$ultDia)."' ";
}
if($_GET['Data_Filtro']=='Pagamento'){
		$dataP .= "AND conta_pagar.Data_Pagamento >= '".($_GET["Ano"].'-'.$k.'-01')."' ";
		$dataP .= "AND conta_pagar.Data_Pagamento <= '".($_GET["Ano"].'-'.$k.'-'.$ultDia)."' ";
}
if($_GET['Data_Filtro']=='Emissao'){
		$dataP .= "AND conta_pagar.Data_Emissao >= '".($_GET["Ano"].'-'.$k.'-01')."' ";
		$dataP .= "AND conta_pagar.Data_Emissao <= '".($_GET["Ano"].'-'.$k.'-'.$ultDia)."' ";
}
                            
    $vendas = mysql_query("SELECT SUM(
                            IF( Valor_Pago > '0',
                                Valor_Pago,
                                Valor_Original
                            ) 
                            ) as Valor
                            FROM conta_pagar
                            WHERE 1=1
                            $UnidadeP $statusP $dataP ");
    $vendas = mysql_fetch_assoc($vendas);

                            $arrData[($i-1)][2] = $vendas["Valor"];
    
                }


                for ($i = 1; $i <= 12; $i++) {
        
                            if($i < 10){
                                $k = '0'.$i;
                            }else{
                                $k = $i;
                            }
            $ultDia = date("t", mktime(0, 0, 0, $k, 1, $_GET["Ano"]));
                $dataR='';
if($_GET['Data_Filtro']=='Vencimento'){
		$dataR .= "AND conta_receber.Data_Vencimento >= '".($_GET["Ano"].'-'.$k.'-01')."' ";
		$dataR .= "AND conta_receber.Data_Vencimento <= '".($_GET["Ano"].'-'.$k.'-'.$ultDia)."' ";
}
if($_GET['Data_Filtro']=='Pagamento'){
		$dataR .= "AND conta_receber.Data_Pagamento >= '".($_GET["Ano"].'-'.$k.'-01')."' ";
		$dataR .= "AND conta_receber.Data_Pagamento <= '".($_GET["Ano"].'-'.$k.'-'.$ultDia)."' ";
}
if($_GET['Data_Filtro']=='Emissao'){
		$dataR .= "AND conta_receber.Data_Emissao >= '".($_GET["Ano"].'-'.$k.'-01')."' ";
		$dataR .= "AND conta_receber.Data_Emissao <= '".($_GET["Ano"].'-'.$k.'-'.$ultDia)."' ";
}
                            
    $vendas = mysql_query("SELECT SUM(
                            IF( Valor_Pago > '0',
                                Valor_Pago,
                                Valor_Original
                            ) 
                            ) as Valor
                            FROM conta_receber
                            WHERE 1=1
                            $UnidadeR $statusR $dataR ");
    $vendas = mysql_fetch_assoc($vendas);
    
                            $arrData[($i-1)][3] = $vendas["Valor"];
    
                }
    
    
    //cria um array vazio
    $dados = array();
    foreach ($arrData as $arSubData) {
        //cria um array auxiliar para que a cada linha ele comece um novo, pois eh varios array dentro de um array
        $aux = array();
        //armazena o ID do post e concatena abaixo para melhorar o visual
        array_push($aux, $arSubData[1] , $arSubData[2], $arSubData[3]);
        //add o array novo dentro do array unico criado antes do loop
        array_push($dados, $aux);
    }
    
    # Tipo de dados que preenchero o Grfico text(label dos anos) e data (valores de porcentagem)
    $grafico->SetDataType("text-data");
    //seta os dados
    $grafico->SetDataValues($dados);
    //Exibimos o grfico
    $grafico->DrawGraph();
    
?>