<?php
include_once '../include/conecta.php'; //Conecta com a nosso banco de dados MySQL
include_once '../include/ver_sessao.php'; //Verifica se a sesso est ativa
include_once '../include/funcoesPhp.php'; include_once '../menu_movimento.php';

    // Importar o modulo
    require("phplot.php");
    // Instanciar o grafico com tamanho pre-definido
    // Deixar em branco faz com que o grafico encaixe na janela
    $grafico = new PHPlot(1200,600);
    // Definindo o formato final da imagem
    $grafico->SetFileFormat("png");
    // Definindo o titulo do grafico
    #$grafico->SetTitle("Posts mais acessados");
    // Tipo do grafico
    // Por ser: lines, bars, boxes, bubbles, candelesticks, candelesticks2, linepoints, ohlc, pie, points, squared, stackedarea, stackedbars, thinbarline
    $grafico->SetPlotType("bars");
    # Tamanho da fonte que varia de 1-5
    $grafico->SetXLabelFontSize(5);
    $grafico->SetAxisFontSize(5);
    #Margem do grafico ([$lm], [$rm], [$tm], [$bm])
    $grafico->SetMarginsPixels(NULL, NULL, 20, NULL);
 
    //Aqui nos temos a propriedades da class phplot, podemos definir a cor dos textos de nosso grfico
    #$grafico->SetTextColor('blue');
    #$grafico->SetTickLabelColor('red');
    //Aqui nos temos a propriedades da class phplot, podemos definir a cor do ttulo de nosso grfico
    #$grafico->SetTitleColor('blue');
    #$grafico->SetDataLabelColor('red');
    //aqui nos definimos a cor da exibio da quantidade de votos, coloquei vermelho
    #$grafico->SetDataValueLabelColor('red');
    //tipo da borda da imagem
    #$grafico->SetImageBorderType('plain');
    
    # ajuste eixo X ----------
    // Titulo dos dados no eixo X
    #$grafico->SetXTitle("Meses");
    # Seta os traos (grid) do eixo X para invisvel
    #$grafico->SetXTickLabelPos('none');
    $grafico->SetXDataLabelPos('plotdown');
    $grafico->SetXDataLabelAngle('45');
    $grafico->SetXTickPos('none');
    # Texto abaixo do eixo X
    #$grafico->SetXLabel("ULTIMAS LEITURAS");
    # Qtd de amostragens
    //$grafico->SetNumXTicks(4);
    
    # ajuste eixo Y ----------
    // Titulo dos dados no eixo Y
    $grafico->SetYTitle("Faturamento Produto");
    // Preciso de uma casa decimal
    $grafico->SetPrecisionY(0);
    # Coloca nos pontos os valores de Y
    $grafico->SetYDataLabelPos('plotin');
    # Qtd de amostragens
    $grafico->SetNumYTicks(4);
    
    // setar o valores no eixo Y no formato moeda
    // este metodo aceita uma funo quando o parametro custom  setado
    $grafico->SetYLabelType('custom', 'valor_exibir');
    
    /*
    // dados do grafico
    $resultado = $pdo->select("SELECT DISTINCT id_post, qntAcesso FROM `post` order by qntAcesso DESC LIMIT 5");
    //cria um array vazio
    $dados = array();
    //percorre o loop preenchendo o array
    foreach($resultado as $res){
        //cria um array auxiliar para que a cada linha ele comece um novo, pois eh varios array dentro de um array
        $aux = array();
        $idPost = $res['id_post'];
        //armazena o ID do post e concatena abaixo para melhorar o visual
        array_push($aux, "post-$idPost" , $res['qntAcesso']);
        //add o array novo dentro do array unico criado antes do loop
        array_push($dados, $aux);
    }
    */
    
    
######

if($_GET["Ano"]){
    $ano = "AND YEAR(venda.Data_Conclusao) = '".$_GET["Ano"]."' ";
}

#######
    
$resultado = mysql_query("Select venda_produto.Id_Produto,
                        SUM( (venda_produto.Preco * venda_produto.Qtd) - ( (venda_produto.Preco * venda_produto.Qtd) * (venda_produto.Desconto/100) ) - venda_produto.Desconto_Real - Desconto_Real_Pe_Nota ) as Preco
                        FROM (SELECT Id FROM venda WHERE Status = 'Finalizado' AND Financeiro <> 'No' $ano ) as venda
                        INNER JOIN (SELECT Id,Qtd,Preco,Desconto,Desconto_Real,Desconto_Real_Pe_Nota,Id_Produto,Id_Venda FROM venda_produto) as venda_produto ON venda.Id = venda_produto.Id_Venda
                        group by venda_produto.Id_Produto
                        order by Preco DESC LIMIT 10");
    
    
    //cria um array vazio
    $dados = array();
    //percorre o loop preenchendo o array
    while($res = mysql_fetch_assoc($resultado)){
        
        $produ = mysql_query("SELECT Id,Titulo as Produto FROM produto WHERE Id = '" . $res['Id_Produto'] . "' ");
        $prod = mysql_fetch_assoc($produ);
        
        //cria um array auxiliar para que a cada linha ele comece um novo, pois eh varios array dentro de um array
        $aux = array();
        //armazena o ID do post e concatena abaixo para melhorar o visual
        array_push($aux, $prod['Produto'] , $res['Preco']);
        //add o array novo dentro do array unico criado antes do loop
        array_push($dados, $aux);
    }
    
    # Tipo de dados que preenchero o Grfico text(label dos anos) e data (valores de porcentagem)
    $grafico->SetDataType("text-data");
    //seta os dados
    $grafico->SetDataValues($dados);
    //Exibimos o grfico
    $grafico->DrawGraph();
    
?>