<?php 

/* @autor www.scriptmundo.com
* @PicPay Pagamentos
* Simples integração com PicPay
* Documentação: https://bit.ly/2VfBmjD
* Update by Pontti Web
*/

class PicPay{

    /*
    *@var type String: $urlCallBack
    * Redirecionamento da aplicação
    */
    private $urlCallBack = "https://".SITE_SISTEMA."/".CLIENTE_EMAIL."/conta_receber/escolha_cartao.php";

    /*
     *@var type String: $urlReturn
     * Redirecionamento do cliente
     */
    private $urlReturn = "https://".SITE_SISTEMA."/".CLIENTE_EMAIL."/conta_receber/escolha_cartao.php";

    /*
    *@Get token: https://bit.ly/2XyAWCy
    *@var type String: $x_picpay_token
    */
    private $x_picpay_token = "f8d4311d-5f85-4083-8be0-55e6b9dac0e2";

    /*
     *@var type String: $x_seller_token
     */
    private $x_seller_token = "29fe7f95-07d8-4a01-88a1-9f4237eef521";



    //Função que faz a requisição
    public function requestPayment($produto,$cliente){

        $data = array(
            'referenceId' => $produto->ref,
            'callbackUrl' => $this->urlCallBack,
            'returnUrl'   => $this->urlReturn,
            'value'       => $produto->valor,
            'buyer'       => [
                'firstName' => $cliente->nome,
                'lastName'  => $cliente->sobreNome,
                'document'  => $cliente->cpf,
                'email'     => $cliente->email,
                'phone'     => $cliente->telefone
              ],
        );

        $ch = curl_init('https://appws.picpay.com/ecommerce/public/payments');
        curl_setopt($ch, CURLOPT_SSL_VERIFYPEER, false);
        curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
        curl_setopt($ch, CURLOPT_POSTFIELDS, http_build_query($data));
        curl_setopt($ch, CURLOPT_HTTPHEADER, array('x-picpay-token: '.$this->x_picpay_token));

        $res = curl_exec($ch);
        curl_close($ch);
        $return = json_decode($res);

        return $return;
    }



    // Notificação PicPay
    public function notificationPayment($referenceId){

        //$content = trim(file_get_contents("php://input"));
        //$payBody = json_decode($content);

        //if(isset($payBody->authorizationId)){

          //$referenceId = $payBody->referenceId; 

          $ch = curl_init('https://appws.picpay.com/ecommerce/public/payments/'.$referenceId.'/status');
          curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
          curl_setopt($ch, CURLOPT_HTTPHEADER, array('x-picpay-token: '.$this->x_picpay_token)); 

          $res = curl_exec($ch);
          curl_close($ch);
          $notification = json_decode($res); 

          //$notification->referenceId     = $payBody->referenceId; 
          //$notification->authorizationId = $payBody->authorizationId;

          return $notification;
        //}else{
            //return false;
        //}

    }
}
?>