<?php
include_once '../include/conecta.php'; //Conecta com a nosso banco de dados MySQL
ini_set('session.gc_maxlifetime', 60 * 120);
session_start();
/* include_once '../include/ver_sessao.php'; //Verifica se a sesso est ativa */
include_once '../include/funcoesPhp.php';
include_once '../menu_movimento.php';
?>
<?php
if( ($_GET["Finalizado"]) || ($_GET["Aberto"]) || ($_GET["Cancelado"]) 
    || ($_GET["Prospectando"]) || ($_GET["Cotando"]) || ($_GET["Negociando"]) ){

        $status = "and (";
    
if($_GET["Finalizado"]){
	$status.= " pre_venda.Status = 'Finalizado' OR";
}
if($_GET["Aberto"]){
	$status.= " pre_venda.Status = 'Aberto' OR";
}
if($_GET["Cancelado"]){
	$status.= " pre_venda.Status = 'Cancelado' OR";
}
if($_GET["Prospectando"]){
	$status.= " pre_venda.Status = 'Prospectando' OR";
}
if($_GET["Cotando"]){
	$status.= " pre_venda.Status = 'Cotando' OR";
}
if($_GET["Negociando"]){
	$status.= " pre_venda.Status = 'Negociando' OR";
}
    
    $status = substr($status, 0, -2);
    $status.=")";

}

if ($_GET['Data_Filtro'] == 'Data') {
    if ($_GET["De"])
        $data .= "AND pre_venda.Data_Pre_Venda >= '" . data_banco($_GET["De"]) . " 00:00:00' ";
    if ($_GET["Ate"])
        $data .= "AND pre_venda.Data_Pre_Venda <= '" . data_banco($_GET["Ate"]) . " 23:59:59' ";
}
if ($_GET['Data_Filtro'] == 'Conclusao') {
    if ($_GET["De"])
        $data .= "AND pre_venda.Data_Conclusao >= '" . data_banco($_GET["De"]) . " 00:00:00' ";
    if ($_GET["Ate"])
        $data .= "AND pre_venda.Data_Conclusao <= '" . data_banco($_GET["Ate"]) . " 23:59:59' ";
}


if ($_GET["Cliente"]) {

    $mystring = $_GET["Cliente"];
    $findme = " : ";

    $posicao = strpos($mystring, $findme);

    $cod_cli = substr($_GET["Cliente"], 0, $posicao);
    $nome_cli = substr($_GET["Cliente"], ($posicao + 3));


    if (CLIENTE_RAZAO_SOCIAL == 'Sim') {
        $nome = 'Razao_Social';
    } else {
        $nome = 'Titulo';
    }
    /* convertendo o nome do fornecedor, para o seu codigo */
    $Prodt = listar("SELECT Id FROM cliente WHERE " . $nome . " ='" . $nome_cli . "' AND Codigo = '" . $cod_cli . "' ");
    $_GET["Cliente"] = $Prodt[0]["Id"];

    $cliente = "and pre_venda.Id_Cliente = '" . $_GET["Cliente"] . "' ";
}

if ($_GET["Funcionario"])
    $usuario_p .= "and pre_venda.Id_Funcionario = '" . $_GET["Funcionario"] . "' ";

if ($_GET["Vendedor"])
    $usuario_p .= "and pre_venda.Id_Vendedor = '" . $_GET["Vendedor"] . "' ";


if ($_GET["Produto"]) {

    $mystring = $_GET["Produto"];
    $findme = " : ";

    $posicao = strpos($mystring, $findme);

    $cod_cli = substr($_GET["Produto"], 0, $posicao);
    $nome_cli = substr($_GET["Produto"], ($posicao + 3));


    /* convertendo o nome do fornecedor, para o seu codigo */
    $Prodt = listar("SELECT Id FROM produto WHERE Titulo='" . $nome_cli . "' AND Codigo = '" . $cod_cli . "' ");
    $_GET["Produto"] = $Prodt[0]["Id"];

    $pre_venda_produto = "and pre_venda_produto.Id_Produto = '" . $_GET["Produto"] . "' ";
}

if ($_GET["Unidade"]) {
    $Unidade = "and pre_venda.Id_Unidade = '" . $_GET["Unidade"] . "' ";
}

if ($_GET["Ok"]) {
    $pre_venda = mysqli_query($con,"Select pre_venda.Id,
                            pre_venda.Lancamento,
                            pre_venda.Status,
                            pre_venda.Data_Pre_Venda,
                            pre_venda.Data_Conclusao,
                            pre_venda.Desconto,
                            pre_venda.Desconto_Real,
                            pre_venda.Cotacao,
                            pre_venda.Frete,
                            pre_venda.Motivo,
                            cliente.Titulo as Cliente,
                            cliente.Razao_Social,
                            tipo_pagamento.Titulo as Tipo_Pagamento,
                            funcionario.Titulo as 'Funcionario',
                            vendedor.Titulo as 'Vendedor'
                            from pre_venda
                            left join (SELECT Id,Id_Produto,Id_Pre_Venda FROM pre_venda_produto) as pre_venda_produto ON pre_venda_produto.Id_Pre_Venda = pre_venda.Id
                            LEFT JOIN (SELECT Id,Titulo FROM funcionario) as vendedor ON vendedor.Id = pre_venda.Id_Vendedor
                            LEFT JOIN (SELECT Id,Titulo FROM funcionario) as funcionario ON funcionario.Id = pre_venda.Id_Funcionario
                            LEFT JOIN (SELECT Id,Titulo,Razao_Social FROM cliente) as cliente ON pre_venda.Id_Cliente = cliente.Id
                            LEFT JOIN (SELECT Id,Titulo FROM tipo_pagamento) as tipo_pagamento ON pre_venda.Id_Tipo_Pagamento = tipo_pagamento.Id
                            where 1=1
                            AND Tipo = 'Troca'
                            $data $status $cliente $usuario_p $pre_venda_produto $Unidade
                            group by pre_venda.Lancamento
                            order by pre_venda.Lancamento");
}
?>
<?php ob_start(); /* Inicia o fluxo */ ?>
<html>
    <head>
        <link rel="stylesheet" type="text/css" href="../estilo/<?php echo SKIN; ?>/tabela_imp.css" />
        <script type="text/javascript" language="javascript" src="../js/jquery.js"></script>
        <?php include '../include/script_cabeca.php'; ?>
        <script type="text/javascript" language="javascript" src="../js/script.js"></script>
        <script type="text/javascript" language="javascript" src="../js/meiomask/meiomask.js"></script>
        <script type="text/javascript" language="javascript" src="../js/meiomask/<?php
        if (PAIS == "USA") {
            echo "mascaras-usa";
        } else {
            echo "mascaras";
        }
        ?>.js"></script>
    </head>
    <body>
        <?php include "../include/cabecalho_relatorio.php"; ?>
        <table width="100%">
            <tr>
                <td>
                    <font face="verdana" size="2"><i>Relatrio de Pr-Venda</i></font>
                </td>
            </tr>
            <tr>
                <td><font face="verdana" size="2">
                    <?php
                    if ($_GET["De"]) {
                        echo "Perodo: " . $_GET["De"];
                    }
                    if ($_GET["Ate"]) {
                        echo "  " . $_GET["Ate"];
                    }
                    if ($_GET["Funcionario"]) {
                        $achar = listar("Select Titulo from funcionario
			where Id = '" . $_GET["Funcionario"] . "' ");
                        echo " - " . $achar[0]["Titulo"];
                    }
                    if ($_GET["Cliente"]) {
                        if (CLIENTE_RAZAO_SOCIAL == 'Sim') {
                            $nome = 'Razao_Social';
                        } else {
                            $nome = 'Titulo';
                        }
                        $achar = listar("Select " . $nome . " as Titulo from cliente
			where Id = '" . $_GET["Cliente"] . "' ");
                        echo " - " . $achar[0]["Titulo"];
                    }
                    if ($_GET["Produto"]) {
                        $achar = listar("Select Titulo from produto
			where Id = '" . $_GET["Produto"] . "' ");
                        echo " - " . $achar[0]["Titulo"];
                    }
                    if ($_GET["Cancelado"]) {
                        echo " - " . $_GET["Cancelado"];
                    }
                    if ($_GET["Finalizado"]) {
                        echo " - " . $_GET["Finalizado"];
                    }
                    if ($_GET["Aberto"]) {
                        echo " - " . $_GET["Aberto"];
                    }
                    if ($_GET["Prospectando"]) {
                        echo " - " . $_GET["Cancelado"];
                    }
                    if ($_GET["Cotando"]) {
                        echo " - " . $_GET["Finalizado"];
                    }
                    if ($_GET["Negociando"]) {
                        echo " - " . $_GET["Aberto"];
                    }
                    //se o sistema for Multi Empresa
                    if ((MULTI_EMPRESA == "Sim") && ($_SESSION["Id_Nivel"] == '1')) {

                        if ($_GET["Unidade"]) {
                            $achar = listar("Select Titulo from unidade
						where Id = '" . $_GET["Unidade"] . "' ");
                            echo " - " . $achar[0]["Titulo"];
                        }
                    }
                    ?>
                    </font>
                </td>
            </tr>
        </table>
        <table width="100%" class="tabela">
            <?php
            if ($_GET["Ok"]) {

                while ($chave = mysqli_fetch_assoc($pre_venda)) {
                    ?>
                    <tr class="azul-claro">
                        <td>Pr-Venda N: <b><?php echo $chave["Lancamento"] ?></b></td>
                        <td>Cliente:
                            <b>
                                <?php
                                if (CLIENTE_RAZAO_SOCIAL == 'Sim') {
                                    echo $chave["Razao_Social"];
                                } else {
                                    echo $chave["Cliente"];
                                }
                                ?>
                            </b>
                        </td>
                        <td>Data: <b><?php echo data_exibir($chave["Data_Pre_Venda"]) ?></b></td>
                    </tr>
                    <tr>
                        <td>Cdigo</td>
                        <td>Produto</td>
                        <td>Quantidade</td>
                    </tr>
                    <?php
                    $produto = mysqli_query($con,"Select produto.Titulo,
                                    produto.Codigo,
                                    pre_venda_produto.Preco,
                                    pre_venda_produto.Qtd,
                                    pre_venda_produto.Desconto,
                                    pre_venda_produto.Desconto_Real
                                    from pre_venda_produto
                                    left join (SELECT Id,Titulo,Codigo FROM produto) as produto ON produto.Id = pre_venda_produto.Id_Produto
                                    where pre_venda_produto.Id_Pre_Venda = '" . $chave["Id"] . "'
                                    $pre_venda_produto
                                    ORDER BY pre_venda_produto.Data_Cadastro");
                    ?>
                    <?php
                    $color = "#F5F5F5";
                    $vtotal = '0';
                    while ($valor = mysqli_fetch_assoc($produto)) {

                        if ($color == "#F5F5F5") {
                            $color = "#E8E8E8";
                        } else {
                            $color = "#F5F5F5";
                        }
                        ?>
                        <tr bgcolor=<?php echo "$color"; ?>>
                            <td><?php echo $valor["Codigo"] ?></td>
                            <td><?php echo $valor["Titulo"] ?></td>
                            <td><?php echo valor_exibir($valor["Qtd"]) ?></td>
                        </tr>
                        <?php
                        $vtotal += ( ( ($valor["Preco"] * $valor["Qtd"]) - ( ($valor["Preco"] * $valor["Qtd"]) * ($valor["Desconto"] / 100) ) ) - $valor["Desconto_Real"]);
                    }
                    ?>
                    <?php
                    $vtotalacum[$chave["Status"]] += ( ($vtotal) - ($vtotal * ($chave["Desconto"] / 100)) ) - $chave["Desconto_Real"];
                    $vtotalacumA += ( ($vtotal) - ($vtotal * ($chave["Desconto"] / 100)) ) - $chave["Desconto_Real"];
                    ?>
                    <?php
                    $corStatus = "";
                    if ($chave['Status'] == 'Finalizado') {
                        $corStatus = "color = '#228B22' ";
                    }
                    if ($chave['Status'] == 'Aberto') {
                        $corStatus = "color = '#3A5FCD' ";
                    }
                    if ($chave['Status'] == 'Cancelado') {
                        $corStatus = "color = '#CD2626' ";
                    }
                    ?>
                    <tr class="cinza">
                        <td>Status: <font <?php echo $corStatus ?>>
                            <b><?php echo $chave["Status"] ?></b>
                            </font></td>
                        <td>Vendedor: <?php echo $chave["Vendedor"] ?></td>
                        <td>Concluso: <?php echo data_exibir($chave["Data_Conclusao"]) ?></td>
                    </tr>
                    <tr>
                        <td colspan="3">&nbsp;</td>
                    </tr>
                <?php }
            }
            ?>

        </table>
    </body>
</html>
<?php
$html = ob_get_contents();
ob_end_clean();

include_once "../include/excel_opcao.php";
?>