<?php
include_once "../include/conecta.php"; //Conecta com a nosso banco de dados MySQL
ini_set('session.gc_maxlifetime', 60*120); session_start();
/* include_once "../include/ver_sessao.php"; //Verifica se a sesso est ativa */
include_once "../include/funcoesPhp.php"; //Inclue a pgina con todas as funes a ser usada.
?>
<?php
    $pedido = listar("Select pre_venda.Id, 					
                             pre_venda.Status,
                             pre_venda.Lancamento,
                             pre_venda.Data_Pre_Venda,
                             pre_venda.Obs as 'Obs_Venda',
                             pre_venda.Valor_Original,
                             pre_venda.Valor_Pago,
                             pre_venda.Id_Unidade,
                             cliente.Titulo as 'Cliente',
                             cliente.Razao_Social as 'Razao',
                             cliente.Codigo,
                             cliente.Email,
                             cliente.Natureza,
                             cliente.Cpf_Cnpj,
                             cliente.Rua,
                             cliente.Numero,
                             cliente.Cep,
                             cliente.Bairro,
                             cliente.Estado,
                             cliente.Fone1,
                             cliente.Ponto_Referencia,
                             cliente.Obs as 'Obs_Cliente',
                             cliente.Cidade,
                             funcionario.Titulo as 'Funcionario'
                             from (SELECT Id,Status,Data_Pre_Venda,Obs,Valor_Original,Valor_Pago,Id_Vendedor,Id_Cliente,Lancamento,Id_Unidade FROM pre_venda) as pre_venda
                             left join (SELECT Id,Codigo,Titulo,Razao_Social,Email,Natureza,Cpf_Cnpj,Rua,Numero,Cep,Bairro,Estado,Fone1,Ponto_Referencia,Obs,Cidade FROM cliente) as cliente ON cliente.Id = pre_venda.Id_Cliente
                             left join (SELECT Id,Titulo FROM funcionario) as funcionario ON funcionario.Id = pre_venda.Id_Vendedor
                             where pre_venda.Id = '".$_GET["id_pre_venda"]."' ");

$_GET["Unidade"] = $pedido[0]["Id_Unidade"];
?>
<html>
<head>
<title>Gw - Gesto Web</title>
<link rel="stylesheet" type="text/css" href="../estilo/<?php echo SKIN ;?>/tabela_imp.css" />
<script type="text/javascript" language="javascript" src="../js/jquery.js"></script>
<?php include '../include/script_cabeca.php'; ?>
<script type="text/javascript" language="javascript" src="../js/script.js"></script>
<script type="text/javascript" language="javascript" src="../js/meiomask/meiomask.js"></script>
<script type="text/javascript" language="javascript" src="../js/meiomask/<?php if(PAIS=="USA"){ echo "mascaras-usa"; }else{ echo "mascaras"; }?>.js"></script>
</head>
<body>

<table width="98%" align="center"><!-- TABELA Q ENVOLVE TODO O CONTEUDO -->
<tr>
	<td>
		<?php include "../include/cabecalho_pedido.php"; ?>
	</td>
</tr>
<tr>
	<td>
		<br/>
		<table width="100%" align="center">
			<tr>
                            <td colspan="2" align="center">
                                <font face="verdana" size="3">
                                    <b><i>Mapa Separao - <?php echo $pedido[0]["Status"];?></i></b>
                                </font>
                            </td>
			</tr>
			<tr>
                            <td width="55%">
                                <font face="verdana" size="2">
                                    Pedido:
                                </font>
                                    <b>
                                        <font face="verdana" size="3">
                                            <?php echo $pedido[0]["Lancamento"];?>
                                        </font>
                                    </b>
                            </td>
                            <td width="45%">
                                <font face="verdana" size="2">
                                    Vendedor: <?php echo $pedido[0]["Funcionario"];?>
                                </font>
                            </td>
			</tr>
		</table>
	</td>
</tr>
<tr>
	<td>
		<table width="100%" align="center" class="tabela">
                        <tr>
				<td width="70%">Razo: <?php echo $pedido[0]["Codigo"]." - ".$pedido[0]["Razao"];?></td>
				<td width="30%">Emisso: <?php echo data_exibir($pedido[0]["Data_Venda"]);?></td>
			</tr>
			<tr>
				<td width="70%">Fantasia: <?php echo $pedido[0]["Cliente"];?></td>
				<td width="30%">Fone: <?php echo $pedido[0]["Fone1"];?></td>
			</tr>
			<tr>
				<td width="70%">End: <?php echo $pedido[0]["Rua"].', '.$pedido[0]["Numero"];?></td>
				<?php if($pedido[0]["Natureza"] == "PF"){?>
				<td width="30%">CPF: <?php echo $pedido[0]["Cpf_Cnpj"];?></td>
				<?php }else{?>
				<td width="30%">CNPJ: <?php echo $pedido[0]["Cpf_Cnpj"];?></td>
				<?php }?>
			</tr>
			<tr>
				<td width="70%"><?php echo 'Bairro:'.$pedido[0]["Bairro"].' Cidade:'.$pedido[0]["Cidade"].' UF:'.
                                                                                $pedido[0]["Estado"];?></td>
				<td width="30%">CEP: <?php echo $pedido[0]["Cep"];?></td>
			</tr>
		</table>
	</td>
</tr>
<tr>
	<td>
		<table width="100%" align="center" class="tabela">
			<tr>
				<td colspan="10"><i>Produtos</i></td>
			</tr>
			<tr class="azul-claro">
				<td width="3%">N</td>
				<td width="10%">Cdigo</td>
				<td width="22%">Produto</td>
                <td width="5%">UN</td>
				<td width="5%">Qtd</td>
                <td width="5%">Vol</td>
                <td width="10%">Lote</td>
                <td width="10%">Validade</td>
                <td width="10%">Fabricacao</td>
				<td width="35%">Obs</td>
			</tr>
			<?php

                $pedido_pro = listar("Select pre_venda_produto.Preco as 'Preco_Venda',
                                pre_venda_produto.Qtd as 'Qtd_Venda',
                                pre_venda_produto.Desconto as 'Desconto_Venda',
                                pre_venda_produto.Lote,
                                pre_venda_produto.Data_Validade,
                                pre_venda_produto.Data_Fabricacao,
                                pre_venda_produto.Lote,
                                produto.Titulo as 'Produto',
                                produto.Descricao,
                                produto.Codigo,
                                produto.Qtd_Caixa,
                                produto.Medida
                                from pre_venda_produto
                                left join (SELECT Id,Titulo,Descricao,Codigo,Qtd_Caixa,Medida FROM produto) as produto ON produto.Id = pre_venda_produto.Id_Produto
                                where pre_venda_produto.Id_Pre_Venda = '".$pedido[0]["Id"]."'
                                ORDER BY Data_Cadastro ");
                
                //order by Qtd_Venda DESC, produto.Titulo,produto.Codigo
                        $x=1; foreach($pedido_pro as $chave){?>
                        
			<tr>
				<td><?php echo $x;?></td>
                <td><?php echo $chave["Codigo"];?></td>
                <td><?php echo $chave["Produto"];?></td>
                <td><?php echo $chave["Medida"];?></td>
                <td><?php echo $chave["Qtd_Venda"];?></td>
                <td><?php echo $chave["Qtd_Venda"]*$chave["Qtd_Caixa"]; ?></td>
                <td><?php echo $chave["Lote"];?></td>
                <td><?php echo data_exibir($chave["Data_Validade"]);?></td>
                <td><?php echo data_exibir($chave["Data_Fabricacao"]);?></td>
                <td>
                    <?php if((CLIENTE_EMAIL=='bioseiva') || (CLIENTE_EMAIL=='gw')){ 
                            if($chave["Desconto_Venda"]=='100'){
                                        echo  "<i>Compe Kit</i>";
                                } else {
                                    echo "<b>Produto Principal</b>";
                                }
                            }
                    ?>
                </td>
			</tr>
			<?php
                $Qtd_Venda += $chave["Qtd_Venda"];
                $tVol+=$chave["Qtd_Venda"]/$chave["Qtd_Caixa"];
                $x++; } ?>
                <tr>
                    <td colspan="1"></td>
                    <td colspan="2">Totais:</td>
                    <td></td>
                    <td><?php echo $Qtd_Venda;?></td>
                    <td><?php echo $tVol;?></td>
                    <td colspan="4"></td>
                </tr>
		</table>
	</td>
</tr>
<tr>
    <td>
        <?php echo $pedido[0]["Obs_Venda"];?>
    </td>
</tr>
</table>
<br/><br/>
<table width="98%" align="center">
	<tr>
		<td align="center">________________________</td>
	</tr>
	<tr>
		<td align="center"><font face="verdana" size="2">Expedio</font></td>
	</tr>
</table>

<br>
</body>
</html>
<?php include "../include/rodape.php";?>