<?php
include_once "../include/conecta.php"; //Conecta com a nosso banco de dados MySQL
ini_set('session.gc_maxlifetime', 60 * 120);
session_start();
/* include_once "../include/ver_sessao.php"; //Verifica se a sesso est ativa */
include_once "../include/funcoesPhp.php"; //Inclue a pgina con todas as funes a ser usada.
?>
<?php
$pre_venda = listar("SELECT pre_venda.Id,
 					pre_venda.Lancamento,
 					pre_venda.Status,
 					pre_venda.Data_Pre_Venda,
 					pre_venda.Obs as 'Obs_Pre_Venda',
 					pre_venda.Valor_Original,
 					pre_venda.Valor_Pago,
                    pre_venda.Desconto,
                    pre_venda.Desconto_Real,
                    pre_venda.Frete,
                    pre_venda.Id_Unidade,
 					cliente.Titulo as 'Cliente',
                    cliente.Razao_Social,
 					cliente.Email,
 					cliente.Natureza,
 					cliente.Cpf_Cnpj,
 					cliente.Rua,
                    cliente.Numero,
 					cliente.Cep,
 					cliente.Bairro,
 					cliente.Estado,
 					cliente.Fone1,
                    cliente.Contato,
 					cliente.Obs as 'Obs_Cliente',
                    cliente.Cidade,
 					funcionario.Titulo as 'Funcionario',
                    tipo_pagamento.Titulo as 'Tipo_Pagamento'
 					FROM pre_venda
 					LEFT JOIN (SELECT Id,Titulo,Email,Natureza,Cpf_Cnpj,Estadual,Rua,Numero,Cep,Bairro,Estado,Fone1,Obs,Cidade,Razao_Social,Contato FROM cliente) as cliente ON cliente.Id = pre_venda.Id_Cliente
 					LEFT JOIN (SELECT Id,Titulo FROM funcionario) as funcionario ON funcionario.Id = pre_venda.Id_Vendedor
                    LEFT JOIN (SELECT Id,Titulo FROM tipo_pagamento) as tipo_pagamento ON tipo_pagamento.Id = pre_venda.Id_Tipo_Pagamento
 					WHERE pre_venda.Id = '" . $_GET["id_pre_venda"] . "'
					order by pre_venda.Lancamento DESC");

$_GET["Unidade"] = $pre_venda[0]["Id_Unidade"];
?>
<html>

<head>
    <title>Gw - Gesto Web</title>
    <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1" />
    <link rel="shortcut icon" href="../imagem/favi_gw.ico" type="image/x-icon" />
    <link rel="stylesheet" type="text/css" href="../estilo/<?php echo SKIN; ?>/tabela_imp.css" />
    <script type="text/javascript" language="javascript" src="../js/jquery.js"></script>
    <?php include '../include/script_cabeca.php'; ?>
    <script type="text/javascript" language="javascript" src="../js/script.js"></script>
    <script type="text/javascript" language="javascript" src="../js/meiomask/meiomask.js"></script>
</head>

<body>

    <table width="98%" align="center">
        <!-- TABELA Q ENVOLVE TODO O CONTEUDO -->
        <tr>
            <td>
                <?php include "../include/cabecalho_pedido.php"; ?>
            </td>
        </tr>
        <tr>
            <td>
                <table width="100%" align="center">
                    <tr>
                        <td colspan="2" align="center">
                            <font face="verdana" size="3">
                                <b>
                                    <i>
                                        <?php
                                        if ((CLIENTE_EMAIL == 'tupanfarmaatacado') || (CLIENTE_EMAIL == 'tupanfarmadistribuidora') || CLIENTE_EMAIL == 'edqualitydobrasil') {
                                            echo "Cotao - " . $pre_venda[0]["Lancamento"];
                                        } else {
                                            echo "Pr-Venda - " . $pre_venda[0]["Lancamento"];
                                        }
                                        ?>
                                    </i>
                                </b>
                            </font>
                        </td>
                    </tr>
                </table>
            </td>
        </tr>
        <tr>
            <td>
                <table width="100%" align="center" class="tabela" style="font-size: 12px">
                    <tr>
                        <td width="70%">Cliente:
                            <?php
                            if (CLIENTE_RAZAO_SOCIAL == 'Sim') {
                                echo $pre_venda[0]["Razao_Social"];
                            } else {
                                echo $pre_venda[0]["Cliente"];
                            }
                            ?>
                        </td>
                        <td width="30%">Data: <?php echo data_exibir($pre_venda[0]["Data_Pre_Venda"]); ?></td>
                    </tr>
                    <tr>
                        <td width="70%">End: <?php echo $pre_venda[0]["Rua"] . ', ' . $pre_venda[0]["Numero"]; ?></td>
                        <td width="30%">Fone: <?php echo $pre_venda[0]["Fone1"]; ?></td>
                    </tr>
                    <tr>
                        <td width="70%"><?php echo 'Bairro:' . $pre_venda[0]["Bairro"] . ' Cidade:' . $pre_venda[0]["Cidade"] . ' UF:' .
                                            $pre_venda[0]["Estado"]; ?>
                        </td>
                        <?php if ($pre_venda[0]["Natureza"] == "PF") { ?>
                            <td width="30%">CPF: <?php echo $pre_venda[0]["Cpf_Cnpj"]; ?></td>
                        <?php } else { ?>
                            <td width="30%">CNPJ: <?php echo $pre_venda[0]["Cpf_Cnpj"]; ?></td>
                        <?php } ?>
                    </tr>
                    <tr>
                        <td width="70%">Pagamento: <?php echo $pre_venda[0]["Tipo_Pagamento"]; ?></td>
                        <td width="30%">CEP: <?php echo $pre_venda[0]["Cep"]; ?></td>
                    </tr>
                    <tr>
                        <td width="70%">Contato: <?php echo $pre_venda[0]["Contato"]; ?></td>
                        <td width="30%">Frete: <?php echo $pre_venda[0]["Frete"]; ?></td>
                    </tr>
                    <tr>
                        <td colspan="2">Obs: <?php echo $pre_venda[0]["Obs_Pre_Venda"]; ?></td>
                    </tr>
                </table>
            </td>
        </tr>
        <tr>
            <td>
                <table width="100%" align="center" class="tabela" style="font-size: 12px">
                    <tr>
                        <td colspan="8"><i>Produtos</i></td>
                    </tr>
                    <tr class="azul-claro">
                        <td width="3%">N</td>
                        <td width="10%">Cdigo</td>
                        <?php if (CLIENTE_EMAIL == 'spectracolor') { ?>
                            <td width="22%" colspan="2">Produto</td>
                        <?php } else { ?>
                            <td width="22%">Produto</td>
                        <?php } ?>
                        <?php if (CLIENTE_EMAIL != 'spectracolor') { ?>
                            <td width="5%">Lote</td>
                        <?php } ?>
                        <?php if ((CLIENTE_EMAIL == 'frprodutos')) { ?>
                            <td width="5%">Srie</td>
                        <?php } ?>
                        <td width="5%">Qtd</td>
                        <td width="8%">Valor</td>
                        <!--
				<td width="8%">Desc %</td>
                                <td width="8%">Desc $</td>
                                -->
                        <td width="8%">Total</td>
                    </tr>
                    <?php

                    //pre_venda_produto.Desconto as 'Desconto_Pre_Venda',
                    //pre_venda_produto.Desconto_Real,
                    $pre_venda_pro = listar("SELECT pre_venda_produto.Preco as 'Preco_Pre_Venda',
 					pre_venda_produto.Qtd as 'Qtd_Pre_Venda',
                                        pre_venda_produto.Liberado,
                                        pre_venda_produto.Desconto as Desconto_Pre_Venda,
                                        pre_venda_produto.Desconto_Real,
                                        pre_venda_produto.Lote,
                                        pre_venda_produto.Ipi,
                                        pre_venda_produto.Lote2,
                                        pre_venda_produto.ST_Icms,
                                        pre_venda_produto.Icms,
                                        pre_venda_produto.Icms_Sub,
                                        pre_venda_produto.Mva,
                                        pre_venda_produto.Reducao,
                                        pre_venda_produto.ReducaoBC,
                                        pre_venda_produto.CST_Ipi,
                                        pre_venda_produto.Ipi,
                                        pre_venda_produto.Comissao,
                                        pre_venda_produto.Data_Fabricacao,
                                        pre_venda_produto.Data_Validade,
                                        pre_venda_produto.Dolar,
                                        pre_venda_produto.Valor_Pauta,
                                        pre_venda_produto.vICMSDeson,
 					produto.Titulo as 'Produto',
 					produto.Codigo
 					from pre_venda_produto
 					left join (SELECT Id,Titulo,Codigo FROM produto) as produto ON produto.Id = pre_venda_produto.Id_Produto
 					where pre_venda_produto.Id_Pre_Venda = '" . $_GET["id_pre_venda"] . "'
                                        ORDER BY pre_venda_produto.Data_Cadastro");

                    $x = 1;
                    foreach ($pre_venda_pro as $chave) { ?>

                        <tr>
                            <td><?php echo $x; ?></td>
                            <td><?php echo $chave["Codigo"]; ?></td>
                            <?php if (CLIENTE_EMAIL == 'spectracolor') { ?>
                                <td colspan="2"><?php echo $chave["Produto"]; ?></td>
                            <?php } else { ?>
                                <td><?php echo $chave["Produto"]; ?></td>
                            <?php } ?>
                            <?php if (CLIENTE_EMAIL != 'spectracolor') { ?>
                                <td><?php echo $chave["Lote"]; ?></td>
                            <?php } ?>
                            <?php if ((CLIENTE_EMAIL == 'frprodutos')) { ?>
                                <td><?php echo $chave["Lote2"]; ?></td>
                            <?php } ?>
                            <td><?php echo $chave["Qtd_Pre_Venda"]; ?></td>
                            <td><?php echo number_format($chave["Preco_Pre_Venda"], 2, ',', '.'); ?></td>
                            <!--
				<td><?php echo number_format($chave["Desconto_Pre_Venda"], 2, ',', '.'); ?></td>
                                <td><?php echo number_format($chave["Desconto_Real"], 2, ',', '.'); ?></td>
                                -->
                            <td>
                                <?php echo number_format((($chave['Qtd_Pre_Venda'] * $chave['Preco_Pre_Venda']) - (($chave['Qtd_Pre_Venda'] * $chave['Preco_Pre_Venda']) * ($chave['Desconto_Pre_Venda'] / 100))) - $chave['Desconto_Real'], 2, ',', '.'); ?>
                            </td>
            </td>
        </tr>
    <?php
                        if ($chave['Ipi'] != '0') {
                            $VBC = ((($chave['Qtd_Pre_Venda'] * $chave['Preco_Pre_Venda']) - (($chave['Qtd_Pre_Venda'] * $chave['Preco_Pre_Venda']) * ($chave['Desconto_Pre_Venda'] / 100))) - $chave['Desconto_Real']);

                            $vIpi = number_format(($VBC * ($chave['Ipi'] / 100)), 2, '.', '');
                            $VIPI += number_format(($VBC * ($chave['Ipi'] / 100)), 2, '.', '');
                        }

                        $VIPI = number_format($VIPI, 2, ",", ".");
                        $VIPI = str_replace('.', '', $VIPI);
                        $VIPI = str_replace(',', '.', $VIPI);

                        $Qtd_Pre_Venda += $chave["Liberado"];
                        $Preco_Pre_Venda += $chave["Preco_Pre_Venda"];
                        $Desconto_Pre_Venda += $chave["Desconto_Pre_Venda"];
                        $Desconto_Real += $chave["Desconto_Real"];
                        $Total += (($chave["Preco_Pre_Venda"] * $chave["Liberado"]) -
                            (($chave["Preco_Pre_Venda"] * $chave["Liberado"]) * ($chave["Desconto_Pre_Venda"] / 100))) - $chave['Desconto_Real'];


                        $valor_st = '0';
                        //calculando o valor do ICMS ST
                        if ($chave['ST_Icms'] == '10' || $chave['ST_Icms'] == '70' || $chave['ST_Icms'] == '90') {


                            if ($chave['Bonificacao'] == 'Sim') {
                                $desc_perc = '0';
                                $chave['Desconto_Real'] = '0';
                            }

                            $VBC = number_format((($chave['Qtd_Pre_Venda'] * $chave['Preco_Pre_Venda']) - (($chave['Qtd_Pre_Venda'] * $chave['Preco_Pre_Venda']) * ($chave['Desconto_Pre_Venda'] / 100))) - $chave['Desconto_Real'], 2, '.', '');

                            if ($chave["ReducaoBC"] > '0') {
                                $VBCicms = $VBC - ($VBC * ($chave['ReducaoBC'] / 100));
                            } else {
                                $VBCicms = $VBC;
                            }

                            $VICMS = ($VBCicms * ($chave['Icms'] / 100));


                            $vBCST = ($VBC + $bcstIpi) * (1 + (($chave['Mva'] / 100)));
                            $vBCST = $vBCST - ($vBCST * ($chave['Reducao'] / 100));
                            $valor_st = number_format($vBCST * ($chave['Icms_Sub'] / 100), 2, '.', '') - number_format($VICMS, 2, '.', '');

                            //calculo com o valor de pauta
                            if ($chave['Preco_Pre_Venda'] < $chave['Valor_Pauta']) {
                                if ($chave['Estado_Cliente'] == 'RN' || $chave['Estado_Cliente'] == 'PB' || $chave['Estado_Cliente'] == 'AL') {

                                    $chave['Preco_Pre_Venda'] = $chave['Valor_Pauta'];

                                    $VBCp = (($chave['Qtd_Pre_Venda'] * $chave['Preco_Pre_Venda']) - (($chave['Qtd_Pre_Venda'] * $chave['Preco_Pre_Venda']) * ($chave['Desconto_Pre_Venda'] / 100))) - $chave['Desconto_Real'];
                                    $VICMS = ($VBCp * ($chave['Icms'] / 100));
                                    $vBCST = ($VBCp + $bcstIpi) * (1 + (($chave['Mva'] / 100)));
                                    $vBCST = $vBCST - ($vBCST * ($chave['Reducao'] / 100));
                                    $valor_st = ($vBCST * ($chave['Icms_Sub'] / 100)) - ($VBC * ($chave['Icms'] / 100));
                                }
                            }

                            if (($chave["Estado_Cliente"] == $chave["Estado_Empresa"]) && $chave["Cesta_Basica"] == 'Sim') {
                                $VBC = (($chave['Qtd_Pre_Venda'] * $chave['Preco_Pre_Venda']) - (($chave['Qtd_Pre_Venda'] * $chave['Preco_Pre_Venda']) * ($chave['Desconto_Pre_Venda'] / 100))) - $chave['Desconto_Real'];
                                $VBC = $VBC + $chave['Frete'] + $chave['Despesa'];
                                if ($chave['ReducaoBC'] > '0') {
                                    $VBC = $VBC - ($VBC * ((100 - $chave['ReducaoBC']) / 100)); //reversa
                                }
                                $VICMS = ($VBC * ($chave['Icms'] / 100));

                                $VBC = (($chave['Qtd_Pre_Venda'] * $chave['Preco_Pre_Venda']) - (($chave['Qtd_Pre_Venda'] * $chave['Preco_Pre_Venda']) * ($chave['Desconto_Pre_Venda'] / 100))) - $chave['Desconto_Real'];
                                $VBC = $VBC + $chave['Frete'] + $chave['Despesa'];
                                $vBCST = ($VBC + $bcstIpi) * (1 + (($chave['Mva'] / 100)));
                                $vBCST = $vBCST - ($vBCST * ($chave['Reducao'] / 100));
                                $valor_st = ($vBCST * ($chave['Icms_Sub'] / 100));
                            }

                            $VICMSST += number_format($valor_st, 2, ".", "");
                        }

                        //calculando o valor do ICMS ST - simples
                        if (($chave['ST_Icms'] == '201') || ($chave['ST_Icms'] == '202') || ($chave['ST_Icms'] == '900')) {
                            $VBC = (($chave['Qtd_Pre_Venda'] * $chave['Preco_Pre_Venda']) - (($chave['Qtd_Pre_Venda'] * $chave['Preco_Pre_Venda']) * ($chave['Desconto_Pre_Venda'] / 100))) - $chave['Desconto_Real'];
                            $VBC = $VBC + $chave['Frete'] + $chave['Despesa'];
                            $VICMS = number_format($VBC * ($chave['Icms'] / 100), 2, '.', '');
                            //$ValorICMSProprioparaST = $VBC * ($chave['Icms_Sub']/100);//calc diferente
                            $vBCST = ($VBC + $bcstIpi) * (1 + (($chave['Mva'] / 100)));
                            $vBCST = $vBCST - ($vBCST * ($chave['Reducao'] / 100));
                            $valor_st = number_format($vBCST * ($chave['Icms_Sub'] / 100), 2, '.', '') - ($VICMS);
                            $VICMSST += number_format($valor_st, 2, ".", "");
                        }

                        //calculo FCPST
                        if (($chave['ST_Icms'] == '201') || ($chave['ST_Icms'] == '202') || ($chave['ST_Icms'] == '900') ||
                            $chave['ST_Icms'] == '10' || $chave['ST_Icms'] == '70' || $chave['ST_Icms'] == '90'
                        ) {
                            if (($chave["Cliente_FCP"] == 'Sim') &&
                                ($chave["Estado_Cliente"] != $chave["Estado_Unidade"]) &&
                                ($chave["FCP"] > '0')
                            ) {
                                $vtFCPST = $vBCST;
                                $vtFCPST = str_replace('.', '', $vtFCPST);
                                $vtFCPST = str_replace(',', '.', $vtFCPST);

                                $vtFCPItem = number_format($VBC * ($chave["FCP"] / 100), 2, ".", "");
                                $vtFCPSTItem += number_format(($vBCST * ($chave["FCP"] / 100)), 2, ".", "");
                            }
                        }
                        $x++;
                    }

    ?>
    <tr>
        <td colspan="5">
        </td>
        <td>
            Ipi
        </td>
        <td>
            <?php echo number_format($VIPI, 2, ',', '.'); ?>
        </td>
    </tr>
    <tr>
        <td colspan="5">
        </td>
        <td>
            Icms ST
        </td>
        <td>
            <?php echo number_format($VICMSST, 2, ',', '.'); ?>
        </td>
    </tr>
    <tr>
        <td colspan="5">
        </td>
        <td>
            Fcp ST
        </td>
        <td>
            <?php echo number_format($vtFCPST, 2, ',', '.'); ?>
        </td>
    </tr>
    <tr>
        <td colspan="5">
        </td>
        <td>
            Sub Total
        </td>
        <td><?php echo number_format((($Total - ($Total * ($pre_venda[0]["Desconto"] / 100))) - $pre_venda[0]["Desconto_Real"]), 2, ',', '.'); ?>
        </td>
    </tr>
    <tr>
        <td colspan="3"></td>
        <td>Totais:</td>
        <td><?php echo number_format($Qtd_Pre_Venda, 2, ',', '.'); ?></td>
        <td></td>
        <td><?php echo number_format((($Total - ($Total * ($pre_venda[0]["Desconto"] / 100))) - $pre_venda[0]["Desconto_Real"] + $VIPI + $VICMSST), 2, ',', '.'); ?>
        </td>

    </tr>
    </table>
    </td>
    </tr>
    </table>
    <br />
    <table width="98%" align="center">
        <tr>
            <td align="center">________________________</td>
            <td align="center">
                <?php if (CLIENTE_EMAIL == 'atacadaodosrestaurantes') { ?>
                    Atenciosamente,<br />
                <?php } ?>
                ________________________
            </td>
        </tr>
        <tr>
            <td align="center">
                <font face="verdana" size="2">
                    <?php
                    if (CLIENTE_RAZAO_SOCIAL == 'Sim') {
                        echo $pre_venda[0]["Razao_Social"];
                    } else {
                        echo $pre_venda[0]["Cliente"];
                    }
                    ?>
                </font>
            </td>
            <?php if (CLIENTE_EMAIL == 'atacadaodosrestaurantes') { ?>
                <td align="center">
                    <font face="verdana" size="2">Representante:
                        <?php echo $pre_venda[0]["Funcionario"]; ?>
                        <br />Departamento de Vendas.
                    </font>
                </td>
            <?php } else { ?>
                <td align="center">
                    <font face="verdana" size="2">Representante: <?php echo $pre_venda[0]["Funcionario"]; ?></font>
                </td>
            <?php } ?>
        </tr>
    </table>

    <br>
</body>

</html>
<?php include "../include/rodape.php"; ?>