<?php
include_once '../../include/conecta.php'; //Conecta com a nosso banco de dados MySQL
include_once '../../include/ver_sessao.php'; //Verifica se a sesso est ativa
include_once '../../include/funcoesPhp.php'; include_once '../../menu_movimento.php';

$sql_prestar_contas = mysqli_query($con,"SELECT DISTINCT 
                            venda.Lancamento,
                            prestar_contas_venda.Preco,
                            prestar_contas_venda.Qtd,
                            prestar_contas_venda.Valor_Pago,
                            prestar_contas_venda.Data_Venda,
                            produto.Id as Id_Produto,
                            produto.Titulo as 'Produto',
                            produto.Codigo,
                            CONCAT(cliente.Codigo,' : ',cliente.Titulo) as 'Cliente',
                            local_estoque.Titulo as Local_Estoque
                            FROM prestar_contas_venda
                            inner join (SELECT Id,Lancamento,Data_Cadastro FROM venda WHERE Status='Finalizado' ) as venda ON venda.Id = prestar_contas_venda.Id_Venda
                            left join (SELECT Id,Titulo,Codigo FROM produto) as produto ON produto.Id = prestar_contas_venda.Id_Produto
                            left join (SELECT Id,Titulo FROM local_estoque) as local_estoque ON local_estoque.Id = prestar_contas_venda.Id_Local_Estoque
                            left join (SELECT Id,Titulo,Codigo FROM cliente) as cliente ON cliente.Id = prestar_contas_venda.Id_Cliente
                            WHERE prestar_contas_venda.Id_Prestar_Contas='".$_POST['Codigo_Prestar_Contas']."'
                            ORDER BY venda.Lancamento,venda.Data_Cadastro ")
or die("ERRO no comando SQL:".mysqli_error($con));
        
	ob_start();
?>

			<?php
                            $color = "#F5F5F5";
                            $x=0;
                            $lanc_ant='0';
                            $Qtd_Total='0';
                            $Valor_Total='0';
                            while($linha1 = mysqli_fetch_assoc($sql_prestar_contas)){
                            if ($color == "#F5F5F5") {
                                $color = "#E8E8E8";
                            } else {
                                $color = "#F5F5F5";
                            }
                        ?>

                        <?php if($x==0){ ?>
                        <table width="100%" align="center" border="0" cellpadding="2" cellspacing="2">
			<tr>
                            <td class="table_prod_nome">Id</td>
                            <td class="table_prod_nome">Data</td>
                            <td class="table_prod_nome">Cliente</td>
                            <td class="table_prod_nome">Cd</td>
                            <td class="table_prod_nome">Item</td>
                            <td class="table_prod_nome">Preo</td>
                            <td class="table_prod_nome">Qtd</td>
                            <td class="table_prod_nome">Local</td>
                            <td class="table_prod_nome">Valor Item</td>
                            <td class="table_prod_nome">Valor Venda</td>
                        </tr>
                        <?php } ?>


			<tr bgcolor=<?php echo "$color"; ?> >
                            <td class="table_prod_valor"><?php echo $linha1['Lancamento'];?></td>
                            <td class="table_prod_valor"><?php echo data_exibir($linha1['Data_Venda']);?></td>
                            <td class="table_prod_valor"><?php echo $linha1['Cliente'];?></td>
                            <td class="table_prod_valor"><?php echo $linha1['Codigo'];?></td>
                            <td class="table_prod_valor"><?php echo $linha1['Produto'];?></td>
                            <td class="table_prod_valor"><?php echo valor_exibir($linha1['Preco']);?></td>
                            <td class="table_prod_valor"><?php echo valor_exibir($linha1['Qtd']);?></td>
                            <td class="table_prod_valor"><?php echo $linha1['Local_Estoque'];?></td>
                            <td class="table_prod_valor"><?php echo valor_exibir($linha1['Qtd']*$linha1['Preco']);?></td>
                            <td class="table_prod_valor">
                                <?php
                                if($linha1['Lancamento']!=$lanc_ant){//e quando for outro lancamento
                                    echo valor_exibir($linha1['Valor_Pago']);
                                }else{
                                    echo "-";
                                }
                                
                                ?>
                            </td>
                        </tr>
                        <tr><td height="2"></td></tr>

			<?php
                        if($x==0){//entra no primeiro loop
                            $Valor_Total+= $linha1['Valor_Pago'];
                        }else if($linha1['Lancamento']!=$lanc_ant){//e quando for outro lancamento
                            $Valor_Total+= $linha1['Valor_Pago'];
                        }
			
                        $lanc_ant=$linha1['Lancamento'];
                        
                        $Qtd_Total+=$linha1['Qtd'];
                        
			$x++; }
                        ?>
                        </table>
			<table width="100%">
			<tr>
                            <td width="30%"></td>
                            <td width="35%" align="left">
                                <font face="verdana" size="2">Qtd Vendas:
                                    <input type="text" name="Qtd_Total" id="Qtd_Total" readonly="readonly" value="<?php echo valor_exibir($Qtd_Total);?>" size="10">
                                </font>
                            </td>
                            <td width="35%" align="left">
                                <font face="verdana" size="2">Total Vendas:
                                    <input type="text" name="Valor_Total" id="Valor_Total" readonly="readonly" value="<?php echo valor_exibir($Valor_Total);?>" size="10">
                                </font>
                            </td>
			</tr>
			<input type="hidden" name="Voltas" value="<?php echo $x++?>" >
		</table>
<?php
	$pagina = ob_get_contents();
	ob_end_clean();
	echo utf8_encode($pagina);
?>