<?php
include_once "../include/conecta.php"; //Conecta com a nosso banco de dados MySQL
ini_set('session.gc_maxlifetime', 60 * 120);
session_start();
/* include_once "../include/ver_sessao.php"; //Verifica se a sesso est ativa */
include_once "../include/funcoesPhp.php"; //Inclue a pgina con todas as funes a ser usada.
?>
<?php
$producao = listar("Select producao.Id,
                        producao.Lancamento,
                        producao.Status,
                        producao.Data_Producao,
                        producao.Qtd,
                        producao.Custo,
                        producao.Obs,
                        producao.Id_Unidade,
                        funcionario.Titulo as Funcionario,
                        produto.Titulo as Patrimonio
                        from producao
                        LEFT JOIN (SELECT Id,Id_Funcionario FROM usuario) as usuario ON producao.Id_Usuario = usuario.Id
                        LEFT JOIN (SELECT Id,Titulo FROM funcionario) as funcionario ON usuario.Id_Funcionario = funcionario.Id
                        LEFT JOIN (SELECT Id,Titulo FROM produto) as produto ON producao.Id_Patrimonio = produto.Id
                        where producao.Id = '".$_GET["id_producao"]."'
                        order by producao.Lancamento DESC");

$_GET["Unidade"] = $producao[0]["Id_Unidade"];
?>
<html>
    <head>
        <title>Gw - Gesto Web</title>
        <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1" />
        <link rel="shortcut icon" href="../imagem/favi_gw.ico" type="image/x-icon" />
        <link rel="stylesheet" type="text/css" href="../estilo/<?php echo SKIN; ?>/tabela_imp.css" />
        <script type="text/javascript" language="javascript" src="../js/jquery.js"></script>
        <?php include '../include/script_cabeca.php'; ?>
        <script type="text/javascript" language="javascript" src="../js/script.js"></script>
        <script type="text/javascript" language="javascript" src="../js/meiomask/meiomask.js"></script>
        <script type="text/javascript" language="javascript" src="../js/meiomask/<?php
        if (PAIS == "USA") {
            echo "mascaras-usa";
        } else {
            echo "mascaras";
        }
        ?>.js"></script>
        <style>
        .footer {
            position:absolute;
            bottom:4%;
        }
        </style>
    </head>
    <body>
            <?php
                $producao_produ = mysqli_query($con,"Select produto.Titulo,
                        produto.Codigo,
                        produto.Preco1,
                        produto.Foto,
                        produto.Gtin,
                        produto.FQIT,
                        producao_produto.Qtd,
                        producao_produto.Lote,
                        producao_produto.Data_Validade,
                        producao_produto.Data_Fabricacao
                        from producao_produto
                        INNER join (SELECT Id,Titulo,Codigo,Preco1,Foto,Gtin,FQIT FROM produto) as produto ON produto.Id = producao_produto.Id_Produto
                        where producao_produto.Id_Producao = '".$_GET["id_producao"]."'
                        AND producao_produto.Tipo = 'Entrada' ");
                $producao_produ = mysqli_fetch_assoc($producao_produ);
                ?>
        <table width="98%" align="center"><!-- TABELA Q ENVOLVE TODO O CONTEUDO -->
            <tr>
                <td width="100%">
                <table width="100%" border="1">
                             <tbody>
                                    <?php
                                            if(!$_GET["Unidade"]){
                                                    $_GET["Unidade"] = $_SESSION["Unidade"];
                                            }

                                            $empresa = listar("Select Logo,Titulo,Cnpj,Rua,Numero,
                                                                Bairro,Cidade,Estado,Cep,Fone1,Fone2,Email,Site
                                                                from unidade where Id = '".$_GET["Unidade"]."' ");
                                    ?>
                                <tr>
                                    <td width="40%">
                                        <?php
                                            if(file_exists("../unidade/foto/".$empresa[0]["Logo"]."")){
                                                $cam_arq = "../unidade/foto/".$empresa[0]["Logo"];
                                            }else{
                                                $cam_arq = "../../unidade/foto/".$empresa[0]["Logo"];
                                            }
                                        ?>
                                        <center>
                                            <img src="<?php echo $cam_arq; ?>" title="Logo" alt="Logo" border="0" width="140px" height="auto"/>
                                        </center>
                                    </td>
                                    <td><center>ORDEM DE PRODUO</center></td>
                                    <td><center>(FQIT <b><?php echo $producao_produ["FQIT"]; ?></b>)</center></td>
                                 </tr>
                             </tbody>
                         </table>
                </td>
            </tr>
            <tr>
                <td>
                    <table width="100%" align="center" class="tabela" style="font-size: 12px">
                        <tr>
                            <td width="50%">Item: <?php echo $producao_produ["Codigo"]." ".$producao_produ["Titulo"]; ?></td>
                            <td width="50%">Data Fab.: <?php echo data_exibir($producao_produ["Data_Fabricacao"]); ?></td>
                        </tr>
                        <tr>
                            <td width="50%">Qtd Produzir: <?php echo $producao_produ["Qtd"]; ?></td>
                            <td width="50%">Validade: <?php echo number_format(calcula_dia(data_exibir($producao_produ["Data_Fabricacao"]),data_exibir($producao_produ["Data_Validade"]))/30); ?> Ms(es)</td>
                        </tr>
                        <tr>
                            <td width="50%">Lote: <?php echo $producao_produ["Lote"]; ?></td>
                            <td width="50%">Data Val.: <?php echo data_exibir($producao_produ["Data_Validade"]); ?></td>
                        </tr>
                        <tr>
                            <td width="50%">N OP: <?php echo $producao[0]["Lancamento"]; ?></td>
                            <td width="50%">&nbsp;</td>
                        </tr>
                    </table>
                </td>
            </tr>
            <tr>
                <td>
                    <table width="100%" align="center" class="tabela" style="font-size: 12px">
                        <tr>
                            <td width="100%">Reator / Misturador: <?php echo $producao[0]["Patrimonio"]; ?></td>
                        </tr>
                    </table>
                </td>
            </tr>
            <tr>
                <td>
                    <table width="100%" align="center" class="tabela" style="font-size: 12px">
                        <tr>
                            <td colspan="9"><i>Lista Tcnica</i></td>
                        </tr>
                        <tr class="azul-claro">
                            <td width="3%">N</td>
                            <td width="10%">Componente</td>
                            <td width="22%">Descrio</td>
                            <td width="5%">Un</td>
                            <td width="5%">Qtd</td>
                            <td width="7%">Utilizado</td>
                            <td width="8%">Visto</td>
                        </tr>
                        <?php
                        $producao_pro = mysqli_query($con,"Select producao_produto.Id,
 					                    producao_produto.Qtd,
                                         producao_produto.Qtd2,
                                        producao_produto.Medida,
                                        producao_produto.Custo,
                                        producao_produto.Lote,
                                        producao_produto.Lote2,
                                        producao_produto.Data_Validade,
                                        producao_produto.Composto,
                                        producao_produto.Percentual_Composto,
 					                    produto.Titulo as 'Produto',
                                        produto.Id as Id_Produto_Producao,
 					                    produto.Codigo,
                                        produto.Gtin
                                        from producao_produto
                                        INNER join (SELECT Id,Titulo,Codigo,Id_Categoria_Produto,Gtin FROM produto) as produto ON produto.Id = producao_produto.Id_Produto
                                        where producao_produto.Id_Producao = '".$_GET["id_producao"]."'
                                        AND producao_produto.Tipo = 'Saida' 
                                        
                                        ORDER BY producao_produto.Lote2 ");
                        //AND producao_produto.Composto='Sim'

                        $x = 1;
                        while ($chave = mysqli_fetch_assoc($producao_pro)) {
                        if($chave['Composto']=='Sim'){
                            $perc_comp = $chave['Percentual_Composto'];
                            $perc_compT+=$perc_comp;
                        }else{
                            $perc_compT+=$perc_comp='0';
                        }
                            ?>
                            <tr>
                                <td><?php echo $chave["Lote2"]; ?></td>
                                <td><?php echo $chave["Codigo"]; ?></td>
                                <td><?php echo $chave["Produto"]; ?></td>
                                <td><?php echo $chave["Medida"]; ?></td>
                                <td><?php echo $chave["Qtd2"]; ?></td>
                                <td><?php echo $chave["Qtd"]; ?></td>
                                <td>&nbsp;</td>
                            </tr>
                            <tr>
                                <td colspan="2" align="right">Lote Utilizado: &nbsp;</td>
                                <td colspan="5"><?php echo $chave["Lote"]; ?></td>
                            </tr>
                            <?php

                            /*************
                             * validando o radape se deixa fixo ou no.
                             * se tiver mais de 24 itens deixa o Rodape normal sem a classe
                             *********/
                            if($x<'25'){
                                $n_class = ' class="footer" style="width: 94.6%;margin-left: 1.5%;"';
                            }else{
                                $n_class = ' style="width: 97%;margin-left: 1.5%;" ';
                            }
                            
                            $Qtd_Venda+= $chave["Qtd"];
                            $Total += ($chave["Custo"] * $chave["Qtd"]);
                            $x++;
                            }
                            ?>
                    </table>
                </td>
            </tr>
        </table>
            
        <div <?php echo $n_class; ?> >
            <table width="100%" align="center" class="tabela" style="font-size: 12px">
                <tr>
                    <td colspan="4"><i>Controle de Modificaes</i></td>
                </tr>
                <tr class="azul-claro">
                    <td>Reviso</td>
                    <td>Alterao</td>
                    <td>Data</td>
                </tr>
                <tr>
                    <td>4</td>
                    <td>Processos</td>
                    <td>Data 28/09/2019</td>
                </tr>
                <tr>
                    <td>5</td>
                    <td>Mudana de layout</td>
                    <td>Data </td>
                </tr>
            </table>
                       <br>     
            <table width="100%" align="center" class="tabela" style="font-size: 12px">
                <tr>
                    <td>Elaborado por</td>
                    <td>Wellington Bernardo / Alexandre Dias Carvalho<?php //echo $producao[0]["Funcionario"];?></td>
                    <td>Data 20/12/2021<?php //echo data_exibir($producao[0]["Data_Producao"]);?></td>
                </tr>
                <tr>
                    <td>Aprovado por</td>
                    <td></td>
                    <td>Data</td>
                </tr>
            </table>
        </div>
        
    </body>
</html>
<?php include "../include/rodape.php"; ?>