<?php
include_once '../include/conecta.php'; //Conecta com a nosso banco de dados MySQL
include_once '../include/ver_sessao.php'; //Verifica se a sesso est ativa
include_once '../include/funcoesPhp.php';
include_once '../menu_movimento.php';
$modulo_lista = 'Producao';
include '../include/sessao_lista.php';

if (!$_GET['Pesq']) {
    //listagem padro
    if (!isset($_GET['Status_Lista']))
        $_GET['Status_Lista'] = '';
}
?>
<?php
$menu = mysqli_query($con, "SELECT permissao.Relatorio,
                                    permissao.Cadastrar,
                                    permissao.Alterar,
                                    permissao.Deletar
                                    from permissao
                                    inner join menu_usuario ON menu_usuario.Id_Menu = permissao.Id_Menu
                                    where menu_usuario.Id_Responsavel='" . $_SESSION["Id"] . "'
                                    and permissao.Id_Responsavel='" . $_SESSION["Id"] . "'
                                    and permissao.Id_Menu = '3216' ");
$menu = mysqli_fetch_assoc($menu);
?>
<?php
if (!$_GET['Pesq']) {
    if ($_GET["Status_Lista"]) {

        if ($_GET["Status_Lista"] == "Aberto") {
            $Status_Lista1 = " and (producao.Status = 'Aberto' 
                                    OR producao.Status = 'Pr-Produo' 
                                    OR producao.Status = 'Cotao') ";
        } else {
            $Status_Lista1 = " and producao.Status = '" . $_GET["Status_Lista"] . "' ";
        }
    }
}
if ($_GET["Ordenar"]) {
    $Ordenar1 = " ORDER BY " . $_GET["Ordenar"] . " ";
} else {
    $Ordenar1 = " ORDER BY producao.Data_Cadastro ";
}
if ($_GET['Ordem_Lista'] == 'Asc') {
    $Ordem_Lista1 = ' ASC ';
} else {
    $Ordem_Lista1 = ' DESC ';
}
//se o sistema for Multi Empresa
if (MULTI_EMPRESA == "Sim") {

    //se o usuario no for master ele vai para sua empresa
    if (ESCOLHER_EMPRESA == 'Sim') {

        if ($_GET["Unidade"])
            $unidade = "AND producao.Id_Unidade = '" . $_GET["Unidade"] . "' ";
    } else {
        $unidade = "AND producao.Id_Unidade = '" . $_SESSION["Unidade"] . "' ";
    }
} else {
    $unidade = "AND producao.Id_Unidade = '" . $_SESSION["Unidade"] . "' ";
}

if ($_GET["De"])
    $data .= "AND producao.Data_Producao >= '" . data_banco($_GET["De"]) . "' ";
if ($_GET["Ate"])
    $data .= "AND producao.Data_Producao <= '" . data_banco($_GET["Ate"]) . "' ";

if ($_GET['Pesq']) {
    $pesquisa = " AND " . $_GET['Ordenar'] . " like '%" . $_GET['Pesq'] . "%' ";
}

/* Inicio dos parmetros da Paginao */

/* varivel com o cdigo SQL da consulta ao banco de dados */
$_pagi_sql = "SELECT producao.Id,
                        producao.Data_Producao,
                        producao.Status,
                        producao.Custo,
                        producao.Lancamento,
                        producao.Numero_Venda,
                        producao.Numero_Nota,
                        producao.Obs,
                        producao.Texto_Produto_Entrada,
                        producao.Bloqueada,
                        unidade.Titulo as Unidade,
                        usuario.Login as Responsavel
                        FROM producao
                        inner join (SELECT Id,Titulo FROM unidade) as unidade ON producao.Id_Unidade = unidade.Id
                        inner join (SELECT Id,Login FROM usuario) as usuario ON producao.Id_Usuario = usuario.Id
			where 1=1 $Status_Lista1 $data $unidade $pesquisa $Ordenar1 $Ordem_Lista1";

/* pagina fora que contem todas as opcoes do paginator */
include_once '../include/paginator_opcao.php';
include_once '../include/paginator.inc.php'; //incluindo o script de paginao PAGINATOR
/* Paginao na listagem dos clientes. Apenas nos arquivos listar.
 * Inclue-se depois que passa os parmetros da funo
 * seus resultados so aparentementes satisfatrio
 * */
?>
<html>

<head>
    <title>Gw - Gesto Web</title>
    <link rel="stylesheet" type="text/css" href="../estilo/<?php echo SKIN; ?>/listless.css" />
    <script type="text/javascript" language="javascript" src="../js/jquery.js"></script>
    <?php include '../include/script_cabeca.php'; ?>
    <script type="text/javascript" language="javascript" src="../js/script.js"></script>
    <script type="text/javascript" language="javascript" src="../js/meiomask/meiomask.js"></script>
    <script type="text/javascript" language="javascript">
        $(document).ready(function() {
            $('input[name="De"]').setMask('date'); // data
            $('input[name="Ate"]').setMask('date'); // data
        });
    </script>
    <script type="text/javascript" language="javascript">
        function submeteFiltro(valor) {
            document.forms['ordenar'].submit();
        }
    </script>
</head>

<body>
    <!-- Centro -->
    <div id="centro">
        <!-- Contedo -->
        <div id="conteudo" class="ajustar">

            <div class="titulo">
                <span>Produo de Produtos</span>
                <form name="pesquisa" method="get" action="">
                    <span class="inputs">
                        <?php echo $_pagi_info; ?>
                        <!--
                                <label for="Pesq">Busca:</label>
                                <input type="text" name="Pesq" size="30" value="<?php echo $_GET['Pesq']; ?>" >
                                <input name="Pesquisar" type="image" value="Pesquisar" src="../imagem/seta-dir.png" alt="Ir" title="Ir" >
                            -->
                    </span>
                </form>
            </div>
            <!-- Navegao -->
            <div class="botoes_cima">
                <a href="javascript:void(0);" class="voltar" alt="Voltar" title="Voltar" onclick="javascript:history.back(1);">Voltar</a>

                <?php if ($menu["Relatorio"] == "Sim") { ?>
                    <a href="list_relatorio.php" alt="Relatrio" title="Relatrio" class="relatorio tr" key="Relatorio">Relatrio</a>
                <?php } ?>

                <?php if ($menu["Cadastrar"] == "Sim") { ?>
                    <a href="cad_producao.php?acao=entrar" alt="Cadastrar" title="Cadastrar" class="incluir">Cadastrar</a>
                <?php } ?>

                <a href="javascript:void();" alt="Necessidade" title="Necessidade"
                    onclick="window.open('imp_necessidade.php', 'Necessidade', 'width=700,height=800,top=0,left=0,scrollbars=yes');">
                    Necessidade
                </a>

                <form name="ordenar" method="get" action="">

                    <span style="float: right;">
                        <span style="float: left">
                            &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
                            Buscar por :
                            &nbsp;&nbsp;
                            <?php
                            $vetor = array('Data_Producao' => 'Data');
                            select_tela("Data_Busca", "Data_Busca", $_GET["Data_Busca"], $vetor, "");
                            ?>
                            &nbsp;&nbsp;
                        </span>
                        <input type="text" name="De" id="De" value="<?php echo $_GET["De"]; ?>" style="width: 80px;">&nbsp;De
                        <input type="text" name="Ate" id="Ate" value="<?php echo $_GET["Ate"]; ?>" style="width: 80px;">&nbsp;At
                        <input type="submit" name="Ok" value="Ok" style="margin-left: 10px" alt="Ok" title="Ok">
                    </span>

                    <span class="ordenar_por">

                        <?php
                        if (MULTI_EMPRESA == "Sim") {
                            if (ESCOLHER_EMPRESA == 'Sim') {
                        ?>
                                <label for="Pesq">Empresa:</label>
                                <?php
                                echo select_banco(
                                    "SELECT Id,Titulo FROM unidade WHERE Ativo='Sim' ORDER BY Titulo",
                                    "Unidade",
                                    "Unidade",
                                    $_GET["Unidade"],
                                    "onchange='submeteFiltro(this.value)'",
                                    ""
                                );
                                ?>
                        <?php
                            } else {
                                echo "<input type='hidden' name='Unidade' id='Unidade' value='" . $_SESSION["Unidade"] . "' >";
                            }
                        } else {
                            echo "<input type='hidden' name='Unidade' id='Unidade' value='" . $_SESSION["Unidade"] . "' >";
                        }
                        ?>
                        <label for="Pesq">Busca:</label>
                        <input type="text" name="Pesq" size="30" value="<?php echo $_GET['Pesq']; ?>">
                        <label for="Pesq">Ordenar Por:</label>
                        <?php
                        $vetor = array(
                            '' => 'Status',
                            'Pr-Produo' => 'Pr-Produo',
                            'Ativao' => 'Ativao',
                            'Produo' => 'Produo',
                            'Anlise' => 'Anlise',
                            'Embalagem' => 'Embalagem',
                            'Finalizado' => 'Finalizado',
                            'Cancelado' => 'Cancelado'
                        );
                        select_tela("Status_Lista", "Status_Lista", $_GET["Status_Lista"], $vetor, "onchange='submeteFiltro(this.value)'");
                        ?>
                        <?php
                        $vetor = array(
                            'producao.Lancamento' => 'Lanamento',
                            'producao.Texto_Produto_Entrada' => 'Produto / Lote',
                            'producao.Data_Cadastro' => 'Data Cadastro'
                        );
                        select_tela("Ordenar", "Ordenar", $_GET["Ordenar"], $vetor, "onchange='submeteFiltro(this.value)'");
                        ?>
                        <?php
                        $vetor = array('Desc' => 'Decrescente', 'Asc' => 'Crescente');
                        select_tela("Ordem_Lista", "Ordem_Lista", $_GET["Ordem_Lista"], $vetor, "onchange='submeteFiltro(this.value)'");
                        ?>
                    </span>
                </form>
                <!-- Fim Navegao -->
            </div>

            <table id="lista">
                <thead>
                    <tr>
                        <td>Id</td>
                        <td>Data</td>
                        <td>Produto Produzindo</td>
                        <td>Qtd Prevista</td>
                        <td>Qtd Real</td>
                        <td>Lote</td>
                        <td>Status</td>
                        <td>Resp</td>
                        <?php if (($_SESSION["Id_Nivel"] == '1') && (MULTI_EMPRESA == "Sim")) { ?>
                            <td>Unidade</td>
                        <?php } ?>
                        <td>Opes</td>
                    </tr>
                </thead>
                <tfoot>
                    <tr>
                        <td colspan="9">
                            <div id="paginacao">
                                <p><?php echo $_pagi_navegacion; ?></p>
                            </div>
                        </td>
                    </tr>
                </tfoot>
                <tbody>
                    <?php
                    $color = "#F5F5F5";
                    while ($linha = mysqli_fetch_assoc($_pagi_result)) {
                        if ($color == "#F5F5F5") {
                            $color = "#E8E8E8";
                            $cass = "";
                        } else {
                            $color = "#F5F5F5";
                            $cass = "class='azul'";
                        }

                        $corStatus = "";
                        if ($linha['Status'] == 'Finalizado') {
                            $corStatus = "color = '#228B22' ";
                        }
                        if ($linha['Status'] == 'Aberto') {
                            $corStatus = "color = '#3A5FCD' ";
                        }
                        if ($linha['Status'] == 'Cancelado') {
                            $corStatus = "color = '#CD2626' ";
                        }

                        $frase = '';
                        $pedacos = '';
                        $partes = [];

                        $frase = $linha['Texto_Produto_Entrada'];
                        $pedacos = explode("-;", $frase);
                        $pedacos = array_filter($pedacos);

                        for ($i = 0; $i < count($pedacos); $i++) {
                            $partes[] = explode("-,", $pedacos[$i]);
                        }

                        $titulo = '';
                        $qtd_real = '';
                        $qtd_prev = '';
                        $lote = '';
                        for ($i = 0; $i < count($partes); $i++) {
                            $titulo .= $partes[$i][0] . "<br>";
                            $qtd_real .= $partes[$i][1] . "<br>";
                            $qtd_prev .= $partes[$i][2] . "<br>";
                            $lote .= $partes[$i][3] . "<br>";
                        }
                        $titulo = substr($titulo, 0, -4);
                    ?>
                        <tr <?php echo "$cass"; ?>>
                            <td><?php echo $linha['Lancamento']; ?></td>
                            <td><?php echo data_exibir($linha['Data_Producao']); ?></td>
                            <td><?php echo $titulo; ?></td>
                            <td><?php echo $qtd_prev; ?></td>
                            <td><?php echo $qtd_real; ?></td>
                            <td><?php echo $lote; ?></td>
                            <td>
                                <font <?php echo $corStatus ?>><b><?php echo $linha['Status']; ?></b></font>
                            </td>
                            <td><?php echo $linha['Responsavel']; ?></td>
                            <?php if (($_SESSION["Id_Nivel"] == '1') && (MULTI_EMPRESA == "Sim")) { ?>
                                <td><?php echo $linha['Unidade']; ?></td>
                            <?php } ?>
                            <td>
                                <?php
                                if ($linha['Bloqueada'] == 'Sim') {
                                    $figura03 = "../imagem/flag_negada.png";
                                    $status03 = "Pendente";
                                } else {
                                    $figura03 = "../imagem/flag_liberada.png";
                                    $status03 = "Liberado";
                                }

                                if ($linha['Bloqueada'] == 'Sim') {
                                    $Bloqueada = 'S';
                                }

                                if (LIBERAR_PRODUCAO == 'Sim') {
                                    $lib_venda = "window.open('libera_producao.php?id_producao=" . $linha['Id'] . "&tipo=" . $linha['Bloqueada'] . "','Anexos','width=700,height=600,top=0,left=0,scrollbars=yes')";
                                } else {
                                    $lib_venda = "javascript:void();";
                                }
                                ?>
                                <a href="javascript:void();"
                                    onclick="<?php echo $lib_venda; ?>">
                                    <img src="<?php echo $figura03; ?>" alt="<?php echo $status03; ?>" border="0" title="<?php echo $status03; ?>" width="18px" height="auto">
                                </a>
                                <a href='ver_producao.php?id_producao=<?php echo $linha['Id']; ?>'><img src="../imagem/bt_visualizar.png" alt="Visualizar" border="0" title="Visualizar"></a>
                                <a href="javascript:void();"
                                    onclick="window.open('imp_producao.php?id_producao=<?php echo $linha['Id']; ?>', 'Produo', 'width=700,height=800,top=0,left=0,scrollbars=yes')">
                                    <img border="0" src="../imagem/bt_pedido.png" title="Imprimir Produo" alt="Imprimir Produo" /></a>
                                <?php
                                if ($menu["Alterar"] == "Sim") {
                                    $link3 = "cad_producao.php?id_producao=" . $linha['Id'] . "&acao=alterar";
                                    $figura3 = "../imagem/bt_editar.png";
                                ?>
                                    <a href='<?php echo $link3; ?>'><img src="<?php echo $figura3; ?>" title="Alterar" alt="Alterar" border="0" /></a>
                                <?php } ?>

                                <?php
                                if ($menu["Deletar"] == "Sim") {
                                    $link4 = "deletar('" . $linha["Id"] . "', 'del_producao.php?id_producao=');";
                                    $figura4 = "../imagem/bt_excluir.png";
                                ?>
                                    <a href='javascript:void(0);'><img src="<?php echo $figura4; ?>" alt="Excluir" title="Excluir" border="0"
                                            onclick="<?php echo $link4; ?>" /></a>
                                <?php } ?>
                            </td>
                        </tr>
                    <?php } ?>
                </tbody>
            </table>
            <!-- Navegao Inferior -->
            <div class="botoes_baixo">
                <a href="javascript:void(0);" class="voltar" alt="Voltar" title="Voltar" onclick="javascript:history.back(1);">Voltar</a>

                <?php if ($menu["Cadastrar"] == "Sim") { ?>
                    <a href="cad_producao.php?acao=entrar" alt="Cadastrar" title="Cadastrar" class="incluir">Cadastrar</a>
                <?php } ?>
                <!-- Fim Navegao Inferior -->
            </div>

        </div>
        <!-- Fim do Contedo -->
    </div>
    <!-- Fim de Centro -->

</body>

</html>