<?php
include_once "../include/conecta.php"; //Conecta com a nosso banco de dados MySQL
ini_set('session.gc_maxlifetime', 60 * 120);
session_start();
/* include_once "../include/ver_sessao.php"; //Verifica se a sesso est ativa */
include_once "../include/funcoesPhp.php"; //Inclue a pgina con todas as funes a ser usada.
?>
<?php
$producao = listar("Select producao2.Id,
                            producao2.Lancamento,
                            producao2.Status,
                            producao2.Data_Producao,
                            DATE_FORMAT(producao2.Data_Cadastro, '%H:%i:%s') as 'Hora_Inicio',
                            DATE_FORMAT(producao2.Data_Cadastro_Upd, '%H:%i:%s') as 'Hora_Fim',
                            producao2.Data_Cadastro as Data_Inicio,
                            producao2.Data_Cadastro_Upd as Data_Fim,
                            producao2.Custo,
                            producao2.Obs,
                            producao2.Id_Unidade
                            from producao2
                            where producao2.Id = '".$_GET["id_producao"]."'
                            order by producao2.Lancamento DESC");

$_GET["Unidade"] = $producao[0]["Id_Unidade"];
?>
<html>
    <head>
        <title>Gw - Gesto Web</title>
        <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1" />
        <link rel="shortcut icon" href="../imagem/favi_gw.ico" type="image/x-icon" />
        <link rel="stylesheet" type="text/css" href="../estilo/<?php echo SKIN; ?>/tabela_imp.css" />
        <script type="text/javascript" language="javascript" src="../js/jquery.js"></script>
        <?php include '../include/script_cabeca.php'; ?>
        <script type="text/javascript" language="javascript" src="../js/script.js"></script>
        <script type="text/javascript" language="javascript" src="../js/meiomask/meiomask.js"></script>
        <script type="text/javascript" language="javascript" src="../js/meiomask/<?php
        if (PAIS == "USA") {
            echo "mascaras-usa";
        } else {
            echo "mascaras";
        }
        ?>.js"></script>
    </head>
    <body>

        <table width="98%" align="center"><!-- TABELA Q ENVOLVE TODO O CONTEUDO -->
            <tr>
                <td>
                    <?php include "../include/cabecalho_relatorio.php"; ?>
                </td>
            </tr>
            <tr>
                <td>
                    <table width="100%" align="center">
                        <tr>
                            <td colspan="2" align="center">
                                <font face="verdana" size="3">
                                <b><i>Mapa de Resultados - <?php echo $producao[0]["Lancamento"]; ?></i></b>
                                </font>
                            </td>
                        </tr>
                    </table>
                </td>
            </tr>
            <tr>
                <td>
                    <table width="100%" align="center" class="tabela" style="font-size: 12px">
                        <tr>
                            <td width="50%">Incio: <?php echo data_exibir($producao[0]["Data_Inicio"])." ".$producao[0]["Hora_Inicio"]; ?></td>
                            <td width="50%">Fim: <?php echo data_exibir($producao[0]["Data_Fim"])." ".$producao[0]["Hora_Fim"]; ?></td>
                        </tr>
                        <tr>
                            <td width="50%">Data: <?php echo data_exibir($producao[0]["Data_Producao"]); ?></td>
                            <td width="50%">Doc: <?php echo $producao[0]["Lancamento"]; ?></td>
                        </tr>
                        <tr>
                            <td colspan="2">Obs: <?php echo $producao[0]["Obs"]; ?></td>
                        </tr>
                    </table>
                </td>
            </tr>
            <tr>
                <td>
                    <table width="100%" align="center" class="tabela" style="font-size: 12px">
                        <tr>
                            <td colspan="9"><i>Matrias Primas (Saindo)</i></td>
                        </tr>
                        <tr class="azul-claro">
                            <td width="3%">N</td>
                            <td width="10%">Cdigo</td>
                            <td width="22%">Produto</td>
                            <td width="5%">Un</td>
                            <td width="5%">Qtd</td>
                            <td width="7%">% Comp</td>
                            <td width="7%">Custo</td>
                            <td width="8%">Lote</td>
                            <td width="8%">Total</td>
                        </tr>
                        <?php
                        $producao_pro = mysqli_query($con,"Select producao_produto2.Id,
 					producao_produto2.Qtd,
                                        producao_produto2.Medida,
                                        producao_produto2.Custo,
                                        producao_produto2.Lote,
                                        producao_produto2.Data_Validade,
                                        producao_produto2.Composto,
 					produto.Titulo as 'Produto',
 					produto.Codigo
 					from producao_produto2
 					INNER join (SELECT Id,Titulo,Codigo,Id_Categoria_Produto FROM produto) as produto ON produto.Id = producao_produto2.Id_Produto
 					where producao_produto2.Id_Producao = '".$_GET["id_producao"]."'
                                        AND producao_produto2.Tipo = 'Saida' ");
                        
$sql_entrada = mysqli_query($con,"SELECT SUM(producao_produto2.Qtd2) as Qtd_Total
                                FROM producao_produto2
                                WHERE producao_produto2.Id_Producao='".$_GET["id_producao"]."'
                                AND producao_produto2.Tipo = 'Entrada' ");
$reg = mysqli_fetch_assoc($sql_entrada);

                        $x = 1;
                        while ($chave = mysqli_fetch_assoc($producao_pro)) {
                        if($chave['Composto']=='Sim'){
                            $perc_comp = ($chave['Qtd']/$reg['Qtd_Total']*100);
                            $perc_compT+=$perc_comp;
                        }else{
                            $perc_compT+=$perc_comp='0';
                        }
                            ?>

                            <tr>
                                <td><?php echo $x; ?></td>
                                <td><?php echo $chave["Codigo"]; ?></td>
                                <td><?php echo $chave["Produto"]; ?></td>
                                <td><?php echo $chave["Medida"]; ?></td>
                                <td><?php echo $chave["Qtd"]; ?></td>
                                <td><?php echo valor_exibir($perc_comp);?></td>
                                <td><?php echo number_format($chave["Custo"], 4, ',', '.'); ?></td>
                                <td><?php echo $chave["Lote"]; ?></td>
                                <td>
                                    <?php echo number_format($chave['Qtd'] * $chave['Custo'], 4, ',', '.'); ?></td>
                                </td>
                            </tr>
                            <?php
                            $Qtd_Venda+= $chave["Qtd"];
                            $Total += ($chave["Custo"] * $chave["Qtd"]);
                            $x++;
                        }
                        ?>
                        
                        <tr>
                            <td colspan="1"></td>
                            <td colspan="3">Totais:</td>
                            <td><?php echo $Qtd_Venda;?></td>
                            <td><?php echo valor_exibir($perc_compT);?></td>
                            <td></td>
                            <td></td>
                            <td><?php echo number_format(( ( $Total - ( $Total * ($producao[0]["Desconto"] / 100) ) ) - $producao[0]["Desconto_Real"]), 4, ',', '.'); ?></td>
                        </tr>
                    </table>
                </td>
            </tr>
            <tr>
                <td>
                    <table width="100%" align="center" class="tabela" style="font-size: 12px">
                        <tr>
                            <td colspan="10"><i>Produzidos (Entrando)</i></td>
                        </tr>
                        <tr class="azul-claro">
                            <td>Cod</td>
                            <td>Produto</td>
                            <td>Un</td>
                            <td>Qtd Prev</td>
                            <td>Qtd Real</td>
                            <td>Custo</td>
                            <td>Preo</td>
                            <td>Lote</td>
                            <td>Total Preo</td>
                            <td>Perca</td>
                        </tr>
                        <?php
                        $producao_produ = mysqli_query($con,"Select producao_produto2.Id,
 					producao_produto2.Qtd,
                                        producao_produto2.Qtd2,
                                        producao_produto2.Medida,
                                        producao_produto2.Custo,
                                        producao_produto2.Lote,
                                        producao_produto2.Data_Validade,
 					produto.Titulo as 'Produto',
 					produto.Codigo,
                                        produto.Preco1
 					from producao_produto2
 					INNER join (SELECT Id,Titulo,Codigo,Preco1 FROM produto) as produto ON produto.Id = producao_produto2.Id_Produto
 					where producao_produto2.Id_Producao = '".$_GET["id_producao"]."'
                                        AND producao_produto2.Tipo = 'Entrada' ");

                        $x = 1;
                        while ($chave1 = mysqli_fetch_assoc($producao_produ)) {
                            
                            $perc_kgT = $chave1["Qtd"]-$chave1["Qtd2"];
                            $perc_kgT = ($perc_kgT/$chave1["Qtd"])*100;
                            ?>
                            <tr>
                                <td><?php echo $chave1["Codigo"]; ?></td>
                                <td><?php echo $chave1["Produto"]; ?></td>
                                <td><?php echo $chave1["Medida"]; ?></td>
                                <td><?php echo $chave1["Qtd2"]; ?></td>
                                <td><?php echo $chave1["Qtd"]; ?></td>
                                <td><?php echo number_format($chave1["Custo"],4,',','.'); ?></td>
                                <td><?php echo number_format($chave1["Preco1"],4,',','.'); ?></td>
                                <td><?php echo $chave1["Lote"]; ?></td>
                                <td><?php echo number_format($chave1["Qtd"] * $chave1["Preco1"],4,',','.'); ?></td>
                                <td><?php echo number_format($perc_kgT ,2,',','.'); ?> %</td>
                            </tr>
                            <?php
                            $Qtd_Venda1 += $chave1["Qtd"];
                            $Total1 += ($chave1["Custo"] * $chave1["Qtd"]);
                            $x++;
                        }
                        ?>
                        <tr>
                            <td colspan="1"></td>
                            <td colspan="3">Totais:</td>
                            <td><?php echo $Qtd_Venda1;?></td>
                            <td></td>
                            <td></td>
                            <td></td>
                            <td><?php echo number_format(( ( $Total1 - ( $Total1 * ($producao[0]["Desconto"] / 100) ) ) - $producao[0]["Desconto_Real"]), 4, ',', '.'); ?></td>
                            <td></td>
                        </tr>    
                        
                    </table>
                </td>
            </tr>
        </table>
    </body>
</html>
<?php include "../include/rodape.php"; ?>