<?php
include_once '../include/conecta.php'; //Conecta com a nosso banco de dados MySQL
include_once '../include/ver_sessao.php'; //Verifica se a sesso est ativa
include_once '../include/funcoesPhp.php';
include_once '../menu_movimento.php';

if ($_SERVER['REQUEST_METHOD'] == "POST") {

    $_POST['Qtd'] = valor_banco($_POST['Qtd']);
    $_POST['Qtd2'] = valor_banco($_POST['Qtd2']);
    $_POST['Percentual_Composto'] = valor_banco($_POST['Percentual_Composto']);

    mysqli_query($con, "UPDATE producao_produto SET
                        Qtd = '" . $_POST["Qtd"] . "',
                        Qtd2 = '" . $_POST["Qtd2"] . "',
                        Percentual_Composto = '" . $_POST["Percentual_Composto"] . "',
                        Lote = '" . trim($_POST["Lote_Formula_Saida"]) . "',
                        Id_Local_Estoque = '" . $_POST["Local_Estoque_Saida"] . "',
                        Data_Validade = '" . data_banco($_POST["Data_Validade"]) . "',
                        Data_Fabricacao = '" . data_banco($_POST["Data_Fabricacao"]) . "'
                        WHERE Id='" . $_POST["Id_Linha"] . "' ")
        or die("Erro no comando SQL:" . mysqli_error($con));

    echo "<script>window.opener.MontarTabelaSaida(); window.close();</script>";
}
?>
<html>

<head>
    <?php include 'cabecalho.php'; ?>
</head>

<body>
    <?php
    $item = mysqli_query($con, "SELECT producao_produto.Id,
                                producao_produto.Qtd,
                                producao_produto.Qtd2,
                                producao_produto.Lote,
                                producao_produto.Data_Validade,
                                producao_produto.Data_Fabricacao,
                                producao_produto.Id_Local_Estoque,
                                producao_produto.Id_Unidade,
                                producao_produto.Percentual_Composto,
                                produto.Titulo as Produto,
                                produto.Id as Id_Produto,
                                produto.Codigo,
                                produto.Qtd_Caixa,
                                producao.Status as Status
                                from producao_produto
                                LEFT JOIN (SELECT Id,Titulo,Codigo,Qtd_Caixa FROM produto) as produto ON produto.Id = producao_produto.Id_Produto
                                LEFT JOIN (SELECT Id,Status FROM producao) as producao ON producao.Id = producao_produto.Id_Producao
                                where producao_produto.Id = '" . $_GET["id_linha"] . "' ");
    $item_linha = mysqli_fetch_assoc($item);

    $item_linha["Vol"] = $item_linha["Qtd"] / $item_linha["Qtd_Caixa"];

    if ($item_linha['Id_Local_Estoque'] == '0') {
        $item_linha['Id_Local_Estoque'] = '1';
    }
    ?>
    <form action="" method="post" name="historico">

        <fieldset class="envolve">
            <legend>Alterar Produto</legend>

            <input type="hidden" name="Id_Linha" id="Id_Linha" value="<?php echo $_GET["id_linha"] ?>">
            <?php if ($_SESSION["Id_Nivel"] == '1') { ?>
                <input type="hidden" name="Produto_Novo" id="Produto_Novo" value="<?php echo $item_linha["Codigo"] . " : " . $item_linha["Produto"] ?>">
            <?php } else { ?>
                <input type="hidden" name="Produto_Novo" id="Produto_Novo" value="<?php echo $item_linha["Codigo"] ?>">
            <?php } ?>

            <input type="hidden" name="Produto_Formula_Saida" id="Produto_Formula_Saida" value="<?php echo $item_linha["Codigo"] . " : " . $item_linha["Produto"] ?>">
            <input type="hidden" name="Unidade" id="Unidade" value="<?php echo $item_linha["Id_Unidade"] ?>">

            <div class="linhas_historico"> Produto : <?php echo $item_linha["Produto"] ?></div>
            <br />
            <fieldset class="grupo">
                <div class="campo">
                    <label for="Vol">Volume</label>
                    <input type="text" name="Vol" id="Vol" value="<?php echo valor_exibir_producao($item_linha["Vol"]); ?>" class="money" onblur="fazerValor(this.value,'Vol');fazerVolume(this.value);">
                </div>
                <div class="campo">
                    <label for="Qtd2">Qtd Prev</label>
                    <input type="text" name="Qtd2" id="Qtd2" value="<?php echo valor_exibir_producao($item_linha["Qtd2"]); ?>" class="money" onblur="fazerValor(this.value,'Qtd2');fazerQtd(this.value);">
                </div>
                <div class="campo">
                    <label for="Qtd">Qtd Real</label>
                    <input type="text" name="Qtd" id="Qtd" value="<?php echo valor_exibir_producao($item_linha["Qtd"]); ?>" class="money" onblur="fazerValor(this.value,'Qtd');fazerQtd(this.value);">
                </div>
                <div class="campo">
                    <label for="Percentual_Composto">% Comp</label>
                    <input type="text" name="Percentual_Composto" id="Percentual_Composto" value="<?php echo valor_exibir_producao($item_linha["Percentual_Composto"]); ?>" class="money" onblur="fazerValor(this.value,'Percentual_Composto');">
                </div>
            </fieldset>

            <fieldset class="grupo">
                <div class="campo">
                    <label for="Lote">Lote</label>
                    <div id="divLote">
                        <?php
                        echo select_banco(
                            "SELECT estoque.Lote as Id,
                            CONCAT(estoque.Lote,' - ',DATE_FORMAT(estoque.Data_Validade, '%d/%m/%Y'),' - ',
                            REPLACE(REPLACE(REPLACE(FORMAT( SUM(estoque.Qtd) , 2), '.', '@'), ',', '.'), '@', ',')
                            ) as Titulo,
                                SUM(estoque.Qtd) as Estoque_Atual
                                FROM (SELECT Id,
                                            Titulo
                                      FROM produto
                                      WHERE produto.Tipo_Produto = 'P'
                                      AND Id = '" . $item_linha["Id_Produto"] . "' )
                                as produto
                                LEFT JOIN
                                (SELECT Id_Produto,Qtd,Concluido,Id_Unidade,Id_Local_Estoque,Lote,Data_Validade,Data_Fabricacao
                                FROM estoque WHERE estoque.Concluido = 'Sim'
                                AND Id_Unidade = '" . $item_linha['Id_Unidade'] . "'
                                AND Id_Local_Estoque = '" . $item_linha['Id_Local_Estoque'] . "') as estoque
                                ON produto.Id = estoque.Id_Produto
                                where 1=1
                                GROUP BY estoque.Lote,produto.Id " . LOTE_TIPO . "
                                HAVING Estoque_Atual > '0.001'
                                order by estoque.Data_Validade",
                            "Lote_Formula_Saida",
                            "Lote_Formula_Saida",
                            $item_linha["Lote"],
                            'onchange="BuscaValidade(this.value, 0);"',
                            ""
                        );
                        ?>
                    </div>
                </div>
            </fieldset>

            <fieldset class="grupo">
                <div id="divValidade">
                    <div class="campo">
                        <label for="Data_Validade" key="Data_Validade" class="tr">Data Validade</label>
                        <input type="text" readonly="readonly" name="Data_Validade" id="Data_Validade" value="<?php echo data_exibir($item_linha["Data_Validade"]); ?>">
                    </div>
                    <div class="campo">
                        <label for="Data_Fabricacao" key="Data_Fabricacao" class="tr">Data Fabricao</label>
                        <input type="text" readonly="readonly" name="Data_Fabricacao" id="Data_Fabricacao" value="<?php echo data_exibir($item_linha["Data_Fabricacao"]); ?>">
                    </div>
                </div>
                <div class="campo">
                    <label for="Local_Estoque_Saida">Local Estoque</label>
                    <?php echo select_banco(
                        'Select Id, Titulo from local_estoque order by Titulo',
                        "Local_Estoque_Saida",
                        "Local_Estoque_Saida",
                        $item_linha["Id_Local_Estoque"],
                        'onchange="BuscaLoteLocal();"',
                        ""
                    );
                    ?>
                </div>
            </fieldset>

            <fieldset class="grupo">
                <button class="bt_cadastro" type="submit" name="Cadastrar" value="Salvar">Salvar</button>
                <button class="botao" type="button" value="Cancelar" name="Cancelar" onclick="window.close();">Cancelar</button>
            </fieldset>

        </fieldset>

    </form>

    <script type="text/javascript" language="javascript">
        document.getElementById('Qtd').focus();
    </script>

</body>

</html>