<?php
include_once "../include/conecta.php"; //Conecta com a nosso banco de dados MySQL
ini_set('session.gc_maxlifetime', 60 * 120);
session_start();
/* include_once "../include/ver_sessao.php"; //Verifica se a sesso est ativa */
include_once "../include/funcoesPhp.php"; //Inclue a pgina con todas as funes a ser usada.
?>
<html>

<head>
    <title>Gw - Gesto Web</title>
    <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1" />
    <link rel="shortcut icon" href="../imagem/favi_gw.ico" type="image/x-icon" />
    <link rel="stylesheet" type="text/css" href="../estilo/<?php echo SKIN; ?>/tabela_imp.css" />
    <script type="text/javascript" language="javascript" src="../js/jquery.js"></script>
    <?php include '../include/script_cabeca.php'; ?>
    <script type="text/javascript" language="javascript" src="../js/script.js"></script>
    <script type="text/javascript" language="javascript" src="../js/meiomask/meiomask.js"></script>
    <script type="text/javascript" language="javascript" src="../js/meiomask/<?php if (PAIS == "USA") {
                                                                                    echo "mascaras-usa";
                                                                                } else {
                                                                                    echo "mascaras";
                                                                                } ?>.js"></script>
</head>

<body>

    <table width="98%" align="center">
        <!-- TABELA Q ENVOLVE TODO O CONTEUDO -->
        <tr>
            <td>
                <?php include "../include/cabecalho_relatorio.php"; ?>
                
                &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;

                <form name="ordenar" method="get" action="">
                <fieldset class="grupo">
                    <?php
                    //se o sistema for Multi Empresa
                    if(MULTI_EMPRESA=="Sim"){

                        //se o usuario master ele escolhe pra quem vai
                        if(ESCOLHER_EMPRESA=='Sim'){
                    ?>
                    <div class="campo">
                        <label for="Unidade" key="Unidade" class="tr">* Empresa</label>
                        <?php echo select_banco("SELECT Id,Titulo FROM unidade WHERE Ativo='Sim' ORDER BY Titulo",
                                                "Unidade","Unidade",$_GET["Unidade"],"style='width:250px' onchange='submeteFiltro(this.value)' ","");
                        ?>
                    </div>
                    <?php
                        //se no for, a unidade sempre ser a sua
                        }else{
                            echo "<input type='hidden' name='Unidade' id='Unidade' value='".$_SESSION["Unidade"]."' >";
                        }
                    
                    }else{
                        echo "<input type='hidden' name='Unidade' id='Unidade' value='".$_SESSION["Unidade"]."' >";
                    }
                    ?>
                </fieldset>
                </form>
            </td>
        </tr>
        <tr>
            <td>
                <table width="100%" align="center">
                    <tr>
                        <td colspan="2" align="center">
                            <font face="verdana" size="3">
                                <b><i>Necessidade de Produo</i></b>
                            </font>
                        </td>
                    </tr>
                </table>
            </td>
        </tr>
        <tr>
            <td>
                <table width="100%" align="center" class="tabela" style="font-size: 12px">
                    <tr class="azul-claro">
                        <td width="10%">Referncia</td>
                        <td width="10%">Cdigo</td>
                        <td width="22%">Produto</td>
                        <td width="5%">Qtd</td>
                        <td width="10%">Reservado</td>
                        <td width="10%">Estoque</td>
                        <td width="10%">Pedidos</td>
                        <td width="10%">Saldo</td>
                    </tr>
                    <?php

                    $produtos = mysqli_query($con, "Select venda_produto.Id,
 					                    venda_produto.Qtd,
                                        venda_produto.Medida,
                                        venda_produto.Id_Produto,
                                        venda.Id_Unidade,
                                        produto.Titulo as 'Produto',
                                        produto.Codigo,
                                        venda.Lancamento,
                                        venda.Id_Unidade
 					                    from venda_produto
                                        inner join (SELECT Id,Lancamento,Id_Unidade FROM venda WHERE Status='Aberto' ) as venda ON venda.Id = venda_produto.Id_Venda
                                        left join (SELECT Id,Titulo,Codigo FROM produto) as produto ON produto.Id = venda_produto.Id_Produto
                                        WHERE 1=1 
                                        AND venda.Id_Unidade = '" . $_GET["id_unidade"] . "'
                                        ORDER BY produto.Titulo,venda.Id_Unidade ");

                    while ($chave = mysqli_fetch_assoc($produtos)) {

                        $estoque = mysqli_query($con, "SELECT estoque.Lote,
                                        estoque.Data_Validade,
                                        estoque.Data_Fabricacao,
                                        SUM(estoque.Qtd) as Estoque_Atual,
                                        SUM(estoque.Reservado) as Reservado,
                                        SUM(estoque.Pedido) as Pedido
                                        FROM estoque 
                                        WHERE estoque.Concluido = 'Sim' 
                                        AND Id_Produto = '" . $chave["Id_Produto"] . "'
                                        AND Id_Unidade = '" . $_GET["id_unidade"] . "'
                                        GROUP BY estoque.Lote,Id_Produto ".LOTE_TIPO."  $zerado ");
                        $estoque = mysqli_fetch_assoc($estoque);

                    ?>
                    <tr>
                        <td><?php echo $chave["Lancamento"]; ?></td>
                        <td><?php echo $chave["Codigo"]; ?></td>
                        <td><?php echo $chave["Produto"]; ?></td>
                        <td><?php echo $chave["Qtd"]; ?></td>
                        <td><?php echo $estoque["Reservado"]; ?></td>
                        <td><?php echo $estoque['Estoque_Atual']; ?></td>
                        <td><?php echo $estoque["Pedido"]; ?></td>
                        <td><?php echo $estoque['Estoque_Atual'] - $estoque["Reservado"]; ?></td>
                    </tr>
                    <?php
                    }
                    ?>
                </table>
            </td>
        </tr>
        <tr>
            <td>
                <table width="100%" align="center" class="tabela" style="font-size: 12px">
                    <tr class="azul-claro">
                        <td width="10%">Cdigo</td>
                        <td width="22%">Produto</td>
                        <td width="5%">Qtd</td>
                        <td width="10%">Reservado</td>
                        <td width="10%">Estoque</td>
                        <td width="10%">Pedidos</td>
                        <td width="10%">Saldo</td>
                    </tr>
                    <?php

                    $produtos = mysqli_query($con, "Select venda_produto.Id,
                                            SUM(venda_produto.Qtd) as Qtd,
                                            venda_produto.Medida,
                                            venda_produto.Id_Produto,
                                            venda.Id_Unidade,
                                            produto.Titulo as 'Produto',
                                            produto.Codigo,
                                            venda.Id_Unidade
                                            from venda_produto
                                            INNER JOIN (SELECT Id,Id_Unidade FROM venda WHERE Status='Aberto') as venda ON venda.Id = venda_produto.Id_Venda
                                            LEFT JOIN (SELECT Id,Titulo,Codigo FROM produto) as produto ON produto.Id = venda_produto.Id_Produto
                                            WHERE 1=1 
                                            AND Id_Unidade = '" . $_GET["id_unidade"] . "'
                                            GROUP BY venda_produto.Id_Produto
                                            ORDER BY produto.Codigo");

                    $x = 1;
                    while ($chave1 = mysqli_fetch_assoc($produtos)) {

                        $estoque = mysqli_query($con, "SELECT estoque.Lote,
                                        estoque.Data_Validade,
                                        estoque.Data_Fabricacao,
                                        SUM(estoque.Qtd) as Estoque_Atual,
                                        SUM(estoque.Reservado) as Reservado,
                                        SUM(estoque.Pedido) as Pedido
                                        FROM estoque 
                                        WHERE estoque.Concluido = 'Sim' 
                                        AND Id_Unidade = '" . $_GET["id_unidade"] . "'
                                        AND Id_Produto = '" . $chave1["Id_Produto"] . "'
                                        GROUP BY estoque.Lote,Id_Produto ".LOTE_TIPO."  $zerado ");
                        $estoque = mysqli_fetch_assoc($estoque);

                    ?>
                    <tr>
                        <td><?php echo $chave1["Codigo"]; ?></td>
                        <td><?php echo $chave1["Produto"]; ?></td>
                        <td><?php echo $chave1["Qtd"]; ?></td>
                        <td><?php echo $estoque["Reservado"]; ?></td>
                        <td><?php echo $estoque['Estoque_Atual']; ?></td>
                        <td><?php echo $estoque["Pedido"]; ?></td>
                        <td><?php echo $estoque['Estoque_Atual'] - $estoque["Reservado"]; ?></td>
                    </tr>
                    <?php
                        $x++;
                    }
                    ?>
                </table>
            </td>
        </tr>
    </table>
</body>

</html>
<?php include "../include/rodape.php"; ?>