<?php
include_once "../include/conecta.php"; //Conecta com a nosso banco de dados MySQL
ini_set('session.gc_maxlifetime', 60 * 120);
session_start();
/* include_once "../include/ver_sessao.php"; //Verifica se a sesso est ativa */
include_once "../include/funcoesPhp.php"; //Inclue a pgina con todas as funes a ser usada.
?>
<?php
$producao = listar("SELECT producao.Id,
                        producao.Lancamento,
                        producao.Status,
                        producao.Data_Producao,
                        DATE_FORMAT(producao.Data_Cadastro, '%H:%i:%s') as 'Hora_Inicio',
                        DATE_FORMAT(producao.Data_Cadastro_Upd, '%H:%i:%s') as 'Hora_Fim',
                        producao.Data_Cadastro as Data_Inicio,
                        producao.Data_Cadastro_Upd as Data_Fim,
                        producao.Custo,
                        producao.Obs,
                        producao.Id_Unidade,
                        producao.Qtd_Prevista_Revisao,
                        producao.Qtd_Total_Revisao_Final,
                        producao.Qtd_Total_Revisao_Perda,
                        aprovado.Titulo as Funcionario_Aprovacao,
                        revisado.Titulo as Funcionario_Revisao
                        from producao
                        LEFT JOIN (SELECT Id,Titulo FROM funcionario) as aprovado ON aprovado.Id = producao.Funcionario_Aprovacao
                        LEFT JOIN (SELECT Id,Titulo FROM funcionario) as revisado ON revisado.Id = producao.Funcionario_Revisao
                        where producao.Id = '" . $_GET["id_producao"] . "'
                        order by producao.Lancamento DESC");

$_GET["Unidade"] = $producao[0]["Id_Unidade"];
?>
<html>

<head>
    <title>Gw - Gesto Web</title>
    <?php include 'cabecalho.php'; ?>
    <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1" />
    <link rel="shortcut icon" href="../imagem/favi_gw.ico" type="image/x-icon" />
    <link rel="stylesheet" type="text/css" href="../estilo/<?php echo SKIN; ?>/tabela_imp.css" />
    <script type="text/javascript" language="javascript" src="../js/jquery.js"></script>
    <?php include '../include/script_cabeca.php'; ?>
    <script type="text/javascript" language="javascript" src="../js/script.js"></script>
    <script type="text/javascript" language="javascript" src="../js/meiomask/meiomask.js"></script>
    <script type="text/javascript" language="javascript" src="../js/meiomask/<?php
                                                                                if (PAIS == "USA") {
                                                                                    echo "mascaras-usa";
                                                                                } else {
                                                                                    echo "mascaras";
                                                                                }
                                                                                ?>.js"></script>
</head>

<body>
    <?php
    $producao_produ = mysqli_query($con, "SELECT produto.Titulo,
                    produto.Codigo,
                    produto.Preco1,
                    produto.Foto,
                    producao_produto.Lote,
                    producao_produto.Qtd
                    from producao_produto
                    INNER join (SELECT Id,Titulo,Codigo,Preco1,Foto FROM produto) as produto ON produto.Id = producao_produto.Id_Produto
                    where producao_produto.Id_Producao = '" . $_GET["id_producao"] . "'
                    AND producao_produto.Tipo = 'Entrada' ");
    $chave = mysqli_fetch_assoc($producao_produ);

    $qtdProduzida = $chave["Qtd"];
    ?>
    <table width="98%" align="center">
        <!-- TABELA Q ENVOLVE TODO O CONTEUDO -->
        <tr>
            <table width="100%" align="center">
                <tr>
                    <td width="55%" style="border: 1px solid #000;">
                        <table width="90%" align="center">
                            <?php

                            if (!$_GET["Unidade"]) {
                                $_GET["Unidade"] = $_SESSION["Unidade"];
                            }
                            $empresa = listar("SELECT Logo,Titulo,Cnpj,Rua,Numero,Complemento,
                                Bairro,Cidade,Estado,Cep,Fone1,Fone2,Email,Site
                                from unidade where Id = '" . $_GET["Unidade"] . "' ");
                            ?>
                            <tr>
                                <td width="40%">
                                    <?php
                                    if (file_exists("../unidade/foto/" . $empresa[0]["Logo"] . "")) {
                                        $cam_arq = "../unidade/foto/" . $empresa[0]["Logo"];
                                    } else {
                                        $cam_arq = "../../unidade/foto/" . $empresa[0]["Logo"];
                                    }
                                    ?>
                                    <img src="<?php echo $cam_arq; ?>" title="Logo" alt="Logo" border="0" width="180px" height="auto" />
                                </td>
                                <td width="60%" class="razao">

                                    <?php
                                    if ($empresa[0]["Site"]) {
                                        echo 'Site: ' . $empresa[0]["Site"];
                                    }
                                    ?>
                                    <br>
                                    <font face="verdana" size="3">
                                        <b><i>Ordem de Produo - <?php echo $chave["Lote"]; ?></i></b>
                                    </font>
                                </td>
                            </tr>
                        </table>
                    </td>
                </tr>
            </table>
        </tr>
        <tr>
            <td>
                <table width="100%" align="center" class="tabela" style="font-size: 12px">
                    <tr class="azul-claro">
                        <td>Cdigo</td>
                        <td>Produto</td>
                        <td>Lote</td>
                    </tr>
                    <?php
                    $producao_produ = mysqli_query($con, "SELECT producao_produto.Id,
                                                                producao_produto.Lote,
                                                                produto.Titulo as 'Produto',
                                                                produto.Codigo,
                                                                produto.Etpf,
                                                                produto.Et_Molhagem
                                                                from producao_produto
                                                                INNER join (SELECT Id,Titulo,Codigo,Etpf,Et_Molhagem FROM produto) as produto ON produto.Id = producao_produto.Id_Produto
                                                                where producao_produto.Id_Producao = '" . $_GET["id_producao"] . "'
                                                                AND producao_produto.Tipo = 'Entrada' ");

                    $x = 1;
                    while ($chave1 = mysqli_fetch_assoc($producao_produ)) {

                        $perc_kgT = $chave1["Qtd"] - $chave1["Qtd2"];
                        $perc_kgT = ($perc_kgT / $chave1["Qtd"]) * 100;
                    ?>
                        <tr>
                            <td><?php echo $chave1["Codigo"]; ?></td>
                            <td><?php echo $chave1["Produto"]; ?></td>
                            <td><?php echo $chave1["Lote"]; ?></td>
                        </tr>

                </table>
            </td>
        </tr>
        <tr>
            <td>
                <table width="100%" align="center" class="tabela" style="font-size: 12px">
                    <tr>
                        <td width="33%">Meta:
                            <?php echo '' ?>
                        </td>
                        <td width="33%">Tempo Moagem:
                            <?php echo '' ?>
                        </td>
                        <td width="33%">Peso Final:
                            <?php echo '' ?>
                        </td>
                    </tr>
                </table>
                <table width="100%" align="center" class="tabela" style="font-size: 12px">
                    <tr>
                        <td width="50%">E.T.P.F:
                            <?php echo $chave1["Etpf"]; ?>
                        </td>
                        <td width="50%">ET Molhagem:
                            <?php echo $chave1["Et_Molhagem"]; ?>
                        </td>
                    </tr>
                </table>
            </td>
        </tr>
    <?php
                        $Qtd_Venda1 += $chave1["Qtd"];
                        $Total1 += ($chave1["Custo"] * $chave1["Qtd"]);
                        $x++;
                    }
    ?>

    <tr>
        <td>
            <table width="100%" align="center" class="tabela" style="font-size: 12px">
                <tr>
                    <td width="33%">Incio:
                        <?php echo data_exibir($producao[0]["Data_Inicio"]) . " " . $producao[0]["Hora_Inicio"]; ?>
                    </td>
                    <td width="33%">Fim:
                        <?php echo data_exibir($producao[0]["Data_Fim"]) . " " . $producao[0]["Hora_Fim"]; ?></td>
                    <td width="33%">Data: <?php echo data_exibir($producao[0]["Data_Producao"]); ?></td>
                </tr>
            </table>
        </td>
    </tr>
    <tr>
        <td>
            <table width="100%" align="center" class="tabela" style="font-size: 12px">
                <tr>
                    <td colspan="9"><i>Matrias Primas</i></td>
                </tr>
                <tr class="azul-claro">
                    <td width="5%">Qtd/KG</td>
                    <td width="10%">Cdigo</td>
                    <td width="8%">Lote</td>
                    <td width="2%">Mquina</td>
                    <td width="2%">Tempo</td>
                    <td width="15%">Obs</td>
                    <td width="2%">Lab</td>
                </tr>
                <?php
                //inicio producao nivel 1
                $producao_pro = mysqli_query($con, "SELECT producao_produto.Id,
                                                            producao_produto.Qtd,
                                                            producao_produto.Medida,
                                                            producao_produto.Custo,
                                                            producao_produto.Ordem,
                                                            producao_produto.Lote,
                                                            producao_produto.Lote2,
                                                            producao_produto.Data_Validade,
                                                            producao_produto.Composto,
                                                            producao_produto.Percentual_Composto,
                                                            producao_produto.Maquina_Moagem,
                                                            producao_produto.Tempo_Moagem,
                                                            producao_produto.Obs_Materia_Prima_Saida,
                                                            producao_produto.Lab_Materia_Prima_Saida,
                                                            produto.Titulo as 'Produto',
                                                            produto.Id as Id_Produto_Producao,
                                                            produto.Id_Categoria_Produto,
                                                            produto.Codigo
                                                            from producao_produto
                                                            INNER join (SELECT Id,Titulo,Codigo,Id_Categoria_Produto FROM produto) as produto ON produto.Id = producao_produto.Id_Produto
                                                            where producao_produto.Id_Producao = '" . $_GET["id_producao"] . "'
                                                            AND producao_produto.Tipo = 'Saida'
                                                            ORDER BY producao_produto.Ordem,produto.Titulo ");


                $x = 1;
                while ($chave = mysqli_fetch_assoc($producao_pro)) {
                    $qtdMateriaPrima = $chave["Qtd"];

                    $cat = mysqli_query($con, "SELECT Id,Titulo as Categoria,Exibir_Titulo FROM categoria_produto WHERE Id = '" . $chave['Id_Categoria_Produto'] . "' ");
                    $nome_cat = mysqli_fetch_assoc($cat);
                ?>

                    <tr>
                        <td><?php echo valor_exibir_producao($qtdMateriaPrima); ?></td>
                        <?php if ((VER_NOME_PRODUTO == 'Sim') || ($nome_cat["Exibir_Titulo"] == 'Sim')) { ?>
                            <td><?php echo $chave["Codigo"] . ': ' . $chave["Produto"] ?></td>
                        <?php } else { ?>
                            <td><?php echo $chave["Codigo"]; ?></td>
                        <?php } ?>
                        <td><?php echo $chave["Lote"]; ?></td>
                        <td><?php echo $chave["Maquina_Moagem"]; ?></td>
                        <td><?php echo $chave["Tempo_Moagem"]; ?></td>
                        <td><?php echo $chave["Obs_Materia_Prima_Saida"]; ?></td>
                        <td><?php echo $chave["Lab_Materia_Prima_Saida"]; ?></td>
                    </tr>
                <?php
                    $Qtd_Venda += $chave["Qtd"];
                    $Total += ($chave["Custo"] * $chave["Qtd"]);
                    $x++;
                }

                $materiaPrimaAvulsa = $con->query("SELECT SUM(producao_produto.Qtd) as Qtd
                FROM producao_produto
                WHERE producao_produto.Id_Producao = '" . $_GET["id_producao"] . "'
                AND producao_produto.Tipo = 'Saida' AND producao_produto.Composto='' ");

                $materiaPrimaAvulsa = mysqli_fetch_assoc($materiaPrimaAvulsa);


                $Qtd_Venda1 += $materiaPrimaAvulsa["Qtd"];

                ?>
                <tr>
                    <td><?php echo valor_exibir_producao($Qtd_Venda); ?></td>
                    <td colspan="7">&nbsp;</td>
                </tr>
            </table>
        </td>
    </tr>
    <tr>
        <td>
            <table width="100%" align="center" class="tabela" style="font-size: 12px">
                <tr>
                    <td colspan="9"><i>Moagem</i></td>
                </tr>
                <tr class="azul-claro">
                    <td width="5%">Qtd/KG</td>
                    <td width="10%">Cdigo</td>
                    <td width="8%">Lote</td>
                    <td width="2%">Mquina</td>
                    <td width="2%">Tempo</td>
                    <td width="15%">Obs</td>
                    <td width="2%">Lab</td>
                </tr>
                <?php
                $producao_pro = mysqli_query($con, "SELECT producao_produto.Id,
 					                                       producao_produto.Qtd,
                                                           producao_produto.Medida,
                                                           producao_produto.Custo,
                                                           producao_produto.Lote,
                                                           producao_produto.Lote2,
                                                           producao_produto.Data_Validade,
                                                           producao_produto.Composto,
                                                           producao_produto.Maquina_Moagem,
                                                           producao_produto.Tempo_Moagem,
                                                           producao_produto.Obs_Moagem,
                                                           producao_produto.Lab_Moagem,
                                                           produto.Titulo as 'Produto',
                                                           produto.Id_Categoria_Produto,
                                                           produto.Codigo
                                                           FROM producao_produto
                                                           INNER JOIN (SELECT Id,Titulo,Codigo,Id_Categoria_Produto FROM produto) as produto ON produto.Id = producao_produto.Id_Produto
                                                           WHERE producao_produto.Id_Producao = '" . $_GET["id_producao"] . "'
                                                           AND producao_produto.Tipo = 'Moagem'
                                                           ORDER BY producao_produto.Ordem,producao_produto.Lote2,produto.Titulo ");

                $sql_entrada = mysqli_query($con, "SELECT SUM(producao_produto.Qtd2) as Qtd_Total
                                FROM producao_produto
                                WHERE producao_produto.Id_Producao='" . $_GET["id_producao"] . "'
                                AND producao_produto.Tipo = 'Entrada' ");
                $reg = mysqli_fetch_assoc($sql_entrada);

                $x = 1;
                $Qtd_Venda = '0';
                $Total = '0';
                while ($chave = mysqli_fetch_assoc($producao_pro)) {
                    if ($chave['Composto'] == 'Sim') {
                        $perc_comp = ($chave['Qtd'] / $reg['Qtd_Total'] * 100);
                        $perc_compT += $perc_comp;
                    } else {
                        $perc_compT += $perc_comp = '0';
                    }

                    $cat = mysqli_query($con, "SELECT Id,Titulo as Categoria,Exibir_Titulo FROM categoria_produto WHERE Id = '" . $chave['Id_Categoria_Produto'] . "' ");
                    $nome_cat = mysqli_fetch_assoc($cat);
                ?>
                    <tr>
                        <td><?php echo valor_exibir($chave["Qtd"]); ?></td>
                        <?php if ((VER_NOME_PRODUTO == 'Sim') || ($nome_cat["Exibir_Titulo"] == 'Sim')) { ?>
                            <td><?php echo $chave["Codigo"] . ': ' . $chave["Produto"] ?></td>
                        <?php } else { ?>
                            <td><?php echo $chave["Codigo"]; ?></td>
                        <?php } ?>
                        <td><?php echo $chave["Lote"]; ?></td>
                        <td><?php echo $chave["Maquina_Moagem"]; ?></td>
                        <td><?php echo $chave["Tempo_Moagem"]; ?></td>
                        <td><?php echo $chave["Obs_Moagem"]; ?></td>
                        <td><?php echo $chave["Lab_Moagem"]; ?></td>
                    </tr>
                <?php
                    $Qtd_Venda += $chave["Qtd"];
                    $Qtd_Venda1 += $chave["Qtd"];
                    $Total += ($chave["Custo"] * $chave["Qtd"]);
                    $x++;
                }
                ?>
                <tr>
                    <td>&nbsp;</td>
                    <td>&nbsp;</td>
                    <td>&nbsp;</td>
                    <td>&nbsp;</td>
                    <td>&nbsp;</td>
                    <td>&nbsp;</td>
                    <td>&nbsp;</td>
                </tr>
                <tr>
                    <td>&nbsp;</td>
                    <td>&nbsp;</td>
                    <td>&nbsp;</td>
                    <td>&nbsp;</td>
                    <td>&nbsp;</td>
                    <td>&nbsp;</td>
                    <td>&nbsp;</td>
                </tr>
                <tr>
                    <td>&nbsp;</td>
                    <td>&nbsp;</td>
                    <td>&nbsp;</td>
                    <td>&nbsp;</td>
                    <td>&nbsp;</td>
                    <td>&nbsp;</td>
                    <td>&nbsp;</td>
                </tr>
                <tr>
                    <td>&nbsp;</td>
                    <td>&nbsp;</td>
                    <td>&nbsp;</td>
                    <td>&nbsp;</td>
                    <td>&nbsp;</td>
                    <td>&nbsp;</td>
                    <td>&nbsp;</td>
                </tr>

            </table>
        </td>
    </tr>
    <!-- Diluio -->
    <tr>
        <td>
            <table width="100%" align="center" class="tabela" style="font-size: 12px">
                <tr>
                    <td colspan="9"><i>Diluio</i></td>
                </tr>
                <tr class="azul-claro">
                    <td width="5%">Qtd/KG</td>
                    <td width="10%">Cdigo</td>
                    <!-- <td width="22%">Produto</td> -->
                    <td width="8%">Lote</td>
                    <!-- <td width="8%">Validade</td> -->
                    <td width="2%">Mquina</td>
                    <td width="2%">Tempo</td>
                    <td width="15%">Obs</td>
                    <td width="2%">Lab</td>
                </tr>
                <?php
                $producaoDiluicao = mysqli_query($con, "SELECT producao_produto.Id,
                                                               producao_produto.Qtd,
                                                               producao_produto.Medida,
                                                               producao_produto.Custo,
                                                               producao_produto.Lote,
                                                               producao_produto.Lote2,
                                                               producao_produto.Data_Validade,
                                                               producao_produto.Composto,
                                                               producao_produto.Maquina_Moagem,
                                                               producao_produto.Tempo_Moagem,
                                                               producao_produto.Obs_Diluicao,
                                                               producao_produto.Lab_Diluicao,
                                                               produto.Titulo as 'Produto',
                                                               produto.Id_Categoria_Produto,
                                                               produto.Codigo
                                                               from producao_produto
                                                               INNER join (SELECT Id,Titulo,Codigo,Id_Categoria_Produto FROM produto) as produto ON produto.Id = producao_produto.Id_Produto
                                                               where producao_produto.Id_Producao = '" . $_GET["id_producao"] . "'
                                                               AND producao_produto.Tipo = 'Diluicao'
                                                               ORDER BY producao_produto.Ordem,producao_produto.Lote2,produto.Titulo ");

                $sqlDiluicao = mysqli_query($con, "SELECT SUM(producao_produto.Qtd2) as Qtd_Total
                                FROM producao_produto
                                WHERE producao_produto.Id_Producao='" . $_GET["id_producao"] . "'
                                AND producao_produto.Tipo = 'Diluicao' ");
                $regDiluicao = mysqli_fetch_assoc($sqlDiluicao);

                $x = 1;
                $Qtd_Venda = '0';
                $Total = '0';
                while ($chave3 = mysqli_fetch_assoc($producaoDiluicao)) {
                    if ($chave3['Composto'] == 'Sim') {
                        $perc_comp = ($chave3['Qtd'] / $regDiluicao['Qtd_Total'] * 100);
                        $perc_compT += $perc_comp;
                    } else {
                        $perc_compT += $perc_comp = '0';
                    }

                    $cat = mysqli_query($con, "SELECT Id,Titulo as Categoria,Exibir_Titulo FROM categoria_produto WHERE Id = '" . $chave3['Id_Categoria_Produto'] . "' ");
                    $nome_cat = mysqli_fetch_assoc($cat);
                ?>

                    <tr>
                        <td><?php echo valor_exibir($chave3["Qtd"]); ?></td>
                        <?php if ((VER_NOME_PRODUTO == 'Sim') || ($nome_cat["Exibir_Titulo"] == 'Sim')) { ?>
                            <td><?php echo $chave3["Codigo"] . ': ' . $chave3["Produto"] ?></td>
                        <?php } else { ?>
                            <td><?php echo $chave3["Codigo"]; ?></td>
                        <?php } ?>
                        <td><?php echo $chave3["Lote"]; ?></td>
                        <td><?php echo $chave3["Maquina_Moagem"]; ?></td>
                        <td><?php echo $chave3["Tempo_Moagem"]; ?></td>
                        <td><?php echo $chave3["Obs_Diluicao"]; ?></td>
                        <td><?php echo $chave3["Lab_Diluicao"]; ?></td>
                    </tr>
                <?php
                    $Qtd_Venda += $chave3["Qtd"];
                    $Qtd_Venda1 += $chave3["Qtd"];
                    $Total += ($chave3["Custo"] * $chave3["Qtd"]);
                    $x++;
                }
                for ($i = 1; $i <= 17; $i++) { ?>
                    <tr>
                        <td>&nbsp;</td>
                        <td>&nbsp;</td>
                        <td>&nbsp;</td>
                        <td>&nbsp;</td>
                        <td>&nbsp;</td>
                        <td>&nbsp;</td>
                        <td>&nbsp;</td>
                    </tr>
                <?php
                } ?>
            </table>
        </td>
    </tr>
    <tr>
        <td>
            <table width="100%" align="center" class="tabela" style="font-size: 12px">
                <?php
                $producao_produ = mysqli_query($con, "SELECT producao_produto.Id,
 					                    producao_produto.Qtd,
                                        producao_produto.Qtd2,
                                        producao_produto.Medida,
                                        producao_produto.Tempo_Moagem,
                                        producao_produto.Maquina_Moagem,
                                        producao_produto.Lote,
                                        producao_produto.Data_Validade,
                                        produto.Titulo as 'Produto',
                                        produto.Codigo,
                                        produto.Gtin,
                                        produto.Preco1
                                        from producao_produto
                                        INNER join (SELECT Id,Titulo,Codigo,Preco1,Gtin FROM produto) as produto ON produto.Id = producao_produto.Id_Produto
                                        where producao_produto.Id_Producao = '" . $_GET["id_producao"] . "'
                                        AND producao_produto.Tipo = 'Entrada' ");

                $x = 1;
                while ($chave1 = mysqli_fetch_assoc($producao_produ)) {

                    $perc_kgT = $chave1["Qtd"] - $chave1["Qtd2"];
                    $perc_kgT = ($perc_kgT / $chave1["Qtd"]) * 100;
                ?>
                <?php
                    $Qtd_Venda1 += $chave1["Qtd"];
                    $Total1 += ($chave1["Custo"] * $chave1["Qtd"]);
                    $x++;
                }
                ?>
                <?php if ($producao[0]["Status"] != 'Reviso' && $producao[0]["Status"] != 'Finalizado' && $producao[0]["Status"] != 'Cancelado') { ?>
                    <tr>
                        <td><b>Peso Previsto: </b></td>
                        <td colspan="2"><?php echo $Qtd_Venda1; ?></td>
                        <!-- <td colspan="6">&nbsp;</td> -->
                    </tr>
                <?php } ?>
            </table>
        </td>
    </tr>
    <tr>
        <td>
            <table width="100%" align="center" class="tabela" style="font-size: 12px">
                <tr>
                    <td align="right" colspan="10"><b>Aprovado por:</b>
                        <?php echo $producao[0]["Funcionario_Aprovacao"] ?></td>
                </tr>
                <tr>
                    <td align="right" colspan="10"><b>Revisado por:
                        </b><?php echo $producao[0]["Funcionario_Revisao"] ?></td>
                </tr>
        </td>
    </table>
    </td>
    </tr>
    <tr>
        <td>
            <table width="100%" align="center" class="tabela" style="font-size: 12px">
                <tr>
                    <td colspan="10"><b>Comentrios</b></td>
                </tr>
                <td width="50%">
                    <?php echo $producao[0]["Obs"]; ?>
                </td>
            </table>
        </td>
    </tr>
    <?php if ($producao[0]["Status"] == 'Reviso' || $producao[0]["Status"] == 'Finalizado' || $producao[0]["Status"] == 'Cancelado') { ?>
        <tr>
            <td>
                <table width="100%" align="center" class="tabela" style="font-size: 12px">
                    <tr>
                        <td width="33%"><b>Peso Final:</b>
                            <?php echo valor_exibir($producao[0]["Qtd_Prevista_Revisao"]) ?>
                        </td>
                        <td width="33%"><b>Peso Envasado:</b>
                            <?php echo valor_exibir($producao[0]["Qtd_Total_Revisao_Final"]) ?>
                        </td>
                        <td width="33%"><b>Perda Final %:</b>
                            <?php echo valor_exibir($producao[0]["Qtd_Total_Revisao_Perda"]) ?>
                        </td>
                    </tr>
                </table>
            </td>
        </tr>
    <?php } ?>
    <tr>
        <td>
            <table width="100%" align="center" class="tabela" style="font-size: 12px">
                <tr>
                    <td width="60%">
                        Tacho n
                    </td>
                    <td align="center" colspan="2" width="40%">
                        <b>Destino</b>
                    </td>
                </tr>
                <tr>
                    <td width="65%">
                        Formulao de Origem
                    </td>
                    <td width="30%">
                        Aprovado p/Embalar
                    </td>
                    <td width="5%">
                        &nbsp;
                    </td>
                </tr>
                <tr>
                    <td width="65%">
                        Operador Pre-Disperso
                    </td>
                    <td width="30%">
                        Aprovado p/Mistura
                    </td>
                    <td width="5%">
                        &nbsp;
                    </td>
                </tr>
                <tr>
                    <td width="65%">
                        Operador Moagem
                    </td>
                    <td width="30%">
                        Aprovado c/Restrio
                    </td>
                    <td width="5%">
                        &nbsp;
                    </td>
                </tr>
                <tr>
                    <td width="65%">
                        Operador Diluio
                    </td>
                    <td colspan="2" width="35%">
                        * Acomodar na rea no conforme
                    </td>
                </tr>
                <tr>
                    <td width="65%">
                        Operador Embalagem
                    </td>
                    <td colspan="2" width="35%">
                        % Perda
                    </td>
                </tr>
                <tr>
                    <td width="65%">
                        Embalagem Usada
                    </td>
                    <td colspan="2" width="35%">
                        R.P.E.N
                    </td>
                </tr>
            </table>
        </td>
    </tr>
    </table>
</body>

</html>
<?php include "../include/rodape.php"; ?>