<?php
include_once '../include/conecta.php'; //Conecta com a nosso banco de dados MySQL
include_once '../include/ver_sessao.php'; //Verifica se a sesso est ativa
include_once '../include/funcoesPhp.php';
include_once '../menu_movimento.php';

$sql_compra = mysqli_query($con, "SELECT DISTINCT producao_produto.Id,
                                produto.Titulo as Produto,
                                produto.Codigo,
                                produto.Qtd_Caixa,
                                producao_produto.Id_Produto,
                                producao_produto.Qtd,
                                producao_produto.Qtd2,
                                producao_produto.Medida,
                                producao_produto.Custo,
                                local_estoque.Titulo as Local_Estoque,
                                responsavel.Titulo as Responsavel
                                FROM producao_produto
                                inner join (SELECT Id,Titulo,Codigo,Qtd_Caixa,Id_Categoria_Produto FROM produto) as produto ON producao_produto.Id_Produto = produto.Id
                                left join (SELECT Id,Titulo FROM local_estoque) as local_estoque ON producao_produto.Id_Local_Estoque = local_estoque.Id
                                LEFT JOIN (SELECT Id, Titulo FROM funcionario) AS responsavel ON responsavel.Id = producao_produto.Id_Responsavel
                                WHERE producao_produto.Id_Producao='" . $_POST["Codigo_Producao"] . "'
                                AND producao_produto.Tipo = 'Embalagem'
                                ORDER BY produto.Codigo,Id_Categoria_Produto ");

$sql_entrada = mysqli_query($con, "SELECT SUM(producao_produto.Qtd2) as Qtd_Total
                                FROM producao_produto
                                WHERE producao_produto.Id_Producao='" . $_POST["Codigo_Producao"] . "'
                                AND producao_produto.Tipo = 'Embalagem' ");
$reg = mysqli_fetch_assoc($sql_entrada);

ob_start();

$x = 0;
?>

<table width="100%" align="center" border="0" cellpadding="2" cellspacing="2">
    <?php if ($x == '0') { ?>
        <tr>
            <td class="table_prod_nome">Cdigo</td>
            <td class="table_prod_nome">Produto</td>
            <td class="table_prod_nome">Medida</td>
            <td class="table_prod_nome">Qtd Solicitada</td>
            <td class="table_prod_nome">Qtd Realizada</td>
            <td class="table_prod_nome">Local</td>
            <td class="table_prod_nome">Responsvel</td>
            <td class="table_prod_nome">Alterar</td>
            <td class="table_prod_nome">Remover</td>
        </tr>
    <?php } ?>
    <?php
    while ($linha = mysqli_fetch_assoc($sql_compra)) {

        if ($color == "#F5F5F5") {
            $color = "#E8E8E8";
        } else {
            $color = "#F5F5F5";
        }

        if ($linha['Composto'] == 'Sim') {
            $perc_comp = $linha['Percentual_Composto'];
            $perc_compT += $perc_comp;
        } else {
            $perc_compT += $perc_comp = '0';
        }

    ?>
        <tr bgcolor=<?php echo "$color"; ?>>
            <td class="table_prod_valor"><?php echo $linha['Codigo']; ?></td>
            <td class="table_prod_valor"><?php echo $linha['Produto']; ?></td>
            <td class="table_prod_valor"><?php echo $linha['Medida']; ?></td>
            <td class="table_prod_valor"><?php echo valor_exibir_producao($linha['Qtd2']); ?></td>
            <td class="table_prod_valor"><?php echo valor_exibir_producao($linha['Qtd']); ?></td>
            <td class="table_prod_valor"><?php echo $linha['Local_Estoque']; ?></td>
            <td class="table_prod_valor"><?php echo $linha['Responsavel']; ?></td>
            <td class="table_prod_valor">
                <input class="botao_novo" type="button" value="Alterar" onclick="window.open('tabela_alterar_diluicao.php?id_linha=<?php echo $linha['Id']; ?>','Alterar','width=600,height=550,top=0,left=0,scrollbars=yes')">
            </td>
            <td class="table_prod_valor">
                <input class="botao_novo" type="button" value="Remover" onclick="ApagarLinhaDliuicao('<?php echo $linha['Id']; ?>');">
            </td>
        </tr>
    <?php
        $tCusto += $linha['Custo'] * $linha['Qtd'];
        $x++;
    }
    ?>
    <!-- <tr bgcolor=<?php echo "$color"; ?>>
        <td class="table_prod_valor" colspan="5"></td>
        <td class="table_prod_valor">Total : </td>
        <td class="table_prod_valor"><?php echo valor_exibir_producao($perc_compT); ?></td>
        <td class="table_prod_valor" colspan="7"></td>
        <?php if (CLIENTE_EMAIL == 'spectracolor' || CLIENTE_EMAIL == 'gw') {
            if ($_SESSION['Id_Nivel'] == '1') { ?>
                <td class="table_prod_valor"><?php echo valor_exibir_producao($tCusto); ?></td>
            <?php }
        } else { ?>
            <td class="table_prod_valor"><?php echo valor_exibir_producao($tCusto); ?></td>
        <?php } ?>

        <td class="table_prod_valor" colspan="2">
            <input type="hidden" name="Total_Custo" id="Total_Custo" value="<?php echo valor_exibir_producao($tCusto); ?>">
        </td>
    </tr> -->
</table>
<?php
$pagina = ob_get_contents();
ob_end_clean();
echo utf8_encode($pagina);
?>