<?php
include_once '../include/conecta.php'; //Conecta com a nosso banco de dados MySQL
ini_set('session.gc_maxlifetime', 60 * 120);
session_start();
/*include_once '../include/ver_sessao.php'; //Verifica se a sesso est ativa*/
include_once '../include/funcoesPhp.php';
include_once '../menu_movimento.php';
?>
<?php
if ($_GET["Ativo"]) {
	$ativo = "and produto.Ativo = '" . $_GET["Ativo"] . "' ";
}
if ($_GET["Categoria_Produto"]) {
	$Categoria_Produto .= "and produto.Id_Categoria_Produto = '" . $_GET["Categoria_Produto"] . "' ";
}
if ($_GET["Categoria_Produto_Filho"]) {
	$Categoria_Produto .= "and produto.Id_Categoria_Produto_Filho = '" . $_GET["Categoria_Produto_Filho"] . "' ";
}
if ($_GET["Fornecedor"]) {
	$Forn .= "and produto.Id_Fornecedor = '" . $_GET["Fornecedor"] . "' ";
}
if ($_GET["Fabricante"]) {
	$Forn .= "and produto.Id_Fabricante = '" . $_GET["Fabricante"] . "' ";
}

if ($_GET["Tipo_Categoria"]) {
	$Forn .= "and produto.Tipo_Categoria = '" . $_GET["Tipo_Categoria"] . "' ";
}

if ($_GET["Ok"]) {
	$_GET["Tabela_Preco"] = ltrim($_GET["Tabela_Preco"], 0);
	$produto = mysqli_query($con, "SELECT produto.Id,
                        produto.Codigo,
                        produto.Anvisa,
                        produto.Ultimo_Custo,
                        produto.Preco" . $_GET["Tabela_Preco"] . " as Preco,
                        produto.Titulo as Produto,
                        produto.Medida
                        FROM produto
                        WHERE Tipo_Produto = 'P'
                        $Categoria_Produto $ativo $Forn
                        order by produto.Titulo");
}
?>
<?php ob_start(); /* Inicia o fluxo*/ ?>
<html>

<head>
	<link rel="stylesheet" type="text/css" href="../estilo/<?php echo SKIN; ?>/tabela_imp.css" />
	<script type="text/javascript" language="javascript" src="../js/jquery.js"></script>
	<?php include '../include/script_cabeca.php'; ?>
	<script type="text/javascript" language="javascript" src="../js/script.js"></script>
	<script type="text/javascript" language="javascript" src="../js/meiomask/meiomask.js"></script>
	<script type="text/javascript" language="javascript" src="../js/meiomask/<?php if (PAIS == "USA") {
																					echo "mascaras-usa";
																				} else {
																					echo "mascaras";
																				} ?>.js"></script>
</head>

<body>
	<?php include "../include/cabecalho_relatorio.php"; ?>
	<table width="100%">
		<tr>
			<?php
			$_GET["Tabela_Preco"] = ltrim($_GET["Tabela_Preco"], 0);
			if ($_GET["Tabela_Preco"] < 10) {
				$_GET["Tabela_Preco"] = '0' . $_GET["Tabela_Preco"];
			}
			$tab_preco = mysqli_query($con, "SELECT Titulo FROM produto_tabela WHERE Valor = '" . $_GET["Tabela_Preco"] . "' ORDER BY Valor ");
			$tab_preco = mysqli_fetch_assoc($tab_preco);

			?>
			<td>
				<font face="verdana" size="2"><i>Relatrio de Produto Simples - Tabela <b>
							<?php echo $tab_preco["Titulo"]; ?> </b></i></font>
			</td>
		</tr>
		<tr>
			<td>
				<font face="verdana" size="2">
					<?php
					if ($_GET["De"]) {
						echo "Perodo: " . $_GET["De"];
					}
					if ($_GET["Ate"]) {
						echo "  " . $_GET["Ate"];
					}
					if ($_GET["Fornecedor"]) {
						$achar = listar("Select Titulo from fornecedor
						where Id = '" . $_GET["Fornecedor"] . "' ");
						echo " - " . $achar[0]["Titulo"];
					}
					if ($_GET["Fabricante"]) {
						$achar = listar("Select Titulo from fabricante
						where Id = '" . $_GET["Fabricante"] . "' ");
						echo " - " . $achar[0]["Titulo"];
					}
					if ($_GET["Categoria_Produto"]) {
						$achar = listar("Select Titulo from categoria_produto
						where Id = '" . $_GET["Categoria_Produto"] . "' ");
						echo " - " . $achar[0]["Titulo"];
					}
					if ($_GET["Ativo"]) {
						echo " Ativo: " . $_GET["Ativo"];
					}
					?>
				</font>
			</td>
		</tr>
	</table>
	<table width="100%" class="tabela">
		<thead>
			<tr class="azul-claro">
				<td>Cdigo</td>
				<td>Produto</td>
				<?php if ((CLIENTE_EMAIL == 'medvasf') || (CLIENTE_EMAIL == 'pnzmed') || (CLIENTE_EMAIL == 'inovamed') || (CLIENTE_EMAIL == 'bigmed')) { ?>
					<td>Anvisa</td>
				<?php } ?>
				<td>Medida</td>
				<td>Preo</td>
				<?php if ((CLIENTE_EMAIL == 'medvasf') || (CLIENTE_EMAIL == 'pnzmed') || (CLIENTE_EMAIL == 'inovamed') || (CLIENTE_EMAIL == 'bigmed')) { ?>
					<td>lt Compra</td>
					<td>lt Custo</td>
				<?php } ?>
			</tr>
		</thead>
		<tbody>
			<?php
			if ($_GET["Ok"]) {

				$color = "#F5F5F5";
				while ($chave = mysqli_fetch_assoc($produto)) {
					if ($color == "#F5F5F5") {
						$color = "#E8E8E8";
					} else {
						$color = "#F5F5F5";
					}

					$ultimo = mysqli_query($con, "SELECT estoque.Data_Externo
                            from estoque
                            WHERE estoque.Id_Produto = '" . $chave["Id"] . "'
                            AND estoque.Concluido = 'Sim'
                            AND Origem = 'Compra'
                            ORDER BY Data_Cadastro DESC
                            LIMIT 1");
					$ultimo = mysqli_fetch_assoc($ultimo);

					$UData = $ultimo["Data_Externo"];
			?>
					<tr bgcolor=<?php echo "$color"; ?>>
						<td><?php echo $chave["Codigo"] ?></td>
						<td><?php echo $chave["Produto"] ?></td>
						<?php if ((CLIENTE_EMAIL == 'medvasf') || (CLIENTE_EMAIL == 'pnzmed') || (CLIENTE_EMAIL == 'inovamed') || (CLIENTE_EMAIL == 'bigmed')) { ?>
							<td><?php echo $chave["Anvisa"] ?></td>
						<?php } ?>
						<td><?php echo $chave["Medida"] ?></td>
						<td><?php echo number_format($chave["Preco"], 2, ",", ".") ?></td>
						<?php if ((CLIENTE_EMAIL == 'medvasf') || (CLIENTE_EMAIL == 'pnzmed') || (CLIENTE_EMAIL == 'inovamed') || (CLIENTE_EMAIL == 'bigmed')) { ?>
							<td><?php echo data_exibir($UData) ?></td>
							<td><?php echo valor_exibir($chave["Ultimo_Custo"]) ?></td>
						<?php } ?>
					</tr>
			<?php }
			} ?>
		</tbody>
	</table>
</body>

</html>
<?php
$html = ob_get_contents();
ob_end_clean();

include_once "../include/pdf_opcao.php";
?>