<?php
include_once '../include/conecta.php'; //Conecta com a nosso banco de dados MySQL
include_once '../include/ver_sessao.php'; //Verifica se a sesso est ativa
include_once '../include/funcoesPhp.php';
include_once '../menu_movimento.php';
include_once 'codigo_barra.php';
include "../woocommerce/vendor/autoload.php";

// error_reporting(E_ALL);
// ini_set('display_errors', 'On');

include "../integracao/bling/load.php";

use App\Controller\Cliente\Cliente;
use App\Controller\Produto\Produto;
use Bling\App\Config\Utils\Bling;
use Bling\App\Model\CategoriaPaiProduto;
use Bling\App\Model\Produto as ProdutoBling;
use Bling\App\Model\Type\Product\Dimensao;
use Bling\App\Model\Type\Product\FornecedorDTO;
use Bling\App\Model\Type\Product\FornecedorProduto;
use Bling\App\Model\Type\Product\ImagemProduto;
use Bling\App\Model\Type\Product\ImagensProduto;
use Bling\App\Model\Type\Product\MidiaProduto;
use Bling\App\Model\Type\Product\ProdutoEstoque;
use Bling\App\Model\Type\Product\ProdutoFornecedorDTO;
use Bling\App\Model\Type\Product\VideoProduto;

?>
<?php
/* CRIANDO O ID DO PRODUTO */
if ($_POST["Codigo_Produto"] == "") {
    $_POST["Codigo_Produto"] = md5($_SESSION['Id'] . microtime());
}

$_POST["Tipo"] = 'P';


//verificando se o produto  kit
$flag_kit = mysqli_query($con, "SELECT Id FROM produto_kit
                                WHERE Id_Produto='" . limpaNome($_POST["Codigo_Produto"]) . "' ");
if (mysqli_num_rows($flag_kit) == 0) {
    $_POST["Kit"] = 'N';
} else {
    $_POST["Kit"] = 'S';
}

$tp_cate1 = mysqli_query($con, "SELECT Tipo FROM categoria_produto WHERE Id='" . $_POST["Categoria_Produto"] . "' ");
$tp_cate = mysqli_fetch_assoc($tp_cate1);

//ajuste de exibir no site
if ($_POST["Ativo"] == 'No') {
    $_POST["Site"] = 'No';
}


if ($_POST["Regime_ST"] == 'Normal') {
    $_POST["Codigo_ST"] = $_POST["Codigo_ST"];
    $_POST["Codigo_ST2"] = $_POST["Codigo_ST2"];
} else {
    $_POST["Codigo_ST"] = $_POST["Codigo_ST_Simples"];
    $_POST["Codigo_ST2"] = $_POST["Codigo_ST_Simples2"];
}

/*
//alterando o nome do produto no cadastro do estoque
mysqli_query($con, "UPDATE estoque SET Nome_Produto = '" . $_POST["Titulo"] . "'
                WHERE Id_Produto = '" . $_POST["Codigo_Produto"] . "'
                AND Nome_Produto <> '" . $_POST["Titulo"] . "' ");
*/

//ajustando a Aliquota para o PAF
$emp1 = mysqli_query($con, "SELECT Estado FROM unidade WHERE Id='" . $_SESSION["Unidade"] . "' ");
$emp = mysqli_fetch_assoc($emp1);

$aliq = mysqli_query($con, "select Id,
                        Aliquota" . $_POST['Tabela_Icms'] . " as Aliquota,
                        Reducao" . $_POST['Tabela_Icms'] . " as Reducao
                        from icms
                        WHERE Estado='" . $emp["Estado"] . "' ");
$aliq_est = mysqli_fetch_assoc($aliq);

$aliquota_paf = $aliq_est["Aliquota"];

//ajustando a Situao Tributaria PAF
//if (($aliquota_paf != '0') || ($aliquota_paf != '0.00')) {
//$ST_Paf = 'T';
//}

$_POST["UFCons"] = $emp["Estado"];
$_POST["cProdANP"] = limpaNome(trim($_POST["ANP"]));
$_POST["descANP"] = limpaNome(trim($_POST["Descricao"]));


if ($_POST["Regime_ST"] == 'Normal') {

    if (($_POST["Codigo_ST"] == '00') || ($_POST["Codigo_ST"] == '20')) {
        $ST_Paf = 'T';
    }
    if (($_POST["Codigo_ST"] == '10') || ($_POST["Codigo_ST"] == '70') || ($_POST["Codigo_ST"] == '30')) {
        $ST_Paf = 'F';
    }
    if ($_POST["Codigo_ST"] == '40') {
        $ST_Paf = 'I';
    }
    if ($_POST["Codigo_ST"] == '41') {
        $ST_Paf = 'N';
    }
    if ($_POST["Codigo_ST"] == '60') {
        $ST_Paf = 'F';
    }
    if (($_POST["Codigo_ST"] == '50') || ($_POST["Codigo_ST"] == '51') || ($_POST["Codigo_ST"] == '90')) {
        $ST_Paf = 'F';
    }
} else {

    if (($_POST["Codigo_ST_Simples"] == '101') || ($_POST["Codigo_ST_Simples"] == '102')) {
        $ST_Paf = 'T';
    }
    if (($_POST["Codigo_ST_Simples"] == '201') || ($_POST["Codigo_ST_Simples"] == '202') || ($_POST["Codigo_ST_Simples"] == '203')) {
        $ST_Paf = 'F';
    }
    if (($_POST["Codigo_ST_Simples"] == '300') || ($_POST["Codigo_ST_Simples"] == '103')) {
        $ST_Paf = 'I';
    }
    if ($_POST["Codigo_ST_Simples"] == '400') {
        $ST_Paf = 'N';
    }
    if ($_POST["Codigo_ST_Simples"] == '500') {
        $ST_Paf = 'F';
    }
    if ($_POST["Codigo_ST_Simples"] == '900') {
        $ST_Paf = 'F';
    }

    //if (($aliquota_paf == '0') || ($aliquota_paf == '0.00')) {
    //$ST_Paf = 'I';
    //}
}
//se nao cair em nenhuma opcao
//if ($ST_Paf == '') {
//$ST_Paf = 'I';
//}

if ($_POST["Regime_Especial"] == 0) {
    $_POST["Regime_Especial"] = 1;
}

$_POST['Codigo_Fornecedor'] = trim($_POST['Codigo_Fornecedor']);
$_POST['Codigo_Fornecedor'] = ltrim($_POST['Codigo_Fornecedor'], ",");
$_POST['Codigo_Fornecedor'] = rtrim($_POST['Codigo_Fornecedor'], ",");
$_POST['Codigo_Fornecedor'] = ',' . $_POST['Codigo_Fornecedor'] . ',';


if ($_SERVER['REQUEST_METHOD'] == "POST") {

    $_POST['Custo'] = str_replace('.', '', $_POST['Custo']);
    $_POST['Custo'] = str_replace(',', '.', $_POST['Custo']);

    $_POST['Custo_Adicional'] = str_replace('.', '', $_POST['Custo_Adicional']);
    $_POST['Custo_Adicional'] = str_replace(',', '.', $_POST['Custo_Adicional']);

    for ($x = 1; $x <= 42; $x++) {
        $_POST['Preco' . $x] = valor_banco($_POST['Preco' . $x]);
    }

    for ($x = 1; $x <= 12; $x++) {
        $_POST['Mkup' . $x] = valor_banco($_POST['Mkup' . $x]);
    }
    if (($_POST["Titulo"]) && ($_POST["Preco1"]) && ($_POST["Categoria_Produto"]) && ($_POST["Medida"]) && ($_POST["Codigo"])) {



        $_POST['Ultimo_Custo'] = str_replace('.', '', $_POST['Ultimo_Custo']);
        $_POST['Ultimo_Custo'] = str_replace(',', '.', $_POST['Ultimo_Custo']);

        $_POST['Fator_Producao'] = str_replace('.', '', $_POST['Fator_Producao']);
        $_POST['Fator_Producao'] = str_replace(',', '.', $_POST['Fator_Producao']);


        $_POST['Estoque_Minimo'] = str_replace('.', '', $_POST['Estoque_Minimo']);
        $_POST['Estoque_Minimo'] = str_replace(',', '.', $_POST['Estoque_Minimo']);

        $_POST['Estoque_Maximo'] = str_replace('.', '', $_POST['Estoque_Maximo']);
        $_POST['Estoque_Maximo'] = str_replace(',', '.', $_POST['Estoque_Maximo']);

        $_POST['Altura'] = valor_banco($_POST['Altura']);

        $_POST['Largura'] = valor_banco($_POST['Largura']);

        $_POST['Comprimento'] = valor_banco($_POST['Comprimento']);

        $_POST['Valor_Pauta'] = valor_banco($_POST['Valor_Pauta']);

        if (CLIENTE_EMAIL == 'avile') {
            $_POST['Custo'] = valor_banco($_POST['Total_Custo']);
            $_POST['Ultimo_Custo'] = valor_banco($_POST['Total_Custo']);
        }

        $_POST['Peso_Bruto'] = valor_banco($_POST['Peso_Bruto']);
        $_POST['Peso_Liquido'] = valor_banco($_POST['Peso_Liquido']);

        $_POST['Ipi'] = str_replace('.', '', $_POST['Ipi']);
        $_POST['Ipi'] = str_replace(',', '.', $_POST['Ipi']);

        $_POST['Pis'] = str_replace('.', '', $_POST['Pis']);
        $_POST['Pis'] = str_replace(',', '.', $_POST['Pis']);

        $_POST['Cofins'] = str_replace('.', '', $_POST['Cofins']);
        $_POST['Cofins'] = str_replace(',', '.', $_POST['Cofins']);

        $_POST['Aliquota_Pis'] = str_replace('.', '', $_POST['Aliquota_Pis']);
        $_POST['Aliquota_Pis'] = str_replace(',', '.', $_POST['Aliquota_Pis']);

        $_POST['Aliquota_Cofins'] = str_replace('.', '', $_POST['Aliquota_Cofins']);
        $_POST['Aliquota_Cofins'] = str_replace(',', '.', $_POST['Aliquota_Cofins']);

        $_POST['Aliquota_Simples'] = str_replace('.', '', $_POST['Aliquota_Simples']);
        $_POST['Aliquota_Simples'] = str_replace(',', '.', $_POST['Aliquota_Simples']);

        $_POST['Valor_Credito_Simples'] = str_replace('.', '', $_POST['Valor_Credito_Simples']);
        $_POST['Valor_Credito_Simples'] = str_replace(',', '.', $_POST['Valor_Credito_Simples']);

        $_POST['Comissao'] = str_replace('.', '', $_POST['Comissao']);
        $_POST['Comissao'] = str_replace(',', '.', $_POST['Comissao']);

        $_POST['Comissao2'] = str_replace('.', '', $_POST['Comissao2']);
        $_POST['Comissao2'] = str_replace(',', '.', $_POST['Comissao2']);

        $_POST['Comissao3'] = str_replace('.', '', $_POST['Comissao3']);
        $_POST['Comissao3'] = str_replace(',', '.', $_POST['Comissao3']);

        $_POST['Reducao_BC_ICMS_ST'] = str_replace('.', '', $_POST['Reducao_BC_ICMS_ST']);
        $_POST['Reducao_BC_ICMS_ST'] = str_replace(',', '.', $_POST['Reducao_BC_ICMS_ST']);

        $_POST['Valor_Adicional_ICMS_ST'] = str_replace('.', '', $_POST['Valor_Adicional_ICMS_ST']);
        $_POST['Valor_Adicional_ICMS_ST'] = str_replace(',', '.', $_POST['Valor_Adicional_ICMS_ST']);

        $_POST['Aliquota_ICMS_ST'] = str_replace('.', '', $_POST['Aliquota_ICMS_ST']);
        $_POST['Aliquota_ICMS_ST'] = str_replace(',', '.', $_POST['Aliquota_ICMS_ST']);

        $_POST['Aliquota_ICMS'] = str_replace('.', '', $_POST['Aliquota_ICMS']);
        $_POST['Aliquota_ICMS'] = str_replace(',', '.', $_POST['Aliquota_ICMS']);

        $_POST['Aliquota_Ipi'] = str_replace('.', '', $_POST['Aliquota_Ipi']);
        $_POST['Aliquota_Ipi'] = str_replace(',', '.', $_POST['Aliquota_Ipi']);

        $_POST['Sf'] = str_replace('.', '', $_POST['Sf']);
        $_POST['Sf'] = str_replace(',', '.', $_POST['Sf']);

        $_POST['Valor_Minimo_Venda'] = str_replace('.', '', $_POST['Valor_Minimo_Venda']);
        $_POST['Valor_Minimo_Venda'] = str_replace(',', '.', $_POST['Valor_Minimo_Venda']);

        $_POST['Qtd_Caixa'] = str_replace('.', '', $_POST['Qtd_Caixa']);
        $_POST['Qtd_Caixa'] = str_replace(',', '.', $_POST['Qtd_Caixa']);

        $_POST['FCP'] = str_replace('.', '', $_POST['FCP']);
        $_POST['FCP'] = str_replace(',', '.', $_POST['FCP']);

        $_POST['Ibpt'] = str_replace('.', '', $_POST['Ibpt']);
        $_POST['Ibpt'] = str_replace(',', '.', $_POST['Ibpt']);

        $_POST['Preco_Especial'] = str_replace('.', '', $_POST['Preco_Especial']);
        $_POST['Preco_Especial'] = str_replace(',', '.', $_POST['Preco_Especial']);

        $_POST['Qtd_Caixa2'] = str_replace('.', '', $_POST['Qtd_Caixa2']);
        $_POST['Qtd_Caixa2'] = str_replace(',', '.', $_POST['Qtd_Caixa2']);

        $_POST['Valor_Dolar'] = str_replace('.', '', $_POST['Valor_Dolar']);
        $_POST['Valor_Dolar'] = str_replace(',', '.', $_POST['Valor_Dolar']);

        $_POST['Custo_Dolar'] = str_replace('.', '', $_POST['Custo_Dolar']);
        $_POST['Custo_Dolar'] = str_replace(',', '.', $_POST['Custo_Dolar']);

        $_POST['vPart'] = str_replace('.', '', $_POST['vPart']);
        $_POST['vPart'] = str_replace(',', '.', $_POST['vPart']);

        $_POST['pGLP'] = str_replace('.', '', $_POST['pGLP']);
        $_POST['pGLP'] = str_replace(',', '.', $_POST['pGLP']);

        $_POST['pGNn'] = str_replace('.', '', $_POST['pGNn']);
        $_POST['pGNn'] = str_replace(',', '.', $_POST['pGNn']);

        $_POST['pGNi'] = str_replace('.', '', $_POST['pGNi']);
        $_POST['pGNi'] = str_replace(',', '.', $_POST['pGNi']);


        if ($_POST["Pesavel"]) {
            $_POST["Pesavel"] = 'Sim';
        } else {
            $_POST["Pesavel"] = 'No';
        }

        if ($_POST["Local_Estoque_Entrada"] == '') {
            $_POST["Local_Estoque_Entrada"] = '1';
        }
        if ($_POST["Local_Estoque_Saida"] == '') {
            $_POST["Local_Estoque_Saida"] = '1';
        }

        if ($_POST["Descricao"] == '') {
            $_POST["Descricao"] = $_POST["Titulo"];
        }
        if ($_POST["Descricao_Etiqueta"] == '') {
            $_POST["Descricao_Etiqueta"] = substr($_POST["Titulo"], 0, 23);
        }
        if (!isset($_POST['Cozinha'])) {
            $_POST['Cozinha'] = 'No';
        }
        if (!isset($_POST['Ifood'])) {
            $_POST['Ifood'] = 'No';
        }

        if (!isset($_POST['Descricao_Ifood'])) {
            $_POST['Descricao_Ifood'] = '';
        }

        if (CLIENTE_EMAIL != 'terratubos' && CLIENTE_EMAIL != 'gw') {
            $_POST['Altura_Formula'] = 0;
            $_POST['Largura_Formula'] = 0;
            $_POST['Espessura_Formula'] = 0;
            $_POST['Densidade_Formula'] = 0;
        }


        if (PRODUTO_MANUAL == 'Sim') {

            if ($_GET["acao"] == "alterar") {
                $query = mysqli_query($con, "SELECT Codigo_Barras_Aux FROM produto WHERE Id='" . $_GET["id_produto"] . "' ");
                $row = mysqli_fetch_assoc($query);
                $cod_etiqueta = $row['Codigo_Barras_Aux'];
            } else {
                //pegando o AI para formar o codigo de barras
                $query = mysqli_query($con, "SHOW TABLE STATUS FROM " . $dbname . " LIKE 'produto'");
                $row = mysqli_fetch_assoc($query);
                $cod_etiqueta = $row['Auto_increment'];
            }
        } else {

            //$_POST["Codigo"] = str_pad(($_POST['Codigo']), 4, "0", STR_PAD_LEFT);

            if ($_GET["acao"] == "entrar") {
                $busca_codigo = mysqli_query($con, "SELECT Codigo FROM produto WHERE (Tipo_Produto <> 'PA' AND Tipo_Produto <> 'J') AND Flag_Grade = 'N' order by Data_Cadastro desc limit 1");
                $busca_codigo = mysqli_fetch_assoc($busca_codigo);
                $_POST["Codigo"] = str_pad(($busca_codigo['Codigo'] + 1), 4, "0", STR_PAD_LEFT);
            }

            $cod_etiqueta = $_POST['Codigo'];
        }

        //gerando o numero do codigo de barras
        $cod_barras = "789" . str_pad(substr(str_replace(' ', '', $cod_etiqueta), 0, 7), 8, "0", STR_PAD_LEFT);
        //$cod_barras = "789".sprintf("%08d",$_POST['Codigo']);
        //fazendo a imagem da etiqueta
        /*
          parametros passados
          1- Os dgitos que voc deseja usar para formar o cdigo de barra
          2- A forma de exibio: 0 = Gera a sada direto na tela do script | 1 = Salva o arquivo em disco
          3- O nome do arquivo. Pode-se usar o caminho absoluto seguido do nome para indicar onde o arquivo ser salvo.
          4- A largura da barra. Exemplo: 190 pixels (informe apenas o nmero).
          5- A altura da barra. Exemplo: 130 pixels (informe apenas o nmero).
          6- Se vai querer ou no exibir na etiqueta/imagem o nmero do cdigo. true = exibe, e false = no.
         */
        //include('../codigo_barras/barcode.inc.php');
        //new barCodeGenrator($cod_barras,1,'etiqueta/'.$_POST["Codigo_Produto"].'.gif', 130, 80, true);
        //$etiqueta = $_POST["Codigo_Produto"].'.gif';

        if ($_POST["Codigo_Paf"] == '') {
            $_POST["Codigo_Paf"] = $_POST["Codigo"];
        }


        if ($_POST["Cadastrar"]) {


            if ((CLIENTE_EMAIL == 'lac') || (CLIENTE_EMAIL == 'compartilhar')) {
                $cod_p = " AND 1=2 ";
                $val_for = " AND Id_Fornecedor='" . limpaNome($_POST["Fornecedor"]) . "' ";
            }

            if ($_POST['Peso_Liquido'] > '0') {
                mysqli_query($con, "UPDATE produto_producao SET Peso_Produto_Pai='" . $_POST['Peso_Liquido'] . "'
                    WHERE Id_Produto = '" . $_POST["Codigo_Produto"] . "' ");

                //recalculo da quantidade
                $p_producao = mysqli_query($con, "Select * from produto_producao where Id_Produto = '" . $_POST["Codigo_Produto"] . "' ");

                while ($linha = mysqli_fetch_assoc($p_producao)) {
                    if ($linha['Percentual_Composto'] > 0) {
                        $Qtd_Formula = ($_POST['Peso_Liquido'] * $linha['Percentual_Composto']) / 100;
                        $Qtd_Formula = valor_exibir($Qtd_Formula);
                        $Qtd_Formula = valor_banco($Qtd_Formula);

                        mysqli_query($con, "UPDATE produto_producao SET Qtd='" . $Qtd_Formula . "' WHERE Id = '" . $linha["Id"] . "' ");
                    }
                }
            }

            //verificando se o codigo ja esta em uso
            $sql2 = mysqli_query($con, "SELECT Id FROM produto
                                    WHERE Codigo='" . limpaNome($_POST['Codigo']) . "' $cod_p ")
                or die("ERRO no comando SQL:" . mysqli_error($con));

            if (mysqli_num_rows($sql2) == 0) {

                $sql = mysqli_query($con, "SELECT Id FROM produto
                                        WHERE Titulo='" . limpaNome($_POST['Titulo']) . "'
                                        AND Codigo='" . limpaNome($_POST['Codigo']) . "' $val_for ")
                    or die("ERRO no comando SQL:" . mysqli_error($con));

                if (mysqli_num_rows($sql) == 0) {


                    //$codProduto = md5($_POST['Titulo'].microtime());
                    if ($_FILES['Foto']["name"]) {
                        $codFoto = $_POST["Codigo_Produto"];
                        $codProduto = espacos(limpaNome($_POST['Codigo']));
                        include 'recorta_foto.php';
                    }

                    if ($_FILES['Foto2']["name"]) {
                        $codFoto = $_POST["Codigo_Produto"];
                        $codProduto = espacos(limpaNome($_POST['Codigo']));
                        include 'recorta_foto2.php';
                    }

                    if ($_FILES['Foto3']["name"]) {
                        $codFoto = $_POST["Codigo_Produto"];
                        $codProduto = espacos(limpaNome($_POST['Codigo']));
                        include 'recorta_foto3.php';
                    }

                    if ($_FILES['Foto4']["name"]) {
                        $codFoto = $_POST["Codigo_Produto"];
                        $codProduto = espacos(limpaNome($_POST['Codigo']));
                        include 'recorta_foto4.php';
                    }


                    if (empty($_POST["Vende_Livre"]))
                        $_POST["Vende_Livre"] = 'No';

                    if ($_POST["Cte"] == 'Sim') {
                        mysqli_query($con, "UPDATE produto SET Cte='No' ");
                    }

                    mysqli_query($con, "INSERT INTO produto (Id, Titulo,
                                Codigo,
                                Descricao,
                                Preco1,
                                Preco2,
                                Preco3,
                                Preco4,
                                Preco5,
                                Preco6,
                                Preco7,
                                Preco8,
                                Preco9,
                                Preco10,
                                Preco11,
                                Preco12,
                                Mkup1,
                                Mkup2,
                                Mkup3,
                                Mkup4,
                                Mkup5,
                                Mkup6,
                                Mkup7,
                                Mkup8,
                                Mkup9,
                                Mkup10,
                                Mkup11,
                                Mkup12,
                                Id_Fornecedor,
                                Medida,
                                Medida2,
                                Medida3,
                                Ativo,
                                Custo,
                                Ultimo_Custo,
                                Id_Categoria_Produto,
                                Id_Categoria_Produto_Filho,
                                Tipo_Produto,
                                Ipi,
                                Pis,
                                Cofins,
                                Id_Cfop_Venda,
                                Id_Cfop_Compra,
                                Id_Cfop_Venda_F,
                                Id_Cfop_Compra_F,
                                Estoque_Minimo,
                                Estoque_Maximo,
                                Ncm,
                                Cest,
                                Peso_Bruto,
                                Peso_Liquido,
                                Id_Local_Estoque_Entrada,
                                Id_Local_Estoque_Saida,
                                Aliquota,
                                Codigo_ST,
                                Situacao_Tributaria,
                                IPPT,
                                Flag_Kit,
                                Foto,
                                Foto2,
                                Foto3,
                                Foto4,
                                Gtin,
                                Gtin2,
                                Gtin3,
                                Regime_ST,
                                Origem_ST,
                                Classe_Enquadramento,
                                Codigo_Enquadramento,
                                Cnpj_Produtor,
                                Ex_Tipi,
                                CST_Pis,
                                Aliquota_Pis,
                                CST_Cofins,
                                Aliquota_Cofins,
                                Aliquota_Simples,
                                Valor_Credito_Simples,
                                ANP,
                                Obs,
                                Comissao,
                                Comissao2,
                                Comissao3,
                                Id_Fabricante,
                                Cod_Selo_Controle,
                                Qtd_Selo_Controle,
                                CST_Ipi,
                                Aliquota_Ipi,
                                Modalidade_BC_ICMS_ST,
                                Reducao_BC_ICMS_ST,
                                Valor_Adicional_ICMS_ST,
                                Aliquota_ICMS_ST,
                                Modalidade_BC_ICMS,
                                Aliquota_ICMS,
                                Tempo_Renovacao,
                                Tabela_Icms,
                                Codigo_ST2,
                                Site,
                                Caminho_Foto,
                                Armazenagem,
                                Data_Gravacao,
                                Data_Exibicao,
                                Sf,
                                Codigo_Fornecedor,
                                Altura,
                                Largura,
                                Comprimento,
                                Valor_Minimo_Venda,
                                Vende_Livre,
                                Qtd_Caixa,
                                FCP,
                                Tipo_Categoria,
                                Id_Local_Impressora,
                                Codigo_Barras,
                                Etiqueta,
                                Descricao_Etiqueta,
                                Ibpt,
                                Codigo2,
                                Descricao2,
                                Codigo3,
                                Descricao3,
                                Descricao4,
                                Codigo_Montadora,
                                Tempo_Chegada,
                                Pesavel,
                                Codigo_Paf,
                                Id_Atividade,
                                Id_Centro_Custo,
                                Preco_Especial,
                                Qtd_Caixa2,
                                Id_Cor,
                                Anvisa,
                                Anvisa_Validade,
                                Risco,
                                Simpro,
                                Sus,
                                Exibir_Mobile,
                                Valor_Dolar,
                                Custo_Dolar,
                                motDesICMS,
                                Atividade_Produto,
                                Genero_Produto,
                                Tipo_Producao,
                                Embalagem1,
                                Embalagem2,
                                Valor_Pauta,
                                Id_Ncm,
                                Preco13,
                                Preco14,
                                Preco15,
                                Preco16,
                                Preco17,
                                Preco18,
                                Preco19,
                                Preco20,
                                Preco21,
                                Preco22,
                                Preco23,
                                Preco24,
                                Preco25,
                                Preco26,
                                Preco27,
                                Preco28,
                                Preco29,
                                Preco30,
                                Preco31,
                                Preco32,
                                Preco33,
                                Preco34,
                                Preco35,
                                Preco36,
                                Preco37,
                                Preco38,
                                Preco39,
                                Preco40,
                                Preco41,
                                Preco42,
                                Fracionado,
                                cProdANP,
                                descANP,
                                UFCons,
                                vPart,
                                pGLP,
                                pGNn,
                                pGNi,
                                qTemp,
                                Ingrediente_Nutricional,
                                Descricao_Nutricional,
                                Cesta_Basica,
                                Obs_Cpl,
                                Sped_Inf_Item,
                                Moeda,
                                Consumo_Proprio,
                                Id_Regime_Especial_P,
                                Id_Especie,
                                Tipo_Ers,
                                Natureza_Receita,
                                Classe_Garden,
                                FQIT,
                                Etpf,
                                Et_Molhagem,
                                Custo_Adicional,
                                Fator_Producao,
                                Cozinha,
                                Ifood,
                                Cte,
                                Altura_Formula,
                                Largura_Formula,
                                Espessura_Formula,
                                Densidade_Formula,
                                Obs_2,
                                Local_Entrega,
                                Descricao_Ifood,
                                " . $padraoCampos . ")
                                values('" . $_POST["Codigo_Produto"] . "',
                                '" . limpaNome(trim($_POST["Titulo"])) . "',
                                '" . trim($_POST["Codigo"]) . "',
                                '" . limpaNome(trim($_POST["Descricao"])) . "',
                                '" . $_POST["Preco1"] . "',
                                '" . $_POST["Preco2"] . "',
                                '" . $_POST["Preco3"] . "',
                                '" . $_POST["Preco4"] . "',
                                '" . $_POST["Preco5"] . "',
                                '" . $_POST["Preco6"] . "',
                                '" . $_POST["Preco7"] . "',
                                '" . $_POST["Preco8"] . "',
                                '" . $_POST["Preco9"] . "',
                                '" . $_POST["Preco10"] . "',
                                '" . $_POST["Preco11"] . "',
                                '" . $_POST["Preco12"] . "',
                                '" . $_POST["Mkup1"] . "',
                                '" . $_POST["Mkup2"] . "',
                                '" . $_POST["Mkup3"] . "',
                                '" . $_POST["Mkup4"] . "',
                                '" . $_POST["Mkup5"] . "',
                                '" . $_POST["Mkup6"] . "',
                                '" . $_POST["Mkup7"] . "',
                                '" . $_POST["Mkup8"] . "',
                                '" . $_POST["Mkup9"] . "',
                                '" . $_POST["Mkup10"] . "',
                                '" . $_POST["Mkup11"] . "',
                                '" . $_POST["Mkup12"] . "',
                                '" . $_POST["Fornecedor"] . "',
                                '" . $_POST["Medida"] . "',
                                '" . $_POST["Medida2"] . "',
                                '" . $_POST["Medida3"] . "',
                                '" . $_POST["Ativo"] . "',
                                '" . $_POST["Custo"] . "',
                                '" . $_POST["Ultimo_Custo"] . "',
                                '" . $_POST["Categoria_Produto"] . "',
                                '" . $_POST["Categoria_Produto_Filho"] . "',
                                '" . $_POST["Tipo"] . "',
                                '" . $_POST["Ipi"] . "',
                                '" . $_POST["Pis"] . "',
                                '" . $_POST["Cofins"] . "',
                                '" . $_POST["Cfop_Venda"] . "',
                                '" . $_POST["Cfop_Compra"] . "',
                                '" . $_POST["Cfop_Venda_F"] . "',
                                '" . $_POST["Cfop_Compra_F"] . "',
                                '" . $_POST["Estoque_Minimo"] . "',
                                '" . $_POST["Estoque_Maximo"] . "',
                                '" . $_POST["Ncm"] . "',
                                '" . $_POST["Cest"] . "',
                                '" . $_POST["Peso_Bruto"] . "',
                                '" . $_POST["Peso_Liquido"] . "',
                                '" . $_POST["Local_Estoque_Entrada"] . "',
                                '" . $_POST["Local_Estoque_Saida"] . "',
                                '" . $aliquota_paf . "',
                                '" . $_POST["Codigo_ST"] . "',
                                '" . $ST_Paf . "',
                                '" . $_POST["IPPT"] . "',
                                '" . $_POST["Kit"] . "',
                                '" . $nomeDaFoto . "',
                                '" . $nomeDaFoto2 . "',
                                '" . $nomeDaFoto3 . "',
                                '" . $nomeDaFoto4 . "',
                                '" . limpaNome($_POST["Gtin"]) . "',
                                '" . limpaNome($_POST["Gtin2"]) . "',
                                '" . limpaNome($_POST["Gtin3"]) . "',
                                '" . $_POST["Regime_ST"] . "',
                                '" . $_POST["Origem_ST"] . "',
                                '" . $_POST["Classe_Enquadramento"] . "',
                                '" . $_POST["Codigo_Enquadramento"] . "',
                                '" . $_POST["Cnpj_Produtor"] . "',
                                '" . $_POST["Ex_Tipi"] . "',
                                '" . $_POST["CST_Pis"] . "',
                                '" . $_POST["Aliquota_Pis"] . "',
                                '" . $_POST["CST_Cofins"] . "',
                                '" . $_POST["Aliquota_Cofins"] . "',
                                '" . $_POST["Aliquota_Simples"] . "',
                                '" . $_POST["Valor_Credito_Simples"] . "',
                                '" . $_POST["ANP"] . "',
                                '" . limpaNome($_POST["Obs"]) . "',
                                '" . $_POST["Comissao"] . "',
                                '" . $_POST["Comissao2"] . "',
                                '" . $_POST["Comissao3"] . "',
                                '" . $_POST["Fabricante"] . "',
                                '" . $_POST["Cod_Selo_Controle"] . "',
                                '" . $_POST["Qtd_Selo_Controle"] . "',
                                '" . $_POST["CST_Ipi"] . "',
                                '" . $_POST["Aliquota_Ipi"] . "',
                                '" . $_POST["Modalidade_BC_ICMS_ST"] . "',
                                '" . $_POST["Reducao_BC_ICMS_ST"] . "',
                                '" . $_POST["Valor_Adicional_ICMS_ST"] . "',
                                '" . $_POST["Aliquota_ICMS_ST"] . "',
                                '" . $_POST["Modalidade_BC_ICMS"] . "',
                                '" . $_POST["Aliquota_ICMS"] . "',
                                '" . $_POST["Tempo_Renovacao"] . "',
                                '" . $_POST["Tabela_Icms"] . "',
                                '" . $_POST["Codigo_ST2"] . "',
                                '" . $_POST["Site"] . "',
                                '" . SITE_SISTEMA . "/" . CLIENTE_EMAIL . "',
                                '" . trim($_POST["Armazenagem"]) . "',
                                '" . data_banco($_POST["Data_Gravacao"]) . "',
                                '" . data_banco($_POST["Data_Exibicao"]) . "',
                                '" . $_POST["Sf"] . "',
                                '" . $_POST["Codigo_Fornecedor"] . "',
                                '" . $_POST["Altura"] . "',
                                '" . $_POST["Largura"] . "',
                                '" . $_POST["Comprimento"] . "',
                                '" . $_POST["Valor_Minimo_Venda"] . "',
                                '" . $_POST["Vende_Livre"] . "',
                                '" . $_POST["Qtd_Caixa"] . "',
                                '" . $_POST["FCP"] . "',
                                '" . $tp_cate["Tipo"] . "',
                                '" . $_POST["Local_Impressora"] . "',
                                '" . $cod_barras . "',
                                '" . $etiqueta . "',
                                '" . $_POST["Descricao_Etiqueta"] . "',
                                '" . $_POST["Ibpt"] . "',
                                '" . $_POST["Codigo2"] . "',
                                '" . $_POST["Descricao2"] . "',
                                '" . $_POST["Codigo3"] . "',
                                '" . $_POST["Descricao3"] . "',
                                '" . $_POST["Descricao4"] . "',
                                '" . $_POST["Codigo_Montadora"] . "',
                                '" . $_POST["Tempo_Chegada"] . "',
                                '" . $_POST["Pesavel"] . "',
                                '" . $_POST["Codigo_Paf"] . "',
                                '" . $_POST["Id_Atividade"] . "',
                                '" . $_POST["Id_Centro_Custo"] . "',
                                '" . $_POST["Preco_Especial"] . "',
                                '" . $_POST["Qtd_Caixa2"] . "',
                                '" . $_POST["Cor"] . "',
                                '" . $_POST["Anvisa"] . "',
                                '" . $_POST["Anvisa_Validade"] . "',
                                '" . $_POST["Risco"] . "',
                                '" . $_POST["Simpro"] . "',
                                '" . $_POST["Sus"] . "',
                                '" . $_POST["Exibir_Mobile"] . "',
                                '" . $_POST["Valor_Dolar"] . "',
                                '" . $_POST["Custo_Dolar"] . "',
                                '" . $_POST["motDesICMS"] . "',
                                '" . $_POST["Atividade_Produto"] . "',
                                '" . $_POST["Genero_Produto"] . "',
                                '" . $_POST["Tipo_Producao"] . "',
                                '" . $_POST["Embalagem1"] . "',
                                '" . $_POST["Embalagem2"] . "',
                                '" . $_POST["Valor_Pauta"] . "',
                                '" . $_POST["Id_Ncm"] . "',
                                '" . $_POST["Preco13"] . "',
                                '" . $_POST["Preco14"] . "',
                                '" . $_POST["Preco15"] . "',
                                '" . $_POST["Preco16"] . "',
                                '" . $_POST["Preco17"] . "',
                                '" . $_POST["Preco18"] . "',
                                '" . $_POST["Preco19"] . "',
                                '" . $_POST["Preco20"] . "',
                                '" . $_POST["Preco21"] . "',
                                '" . $_POST["Preco22"] . "',
                                '" . $_POST["Preco23"] . "',
                                '" . $_POST["Preco24"] . "',
                                '" . $_POST["Preco25"] . "',
                                '" . $_POST["Preco26"] . "',
                                '" . $_POST["Preco27"] . "',
                                '" . $_POST["Preco28"] . "',
                                '" . $_POST["Preco29"] . "',
                                '" . $_POST["Preco30"] . "',
                                '" . $_POST["Preco31"] . "',
                                '" . $_POST["Preco32"] . "',
                                '" . $_POST["Preco33"] . "',
                                '" . $_POST["Preco34"] . "',
                                '" . $_POST["Preco35"] . "',
                                '" . $_POST["Preco36"] . "',
                                '" . $_POST["Preco37"] . "',
                                '" . $_POST["Preco38"] . "',
                                '" . $_POST["Preco39"] . "',
                                '" . $_POST["Preco40"] . "',
                                '" . $_POST["Preco41"] . "',
                                '" . $_POST["Preco42"] . "',
                                '" . $_POST["Fracionado"] . "',
                                '" . $_POST["cProdANP"] . "',
                                '" . $_POST["descANP"] . "',
                                '" . $_POST["UFCons"] . "',
                                '" . $_POST["vPart"] . "',
                                '" . $_POST["pGLP"] . "',
                                '" . $_POST["pGNn"] . "',
                                '" . $_POST["pGNi"] . "',
                                '" . $_POST["qTemp"] . "',
                                '" . $_POST["Ingrediente_Nutricional"] . "',
                                '" . $_POST["Descricao_Nutricional"] . "',
                                '" . $_POST["Cesta_Basica"] . "',
                                '" . $_POST["Obs_Cpl"] . "',
                                '" . $_POST["Sped_Inf_Item"] . "',
                                '" . $_POST["Moeda"] . "',
                                '" . $_POST["Consumo_Proprio"] . "',
                                '" . $_POST["Regime_Especial_P"] . "',
                                '" . limpaNome($_POST["Especie"]) . "',
                                '" . $_POST["Tipo_Ers"] . "',
                                '" . $_POST["Natureza_Receita"] . "',
                                '" . $_POST["Classe_Garden"] . "',
                                '" . $_POST["FQIT"] . "',
                                '" . $_POST["Etpf"] . "',
                                '" . $_POST["Et_Molhagem"] . "',
                                '" . $_POST["Custo_Adicional"] . "',
                                '" . $_POST['Fator_Producao'] . "',
                                '" . $_POST['Cozinha'] . "',
                                '" . $_POST['Ifood'] . "',
                                '" . $_POST['Cte'] . "',
                                '" . $_POST['Altura_Formula'] . "',
                                '" . $_POST['Largura_Formula'] . "',
                                '" . $_POST['Espessura_Formula'] . "',
                                '" . $_POST['Densidade_Formula'] . "',
                                '" . $_POST['Obs_2'] . "',
                                '" . $_POST['Local_Entrega'] . "',
                                '" . $_POST['Descricao_Ifood'] . "',
                                " . $padraoPost . ")")
                        or die("Erro no comando SQL:" . mysqli_error($con));


                    $_POST['Qtd_Estoque_Inicial'] = str_replace('.', '', $_POST['Qtd_Estoque_Inicial']);
                    $_POST['Qtd_Estoque_Inicial'] = str_replace(',', '.', $_POST['Qtd_Estoque_Inicial']);

                    if (($_GET["acao"] == "entrar" || $_GET["acao"] == "clonar") && $_POST['Qtd_Estoque_Inicial'] > 0) {

                        $_POST['Custo'] = str_replace('.', '', $_POST['Custo']);
                        $_POST['Custo'] = str_replace(',', '.', $_POST['Custo']);

                        $idEstoqueAna = md5($_POST["Codigo_Produto"] . microtime());
                        mysqli_query($con, "INSERT INTO estoque (Id,
                                Id_Produto,
                                Nome_Produto,
                                Id_Categoria_Produto,
                                Id_Categoria_Produto_Filho,
                                Id_Fornecedor,
                                Origem,
                                Qtd,
                                Preco_Custo,
                                Id_Unidade,
                                Id_Local_Estoque,
                                Concluido,
                                " . $padraoCampos . ")
                                values(
                                '" . $idEstoqueAna . "',
                                '" . $_POST["Codigo_Produto"] . "',
                                '" . limpaNome(trim($_POST["Titulo"])) . "',
                                '" . $_POST["Categoria_Produto"] . "',
                                '" . $_POST["Categoria_Produto_Filho"] . "',
                                '" . $_POST["Fornecedor"] . "',
                                'Contagem Inicial',
                                '" . $_POST["Qtd_Estoque_Inicial"] . "',
                                '" . $_POST["Custo"] . "',
                                '1',
                                '1',
                                'Sim',
                                " . $padraoPost . ")");
                    }


                    $redirecionar = "list_produto.php";
                    logUsuario($_SERVER['REMOTE_ADDR'], $_SESSION['Login'], $_SESSION['Email'], $_SESSION['Unidade'], "Produto", "Cadastro", $_POST["Codigo"]);

                    if ($_POST["x"] != "") {
                        if (isset($_GET['cProd'])) { ?>
                            <script language="javascript" type="text/javascript">
                                function idProduto(x, Codigo, Produto, Id) {
                                    window.opener.document.getElementById("Id_Produto_Sistema" + x).value = Id;
                                    window.opener.document.getElementById("Produto_Sistema" + x).value = Codigo + " : " + Produto;
                                    window.opener.document.getElementById("Produto_Sistema" + x).focus();
                                    window.close();
                                }
                                idProduto('<?php echo $_POST["x"]; ?>', '<?php echo limpaNome($_POST["Codigo"]); ?>',
                                    '<?php echo limpaNome(trim($_POST["Titulo"])); ?>', '<?php echo $_POST["Codigo_Produto"]; ?>')
                            </script>
                        <?php
                        } else { ?>
                            <script>
                                window.opener.document.getElementById("Produto").value = '<?php echo limpaNome($_POST["Codigo"]); ?>' + " : " +
                                    '<?php echo limpaNome(trim($_POST["Titulo"])); ?>';
                                window.opener.document.getElementById("Produto").focus();
                                window.close();
                            </script>
                <?php
                        }
                        die();
                    }
                } else {
                    $msg = 'Produto j cadastrado!';
                }
            } else {
                $msg = 'Cdigo j utilizado!';
            }
        } elseif ($_POST["Alterar"]) {

            if (PRODUTO_MANUAL != 'Sim') {
                $_POST["Codigo"] = str_pad($_POST['Codigo'], 4, "0", STR_PAD_LEFT);
            }

            $codFoto = $_GET["id_produto"];
            $codProduto = espacos(limpaNome($_POST['Codigo']));
            $codProdutoAnt = espacos(limpaNome($_POST['Codigo_Anterior']));

            if ($_FILES['Foto']["name"]) {
                include 'recorta_foto.php';
                $logo_banco = " Foto = '" . $nomeDaFoto . "',";
            }

            if ($_FILES['Foto2']["name"]) {
                include 'recorta_foto2.php';
                $logo_banco2 = " Foto2 = '" . $nomeDaFoto2 . "',";
            }

            if ($_FILES['Foto3']["name"]) {
                include 'recorta_foto3.php';
                $logo_banco3 = " Foto3 = '" . $nomeDaFoto3 . "',";
            }

            if ($_FILES['Foto4']["name"]) {
                include 'recorta_foto4.php';
                $logo_banco4 = " Foto4 = '" . $nomeDaFoto4 . "',";
            }

            rename('fotos/' . $codProdutoAnt . '/', 'fotos/' . $codProduto . '/'); // Renomeia /novapasta/ para /minhapasta/
            rename('fotos/' . $codProdutoAnt . '-2/', 'fotos/' . $codProduto . '-2/'); // Renomeia /novapasta/ para /minhapasta/
            rename('fotos/' . $codProdutoAnt . '-3/', 'fotos/' . $codProduto . '-3/'); // Renomeia /novapasta/ para /minhapasta/
            rename('fotos/' . $codProdutoAnt . '-4/', 'fotos/' . $codProduto . '-4/'); // Renomeia /novapasta/ para /minhapasta/

            if ($_POST["Remover_Foto"]) {
                $caminho1 = "fotos/" . $codProduto . "/medium/";
                $caminho2 = "fotos/" . $codProduto . "/thumb/";
                $caminho3 = "fotos/" . $codProduto . "/original/";
                @unlink($caminho1 . $codFoto . ".gif");
                @unlink($caminho2 . $codFoto . ".gif");
                @unlink($caminho3 . $codFoto . ".gif");
                @unlink($caminho1 . $codFoto . ".png");
                @unlink($caminho2 . $codFoto . ".png");
                @unlink($caminho3 . $codFoto . ".png");
                @unlink($caminho1 . $codFoto . ".jpg");
                @unlink($caminho2 . $codFoto . ".jpg");
                @unlink($caminho3 . $codFoto . ".jpg");
                @unlink($caminho1 . $codFoto . ".jpeg");
                @unlink($caminho2 . $codFoto . ".jpeg");
                @unlink($caminho3 . $codFoto . ".jpeg");

                $caminho1 = "fotos/" . $codProduto . "-2/medium/";
                $caminho2 = "fotos/" . $codProduto . "-2/thumb/";
                $caminho3 = "fotos/" . $codProduto . "-2/original/";
                @unlink($caminho1 . $codFoto . ".gif");
                @unlink($caminho2 . $codFoto . ".gif");
                @unlink($caminho3 . $codFoto . ".gif");
                @unlink($caminho1 . $codFoto . ".png");
                @unlink($caminho2 . $codFoto . ".png");
                @unlink($caminho3 . $codFoto . ".png");
                @unlink($caminho1 . $codFoto . ".jpg");
                @unlink($caminho2 . $codFoto . ".jpg");
                @unlink($caminho3 . $codFoto . ".jpg");
                @unlink($caminho1 . $codFoto . ".jpeg");
                @unlink($caminho2 . $codFoto . ".jpeg");
                @unlink($caminho3 . $codFoto . ".jpeg");

                $caminho1 = "fotos/" . $codProduto . "-3/medium/";
                $caminho2 = "fotos/" . $codProduto . "-3/thumb/";
                $caminho3 = "fotos/" . $codProduto . "-3/original/";
                @unlink($caminho1 . $codFoto . ".gif");
                @unlink($caminho2 . $codFoto . ".gif");
                @unlink($caminho3 . $codFoto . ".gif");
                @unlink($caminho1 . $codFoto . ".png");
                @unlink($caminho2 . $codFoto . ".png");
                @unlink($caminho3 . $codFoto . ".png");
                @unlink($caminho1 . $codFoto . ".jpg");
                @unlink($caminho2 . $codFoto . ".jpg");
                @unlink($caminho3 . $codFoto . ".jpg");
                @unlink($caminho1 . $codFoto . ".jpeg");
                @unlink($caminho2 . $codFoto . ".jpeg");
                @unlink($caminho3 . $codFoto . ".jpeg");

                $caminho1 = "fotos/" . $codProduto . "-4/medium/";
                $caminho2 = "fotos/" . $codProduto . "-4/thumb/";
                $caminho3 = "fotos/" . $codProduto . "-4/original/";
                @unlink($caminho1 . $codFoto . ".gif");
                @unlink($caminho2 . $codFoto . ".gif");
                @unlink($caminho3 . $codFoto . ".gif");
                @unlink($caminho1 . $codFoto . ".png");
                @unlink($caminho2 . $codFoto . ".png");
                @unlink($caminho3 . $codFoto . ".png");
                @unlink($caminho1 . $codFoto . ".jpg");
                @unlink($caminho2 . $codFoto . ".jpg");
                @unlink($caminho3 . $codFoto . ".jpg");
                @unlink($caminho1 . $codFoto . ".jpeg");
                @unlink($caminho2 . $codFoto . ".jpeg");
                @unlink($caminho3 . $codFoto . ".jpeg");
            }

            $aliq = mysqli_query($con, "select Id,
                        Aliquota" . $_POST['Tabela_Icms'] . " as Aliquota,
                        Reducao" . $_POST['Tabela_Icms'] . " as Reducao
                        from icms
                        WHERE Estado='" . $emp["Estado"] . "' ");
            $aliq_est = mysqli_fetch_assoc($aliq);

            if ($_POST["Cte"] == 'Sim') {
                mysqli_query($con, "UPDATE produto SET Cte='No' ");
            }

            mysqli_query($con, "UPDATE produto SET
                                            Codigo = '" . limpaNome($_POST["Codigo"]) . "',
                                            Titulo = '" . limpaNome(trim($_POST["Titulo"])) . "',
                                            Descricao = '" . limpaNome(trim($_POST["Descricao"])) . "',
                                            Preco1 = '" . $_POST["Preco1"] . "',
                                            Preco2 = '" . $_POST["Preco2"] . "',
                                            Preco3 = '" . $_POST["Preco3"] . "',
                                            Preco4 = '" . $_POST["Preco4"] . "',
                                            Preco5 = '" . $_POST["Preco5"] . "',
                                            Preco6 = '" . $_POST["Preco6"] . "',
                                            Preco7 = '" . $_POST["Preco7"] . "',
                                            Preco8 = '" . $_POST["Preco8"] . "',
                                            Preco9 = '" . $_POST["Preco9"] . "',
                                            Preco10 = '" . $_POST["Preco10"] . "',
                                            Preco11 = '" . $_POST["Preco11"] . "',
                                            Preco12 = '" . $_POST["Preco12"] . "',
                                            Mkup1 = '" . $_POST["Mkup1"] . "',
                                            Mkup2 = '" . $_POST["Mkup2"] . "',
                                            Mkup3 = '" . $_POST["Mkup3"] . "',
                                            Mkup4 = '" . $_POST["Mkup4"] . "',
                                            Mkup5 = '" . $_POST["Mkup5"] . "',
                                            Mkup6 = '" . $_POST["Mkup6"] . "',
                                            Mkup7 = '" . $_POST["Mkup7"] . "',
                                            Mkup8 = '" . $_POST["Mkup8"] . "',
                                            Mkup9 = '" . $_POST["Mkup9"] . "',
                                            Mkup10 = '" . $_POST["Mkup10"] . "',
                                            Mkup11 = '" . $_POST["Mkup11"] . "',
                                            Mkup12 = '" . $_POST["Mkup12"] . "',
                                            Ipi = '" . $_POST["Ipi"] . "',
                                            Pis = '" . $_POST["Pis"] . "',
                                            Cofins = '" . $_POST["Cofins"] . "',
                                            Id_Cfop_Venda = '" . $_POST["Cfop_Venda"] . "',
                                            Id_Cfop_Compra = '" . $_POST["Cfop_Compra"] . "',
                                            Id_Cfop_Venda_F = '" . $_POST["Cfop_Venda_F"] . "',
                                            Id_Cfop_Compra_F = '" . $_POST["Cfop_Compra_F"] . "',
                                            Id_Fornecedor = '" . $_POST["Fornecedor"] . "',
                                            Ativo = '" . $_POST["Ativo"] . "',
                                            Medida = '" . $_POST["Medida"] . "',
                                            Medida2 = '" . $_POST["Medida2"] . "',
                                            Medida3 = '" . $_POST["Medida3"] . "',
                                            Custo = '" . $_POST["Custo"] . "',
                                            Ultimo_Custo = '" . $_POST["Ultimo_Custo"] . "',
                                            Custo_Adicional = '" . $_POST["Custo_Adicional"] . "',
                                            Id_Categoria_Produto = '" . $_POST["Categoria_Produto"] . "',
                                            Id_Categoria_Produto_Filho = '" . $_POST["Categoria_Produto_Filho"] . "',
                                            Estoque_Minimo = '" . $_POST["Estoque_Minimo"] . "',
                                            Estoque_Maximo = '" . $_POST["Estoque_Maximo"] . "',
                                            Ncm = '" . $_POST["Ncm"] . "',
                                            Cest = '" . $_POST["Cest"] . "',
                                            Peso_Bruto = '" . $_POST["Peso_Bruto"] . "',
                                            Peso_Liquido = '" . $_POST["Peso_Liquido"] . "',
                                            Id_Local_Estoque_Entrada = '" . $_POST["Local_Estoque_Entrada"] . "',
                                            Id_Local_Estoque_Saida = '" . $_POST["Local_Estoque_Saida"] . "',
                                            Aliquota = '" . $aliquota_paf . "',
                                            Situacao_Tributaria = '" . $ST_Paf . "',
                                            IPPT = '" . $_POST["IPPT"] . "',
                                            Flag_Kit = '" . $_POST["Kit"] . "',
                                            Gtin = '" . limpaNome($_POST["Gtin"]) . "',
                                            Gtin2 = '" . limpaNome($_POST["Gtin2"]) . "',
                                            Gtin3 = '" . limpaNome($_POST["Gtin3"]) . "',
                                            Regime_ST = '" . $_POST["Regime_ST"] . "',
                                            Codigo_ST = '" . $_POST["Codigo_ST"] . "',
                                            Origem_ST = '" . $_POST["Origem_ST"] . "',
                                            Classe_Enquadramento = '" . $_POST["Classe_Enquadramento"] . "',
                                            Codigo_Enquadramento = '" . $_POST["Codigo_Enquadramento"] . "',
                                            Cnpj_Produtor = '" . $_POST["Cnpj_Produtor"] . "',
                                            Ex_Tipi = '" . $_POST["Ex_Tipi"] . "',
                                            CST_Pis = '" . $_POST["CST_Pis"] . "',
                                            Aliquota_Pis = '" . $_POST["Aliquota_Pis"] . "',
                                            CST_Cofins = '" . $_POST["CST_Cofins"] . "',
                                            Aliquota_Cofins = '" . $_POST["Aliquota_Cofins"] . "',
                                            Aliquota_Simples = '" . $_POST["Aliquota_Simples"] . "',
                                            Valor_Credito_Simples = '" . $_POST["Valor_Credito_Simples"] . "',
                                            ANP = '" . $_POST["ANP"] . "',
                                            Obs = '" . limpaNome($_POST["Obs"]) . "',
                                            Comissao = '" . $_POST["Comissao"] . "',
                                            Comissao2 = '" . $_POST["Comissao2"] . "',
                                            Comissao3 = '" . $_POST["Comissao3"] . "',
                                            Id_Fabricante = '" . $_POST["Fabricante"] . "',
                                            Cod_Selo_Controle = '" . $_POST["Cod_Selo_Controle"] . "',
                                            Qtd_Selo_Controle = '" . $_POST["Qtd_Selo_Controle"] . "',
                                            CST_Ipi = '" . $_POST["CST_Ipi"] . "',
                                            Aliquota_Ipi = '" . $_POST["Aliquota_Ipi"] . "',
                                            Modalidade_BC_ICMS_ST = '" . $_POST["Modalidade_BC_ICMS_ST"] . "',
                                            Reducao_BC_ICMS_ST = '" . $_POST["Reducao_BC_ICMS_ST"] . "',
                                            Valor_Adicional_ICMS_ST = '" . $_POST["Valor_Adicional_ICMS_ST"] . "',
                                            Aliquota_ICMS_ST = '" . $_POST["Aliquota_ICMS_ST"] . "',
                                            Modalidade_BC_ICMS = '" . $_POST["Modalidade_BC_ICMS"] . "',
                                            Aliquota_ICMS = '" . $_POST["Aliquota_ICMS"] . "',
                                            Tempo_Renovacao = '" . $_POST["Tempo_Renovacao"] . "',
                                            Tabela_Icms = '" . $_POST["Tabela_Icms"] . "',
                                            Codigo_ST2 = '" . $_POST["Codigo_ST2"] . "',
                                            Site = '" . $_POST["Site"] . "',
                                            Caminho_Foto = '" . SITE_SISTEMA . "/" . CLIENTE_EMAIL . "',
                                            Armazenagem = '" . trim($_POST["Armazenagem"]) . "',
                                            Data_Gravacao = '" . data_banco($_POST["Data_Gravacao"]) . "',
                                            Data_Exibicao = '" . data_banco($_POST["Data_Exibicao"]) . "',
                                            Sf = '" . $_POST["Sf"] . "',
                                            Codigo_Fornecedor = '" . $_POST["Codigo_Fornecedor"] . "',
                                            Altura = '" . $_POST["Altura"] . "',
                                            Largura = '" . $_POST["Largura"] . "',
                                            Comprimento = '" . $_POST["Comprimento"] . "',
                                            Valor_Minimo_Venda = '" . $_POST["Valor_Minimo_Venda"] . "',
                                            Vende_Livre = '" . $_POST["Vende_Livre"] . "',
                                            Qtd_Caixa = '" . $_POST["Qtd_Caixa"] . "',
                                            FCP = '" . $_POST["FCP"] . "',
                                            Tipo_Categoria = '" . $tp_cate["Tipo"] . "',
                                            Id_Local_Impressora = '" . $_POST["Local_Impressora"] . "',
                                            Codigo_Barras = '" . $cod_barras . "',
                                            Etiqueta = '" . $etiqueta . "',
                                            Descricao_Etiqueta = '" . $_POST["Descricao_Etiqueta"] . "',
                                            Ibpt = '" . $_POST["Ibpt"] . "',
                                            Codigo2 = '" . $_POST["Codigo2"] . "',
                                            Descricao2 = '" . $_POST["Descricao2"] . "',
                                            Codigo3 = '" . $_POST["Codigo3"] . "',
                                            Descricao3 = '" . $_POST["Descricao3"] . "',
                                            Descricao4 = '" . $_POST["Descricao4"] . "',
                                            Codigo_Montadora = '" . $_POST["Codigo_Montadora"] . "',
                                            Tempo_Chegada = '" . $_POST["Tempo_Chegada"] . "',
                                            Pesavel = '" . $_POST["Pesavel"] . "',
                                            Codigo_Paf = '" . $_POST["Codigo_Paf"] . "',
                                            Id_Atividade = '" . $_POST["Atividade"] . "',
                                            Id_Centro_Custo = '" . $_POST["Centro_Custo"] . "',
                                            Preco_Especial = '" . $_POST["Preco_Especial"] . "',
                                            Qtd_Caixa2 = '" . $_POST["Qtd_Caixa2"] . "',
                                            Id_Cor = '" . $_POST["Cor"] . "',
                                            Anvisa = '" . $_POST["Anvisa"] . "',
                                            Anvisa_Validade = '" . $_POST["Anvisa_Validade"] . "',
                                            Risco = '" . $_POST["Risco"] . "',
                                            Simpro = '" . $_POST["Simpro"] . "',
                                            Sus = '" . $_POST["Sus"] . "',
                                            Exibir_Mobile = '" . $_POST["Exibir_Mobile"] . "',
                                            Valor_Dolar = '" . $_POST["Valor_Dolar"] . "',
                                            Custo_Dolar = '" . $_POST["Custo_Dolar"] . "',
                                            motDesICMS = '" . $_POST["motDesICMS"] . "',
                                            Atividade_Produto = '" . $_POST["Atividade_Produto"] . "',
                                            Genero_Produto = '" . $_POST["Genero_Produto"] . "',
                                            Tipo_Producao = '" . $_POST["Tipo_Producao"] . "',
                                            Embalagem1 = '" . $_POST["Embalagem1"] . "',
                                            Embalagem2 = '" . $_POST["Embalagem2"] . "',
                                            Valor_Pauta = '" . $_POST["Valor_Pauta"] . "',
                                            Id_Ncm = '" . $_POST["Id_Ncm"] . "',
                                            Flag_Aceito = 'BR*',
                                            Preco13 = '" . $_POST["Preco13"] . "',
                                            Preco14 = '" . $_POST["Preco14"] . "',
                                            Preco15 = '" . $_POST["Preco15"] . "',
                                            Preco16 = '" . $_POST["Preco16"] . "',
                                            Preco17 = '" . $_POST["Preco17"] . "',
                                            Preco18 = '" . $_POST["Preco18"] . "',
                                            Preco19 = '" . $_POST["Preco19"] . "',
                                            Preco20 = '" . $_POST["Preco20"] . "',
                                            Preco21 = '" . $_POST["Preco21"] . "',
                                            Preco22 = '" . $_POST["Preco22"] . "',
                                            Preco23 = '" . $_POST["Preco23"] . "',
                                            Preco24 = '" . $_POST["Preco24"] . "',
                                            Preco25 = '" . $_POST["Preco25"] . "',
                                            Preco26 = '" . $_POST["Preco26"] . "',
                                            Preco27 = '" . $_POST["Preco27"] . "',
                                            Preco28 = '" . $_POST["Preco28"] . "',
                                            Preco29 = '" . $_POST["Preco29"] . "',
                                            Preco30 = '" . $_POST["Preco30"] . "',
                                            Preco31 = '" . $_POST["Preco31"] . "',
                                            Preco32 = '" . $_POST["Preco32"] . "',
                                            Preco33 = '" . $_POST["Preco33"] . "',
                                            Preco34 = '" . $_POST["Preco34"] . "',
                                            Preco35 = '" . $_POST["Preco35"] . "',
                                            Preco36 = '" . $_POST["Preco36"] . "',
                                            Preco37 = '" . $_POST["Preco37"] . "',
                                            Preco38 = '" . $_POST["Preco38"] . "',
                                            Preco39 = '" . $_POST["Preco39"] . "',
                                            Preco40 = '" . $_POST["Preco40"] . "',
                                            Preco41 = '" . $_POST["Preco41"] . "',
                                            Preco42 = '" . $_POST["Preco42"] . "',
                                            Fracionado = '" . $_POST["Fracionado"] . "',
                                            cProdANP = '" . $_POST["cProdANP"] . "',
                                            descANP = '" . $_POST["descANP"] . "',
                                            UFCons = '" . $_POST["UFCons"] . "',
                                            vPart = '" . $_POST["vPart"] . "',
                                            pGLP = '" . $_POST["pGLP"] . "',
                                            pGNn = '" . $_POST["pGNn"] . "',
                                            pGNi = '" . $_POST["pGNi"] . "',
                                            qTemp = '" . $_POST["qTemp"] . "',
                                            Obs_cpl = '" . $_POST["Obs_cpl"] . "',
                                            Ingrediente_Nutricional = '" . $_POST["Ingrediente_Nutricional"] . "',
                                            Descricao_Nutricional = '" . $_POST["Descricao_Nutricional"] . "',
                                            Cesta_Basica = '" . $_POST["Cesta_Basica"] . "',
                                            Sped_Inf_Item = '" . $_POST["Sped_Inf_Item"] . "',
                                            Moeda = '" . $_POST["Moeda"] . "',
                                            Consumo_Proprio = '" . $_POST["Consumo_Proprio"] . "',
                                            Id_Regime_Especial_P = '" . $_POST["Regime_Especial_P"] . "',
                                            Tipo_Ers = '" . $_POST["Tipo_Ers"] . "',
                                            Natureza_Receita = '" . $_POST["Natureza_Receita"] . "',
                                            Id_Especie = '" . limpaNome($_POST["Especie"]) . "',
                                            Classe_Garden = '" . $_POST["Classe_Garden"] . "',
                                            FQIT = '" . $_POST["FQIT"] . "',
                                            Etpf = '" . $_POST["Etpf"] . "',
                                            Et_Molhagem = '" . $_POST["Et_Molhagem"] . "',
                                            Fator_Producao = '" . $_POST['Fator_Producao'] . "',
                                            Cozinha = '" . $_POST['Cozinha'] . "',
                                            Ifood = '" . $_POST['Ifood'] . "',
                                            Altura_Formula = '" . $_POST['Altura_Formula'] . "',
                                            Largura_Formula = '" . $_POST['Largura_Formula'] . "',
                                            Espessura_Formula = '" . $_POST['Espessura_Formula'] . "',
                                            Densidade_Formula = '" . $_POST['Densidade_Formula'] . "',
                                            Obs_2 = '" . $_POST['Obs_2'] . "',
                                            Marketplace = '" . $_POST['Marketplace'] . "',
                                            Cte = '" . $_POST['Cte'] . "',
                                            Local_Entrega = '" . $_POST['Local_Entrega'] . "',
                                            Descricao_Ifood = '" . $_POST['Descricao_Ifood'] . "',
                                            $logo_banco
                                            $logo_banco2
                                            $logo_banco3
                                            $logo_banco4
                                            " . $padraoUpd . "
                                            WHERE Id='" . $_GET["id_produto"] . "' ")
                or die("Erro no comando SQL:" . mysqli_error($con));
            if (CATALOGO == 'Sim' && $_POST["Id_Loja_Virtual"] && !empty($_POST["Id_Loja_Virtual"])) {
                if ($_POST["Site"] == "Sim") {
                    $produtoVirtual = new Produto();
                    if ($produtoVirtual->atualizar($_GET["id_produto"])) {
                        Produto::ativarProdutoLoja($_GET["id_produto"]);
                    }
                } elseif ($_POST["Site"] == "No") {
                    Produto::inativarProdutoLoja($_GET["id_produto"]);
                }
            }

            if (MARKETPLACE == "Sim" && $_POST["Marketplace"] && !empty($_POST["Marketplace"])) {
                $getProduto = mysqli_query($con, "SELECT Id, Id_Bling, Codigo, Titulo, Descricao, Preco1, Medida, Ncm, Cest, Gtin, Estoque_Minimo,
                    Estoque_Maximo, Peso_Liquido, Peso_Bruto, Altura, Largura, Codigo_Barras, Caminho_Foto, Foto, Foto2, Foto3, Qtd_Caixa, Obs, Ativo,
                    (SELECT Titulo FROM fornecedor WHERE Id = produto.Id_Fornecedor) AS Fornecedor,
                    (SELECT Id_Bling FROM categoria_produto WHERE Id = produto.Id_Categoria_Produto) AS Id_Categoria_Marketplace,
                    (SELECT Id_Bling FROM categoria_produto WHERE Id = produto.Id_Categoria_Produto_Filho) AS Id_Subcategoria_Marketplace,
                    (SELECT Id_Bling FROM fornecedor WHERE Id = produto.Id_Fornecedor) AS Id_Fornecedor_Marketplace,
                    (SELECT COUNT(Id) FROM produto WHERE Id_Produto_Pai = produto.Id) AS Qtd_Produto_Filho,
                    (SELECT Titulo FROM fabricante WHERE Id = produto.Id_Fabricante) AS Fabricante
                    FROM produto
                    WHERE Id = '{$_GET['id_produto']}' AND Id_Bling IS NOT NULL AND Id_Bling != ''");
                if (mysqli_num_rows($getProduto) > 0) {
                    $dadosProduto = mysqli_fetch_assoc($getProduto);
                    $imagensProduto = [];
                    if ($dadosProduto["Foto"] != "") {
                        $dadosProduto['Codigo'] = str_replace(".", "", $dadosProduto['Codigo']);
                        array_push($imagensProduto, new ImagemProduto("https://{$dadosProduto["Caminho_Foto"]}/produto/fotos/{$dadosProduto['Codigo']}/original/{$dadosProduto["Foto"]}"));
                        for ($i = 2; $i <= 5; $i++) {
                            if (isset($dadosProduto["Foto$i"]) && $dadosProduto["Foto$i"] != "") {
                                array_push($imagensProduto, new ImagemProduto("https://{$dadosProduto["Caminho_Foto"]}/produto/fotos/{$dadosProduto['Codigo']}/original/{$dadosProduto["Foto$i"]}"));
                            }
                        }
                    }

                    $midiaProduto = new MidiaProduto(
                        new ImagensProduto($imagensProduto),
                        new VideoProduto("")
                    );

                    $statusProduto = $_POST["Marketplace"] == 'Sim' && $dadosProduto['Ativo'] == 'Sim' ? "A" : "I";
                    $produto = new ProdutoBling(
                        Bling::isoToUtf8($dadosProduto['Titulo']),
                        "P",
                        $statusProduto,
                        $dadosProduto['Qtd_Produto_Filho'] > 0 ? "V" : "S",
                        Bling::isoToUtf8($dadosProduto['Descricao']),
                        $midiaProduto,
                        $dadosProduto["Peso_Bruto"] > 0 ? $dadosProduto["Peso_Bruto"] : 0.01,
                        new Dimensao(
                            $dadosProduto['Largura'] > 0 ? $dadosProduto["Largura"] : 0.01,
                            $dadosProduto["Altura"] > 0 ? $dadosProduto["Altura"] : 0.01,
                            0.01
                        ),
                        $dadosProduto['Fabricante'] ?? Bling::isoToUtf8("No informado"),
                        $dadosProduto['Gtin'],
                        $dadosProduto['Fornecedor'],
                        $dadosProduto['Codigo'],
                        $dadosProduto['Preco1'],
                        new CategoriaPaiProduto($dadosProduto['Id_Categoria_Marketplace']),
                        new ProdutoEstoque($dadosProduto['Estoque_Minimo'], $dadosProduto['Estoque_Maximo']),
                        $dadosProduto['Medida'],
                        false,
                        $dadosProduto['Peso_Liquido'],
                        1,
                        $dadosProduto['Obs'],
                        1,
                        $dadosProduto['Qtd_Caixa']
                    );
                    $produto->setId((int)$dadosProduto['Id_Bling']);
                    ProdutoBling::atualizar($produto);

                    $fornecedorProduto = new FornecedorProduto(
                        new ProdutoFornecedorDTO((int)$dadosProduto['Id_Bling']),
                        new FornecedorDTO((int)$dadosProduto['Id_Fornecedor_Marketplace'])
                    );
                    FornecedorProduto::atualizar($fornecedorProduto);
                }
            }
            if (RESTAURANTE == "Sim" && $_POST['Id_Ifood'] !== null) {
            }

            $redirecionar = "list_produto.php?acao=entrar";
            logUsuario($_SERVER['REMOTE_ADDR'], $_SESSION['Login'], $_SESSION['Email'], $_SESSION['Unidade'], "Produto", "Alterao", $_POST["Codigo"]);

            if ($_POST["x"] != "") {
                ?>
                <script language="javascript" type="text/javascript">
                    function idProduto(x, Codigo, Produto, Id) {
                        window.opener.document.getElementById("Id_Produto_Sistema" + x).value = Id;
                        window.opener.document.getElementById("Produto_Sistema" + x).value = Codigo + " : " + Produto;
                        window.opener.document.getElementById("Produto_Sistema" + x).focus();
                        window.close();
                    }
                    idProduto('<?php echo $_POST["x"]; ?>', '<?php echo limpaNome($_POST["Codigo"]); ?>',
                        '<?php echo limpaNome(trim($_POST["Titulo"])); ?>', '<?php echo $_GET["id_produto"]; ?>')
                </script>
<?php
                die();
            }
        }

        //inserindo a grade
        if (is_array($_POST["Tamanho"])) {

            if (CLIENTE_EMAIL == 'armarinhoivo') {
                include "criar_grade_armarinho.php";
            } else {
                include "criar_grade.php";

                mysqli_query($con, "UPDATE produto SET Flag_Grade = 'S' WHERE Id = '" . $_POST["Codigo_Produto"] . "' ");
            }
        }
    } else {
        //alerta de campos obrigatrios
        if (!$_POST["Titulo"]) {
            $obrig .= 'Nome, ';
        }
        if (!$_POST["Preco1"]) {
            $obrig .= 'Preo, ';
        }
        if (!$_POST["Categoria_Produto"]) {
            $obrig .= 'Categoria Produto, ';
        }
        if (!$_POST["Medida"]) {
            $obrig .= 'Medida, ';
        }
        if (!$_POST["Codigo"]) {
            $obrig .= 'Cdigo, ';
        }
        $obrig = substr($obrig, 0, -2);

        $msg = "Faltou Preencher: " . $obrig;
    }
}

if ($_SERVER['REQUEST_METHOD'] == "GET") {
    if ($_GET["acao"] == "alterar") {
        $sql_produto = mysqli_query($con, "SELECT Titulo,
                            Codigo,
                            Descricao,
                            Id_Fornecedor,
                            Ativo,
                            Medida,
                            Medida2,
                            Medida3,
                            Preco1,
                            Preco2,
                            Preco3,
                            Preco4,
                            Preco5,
                            Preco6,
                            Preco7,
                            Preco8,
                            Preco9,
                            Preco10,
                            Preco11,
                            Preco12,
                            Mkup1,
                            Mkup2,
                            Mkup3,
                            Mkup4,
                            Mkup5,
                            Mkup6,
                            Mkup7,
                            Mkup8,
                            Mkup9,
                            Mkup10,
                            Mkup11,
                            Mkup12,
                            Custo,
                            Ultimo_Custo,
                            Ipi,
                            Pis,
                            Cofins,
                            Id_Cfop_Venda,
                            Id_Cfop_Compra,
                            Id_Cfop_Venda_F,
                            Id_Cfop_Compra_F,
                            Id_Categoria_Produto,
                            Id_Categoria_Produto_Filho,
                            Estoque_Minimo,
                            Estoque_Maximo,
                            Ncm,
                            Cest,
                            Peso_Bruto,
                            Peso_Liquido,
                            Id_Local_Estoque_Entrada,
                            Id_Local_Estoque_Saida,
                            Aliquota,
                            Situacao_Tributaria,
                            IPPT,
                            Flag_Kit,
                            Foto,
                            Foto2,
                            Foto3,
                            Foto4,
                            Gtin,
                            Gtin2,
                            Gtin3,
                            Origem_ST,
                            Codigo_ST,
                            Regime_ST,
                            Etiqueta,
                            Classe_Enquadramento,
                            Codigo_Enquadramento,
                            Cnpj_Produtor,
                            Ex_Tipi,
                            CST_Pis,
                            Aliquota_Pis,
                            CST_Cofins,
                            Aliquota_Cofins,
                            Aliquota_Simples,
                            Valor_Credito_Simples,
                            ANP,
                            Obs,
                            Comissao,
                            Comissao2,
                            Comissao3,
                            Id_Fabricante,
                            Cod_Selo_Controle,
                            Qtd_Selo_Controle,
                            CST_Ipi,
                            Aliquota_Ipi,
                            Modalidade_BC_ICMS_ST,
                            Reducao_BC_ICMS_ST,
                            Valor_Adicional_ICMS_ST,
                            Aliquota_ICMS_ST,
                            Modalidade_BC_ICMS,
                            Aliquota_ICMS,
                            Tempo_Renovacao,
                            Tabela_Icms,
                            Codigo_ST2,
                            Site,
                            Codigo_Barras,
                            Armazenagem,
                            Data_Gravacao,
                            Data_Exibicao,
                            Sf,
                            Codigo_Fornecedor,
                            Altura,
                            Largura,
                            Comprimento,
                            Valor_Minimo_Venda,
                            Vende_Livre,
                            Qtd_Caixa,
                            Flag_Grade,
                            FCP,
                            Descricao_Etiqueta,
                            Id_Local_Impressora,
                            Ibpt,
                            Codigo2,
                            Descricao2,
                            Codigo3,
                            Descricao3,
                            Descricao4,
                            Data_Compra,
                            Codigo_Montadora,
                            Tempo_Chegada,
                            Pesavel,
                            Codigo_Paf,
                            Id_Atividade,
                            Id_Centro_Custo,
                            Preco_Especial,
                            Qtd_Caixa2,
                            Id_Cor,
                            Anvisa,
                            Anvisa_Validade,
                            Risco,
                            Simpro,
                            Sus,
                            Exibir_Mobile,
                            Valor_Dolar,
                            Custo_Dolar,
                            motDesICMS,
                            Atividade_Produto,
                            Genero_Produto,
                            Tipo_Producao,
                            Embalagem1,
                            Embalagem2,
                            Valor_Pauta,
                            Id_Ncm,
                            Preco13,
                            Preco14,
                            Preco15,
                            Preco16,
                            Preco17,
                            Preco18,
                            Preco19,
                            Preco20,
                            Preco21,
                            Preco22,
                            Preco23,
                            Preco24,
                            Preco25,
                            Preco26,
                            Preco27,
                            Preco28,
                            Preco29,
                            Preco30,
                            Preco31,
                            Preco32,
                            Preco33,
                            Preco34,
                            Preco35,
                            Preco36,
                            Preco37,
                            Preco38,
                            Preco39,
                            Preco40,
                            Preco41,
                            Preco42,
                            Fracionado,
                            cProdANP,
                            descANP,
                            UFCons,
                            vPart,
                            pGLP,
                            pGNn,
                            pGNi,
                            qTemp,
                            Ingrediente_Nutricional,
                            Descricao_Nutricional,
                            Cesta_Basica,
                            Obs_Cpl,
                            Sped_Inf_Item,
                            Moeda,
                            Consumo_Proprio,
                            Id_Regime_Especial_P,
                            Id_Especie,
                            Tipo_Ers,
                            Id_Loja_Virtual,
                            Natureza_Receita,
                            Classe_Garden,
                            FQIT,
                            Et_Molhagem,
                            Etpf,
                            Custo_Adicional,
                            Fator_Producao,
                            Cozinha,
                            Ifood,
                            Id_Ifood,
                            Altura_Formula,
                            Largura_Formula,
                            Espessura_Formula,
                            Densidade_Formula,
                            Obs_2,
                            Marketplace,
                            Cte,
                            Local_Entrega,
                            Descricao_Ifood
                            FROM produto WHERE Id='" . $_GET["id_produto"] . "'")
            or die("ERRO no comando SQL:" . mysqli_error($con));
        $array_produto = mysqli_fetch_assoc($sql_produto);

        $_POST["Titulo"] = stripslashes($array_produto["Titulo"]);
        $_POST["Codigo"] = $array_produto["Codigo"];
        $_POST["Descricao"] = stripslashes($array_produto["Descricao"]);
        $_POST["Fornecedor"] = $array_produto["Id_Fornecedor"];
        $_POST["Ativo"] = $array_produto["Ativo"];
        $_POST["Medida"] = $array_produto["Medida"];
        $_POST["Medida2"] = $array_produto["Medida2"];
        $_POST["Medida3"] = $array_produto["Medida3"];
        $_POST["Preco1"] = ($array_produto["Preco1"]);
        $_POST["Preco2"] = ($array_produto["Preco2"]);
        $_POST["Preco3"] = ($array_produto["Preco3"]);
        $_POST["Preco4"] = ($array_produto["Preco4"]);
        $_POST["Preco5"] = ($array_produto["Preco5"]);
        $_POST["Preco6"] = ($array_produto["Preco6"]);
        $_POST["Preco7"] = ($array_produto["Preco7"]);
        $_POST["Preco8"] = ($array_produto["Preco8"]);
        $_POST["Preco9"] = ($array_produto["Preco9"]);
        $_POST["Preco10"] = ($array_produto["Preco10"]);
        $_POST["Preco11"] = ($array_produto["Preco11"]);
        $_POST["Preco12"] = ($array_produto["Preco12"]);
        $_POST["Mkup1"] = ($array_produto["Mkup1"]);
        $_POST["Mkup2"] = ($array_produto["Mkup2"]);
        $_POST["Mkup3"] = ($array_produto["Mkup3"]);
        $_POST["Mkup4"] = ($array_produto["Mkup4"]);
        $_POST["Mkup5"] = ($array_produto["Mkup5"]);
        $_POST["Mkup6"] = ($array_produto["Mkup6"]);
        $_POST["Mkup7"] = ($array_produto["Mkup7"]);
        $_POST["Mkup8"] = ($array_produto["Mkup8"]);
        $_POST["Mkup9"] = ($array_produto["Mkup9"]);
        $_POST["Mkup10"] = ($array_produto["Mkup10"]);
        $_POST["Mkup11"] = ($array_produto["Mkup11"]);
        $_POST["Mkup12"] = ($array_produto["Mkup12"]);
        $_POST["Custo"] = ($array_produto["Custo"]);
        $_POST["Ultimo_Custo"] = ($array_produto["Ultimo_Custo"]);
        $_POST["Custo_Adicional"] = ($array_produto["Custo_Adicional"]);
        $_POST["Ipi"] = ($array_produto["Ipi"]);
        $_POST["Pis"] = $array_produto["Pis"];
        $_POST["Cofins"] = $array_produto["Cofins"];
        $_POST["Cfop_Venda"] = $array_produto["Id_Cfop_Venda"];
        $_POST["Cfop_Compra"] = $array_produto["Id_Cfop_Compra"];
        $_POST["Cfop_Venda_F"] = $array_produto["Id_Cfop_Venda_F"];
        $_POST["Cfop_Compra_F"] = $array_produto["Id_Cfop_Compra_F"];
        $_POST["Categoria_Produto"] = $array_produto["Id_Categoria_Produto"];
        $_POST["Categoria_Produto_Filho"] = $array_produto["Id_Categoria_Produto_Filho"];
        $_POST["Estoque_Minimo"] = ($array_produto["Estoque_Minimo"]);
        $_POST["Estoque_Maximo"] = ($array_produto["Estoque_Maximo"]);
        $_POST["Ncm"] = $array_produto["Ncm"];
        $_POST["Cest"] = $array_produto["Cest"];
        $_POST["Peso_Bruto"] = ($array_produto["Peso_Bruto"]);
        $_POST["Peso_Liquido"] = ($array_produto["Peso_Liquido"]);
        $_POST["Local_Estoque_Entrada"] = $array_produto["Id_Local_Estoque_Entrada"];
        $_POST["Local_Estoque_Saida"] = $array_produto["Id_Local_Estoque_Saida"];
        $_POST["Aliquota"] = $array_produto["Aliquota"];
        $_POST["Situacao_Tributaria"] = $array_produto["Situacao_Tributaria"];
        $_POST["IPPT"] = $array_produto["IPPT"];
        $_POST["Kit"] = $array_produto["Flag_Kit"];
        $_POST["Foto"] = $array_produto["Foto"];
        $_POST["Foto2"] = $array_produto["Foto2"];
        $_POST["Foto3"] = $array_produto["Foto3"];
        $_POST["Foto4"] = $array_produto["Foto4"];
        $_POST["Gtin"] = stripslashes($array_produto["Gtin"]);
        $_POST["Gtin2"] = stripslashes($array_produto["Gtin2"]);
        $_POST["Gtin3"] = stripslashes($array_produto["Gtin3"]);
        $_POST["Origem_ST"] = $array_produto["Origem_ST"];
        $_POST["Codigo_ST"] = $array_produto["Codigo_ST"];
        $_POST["Regime_ST"] = $array_produto["Regime_ST"];
        $_POST["Etiqueta"] = $array_produto["Etiqueta"];
        $_POST["Classe_Enquadramento"] = $array_produto["Classe_Enquadramento"];
        $_POST["Codigo_Enquadramento"] = $array_produto["Codigo_Enquadramento"];
        $_POST["Cnpj_Produtor"] = $array_produto["Cnpj_Produtor"];
        $_POST["Ex_Tipi"] = $array_produto["Ex_Tipi"];
        $_POST["CST_Pis"] = $array_produto["CST_Pis"];
        $_POST["Aliquota_Pis"] = ($array_produto["Aliquota_Pis"]);
        $_POST["CST_Cofins"] = $array_produto["CST_Cofins"];
        $_POST["Aliquota_Cofins"] = ($array_produto["Aliquota_Cofins"]);
        $_POST["Aliquota_Simples"] = ($array_produto["Aliquota_Simples"]);
        $_POST["Valor_Credito_Simples"] = ($array_produto["Valor_Credito_Simples"]);
        $_POST["ANP"] = $array_produto["ANP"];
        $_POST["Obs"] = stripslashes($array_produto["Obs"]);
        $_POST["Comissao"] = ($array_produto["Comissao"]);
        $_POST["Comissao2"] = ($array_produto["Comissao2"]);
        $_POST["Comissao3"] = ($array_produto["Comissao3"]);
        $_POST["Fabricante"] = $array_produto["Id_Fabricante"];
        $_POST["Cod_Selo_Controle"] = $array_produto["Cod_Selo_Controle"];
        $_POST["Qtd_Selo_Controle"] = $array_produto["Qtd_Selo_Controle"];
        $_POST["CST_Ipi"] = $array_produto["CST_Ipi"];
        $_POST["Aliquota_Ipi"] = ($array_produto["Aliquota_Ipi"]);
        $_POST["Modalidade_BC_ICMS_ST"] = $array_produto["Modalidade_BC_ICMS_ST"];
        $_POST["Reducao_BC_ICMS_ST"] = ($array_produto["Reducao_BC_ICMS_ST"]);
        $_POST["Valor_Adicional_ICMS_ST"] = ($array_produto["Valor_Adicional_ICMS_ST"]);
        $_POST["Aliquota_ICMS_ST"] = ($array_produto["Aliquota_ICMS_ST"]);
        $_POST["Modalidade_BC_ICMS"] = $array_produto["Modalidade_BC_ICMS"];
        $_POST["Aliquota_ICMS"] = ($array_produto["Aliquota_ICMS"]);
        $_POST["Tempo_Renovacao"] = $array_produto["Tempo_Renovacao"];
        $_POST["Tabela_Icms"] = $array_produto["Tabela_Icms"];
        $_POST["Codigo_ST2"] = $array_produto["Codigo_ST2"];
        $_POST["Site"] = $array_produto["Site"];
        $_POST["Codigo_Barras"] = $array_produto["Codigo_Barras"];
        $_POST["Armazenagem"] = $array_produto["Armazenagem"];
        $_POST["Data_Gravacao"] = data_exibir($array_produto["Data_Gravacao"]);
        $_POST["Data_Exibicao"] = data_exibir($array_produto["Data_Exibicao"]);
        $_POST["Sf"] = $array_produto["Sf"];
        $_POST["Codigo_Fornecedor"] = $array_produto["Codigo_Fornecedor"];
        $_POST["Altura"] = $array_produto["Altura"];
        $_POST["Largura"] = $array_produto["Largura"];
        $_POST["Comprimento"] = $array_produto["Comprimento"];
        $_POST["Valor_Minimo_Venda"] = $array_produto["Valor_Minimo_Venda"];
        $_POST["Vende_Livre"] = $array_produto["Vende_Livre"];
        $_POST["Qtd_Caixa"] = $array_produto["Qtd_Caixa"];
        $_POST["Flag_Grade"] = $array_produto["Flag_Grade"];
        $_POST["FCP"] = $array_produto["FCP"];
        $_POST["Descricao_Etiqueta"] = $array_produto["Descricao_Etiqueta"];
        $_POST["Local_Impressora"] = $array_produto["Id_Local_Impressora"];
        $_POST["Ibpt"] = $array_produto["Ibpt"];
        $_POST["Codigo2"] = $array_produto["Codigo2"];
        $_POST["Descricao2"] = $array_produto["Descricao2"];
        $_POST["Codigo3"] = $array_produto["Codigo3"];
        $_POST["Descricao3"] = $array_produto["Descricao3"];
        $_POST["Descricao4"] = $array_produto["Descricao4"];
        $_POST["Data_Compra"] = data_exibir($array_produto["Data_Compra"]);
        $_POST["Codigo_Montadora"] = $array_produto["Codigo_Montadora"];
        $_POST["Tempo_Chegada"] = $array_produto["Tempo_Chegada"];
        $_POST["Pesavel"] = $array_produto["Pesavel"];
        $_POST["Codigo_Paf"] = $array_produto["Codigo_Paf"];
        $_POST["Atividade"] = $array_produto["Id_Atividade"];
        $_POST["Centro_Custo"] = $array_produto["Id_Centro_Custo"];
        $_POST["Preco_Especial"] = $array_produto["Preco_Especial"];
        $_POST["Qtd_Caixa2"] = $array_produto["Qtd_Caixa2"];
        $_POST["Cor"] = $array_produto["Id_Cor"];
        $_POST["Anvisa"] = $array_produto["Anvisa"];
        $_POST["Anvisa_Validade"] = $array_produto["Anvisa_Validade"];
        $_POST["Risco"] = $array_produto["Risco"];
        $_POST["Simpro"] = $array_produto["Simpro"];
        $_POST["Sus"] = $array_produto["Sus"];
        $_POST["Exibir_Mobile"] = $array_produto["Exibir_Mobile"];
        $_POST["Valor_Dolar"] = $array_produto["Valor_Dolar"];
        $_POST["Custo_Dolar"] = $array_produto["Custo_Dolar"];
        $_POST["motDesICMS"] = $array_produto["motDesICMS"];
        $_POST["Atividade_Produto"] = $array_produto["Atividade_Produto"];
        $_POST["Genero_Produto"] = $array_produto["Genero_Produto"];
        $_POST['Tipo_Producao'] = $array_produto["Tipo_Producao"];
        $_POST['Codigo_Anterior'] = $array_produto["Codigo"];
        $_POST['Embalagem1'] = $array_produto["Embalagem1"];
        $_POST['Embalagem2'] = $array_produto["Embalagem2"];
        $_POST['Valor_Pauta'] = $array_produto["Valor_Pauta"];
        $_POST['Id_Ncm'] = $array_produto["Id_Ncm"];
        $_POST["Preco13"] = $array_produto["Preco13"];
        $_POST["Preco14"] = $array_produto["Preco14"];
        $_POST["Preco15"] = $array_produto["Preco15"];
        $_POST["Preco16"] = $array_produto["Preco16"];
        $_POST["Preco17"] = $array_produto["Preco17"];
        $_POST["Preco18"] = $array_produto["Preco18"];
        $_POST["Preco19"] = $array_produto["Preco19"];
        $_POST["Preco20"] = $array_produto["Preco20"];
        $_POST["Preco21"] = $array_produto["Preco21"];
        $_POST["Preco22"] = $array_produto["Preco22"];
        $_POST["Preco23"] = $array_produto["Preco23"];
        $_POST["Preco24"] = $array_produto["Preco24"];
        $_POST["Preco25"] = $array_produto["Preco25"];
        $_POST["Preco26"] = $array_produto["Preco26"];
        $_POST["Preco27"] = $array_produto["Preco27"];
        $_POST["Preco28"] = $array_produto["Preco28"];
        $_POST["Preco29"] = $array_produto["Preco29"];
        $_POST["Preco30"] = $array_produto["Preco30"];
        $_POST["Preco31"] = $array_produto["Preco31"];
        $_POST["Preco32"] = $array_produto["Preco32"];
        $_POST["Preco33"] = $array_produto["Preco33"];
        $_POST["Preco34"] = $array_produto["Preco34"];
        $_POST["Preco35"] = $array_produto["Preco35"];
        $_POST["Preco36"] = $array_produto["Preco36"];
        $_POST["Preco37"] = $array_produto["Preco37"];
        $_POST["Preco38"] = $array_produto["Preco38"];
        $_POST["Preco39"] = $array_produto["Preco39"];
        $_POST["Preco40"] = $array_produto["Preco40"];
        $_POST["Preco41"] = $array_produto["Preco41"];
        $_POST["Preco42"] = $array_produto["Preco42"];
        $_POST["Fracionado"] = $array_produto["Fracionado"];
        $_POST["cProdANP"] = $array_produto["cProdANP"];
        $_POST["descANP"] = $array_produto["descANP"];
        $_POST["UFCons"] = $array_produto["UFCons"];
        $_POST["vPart"] = $array_produto["vPart"];
        $_POST["pGLP"] = $array_produto["pGLP"];
        $_POST["pGNn"] = $array_produto["pGNn"];
        $_POST["pGNi"] = $array_produto["pGNi"];
        $_POST["qTemp"] = $array_produto["qTemp"];
        $_POST["Ingrediente_Nutricional"] = $array_produto["Ingrediente_Nutricional"];
        $_POST["Descricao_Nutricional"] = $array_produto["Descricao_Nutricional"];
        $_POST["Cesta_Basica"] = $array_produto["Cesta_Basica"];
        $_POST["Obs_Cpl"] = $array_produto["Obs_Cpl"];
        $_POST["Sped_Inf_Item"] = $array_produto["Sped_Inf_Item"];
        $_POST["Moeda"] = $array_produto["Moeda"];
        $_POST["Consumo_Proprio"] = $array_produto["Consumo_Proprio"];
        $_POST["Regime_Especial_P"] = $array_produto["Id_Regime_Especial_P"];
        $_POST["Especie"] = $array_produto["Id_Especie"];
        $_POST["Tipo_Ers"] = $array_produto["Tipo_Ers"];
        $_POST["Id_Loja_Virtual"] = $array_produto["Id_Loja_Virtual"];
        $_POST["Natureza_Receita"] = $array_produto["Natureza_Receita"];
        $_POST["Classe_Garden"] = $array_produto["Classe_Garden"];
        $_POST["FQIT"] = $array_produto["FQIT"];
        $_POST["Fator_Producao"] = $array_produto["Fator_Producao"];
        $_POST["Et_Molhagem"] = $array_produto["Et_Molhagem"];
        $_POST["Etpf"] = $array_produto["Etpf"];
        $_POST["Cozinha"] = $array_produto["Cozinha"];
        $_POST["Ifood"] = $array_produto["Ifood"];
        $_POST["Id_Ifood"] = $array_produto["Id_Ifood"];
        $_POST['Altura_Formula'] = $array_produto['Altura_Formula'];
        $_POST['Largura_Formula'] = $array_produto['Largura_Formula'];
        $_POST['Espessura_Formula'] = $array_produto['Espessura_Formula'];
        $_POST['Densidade_Formula'] = $array_produto['Densidade_Formula'];
        $_POST['Obs_2'] = $array_produto['Obs_2'];
        $_POST['Marketplace'] = $array_produto['Marketplace'];
        $_POST['Cte'] = $array_produto['Cte'];
        $_POST['Local_Entrega'] = $array_produto['Local_Entrega'];
        $_POST['Descricao_Ifood'] = $array_produto['Descricao_Ifood'];
    }



    ##funcao clonar
    if ($_GET["acao"] == "clonar") {

        $_GET["acao"] = 'entrar';

        $sql_produto = mysqli_query($con, "SELECT Titulo,
                            Codigo,
                            Descricao,
                            Id_Fornecedor,
                            Ativo,
                            Medida,
                            Medida2,
                            Medida3,
                            Preco1,
                            Preco2,
                            Preco3,
                            Preco4,
                            Preco5,
                            Preco6,
                            Preco7,
                            Preco8,
                            Preco9,
                            Preco10,
                            Preco11,
                            Preco12,
                            Mkup1,
                            Mkup2,
                            Mkup3,
                            Mkup4,
                            Mkup5,
                            Mkup6,
                            Custo,
                            Ultimo_Custo,
                            Custo_Adicional,
                            Ipi,
                            Pis,
                            Cofins,
                            Id_Cfop_Venda,
                            Id_Cfop_Compra,
                            Id_Cfop_Venda_F,
                            Id_Cfop_Compra_F,
                            Id_Categoria_Produto,
                            Id_Categoria_Produto_Filho,
                            Estoque_Minimo,
                            Estoque_Maximo,
                            Ncm,
                            Cest,
                            Peso_Bruto,
                            Peso_Liquido,
                            Id_Local_Estoque_Entrada,
                            Id_Local_Estoque_Saida,
                            Aliquota,
                            Situacao_Tributaria,
                            IPPT,
                            Flag_Kit,
                            Foto,
                            Foto2,
                            Foto3,
                            Foto4,
                            Gtin,
                            Gtin2,
                            Gtin3,
                            Origem_ST,
                            Codigo_ST,
                            Regime_ST,
                            Etiqueta,
                            Classe_Enquadramento,
                            Codigo_Enquadramento,
                            Cnpj_Produtor,
                            Ex_Tipi,
                            CST_Pis,
                            Aliquota_Pis,
                            CST_Cofins,
                            Aliquota_Cofins,
                            Aliquota_Simples,
                            Valor_Credito_Simples,
                            ANP,
                            Obs,
                            Comissao,
                            Comissao2,
                            Comissao3,
                            Id_Fabricante,
                            Cod_Selo_Controle,
                            Qtd_Selo_Controle,
                            CST_Ipi,
                            Aliquota_Ipi,
                            Modalidade_BC_ICMS_ST,
                            Reducao_BC_ICMS_ST,
                            Valor_Adicional_ICMS_ST,
                            Aliquota_ICMS_ST,
                            Modalidade_BC_ICMS,
                            Aliquota_ICMS,
                            Tempo_Renovacao,
                            Tabela_Icms,
                            Codigo_ST2,
                            Site,
                            Codigo_Barras,
                            Armazenagem,
                            Caracteristica,
                            Data_Gravacao,
                            Data_Exibicao,
                            Sf,
                            Codigo_Fornecedor,
                            Altura,
                            Largura,
                            Comprimento,
                            Valor_Minimo_Venda,
                            Vende_Livre,
                            Qtd_Caixa,
                            Flag_Grade,
                            FCP,
                            Descricao_Etiqueta,
                            Id_Local_Impressora,
                            Data_Compra,
                            Codigo_Montadora,
                            Tempo_Chegada,
                            Pesavel,
                            Codigo_Paf,
                            Id_Atividade,
                            Id_Centro_Custo,
                            Id_Cor,
                            Anvisa,
                            Anvisa_Validade,
                            Risco,
                            Simpro,
                            Sus,
                            Exibir_Mobile,
                            Valor_Dolar,
                            Custo_Dolar,
                            motDesICMS,
                            Atividade_Produto,
                            Genero_Produto,
                            Tipo_Producao,
                            Embalagem1,
                            Embalagem2,
                            Valor_Pauta,
                            Id_Ncm,
                            Preco13,
                            Preco14,
                            Preco15,
                            Preco16,
                            Preco17,
                            Preco18,
                            Preco19,
                            Preco20,
                            Preco21,
                            Preco22,
                            Preco23,
                            Preco24,
                            Preco25,
                            Preco26,
                            Preco27,
                            Preco28,
                            Preco29,
                            Preco30,
                            Preco31,
                            Preco32,
                            Preco33,
                            Preco34,
                            Preco35,
                            Preco36,
                            Preco37,
                            Preco38,
                            Preco39,
                            Preco40,
                            Preco41,
                            Preco42,
                            Fracionado,
                            cProdANP,
                            descANP,
                            UFCons,
                            vPart,
                            pGLP,
                            pGNn,
                            pGNi,
                            qTemp,
                            Descricao_Nutricional,
                            Ingrediente_Nutricional,
                            Cesta_Basica,
                            Obs_Cpl,
                            Sped_Inf_Item,
                            Moeda,
                            Consumo_Proprio,
                            Id_Regime_Especial_P,
                            Id_Especie,
                            Tipo_Ers,
                            Natureza_Receita,
                            Classe_Garden,
                            FQIT,
                            Fator_Producao,
                            Cozinha,
                            Ifood,
                            Altura_Formula,
                            Largura_Formula,
                            Espessura_Formula,
                            Densidade_Formula,
                            Obs_2,
                            Etpf,
                            Local_Entrega
                            FROM produto WHERE Id='" . $_GET["id_produto"] . "'")
            or die("ERRO no comando SQL:" . mysqli_error($con));
        $array_produto = mysqli_fetch_assoc($sql_produto);

        $_POST["Titulo"] = stripslashes($array_produto["Titulo"]);
        $_POST["Codigo"] = $array_produto["Codigo"];
        $_POST["Descricao"] = stripslashes($array_produto["Descricao"]);
        $_POST["Fornecedor"] = $array_produto["Id_Fornecedor"];
        $_POST["Ativo"] = $array_produto["Ativo"];
        $_POST["Medida"] = $array_produto["Medida"];
        $_POST["Medida2"] = $array_produto["Medida2"];
        $_POST["Medida3"] = $array_produto["Medida3"];
        $_POST["Preco1"] = ($array_produto["Preco1"]);
        $_POST["Preco2"] = ($array_produto["Preco2"]);
        $_POST["Preco3"] = ($array_produto["Preco3"]);
        $_POST["Preco4"] = ($array_produto["Preco4"]);
        $_POST["Preco5"] = ($array_produto["Preco5"]);
        $_POST["Preco6"] = ($array_produto["Preco6"]);
        $_POST["Preco7"] = ($array_produto["Preco7"]);
        $_POST["Preco8"] = ($array_produto["Preco8"]);
        $_POST["Preco9"] = ($array_produto["Preco9"]);
        $_POST["Preco10"] = ($array_produto["Preco10"]);
        $_POST["Preco11"] = ($array_produto["Preco11"]);
        $_POST["Preco12"] = ($array_produto["Preco12"]);
        $_POST["Mkup1"] = ($array_produto["Mkup1"]);
        $_POST["Mkup2"] = ($array_produto["Mkup2"]);
        $_POST["Mkup3"] = ($array_produto["Mkup3"]);
        $_POST["Mkup4"] = ($array_produto["Mkup4"]);
        $_POST["Mkup5"] = ($array_produto["Mkup5"]);
        $_POST["Mkup6"] = ($array_produto["Mkup6"]);
        $_POST["Custo"] = ($array_produto["Custo"]);
        $_POST["Ultimo_Custo"] = ($array_produto["Ultimo_Custo"]);
        $_POST["Custo_Adicional"] = ($array_produto["Custo_Adicional"]);
        $_POST["Ipi"] = ($array_produto["Ipi"]);
        $_POST["Pis"] = $array_produto["Pis"];
        $_POST["Cofins"] = $array_produto["Cofins"];
        $_POST["Cfop_Venda"] = $array_produto["Id_Cfop_Venda"];
        $_POST["Cfop_Compra"] = $array_produto["Id_Cfop_Compra"];
        $_POST["Cfop_Venda_F"] = $array_produto["Id_Cfop_Venda_F"];
        $_POST["Cfop_Compra_F"] = $array_produto["Id_Cfop_Compra_F"];
        $_POST["Categoria_Produto"] = $array_produto["Id_Categoria_Produto"];
        $_POST["Categoria_Produto_Filho"] = $array_produto["Id_Categoria_Produto_Filho"];
        $_POST["Estoque_Minimo"] = ($array_produto["Estoque_Minimo"]);
        $_POST["Estoque_Maximo"] = ($array_produto["Estoque_Maximo"]);
        $_POST["Ncm"] = $array_produto["Ncm"];
        $_POST["Cest"] = $array_produto["Cest"];
        $_POST["Peso_Bruto"] = ($array_produto["Peso_Bruto"]);
        $_POST["Peso_Liquido"] = ($array_produto["Peso_Liquido"]);
        $_POST["Local_Estoque_Entrada"] = $array_produto["Id_Local_Estoque_Entrada"];
        $_POST["Local_Estoque_Saida"] = $array_produto["Id_Local_Estoque_Saida"];
        $_POST["Aliquota"] = $array_produto["Aliquota"];
        $_POST["Situacao_Tributaria"] = $array_produto["Situacao_Tributaria"];
        $_POST["IPPT"] = $array_produto["IPPT"];
        $_POST["Kit"] = $array_produto["Flag_Kit"];
        $_POST["Foto"] = $array_produto["Foto"];
        $_POST["Foto2"] = $array_produto["Foto2"];
        $_POST["Foto3"] = $array_produto["Foto3"];
        $_POST["Foto4"] = $array_produto["Foto4"];
        $_POST["Gtin"] = stripslashes($array_produto["Gtin"]);
        $_POST["Gtin2"] = stripslashes($array_produto["Gtin2"]);
        $_POST["Gtin3"] = stripslashes($array_produto["Gtin3"]);
        $_POST["Origem_ST"] = $array_produto["Origem_ST"];
        $_POST["Codigo_ST"] = $array_produto["Codigo_ST"];
        $_POST["Regime_ST"] = $array_produto["Regime_ST"];
        $_POST["Etiqueta"] = $array_produto["Etiqueta"];
        $_POST["Classe_Enquadramento"] = $array_produto["Classe_Enquadramento"];
        $_POST["Codigo_Enquadramento"] = $array_produto["Codigo_Enquadramento"];
        $_POST["Cnpj_Produtor"] = $array_produto["Cnpj_Produtor"];
        $_POST["Ex_Tipi"] = $array_produto["Ex_Tipi"];
        $_POST["CST_Pis"] = $array_produto["CST_Pis"];
        $_POST["Aliquota_Pis"] = ($array_produto["Aliquota_Pis"]);
        $_POST["CST_Cofins"] = $array_produto["CST_Cofins"];
        $_POST["Aliquota_Cofins"] = ($array_produto["Aliquota_Cofins"]);
        $_POST["Aliquota_Simples"] = ($array_produto["Aliquota_Simples"]);
        $_POST["Valor_Credito_Simples"] = ($array_produto["Valor_Credito_Simples"]);
        $_POST["ANP"] = $array_produto["ANP"];
        $_POST["Obs"] = stripslashes($array_produto["Obs"]);
        $_POST["Comissao"] = ($array_produto["Comissao"]);
        $_POST["Comissao2"] = ($array_produto["Comissao2"]);
        $_POST["Comissao3"] = ($array_produto["Comissao3"]);
        $_POST["Fabricante"] = $array_produto["Id_Fabricante"];
        $_POST["Cod_Selo_Controle"] = $array_produto["Cod_Selo_Controle"];
        $_POST["Qtd_Selo_Controle"] = $array_produto["Qtd_Selo_Controle"];
        $_POST["CST_Ipi"] = $array_produto["CST_Ipi"];
        $_POST["Aliquota_Ipi"] = ($array_produto["Aliquota_Ipi"]);
        $_POST["Modalidade_BC_ICMS_ST"] = $array_produto["Modalidade_BC_ICMS_ST"];
        $_POST["Reducao_BC_ICMS_ST"] = ($array_produto["Reducao_BC_ICMS_ST"]);
        $_POST["Valor_Adicional_ICMS_ST"] = ($array_produto["Valor_Adicional_ICMS_ST"]);
        $_POST["Aliquota_ICMS_ST"] = ($array_produto["Aliquota_ICMS_ST"]);
        $_POST["Modalidade_BC_ICMS"] = $array_produto["Modalidade_BC_ICMS"];
        $_POST["Aliquota_ICMS"] = ($array_produto["Aliquota_ICMS"]);
        $_POST["Tempo_Renovacao"] = $array_produto["Tempo_Renovacao"];
        $_POST["Tabela_Icms"] = $array_produto["Tabela_Icms"];
        $_POST["Codigo_ST2"] = $array_produto["Codigo_ST2"];
        $_POST["Site"] = $array_produto["Site"];
        $_POST["Codigo_Barras"] = $array_produto["Codigo_Barras"];
        $_POST["Armazenagem"] = $array_produto["Armazenagem"];
        $_POST["Caracteristica"] = $array_produto["Caracteristica"];
        $_POST["Data_Gravacao"] = data_exibir($array_produto["Data_Gravacao"]);
        $_POST["Data_Exibicao"] = data_exibir($array_produto["Data_Exibicao"]);
        $_POST["Sf"] = $array_produto["Sf"];
        $_POST["Codigo_Fornecedor"] = $array_produto["Codigo_Fornecedor"];
        $_POST["Altura"] = $array_produto["Altura"];
        $_POST["Largura"] = $array_produto["Largura"];
        $_POST["Comprimento"] = $array_produto["Comprimento"];
        $_POST["Valor_Minimo_Venda"] = $array_produto["Valor_Minimo_Venda"];
        $_POST["Vende_Livre"] = $array_produto["Vende_Livre"];
        $_POST["Qtd_Caixa"] = $array_produto["Qtd_Caixa"];
        $_POST["Flag_Grade"] = $array_produto["Flag_Grade"];
        $_POST["FCP"] = $array_produto["FCP"];
        $_POST["Descricao_Etiqueta"] = $array_produto["Descricao_Etiqueta"];
        $_POST["Local_Impressora"] = $array_produto["Id_Local_Impressora"];
        $_POST["Data_Compra"] = data_exibir($array_produto["Data_Compra"]);
        $_POST["Codigo_Montadora"] = $array_produto["Codigo_Montadora"];
        $_POST["Tempo_Chegada"] = $array_produto["Tempo_Chegada"];
        $_POST["Pesavel"] = $array_produto["Pesavel"];
        $_POST["Codigo_Paf"] = $array_produto["Codigo"];
        $_POST["Atividade"] = $array_produto["Id_Atividade"];
        $_POST["Centro_Custo"] = $array_produto["Id_Centro_Custo"];
        $_POST["Cor"] = $array_produto["Id_Cor"];
        $_POST["Anvisa"] = $array_produto["Anvisa"];
        $_POST["Anvisa_Validade"] = $array_produto["Anvisa_Validade"];
        $_POST["Risco"] = $array_produto["Risco"];
        $_POST["Simpro"] = $array_produto["Simpro"];
        $_POST["Sus"] = $array_produto["Sus"];
        $_POST["Exibir_Mobile"] = $array_produto["Exibir_Mobile"];
        $_POST["Valor_Dolar"] = $array_produto["Valor_Dolar"];
        $_POST["Custo_Dolar"] = $array_produto["Custo_Dolar"];
        $_POST["motDesICMS"] = $array_produto["motDesICMS"];
        $_POST["Atividade_Produto"] = $array_produto["Atividade_Produto"];
        $_POST["Genero_Produto"] = $array_produto["Genero_Produto"];
        $_POST['Tipo_Producao'] = $array_produto["Tipo_Producao"];
        $_POST['Embalagem1'] = $array_produto["Embalagem1"];
        $_POST['Embalagem2'] = $array_produto["Embalagem2"];
        $_POST['Valor_Pauta'] = $array_produto["Valor_Pauta"];
        $_POST['Id_Ncm'] = $array_produto["Id_Ncm"];
        $_POST["Preco13"] = $array_produto["Preco13"];
        $_POST["Preco14"] = $array_produto["Preco14"];
        $_POST["Preco15"] = $array_produto["Preco15"];
        $_POST["Preco16"] = $array_produto["Preco16"];
        $_POST["Preco17"] = $array_produto["Preco17"];
        $_POST["Preco18"] = $array_produto["Preco18"];
        $_POST["Preco19"] = $array_produto["Preco19"];
        $_POST["Preco20"] = $array_produto["Preco20"];
        $_POST["Preco21"] = $array_produto["Preco21"];
        $_POST["Preco22"] = $array_produto["Preco22"];
        $_POST["Preco23"] = $array_produto["Preco23"];
        $_POST["Preco24"] = $array_produto["Preco24"];
        $_POST["Preco25"] = $array_produto["Preco25"];
        $_POST["Preco26"] = $array_produto["Preco26"];
        $_POST["Preco27"] = $array_produto["Preco27"];
        $_POST["Preco28"] = $array_produto["Preco28"];
        $_POST["Preco29"] = $array_produto["Preco29"];
        $_POST["Preco30"] = $array_produto["Preco30"];
        $_POST["Preco31"] = $array_produto["Preco31"];
        $_POST["Preco32"] = $array_produto["Preco32"];
        $_POST["Preco33"] = $array_produto["Preco33"];
        $_POST["Preco34"] = $array_produto["Preco34"];
        $_POST["Preco35"] = $array_produto["Preco35"];
        $_POST["Preco36"] = $array_produto["Preco36"];
        $_POST["Preco37"] = $array_produto["Preco37"];
        $_POST["Preco38"] = $array_produto["Preco38"];
        $_POST["Preco39"] = $array_produto["Preco39"];
        $_POST["Preco40"] = $array_produto["Preco40"];
        $_POST["Preco41"] = $array_produto["Preco41"];
        $_POST["Preco42"] = $array_produto["Preco42"];
        $_POST["Fracionado"] = $array_produto["Fracionado"];
        $_POST["cProdANP"] = $array_produto["cProdANP"];
        $_POST["descANP"] = $array_produto["descANP"];
        $_POST["UFCons"] = $array_produto["UFCons"];
        $_POST["vPart"] = $array_produto["vPart"];
        $_POST["pGLP"] = $array_produto["pGLP"];
        $_POST["pGNn"] = $array_produto["pGNn"];
        $_POST["pGNi"] = $array_produto["pGNi"];
        $_POST["qTemp"] = $array_produto["qTemp"];
        $_POST["Ingrediente_Nutricional"] = $array_produto["Ingrediente_Nutricional"];
        $_POST["Descricao_Nutricional"] = $array_produto["Descricao_Nutricional"];
        $_POST["Cesta_Basica"] = $array_produto["Cesta_Basica"];
        $_POST["Obs_Cpl"] = $array_produto["Obs_Cpl"];
        $_POST['Sped_Inf_Item'] = $array_produto["Sped_Inf_Item"];
        $_POST['Moeda'] = $array_produto["Moeda"];
        $_POST['Codigo_Anterior'] = $array_produto["Codigo"];
        $_POST['Consumo_Proprio'] = $array_produto["Consumo_Proprio"];
        $_POST['Regime_Especial_P'] = $array_produto["Id_Regime_Especial_P"];
        $_POST['Especie'] = $array_produto["Id_Especie"];
        $_POST['Tipo_Ers'] = $array_produto["Tipo_Ers"];
        $_POST['Natureza_Receita'] = $array_produto["Natureza_Receita"];
        $_POST['Classe_Garden'] = $array_produto["Classe_Garden"];
        $_POST['FQIT'] = $array_produto["FQIT"];
        $_POST['Etpf'] = $array_produto["Etpf"];
        $_POST['Et_Molhagem'] = $array_produto["Et_Molhagem"];
        $_POST['Fator_Producao'] = $array_produto["Fator_Producao"];
        $_POST['Cozinha'] = $array_produto["Cozinha"];
        $_POST['Ifood'] = $array_produto["Ifood"];
        $_POST['Altura_Formula'] = $array_produto['Altura_Formula'];
        $_POST['Largura_Formula'] = $array_produto['Largura_Formula'];
        $_POST['Espessura_Formula'] = $array_produto['Espessura_Formula'];
        $_POST['Densidade_Formula'] = $array_produto['Densidade_Formula'];
        $_POST['Obs_2'] = $array_produto['Obs_2'];
        $_POST['Local_Entrega'] = $array_produto['Local_Entrega'];


        //clonando a formula
        $p_producao = mysqli_query($con, "Select * from produto_producao where Id_Produto = '" . $_GET["id_produto"] . "' ");

        while ($linha = mysqli_fetch_assoc($p_producao)) {
            mysqli_query($con, "INSERT INTO produto_producao (Id,
                                                              Id_Produto,
                                                              Id_Produto_Producao,
                                                              Qtd,
                                                              Medida,
                                                              Tipo,
                                                              Peso_Produto_Pai,
                                                              Percentual_Composto,
                                                              Composto,
                                                              Ordem)
                                                              values('" . md5($linha['Id'] . microtime()) . "',
                                                              '" . $_POST["Codigo_Produto"] . "',
                                                              '" . $linha['Id_Produto_Producao'] . "',
                                                              '" . $linha['Qtd'] . "',
                                                              '" . $linha['Medida'] . "',
                                                              '" . $linha['Tipo'] . "',
                                                              '" . $linha['Peso_Produto_Pai'] . "',
                                                              '" . $linha['Percentual_Composto'] . "',
                                                              '" . $linha['Composto'] . "',
                                                              '" . $linha['Ordem'] . "')");
        }

        //clonando o kit
        $p_kit = mysqli_query($con, "Select * from produto_kit where Id_Produto = '" . $_GET["id_produto"] . "' ");

        while ($linha = mysqli_fetch_assoc($p_kit)) {
            mysqli_query($con, "INSERT INTO produto_kit (Id,
                                                        Id_Produto,
                                                        Id_Produto_Kit,
                                                        Qtd,
                                                        Preco,
                                                        Medida,
                                                        Desconto)
                                                        values('" . md5($linha['Id'] . microtime()) . "',
                                                        '" . $_POST["Codigo_Produto"] . "',
                                                        '" . $linha['Id_Produto_Kit'] . "',
                                                        '" . $linha['Qtd'] . "',
                                                        '" . $linha['Preco'] . "',
                                                        '" . $linha['Medida'] . "',
                                                        '" . $linha['Desconto'] . "')");
        }

        //clonando o laudo tecnico
        $p_producao = mysqli_query($con, "Select * from produto_lcq where Id_Produto = '" . $_GET["id_produto"] . "' ");

        while ($linha = mysqli_fetch_assoc($p_producao)) {
            $Codigo_Contato_Cliente = md5($linha["Id"] . microtime());
            mysqli_query($con, "INSERT INTO produto_lcq (Id,
                            Id_Produto,
                            Id_Ensaio,
                            Id_Especificacao,
                            Id_Unidade,
                            Id_Metodo,
                            Resultado,
                            " . $padraoCampos . ")
                            values('$Codigo_Contato_Cliente',
                            '" . $_POST["Codigo_Produto"] . "',
                            '" . $linha["Id_Ensaio"] . "',
                            '" . $linha["Id_Especificacao"] . "',
                            '" . $linha["Id_Unidade"] . "',
                            '" . $linha["Id_Metodo"] . "',
                            '" . $linha["Resultado"] . "',
                            " . $padraoPost . ")")
                or die("Erro no comando SQL:" . mysqli_error($con));
        }
    }
    ##fim funcao clonar

    if ($_GET["x"] != "" && !empty($_GET['cProd'])) { //vem do compras importacao XML
        $_POST["Codigo_Fornecedor"] = $_GET['cProd'];
        $_POST["Gtin"] = $_GET['cEAN'];
        $_POST["Titulo"] = $_GET['xProd'];
        $_POST["Descricao"] = $_GET['xProd'] . " " . $_GET['nFCI'];
        $_POST["Ncm"] = $_GET['NCM'];
        $_POST["Medida"] = $_GET['uCom'];
        $_POST["Custo"] = $_GET['vUnCom'];
        $_POST["Ultimo_Custo"] = $_GET['vUnCom'];
        $_POST["Fornecedor"] = $_GET['id_fornecedor'];

        $_POST['Codigo_Fornecedor'] = trim($_POST['Codigo_Fornecedor']);
        $_POST['Codigo_Fornecedor'] = ltrim($_POST['Codigo_Fornecedor'], ",");
        $_POST['Codigo_Fornecedor'] = rtrim($_POST['Codigo_Fornecedor'], ",");
        $_POST['Codigo_Fornecedor'] = ',' . $_POST['Codigo_Fornecedor'] . ',';
    } elseif ($_GET['x'] != "" && !isset($_GET['cProd'])) {
        $_POST["Cte"] = "Sim";
    }
}
?>
<html>

<head>
    <title>Gw - Gesto Web</title>
    <?php include 'cabecalho.php'; ?>
</head>

<body>

    <form name="produto" id="produto" method="post" action="" enctype="multipart/form-data">

        <fieldset class="envolve">
            <legend>Produtos</legend>

            <fieldset class="grupo">
                <?php
                //verificando se o produto e manual ou automatico -- tambem esta no cabecalho
                if (PRODUTO_MANUAL == 'No') {

                    if ($_GET["acao"] == "entrar") {

                        $busca_codigo = mysqli_query($con, "SELECT Codigo FROM produto WHERE Tipo_Produto <> 'PA' AND Flag_Grade = 'N' order by Data_Cadastro desc limit 1");
                        $busca_codigo = mysqli_fetch_assoc($busca_codigo);
                        $_POST["Codigo"] = ($busca_codigo['Codigo'] + 1);

                        //include('../codigo_barras/barcode.inc.php');
                        //$code_number = sprintf("%08d",$_POST['Codigo']);
                        //$code_number = "Pontti".$code_number;
                        //new barCodeGenrator($code_number,1,'etiqueta/'.$_POST["Codigo_Produto"].'.gif', 190, 130, true);
                    } else {
                        $_POST["Codigo"] = str_pad($_POST["Codigo"], 4, "0", STR_PAD_LEFT);
                    }

                    $readyo = 'readonly="readonly"';
                    //fim verificacao manual
                }
                ?>
                <div class="campo" style="width: 140px">
                    <label for="Titulo">* Cdigo</label>
                    <input type="text" name="Codigo" id="Codigo" value="<?php echo $_POST["Codigo"]; ?>" <?php echo $readyo; ?>>
                </div>
                <div class="campo" style="width: 40%">
                    <label for="Titulo">* Nome</label>
                    <input type="text" name="Titulo" id="Titulo" value='<?php echo $_POST["Titulo"]; ?>'>
                </div>
                <div class="campo" style="width: 40%">
                    <label for="Descricao">Descrio
                        <font size="1" color="#CD2626" id="obs"> A descrio do produto aparece na NFe.</font>
                    </label>
                    <input type="text" name="Descricao" maxlength="120" id="Descricao" value="<?php echo $_POST["Descricao"]; ?>">
                </div>
            </fieldset>
            <fieldset class="grupo">
                <div class="campo">
                    <label for="Medida">* Medida</label>
                    <div id="Lista_Medida">
                        <?php
                        echo select_banco(
                            "Select Sigla as Id, Sigla as Titulo from medida order by Titulo",
                            "Medida",
                            "Medida",
                            $_POST["Medida"],
                            "",
                            ""
                        );
                        ?>
                    </div>
                    <input type='hidden' name='Medida_Hidden' id='Medida_Hidden' value=''>
                </div>
                <div class="campo">
                    <label for="Button">&nbsp;</label>
                    <input class="botao_novo" type="button" value="Novo" name="Novo_Medida" id="Novo_Medida" onclick="window.open('cad_novo_medida.php','Medida','width=600,height=500,top=0,left=0,scrollbars=yes');">
                </div>
                <div class="campo">
                    <label for="Categoria_Produto">* Categoria</label>
                    <div id="categoriaProduto">
                        <?php
                        echo select_banco("Select Id, Titulo from categoria_produto
                                        WHERE Tipo_Categoria = 'P' AND Ativo='Sim'
                                        AND Id_Pai = '' AND Ativo='Sim' order by Titulo", "Categoria_Produto", "Categoria_Produto", $_POST["Categoria_Produto"], "onchange='centroCusto(this.value);'style='width:200px'", "")
                        ?>
                    </div>
                    <input type='hidden' name='Categoria_Hidden' id='Categoria_Hidden' value=''>
                </div>
                <div class="campo">
                    <label for="Button">&nbsp;</label>
                    <input class="botao_novo" type="button" value="Novo" name="Novo_Categoria" id="Novo_Categoria" onclick="window.open('cad_novo_categoria_produto.php','Categoria_Produto','width=600,height=500,top=0,left=0,scrollbars=yes');">
                </div>
                <div class="campo">
                    <label for="Categoria_Produto_Filho">Sub Categoria
                        <font size="1" color="#CD2626" id="obs"> Obrigatrio loja virtual.</font>
                    </label>
                    <div id="div_cc">
                        <?php
                        echo select_banco("Select Id, Titulo from categoria_produto
                                        WHERE Id_Pai = '" . $_POST["Categoria_Produto"] . "'
                                        AND Tipo_Categoria = 'P' AND Ativo='Sim' AND Ativo='Sim'
                                        order by Titulo", "Categoria_Produto_Filho", "Categoria_Produto_Filho", $_POST["Categoria_Produto_Filho"], "style='width:200px'", "")
                        ?>
                    </div>
                </div>

                <div class="campo">
                    <label for="Fornecedor">Ultimo Fornecedor Compra</label>
                    <?php
                    if (FORNECEDOR_RAZAO_SOCIAL == 'Sim') {
                        $nome = 'Razao_Social';
                    } else {
                        $nome = 'Titulo';
                    }
                    echo select_banco("Select Id, $nome as Titulo from fornecedor WHERE Ativo = 'Sim' AND Funcionario = 'No' AND Tipo='F' order by Titulo", "Fornecedor", "Fornecedor", $_POST["Fornecedor"], "style='width:230px'", "campo_tableless")
                    ?>
                </div>
                <div class="campo">
                    <label for="Codigo_Fornecedor">Cdigo do produto do fornecedor
                        <font size="1" color="#CD2626" id="obs"> Mais de um, Separar com Virgulas.</font>
                    </label>
                    <input type="text" name="Codigo_Fornecedor" id="Codigo_Fornecedor" value="<?php echo $_POST["Codigo_Fornecedor"]; ?>">
                </div>
            </fieldset>

            <fieldset class="grupo">
                <div class="campo">
                    <label for="Fabricante">Fabricante</label>
                    <div id="fabricanteProduto">
                        <?php
                        echo select_banco("Select Id, Titulo from fabricante order by Titulo", "Fabricante", "Fabricante", $_POST["Fabricante"], "style='width:230px'", "campo_tableless")
                        ?>
                    </div>
                    <input type='hidden' name='Fabricante_Hidden' id='Fabricante_Hidden' value=''>
                </div>
                <div class="campo">
                    <label for="Button">&nbsp;</label>
                    <input class="botao_novo" type="button" value="Novo" name="Novo_Fabricante" id="Novo_Fabricante" onclick="window.open('cad_novo_fabricante.php','Fabricante','width=600,height=500,top=0,left=0,scrollbars=yes');">
                </div>
                <!-- <div class="campo">
                    <label for="Cor">Dias Validade</label>
                    <input type="text" name="Cor" id="Cor" value="<?php echo $_POST["Cor"]; ?>" onkeyup="somente_numero(this);">
                </div>
                <div class="campo">
                    <label for="Tempo_Renovacao">Tempo Renovao</label>
                    <input type="text" name="Tempo_Renovacao" id="Tempo_Renovacao" value="<?php echo $_POST["Tempo_Renovacao"]; ?>" onkeyup="somente_numero(this);">
                </div>
                <div class="campo" style="width: 140px">
                    <label for="Data_Compra">Data Compra</label>
                    <input type="text" name="Data_Compra" id="Data_Compra" value="<?php echo $_POST["Data_Compra"]; ?>" style="width: 80%">
                </div> -->
                <div class="campo">
                    <label for="Ativo">Ativo</label>
                    <?php
                    $vetor = array('Sim' => 'Sim', 'No' => 'No');
                    select_tela("Ativo", "Ativo", $_POST["Ativo"], $vetor, '', "");
                    ?>
                </div>
                <div class="campo">
                    <label for="Comissao">Comisso</label>
                    <input type="text" name="Comissao" id="Comissao" value="<?php echo valor_exibir($_POST["Comissao"]); ?>" class="money" onblur="fazerValor(this.value, 'Comissao');">
                </div>
                <div class="campo">
                    <label for="Local_Estoque_Entrada">Entrada Automatica</label>
                    <?php
                    echo select_banco("Select Id, Titulo from local_estoque order by Titulo", "Local_Estoque_Entrada", "Local_Estoque_Entrada", $_POST["Local_Estoque_Entrada"], "style='width:200px'")
                    ?>
                </div>
                <div class="campo">
                    <label for="Local_Estoque_Saida">Sada Automatica</label>
                    <?php
                    echo select_banco("Select Id, Titulo from local_estoque order by Titulo", "Local_Estoque_Saida", "Local_Estoque_Saida", $_POST["Local_Estoque_Saida"], "style='width:200px'")
                    ?>
                </div>
                <?php if ($_GET["acao"] == "entrar" || $_GET["acao"] == "clonar") { ?>
                    <div class="campo">
                        <div class="campo">
                            <label for="Qtd_Estoque_Inicial">Qtd Inicial Estoque</label>
                            <input type="text" name="Qtd_Estoque_Inicial" id="Qtd_Estoque_Inicial" value="<?php echo $_POST["Qtd_Estoque_Inicial"]; ?>" onblur="fazerValor(this.value, 'Qtd_Estoque_Inicial');">
                        </div>
                    </div>
                <?php } ?>
            </fieldset>

            <fieldset class="grupo">
               
            </fieldset>

            <fieldset class="grupo">
            <div class="campo" style="width: 140px">
                    <label for="Custo">Custo</label>
                    <input type="text" name="Custo" id="Custo" value="<?php echo valor_exibir($_POST["Custo"]); ?>" class="money" onblur="fazerValor(this.value, 'Custo');">
                </div>
                <div class="campo" style="width: 140px">
                    <label for="Ultimo_Custo">Ultima Compra</label>
                    <input type="text" name="Ultimo_Custo" id="Ultimo_Custo" value="<?php echo valor_exibir($_POST["Ultimo_Custo"]); ?>" class="money" onblur="fazerValor(this.value, 'Ultimo_Custo');">
                </div>
                <?php
                if (MKUP_AUTO == 'Sim') {
                    $mkup1 = "mkup1(this.value);";
                    $mkup2 = "mkup2(this.value);";
                    $mkup3 = "mkup3(this.value);";
                    $mkup4 = "mkup4(this.value);";
                    $mkup5 = "mkup5(this.value);";
                    $mkup6 = "mkup6(this.value);";
                    $mkup7 = "mkup7(this.value);";
                    $mkup8 = "mkup8(this.value);";
                    $mkup9 = "mkup9(this.value);";
                    $mkup10 = "mkup10(this.value);";
                    $mkup11 = "mkup11(this.value);";
                    $mkup12 = "mkup12(this.value);";
                    $mkup13 = "mkup13(this.value);";
                    $mkup14 = "mkup14(this.value);";
                    $mkup15 = "mkup15(this.value);";
                    if (CLIENTE_EMAIL == 'grupoblockade' || CLIENTE_EMAIL == 'bellavita' || CLIENTE_EMAIL == 'biowash' || CLIENTE_EMAIL == 'fertil' || CLIENTE_EMAIL == 'terrasanta' || CLIENTE_EMAIL == 'costazul' || CLIENTE_EMAIL == 'gw') {
                        $mkup16 = "mkup16(this.value);";
                        $mkup17 = "mkup17(this.value);";
                        $mkup18 = "mkup18(this.value);";
                        $mkup19 = "mkup19(this.value);";
                        $mkup20 = "mkup20(this.value);";
                        $mkup21 = "mkup21(this.value);";
                        $mkup22 = "mkup22(this.value);";
                        $mkup23 = "mkup23(this.value);";
                        $mkup24 = "mkup24(this.value);";
                        $mkup25 = "mkup25(this.value);";
                        $mkup26 = "mkup26(this.value);";
                        $mkup27 = "mkup27(this.value);";
                        $mkup28 = "mkup28(this.value);";
                        $mkup29 = "mkup29(this.value);";
                        $mkup30 = "mkup30(this.value);";
                        $mkup31 = "mkup31(this.value);";
                        $mkup32 = "mkup32(this.value);";
                        $mkup33 = "mkup33(this.value);";
                        $mkup34 = "mkup34(this.value);";
                        $mkup35 = "mkup35(this.value);";
                        $mkup36 = "mkup36(this.value);";
                        $mkup37 = "mkup37(this.value);";
                        $mkup38 = "mkup38(this.value);";
                        $mkup39 = "mkup39(this.value);";
                        $mkup40 = "mkup40(this.value);";
                        $mkup41 = "mkup41(this.value);";
                        $mkup42 = "mkup42(this.value);";
                    }
                }

                $tab_preco = mysqli_query($con, "SELECT * FROM produto_tabela ORDER BY Valor ");
                $tit_preco = array();
                while ($chave = mysqli_fetch_assoc($tab_preco)) {
                    $tit_preco[$chave["Valor"]] = $chave["Titulo"];
                }
                ?>
                <!-- <div class="campo" style="width: 120px">
                    <label for="Mkup1" key="Mkup1" class="tr">Mkup 1 %</label>
                    <input type="text" name="Mkup1" id="Mkup1" value="<?php echo valor_exibir($_POST["Mkup1"]); ?>" class="money" onblur="fazerValor(this.value, 'Mkup1');<?php echo $mkup1; ?>">
                </div> -->
                <div class="campo" style="width: 140px">
                    <label for="Preco1">* <?php echo $tit_preco["01"]; ?></label>
                    <input type="text" name="Preco1" id="Preco1" value="<?php echo valor_exibir($_POST["Preco1"]); ?>" class="money" onblur="fazerValor(this.value, 'Preco1');">
                </div>
                <!-- <div class="campo" style="width: 120px">
                    <label for="Mkup2" key="Mkup2" class="tr">Mkup 2 %</label>
                    <input type="text" name="Mkup2" id="Mkup2" value="<?php echo valor_exibir($_POST["Mkup2"]); ?>" class="money" onblur="fazerValor(this.value, 'Mkup2');<?php echo $mkup2; ?>">
                </div> -->
                <div class="campo" style="width: 140px">
                    <label for="Preco1"><?php echo $tit_preco["02"]; ?></label>
                    <input type="text" name="Preco2" id="Preco2" value="<?php echo valor_exibir($_POST["Preco2"]); ?>" class="money" onblur="fazerValor(this.value, 'Preco2');">
                </div>
                <!-- <div class="campo" style="width: 120px">
                    <label for="Mkup3" key="Mkup3" class="tr">Mkup 3 %</label>
                    <input type="text" name="Mkup3" id="Mkup3" value="<?php echo valor_exibir($_POST["Mkup3"]); ?>" class="money" onblur="fazerValor(this.value, 'Mkup3');<?php echo $mkup3; ?>">
                </div> -->
                <div class="campo" style="width: 140px">
                    <label for="Preco1"><?php echo $tit_preco["03"]; ?></label>
                    <input type="text" name="Preco3" id="Preco3" value="<?php echo valor_exibir($_POST["Preco3"]); ?>" class="money" onblur="fazerValor(this.value, 'Preco3');">
                </div>
            </fieldset>

            <!-- <fieldset class="grupo">
                <div class="campo" style="width: 120px">
                    <label for="Mkup4" key="Mkup4" class="tr">Mkup 4 %</label>
                    <input type="text" name="Mkup4" id="Mkup4" value="<?php echo valor_exibir($_POST["Mkup4"]); ?>" class="money" onblur="fazerValor(this.value, 'Mkup4');<?php echo $mkup4; ?>">
                </div>
                <div class="campo" style="width: 140px">
                    <label for="Preco1"><?php echo $tit_preco["04"]; ?></label>
                    <input type="text" name="Preco4" id="Preco4" value="<?php echo valor_exibir($_POST["Preco4"]); ?>" class="money" onblur="fazerValor(this.value, 'Preco4');">
                </div>
                <div class="campo" style="width: 120px">
                    <label for="Mkup5" key="Mkup5" class="tr">Mkup 5 %</label>
                    <input type="text" name="Mkup5" id="Mkup5" value="<?php echo valor_exibir($_POST["Mkup5"]); ?>" class="money" onblur="fazerValor(this.value, 'Mkup5');<?php echo $mkup5; ?>">
                </div>
                <div class="campo" style="width: 140px">
                    <label for="Preco1"><?php echo $tit_preco["05"]; ?></label>
                    <input type="text" name="Preco5" id="Preco5" value="<?php echo valor_exibir($_POST["Preco5"]); ?>" class="money" onblur="fazerValor(this.value, 'Preco5');">
                </div>
                <div class="campo" style="width: 120px">
                    <label for="Mkup6" key="Mkup6" class="tr">Mkup 6 %</label>
                    <input type="text" name="Mkup6" id="Mkup6" value="<?php echo valor_exibir($_POST["Mkup6"]); ?>" class="money" onblur="fazerValor(this.value, 'Mkup6');<?php echo $mkup6; ?>">
                </div>
                <div class="campo" style="width: 140px">
                    <label for="Preco1"><?php echo $tit_preco["06"]; ?></label>
                    <input type="text" name="Preco6" id="Preco6" value="<?php echo valor_exibir($_POST["Preco6"]); ?>" class="money" onblur="fazerValor(this.value, 'Preco6');">
                </div>
            </fieldset> -->

            <!-- <fieldset class="grupo">
                <div class="campo" style="width: 120px">
                    <label for="Mkup7" key="Mkup7" class="tr">Mkup 7 %</label>
                    <input type="text" name="Mkup7" id="Mkup7" value="<?php echo valor_exibir($_POST["Mkup7"]); ?>" class="money" onblur="fazerValor(this.value, 'Mkup7');<?php echo $mkup7; ?>">
                </div>
                <div class="campo" style="width: 140px">
                    <label for="Preco1"><?php echo $tit_preco["07"]; ?></label>
                    <input type="text" name="Preco7" id="Preco7" value="<?php echo valor_exibir($_POST["Preco7"]); ?>" class="money" onblur="fazerValor(this.value, 'Preco7');">
                </div>
                <div class="campo" style="width: 120px">
                    <label for="Mkup8" key="Mkup8" class="tr">Mkup 8 %</label>
                    <input type="text" name="Mkup8" id="Mkup8" value="<?php echo valor_exibir($_POST["Mkup8"]); ?>" class="money" onblur="fazerValor(this.value, 'Mkup8');<?php echo $mkup8; ?>">
                </div>
                <div class="campo" style="width: 140px">
                    <label for="Preco1"><?php echo $tit_preco["08"]; ?></label>
                    <input type="text" name="Preco8" id="Preco8" value="<?php echo valor_exibir($_POST["Preco8"]); ?>" class="money" onblur="fazerValor(this.value, 'Preco8');">
                </div>
                <div class="campo" style="width: 120px">
                    <label for="Mkup9" key="Mkup9" class="tr">Mkup 9 %</label>
                    <input type="text" name="Mkup9" id="Mkup9" value="<?php echo valor_exibir($_POST["Mkup9"]); ?>" class="money" onblur="fazerValor(this.value, 'Mkup9');<?php echo $mkup9; ?>">
                </div>
                <div class="campo" style="width: 140px">
                    <label for="Preco1"><?php echo $tit_preco["09"]; ?></label>
                    <input type="text" name="Preco9" id="Preco9" value="<?php echo valor_exibir($_POST["Preco9"]); ?>" class="money" onblur="fazerValor(this.value, 'Preco9');">
                </div>
            </fieldset> -->

            <!-- <fieldset class="grupo">
                <div class="campo" style="width: 120px">
                    <label for="Mkup10" key="Mkup10" class="tr">Mkup 10 %</label>
                    <input type="text" name="Mkup10" id="Mkup10" value="<?php echo valor_exibir($_POST["Mkup10"]); ?>" class="money" onblur="fazerValor(this.value, 'Mkup10');<?php echo $mkup10; ?>">
                </div>
                <div class="campo" style="width: 140px">
                    <label for="Preco1"><?php echo $tit_preco["10"]; ?></label>
                    <input type="text" name="Preco10" id="Preco10" value="<?php echo valor_exibir($_POST["Preco10"]); ?>" class="money" onblur="fazerValor(this.value, 'Preco10');">
                </div>
                <div class="campo" style="width: 120px">
                    <label for="Mkup11" key="Mkup11" class="tr">Mkup 11 %</label>
                    <input type="text" name="Mkup11" id="Mkup11" value="<?php echo valor_exibir($_POST["Mkup11"]); ?>" class="money" onblur="fazerValor(this.value, 'Mkup11');<?php echo $mkup11; ?>">
                </div>
                <div class="campo" style="width: 140px">
                    <label for="Preco1"><?php echo $tit_preco["11"]; ?></label>
                    <input type="text" name="Preco11" id="Preco11" value="<?php echo valor_exibir($_POST["Preco11"]); ?>" class="money" onblur="fazerValor(this.value, 'Preco11');">
                </div>
                <div class="campo" style="width: 120px">
                    <label for="Mkup12" key="Mkup12" class="tr">Mkup 12 %</label>
                    <input type="text" name="Mkup12" id="Mkup12" value="<?php echo valor_exibir($_POST["Mkup12"]); ?>" class="money" onblur="fazerValor(this.value, 'Mkup12');<?php echo $mkup12; ?>">
                </div>
                <div class="campo" style="width: 140px">
                    <label for="Preco1"><?php echo $tit_preco["12"]; ?></label>
                    <input type="text" name="Preco12" id="Preco12" value="<?php echo valor_exibir($_POST["Preco12"]); ?>" class="money" onblur="fazerValor(this.value, 'Preco12');">
                </div>
            </fieldset> -->

            <!-- <fieldset class="grupo">
                <div class="campo" style="width: 120px">
                    <label for="Mkup13" key="Mkup13" class="tr">Mkup 13 %</label>
                    <input type="text" name="Mkup13" id="Mkup13" value="<?php echo valor_exibir($_POST["Mkup13"]); ?>" class="money" onblur="fazerValor(this.value, 'Mkup13');<?php echo $mkup13; ?>">
                </div>
                <div class="campo" style="width: 140px">
                    <label for="Preco13"><?php echo $tit_preco["13"]; ?></label>
                    <input type="text" name="Preco13" id="Preco13" value="<?php echo valor_exibir($_POST["Preco13"]); ?>" class="money" onblur="fazerValor(this.value, 'Preco13');">
                </div>
                <div class="campo" style="width: 120px">
                    <label for="Mkup14" key="Mkup14" class="tr">Mkup 14 %</label>
                    <input type="text" name="Mkup14" id="Mkup14" value="<?php echo valor_exibir($_POST["Mkup14"]); ?>" class="money" onblur="fazerValor(this.value, 'Mkup14');<?php echo $mkup14; ?>">
                </div>
                <div class="campo" style="width: 140px">
                    <label for="Preco14"><?php echo $tit_preco["14"]; ?></label>
                    <input type="text" name="Preco14" id="Preco14" value="<?php echo valor_exibir($_POST["Preco14"]); ?>" class="money" onblur="fazerValor(this.value, 'Preco14');">
                </div>
                <div class="campo" style="width: 120px">
                    <label for="Mkup15" key="Mkup15" class="tr">Mkup 15 %</label>
                    <input type="text" name="Mkup15" id="Mkup15" value="<?php echo valor_exibir($_POST["Mkup15"]); ?>" class="money" onblur="fazerValor(this.value, 'Mkup15');<?php echo $mkup15; ?>">
                </div>
                <div class="campo" style="width: 140px">
                    <label for="Preco15"><?php echo $tit_preco["15"]; ?></label>
                    <input type="text" name="Preco15" id="Preco15" value="<?php echo valor_exibir($_POST["Preco15"]); ?>" class="money" onblur="fazerValor(this.value, 'Preco15');">
                </div>
            </fieldset> -->

          
            <fieldset class="grupo">
                <?php //if( ($_POST["Qtd_Caixa"]=='') || ($_POST["Qtd_Caixa"]=='0') ) $_POST["Qtd_Caixa"]='1';
                ?>
                <div class="campo">
                    <label for="Qtd_Caixa">Qtd Caixa</label>
                    <input type="text" name="Qtd_Caixa" id="Qtd_Caixa" value="<?php echo valor_exibir($_POST["Qtd_Caixa"]); ?>" class="money" onblur="fazerValor(this.value, 'Qtd_Caixa');">
                </div>
                <div class="campo" style="width: 40%">
                    <label for="Armazenagem">Endereo de Armazenagem</label>
                    <input type="text" name="Armazenagem" id="Armazenagem" value="<?php echo $_POST["Armazenagem"]; ?>">
                </div>
                <div class="campo">
                    <label for="Tempo_Chegada">Tempo Chegada</label>
                    <input type="text" name="Tempo_Chegada" id="Tempo_Chegada" value="<?php echo $_POST["Tempo_Chegada"]; ?>" onkeyup="somente_numero(this);">
                </div>
            </fieldset>

            <?php if ((CLIENTE_EMAIL == 'probene1')) { ?>
                <fieldset class="grupo">
                    <div class="campo">
                        <label for="Gtin2">Gtin2</label>
                        <input type="text" name="Gtin2" id="Gtin2" value="<?php echo $_POST["Gtin2"]; ?>">
                    </div>
                    <div class="campo">
                        <label for="Qtd_Caixa2">Qtd Caixa</label>
                        <input type="text" name="Qtd_Caixa2" id="Qtd_Caixa2" value="<?php echo valor_exibir($_POST["Qtd_Caixa2"]); ?>" class="money" onblur="fazerValor(this.value, 'Qtd_Caixa2');">
                    </div>
                    <div class="campo">
                        <label for="Preco_Especial">Valor Especial</label>
                        <input type="text" name="Preco_Especial" id="Preco_Especial" value="<?php echo valor_exibir($_POST["Preco_Especial"]); ?>" class="money" onblur="fazerValor(this.value, 'Preco_Especial');">
                    </div>
                    <div class="campo">
                        <label for="Medida2">Medida 2</label>
                        <div id="Lista_Medida2">
                            <?php
                            echo select_banco(
                                "Select Sigla as Id, Sigla as Titulo from medida order by Titulo",
                                "Medida2",
                                "Medida2",
                                $_POST["Medida2"],
                                "",
                                "form-control"
                            )
                            ?>
                        </div>
                    </div>
                </fieldset>
            <?php } ?>

            <fieldset class="grupo">
                <div class="campo">
                    <label for="Obs">Observaes Complementares
                        <font size="1" color="#CD2626" id="obs"> A observao do produto aparece na NFe como Observaes
                            Complementares.</font>
                    </label>
                    <textarea rows="4" cols="104" name="Obs" id="Obs"><?php echo $_POST["Obs"]; ?></textarea>
                </div>
            </fieldset>
            <fieldset class="grupo">
                <div class="campo">
                    <label for="Obs_2">Observao
                        <font size="1" color="#CD2626" id="Obs_2"> A observao interna do produto.</font>
                    </label>
                    <textarea rows="4" cols="104" name="Obs_2" id="Obs_2"><?php echo $_POST["Obs_2"]; ?></textarea>
                </div>
            </fieldset>
            <!-- <fieldset class="grupo">
                <legend>Dun 14</legend>
                <div class="campo">
                    <label for="Medida_Dun">Medida</label>
                    <div id="Lista_Medida_Dun">
                        <?php
                        echo select_banco(
                            "Select Sigla as Id, Sigla as Titulo from medida order by Titulo",
                            "Medida_Dun",
                            "Medida_Dun",
                            $_POST["Medida_Dun"],
                            "",
                            "form-control"
                        )
                        ?>
                    </div>
                </div>
                <div class="campo">
                    <label for="Qtd_Caixa_Dun">Qtd Caixa</label>
                    <input type="text" name="Qtd_Caixa_Dun" id="Qtd_Caixa_Dun" value="<?php echo valor_exibir($_POST["Qtd_Caixa_Dun"]); ?>" class="money" onblur="fazerValor(this.value, 'Qtd_Caixa_Dun');">
                </div>
                <div class="campo" style="width: 140px">
                    <label for="Preco_Dun">Preo</label>
                    <input type="text" name="Preco_Dun" id="Preco_Dun" value="<?php echo valor_exibir($_POST["Preco_Dun"]); ?>" class="money" onblur="fazerValor(this.value, 'Preco_Dun');">
                </div>
                <div class="campo">
                    <label for="Gtin_Dun">Gtin(EAN) / Dun 14</label>
                    <input type="text" name="Gtin_Dun" id="Gtin_Dun" value="<?php echo $_POST["Gtin_Dun"]; ?>">
                </div>
                <div class="campo">
                    <label for="botao">&nbsp;</label>
                    <input class="botao_novo" style="float: right" type="button" value="Add" onclick="CriarDun14();">
                </div>
            </fieldset>

            <fieldset class="grupo">
                <div id="DivDun14"></div>
            </fieldset> -->


            

            <fieldset class="grupo">
                <legend>Avanados</legend>
                <div class="campo">
                    <label for="Estoque_Minimo">Estoque Mnimo</label>
                    <input type="text" name="Estoque_Minimo" id="Estoque_Minimo" value="<?php echo valor_exibir($_POST["Estoque_Minimo"]); ?>" class="money" onblur="fazerValor(this.value, 'Estoque_Minimo');">
                </div>
                <div class="campo">
                    <label for="Estoque_Maximo">Estoque Mximo</label>
                    <input type="text" name="Estoque_Maximo" id="Estoque_Maximo" value="<?php echo valor_exibir($_POST["Estoque_Maximo"]); ?>" class="money" onblur="fazerValor(this.value, 'Estoque_Maximo');">
                </div>
                <div class="campo">
                    <?php //if( ($_POST["Peso_Bruto"]=="" OR $_POST["Peso_Bruto"]=='0') && ($_GET["acao"]=="entrar") ) $_POST["Peso_Bruto"]='1';
                    ?>
                    <label for="Peso_Bruto">Peso Bruto</label>
                    <input type="text" name="Peso_Bruto" id="Peso_Bruto" value="<?php echo valor_exibir($_POST["Peso_Bruto"], (QTD_CASA_DECIMAL == 'Livre') ? NULL : '3'); ?>" class="money" onblur="fazerValor(this.value, 'Peso_Bruto');">
                </div>
                <div class="campo">
                    <?php //if( ($_POST["Peso_Liquido"]=="" OR $_POST["Peso_Liquido"]=='0') && ($_GET["acao"]=="entrar") ) $_POST["Peso_Liquido"]='1';
                    ?>
                    <label for="Peso_Liquido">Peso Lquido</label>
                    <input type="text" name="Peso_Liquido" id="Peso_Liquido" value="<?php echo valor_exibir($_POST["Peso_Liquido"], (QTD_CASA_DECIMAL == 'Livre') ? NULL : '3'); ?>" class="money" onblur="fazerValor(this.value, 'Peso_Liquido');">

                </div>
                <div class="campo">
                    <label for="IPPT">Fabricao Prpria</label>
                    <?php
                    $vetor = array('N' => 'No', 'S' => 'Sim');
                    select_tela("IPPT", "IPPT", $_POST["IPPT"], $vetor, '', "");
                    ?>
                </div>
                <div class="campo">
                    <label for="Especie">Espcie</label>
                    <div id="Lista_Especie">
                        <?php
                        echo select_banco(
                            "Select Id, Titulo from produto_especie order by Titulo",
                            "Especie",
                            "Especie",
                            $_POST["Especie"],
                            "",
                            ""
                        );
                        ?>
                    </div>
                    <input type='hidden' name='Especie_Hidden' id='Especie_Hidden' value=''>
                </div>
                <div class="campo">
                    <label for="Button">&nbsp;</label>
                    <input class="botao_novo" type="button" value="Novo" name="Novo_Especie" id="Novo_Especie" onclick="window.open('cad_novo_especie.php','Especie','width=600,height=500,top=0,left=0,scrollbars=yes');">
                </div>
            </fieldset>

            <fieldset class="grupo">
                <div class="campo">
                    <label for="Ncm">Ncm
                        <font size="1" color="#CD2626" id="obs">Obrigatrio para NFe. Caso Servio, no preencher.
                        </font>
                    </label>
                    <input type="text" maxlength="8" name="Ncm" id="Ncm" value="<?php echo substr($_POST["Ncm"], 0, 8); ?>" onblur="buscaCest(this.value);buscaIbpt(this.value);">
                </div>
                <div class="campo">
                    <label for="Cest">CEST
                        <font size="1" color="#CD2626" id="obs">Obrigatrio para NFe.</font>
                    </label>
                    <input type="text" name="Cest" id="Cest" value="<?php echo $_POST["Cest"]; ?>" onkeyup="somente_numero(this);">
                </div>
                <div class="campo">
                    <label for="Ibpt">Transparncia
                        <font size="1" color="#CD2626" id="obs">Obrigatrio para NFe.</font>
                    </label>
                    <input type="text" name="Ibpt" id="Ibpt" value="<?php echo valor_exibir($_POST["Ibpt"]); ?>" class="money" onblur="fazerValor(this.value, 'Ibpt');">
                </div>
                <div class="campo">
                    <label for="Gtin">Cdigo Barras/Gtin(EAN)</label>
                    <input type="text" name="Gtin" id="Gtin" value="<?php echo $_POST["Gtin"]; ?>">
                </div>
                <div class="campo">
                    <label for="Ex_Tipi">Ex Tipi</label>
                    <input type="text" name="Ex_Tipi" id="Ex_Tipi" value="<?php echo $_POST["Ex_Tipi"]; ?>">
                </div>
            </fieldset>

            <!-- <fieldset class="grupo">
                <div class="campo" style="width: 150px">
                    <label for="Cfop_Venda">CFOP Venda Dentro</label>
                    <?php
                    echo select_banco("Select Id, CONCAT(Cfop, ' - ',Titulo) as Titulo from cfop WHERE UPPER(SUBSTRING(Cfop, 1, 1)) >= '5' AND Ativo = 'Sim' ORDER BY Titulo ", "Cfop_Venda", "CFOP Venda", $_POST["Cfop_Venda"], '', "")
                    ?>
                </div>
                <div class="campo" style="width: 150px">
                    <label for="Cfop_Venda">CFOP Venda Fora</label>
                    <?php
                    echo select_banco("Select Id, CONCAT(Cfop, ' - ',Titulo) as Titulo from cfop WHERE UPPER(SUBSTRING(Cfop, 1, 1)) >= '5' AND Ativo = 'Sim' ORDER BY Titulo ", "Cfop_Venda_F", "CFOP Venda F", $_POST["Cfop_Venda_F"], '', "")
                    ?>
                </div>
                <div class="campo" style="width: 150px">
                    <label for="Cfop_Compra">CFOP Compra Dentro</label>
                    <?php
                    echo select_banco("Select Id, CONCAT(Cfop, ' - ',Titulo) as Titulo from cfop WHERE UPPER(SUBSTRING(Cfop, 1, 1)) <= '3' AND Ativo = 'Sim' ORDER BY Titulo ", "Cfop_Compra", "CFOP Compra", $_POST["Cfop_Compra"], '', "")
                    ?>
                </div>
                <div class="campo" style="width: 150px">
                    <label for="Cfop_Compra">CFOP Compra Fora</label>
                    <?php
                    echo select_banco("Select Id, CONCAT(Cfop, ' - ',Titulo) as Titulo from cfop WHERE UPPER(SUBSTRING(Cfop, 1, 1)) <= '3' AND Ativo = 'Sim' ORDER BY Titulo ", "Cfop_Compra_F", "CFOP Compra F", $_POST["Cfop_Compra_F"], '', "")
                    ?>
                </div>
                <div class="campo">
                    <label for="FCP" title="O FCP  um adicional ao ICMS de no mximo 2% nas operaes de alguns produtos.">
                        % Fundo de Combate  Pobreza
                    </label>
                    <input type="text" name="FCP" id="FCP" value="<?php echo valor_exibir($_POST["FCP"]); ?>" class="money" onblur="fazerValor(this.value, 'FCP');">
                </div>
                <div class="campo">
                    <label for="Cesta_Basica">Cesta Bsica</label>
                    <?php
                    $vetor = array('No' => 'No', 'Sim' => 'Sim');
                    select_tela("Cesta_Basica", "Cesta_Basica", $_POST["Cesta_Basica"], $vetor, '', "");
                    ?>
                </div>
                <div class="campo">
                    <label for="Pesavel">Pesvel</label>
                    <input type="checkbox" name="Pesavel" id="Pesavel" value="Pesavel" <?php if ($_POST["Pesavel"] == 'Sim') echo "checked='checked' "; ?>>
                </div>
                <div class="campo">
                    <label for="Fracionado">Fracionado</label>
                    <?php
                    $vetor = array('Sim' => 'Sim', 'No' => 'No');
                    select_tela("Fracionado", "Fracionado", $_POST["Fracionado"], $vetor, '', "");
                    ?>
                </div>
                <div class="campo">
                    <label for="Codigo_Paf">Cdigo PAF</label>
                    <input type="text" name="Codigo_Paf" id="Codigo_Paf" value="<?php echo $_POST["Codigo_Paf"]; ?>" onkeyup="somente_numero(this);">
                </div>
            </fieldset> -->

            

            

            <!-- <fieldset class="grupo">
                <div class="campo">
                    <label for="Id_Ncm">Ncm Impostos</label>
                    <input type="text" name="Id_Ncm" id="Id_Ncm" value="<?php echo $_POST["Id_Ncm"]; ?>">
                </div>
                <div class="campo">
                    <label for="Regime_Especial_P">Regime Especial</label>
                    <div id="Lista_Regime_Especial_P">
                        <?php
                        echo select_banco(
                            "Select Id, Titulo from ncm_tabela WHERE Tipo='P' order by Titulo",
                            "Regime_Especial_P",
                            "Regime_Especial_P",
                            $_POST["Regime_Especial_P"],
                            '',
                            ""
                        );
                        ?>
                    </div>
                </div>
                <input type='hidden' name='Regime_Especial_P_Hidden' id='Regime_Especial_P_Hidden' value=''>
                <div class="campo">
                    <label for="Button">&nbsp;</label>
                    <input class="botao_novo" type="button" value="Novo" name="Novo_Regime_P_Especial" id="Novo_Regime_P_Especial" onclick="window.open('../ncm_tabela/list_ncm_tabela.php?tipo=P','Regime_Especial_P','width=600,height=500,top=0,left=0,scrollbars=yes');">
                </div>
            </fieldset> -->

            <!-- <fieldset class="grupo">
                <div class="campo">
                    <label for="ANP">ANP</label>
                    <input type="text" name="ANP" id="ANP" value="<?php echo $_POST["ANP"]; ?>">
                </div>
                <div class="campo">
                    <label for="vPart">vPart</label>
                    <input type="text" name="vPart" id="vPart" value="<?php echo valor_exibir($_POST["vPart"]); ?>" class="money" onblur="fazerValor(this.value, 'vPart');">
                </div>
                <div class="campo">
                    <label for="pGLP">pGLP</label>
                    <input type="text" name="pGLP" id="pGLP" value="<?php echo valor_exibir($_POST["pGLP"]); ?>" class="money" onblur="fazerValor(this.value, 'pGLP');">
                </div>
                <div class="campo">
                    <label for="pGNn">pGNn</label>
                    <input type="text" name="pGNn" id="pGNn" value="<?php echo valor_exibir($_POST["pGNn"]); ?>" class="money" onblur="fazerValor(this.value, 'pGNn');">
                </div>
                <div class="campo">
                    <label for="pGNi">pGNi</label>
                    <input type="text" name="pGNi" id="pGNi" value="<?php echo valor_exibir($_POST["pGNi"]); ?>" class="money" onblur="fazerValor(this.value, 'pGNi');">
                </div>
                <div class="campo">
                    <label for="qTemp">qTemp</label>
                    <input type="text" name="qTemp" id="qTemp" value="<?php echo $_POST["qTemp"]; ?>">
                </div>
            </fieldset> -->

            <?php
            ##ajustando os campos iniciais para o cliente NeSul. tem 02 campos deste
            if (($_GET["acao"] == "entrar") && (CLIENTE_EMAIL == 'nesul' || CLIENTE_EMAIL == 'israelgeradores')) {
                $_POST["Regime_ST"] = 'Simples';
                $_POST["CST_Ipi"] = '99';
                $_POST["CST_Pis"] = '99';
                $_POST["CST_Cofins"] = '99';
            }
            ?>

            <?php
            if ($_POST["Regime_ST"] == '') {

                $st_emp = mysqli_query($con, "select CRT,Aliquota_Simples from unidade WHERE Id='" . $_SESSION["Unidade"] . "' ");
                $st_empresa = mysqli_fetch_assoc($st_emp);

                if ($st_empresa["CRT"] == '1') {
                    $_POST["Regime_ST"] = 'Simples';
                } else {
                    $_POST["Regime_ST"] = 'Normal';
                }
            }
            ?>
            <fieldset class="grupo">
                <legend>ICMS</legend>
                <div class="campo">
                    <?php
                    //mudanca para validacao do regime ST
                    if ($_POST["Regime_ST"] == "Normal") {
                        $exibirPF = "block";
                        $exibirPJ = "none";
                    } else if ($_POST["Regime_ST"] == "Simples") {
                        $exibirPJ = "block";
                        $exibirPF = "none";
                    } else {
                        $exibirPF = "block";
                        $exibirPJ = "none";
                    }
                    ?>
                    <label for="Regime_ST">Regime</label>
                    <?php
                    $vetor = array('Normal' => 'Tributao Normal', 'Simples' => 'Simples Nacional');
                    select_tela("Regime_ST", "Regime_ST", $_POST["Regime_ST"], $vetor, "onchange='regime(this.value);'", "");
                    ?>
                </div>
            </fieldset>

            <!-- DIV ICMS NORMAL -->
            <div style="display:<?php echo $exibirPF; ?>;" id="R_Normal">

                <fieldset class="grupo">
                    <div class="campo">
                        <label for="Codigo_ST">Situao Tributria Regime Normal - Dentro do Estado</label>
                        <?php
                        echo select_banco("Select Codigo, CONCAT(Codigo,' - ',Titulo) as Titulo from st_normal order by Ordem", "Codigo_ST", "Codigo_ST", $_POST["Codigo_ST"], '', "")
                        ?>
                    </div>
                </fieldset>

                <fieldset class="grupo">
                    <div class="campo">
                        <label for="Codigo_ST">Situao Tributria Regime Normal - Fora do Estado</label>
                        <?php
                        echo select_banco("Select Codigo, CONCAT(Codigo,' - ',Titulo) as Titulo from st_normal order by Ordem", "Codigo_ST2", "Codigo_ST2", $_POST["Codigo_ST2"], '', "")
                        ?>
                    </div>
                </fieldset>

                <!-- FIM DIV ICMS NORMAL -->
            </div>

            <!-- DIV ICMS SIMPLES -->
            <div style="display:<?php echo $exibirPJ; ?>;" id="R_Simples">

                <?php
                ##ajustando os campos iniciais para o cliente NeSul. tem 02 campos deste
                if (($_GET["acao"] == "entrar") && (CLIENTE_EMAIL == 'nesul' || CLIENTE_EMAIL == 'israelgeradores')) {
                    $_POST["Codigo_ST"] = '101';
                    $_POST["Codigo_ST2"] = '101';
                }
                ?>

                <fieldset class="grupo">
                    <div class="campo">
                        <label for="Codigo_ST">Situao Tributria Regime Simples - Dentro do Estado</label>
                        <?php
                        echo select_banco("Select Codigo, CONCAT(Codigo,' - ',Titulo) as Titulo from st_simples order by Ordem", "Codigo_ST_Simples", "Codigo_ST_Simples", $_POST["Codigo_ST"], '', "")
                        ?>
                    </div>
                </fieldset>
                <fieldset class="grupo">
                    <div class="campo">
                        <label for="Codigo_ST">Situao Tributria Regime Simples - Fora do Estado</label>
                        <?php
                        echo select_banco("Select Codigo, CONCAT(Codigo,' - ',Titulo) as Titulo from st_simples order by Ordem", "Codigo_ST_Simples2", "Codigo_ST_Simples2", $_POST["Codigo_ST2"], '', "")
                        ?>
                    </div>
                    <input type="hidden" name="Aliquota_Simples" id="Aliquota_Simples" value="<?php echo $st_empresa["Aliquota_Simples"]; ?>">
                </fieldset>

                <!-- FIM DIV ICMS SIMPLES -->
            </div>

            <fieldset class="grupo">
                <?php if (($_POST["Modalidade_BC_ICMS"] == "") && ($_GET["acao"] == "entrar")) $_POST["Modalidade_BC_ICMS"] = '3'; ?>
                <div class="campo">
                    <label class="titulo_tableless" for="Modalidade_BC_ICMS">Modalidade BC ICMS</label>
                    <?php
                    $vetor = array(
                        '' => '',
                        '0' => '0 - Margem Valor Agregado (%)',
                        '1' => '1 - Pauta (valor)',
                        '2' => '2 - Preo tabelado mximo (valor)',
                        '3' => '3 - Valor da Operao'
                    );
                    select_tela("Modalidade_BC_ICMS", "Modalidade_BC_ICMS", $_POST["Modalidade_BC_ICMS"], $vetor, '', "campo_tableless");
                    ?>
                </div>
                <div class="campo">
                    <label class="titulo_tableless" for="Tabela_Icms">Tabela Icms</label>
                    <?php
                    $vetor = array(
                        '1' => 'Aliquota 1',
                        '2' => 'Aliquota 2',
                        '3' => 'Aliquota 3',
                        '4' => 'Aliquota 4',
                        '5' => 'Aliquota 5',
                        '6' => 'Aliquota 6',
                        '7' => 'Aliquota 7',
                        '8' => 'Aliquota 8',
                        '9' => 'Aliquota 9',
                        '10' => 'Aliquota 10',
                        '11' => 'Aliquota 11',
                        '12' => 'Aliquota 12',
                        '13' => 'Aliquota 13',
                        '14' => 'Aliquota 14',
                        '15' => 'Aliquota 15',
                        '16' => 'Aliquota 16',
                        '17' => 'Aliquota 17',
                        '18' => 'Aliquota 18',
                        '19' => 'Aliquota 19',
                        '20' => 'Aliquota 20',
                        '21' => 'Aliquota 21',
                        '22' => 'Aliquota 22',
                        '23' => 'Aliquota 23',
                        '24' => 'Aliquota 24'
                    );
                    select_tela("Tabela_Icms", "Tabela_Icms", $_POST["Tabela_Icms"], $vetor, '', "campo_tableless");
                    ?>
                </div>
                <?php if ((CLIENTE_EMAIL == 'erne') || (CLIENTE_EMAIL == 'gw')) { ?>
                    <div class="campo">
                        <label for="Aliquota_ICMS">ST %</label>
                        <input type="text" name="Aliquota_ICMS" id="Aliquota_ICMS" value="<?php echo valor_exibir($_POST["Aliquota_ICMS"]); ?>" onblur="fazerValor(this.value, 'Aliquota_ICMS');">
                    </div>
                <?php } ?>
            </fieldset>

            <fieldset class="grupo">
                <div class="campo">
                    <label for="Origem_ST">Origem</label>
                    <?php
                    $vetor = array(
                        '0' => '0 - Nacional',
                        '1' => '1 - Estrangeira - Importao direta',
                        '2' => '2 - Estrangeira - Adquirida no mercado interno',
                        '3' => '3 - Nacional, mercadoria ou bem com Contedo de Importao superior a 40%',
                        '4' => '4 - Nacional, cuja produo tenha sido feita em conformidade com os processos produtivos bsicos de que tratam o Decreto-Lei n 288/67, e as Leis ns 8.248/91, 8.387/91, 10.176/01 e 11.484/07',
                        '5' => '5 - Nacional, mercadoria ou bem com Contedo de Importao inferior ou igual a 40%',
                        '6' => '6 - Estrangeira - Importao direta, sem similar nacional, constante em lista de Resoluo CAMEX',
                        '7' => '7 - Estrangeira - Adquirida no mercado interno, sem similar nacional, constante em lista de Resoluo CAMEX',
                        '8' => '8 - Nacional, mercadoria ou bem com Contedo de Importao superior a 70%'
                    );
                    select_tela("Origem_ST", "Origem_ST", $_POST["Origem_ST"], $vetor, "onchange='buscaIbpt();' style='width:60%'", "");
                    ?>
                </div>
            </fieldset>

            <fieldset class="grupo">
                <?php if (($_POST["Modalidade_BC_ICMS_ST"] == "") && ($_GET["acao"] == "entrar")) $_POST["Modalidade_BC_ICMS_ST"] = '4'; ?>
                <div class="campo">
                    <label class="titulo_tableless" for="Modalidade_BC_ICMS_ST">Modalidade BC ICMS ST</label>
                    <?php
                    $vetor = array(
                        '0' => '0 - Preo tabelado ou mximo sugerido',
                        '1' => '1 - Lista Negativa (valor)',
                        '2' => '2 - Lista Positiva (valor)',
                        '3' => '3 - Lista Neutra (valor)',
                        '4' => '4 - Margem Valor Agregado (%)',
                        '5' => '5 - Pauta (valor)'
                    );
                    select_tela("Modalidade_BC_ICMS_ST", "Modalidade_BC_ICMS_ST", $_POST["Modalidade_BC_ICMS_ST"], $vetor, '', "campo_tableless");
                    ?>
                </div>
                <div class="campo">
                    <label for="Valor_Pauta">Valor em Pauta</label>
                    <input type="text" name="Valor_Pauta" id="Valor_Pauta" value="<?php echo valor_exibir($_POST["Valor_Pauta"]); ?>" onblur="fazerValor(this.value, 'Valor_Pauta');">
                </div>
            </fieldset>

            <fieldset class="grupo">
                <div class="campo">
                    <label for="motDesICMS" key="motDesICMS" class="tr">Motivo DesICMS</label>
                    <?php
                    $vetor = array(
                        '' => 'motDesICMS',
                        '1' => '1=Txi',
                        '2' => '2=Deficiente Fsico',
                        '3' => '3=Produtor Agropecurio',
                        '4' => '4=Frotista/Locadora',
                        '5' => '5=Diplomtico/Consular',
                        '6' => '6=Utilitrios e Motocicletas da Amaznia Ocidental e reas de Livre Comrcio (Resoluo 714/88 e 790/94 - CONTRAN e suas alteraes)',
                        '7' => '7=SUFRAMA',
                        '8' => '8=Venda a rgo Pblico',
                        '9' => '9=Outros.(NT 2011/004)',
                        '10' => '10=Deficiente Condutor (Convnio ICMS 38/12)',
                        '11' => '11=Deficiente No Condutor (Convnio ICMS 38/12)'
                    );
                    select_tela("motDesICMS", "motDesICMS", $_POST["motDesICMS"], $vetor, '', "");
                    ?>
                </div>
            </fieldset>

            <fieldset class="grupo">
                <legend>IPI</legend>
                <div class="campo">
                    <label for="CST_Ipi">IPI</label>
                    <?php
                    $vetor = array(
                        '' => '',
                        '00' => '00 - Entrada com recuperao de crdito',
                        '01' => '01 - Entrada tributada com alquota zero',
                        '02' => '02 - Entrada isenta',
                        '03' => '03 - Entrada no-tributada',
                        '04' => '04 - Entrada imune',
                        '05' => '05 - Entrada com suspenso',
                        '49' => '49 - Outras entradas',
                        '50' => '50 - Sada tributada',
                        '51' => '51 - Sada tributada com alquota zero',
                        '52' => '52 - Sada isenta',
                        '53' => '53 - Sada no-tributada',
                        '54' => '54 - Sada imune',
                        '55' => '55 - Sada com suspenso',
                        '99' => '99 - Outras sadas'
                    );
                    select_tela("CST_Ipi", "CST_Ipi", $_POST["CST_Ipi"], $vetor, '', "");
                    ?>
                </div>
            </fieldset>

            <fieldset class="grupo">
                <div class="campo">
                    <label for="Aliquota_Ipi">IPI</label>
                    <input type="text" name="Aliquota_Ipi" id="Aliquota_Ipi" value="<?php echo valor_exibir($_POST["Aliquota_Ipi"]); ?>" onblur="fazerValor(this.value, 'Aliquota_Ipi');">
                </div>
                <div class="campo">
                    <label for="Classe_Enquadramento">Clase de Enquadramento (cigarros e bebidas)</label>
                    <input type="text" name="Classe_Enquadramento" id="Classe_Enquadramento" value="<?php echo $_POST["Classe_Enquadramento"]; ?>" onkeyup="somente_numero(this);" maxlength="5">
                </div>
                <div class="campo">
                    <label for="Codigo_Enquadramento">Cdigo de Enquadramento Legal</label>
                    <input type="text" name="Codigo_Enquadramento" id="Codigo_Enquadramento" value="<?php echo $_POST["Codigo_Enquadramento"]; ?>" maxlength="3">
                </div>
                <div class="campo">
                    <label for="Cnpj_Produtor">Cnpj do Produtor</label>
                    <input type="text" name="Cnpj_Produtor" id="Cnpj_Produtor" value="<?php echo $_POST["Cnpj_Produtor"]; ?>">
                </div>
            </fieldset>

            <fieldset class="grupo">
                <div class="campo">
                    <label for="Cod_Selo_Controle">Cd Selo de Controle</label>
                    <input type="text" name="Cod_Selo_Controle" id="Cod_Selo_Controle" value="<?php echo $_POST["Cod_Selo_Controle"]; ?>" onkeyup="somente_numero(this);">
                </div>
                <div class="campo">
                    <label for="Qtd_Selo_Controle">Qtd Selo de Controle</label>
                    <input type="text" name="Qtd_Selo_Controle" id="Qtd_Selo_Controle" value="<?php echo $_POST["Qtd_Selo_Controle"]; ?>" onkeyup="somente_numero(this);">
                </div>
            </fieldset>

            <fieldset class="grupo">
                <legend>PIS</legend>
                <div class="campo">
                    <label for="CST_Pis">Pis</label>
                    <?php
                    $vetor = array(
                        '' => '',
                        '01' => '01 - Operao Tributvel com Alquota Bsica',
                        '02' => '02 - Operao Tributvel com Alquota Diferenciada',
                        '03' => '03 - Operao Tributvel com Alquota por Unidade de Medida de Produto',
                        '04' => '04 - Operao Tributvel Monofsica - Revenda a Alquota Zero',
                        '05' => '05 - Operao Tributvel por Substituio Tributria',
                        '06' => '06 - Operao Tributvel a Alquota Zero',
                        '07' => '07 - Operao Isenta da Contribuio',
                        '08' => '08 - Operao sem Incidncia da Contribuio',
                        '09' => '09 - Operao com Suspenso da Contribuio',
                        '49' => '49 - Outras Operaes de Sada',
                        '50' => '50 - Operao com Direito a Crdito - Vinculada Exclusivamente a Receita Tributada no Mercado Interno',
                        '51' => '51 - Operao com Direito a Crdito - Vinculada Exclusivamente a Receita No Tributada no Mercado Interno',
                        '52' => '52 - Operao com Direito a Crdito - Vinculada Exclusivamente a Receita de Exportao',
                        '53' => '53 - Operao com Direito a Crdito - Vinculada a Receitas Tributadas e No-Tributadas no Mercado Interno',
                        '54' => '54 - Operao com Direito a Crdito - Vinculada a Receitas Tributadas no Mercado Interno e de Exportao',
                        '55' => '55 - Operao com Direito a Crdito - Vinculada a Receitas No-Tributadas no Mercado Interno e de Exportao',
                        '56' => '56 - Operao com Direito a Crdito - Vinculada a Receitas Tributadas e No-Tributadas no Mercado Interno, e de Exportao',
                        '60' => '60 - Crdito Presumido - Operao de Aquisio Vinculada Exclusivamente a Receita Tributada no Mercado Interno',
                        '61' => '61 - Crdito Presumido - Operao de Aquisio Vinculada Exclusivamente a Receita No-Tributada no Mercado Interno',
                        '62' => '62 - Crdito Presumido - Operao de Aquisio Vinculada Exclusivamente a Receita de Exportao',
                        '63' => '63 - Crdito Presumido - Operao de Aquisio Vinculada a Receitas Tributadas e No-Tributadas no Mercado Interno',
                        '64' => '64 - Crdito Presumido - Operao de Aquisio Vinculada a Receitas Tributadas no Mercado Interno e de Exportao',
                        '65' => '65 - Crdito Presumido - Operao de Aquisio Vinculada a Receitas No-Tributadas no Mercado Interno e de Exportao',
                        '66' => '66 - Crdito Presumido - Operao de Aquisio Vinculada a Receitas Tributadas e No-Tributadas no Mercado Interno, e de Exportao',
                        '67' => '67 - Crdito Presumido - Outras Operaes',
                        '70' => '70 - Operao de Aquisio sem Direito a Crdito',
                        '71' => '71 - Operao de Aquisio com Iseno',
                        '72' => '72 - Operao de Aquisio com Suspenso',
                        '73' => '73 - Operao de Aquisio a Alquota Zero',
                        '74' => '74 - Operao de Aquisio sem Incidncia da Contribuio',
                        '75' => '75 - Operao de Aquisio por Substituio Tributria',
                        '98' => '98 - Outras Operaes de Entrada',
                        '99' => '99 - Outras Operaes'
                    );
                    select_tela("CST_Pis", "CST_Pis", $_POST["CST_Pis"], $vetor, '', "");
                    ?>
                </div>
            </fieldset>

            <fieldset class="grupo">
                <div class="campo">
                    <label for="Aliquota_Pis">Alquota Pis %</label>
                    <input type="text" name="Aliquota_Pis" id="Aliquota_Pis" value="<?php echo valor_exibir($_POST["Aliquota_Pis"]); ?>" class="money" onblur="fazerValor(this.value, 'Aliquota_Pis');">
                </div>
            </fieldset>

            <fieldset class="grupo">
                <legend>Cofins</legend>
                <div class="campo">
                    <label for="CST_Cofins">Cofins</label>
                    <?php
                    $vetor = array(
                        '' => '',
                        '01' => '01 - Operao Tributvel com Alquota Bsica',
                        '02' => '02 - Operao Tributvel com Alquota Diferenciada',
                        '03' => '03 - Operao Tributvel com Alquota por Unidade de Medida de Produto',
                        '04' => '04 - Operao Tributvel Monofsica - Revenda a Alquota Zero',
                        '05' => '05 - Operao Tributvel por Substituio Tributria',
                        '06' => '06 - Operao Tributvel a Alquota Zero',
                        '07' => '07 - Operao Isenta da Contribuio',
                        '08' => '08 - Operao sem Incidncia da Contribuio',
                        '09' => '09 - Operao com Suspenso da Contribuio',
                        '49' => '49 - Outras Operaes de Sada',
                        '50' => '50 - Operao com Direito a Crdito - Vinculada Exclusivamente a Receita Tributada no Mercado Interno',
                        '51' => '51 - Operao com Direito a Crdito - Vinculada Exclusivamente a Receita No Tributada no Mercado Interno',
                        '52' => '52 - Operao com Direito a Crdito - Vinculada Exclusivamente a Receita de Exportao',
                        '53' => '53 - Operao com Direito a Crdito - Vinculada a Receitas Tributadas e No-Tributadas no Mercado Interno',
                        '54' => '54 - Operao com Direito a Crdito - Vinculada a Receitas Tributadas no Mercado Interno e de Exportao',
                        '55' => '55 - Operao com Direito a Crdito - Vinculada a Receitas No-Tributadas no Mercado Interno e de Exportao',
                        '56' => '56 - Operao com Direito a Crdito - Vinculada a Receitas Tributadas e No-Tributadas no Mercado Interno, e de Exportao',
                        '60' => '60 - Crdito Presumido - Operao de Aquisio Vinculada Exclusivamente a Receita Tributada no Mercado Interno',
                        '61' => '61 - Crdito Presumido - Operao de Aquisio Vinculada Exclusivamente a Receita No-Tributada no Mercado Interno',
                        '62' => '62 - Crdito Presumido - Operao de Aquisio Vinculada Exclusivamente a Receita de Exportao',
                        '63' => '63 - Crdito Presumido - Operao de Aquisio Vinculada a Receitas Tributadas e No-Tributadas no Mercado Interno',
                        '64' => '64 - Crdito Presumido - Operao de Aquisio Vinculada a Receitas Tributadas no Mercado Interno e de Exportao',
                        '65' => '65 - Crdito Presumido - Operao de Aquisio Vinculada a Receitas No-Tributadas no Mercado Interno e de Exportao',
                        '66' => '66 - Crdito Presumido - Operao de Aquisio Vinculada a Receitas Tributadas e No-Tributadas no Mercado Interno, e de Exportao',
                        '67' => '67 - Crdito Presumido - Outras Operaes',
                        '70' => '70 - Operao de Aquisio sem Direito a Crdito',
                        '71' => '71 - Operao de Aquisio com Iseno',
                        '72' => '72 - Operao de Aquisio com Suspenso',
                        '73' => '73 - Operao de Aquisio a Alquota Zero',
                        '74' => '74 - Operao de Aquisio sem Incidncia da Contribuio',
                        '75' => '75 - Operao de Aquisio por Substituio Tributria',
                        '98' => '98 - Outras Operaes de Entrada',
                        '99' => '99 - Outras Operaes'
                    );
                    select_tela("CST_Cofins", "CST_Cofins", $_POST["CST_Cofins"], $vetor, '', "");
                    ?>
                </div>
            </fieldset>

            <fieldset class="grupo">
                <div class="campo">
                    <label for="Aliquota_Cofins">Alquota Cofins %</label>
                    <input type="text" name="Aliquota_Cofins" id="Aliquota_Cofins" value="<?php echo valor_exibir($_POST["Aliquota_Cofins"]); ?>" class="money" onblur="fazerValor(this.value, 'Aliquota_Cofins');">
                </div>
                <div class="campo">
                    <label for="Natureza_Receita">Cd Natureza Receita PIS/Cofins
                        <font size="1" color="#CD2626" id="obs"> 3 nmeros.</font>
                    </label>
                    <input type="text" name="Natureza_Receita" id="Natureza_Receita" value="<?php echo $_POST["Natureza_Receita"]; ?>" onkeyup="somente_numero(this);">
                </div>
            </fieldset>

            <fieldset class="grupo">
                <legend>Etiqueta</legend>

                <fieldset class="grupo">
                    <div class="campo" style="width: 40%">
                        <label for="Descricao_Etiqueta">Descrio Etiqueta
                            <font size="1" color="#CD2626" id="obs"> A descrio para etiqueta. 24 letras.</font>
                        </label>
                        <input type="text" name="Descricao_Etiqueta" id="Descricao_Etiqueta" value="<?php echo $_POST["Descricao_Etiqueta"]; ?>">
                    </div>
                </fieldset>

                <div class="campo">
                    <label for="Etiqueta">Etiqueta</label>
                    <label for="Etiqueta">Ser gerada quando salvar o produto.</label>
                </div>
                <?php if ($_GET["acao"] == "alterar") { ?>
                    <label for="Etiqueta">
                        <?php geraCodigoBarra(str_pad($_POST["Codigo_Barras"], 11, "0", STR_PAD_LEFT)); ?>
                        <br />
                        <?php echo $_POST["Codigo_Barras"]; ?>
                    </label>
                    <br />
                <?php } ?>
            </fieldset>


            <?php
            /* Para manipular o Id do fornecedor criei esta forma de pegar a SESSION */
            if ($_GET["acao"] == "alterar") {
                $modo_cod_produto = $_GET["id_produto"];
            } else {
                $modo_cod_produto = $_POST["Codigo_Produto"];
            }
            ?>

            <input type="hidden" name="Codigo_Produto" id="Codigo_Produto" value="<?php echo $modo_cod_produto; ?>">
            <input type="hidden" name="Opcao_Ver" id="Opcao_Ver" value="<?php echo $_GET["status"]; ?>">
            <input type="hidden" name="x" id="x" value="<?php echo $_GET["x"]; ?>">
            <input type="hidden" name="Codigo_Anterior" id="Codigo_Anterior" value="<?php echo $_POST["Codigo_Anterior"]; ?>">
            <input type="hidden" name="Id_Loja_Virtual" id="Id_Loja_Virtual" value="<?php echo $_POST["Id_Loja_Virtual"]; ?>">
            <input type="hidden" name="Marketplace" id="Marketplace" value="<?php echo $_POST["Marketplace"]; ?>">

            <?php
            if (!$_GET["status"]) {
                if ($_GET["acao"] == "alterar") {
            ?>
                    <button class="bt_cadastro" type="submit" name="Alterar" value="Salvar">Salvar</button>
                <?php } else { ?>
                    <button class="bt_cadastro" type="submit" name="Cadastrar" value="Salvar">Salvar</button>
            <?php
                }
            }
            ?>
            <?php if ($_GET["x"] == "") { //vem do compras importacao XML
            ?>
                <button class="botao" type="button" value="Voltar" onclick="location.href = 'list_produto.php?acao=entrar'">Voltar</button>
            <?php } ?>

        </fieldset>

    </form>

    <?php
    if ($_GET['id_produto']) {
        $tabela_criacao = "produto";
        $id_corrente = $_GET['id_produto'];
        include "../include/script_criacao.php";
        /* ARQUIVO ONDE MOSTRA QUEM CRIOU E QUEM ATUALIZOU */
    }
    ?>
    <div id="retorno"></div>
    <?php include "../include/rodape.php"; ?>