<?php
include_once "../include/conecta.php"; //Conecta com a nosso banco de dados MySQL
ini_set('session.gc_maxlifetime', 60*120); session_start();
/* include_once "../include/ver_sessao.php"; //Verifica se a sesso est ativa */
include_once "../include/funcoesPhp.php"; //Inclue a pgina con todas as funes a ser usada.
$mesa = addslashes($_GET['mesa']);

$recontagem = listar("SELECT recontagem.Id,
                    recontagem.Qtd,
                    recontagem.Codigo as Lancamento,
                    recontagem.Tipo,
                    recontagem.Acerto,
                    recontagem.Descricao,
                    recontagem.Data_Cadastro,
                    recontagem.Id_Funcionario,
                    produto.Titulo as 'Produto',
                    produto.Codigo as 'Codigo_Produto',
                    local_estoque.Titulo as Local_Estoque,
                    unidade.Titulo as Unidade,
                    recontagem.Id_Unidade,
                    funcionario.Titulo as Funcionario
                    FROM recontagem
                    LEFT JOIN (SELECT Id,Titulo,Codigo FROM produto) as produto ON produto.Id = recontagem.Id_Produto
                    LEFT JOIN (SELECT Id,Titulo FROM local_estoque) as local_estoque ON local_estoque.Id = recontagem.Id_Local_Estoque
                    inner join (SELECT Id, Titulo FROM unidade) as unidade ON unidade.Id = recontagem.Id_Unidade
                    left join (SELECT Id,Titulo FROM funcionario) as funcionario ON funcionario.Id = recontagem.Id_Funcionario
                    WHERE recontagem.Id='".$_GET["id_recontagem"]."' ");

$_GET["Unidade"] = $recontagem[0]["Id_Unidade"];
?>
<html>
    <head>
        <title>Lanamento: <?php echo $recontagem[0]["Lancamento"] ?></title>
        <link rel="stylesheet" type="text/css" href="../estilo/<?php echo SKIN; ?>/tabela_imp.css" />
        <script type="text/javascript" language="javascript" src="../js/jquery.js"></script>
        <?php include '../include/script_cabeca.php'; ?>
        <script type="text/javascript" language="javascript" src="../js/script.js"></script>
        <style type="text/css">
            .razao {
                font-size: 12px;
            }
        </style>
        <script type="text/javascript" language="javascript">
            window.onload = function(){
                window.print();
            };
          </script>
    </head>
<body>

    <table width="100%">
        <?php
        $empresa = $con->query("SELECT * FROM unidade WHERE Id = '".$_SESSION["Unidade"]."'");
        $empresa = mysqli_fetch_assoc($empresa);
        ?>
        <tr>
            <td align="right">
                <table width="100%">
                    <tr>
                        <td width="40%">
                            <?php
                            $cam_arq = file_exists("../unidade/foto/".$empresa["Logo"]."") ? "../unidade/foto/".$empresa["Logo"] :
                            "../../unidade/foto/".$empresa["Logo"]
                            ?>
                            <img src="<?=$cam_arq;?>" title="Logo" alt="Logo" border="0" width="140px" height="auto" />
                        </td>
                        <td width="50%" class="razao" align="left">
                            <?=strtoupper($empresa["Titulo"]);?><br>
                            <?=$empresa["Rua"].", ".$empresa["Numero"]; ?><br>
                            <?=$empresa["Cidade"].", ".$empresa["Estado"]." - ".$empresa["Cep"];?><br>
                            Fone: <?=$empresa["Fone1"];?><br>
                            <?php
                            if ($empresa["Fone2"]) {
                                echo "Fax: ".$empresa["Fone2"];
                            }
                            ?>
                        </td>
                    </tr>

                </table>
            </td>
        </tr>
        <tr>
            <td align="center" style="background-color:#000000;">
                <font color="#FFFFFF">
                    Comprovante de Troca
                </font>
            </td>
        </tr>

        <tr>
            <td align="">
                <table width="100%" class="razao">
                    <tr>
                        <td align="left"><b>Lanamento</b></td>
                        <td aling="rigth"><?=($recontagem[0]["Lancamento"])?></td>
                    </tr>
                    <tr>
                        <td aling="left"><b>Data</b></td>
                        <td aling="rigth"><?= data_exibir($recontagem[0]["Data_Cadastro"])?></td>
                    </tr>
                </table>
            </td>
        </tr>
    </table>
    
    <tr>
        <td>
            <table width="100%" class="razao">
                <tr>
                    <td colspan="8" width="100%" align="left" style="background-color:#000000;">
                        <font color="#FFFFFF">
                            Produtos
                        </font>
                    </td>
                </tr>
                <tr>
                    <td colspan="3"><b>Item</b></td>
                    <td><b>Qtd</b></td>
                   
                </tr>
                
                    <tr>
                        <td colspan="3"><?=$recontagem[0]["Codigo_Produto"].' : '.$recontagem[0]["Produto"]; ?></td>
                        <td><?=$recontagem[0]["Qtd"]; ?></td>
                    </tr>
                <tr>
                    <td>
                        &nbsp;
                    </td>
                </tr>
               
            </table>
        </td>
    </tr>
    <table width="98%" align="center">
	<tr>
		<td align="center"><br><br><br>________________________</td>
	</tr>
	<tr>
            <td align="center"><font face="verdana" size="2"><?php echo $recontagem[0]['Funcionario']?><br><b>Responsvel</b></font></td>
	</tr>
</table>
    <script>
        window.opener.location.href = 'list_recontagem.php';
    </script>
</body>
</html>