<?php
include_once "../include/conecta.php"; //Conecta com a nosso banco de dados MySQL
ini_set('session.gc_maxlifetime', 60*120); session_start();
/* include_once "../include/ver_sessao.php"; //Verifica se a sesso est ativa */
include_once "../include/funcoesPhp.php"; //Inclue a pgina con todas as funes a ser usada.
?>
<?php
$produto = mysqli_query($con,"SELECT recontagem.Codigo
                    FROM recontagem
                    WHERE recontagem.Id='".$_GET["id_recontagem"]."' ");
$valor = mysqli_fetch_assoc($produto);

$coleta = listar("SELECT DISTINCT recontagem.Id,
                    recontagem.Qtd,
                    recontagem.Codigo as Lancamento,
                    recontagem.Tipo,
                    recontagem.Descricao,
                    recontagem.Data_Cadastro,
                    produto.Titulo as 'Produto',
                    produto.Codigo as 'Codigo_Produto',
                    local_estoque.Titulo as Local_Estoque,
                    unidade.Titulo as Unidade,
                    recontagem.Id_Unidade
                    FROM recontagem
                    LEFT JOIN (SELECT Id,Titulo,Codigo FROM produto) as produto ON produto.Id = recontagem.Id_Produto
                    LEFT JOIN (SELECT Id,Titulo FROM local_estoque) as local_estoque ON local_estoque.Id = recontagem.Id_Local_Estoque
                    inner join (SELECT Id, Titulo FROM unidade) as unidade ON unidade.Id = recontagem.Id_Unidade
                    WHERE recontagem.Codigo='".$valor["Codigo"]."' ");

$_GET["Unidade"] = $coleta[0]["Id_Unidade"];
?>
<html>
<head>
<title>Gw - Gesto Web</title>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1" />
<link rel="shortcut icon" href="../imagem/favi_gw.ico" type="image/x-icon" />
<link rel="stylesheet" type="text/css" href="../estilo/<?php echo SKIN ;?>/tabela_imp.css" />
<script type="text/javascript" language="javascript" src="../js/jquery.js"></script>
<?php include '../include/script_cabeca.php'; ?>
<script type="text/javascript" language="javascript" src="../js/script.js"></script>
<script type="text/javascript" language="javascript" src="../js/meiomask/meiomask.js"></script>
<script type="text/javascript" language="javascript" src="../js/meiomask/<?php if(PAIS=="USA"){ echo "mascaras-usa"; }else{ echo "mascaras"; }?>.js"></script>
</head>
<body>
<br/>

<table width="98%" align="center"><!-- TABELA Q ENVOLVE TODO O CONTEUDO -->
<tr>
	<td>
		<?php include "../include/cabecalho_relatorio.php"; ?>
	</td>
</tr>
<tr>
	<td>
		<table width="100%" align="center">
			<tr>
                            <td colspan="2" align="center">
                                <font face="verdana" size="3">
                                    <b><i>Entrada/Sada - <?php echo $coleta[0]["Lancamento"];?></i></b>
                                </font>
                            </td>
			</tr>
		</table>
	</td>
</tr>
<tr>
	<td>
		<table width="100%" class="tabela">
                    <tr>
                        <td>Data: <?php echo data_exibir($coleta[0]["Data_Cadastro"]);?></td>
                    </tr>
		</table>
	</td>
</tr>
<tr>
	<td>
		<table width="100%" align="center" class="tabela">
			<tr>
				<td colspan="10"><i>Produtos</i></td>
			</tr>
			<tr class="azul-claro">
				<td>Tipo</td>
				<td>Produto</td>
				<td>Qtd</td>
				<td>Local Estoque</td>
                                <td>Unidade</td>
			</tr>
                        <?php foreach($coleta as $chave){ ?>
			<tr>
				<td><?php echo $chave["Tipo"];?></td>
				<td><?php echo $chave["Codigo_Produto"]." : ".$chave["Produto"];?></td>
                                <td><?php echo $chave["Qtd"];?></td>
                                <td><?php echo $chave["Local_Estoque"];?></td>
                                <td><?php echo $chave["Unidade"];?></td>
			</tr>
                        <?php } ?>
                        <tr>
                            <td colspan="5">Obs: <?php echo $coleta[0]["Descricao"];?></td>
			</tr>
		</table>
	</td>
</tr>
<?php if(CLIENTE_EMAIL=='panforno'){ ?>
<table width="98%" align="center">
	<tr>
		<td align="center"><br><br><br>________________________</td>
                <td align="center"><br><br><br>________________________</td>
	</tr>
	<tr>
		<td align="center"><font face="verdana" size="2">Solicitante</font></td>
                <td align="center"><font face="verdana" size="2">Responsvel</font></td>
	</tr>
</table>
<?php }else{ ?>
<table width="98%" align="center">
	<tr>
		<td align="center"><br><br><br>________________________</td>
	</tr>
	<tr>
		<td align="center"><font face="verdana" size="2">Diretoria</font></td>
	</tr>
</table>
<?php } ?>
<br/>
</body>
</html>
<?php include "../include/rodape.php";?>