<?php
include_once '../include/conecta.php'; //Conecta com a nosso banco de dados MySQL
include_once '../include/ver_sessao.php'; //Verifica se a sesso est ativa
include_once '../include/funcoesPhp.php';
include_once '../menu_movimento.php';
?>
<?php
if (($_GET["Finalizado"]) || ($_GET["Aberto"]) || ($_GET["Cancelado"]) || ($_GET["Faturado_Parcial"])) {

    $status = "and (";

    if ($_GET["Finalizado"]) {
        $status .= " nfe.Status = 'Cancelada' OR";
    }
    if ($_GET["Aberto"]) {
        $status .= " nfe.Status = 'Ativa' OR";
    }
    if ($_GET["Cancelado"]) {
        $status .= " nfe.Status = 'Denegada' OR";
    }

    $status = substr($status, 0, -2);
    $status .= ")";
}


if ($_GET["De"])
    $data .= "AND nfe.Data_Emissao >= '" . data_banco($_GET["De"]) . " 00:00:00' ";
if ($_GET["Ate"])
    $data .= "AND nfe.Data_Emissao <= '" . data_banco($_GET["Ate"]) . " 23:59:59' ";


if ($_GET["Unidade"]) {
    $Unidade .= "and nfe.Id_Unidade = '" . $_GET["Unidade"] . "' ";
}
if ($_GET["Cfop"]) {
    $cfop = "AND nfe.Cfop = '" . $_GET["Cfop"] . "' ";
}

if ($_GET["Tipo_Nota"]) {
    $tipoNota = "and nfe.Tipo_Nfe = '" . $_GET["Tipo_Nota"] . "' ";
}

?>
<?php ob_start(); /* Inicia o fluxo*/ ?>
<html>

<head>
    <link rel="stylesheet" type="text/css" href="../estilo/<?php echo SKIN; ?>/tabela_imp.css" />
    <script type="text/javascript" language="javascript" src="../js/jquery.js"></script>
    <?php include '../include/script_cabeca.php'; ?>
    <script type="text/javascript" language="javascript" src="../js/script.js"></script>
    <script type="text/javascript" language="javascript" src="../js/meiomask/meiomask.js"></script>
    <script type="text/javascript" language="javascript" src="../js/meiomask/<?php if (PAIS == "USA") {
                                                                                    echo "mascaras-usa";
                                                                                } else {
                                                                                    echo "mascaras";
                                                                                } ?>.js"></script>
</head>

<body>
    <?php include "../include/cabecalho_relatorio.php"; ?>
    <table width="100%">
        <tr>
            <td>
                <font face="verdana" size="2"><i>Relatrio de Notas Fiscais por CFOP</i></font>
            </td>
        </tr>
        <tr>
            <td>
                <font face="verdana" size="2">
                    <?php
                    if ($_GET["De"]) {
                        echo "Perodo: " . $_GET["De"];
                    }
                    if ($_GET["Ate"]) {
                        echo "  " . $_GET["Ate"];
                    }
                    if ($_GET["Funcionario"]) {
                        $achar = listar("Select Titulo from funcionario
			where Id = '" . $_GET["Funcionario"] . "' ");
                        echo " - " . $achar[0]["Titulo"];
                    }
                    if ($_GET["Cliente"]) {
                        $achar = listar("Select Titulo from cliente
			where Id = '" . $_GET["Cliente"] . "' ");
                        echo " - " . $achar[0]["Titulo"];
                    }
                    if ($_GET["Cancelado"]) {
                        echo " - " . $_GET["Cancelado"];
                    }
                    if ($_GET["Finalizado"]) {
                        echo " - " . $_GET["Finalizado"];
                    }
                    if ($_GET["Faturado_Parcial"]) {
                        echo " - " . $_GET["Faturado Parcial"];
                    }
                    if ($_GET["Aberto"]) {
                        echo " - " . $_GET["Aberto"];
                    }
                    //se o sistema for Multi Empresa
                    if ((MULTI_EMPRESA == "Sim") && ($_SESSION["Id_Nivel"] == '1')) {

                        if ($_GET["Unidade"]) {
                            $achar = listar("Select Titulo from unidade
						where Id = '" . $_GET["Unidade"] . "' ");
                            echo " - " . $achar[0]["Titulo"];
                        }
                    }
                    ?>
                </font>
            </td>
        </tr>
    </table>
    <table width="100%" class="tabela">
        <?php
        if ($_GET["Ok"]) {
            $venda = mysqli_query($con, "Select DISTINCT nfe.Id, nfe.Cfop,cfop.Titulo as Descricao
                                                                        from nfe
                                                                        left join (SELECT Id,Cfop,Titulo FROM cfop) as cfop ON cfop.Id = nfe.Cfop
                                                                        where 1=1
                                                                        AND nfe.EF = 'Sim'
                                                                        $data $Unidade $tipoNota $cfop
                                                                        GROUP BY nfe.Cfop
                                                                        order by nfe.Numero_Nota");
        }

        if ($_GET["Ok"]) {

            while ($chave = mysqli_fetch_assoc($venda)) {
        ?>
        <tr class="azul-claro">
            <td colspan="14">Cfop: <b><?php echo $chave["Cfop"] . ' - ' . $chave["Descricao"] ?></b></td>
        </tr>
        <tr>
            <td>Tipo</td>
            <td>Emisso</td>
            <td>Sada</td>
            <td>Nfe</td>
            <td>Srie</td>
            <td>Cliente</td>
            <td>Cpf/Cnpj</td>
            <td>UF</td>
            <td>$ Itens</td>
            <td>$ Desconto</td>
            <td>$ Outros</td>
            <td>$ Base Icms</td>
            <td>$ Icms</td>
            <td>$ Total</td>
        </tr>
        <?php
                $produto = mysqli_query($con, "Select nfe.Id,
                                    nfe.Numero_Nota,
                                    nfe.Data_Nfe,
                                    nfe.Valor_Nfe,
                                    nfe.Data_Emissao,
                                    nfe.Id_Pedido,
                                    nfe.vProd as Valor_Produto,
                                    nfe.vDesc as Valor_Desconto,
                                    nfe.vOutro as Valor_Outro,
                                    nfe.vBC,
                                    nfe.vICMS,
                                    nfe.vBCST,
                                    nfe.vST,
                                    nfe.Serie,
                                    nfe.Tipo_Nfe,
                                    nfe_pedido.Id_Cliente,
                                    cliente.Estado,
                                    cliente.Razao_Social,
                                    cliente.Titulo as Cliente,
                                    cliente.Cpf_Cnpj
                                    from nfe
                                    left join (SELECT Id,Id_Nfe,Id_Cliente FROM nfe_pedido) as nfe_pedido ON nfe_pedido.Id_Nfe = nfe.Id
                                    left join (SELECT Id,Razao_Social,Titulo,Estado, Cpf_Cnpj FROM cliente) as cliente ON cliente.Id = nfe_pedido.Id_Cliente
                                    where nfe.Cfop = '" . $chave["Cfop"] . "'
                                    $data $Unidade $tipoNota
                                    order by nfe.Numero_Nota");
                ?>
        <?php
                $color = "#F5F5F5";
                $vtotal = '0';
                while ($valor = mysqli_fetch_assoc($produto)) {

                    if ($color == "#F5F5F5") {
                        $color = "#E8E8E8";
                    } else {
                        $color = "#F5F5F5";
                    }
                ?>
        <tr bgcolor=<?php echo "$color"; ?>>
            <td><?php echo $valor["Tipo_Nfe"] ?></td>
            <td><?php echo data_exibir($valor["Data_Emissao"]) ?></td>
            <td><?php echo data_exibir($valor["Data_Emissao"]) ?></td>
            <td><?php echo $valor["Numero_Nota"] ?></td>
            <td><?php echo $valor["Serie"] ?></td>
            <td>
                <?php
                            if (CLIENTE_RAZAO_SOCIAL == 'Sim') {
                                echo $valor["Razao_Social"];
                            } else {
                                echo $valor["Cliente"];
                            }
                            ?>
            </td>
            <td><?php echo cnpj_exibir($valor["Cpf_Cnpj"]) ?></td>
            <td><?php echo $valor["Estado"] ?></td>
            <td><?php echo valor_exibir($valor["Valor_Produto"]) ?></td>
            <td><?php echo valor_exibir($valor["Valor_Desconto"]) ?></td>
            <td><?php echo valor_exibir($valor["Valor_Outro"]) ?></td>
            <td><?php echo valor_exibir($valor["vBC"]) ?></td>
            <td><?php echo valor_exibir($valor["vICMS"]) ?></td>
            <td><?php echo valor_exibir($valor["Valor_Nfe"]) ?></td>
        </tr>
        <?php
                    $vtotal += $valor["Valor_Nfe"];
                    $vTotalBC += $valor["vBC"];
                    $vTotalICMS += $valor["vICMS"];
                }
                ?>
        <?php
                $vtotalacumA += $vtotal;
                $vAcumuladoBC += $vTotalBC;
                $vAcumuladoICMS += $vTotalICMS;

                ?>
        <tr>
            <td colspan="10">&nbsp;</td>
            <td align="right">Total</td>
            <td><b><?php echo valor_exibir($vTotalBC); ?></b></td>
            <td><b><?php echo valor_exibir($vTotalICMS); ?></b></td>
            <td><b><?php echo valor_exibir($vtotal); ?></b></td>
        </tr>
        <tr>
            <td colspan="16">&nbsp;</td>
        </tr>
        <?php }
        } ?>

        <tr>
            <td colspan="10" align="right">&nbsp;</td>
            <td align="right"><b>Valores Finais:</b> &nbsp;</td>
            <td><b><?php echo valor_exibir($vAcumuladoBC); ?></b></td>
            <td><b><?php echo valor_exibir($vAcumuladoICMS); ?></b></td>
            <td><b><?php echo valor_exibir($vtotalacumA); ?></b></td>
        </tr>
    </table>
</body>

</html>
<?php
$html = ob_get_contents();
ob_end_clean();

include_once "../include/excel_opcao.php";
?>