<?php
include_once '../include/conecta.php'; //Conecta com a nosso banco de dados MySQL
include_once '../include/funcoesPhp.php';
include_once '../menu_movimento.php';

if ($_GET["De"])
    $data .= "AND venda.Data_Conclusao >= '" . data_banco($_GET["De"]) . " 00:00:00' ";
if ($_GET["Ate"])
    $data .= "AND venda.Data_Conclusao <= '" . data_banco($_GET["Ate"]) . " 23:59:59' ";

if ($_GET["De"])
    $dataCR .= "AND conta_receber.Data_Pagamento >= '" . data_banco($_GET["De"]) . " 00:00:00' ";
if ($_GET["Ate"])
    $dataCR .= "AND conta_receber.Data_Pagamento <= '" . data_banco($_GET["Ate"]) . " 23:59:59' ";

if ($_GET["De"])
    $dataCRA .= "AND conta_receber.Data_Vencimento >= '" . data_banco($_GET["De"]) . " 00:00:00' ";
if ($_GET["Ate"])
    $dataCRA .= "AND conta_receber.Data_Vencimento <= '" . data_banco($_GET["Ate"]) . " 23:59:59' ";

if ($_GET["De"])
    $dataCP .= "AND conta_pagar.Data_Pagamento >= '" . data_banco($_GET["De"]) . " 00:00:00' ";
if ($_GET["Ate"])
    $dataCP .= "AND conta_pagar.Data_Pagamento <= '" . data_banco($_GET["Ate"]) . " 23:59:59' ";

if ($_GET["Vendedor"]) {
    $vendedorV .= "AND venda.Id_Vendedor = '" . $_GET["Vendedor"] . "' ";
    $vendedorCR .= "AND conta_receber.Id_Vendedor1 = '" . $_GET["Vendedor"] . "' ";
}

if ($_GET["Unidade"]) {
    $Unidade = "AND venda.Id_Unidade = '" . $_GET["Unidade"] . "' ";
    $UnidadeCR = "AND conta_receber.Id_Unidade = '" . $_GET["Unidade"] . "' ";
    $UnidadeCP = "AND conta_pagar.Id_Unidade = '" . $_GET["Unidade"] . "' ";
}

if ($_GET["EF"]) {
    $vendaEF .= "and venda.EF = '" . $_GET["EF"] . "' ";
    $contaReceberEF .= "and conta_receber.EF = '" . $_GET["EF"] . "' ";
    $contaPagarEF .= "and conta_pagar.EF = '" . $_GET["EF"] . "' ";
}

if ($_GET["Ok"]) {
    $venda = mysqli_query($con, "SELECT venda.Id,
                                        SUM(venda.Valor_Pago) as Valor
                                FROM venda
                                LEFT JOIN (SELECT Id,Titulo FROM funcionario) as vendedor ON vendedor.Id = venda.Id_Vendedor
                                WHERE venda.Status ='Finalizado'
                                $data $vendedorV $Unidade $vendaEF");
    $venda = mysqli_fetch_assoc($venda);


    $contaReceber = mysqli_query($con, "SELECT Id,SUM(Valor_Pago) as Valor
                                FROM conta_receber
                                WHERE conta_receber.Status ='Liquidado'
                                $dataCR $vendedorCR $UnidadeCR $contaReceberEF");
    $contaReceber = mysqli_fetch_assoc($contaReceber);

    $contaReceberA = mysqli_query($con, "SELECT Id,SUM(Valor_Original) as Valor
                                FROM conta_receber
                                WHERE conta_receber.Status ='Aberto'
                                $dataCRA $vendedorCR $UnidadeCR $contaReceberEF");
    $contaReceberA = mysqli_fetch_assoc($contaReceberA);

    $contaPagar = mysqli_query($con, "SELECT Id,SUM(Valor_Pago) as Valor
                                FROM conta_pagar
                                WHERE conta_pagar.Status ='Liquidado'
                                $dataCP $UnidadeCP $contaPagarEF");
    $contaPagar = mysqli_fetch_assoc($contaPagar);

    $lucro = $contaReceber["Valor"] - $contaPagar["Valor"];

    $margemLucro = ($lucro / $contaReceber["Valor"]) * 100;
}
?>
<?php ob_start(); /* Inicia o fluxo*/ ?>
<html>

<head>
    <link rel="stylesheet" type="text/css" href="../estilo/<?php echo SKIN; ?>/tabela_imp.css" />
    <script type="text/javascript" language="javascript" src="../js/jquery.js"></script>
    <?php include '../include/script_cabeca.php'; ?>
    <script type="text/javascript" language="javascript" src="../js/script.js"></script>
    <script type="text/javascript" language="javascript" src="../js/meiomask/meiomask.js"></script>
    <script type="text/javascript" language="javascript" src="../js/meiomask/<?php if (PAIS == "USA") {
                                                                                    echo "mascaras-usa";
                                                                                } else {
                                                                                    echo "mascaras";
                                                                                } ?>.js"></script>
</head>

<body>
    <?php include "../include/cabecalho_relatorio.php"; ?>
    <table width="100%">
        <tr>
            <td>
                <font face="verdana" size="2"><i>Relatrio de Lucro por Vendas</i></font>
            </td>
        </tr>
        <tr>
            <td>
                <font face="verdana" size="2">
                    <?php
                    if ($_GET["De"]) {
                        echo "Perodo: " . $_GET["De"];
                    }
                    if ($_GET["Ate"]) {
                        echo "  " . $_GET["Ate"];
                    }
                    if ($_GET["Funcionario"]) {
                        $achar = listar("Select Titulo from funcionario
			where Id = '" . $_GET["Funcionario"] . "' ");
                        echo " - " . $achar[0]["Titulo"];
                    }
                    if ($_GET["Cliente"]) {
                        if (CLIENTE_RAZAO_SOCIAL == 'Sim') {
                            $nome = 'Razao_Social';
                        } else {
                            $nome = 'Titulo';
                        }
                        $achar = listar("Select " . $nome . " as Titulo from cliente
			where Id = '" . $_GET["Cliente"] . "' ");
                        echo " - " . $achar[0]["Titulo"];
                    }
                    if ($_GET["Produto"]) {
                        $achar = listar("Select Titulo from produto
			where Id = '" . $_GET["Produto"] . "' ");
                        echo " - " . $achar[0]["Titulo"];
                    }
                    if ($_GET["Cancelado"]) {
                        echo " - " . $_GET["Cancelado"];
                    }
                    if ($_GET["Finalizado"]) {
                        echo " - " . $_GET["Finalizado"];
                    }
                    if ($_GET["Aberto"]) {
                        echo " - " . $_GET["Aberto"];
                    }
                    //se o sistema for Multi Empresa
                    if ((MULTI_EMPRESA == "Sim") && ($_SESSION["Id_Nivel"] == '1')) {

                        if ($_GET["Unidade"]) {
                            $achar = listar("Select Titulo from unidade
						where Id = '" . $_GET["Unidade"] . "' ");
                            echo " - " . $achar[0]["Titulo"];
                        }
                    }
                    ?>
                </font>
            </td>
        </tr>
    </table>
    <tr>
        <td>
            <table width="100%" class="tabela">
                <?php
                if ($_GET["Ok"]) { ?>
                <tr class="azul-claro">
                    <td><b>Faturamento</b></td>
                    <td><b>Conta a Receber (Aberto)</b></td>
                    <td><b>Conta a Receber (Liquidado)</b></td>
                    <td><b>Contas a Pagar (Liquidado)</b></td>
                    <td><b>Lucro %</b></b></td>
                    <td><b>Lucro R$</b></td>
                </tr>
                <tr>
                    <td> R$ <?= valor_exibir($venda["Valor"]) ?></td>
                    <td> R$ <?= valor_exibir($contaReceberA["Valor"]) ?></td>
                    <!--Total CR Aberto -->
                    <td> R$ <?= valor_exibir($contaReceber["Valor"]) ?> </td>
                    <!--Total CR Liquidado -->
                    <td> R$ <?= valor_exibir($contaPagar["Valor"]) ?> </td>
                    <!--Total CP Aberto -->
                    <td> <?= valor_exibir($margemLucro) ?>%</td>
                    <td> R$ <?= valor_exibir($lucro) ?></td>
                </tr>
            </table>
        </td>
    </tr>
    <tr>
        <td>
            <div id="div_resposta"></div>
        </td>
    </tr>
    <?php } ?>
</body>

</html>
<?php
$html = ob_get_contents();
ob_end_clean();

include_once "../include/excel_opcao.php";
?>