<?php
include_once '../include/conecta.php'; //Conecta com a nosso banco de dados MySQL
include_once '../include/ver_sessao.php'; //Verifica se a sesso est ativa
include_once '../include/funcoesPhp.php';
include_once '../menu_movimento.php';
?>
<?php
if (($_GET["Finalizado"]) || ($_GET["Aberto"]) || ($_GET["Cancelado"])) {

    $status = "AND (";

    if ($_GET["Finalizado"]) {
        $status .= " venda.Status = 'Finalizado' OR";
    }
    if ($_GET["Aberto"]) {
        $status .= " venda.Status = 'Aberto' OR";
    }
    if ($_GET["Cancelado"]) {
        $status .= " venda.Status = 'Cancelado' OR";
    }

    $status = substr($status, 0, -2);
    $status .= ")";
}

if ($_GET["De"])
    $data .= "AND venda.Data_Nfe >= '" . data_banco($_GET["De"]) . " 00:00:00' ";
if ($_GET["Ate"])
    $data .= "AND venda.Data_Nfe <= '" . data_banco($_GET["Ate"]) . " 23:59:59' ";

if ($_GET["Cliente"]) {

    $mystring = $_GET["Cliente"];
    $findme = " : ";

    $posicao = strpos($mystring, $findme);

    $cod_cli = substr($_GET["Cliente"], 0, $posicao);
    $nome_cli = substr($_GET["Cliente"], ($posicao + 3));


    if (CLIENTE_RAZAO_SOCIAL == 'Sim') {
        $nome = 'Razao_Social';
    } else {
        $nome = 'Titulo';
    }
    /* convertendo o nome do fornecedor, para o seu codigo */
    $Prodt = listar("SELECT Id FROM cliente WHERE " . $nome . " ='" . $nome_cli . "' AND Codigo = '" . $cod_cli . "' ");
    $_GET["Cliente"] = $Prodt[0]["Id"];

    $Cliente .= "AND venda.Id_Cliente = '" . $_GET["Cliente"] . "' ";
}

if ($_GET["Produto"]) {

    $mystring = $_GET["Produto"];
    $findme = " : ";

    $posicao = strpos($mystring, $findme);

    $cod_cli = substr($_GET["Produto"], 0, $posicao);
    $nome_cli = substr($_GET["Produto"], ($posicao + 3));


    /* convertendo o nome do fornecedor, para o seu codigo */
    $Prodt = listar("SELECT Id FROM produto WHERE Titulo='" . $nome_cli . "' AND Codigo = '" . $cod_cli . "' ");
    $_GET["Produto"] = $Prodt[0]["Id"];

    $venda_produto = "AND nfe_pedido_produto.Id_Produto = '" . $_GET["Produto"] . "' ";
}

if ($_GET["Usuario"])
    $Usuario = "AND venda.Id_Usuario = '" . $_GET["Usuario"] . "' ";

if ($_GET["Funcionario"])
    $usuario_p .= "AND venda.Id_Funcionario = '" . $_GET["Funcionario"] . "' ";

if ($_GET["Vendedor"]) {
    $CampoSql = "venda.Id_Vendedor";
    include '../include/vendedor_gerente.php';

    $usuario_p .= "AND (venda.Id_Vendedor = '" . $_GET["Vendedor"] . "' $carteira ) ";
}

if ($_GET["EF"])
    $usuario_p .= "AND venda.EF = '" . $_GET["EF"] . "' ";

if ($_GET["Unidade"]) {
    $Unidade = "AND venda.Id_Unidade = '" . $_GET["Unidade"] . "' ";
}
if ($_GET["Financeiro"]) {
    $faturamento = "AND venda.Financeiro = '" . $_GET["Financeiro"] . "' ";
}

if ($_GET["Ok"]) {
    $venda = mysqli_query($con, "SELECT DISTINCT venda.Id,
                                        venda.Lancamento,
                                        venda.Status,
                                        venda.Frete,
                                        venda.Qtd_Vol,
                                        venda.Data_Venda,
                                        venda.Data_Cadastro,
                                        venda.Data_Conclusao,
                                        venda.Desconto,
                                        venda.Desconto_Real,
                                        venda.Data_Nfe,
                                        venda.Fatura,
                                        venda.Id_Transportadora,
                                        venda.Id_Vendedor,
                                        venda.Id_Vendedor2,
                                        venda.Id_Funcionario,
                                        venda.Id_Cfop,
                                        venda.Id_Cliente,
                                        venda.Id_Tipo_Pagamento,
                                        venda.Valor_Pago
                                    FROM (SELECT Id,Lancamento,Status,Qtd_Vol,Data_Venda,Fatura,
                                    Data_Cadastro,Data_Conclusao,Desconto,Desconto_Real,
                                    Frete,Data_Nfe,Id_Transportadora,Id_Vendedor,Id_Vendedor2,
                                    Id_Funcionario,Id_Cfop,Id_Cliente,Id_Tipo_Pagamento,Valor_Pago
                                    FROM venda WHERE EF='Sim' AND (Status='Finalizado' OR Status='Cancelado')
                                    $status $data $Cliente $Usuario $usuario_p $Unidade $faturamento) as venda
                                    WHERE 1=1
                                    GROUP BY venda.Lancamento
                                    ORDER BY venda.Lancamento");
}
?>
<?php ob_start(); /* Inicia o fluxo*/ ?>
<html>

<head>
    <link rel="stylesheet" type="text/css" href="../estilo/<?php echo SKIN; ?>/tabela_imp.css" />
    <script type="text/javascript" language="javascript" src="../js/jquery.js"></script>
    <?php include '../include/script_cabeca.php'; ?>
    <script type="text/javascript" language="javascript" src="../js/script.js"></script>
    <script type="text/javascript" language="javascript" src="../js/meiomask/meiomask.js"></script>
    <script type="text/javascript" language="javascript" src="../js/meiomask/<?php if (PAIS == "USA") {
                                                                                    echo "mascaras-usa";
                                                                                } else {
                                                                                    echo "mascaras";
                                                                                } ?>.js"></script>
</head>

<body>
    <?php include "../include/cabecalho_relatorio.php"; ?>

    <table width="100%" class="tabela">
        <tr class="cinza">
            <td>Data Venda</td>
            <td>Data Nfe</td>
            <td>Nfe</td>
            <td>N Pedido</td>
            <td>Cdigo Cliente</td>
            <td>Cliente</td>
            <td>Cidade</td>
            <td>Estado</td>
            <td>CEP</td>
            <td>Categoria Cliente</td>
            <td>Sub Categoria Cliente</td>
            <td>Cdigo</td>
            <td>Produto</td>
            <td>Categoria</td>
            <td>Sub Categoria</td>
            <td>Qtd</td>
            <td>Medida</td>
            <td>Valor Unitrio</td>
            <td>Cfop</td>
            <td>$ Icms</td>
            <td>$ Pis</td>
            <td>$ Cofins</td>
            <td>$ Ipi</td>
            <td>$ Icms ST</td>
            <td>$ FCP</td>
            <td>$ Desc Rat</td>
            <td>Transpor</td>
            <td>Tipo Frete</td>
            <td>$ Frete</td>
            <td>Total</td>
            <td>Vendedor</td>
            <td>Vendedor 2</td>
            <td>Tipo Pgto</td>
            <td>Status</td>
        </tr>

        <?php
        if ($_GET["Ok"]) {


            while ($chave = mysqli_fetch_assoc($venda)) {

                $produto = mysqli_query($con, "SELECT
                                    nfe_pedido_produto.Id_Produto,
                                    nfe_pedido_produto.Id_Cfop,
                                    nfe_pedido_produto.Icms_Real,
                                    nfe_pedido_produto.Icms_Sub_Real,
                                    nfe_pedido_produto.Pis_Real,
                                    nfe_pedido_produto.Cofins_Real,
                                    nfe_pedido_produto.CST_Ipi,
                                    nfe_pedido_produto.Ipi_Real,
                                    nfe_pedido_produto.FCP_Real,
                                    nfe_pedido_produto.Desconto_Total,
                                    nfe_pedido_produto.Frete,
                                    venda_produto.Qtd,
                                    venda_produto.Preco
                                    from nfe_pedido_produto
                                    LEFT JOIN(SELECT Id_Venda,Id_Produto,Qtd,Preco FROM venda_produto WHERE Id_Venda='" . $chave["Id"] . "') as venda_produto ON venda_produto.Id_Produto = nfe_pedido_produto.Id_Produto
                                    WHERE nfe_pedido_produto.Id_Pedido = '" . $chave["Id"] . "'
                                    $venda_produto
                                    GROUP BY nfe_pedido_produto.Id_Produto, nfe_pedido_produto.Lote
                                    ORDER BY nfe_pedido_produto.Data_Cadastro");
        ?>
                <?php
                $color = "#F5F5F5";
                $vtotal = '0';
                $VICMSST = 0;
                while ($valor = mysqli_fetch_assoc($produto)) {

                    if ($color == "#F5F5F5") {
                        $color = "#E8E8E8";
                    } else {
                        $color = "#F5F5F5";
                    }

                    $nome1 = mysqli_query($con, "SELECT Titulo as Vendedor FROM funcionario WHERE Id = '" . $chave['Id_Vendedor'] . "'");
                    $nome1 = mysqli_fetch_assoc($nome1);

                    $nome2 = mysqli_query($con, "SELECT Titulo as Vendedor2 FROM funcionario WHERE Id = '" . $chave['Id_Vendedor2'] . "'");
                    $nome2 = mysqli_fetch_assoc($nome2);

                    $nome3 = mysqli_query($con, "SELECT Id,Titulo,Razao_Social,Id_Categoria_Cliente,Id_Categoria_Cliente_Filho,Codigo,Cidade,Estado,
                                        Cep,Latitude,Longitude,Data_Cadastro,Tabela_Preco,Cliente_FCP
                                        FROM cliente WHERE Id = '" . $chave['Id_Cliente'] . "'");
                    $nome3 = mysqli_fetch_assoc($nome3);

                    $nome4 = mysqli_query($con, "SELECT Id,Titulo as Categoria_Cliente FROM categoria_cliente WHERE Id = '" . $nome3['Id_Categoria_Cliente'] . "'");
                    $nome4 = mysqli_fetch_assoc($nome4);

                    $nome5 = mysqli_query($con, "SELECT Id,Titulo as Categoria_Cliente_Filho FROM categoria_cliente WHERE Id = '" . $nome3['Id_Categoria_Cliente_Filho'] . "'");
                    $nome5 = mysqli_fetch_assoc($nome5);

                    $nome6 = mysqli_query($con, "SELECT Id,Titulo,Codigo,Id_Categoria_Produto,Id_Categoria_Produto_Filho,Medida,Peso_Liquido
                                    FROM produto WHERE Id = '" . $valor['Id_Produto'] . "'");
                    $nome6 = mysqli_fetch_assoc($nome6);

                    $nome7 = mysqli_query($con, "SELECT Id,Titulo as Categoria_Produto FROM categoria_produto WHERE Id = '" . $nome6['Id_Categoria_Produto'] . "'");
                    $nome7 = mysqli_fetch_assoc($nome7);

                    $nome8 = mysqli_query($con, "SELECT Id,Titulo as Categoria_Produto_Filho FROM categoria_produto WHERE Id = '" . $nome6['Id_Categoria_Produto_Filho'] . "'");
                    $nome8 = mysqli_fetch_assoc($nome8);

                    $nome9 = mysqli_query($con, "SELECT Cfop FROM cfop WHERE Id = '" . $valor['Id_Cfop'] . "'");
                    $nome9 = mysqli_fetch_assoc($nome9);

                    $nome10 = mysqli_query($con, "SELECT Titulo as Transportadora FROM fornecedor WHERE Id = '" . $chave['Id_Transportadora'] . "'");
                    $nome10 = mysqli_fetch_assoc($nome10);

                    $nome11 = mysqli_query($con, "SELECT Titulo as Tipo_Pagamento FROM tipo_pagamento WHERE Id = '" . $chave['Id_Tipo_Pagamento'] . "'");
                    $nome11 = mysqli_fetch_assoc($nome11);
                ?>
                    <tr bgcolor=<?php echo "$color"; ?>>
                        <td><?php echo data_exibir($chave["Data_Venda"]) ?></td>
                        <td><?php echo data_exibir($chave["Data_Nfe"]) ?></td>
                        <td><?php echo ($chave["Fatura"]) ?></td>
                        <td><?php echo ($chave["Lancamento"]) ?></td>
                        <td><?php echo ($nome3["Codigo"]) ?></td>
                        <td>
                            <?php
                            if (CLIENTE_RAZAO_SOCIAL == 'Sim') {
                                echo $nome3["Razao_Social"];
                            } else {
                                echo $nome3["Cliente"];
                            }
                            ?>
                        </td>
                        <td><?php echo $nome3["Cidade"] ?></td>
                        <td><?php echo $nome3["Estado"] ?></td>
                        <td><?php echo $nome3["Cep"] ?></td>
                        <td><?php echo $nome4["Categoria_Cliente"]; ?></td>
                        <td><?php echo $nome5["Categoria_Cliente_Filho"]; ?></td>
                        <td><?php echo $nome6["Codigo"] ?></td>
                        <td><?php echo $nome6["Titulo"] ?></td>
                        <td><?php echo $nome7["Categoria_Produto"] ?></td>
                        <td><?php echo $nome8["Categoria_Produto_Filho"] ?></td>
                        <td><?php echo valor_exibir($valor["Qtd"]) ?></td>
                        <td><?php echo ($nome6["Medida"]) ?></td>
                        <td><?php echo valor_exibir($valor["Preco"]) ?></td>
                        <td><?php echo ($nome9["Cfop"]) ?></td>
                        <td><?php echo valor_exibir($valor['Icms_Real']); ?></td>
                        <td><?php echo valor_exibir($valor['Pis_Real']); ?></td>
                        <td><?php echo valor_exibir($valor['Cofins_Real']); ?></td>
                        <td><?php echo valor_exibir($valor['Ipi_Real']); ?></td>
                        <td><?php echo valor_exibir($valor['Icms_Sub_Real']); ?></td>
                        <td><?php echo valor_exibir($valor['FCP_Real']); ?></td>
                        <td><?php echo valor_exibir($valor["Desconto_Total"]) ?></td>
                        <td><?php echo $nome10["Transportadora"] ?></td>
                        <td><?php echo $chave["Frete"] ?></td>
                        <td><?php echo valor_exibir($valor["Frete"]) ?></td>
                        <td><?php echo valor_exibir(($valor["Preco"] * $valor["Qtd"]) - ($valor["Desconto_Total"])) ?>
                        </td>
                        <td><?php echo ($nome1["Vendedor"]) ?></td>
                        <td><?php echo ($nome2["Vendedor2"]) ?></td>
                        <td><?php echo ($nome11["Tipo_Pagamento"]) ?></td>
                        </td>
                        <?php
                        $corStatus = "";
                        if ($chave['Status'] == 'Finalizado') {
                            $corStatus = "color = '#228B22' ";
                        }
                        if ($chave['Status'] == 'Aberto') {
                            $corStatus = "color = '#3A5FCD' ";
                        }
                        if ($chave['Status'] == 'Cancelado') {
                            $corStatus = "color = '#CD2626' ";
                        }
                        ?>
                        <td>
                            <font <?php echo $corStatus ?>>
                                <b><?php echo $chave["Status"] ?></b>
                            </font>
                        </td>
                    </tr>
                <?php } ?>

        <?php }
        } ?>

    </table>
</body>

</html>
<?php
$html = ob_get_contents();
ob_end_clean();

include_once "../include/pdf_opcao.php";
?>