<?php
include_once '../include/conecta.php'; //Conecta com a nosso banco de dados MySQL
include_once '../include/ver_sessao.php'; //Verifica se a sesso est ativa
include_once '../include/funcoesPhp.php';
include_once '../menu_movimento.php';


if ($_GET["Finalizado"]) {
	$status .= "and venda.Status = 'Finalizado' ";
}
if ($_GET["Aberto"]) {
	$status .= "and venda.Status = 'Aberto' ";
}
if ($_GET["Cancelado"]) {
	$status .= "and venda.Status = 'Cancelado' ";
}

if ($_GET['Data_Filtro'] == 'Data') {
	if ($_GET["De"])
		$data .= "AND venda.Data_Venda >= '" . data_banco($_GET["De"]) . " 00:00:00' ";
	if ($_GET["Ate"])
		$data .= "AND venda.Data_Venda <= '" . data_banco($_GET["Ate"]) . " 23:59:59' ";
}
if ($_GET['Data_Filtro'] == 'Conclusao') {
	if ($_GET["De"])
		$data .= "AND venda.Data_Conclusao >= '" . data_banco($_GET["De"]) . " 00:00:00' ";
	if ($_GET["Ate"])
		$data .= "AND venda.Data_Conclusao <= '" . data_banco($_GET["Ate"]) . " 23:59:59' ";
}

if ($_GET["Cliente"])
	$Cliente = "and venda.Id_Cliente = '" . $_GET["Cliente"] . "' ";

if ($_GET["Vendedor"])
	$profiss .= "and venda_produto.Id_Funcionario = '" . $_GET["Vendedor"] . "' ";

if ($_GET["Vendedor2"])
	$profiss2 .= "and venda_produto.Id_Vendedor2 = '" . $_GET["Vendedor2"] . "' ";

if ($_GET["Produto"])
	$venda_produto = "and venda_produto.Id_Produto = '" . $_GET["Produto"] . "' ";

if ($_GET["Unidade"]) {
	$Unidade = "and venda.Id_Unidade = '" . $_GET["Unidade"] . "' ";
}
if ($_GET["Financeiro"]) {
	$faturamento = "and venda.Financeiro = '" . $_GET["Financeiro"] . "' ";
}

if ($_GET["Ok"]) {
	$venda = mysqli_query($con, "SELECT venda.Id, venda.Lancamento,
                        venda.Status,
                        venda.Data_Venda,
                        venda.Data_Conclusao,
                        venda.Desconto,
                        venda.Desconto_Real,
                        cliente.Titulo as Cliente,
                        funcionario.Titulo as 'Funcionario'
                        FROM (SELECT venda.Id,
                        Lancamento,Status,Data_Venda,Data_Conclusao,
                        Desconto,Desconto_Real,Id_Cliente,Id_Funcionario,
                        Id_Tipo_Pagamento,Id_Unidade
                        FROM venda
                        INNER JOIN (SELECT Id,Id_Externo FROM conta_receber) as conta_receber ON conta_receber.Id_Externo = venda.Id
                        WHERE venda.Status = 'Finalizado'
                        $data $Cliente $Unidade $faturamento) as venda
                        INNER join (SELECT Id,Id_Venda FROM venda_produto WHERE 1=1 AND Id_Funcionario != '' $venda_produto $profiss) as venda_produto ON venda_produto.Id_Venda = venda.Id
                        LEFT JOIN (SELECT Id,Titulo FROM funcionario) as funcionario ON funcionario.Id = venda.Id_Funcionario
                        LEFT JOIN (SELECT Id,Titulo FROM cliente) as cliente ON venda.Id_Cliente = cliente.Id
                        where 1=1
                        group by venda.Lancamento
                        order by venda.Lancamento");

	$venda2 = mysqli_query($con, "SELECT venda.Id, venda.Lancamento,
                        venda.Status,
                        venda.Data_Venda,
                        venda.Data_Conclusao,
                        venda.Desconto,
                        venda.Desconto_Real,
                        cliente.Titulo as Cliente,
                        funcionario.Titulo as 'Funcionario'
                        FROM (SELECT venda.Id,
                        Lancamento,Status,Data_Venda,Data_Conclusao,
                        Desconto,Desconto_Real,Id_Cliente,Id_Funcionario,
                        Id_Tipo_Pagamento,Id_Unidade
                        FROM venda
                        INNER JOIN (SELECT Id,Id_Externo FROM conta_receber) as conta_receber ON conta_receber.Id_Externo = venda.Id
                        WHERE venda.Status = 'Finalizado'
                        $data $Cliente $Unidade $faturamento) as venda
                        INNER join (SELECT Id,Id_Venda FROM venda_produto WHERE 1=1 AND Id_Vendedor2 != '' $venda_produto $profiss2) as venda_produto ON venda_produto.Id_Venda = venda.Id
                        LEFT JOIN (SELECT Id,Titulo FROM funcionario) as funcionario ON funcionario.Id = venda.Id_Funcionario
                        LEFT JOIN (SELECT Id,Titulo FROM cliente) as cliente ON venda.Id_Cliente = cliente.Id
                        where 1=1
                        group by venda.Lancamento
                        order by venda.Lancamento");
}

?>
<?php ob_start(); /* Inicia o fluxo*/ ?>
<html>

<head>
	<link rel="stylesheet" type="text/css" href="../estilo/<?php echo SKIN; ?>/tabela_imp.css" />
	<script type="text/javascript" language="javascript" src="../js/jquery.js"></script>
	<?php include '../include/script_cabeca.php'; ?>
	<script type="text/javascript" language="javascript" src="../js/script.js"></script>
	<script type="text/javascript" language="javascript" src="../js/meiomask/meiomask.js"></script>
	<script type="text/javascript" language="javascript" src="../js/meiomask/<?php if (PAIS == "USA") {
																					echo "mascaras-usa";
																				} else {
																					echo "mascaras";
																				} ?>.js"></script>
</head>

<body>
	<?php include "../include/cabecalho_relatorio.php"; ?>
	<table width="100%">
		<tr>
			<td>
				<font face="verdana" size="2"><i>Relatrio Comisso Sobre Produtos da Venda</i></font>
			</td>
		</tr>
		<tr>
			<td>
				<font face="verdana" size="2">
					<?php
					if ($_GET["De"]) {
						echo "Perodo: " . $_GET["De"];
					}
					if ($_GET["Ate"]) {
						echo "  " . $_GET["Ate"];
					}
					if ($_GET["Funcionario"]) {
						$achar = listar("Select Titulo from funcionario
			where Id = '" . $_GET["Funcionario"] . "' ");
						echo " - " . $achar[0]["Titulo"];
					}
					if ($_GET["Cliente"]) {
						$achar = listar("Select Titulo from cliente
			where Id = '" . $_GET["Cliente"] . "' ");
						echo " - " . $achar[0]["Titulo"];
					}
					if ($_GET["Produto"]) {
						$achar = listar("Select Titulo from produto
			where Id = '" . $_GET["Produto"] . "' ");
						echo " - " . $achar[0]["Titulo"];
					}
					if ($_GET["Cancelado"]) {
						echo " - " . $_GET["Cancelado"];
					}
					if ($_GET["Finalizado"]) {
						echo " - " . $_GET["Finalizado"];
					}
					if ($_GET["Aberto"]) {
						echo " - " . $_GET["Aberto"];
					}
					//se o sistema for Multi Empresa
					if ((MULTI_EMPRESA == "Sim") && ($_SESSION["Id_Nivel"] == '1')) {

						if ($_GET["Unidade"]) {
							$achar = listar("Select Titulo from unidade
						where Id = '" . $_GET["Unidade"] . "' ");
							echo " - " . $achar[0]["Titulo"];
						}
					}
					?>
				</font>
			</td>
		</tr>
		<tr>
			<td>
				<?php
				if ($_GET["Ok"]) {

					while ($chave = mysqli_fetch_assoc($venda)) {

						$produto = mysqli_query($con, "SELECT produto.Titulo,
                                        venda_produto.Id_Venda,
                                        venda_produto.Preco,
	 				                    venda_produto.Qtd,
                                        venda_produto.Desconto,
                                        venda_produto.Desconto_Real,
                                        venda_produto.Comissao,
                                        funcionario.Id as Id_Funcionario,
                                        funcionario.Titulo as Funcionario
 					                    FROM (SELECT Id,Data_Cadastro,Id_Produto,Id_Funcionario,Id_Venda,
                                        Preco, Qtd, Desconto, Desconto_Real, Comissao,Comissao2,Id_Vendedor2
                                        FROM venda_produto
                                        WHERE venda_produto.Id_Venda = '" . $chave["Id"] . "'
                                        $venda_produto $profiss) as venda_produto
 					                    LEFT JOIN (SELECT Id,Titulo FROM produto) as produto ON produto.Id = venda_produto.Id_Produto
                                        LEFT JOIN (SELECT Id,Titulo FROM funcionario) as funcionario ON funcionario.Id = venda_produto.Id_Funcionario
                                        WHERE 1=1
                                        ORDER BY venda_produto.Data_Cadastro");
				?>
						<?php
						$color = "#F5F5F5";
						$vtotal = '0';
						$vPedido = '0';
						$vPedido2 = 0;
						while ($valor = mysqli_fetch_assoc($produto)) {

							if ($color == "#F5F5F5") {
								$color = "#E8E8E8";
							} else {
								$color = "#F5F5F5";
							}

							//SUM( ( (venda_produto.Preco*venda_produto.Qtd) - ( (venda_produto.Preco*venda_produto.Qtd)*venda_produto.Desconto/100 ) ) -venda_produto.Desconto_Real) as Total_Venda,
							//calculando o desconto no pe de nota.
							$qtd_item = mysqli_query($con, "SELECT SUM(venda_produto.Qtd) as Total_Item,
                            venda.Valor_Original,
                            venda.Valor_Pago,
                            venda.Desconto,
                            venda.Desconto_Real
                            FROM venda_produto
                            WHERE venda_produto.Id_Venda = '" . $valor["Id_Venda"] . "'
                            $venda_produto
                            INNER JOIN (SELECT Id,Desconto,Desconto_Real,Status,Data_Venda,Data_Conclusao,Id_Cliente,
                            Valor_Original, Valor_Pago,Id_Unidade
                            FROM venda WHERE 1=1 $data $status $Cliente $Unidade) as venda ON venda.Id = venda_produto.Id_Venda
                            where 1=1
                            ORDER BY venda_produto.Data_Cadastro");
							$qtd_itens = mysqli_fetch_assoc($qtd_item);

							$vl_total_sem_desc = $qtd_itens["Valor_Original"];
							$vl_total_com_desc = $qtd_itens["Valor_Pago"];

							$desconto_pe_nota = $qtd_itens["Valor_Original"] - $qtd_itens["Valor_Pago"];

							$Desc_Rat = $desconto_pe_nota / $vl_total_sem_desc; //valor rateado geral
							$Desc_Rat = number_format($Desc_Rat, 10, ",", "."); //marreta
							$Desc_Rat = str_replace('.', '', $Desc_Rat);
							$Desc_Rat = str_replace(',', '.', $Desc_Rat);

							$vLinha = (($valor["Preco"] * $valor["Qtd"]) - (($valor["Preco"] * $valor["Qtd"]) * ($valor["Desconto"] / 100))) - $valor["Desconto_Real"];

							$vLinha = valor_banco(valor_exibir($vLinha));
							$rat = valor_banco(valor_exibir($Desc_Rat * $vLinha));

							$vtotal += ((($valor["Preco"] * $valor["Qtd"]) - (($valor["Preco"] * $valor["Qtd"]) * ($valor["Desconto"] / 100))) - $valor["Desconto_Real"]);

							$vPedido += (($vLinha - $rat) * ($valor["Comissao"] / 100));
							$vtotalacum[$valor["Funcionario"]] += (($vLinha - $rat) * ($valor["Comissao"] / 100));
							${$valor["Funcionario"]} += $vLinha - $rat;
						}

						$vtotalacumS[$chave["Status"]] += (($vtotal) - ($vtotal * ($chave["Desconto"] / 100))) - $chave["Desconto_Real"];
						$vtotalacumA += (($vtotal) - ($vtotal * ($chave["Desconto"] / 100))) - $chave["Desconto_Real"];
						?>

				<?php }

					while ($chave = mysqli_fetch_assoc($venda2)) {

						$produto2 = mysqli_query($con, "SELECT produto.Titulo,
                                        venda_produto.Id_Venda,
                                        venda_produto.Preco,
                                        venda_produto.Qtd,
                                        venda_produto.Desconto,
                                        venda_produto.Desconto_Real,
                                        venda_produto.Comissao2,
                                        funcionario2.Id as Id_Funcionario,
                                        funcionario2.Titulo as Vendedor2
                                        FROM venda_produto
                                        LEFT JOIN (SELECT Id,Titulo FROM produto) as produto ON produto.Id = venda_produto.Id_Produto
                                        LEFT JOIN (SELECT Id,Titulo FROM funcionario) as funcionario2 ON funcionario2.Id = venda_produto.Id_Vendedor2
                                        WHERE venda_produto.Id_Venda = '" . $chave["Id"] . "'
                                        $venda_produto $profiss2
                                        ORDER BY venda_produto.Data_Cadastro");

						$color = "#F5F5F5";
						$vtotal = '0';
						$vPedido = '0';
						$vPedido2 = 0;

						while ($valor = mysqli_fetch_assoc($produto2)) {

							if ($color == "#F5F5F5") {
								$color = "#E8E8E8";
							} else {
								$color = "#F5F5F5";
							}

							//calculando o desconto no pe de nota.
							$qtd_item = mysqli_query($con, "SELECT SUM(venda_produto.Qtd) as Total_Item,
                            venda.Valor_Original,
                            venda.Valor_Pago,
                            venda.Desconto,
                            venda.Desconto_Real
                            FROM venda_produto
                            WHERE venda_produto.Id_Venda = '" . $valor["Id_Venda"] . "'
                            $venda_produto
                            INNER JOIN (SELECT Id,Desconto,Desconto_Real,Status,Data_Venda,Data_Conclusao,Id_Cliente,
                            Valor_Original, Valor_Pago,Id_Unidade
                            FROM venda WHERE 1=1 $data $status $Cliente $Unidade) as venda ON venda.Id = venda_produto.Id_Venda
                            where 1=1
                            ORDER BY venda_produto.Data_Cadastro");
							$qtd_itens = mysqli_fetch_assoc($qtd_item);

							$vl_total_sem_desc = $qtd_itens["Valor_Original"];
							$vl_total_com_desc = $qtd_itens["Valor_Pago"];

							$desconto_pe_nota = $qtd_itens["Valor_Original"] - $qtd_itens["Valor_Pago"];

							$Desc_Rat = $desconto_pe_nota / $vl_total_sem_desc; //valor rateado geral
							$Desc_Rat = number_format($Desc_Rat, 10, ",", "."); //marreta
							$Desc_Rat = str_replace('.', '', $Desc_Rat);
							$Desc_Rat = str_replace(',', '.', $Desc_Rat);

							$vLinha = (($valor["Preco"] * $valor["Qtd"]) - (($valor["Preco"] * $valor["Qtd"]) * ($valor["Desconto"] / 100))) - $valor["Desconto_Real"];

							$vLinha = valor_banco(valor_exibir($vLinha));
							$rat = valor_banco(valor_exibir($Desc_Rat * $vLinha));


							$vtotal += ((($valor["Preco"] * $valor["Qtd"]) - (($valor["Preco"] * $valor["Qtd"]) * ($valor["Desconto"] / 100))) - $valor["Desconto_Real"]);

							$vPedido2 += (($vLinha - $rat) * ($valor["Comissao2"] / 100));
							$vtotalacum2[$valor["Vendedor2"]] += (($vLinha - $rat) * ($valor["Comissao2"] / 100));
							${$valor["Vendedor2"]} += $vLinha - $rat;

							if ($valor["Comissao2"] > 0) {
								$Existe = 'OK';
							}
						}
						$vtotalacumS[$chave["Status"]] += (($vtotal) - ($vtotal * ($chave["Desconto"] / 100))) - $chave["Desconto_Real"];
						$vtotalacumA += (($vtotal) - ($vtotal * ($chave["Desconto"] / 100))) - $chave["Desconto_Real"];
					}
				} ?>

				<table class="tabela" width="100%">
					<tr>
						<td colspan="2" align='center'><b>Vendedor</b></td>
						<td align='center'><b>Total Vendido</b></td>
						<td align='center'><b>Comisso</b></td>
						<td align='center'><b>% Mdia Comisso</b></td>
					</tr>
					<?php
					foreach ($vtotalacum as $posicao => $campo) {

						$color = "#F5F5F5";
						if ($color == "#F5F5F5") {
							$color = "#E8E8E8";
						} else {
							$color = "#F5F5F5";
						}

						echo "<tr>";
						echo "<td colspan='2'>" . $posicao . "</td>";
						echo "<td width='200px' align='right'><b>" . valor_exibir(${$posicao}) . "</b></td>";
						echo "<td width='200px' align='right'><b>" . valor_exibir($campo) . "</b></td>";
						echo "<td width='200px' align='right'><b>" . valor_exibir(($campo / ${$posicao}) * 100) . "</b></td>";
						echo "</tr>";
						$vFinal += $campo;
						$vFinalVenda += ${$posicao};
						$comissaoTotal += $campo;
					}
					?>
					<tr>
						<td colspan="2" width='200px'><b>Total </b></td>
						<td width='200px' align='right'><b><?php echo valor_exibir($vFinalVenda); ?></b></td>
						<td width='200px' align='right'><b><?php echo valor_exibir($vFinal); ?></b></td>
						<td width="10%"></td>
					</tr>
				</table>
		<tr>
			<td>&nbsp;</td>
		</tr>
		<?php
		$vFinal = 0;
		$vFinalVenda = 0;

		if ($Existe == 'OK') {


		?>

			<table class="tabela" width="100%">
				<tr>
					<td colspan="2" align='center'><b>Vendedor2</b></td>
					<td align='center'><b>Total Vendido</b></td>
					<td align='center'><b>Comisso</b></td>
					<td align='center'><b>% Mdia Comisso</b></td>
				</tr>
				<?php
				foreach ($vtotalacum2 as $posicao2 => $campo) {


					$color = "#F5F5F5";
					if ($color == "#F5F5F5") {
						$color = "#E8E8E8";
					} else {
						$color = "#F5F5F5";
					}

					echo "<tr>";
					echo "<td colspan='2'>" . $posicao2 . "</td>";
					echo "<td width='200px' align='right'><b>" . valor_exibir(${$posicao2}) . "</b></td>";
					echo "<td width='200px' align='right'><b>" . valor_exibir($campo) . "</b></td>";
					echo "<td width='200px' align='right'><b>" . valor_exibir(($campo  / ${$posicao2}) * 100) . "</b></td>";
					echo "</tr>";
					$vFinal += $campo;
					$vFinalVenda += ${$posicao2};
					$comissaoTotal += $campo;
				}
				?>
				<tr>
					<td colspan="2" width='200px'><b>Total </b></td>
					<td width='200px' align='right'><b><?php echo valor_exibir($vFinalVenda); ?></b></td>
					<td width='200px' align='right'><b><?php echo valor_exibir($vFinal); ?></b></td>
					<td width="10%"></td>
				</tr>
			</table>

		<?php } ?>

		</td>
		</tr>

		<tr>
			<td>
				<div id="div_respvendata"></div>
			</td>
		</tr>

	</table>
	<br>
	<table class="tabela" width="100%">
		<tr>
			<td align='center'><b>Total Geral Comisso</b></td>
			<td align='center'><b><?= valor_exibir($comissaoTotal) ?></b></td>
		</tr>
	</table>
</body>

</html>
<?php
$html = ob_get_contents();
ob_end_clean();

include_once "../include/pdf_opcao.php";
?>