<?php
include_once '../include/conecta.php'; //Conecta com a nosso banco de dados MySQL
include_once '../include/ver_sessao.php'; //Verifica se a sesso est ativa
include_once '../include/funcoesPhp.php';
include_once '../menu_movimento.php';


if ($_GET["Categoria_Cliente"]) {
    $natureza .= "AND cliente.Id_Categoria_Cliente = '" . $_GET["Categoria_Cliente"] . "' ";
}
if ($_GET["Categoria_Cliente_Filho"]) {
    $natureza .= "AND cliente.Id_Categoria_Cliente_Filho = '" . $_GET["Categoria_Cliente_Filho"] . "' ";
}
if ($_GET["Estado"]) {
    $natureza .= "AND cliente.Estado = '" . $_GET["Estado"] . "' ";
}
if ($_GET["Cidade"]) {
    $natureza .= "AND cliente.Id_Cidade = '" . $_GET["Cidade"] . "' ";
}

if ($_GET["Area"]) {
    $area = "AND cliente.Id_Area = '" . $_GET["Area"] . "' ";
}

if ($_GET["Ativo"]) {
    $natureza .= "AND cliente.Ativo = '" . $_GET["Ativo"] . "' ";
}

if ($_GET['Pesq']) {
    if (CLIENTE_RAZAO_SOCIAL == 'Sim') {
        $t_cli = 'Razao_Social';
    } else {
        $t_cli = 'Titulo';
    }
    $pesquisa = " AND cliente." . $t_cli . " like '%" . $_GET['Pesq'] . "%' ";
}

if ($_GET["Ok"]) {
    $cliente = mysqli_query($con, "SELECT cliente.Titulo,
                        cliente.Cpf_Cnpj,
                        cliente.Razao_Social,
                        cliente.Codigo,
                        cliente.Email,
                        cliente.Email2,
                        cliente.Cidade,
                        cliente.Estado,
                        cliente.Fone1,
                        cliente.Fone2,
                        cliente.Fone3,
                        cliente.Fax,
                        cliente.Natureza,
                        cliente.Cep,
                        cliente.Rua,
                        cliente.Estado,
                        cliente.Complemento,
                        cliente.Bairro,
                        cliente.Pais,
                        cliente.Numero,
                        cliente.Cpf_Cnpj,
                        cliente.Consumidor_Final,
                        cliente.Nao_Contribuinte_Icms,
                        cliente.Data_Cadastro,
                        cliente.Contato,
                        cliente.Ipi,
                        cliente.Cliente_FCP,
                        cliente.Iss_Retido,
                        cliente.Cidade as Cidade_Ibge,
                        cliente.Estadual,
                        cliente.Municipal,
                        cliente.Suframa,
                        vendedor.Titulo as Vendedor1,
                        vendedor2.Titulo as Vendedor2,
                        tabela_preco.Titulo as Tabela_Preco,
                        area.Titulo as Area,
                        categoria.Titulo as Categoria,
                        sub_categoria.Titulo as SubCategoria
                        from cliente
                        LEFT JOIN (SELECT Id,Titulo FROM categoria_cliente) as categoria ON cliente.Id_Categoria_Cliente = categoria.Id
                        LEFT JOIN (SELECT Id,Titulo FROM categoria_cliente) as sub_categoria ON cliente.Id_Categoria_Cliente_Filho = sub_categoria.Id
 			            LEFT JOIN (SELECT Id,Titulo FROM area) as area ON area.Id = cliente.Id_Area
 			            LEFT JOIN (SELECT Id,Titulo FROM funcionario) as vendedor ON vendedor.Id = cliente.Id_Vendedor1
 			            LEFT JOIN (SELECT Id,Titulo FROM funcionario) as vendedor2 ON vendedor2.Id = cliente.Id_Vendedor2
 			            LEFT JOIN (SELECT Id,Titulo FROM produto_tabela) as tabela_preco ON tabela_preco.Id = cliente.Tabela_Preco
                        WHERE Tipo_Cliente = 'Cliente'
                        $data $natureza $pesquisa $area
 			            ORDER BY cliente.Codigo");
}
?>
<html>

<head>
    <title>Gw - Gesto Web</title>
    <link rel="stylesheet" type="text/css" href="../estilo/<?php echo SKIN; ?>/tabela_imp.css" />
    <script type="text/javascript" language="javascript" src="../js/jquery.js"></script>
    <?php include '../include/script_cabeca.php'; ?>
    <script type="text/javascript" language="javascript" src="../js/script.js"></script>
    <script type="text/javascript" language="javascript" src="../js/meiomask/meiomask.js"></script>
    <script type="text/javascript" language="javascript" src="../js/meiomask/<?php if (PAIS == "USA") {
                                                                                    echo "mascaras-usa";
                                                                                } else {
                                                                                    echo "mascaras";
                                                                                } ?>.js"></script>
    <script type="text/javascript" language="javascript">
        window.onload = function() {
            window.print();
        }
    </script>
</head>

<body>
    <table width="98%" align="center"><!-- TABELA Q ENVOLVE TODO O CONTEUDO -->
        <tr>
            <td>
                <?php include "../include/cabecalho_relatorio.php"; ?>
            </td>
        </tr>
        <tr>
            <td>
                <font face="verdana" size="2"><i>Relatrio de Clientes</i></font>
            </td>
        </tr>
        <tr>
            <td>
                <font face="verdana" size="2">
                    <?php
                    if ($_GET["De"]) {
                        echo "Perodo: " . $_GET["De"];
                    }
                    if ($_GET["Ate"]) {
                        echo "  " . $_GET["Ate"];
                    }
                    if ($_GET["Natureza"]) {
                        echo " - " . $_GET["Natureza"];
                    }
                    if ($_GET["Categoria_Cliente"]) {
                        $achar = listar("Select Titulo from categoria_cliente
                                            where Id = '" . $_GET["Categoria_Cliente"] . "' ");
                        echo " - " . $achar[0]["Titulo"];
                    }
                    ?>
                </font>
            </td>
        </tr>
        <tr>
            <td>
                <br>
                <table width="100%" class="tabela">
        <thead>
            <tr class="azul-claro">
                <td>Cdigo</td>
                <td>Nome Fantasia</td>
                <td>Razo Social</td>
                <td>Email</td>
                <td>Email 2</td>
                <td>rea</td>
                <td>Telefone 1</td>
                <td>Telefone 2</td>
                <td>Telefone 3</td>
                <td>Whatsapp</td>
                <td>CEP</td>
                <td>Endereo</td>
                <td>Nmero</td>
                <td>Complemento</td>
                <td>Bairro</td>
                <td>Cidade</td>
                <td>Estado</td>
                <td>Pas</td>
                <td>Contato</td>
                <td>Categoria</td>
                <td>Sub Categoria</td>
                <td>Natureza</td>
                <td>CNPJ ou CPF</td>
                <td>Consumidor Final</td>
                <td>No Contribuinte ICMS</td>
                <td>IPI</td>
                <td>Cliente FCP</td>
                <td>Simples Nacional</td>
                <td>Insc Estadual</td>
                <td>Insc Municipal</td>
                <td>ISS Retido</td>
                <td>Suframa</td>
                <td>Tabela</td>
                <td>Vendedor 1</td>
                <td>Vendedor 2</td>
            </tr>
        </thead>
        <tfoot>
            <tr class="cinza">
                <td colspan="20">Relatrio de Cliente</td>
            </tr>
        </tfoot>
        <tbody>
            <?php
            if ($_GET["Ok"]) {

                $y = 1;
                $color = "#F5F5F5";
                while ($chave = mysqli_fetch_assoc($cliente)) {
                    if ($color == "#F5F5F5") {
                        $color = "#E8E8E8";
                    } else {
                        $color = "#F5F5F5";
                    }

                    $vend = mysqli_query($con, "SELECT Id,Titulo as Vendedor FROM funcionario WHERE Id='" . $chave['Id_Vendedor1'] . "' ");
                    $vend = mysqli_fetch_assoc($vend);

                    $vend2 = mysqli_query($con, "SELECT Id,Titulo as Vendedor2 FROM funcionario WHERE Id='" . $chave['Id_Vendedor2'] . "' ");
                    $vend2 = mysqli_fetch_assoc($vend2);
            ?>
                    <tr bgcolor=<?php echo "$color"; ?>>
                        <td><?php echo $chave["Codigo"]; ?></td>
                        <td><?php echo $chave["Titulo"]; ?></td>
                        <td><?php echo $chave["Razao_Social"]; ?></td>
                        <td><?php echo $chave["Email"]; ?></td>
                        <td><?php echo $chave["Email2"]; ?></td>
                        <td><?php echo $chave["Area"]; ?></td>
                        <td><?php echo $chave["Fone1"]; ?></td>
                        <td><?php echo $chave["Fone2"]; ?></td>
                        <td><?php echo $chave["Fone3"]; ?></td>
                        <td><?php echo $chave["Fax"]; ?></td>
                        <td><?php echo $chave["Cep"]; ?></td>
                        <td><?php echo $chave["Rua"]; ?></td>
                        <td><?php echo $chave["Numero"]; ?></td>
                        <td><?php echo $chave["Complemento"]; ?></td>
                        <td><?php echo $chave["Bairro"]; ?></td>
                        <td><?php echo $chave["Cidade"]; ?></td>
                        <td><?php echo $chave["Estado"]; ?></td>
                        <td><?php echo $chave["Pais"]; ?></td>
                        <td><?php echo $chave["Contato"]; ?></td>
                        <td><?php echo $chave["Categoria"]; ?></td>
                        <td><?php echo $chave["SubCategoria"]; ?></td>
                        <td><?php echo $chave["Natureza"]; ?></td>
                        <?php
                        if ($chave["Natureza"] == "PF") {
                            echo "<td>" . cpf_exibir($chave['Cpf_Cnpj']) . "</td>";
                        } else {
                            echo "<td>" . cnpj_exibir($chave['Cpf_Cnpj']) . "</td>";
                        }
                        ?>
                        <td><?php echo $chave["Consumidor_Final"]; ?></td>
                        <td><?php echo $chave["Nao_Contribuinte_Icms"]; ?></td>
                        <td><?php echo $chave["Ipi"]; ?></td>
                        <td><?php echo $chave["Cliente_FCP"]; ?></td>
                        <td><?php echo $chave["Simples_Nacional"]; ?></td>
                        <td><?php echo $chave["Estadual"]; ?></td>
                        <td><?php echo $chave["Municipal"]; ?></td>
                        <td><?php echo $chave["Iss_Retido"]; ?></td>
                        <td><?php echo $chave["Suframa"]; ?></td>
                        <td><?php echo $chave["Tabela_Preco"]; ?></td>
                        <td><?php echo $chave["Vendedor1"]; ?></td>
                        <td><?php echo $chave["Vendedor2"]; ?></td>
                    </tr>
            <?php
                    $y++;
                }
            }
            ?>
        </tbody>
    </table>
            </td>
        </tr>
    </table>
    <br>
</body>

</html>