<?php
include_once '../include/conecta.php'; //Conecta com a nosso banco de dados MySQL
ini_set('session.gc_maxlifetime', 60 * 120);
session_start();
/*include_once '../include/ver_sessao.php'; //Verifica se a sesso est ativa*/
include_once '../include/funcoesPhp.php';
include_once '../menu_movimento.php';

if ($_GET["Produto"]) {

    $mystring = $_GET["Produto"];
    $findme = " : ";

    $posicao = strpos($mystring, $findme);

    $cod_cli = substr($_GET["Produto"], 0, $posicao);
    $nome_cli = substr($_GET["Produto"], ($posicao + 3));


    /* convertendo o nome do fornecedor, para o seu codigo */
    $Prodt = listar("SELECT Id FROM produto WHERE Titulo='" . $nome_cli . "' AND Codigo = '" . $cod_cli . "' ");
    $_GET["Produto"] = $Prodt[0]["Id"];

    $pre_venda_produto = "AND pre_venda_produto.Id_Produto = '" . $_GET["Produto"] . "' ";
}

if ($_GET["Unidade"]) {
    $Unidade = "AND pre_venda.Id_Unidade = '" . $_GET["Unidade"] . "' ";
    $Unidade_e = "AND estoque.Id_Unidade = '" . $_GET["Unidade"] . "' ";
}

if ($_GET["Ok"]) {
    $pre_venda = mysqli_query($con, "SELECT DISTINCT produto.Id as Id_Produto,
                                                    pre_venda.Id,
                                                    pre_venda.Status,
                                                produto.Titulo,
                                                produto.Codigo,
                                                SUM(pre_venda_produto.Qtd) as Qtd
                                                FROM pre_venda_produto
                                                LEFT JOIN (SELECT Id,Status,Id_Unidade FROM pre_venda) as pre_venda ON pre_venda_produto.Id_Pre_Venda = pre_venda.Id
                                                LEFT JOIN (SELECT Id,Titulo,Codigo FROM produto) as produto ON produto.Id = pre_venda_produto.Id_Produto
                                                WHERE 1=1
                                                AND pre_venda_produto.Qtd > 0
                                                AND pre_venda.Status = 'Aberto'
                                                $pre_venda_produto $Unidade
                                                GROUP BY produto.Id
                                                ORDER BY produto.Titulo");
}
?>
<html>

<head>
    <title>Gw - Gesto Web</title>
    <link rel="stylesheet" type="text/css" href="../estilo/<?php echo SKIN; ?>/tabela_imp.css" />
    <script type="text/javascript" language="javascript" src="../js/jquery.js"></script>
    <?php include '../include/script_cabeca.php'; ?>
    <script type="text/javascript" language="javascript" src="../js/script.js"></script>
    <script type="text/javascript" language="javascript">
        window.onload = function() {
            window.print();
        }
    </script>
</head>

<body>
    <table width="98%" align="center"><!-- TABELA Q ENVOLVE TODO O CONTEUDO -->
        <tr>
            <td>
                <?php include "../include/cabecalho_relatorio.php"; ?>
            </td>
        </tr>
        <tr>
            <td>
                <font face="verdana" size="2"><i>Relatrio Produo para Pr-Venda</i></font>
            </td>
        </tr>
        <tr>
            <td>
                <font face="verdana" size="2">
                    <?php
                    if ($_GET["De"]) {
                        echo "Perodo: " . $_GET["De"];
                    }
                    if ($_GET["Ate"]) {
                        echo "  " . $_GET["Ate"];
                    }
                    if ($_GET["Ativo"]) {
                        echo " Ativo: " . $_GET["Ativo"];
                    }
                    if ($_GET["Categoria_Produto"]) {
                        $achar = listar("Select Titulo from categoria_produto
                                     where Id = '" . $_GET["Categoria_Produto"] . "' ");
                        echo " - " . $achar[0]["Titulo"];
                    }
                    if ($_GET["Fornecedor"]) {
                        $achar = listar("Select Titulo from fornecedor
                                     where Id = '" . $_GET["Fornecedor"] . "' ");
                        echo " - " . $achar[0]["Titulo"];
                    }
                    if ($_GET["Fabricante"]) {
                        $achar = listar("Select Titulo from fabricante
                                     where Id = '" . $_GET["Fabricante"] . "' ");
                        echo " - " . $achar[0]["Titulo"];
                    }
                    //se o sistema for Multi Empresa
                    if ((MULTI_EMPRESA == "Sim") && ($_SESSION["Id_Nivel"] == '1')) {

                        if ($_GET["Unidade"]) {
                            $achar = listar("Select Titulo from unidade
						where Id = '" . $_GET["Unidade"] . "' ");
                            echo " - " . $achar[0]["Titulo"];
                        }
                    }
                    ?>
                </font>
            </td>
        </tr>
        <tr>
            <td>
                <br>
                <table width="100%" class="tabela">
                    <?php
                    if ($_GET["Ok"]) {
                    ?>
                        <tr class="azul-claro">
                            <td><b>Cdigo</b></td>
                            <td><b>Produto</b></td>
                            <td><b>Qtd Pr-Vendas</b></td>
                            <td><b>Estoque Padro</b></td>
                            <td><b>Saldo</b></td>
                        </tr>
                        <?php
                        $color = "#F5F5F5";
                        while ($chave = mysqli_fetch_assoc($pre_venda)) {
                            if ($color == "#F5F5F5") {
                                $color = "#E8E8E8";
                            } else {
                                $color = "#F5F5F5";
                            }

                            $est = mysqli_query($con, "SELECT
                    SUM(estoque.Qtd) as Estoque_Atual
                    FROM estoque
                    WHERE estoque.Concluido = 'Sim'
                    $Unidade_e
                    AND Id_Local_Estoque = '1'
                    AND Id_Produto = '" . $chave["Id_Produto"] . "' ");
                            $linha = mysqli_fetch_assoc($est);
                        ?>
                            <tr bgcolor=<?php echo "$color"; ?>>
                                <td><?php echo $chave["Codigo"] ?></td>
                                <td><?php echo $chave["Titulo"] ?></td>
                                <td><?php echo valor_exibir($chave["Qtd"]) ?></td>
                                <td><?php echo valor_exibir($linha["Estoque_Atual"]) ?></td>
                                <td><?php echo valor_exibir($linha["Estoque_Atual"] - $chave["Qtd"]) ?></td>
                            </tr>
                    <?php }
                    } ?>
                </table>
            </td>
        </tr>
    </table>
    <br>
</body>

</html>