<?php
include_once '../include/conecta.php'; //Conecta com a nosso banco de dados MySQL
include_once '../include/ver_sessao.php'; //Verifica se a sesso est ativa
include_once '../include/funcoesPhp.php';
include_once '../menu_movimento.php';
?>
<?php
if ($_GET['Data_Filtro'] == 'Data') {

    if ($_GET["De"]) {
        $data_v .= "AND compra.Data_Compra >= '" . data_banco($_GET["De"]) . " 00:00:00' ";
    }
    if ($_GET["Ate"]) {
        $data_v .= "AND compra.Data_Compra <= '" . data_banco($_GET["Ate"]) . " 23:59:59' ";
    }
}
if ($_GET['Data_Filtro'] == 'Conclusao') {

    if ($_GET["De"]) {
        $data_v .= "AND compra.Data_Conclusao >= '" . data_banco($_GET["De"]) . " 00:00:00' ";
    }
    if ($_GET["Ate"]) {
        $data_v .= "AND compra.Data_Conclusao <= '" . data_banco($_GET["Ate"]) . " 23:59:59' ";
    }
}


if ($_GET["Fornecedor"]) {

    $mystring = $_GET["Fornecedor"];
    $findme = " : ";

    $posicao = strpos($mystring, $findme);

    $cod_cli = substr($_GET["Fornecedor"], 0, $posicao);
    $nome_cli = substr($_GET["Fornecedor"], ($posicao + 3));


    if (FORNECEDOR_RAZAO_SOCIAL == 'Sim') {
        $nome = 'Razao_Social';
    } else {
        $nome = 'Titulo';
    }
    /* convertendo o nome do fornecedor, para o seu codigo */
    $Prodt = listar("SELECT Id FROM fornecedor WHERE " . $nome . " ='" . $nome_cli . "' AND Codigo = '" . $cod_cli . "' ");
    $_GET["Fornecedor"] = $Prodt[0]["Id"];

    $fornecedor = "and compra.Id_Fornecedor = '" . $_GET["Fornecedor"] . "' ";
}

if ($_GET["Produto"]) {

    $mystring = $_GET["Produto"];
    $findme = " : ";

    $posicao = strpos($mystring, $findme);

    $cod_cli = substr($_GET["Produto"], 0, $posicao);
    $nome_cli = substr($_GET["Produto"], ($posicao + 3));


    /* convertendo o nome do fornecedor, para o seu codigo */
    $Prodt = listar("SELECT Id FROM produto WHERE Titulo='" . $nome_cli . "' AND Codigo = '" . $cod_cli . "' ");
    $_GET["Produto"] = $Prodt[0]["Id"];

    $compra_produto = "and compra_produto.Id_Produto = '" . $_GET["Produto"] . "' ";
}

if ($_GET["Responsavel"]) {
    $vend_v .= "AND compra.Id_Funcionario = '" . $_GET["Responsavel"] . "' ";
}
if ($_GET["Financeiro"]) {
    $faturamento = "and compra.Financeiro = '" . $_GET["Financeiro"] . "' ";
}
if ($_GET["Unidade"]) {
    $unidade_v = "AND compra.Id_Unidade = '" . $_GET["Unidade"] . "' ";
}

if ($_GET["Categoria_Produto"]) {
    $cat = "AND compra_produto.Id_Categoria_Produto = '" . $_GET["Categoria_Produto"] . "' ";
}

if ($_GET["Categoria_Produto_Filho"]) {
    $cat_filho = "and produto.Id_Categoria_Produto_Filho = '" . $_GET["Categoria_Produto_Filho"] . "' ";
}

if ($_GET["EF"])
    $Ef = "and compra.EF = '" . $_GET["EF"] . "' ";

if ($_GET["Ok"]) {

    $compras = mysqli_query($con, "SELECT compra_produto.Id_Produto,
                                        SUM(compra_produto.Qtd) as Qtd,
                                        SUM( (compra_produto.Preco * compra_produto.Qtd) - ( (compra_produto.Preco * compra_produto.Qtd) * (compra_produto.Desconto/100) ) - compra_produto.Desconto_Real ) as Valor
                                        FROM (SELECT Id,Data_Compra,Data_Conclusao,Status,Id_Fornecedor,Id_Funcionario,Id_Unidade 
                                        FROM compra 
                                        WHERE Status = 'Finalizado' $data_v $vend_v $unidade_v $fornecedor $faturamento $Ef) as compra
                                        inner join (SELECT Id,Id_Compra,Preco,Qtd,Desconto,Desconto_Real,Id_Produto 
                                        FROM compra_produto
                                        WHERE 1=1 $compra_produto_v $for_v $compra_produto $cat) as compra_produto ON compra_produto.Id_Compra = compra.Id
                                        left join (SELECT Id,Titulo,Id_Categoria_Produto_Filho FROM produto) as produto ON produto.Id = compra_produto.Id_Produto
                                        where 1=1 
                                        $cat_filho 
                                        GROUP BY compra_produto.Id_Produto
                                        ORDER BY Qtd DESC");
}
?>
<html>
    <head>
        <title>Gw - Gesto Web</title>
        <link rel="stylesheet" type="text/css" href="../estilo/<?php echo SKIN; ?>/tabela_imp.css" />
        <script type="text/javascript" language="javascript" src="../js/jquery.js"></script>
        <?php include '../include/script_cabeca.php'; ?>
        <script type="text/javascript" language="javascript" src="../js/script.js"></script>
        <script type="text/javascript" language="javascript" src="../js/meiomask/meiomask.js"></script>
        <script type="text/javascript" language="javascript" src="../js/meiomask/<?php
        if (PAIS == "USA") {
            echo "mascaras-usa";
        } else {
            echo "mascaras";
        }
        ?>.js"></script>
        <script type="text/javascript" language="javascript">
            window.onload = function () {
                window.print();
            }
        </script>
    </head>
    <body>
        <table width="98%" align="center"><!-- TABELA Q ENVOLVE TODO O CONTEUDO -->
            <tr>
                <td>
                    <?php include "../include/cabecalho_relatorio.php"; ?>
                </td>
            </tr>
            <tr>
                <td>
                    <font face="verdana" size="2"><i>Relatrio de CMV por Produtos</i></font>
                </td>
            </tr>
            <tr>
                <td><font face="verdana" size="2">
                    <?php
                    if ($_GET["De"]) {
                        echo "Perodo: " . $_GET["De"];
                    }
                    if ($_GET["Ate"]) {
                        echo "  " . $_GET["Ate"];
                    }
                    if ($_GET["Funcionario"]) {
                        $achar = listar("Select Titulo from funcionario
			where Id = '" . $_GET["Funcionario"] . "' ");
                        echo " - " . $achar[0]["Titulo"];
                    }
                    if ($_GET["Cliente"]) {
                        if (CLIENTE_RAZAO_SOCIAL == 'Sim') {
                            $nome = 'Razao_Social';
                        } else {
                            $nome = 'Titulo';
                        }
                        $achar = listar("Select " . $nome . " as Titulo from cliente
			where Id = '" . $_GET["Cliente"] . "' ");
                        echo " - " . $achar[0]["Titulo"];
                    }
                    if ($_GET["Fornecedor"]) {
                        if (FORNECEDOR_RAZAO_SOCIAL == 'Sim') {
                            $nome = 'Razao_Social';
                        } else {
                            $nome = 'Titulo';
                        }
                        $achar = listar("Select " . $nome . " as Titulo from fornecedor
			where Id = '" . $_GET["Fornecedor"] . "' ");
                        echo " - " . $achar[0]["Titulo"];
                    }
                    if ($_GET["Produto"]) {
                        $achar = listar("Select Titulo from produto
			where Id = '" . $_GET["Produto"] . "' ");
                        echo " - " . $achar[0]["Titulo"];
                    }
                    if ($_GET["Categoria"]) {
                        $achar = listar("Select Titulo from categoria_produto
			where Id = '" . $_GET["Categoria"] . "' ");
                        echo " - " . $achar[0]["Titulo"];
                    }
                    if ($_GET["Cancelado"]) {
                        echo " - " . $_GET["Cancelado"];
                    }
                    if ($_GET["Finalizado"]) {
                        echo " - " . $_GET["Finalizado"];
                    }
                    if ($_GET["Aberto"]) {
                        echo " - " . $_GET["Aberto"];
                    }
                    //se o sistema for Multi Empresa
                    if ((MULTI_EMPRESA == "Sim") && ($_SESSION["Id_Nivel"] == '1')) {

                        if ($_GET["Unidade"]) {
                            $achar = listar("Select Titulo from unidade
						where Id = '" . $_GET["Unidade"] . "' ");
                            echo " - " . $achar[0]["Titulo"];
                        }
                    }
                    ?>
                    </font>	
                </td>
            </tr>
        </table>
        <!-- Lista de produtos -->

        <table width="100%" class="tabela">
            <tr class="azul-claro">
                <td>Cdigo</td>
                <td>Produto</td>
                <td>Primeira</td>
                <td>Valor</td>
                <td>ltima</td>
                <td>Valor</td>
                <td>Diferena</td>
                <td>%</td>
            </tr>
            <tbody>
                <?php
                $valorFinal = '0';

                //inicio da validacao de campos
                if ($_GET["Ok"]) {

                    $x = 0;
                    $tCompras = '0';
                    $color = "#F5F5F5";
                    while ($linha = mysqli_fetch_assoc($compras)) {

                        if ($color == "#F5F5F5") {
                            $color = "#E8E8E8";
                        } else {
                            $color = "#F5F5F5";
                        }

                        $produ = mysqli_query($con, "SELECT Id,
                                                                COUNT(Id) as Qtd,
                                                                        Titulo as Produto,
                                                                        Codigo,Medida,
                                                                        Id_Fornecedor,
                                                                        Peso_Bruto,
                                                                        Ncm,
                                                                        Id_Categoria_Produto
                                                                   FROM produto 
                                                                   WHERE Id = '" . $linha['Id_Produto'] . "' ");
                        $prod = mysqli_fetch_assoc($produ);
                        ?>
                        <tr bgcolor=<?php echo "$color"; ?> >
                            <td><?php echo $prod['Codigo']; ?></td>
                            <td><?php echo $prod['Produto']; ?></td>
                            <td>
                                <?php
                                $dataCompraProduto = mysqli_query($con, "SELECT compra.Data_Compra as Data_Compra_Primeira,
                                                                                                 compra_produto.Preco as Valor_Compra_Primeira
                                                                                          FROM compra_produto
                                                                                          LEFT JOIN(SELECT * FROM compra) as compra ON compra.Id = compra_produto.Id_Compra
                                                                                          WHERE compra_produto.Id_Produto = '" . $linha['Id_Produto'] . "' 
                                                                                          $data_v
                                                                                          ORDER BY compra.Data_Compra ASC 
                                                                                          LIMIT 1
                                                                                    ");

                                while ($dataPrimeira = mysqli_fetch_assoc($dataCompraProduto)) {
                                    echo data_exibir($dataPrimeira['Data_Compra_Primeira']);
                                    ?>
                                </td>
                                <td><?php echo valor_exibir($dataPrimeira['Valor_Compra_Primeira']); ?></td>
                                <td>
                                    <?php
                                    $dataCompraProduto2 = mysqli_query($con, "SELECT compra.Data_Compra as Data_Compra_Ultima,
                                                                                                 compra_produto.Preco as Valor_Compra_Ultima
                                                                                          FROM compra_produto
                                                                                          LEFT JOIN(SELECT * FROM compra) as compra ON compra.Id = compra_produto.Id_Compra
                                                                                          WHERE compra_produto.Id_Produto = '" . $linha['Id_Produto'] . "'
                                                                                          $data_v
                                                                                          ORDER BY compra.Data_Compra DESC 
                                                                                          LIMIT 1
                                                                                    ");

                                    while ($dataUltima = mysqli_fetch_assoc($dataCompraProduto2)) {
                                        echo data_exibir($dataUltima['Data_Compra_Ultima']);
                                        ?>
                                    </td>
                                    <td><?php echo valor_exibir($dataUltima['Valor_Compra_Ultima']);?></td>
                                    <td>
                                        <?php $Diferenca = ($dataPrimeira['Valor_Compra_Primeira']-$dataUltima['Valor_Compra_Ultima'])*(-1);
                                              echo valor_exibir($Diferenca);
                                        ?>

                                    </td>
                                    <td>
                                        <?php 

                                            $percentualDiferenca = ($Diferenca/$dataPrimeira['Valor_Compra_Primeira'])*100;
                                            echo number_format($percentualDiferenca, 2, ",", ".");

                                        ?>
                                    </td>
                                </tr>
                                        <?php
                                    }
                                }
                                $x++;
                                $tPercentualDiferenca += $percentualDiferenca;
                                $valorFinal += $linha['Valor'];
                            }

                            //fim validacao de campos
                        }
                        ?>


                <tr>
                    <td colspan="7">&nbsp;&nbsp; Totais:</td>
                    <td><b><?php echo number_format($tPercentualDiferenca / $x, 2, ",", "."); ?></b></td>

                </tr>
            </tbody>
        </table>
    </body>
</html>