<?php
include_once '../include/conecta.php'; //Conecta com a nosso banco de dados MySQL
include_once '../include/ver_sessao.php'; //Verifica se a sesso est ativa
include_once '../include/funcoesPhp.php';
include_once '../menu_movimento.php';

if ($_GET['Data_Filtro'] == 'Data') {
    if ($_GET["De"])
        $data .= "AND venda.Data_Conclusao >= '" . data_banco($_GET["De"]) . " 00:00:00' ";
    if ($_GET["Ate"])
        $data .= "AND venda.Data_Conclusao <= '" . data_banco($_GET["Ate"]) . " 23:59:59' ";
}
if ($_GET['Data_Filtro'] == 'Nfe') {
    if ($_GET["De"])
        $data .= "AND venda.Data_Nfe >= '" . data_banco($_GET["De"]) . " 00:00:00' ";
    if ($_GET["Ate"])
        $data .= "AND venda.Data_Nfe <= '" . data_banco($_GET["Ate"]) . " 23:59:59' ";
}

if ($_GET["Produto"]) {
    $produto = "and venda.Id_Produto = '" . $_GET["Produto"] . "' ";
}
if ($_GET["Unidade"]) {
    $Unidade = "and venda.Id_Unidade = '" . $_GET["Unidade"] . "' ";
}
if ($_GET["Categoria_Produto"]) {
    $categoriaProduto = "and produto.Id_Categoria_Produto = '" . $_GET["Categoria_Produto"] . "' ";
}
if ($_GET["EF"]) {
    $EF = "and venda.EF = '" . $_GET["EF"] . "' ";
}

if ($_GET["Ok"]) {

    $fatura = mysqli_query($con, "SELECT produto.Id_Categoria_Produto,
                                         venda.Id,
                                         produto.Id as Id_Produto,
                                         categoria_produto.Titulo as Categoria_Produto
                                    FROM venda_produto
                               INNER JOIN venda ON venda.Id = venda_produto.Id_Venda
                               LEFT JOIN produto ON produto.Id = venda_produto.Id_Produto
                               LEFT JOIN categoria_produto ON produto.Id_Categoria_Produto = categoria_produto.Id
                                    WHERE 1=1
                                    $data $categoriaProduto
                                    AND venda.EF = 'Sim'
                                    AND produto.Id_Categoria_Produto != ''
                                    AND venda.Status = 'Finalizado'
                                    GROUP BY produto.Id_Categoria_Produto
                                    order by produto.Id_Categoria_Produto");
}
?>
<html>

<head>
    <title>Gw - Gesto Web</title>

    <link rel="stylesheet" type="text/css" href="../estilo/<?php echo SKIN; ?>/tabela_imp.css" />
    <script type="text/javascript" language="javascript" src="../js/jquery.js"></script>
    <?php include '../include/script_cabeca.php'; ?>
    <script type="text/javascript" language="javascript" src="../js/script.js"></script>
    <script type="text/javascript" language="javascript" src="../js/meiomask/meiomask.js"></script>
    <script type="text/javascript" language="javascript" src="../js/meiomask/<?php if (PAIS == "USA") {
                                                                                    echo "mascaras-usa";
                                                                                } else {
                                                                                    echo "mascaras";
                                                                                } ?>.js"></script>
    <script type="text/javascript" language="javascript">
        window.onload = function() {
            window.print();
        }
    </script>
    <!-- <style type="text/css" media="print">
    @page land {
        size: landscape;
    }
    </> -->
</head>

<body>
    <table width="98%" align="center">
        <!-- TABELA Q ENVOLVE TODO O CONTEUDO -->
        <tr>
            <td>
                <?php include "../include/cabecalho_relatorio.php"; ?>
            </td>
        </tr>
        <tr>
            <td>
                <font face="verdana" size="2"><i>Relatrio Produtos Faturados por Categoria de Produto</i></font>
            </td>
        </tr>
    </table>
    <!-- Lista de produtos -->
    </td>
    </tr>
    <tr>
        <td>
            <table width="100%" class="tabela">
                <?php
                while ($chave = mysqli_fetch_assoc($fatura)) { ?>
                    <tr class="azul-claro">
                        <td colspan="5">Categoria Produto: <?php echo $chave["Categoria_Produto"] ?></td>
                    </tr>

                    <tr class="cinza">
                        <td>Produto</td>
                        <td>Qtd</td>
                        <td>Peso</td>
                        <td>Total Vendido</td>
                        <td>Valor Mdio</td>
                    </tr>
                    <?php
                    $buscandoProdutos = mysqli_query($con, "SELECT  venda_produto.Id_Produto,
                                                                        produto.Codigo,
                                                                        produto.Titulo as Produto,
                                                                        SUM(venda_produto.Preco * venda_produto.Qtd - ((venda_produto.Preco * venda_produto.Qtd)*(venda_produto.Desconto/100))-venda_produto.Desconto_Real-venda_produto.Desconto_Real_Pe_Nota) as Valor,
                                                                        SUM(venda_produto.Qtd) as Qtd,
                                                                        produto.Peso_Liquido as Peso,
                                                                        venda.EF,
                                                                        venda.DV
                                                                        FROM venda_produto
                                                                    LEFT JOIN venda ON  venda.Id = venda_produto.Id_Venda
                                                                    left JOIN produto ON venda_produto.Id_Produto = produto.Id
                                                                    WHERE produto.Id_Categoria_Produto = '" . $chave["Id_Categoria_Produto"] . "'
                                                                    $data $categoriaProduto
                                                                    AND venda.EF = 'Sim'
                                                                    AND venda.Status = 'Finalizado'
                                                                    GROUP BY venda_produto.Id_Produto
                                                                    ORDER BY produto.Codigo
                                                            ");
                    $vendido = '';
                    $pesoTotal = 0;
                    $qtdVendido = 0;
                    while ($produtos = mysqli_fetch_assoc($buscandoProdutos)) {
                    ?>
                        <tr>
                            <td><?php echo $produtos["Codigo"] . ' : ' . $produtos["Produto"] ?></td>
                            <td><?php echo valor_exibir($produtos['Qtd']) ?></td>
                            <td><?php echo valor_exibir($produtos['Qtd'] * $produtos['Peso']) ?></td>
                            <td><?php echo valor_exibir($produtos['Valor']) ?></td>
                            <td><?php echo valor_exibir($produtos['Valor'] / $produtos['Qtd']) ?></td>
                        </tr>

                    <?php
                        $vendido += $produtos['Valor'];
                        $qtdVendido += $produtos['Qtd'];
                        $pesoTotal += $produtos['Qtd'] * $produtos['Peso'];
                        $medioVendido += $produtos['Valor'] / $produtos['Qtd'];
                    }
                    ?>
                    <tr>
                        <td>&nbsp;</td>
                        <td><?php echo valor_exibir($qtdVendido) ?></td>
                        <td><?php echo valor_exibir($pesoTotal) ?></td>
                        <td><?php echo valor_exibir($vendido) ?></td>
                        <td>&nbsp;</td>
                    </tr>
                    <tr>
                        <td colspan="5">&nbsp;</td>
                    </tr>
                <?php
                    $totalVendido += $vendido;
                }
                ?>
                <tr>
                    <td align="right" colspan="9"><b>Total Vendido: </b>
                        <?php echo valor_exibir($totalVendido) ?>&nbsp;</td>

                </tr>
            </table>
</body>

</html>