<?php
include_once '../include/conecta.php'; //Conecta com a nosso banco de dados MySQL
include_once '../include/ver_sessao.php'; //Verifica se a sesso est ativa
include_once '../include/funcoesPhp.php';
include_once '../menu_movimento.php';
?>
<?php
if (($_GET["Finalizado"]) || ($_GET["Aberto"]) || ($_GET["Cancelado"])) {

    $status = "and (";

    if ($_GET["Finalizado"]) {
        $status .= " venda.Status = 'Finalizado' OR";
    }
    if ($_GET["Aberto"]) {
        $status .= " venda.Status = 'Aberto' OR";
    }
    if ($_GET["Cancelado"]) {
        $status .= " venda.Status = 'Cancelado' OR";
    }

    $status = substr($status, 0, -2);
    $status .= ")";
}

if ($_GET['Data_Filtro'] == 'Data') {
    if ($_GET["De"])
        $data .= "AND venda.Data_Venda >= '" . data_banco($_GET["De"]) . " 00:00:00' ";
    if ($_GET["Ate"])
        $data .= "AND venda.Data_Venda <= '" . data_banco($_GET["Ate"]) . " 23:59:59' ";
}
if ($_GET['Data_Filtro'] == 'Conclusao') {

    if ($_GET["Aberto"]) {
        if ($_GET["De"]) {
            $data .= "AND (venda.Data_Conclusao >= '" . data_banco($_GET["De"]) . " 00:00:00' OR 
                          venda.Data_Venda >= '" . data_banco($_GET["De"]) . " 00:00:00' ) ";
        }
        if ($_GET["Ate"]) {
            $data .= "AND (venda.Data_Conclusao <= '" . data_banco($_GET["Ate"]) . " 23:59:59' OR 
                         venda.Data_Venda <= '" . data_banco($_GET["Ate"]) . " 23:59:59' ) ";
        }
    } else {
        if ($_GET["De"])
            $data .= "AND venda.Data_Conclusao >= '" . data_banco($_GET["De"]) . " 00:00:00' ";
        if ($_GET["Ate"])
            $data .= "AND venda.Data_Conclusao <= '" . data_banco($_GET["Ate"]) . " 23:59:59' ";
    }
}

if ($_GET["Cliente"]) {

    $mystring = $_GET["Cliente"];
    $findme = " : ";

    $posicao = strpos($mystring, $findme);

    $cod_cli = substr($_GET["Cliente"], 0, $posicao);
    $nome_cli = substr($_GET["Cliente"], ($posicao + 3));


    if (CLIENTE_RAZAO_SOCIAL == 'Sim') {
        $nome = 'Razao_Social';
    } else {
        $nome = 'Titulo';
    }
    /* convertendo o nome do fornecedor, para o seu codigo */
    $Prodt = listar("SELECT Id FROM cliente WHERE " . $nome . " ='" . $nome_cli . "' AND Codigo = '" . $cod_cli . "' ");
    $_GET["Cliente"] = $Prodt[0]["Id"];

    $Cliente .= "and venda.Id_Cliente = '" . $_GET["Cliente"] . "' ";
}

if ($_GET["Produto"]) {

    $mystring = $_GET["Produto"];
    $findme = " : ";

    $posicao = strpos($mystring, $findme);

    $cod_cli = substr($_GET["Produto"], 0, $posicao);
    $nome_cli = substr($_GET["Produto"], ($posicao + 3));


    /* convertendo o nome do fornecedor, para o seu codigo */
    $Prodt = listar("SELECT Id FROM produto WHERE Titulo='" . $nome_cli . "' AND Codigo = '" . $cod_cli . "' ");
    $_GET["Produto"] = $Prodt[0]["Id"];

    $venda_produto = "and venda_produto.Id_Produto = '" . $_GET["Produto"] . "' ";
}

if ($_GET["Usuario"])
    $Usuario = "and venda.Id_Usuario = '" . $_GET["Usuario"] . "' ";

if ($_GET["Funcionario"])
    $usuario_p .= "and venda.Id_Funcionario = '" . $_GET["Funcionario"] . "' ";

if ($_GET["Vendedor"])
    $usuario_p .= "and venda.Id_Vendedor = '" . $_GET["Vendedor"] . "' ";

if ($_GET["EF"])
    $EF .= "and venda.EF = '" . $_GET["EF"] . "' ";

if ($_GET["Financeiro"]) {
    $faturamento = "and venda.Financeiro = '" . $_GET["Financeiro"] . "' ";
}

if ($_GET["Unidade"]) {
    $Unidade = "and venda.Id_Unidade = '" . $_GET["Unidade"] . "' ";
}
if($_GET["Tipo_Pagamento"]){
	$tipo_pagto.= "and venda.Id_Tipo_Pagamento = '".$_GET["Tipo_Pagamento"]."' ";
}
if ($_GET["Ok"]) {

    $cat_pagto = listar("Select DISTINCT venda.Id_Tipo_Pagamento,
                                         tipo_pagamento.Titulo,
                                         tipo_pagamento.Id
                                   FROM (SELECT Id,Titulo FROM tipo_pagamento) as tipo_pagamento
                             INNER JOIN (SELECT Id, Data_Venda,Data_Conclusao, Id_Tipo_Pagamento, Id_Fornecedor FROM venda WHERE 1=1) as venda ON venda.Id_Tipo_Pagamento = tipo_pagamento.Id
                                   WHERE 1=1
                                        $data $natureza $Cliente $tipo_pagto 
                                GROUP BY venda.Id_Tipo_Pagamento
                                ORDER BY tipo_pagamento.Titulo");
}
?>
<html>
    <head>
        <title>Gw - Gesto Web</title>
        <link rel="stylesheet" type="text/css" href="../estilo/<?php echo SKIN; ?>/tabela_imp.css" />
        <script type="text/javascript" language="javascript" src="../js/jquery.js"></script>
        <?php include '../include/script_cabeca.php'; ?>
        <script type="text/javascript" language="javascript" src="../js/script.js"></script>
        <script type="text/javascript" language="javascript" src="../js/meiomask/meiomask.js"></script>
        <script type="text/javascript" language="javascript" src="../js/meiomask/<?php
        if (PAIS == "USA") {
            echo "mascaras-usa";
        } else {
            echo "mascaras";
        }
        ?>.js"></script>
        <script type="text/javascript" language="javascript">
            window.onload = function () {
                window.print();
            }
        </script>
    </head>
    <body>
        <table width="100%" height="400px"><!-- TABELA Q ENVOLVE TODO O CONTEUDO -->
            <td>
                <?php include "../include/cabecalho_relatorio.php"; ?>
            </td>
            <tr>
                <td>
                    <table width="100%" class="tabela">
                        <?php
                        if ($_GET["Ok"]) {

                            foreach ($cat_pagto as $valor) {
                                ?>
                                <tr class="cinza">
                                    <td colspan="12"><b>Tipo Pagaemnto : </b><?php echo $valor["Titulo"]; ?></td>
                                </tr>

                                <tr class="azul-claro">
                                    <td>N</td>
                                    <td>NF</td>
                                    <td>Data</td>
                                    <td>Cliente</td>
                                    <td>Vendedor</td>
                                    <td>Pgto</td>
                                    <td>Valor</td>
                                    <td>Status</td>
                                </tr>
                                <?php
                                $venda = listar("Select venda.Id, 
                                                        venda.Lancamento,
                                                        venda.Status,
                                                        venda.Frete,
                                                        venda.Data_Venda,
                                                        venda.Valor_Pago,
                                                        venda.Desconto,
                                                        venda.Desconto_Real,
                                                        cliente.Titulo as Cliente,
                                                        cliente.Razao_Social,
                                                        tipo_pagamento.Titulo as Tipo_Pagamento,
                                                        vendedor.Titulo as 'Vendedor',
                                                        venda.Fatura,
                                                        venda.Numero_Pedido
                                                        from venda
                                                        left join (SELECT Id,Id_Produto,Id_Venda FROM venda_produto) as venda_produto ON venda_produto.Id_Venda = venda.Id
                                                        LEFT JOIN (SELECT Id,Titulo FROM funcionario) as vendedor ON vendedor.Id = venda.Id_Vendedor
                                                        LEFT JOIN (SELECT Id,Titulo,Razao_Social FROM cliente) as cliente ON venda.Id_Cliente = cliente.Id
                                                        LEFT JOIN (SELECT Id,Titulo FROM tipo_pagamento) as tipo_pagamento ON venda.Id_Tipo_Pagamento = tipo_pagamento.Id
                                                        WHERE venda.Id_Tipo_Pagamento = '".$valor["Id"]."'
                                                        $EF
                                                        $data $status $usuario_p $Cliente $venda_produto $Unidade $Usuario $faturamento
                                                        group by venda.Lancamento
                                                        order by venda.Lancamento");

                                $vCate = '0';
                                $color = "#F5F5F5";
                                foreach ($venda as $chave) {

                                    if ($color == "#F5F5F5") {
                                        $color = "#E8E8E8";
                                    } else {
                                        $color = "#F5F5F5";
                                    }
                                    ?>

                                    <tr bgcolor=<?php echo "$color"; ?>>
                                        <td><?php echo $chave["Lancamento"] ?></td>
                                        <td><?php echo $chave["Fatura"] ?></td>
                                        <td><?php echo data_exibir($chave["Data_Venda"]) ?></td>
                                        <td>
                                            <?php
                                            if (CLIENTE_RAZAO_SOCIAL == 'Sim') {
                                                echo $chave["Razao_Social"];
                                            } else {
                                                echo $chave["Cliente"];
                                            }
                                            ?>
                                        </td>
                                        <td><?php echo $chave["Vendedor"] ?></td>
                                        <td><?php echo $chave["Tipo_Pagamento"] ?></td>
                                        <td><?php echo valor_exibir($chave["Valor_Pago"]) ?></td>
                                        <?php
                                        $corStatus = "";
                                        if ($chave['Status'] == 'Finalizado') {
                                            $corStatus = "color = '#228B22' ";
                                        }
                                        if ($chave['Status'] == 'Aberto') {
                                            $corStatus = "color = '#3A5FCD' ";
                                        }
                                        if ($chave['Status'] == 'Cancelado') {
                                            $corStatus = "color = '#CD2626' ";
                                        }
                                        ?>
                                        <td><font <?php echo $corStatus ?>><?php echo $chave["Status"] ?></font></td>
                                    </tr>

                                    <?php
                                    $vCate += $chave["Valor_Pago"];
                                    $vCateFinal += $chave["Valor_Pago"];
                                    ?>
                                <?php } ?>

                                <tr>
                                    <td colspan="6" align="right">Valor Total &nbsp;</td>
                                    <td><?php echo valor_exibir($vCate); ?></td>
                                    <td>&nbsp;</td>
                                </tr>
                                <tr>
                                    <td colspan="8">&nbsp;</td>
                                </tr>

                            <?php
                            }
                        }
                        ?>

                        <tr>
                            <td colspan="7" align="right"><b>Valores Finais:</b> &nbsp;</td>
                            <td><b><?php echo valor_exibir($vCateFinal); ?></b></td>
                        </tr>
                    </table>
                </td>
            </tr>
            <tr>
                <td>
                    <div id="div_resposta"></div>
                </td>
            </tr>
        </table>
    </body>
</html>