<?php
include_once '../include/conecta.php'; //Conecta com a nosso banco de dados MySQL
include_once '../include/ver_sessao.php'; //Verifica se a sesso est ativa
include_once '../include/funcoesPhp.php';
include_once '../menu_movimento.php';
?>
<?php
if ($_GET['Data_Filtro'] == 'Data') {
    if ($_GET["De"])
        $data .= "AND venda.Data_Venda >= '" . data_banco($_GET["De"]) . " 00:00:00' ";
    if ($_GET["Ate"])
        $data .= "AND venda.Data_Venda <= '" . data_banco($_GET["Ate"]) . " 23:59:59' ";
}
if ($_GET['Data_Filtro'] == 'Conclusao') {
    if ($_GET["De"])
        $data .= "AND venda.Data_Conclusao >= '" . data_banco($_GET["De"]) . " 00:00:00' ";
    if ($_GET["Ate"])
        $data .= "AND venda.Data_Conclusao <= '" . data_banco($_GET["Ate"]) . " 23:59:59' ";
}

if ($_GET["De"])
    $dataCP .= "AND caixa.Data_Caixa >= '" . data_banco($_GET["De"]) . "' ";
if ($_GET["Ate"])
    $dataCP .= "AND caixa.Data_Caixa <= '" . data_banco($_GET["Ate"]) . "' ";

if ($_GET["Unidade"]) {
    $Unidade = "and venda.Id_Unidade = '" . $_GET["Unidade"] . "' ";
    $UnidadeCP = "and caixa.Id_Unidade = '" . $_GET["Unidade"] . "' ";
}

if ($_GET["Ok"]) {
    $venda = mysqli_query($con,"Select venda.Id, venda.Invoice,
                        venda.Data_Venda,
                        venda.Valor_Pago
                        from (SELECT Id,Valor_Pago,Status,Lancamento,Invoice,Data_Venda,Data_Conclusao,Id_Unidade,Tipo_Movimentacao
                        FROM venda) as venda
                        WHERE 1=1
                        $data $Unidade
                        AND Tipo_Movimentacao = 'Invoice'
                        AND Status <> 'Cancelado'
                        group by venda.Lancamento
                        order by venda.Lancamento");


    $caixa = mysqli_query($con,"SELECT caixa.Tipo,
                        caixa.Valor,
                        caixa.Obs,
                        DATE_FORMAT(caixa.Data_Caixa, '%d/%m/%Y') as 'Data',
                        conta.Titulo as Conta,
                        unidade.Titulo as Unidade
                        FROM caixa
                        inner join (SELECT Id, Titulo FROM unidade) as unidade ON unidade.Id = caixa.Id_Unidade
                        left join
                        (SELECT DISTINCT conta.Id, CONCAT(banco.Titulo,' - ag.',conta.Agencia,' - cc.',conta.Conta) as Titulo FROM conta
                         inner join (SELECT banco.Id,banco.Titulo FROM banco) as banco ON conta.Id_Banco = banco.Id)
                        as conta ON conta.Id = caixa.Id_Conta
                        where 1=1 $dataCP $UnidadeCP
                        AND caixa.Tipo = 'Saida'
                        AND Origem = 'Caixa'
                        ORDER BY caixa.Data_Caixa");
}
?>
<html>
    <head>
        <title>Gw - Gesto Web</title>
        <link rel="stylesheet" type="text/css" href="../estilo/<?php echo SKIN; ?>/tabelas.css" />
        <link rel="stylesheet" type="text/css" href="../js/datePicker/datePicker.css" />
        <link rel="stylesheet" type="text/css" href="../js/autocomplete/jquery.autocomplete.css" />
        <link rel="stylesheet" type="text/css" href="../js/autocomplete/lib/thickbox.css" />
        <script type="text/javascript" language="javascript" src="../js/jquery.js"></script>
        <?php include '../include/script_cabeca.php'; ?>
        <script type="text/javascript" language="javascript" src="../js/script.js"></script>
        <script type="text/javascript" language="javascript" src="../js/meiomask/meiomask.js"></script>
        <script type="text/javascript" language="javascript" src="../js/meiomask/<?php
        if (PAIS == "USA") {
            echo "mascaras-usa";
        } else {
            echo "mascaras";
        }
        ?>.js"></script>
        <script type="text/javascript" language="javascript" src="../js/autocomplete/lib/jquery.bgiframe.min.js"></script>
        <script type="text/javascript" language="javascript" src="../js/autocomplete/lib/jquery.ajaxQueue.js"></script>
        <script type="text/javascript" language="javascript" src="../js/autocomplete/lib/thickbox-compressed.js"></script>
        <script type="text/javascript" language="javascript" src="../js/autocomplete/jquery.autocomplete.js"></script>
        <!-- required plugins -->
        <script language="javascript" type="text/javascript" src="../js/datePicker/<?php
        if (PAIS == "USA") {
            echo "date";
        } else {
            echo "date-pt";
        }
        ?>.js"></script>
        <!--[if IE]>
                <script type="text/javascript" src="../js/datePicker/jquery.bgiframe.js"></script>
                <![endif]-->
        <!-- jquery.datePicker.js -->
        <script type="text/javascript" src="../js/datePicker/jquery.datePicker.js"></script>
        <script type="text/javascript" language="javascript" >
            Date.firstDayOfWeek = 0;
<?php
if (PAIS == "USA") {
    echo "Date.format='mm/dd/yyyy';";
} else {
    echo "Date.format='dd/mm/yyyy';";
}
?>
            $(function() {
                $('.date-pick').datePicker({startDate: '01/01/1990'})
            });
        </script>
        <script type="text/javascript" language="javascript" >
            $(document).ready(function() {
                $("#Cliente").autocomplete("busca_cliente.php", {
                    width: 340,
                    selectFirst: true,
                    scroll: false,
                    cacheLength: 100,
                    max: 100
                });
                $("#Produto").autocomplete("busca_produto3.php", {
                    width: 340,
                    selectFirst: true,
                    scroll: false,
                    cacheLength: 100,
                    max: 100
                });
            });
        </script>
        <script type="text/javascript" language="javascript" >
            $(document).ready(function() {

                $('#bt_Enviar_Email').click(function() {
                    $.blockUI({message: $('#Tela_Email'), css: {width: '350px'}});
                    //setTimeout($.unblockUI, 6000);
                });


                $('#Enviar_Email').click(function() {
                    $.blockUI({message: "<h2>Enviando E-mail...</h2>"});

                    var nomeDestinatario = $("#Nome_Destinatario").val();
                    var emailDestinatario = $("#Email_Destinatario").val();
                    //var nomeCopia = $("#Nome_Copia").val();
                    //var emailCopia = $("#Email_Copia").val();
                    var de = $("#De").val();
                    var ate = $("#Ate").val();
                    var Funcionario = $("#Funcionario").val();
                    var Cliente = $("#Cliente").val();
                    var Produto = $("#Produto").val();
                    var Finalizado_rel = $("#Finalizado_Rel").val();
                    var cancelado_rel = $("#Cancelado_Rel").val();
                    var aberto_rel = $("#Aberto_Rel").val();
                    $.get("email_rel_demonstrativo_paradise.php", {Nome_Destinatario: nomeDestinatario, Email_Destinatario: emailDestinatario,
                        De: de, Ate: ate, Funcionario: Funcionario,
                        Produto: Produto, Finalizado: Finalizado_rel,
                        Cancelado: cancelado_rel, Aberto: aberto_rel,
                        Cliente: Cliente},
                            function(data) {
                                $("#div_resposta").html(data);
                                $.unblockUI();
                                $("#Nome_Destinatario").val('');
                                $("#Email_Destinatario").val('');
                                $("#Nome_Copia").val('');
                                $("#Email_Copia").val('');
                            });

                });


                $('#Cancelar_Email').click(function() {
                    $.unblockUI();
                    return false;
                });


            });
        </script>
        <style type="text/css">
            thead { display: table-header-group; }
            tfoot { display: table-footer-group; }
        </style>
    </head>
    <body>
        <table width="100%" height="400px"><!-- TABELA Q ENVOLVE TODO O CONTEUDO -->
            <tr>
                <td>
                    <table width="100%">
                        <tr>
                            <td align="left">
                                <font face="verdana" size="2"><i><b>Demonstrativo de Resultados</b></i></font>
                            </td>
                            <td align="center">
                                <a href='imp_pdf_demonstrativo_paradise.php?<?php echo $_SERVER["QUERY_STRING"] ?>' title="Pdf"><img src="../imagem/pdfG.png" border="0" alt="Pdf" title="Pdf"/></a>
                                <br/><font face="verdana" size="2"><i>Pdf</i></font>
                            </td>
                            <td align="center">
                                <a href='imp_excel_demonstrativo_paradise.php?<?php echo $_SERVER["QUERY_STRING"] ?>' title="Excel"><img src="../imagem/excelG.png" border="0" alt="Excel" title="Excel"/></a>
                                <br/><font face="verdana" size="2"><i>Excel</i></font>
                            </td>
                            <td align="center">
                                <a href='javascript:void(0);' id="bt_Enviar_Email" title="Email"><img src="../imagem/emailG.png" border="0" alt="E-mail" title="E-mail"/></a>
                                <br/><font face="verdana" size="2"><i>E-mail</i></font>
                            </td>
                            <td align="center">
                                <a href="imp_rel_demonstrativo_paradise.php?<?php echo $_SERVER["QUERY_STRING"] ?>" title="Imprimir" target="_blank"><img src="../imagem/imprimirG.png" border="0" alt="Imprimir" title="Imprimir"/></a>
                                <br/><font face="verdana" size="2"><i>Imprimir</i></font>
                            </td>
                        </tr>
                    </table>
                </td>
            </tr>
            <?php if (check_ismobile() == 1) { ?>
                <tr>
                    <td>
                        <form action="" method="get">
                            <table width="100%" class="busca_rel">
                                <tr class="azul">
                                    <td>De<input type="text" name="De" id="De" class="date-pick" size="10" value="<?php echo $_GET["De"]; ?>" ></td>
                                </tr>
                                <tr class="azul">
                                    <td>At<input type="text" name="Ate" id="Ate" class="date-pick" size="10" value="<?php echo $_GET["Ate"]; ?>" ></td>
                                </tr>
                                <tr class="azul">
                                    <?php
                                    if ($_GET['Data_Filtro'] == 'Data') {
                                        $Data = 'checked';
                                    } else if ($_GET['Data_Filtro'] == 'Conclusao') {
                                        $Conclusao = 'checked';
                                    } else {
                                        $Data = 'checked';
                                    }
                                    ?>
                                    <td>
                                        <input type="radio" name="Data_Filtro" value='Data' id="Data" <?php echo $Data; ?> ><label class="label_radio" for="Data">Data Abertura</label>
                                        <input type="radio" name="Data_Filtro" value='Conclusao' id="Conclusao" <?php echo $Conclusao; ?> ><label class="label_radio" for="Conclusao">Data Concluso</label>
                                    </td>
                                </tr>
                                <tr class="azul">
                                    <td>
                                        <?php
                                        //se o sistema for Multi Empresa
                                        if (MULTI_EMPRESA == "Sim") {

                                            //se o usuario master ele escolhe pra quem vai
                                            if (ESCOLHER_EMPRESA == 'Sim') {
                                                ?>

                                                <?php
                                                echo select_banco2("SELECT Id,Titulo FROM unidade WHERE Ativo='Sim' ORDER BY Titulo", "Unidade", "Unidade", "Empresa", $_GET["Unidade"], 'style="width:200px"', "");
                                                ?>

                                                <?php
                                                //se no for, a unidade sempre ser a sua
                                            } else {
                                                echo "<input type='hidden' name='Unidade' id='Unidade' value='" . $_SESSION["Unidade"] . "' >";
                                            }
                                        } else {
                                            echo "<input type='hidden' name='Unidade' id='Unidade' value='" . $_SESSION["Unidade"] . "' >";
                                        }
                                        ?>
                                    </td>
                                </tr>
                                <tr class="azul">
                                    <td>
                                        <input type="submit" value="Ok" name="Ok">
                                    </td>
                                </tr>
                            </table>
                        </form>
                    </td>
                </tr>
            <?php } else { ?>
                <tr>
                    <td>
                        <form action="" method="get">
                            <table width="100%" class="busca_rel">
                                <tr class="azul">
                                    <td>De<input type="text" name="De" id="De" class="date-pick" size="10" value="<?php echo $_GET["De"]; ?>" ></td>
                                    <td>At<input type="text" name="Ate" id="Ate" class="date-pick" size="10" value="<?php echo $_GET["Ate"]; ?>" ></td>
                                    <?php
                                    if ($_GET['Data_Filtro'] == 'Data') {
                                        $Data = 'checked';
                                    } else if ($_GET['Data_Filtro'] == 'Conclusao') {
                                        $Conclusao = 'checked';
                                    } else {
                                        $Data = 'checked';
                                    }
                                    ?>
                                    <td>
                                        <input type="radio" name="Data_Filtro" value='Data' id="Data" <?php echo $Data; ?> ><label class="label_radio" for="Data">Data Abertura</label>
                                        <input type="radio" name="Data_Filtro" value='Conclusao' id="Conclusao" <?php echo $Conclusao; ?> ><label class="label_radio" for="Conclusao">Data Concluso</label>
                                    </td>
                                    <td>
                                        <?php
                                        //se o sistema for Multi Empresa
                                        if (MULTI_EMPRESA == "Sim") {

                                            //se o usuario master ele escolhe pra quem vai
                                            if (ESCOLHER_EMPRESA == 'Sim') {
                                                ?>

                                                <?php
                                                echo select_banco2("SELECT Id,Titulo FROM unidade WHERE Ativo='Sim' ORDER BY Titulo", "Unidade", "Unidade", "Empresa", $_GET["Unidade"], 'style="width:200px"', "");
                                                ?>

                                                <?php
                                                //se no for, a unidade sempre ser a sua
                                            } else {
                                                echo "<input type='hidden' name='Unidade' id='Unidade' value='" . $_SESSION["Unidade"] . "' >";
                                            }
                                        } else {
                                            echo "<input type='hidden' name='Unidade' id='Unidade' value='" . $_SESSION["Unidade"] . "' >";
                                        }
                                        ?>
                                    </td>
                                    <td>
                                        <input type="submit" value="Ok" name="Ok">
                                    </td>
                                </tr>
                            </table>
                        </form>
                    </td>
                </tr>
            <?php } ?>
            <tr>
                <td>
                    <table width="100%" class="tabela">
                        <tr class="azul-claro">
                            <td>Valor Vendido (+)</td>
                            <td>Valor Recebido</td>
                            <td>Valor a Receber</td>
                            <td>Custo (-)</td>
                            <td>Despesas (-)</td>
                            <td>Resultado (=)</td>
                        </tr>
                        <?php
                        if ($_GET["Ok"]) {

                            $color = "#F5F5F5";
                            while ($chave = mysqli_fetch_assoc($venda)) {

                                if ($color == "#F5F5F5") {
                                    $color = "#E8E8E8";
                                } else {
                                    $color = "#F5F5F5";
                                }

                                $liquid = mysqli_query($con,"SELECT SUM(Valor_Pago) as Valor_Pago
                            FROM conta_receber
                            WHERE Id_Externo = '" . $chave['Id'] . "'
                            AND Status = 'Liquidado' ");
                                $cr_liquid = mysqli_fetch_assoc($liquid);

                                $aberto = mysqli_query($con,"SELECT SUM(Valor_Original) as Valor_Original
                            FROM conta_receber
                            WHERE Id_Externo = '" . $chave['Id'] . "'
                            AND Status = 'Aberto' ");
                                $cr_aberto = mysqli_fetch_assoc($aberto);

                                $vtotalG += $chave["Valor_Pago"];
                                $vtotalP += $cr_liquid["Valor_Pago"];
                                $vtotalA += $cr_aberto["Valor_Original"];


                                $produto = mysqli_query($con,"Select venda_produto.Preco_Custo,
                                        venda_produto.Qtd,
                                        venda_produto.Sf
                                        FROM (SELECT Id,Id_Venda,Id_Produto,Data_Cadastro,Qtd,Sf,Preco_Custo FROM venda_produto) as venda_produto
                                        where venda_produto.Id_Venda = '" . $chave["Id"] . "'
                                        ORDER BY venda_produto.Data_Cadastro");

                                while ($valor = mysqli_fetch_assoc($produto)) {

                                    if ($valor['Sf'] == '0' || $valor['Sf'] == '0.00') {
                                        $mult = $valor['Qtd'];
                                    } else {
                                        $mult = $valor['Sf'];
                                    }

                                    $custoT += $mult * $valor["Preco_Custo"];
                                }
                                ?>
                                <?php
                            }


                            $cp_exclusivo = mysqli_query($con,"SELECT SUM(Valor) as Valor_Pago
                            FROM caixa
                            WHERE Tipo = 'Saida'
                            AND Origem = 'Caixa'
                            $dataCP $UnidadeCP ");
                            $cp_exclu = mysqli_fetch_assoc($cp_exclusivo);
                        }
                        ?>
                        <tr>
                            <td><?php echo number_format($vtotalG, 2, ",", "."); ?></td>
                            <td><?php echo number_format($vtotalP, 2, ",", "."); ?></td>
                            <td><?php echo number_format($vtotalA, 2, ",", "."); ?></td>
                            <td><?php echo number_format($custoT, 2, ",", "."); ?></td>
                            <td><?php echo number_format($cp_exclu["Valor_Pago"], 2, ",", "."); ?></td>
                            <td><?php echo number_format($vtotalG - ($custoT + $cp_exclu["Valor_Pago"]), 2, ",", "."); ?></td>
                        </tr>
                    </table>
                </td>
            </tr>

            <tr>
                <td>
                    <br>
                </td>
            </tr>

            <tr>
                <td>
                    <table width="100%" class="tabela">
                        <tr bgcolor="#CCC">
                            <td colspan="5" height="25">Despesas Descriminadas</td>
                        </tr>
                        <tr class="azul-claro">
                            <td align="center" height="25">Movimento</td>
                            <td align="center" height="25">Conta</td>
                            <td align="center" height="25">Descrio</td>
                            <td align="center" height="25">Dbito</td>
                            <td align="center" height="25">Valor</td>
                        </tr>
                        <tbody>
                            <?php
                            if ($_GET["Ok"]) {

                                $x = 0;
                                //$valorAnterior = 0;
                                $color = "#F5F5F5";
                                while ($chave = mysqli_fetch_assoc($caixa)) {
                                    $valorFinal = 0;

                                    if ($color == "#F5F5F5") {
                                        $color = "#E8E8E8";
                                    } else {
                                        $color = "#F5F5F5";
                                    }
                                    ?>
                                    <tr bgcolor=<?php echo "$color"; ?> >
                                        <td align="center" height="25"><?php echo $chave['Data']; ?></td>
                                        <td align="center" height="25"><?php echo $chave['Conta']; ?></td>
                                        <td align="center" height="25"><?php echo $chave['Obs']; ?></td>
                                        <td align="center" height="25">
                                            <?php
                                            if ($chave['Tipo'] == 'Entrada') {
                                                //echo number_format($chave['Valor'],2,",",".");
                                                $entrada += $chave['Valor'];
                                            }
                                            ?>

                                            <?php
                                            if ($chave['Tipo'] == 'Saida') {
                                                echo number_format($chave['Valor'], 2, ",", ".");
                                                $saida += $chave['Valor'];
                                            }
                                            ?>
                                        </td>
                                        <?php
                                        if ($chave['Tipo'] == 'Entrada') {
                                            $valorFinal = $valorAnterior + $chave['Valor'];
                                        }
                                        if ($chave['Tipo'] == 'Saida') {
                                            $valorFinal = $valorAnterior - $chave['Valor'];
                                        }
                                        if ($chave['Tipo'] == 'Cancelado') {
                                            $valorFinal = $valorAnterior;
                                        }
                                        ?>
                                        <td align="center" height="25"><?php echo number_format(-$valorFinal, 2, ",", "."); ?></td>

                                    </tr>
                                    <?php
                                    $x++;
                                    $valorAnterior = $valorFinal;
                                }
                            }
                            ?>

                            <tr>
                                <td colspan="3" height="25"></td>
                                <td align="center">Valor:</td>
                                <td align="center"><b><?php echo number_format(-$valorFinal, 2, ',', '.'); ?></b></td>
                            </tr>
                        </tbody>
                    </table>
                </td>
            </tr>

            <tr>
                <td>
                    <div id="div_resposta"></div>
                </td>
            </tr>
        </table>
        <!-- INICIO DA TELA MODAL ENVIO DE EMAIL-->
        <!-- No css existe um estilo para essas divs que as deixa invisivel - display:none; -->
        <?php include_once "../include/email_tabela.php"; ?>
        <!-- FIM DA TELA MODAL ENVIO DE EMAIL-->
        <br>
    </body>
</html>