<?php
include_once '../include/conecta.php'; //Conecta com a nosso banco de dados MySQL
include_once '../include/ver_sessao.php'; //Verifica se a sesso est ativa
include_once '../include/funcoesPhp.php';
include_once '../menu_movimento.php';
?>
<?php
if (($_GET["Finalizado"]) || ($_GET["Aberto"]) || ($_GET["Cancelado"])) {

    $status = "and (";
    $statusP = "and (";

    if ($_GET["Finalizado"]) {
        $status .= " venda.Status = 'Finalizado' OR";
    }
    if ($_GET["Aberto"]) {
        $status .= " venda.Status = 'Aberto' OR";
    }
    if ($_GET["Cancelado"]) {
        $status .= " venda.Status = 'Cancelado' OR";
    }

    $status = substr($status, 0, -2);
    $statusP = substr($statusP, 0, -2);
    $status .= ")";
    $statusP .= ")";
}

if ($_GET['Data_Filtro'] == 'Data') {
    if ($_GET["De"]) {
        $data .= "AND venda.Data_Venda >= '" . data_banco($_GET["De"]) . " 00:00:00' ";
    }
    if ($_GET["Ate"]) {
        $data .= "AND venda.Data_Venda <= '" . data_banco($_GET["Ate"]) . " 23:59:59' ";
    }
}
if ($_GET['Data_Filtro'] == 'Conclusao') {
    if ($_GET["De"]) {
        $data .= "AND venda.Data_Conclusao >= '" . data_banco($_GET["De"]) . " 00:00:00' ";
    }
    if ($_GET["Ate"]) {
        $data .= "AND venda.Data_Conclusao <= '" . data_banco($_GET["Ate"]) . " 23:59:59' ";
    }
}

if ($_GET["Cliente"]) {

    $mystring = $_GET["Cliente"];
    $findme = " : ";

    $posicao = strpos($mystring, $findme);

    $cod_cli = substr($_GET["Cliente"], 0, $posicao);
    $nome_cli = substr($_GET["Cliente"], ($posicao + 3));


    if (CLIENTE_RAZAO_SOCIAL == 'Sim') {
        $nome = 'Razao_Social';
    } else {
        $nome = 'Titulo';
    }
    /* convertendo o nome do fornecedor, para o seu codigo */
    $Prodt = listar("SELECT Id FROM cliente WHERE " . $nome . " ='" . $nome_cli . "' AND Codigo = '" . $cod_cli . "' ");
    $_GET["Cliente"] = $Prodt[0]["Id"];

    $Cliente .= "AND venda.Id_Cliente = '" . $_GET["Cliente"] . "' ";
}

if ($_GET["Produto"]) {

    $mystring = $_GET["Produto"];
    $findme = " : ";

    $posicao = strpos($mystring, $findme);

    $cod_cli = substr($_GET["Produto"], 0, $posicao);
    $nome_cli = substr($_GET["Produto"], ($posicao + 3));


    /* convertendo o nome do fornecedor, para o seu codigo */
    $Prodt = listar("SELECT Id FROM produto WHERE Titulo='" . $nome_cli . "' AND Codigo = '" . $cod_cli . "' ");
    $_GET["Produto"] = $Prodt[0]["Id"];

    $venda_produto = "AND venda_produto.Id_Produto = '" . $_GET["Produto"] . "' ";
}
if ($_GET["Categoria_Produto"]) {
    $Categoria_Produto = "AND venda_produto.Id_Categoria_Produto = '" . $_GET["Categoria_Produto"] . "' ";
}

if ($_GET["Unidade"]) {
    $Unidade = "AND venda.Id_Unidade = '" . $_GET["Unidade"] . "' ";
}

if ($_GET["Ok"]) {

    $cat_pagto = listar("SELECT DISTINCT categoria_produto.Titulo,
                       categoria_produto.Id,
                       venda_produto.Id_Produto,
                       venda_produto.Id_Venda as Venda
                       FROM (SELECT Id,Titulo FROM categoria_produto) as categoria_produto
                       LEFT JOIN (SELECT Id,Id_Venda,Id_Categoria_Produto,Id_Produto FROM venda_produto)as venda_produto ON categoria_produto.Id = venda_produto.Id_Categoria_Produto
                       LEFT JOIN (SELECT Id,Status,Data_Venda,Data_Conclusao FROM venda) as venda ON venda.Id = venda_produto.Id_Venda
                       WHERE 1=1 $venda_produto $Categoria_Produto $data $status
                       GROUP BY categoria_produto.Id
                       order by categoria_produto.Id ");
}
?>
<html>

<head>
    <title>Gw - Gesto Web</title>
    <link rel="stylesheet" type="text/css" href="../estilo/<?php echo SKIN; ?>/tabelas.css" />
    <link rel="stylesheet" type="text/css" href="../js/datePicker/datePicker.css" />
    <script type="text/javascript" language="javascript" src="../js/jquery.js"></script>
    <?php include '../include/script_cabeca.php'; ?>
    <script type="text/javascript" language="javascript" src="../js/script.js"></script>
    <script type="text/javascript" language="javascript" src="../js/meiomask/meiomask.js"></script>
    <script type="text/javascript" language="javascript" src="../js/meiomask/<?php if (PAIS == "USA") {
                                                                                    echo "mascaras-usa";
                                                                                } else {
                                                                                    echo "mascaras";
                                                                                } ?>.js"></script>
    <script type="text/javascript" language="javascript" src="../js/blockUI/blockUI.js"></script>
    <!-- required plugins -->
    <script language="javascript" type="text/javascript" src="../js/datePicker/<?php if (PAIS == "USA") {
                                                                                    echo "date";
                                                                                } else {
                                                                                    echo "date-pt";
                                                                                } ?>.js"></script>
    <!--[if IE]>
	<script type="text/javascript" src="../js/datePicker/jquery.bgiframe.js"></script>
	<![endif]-->
    <!-- jquery.datePicker.js -->
    <script type="text/javascript" src="../js/datePicker/jquery.datePicker.js"></script>
    <script type="text/javascript" language="javascript">
        Date.firstDayOfWeek = 0;
        <?php if (PAIS == "USA") {
            echo "Date.format='mm/dd/yyyy';";
        } else {
            echo "Date.format='dd/mm/yyyy';";
        } ?>
        $(function() {
            $('.date-pick').datePicker({
                startDate: '01/01/1990'
            })
        });
    </script>
    <script type="text/javascript" language="javascript">
        $(document).ready(function() {
            $("#Cliente").autocomplete("busca_cliente.php", {
                width: 340,
                selectFirst: true,
                scroll: false,
                cacheLength: 100,
                max: 100
            });
            $("#Produto").autocomplete("busca_produto.php", {
                width: 340,
                selectFirst: true,
                scroll: false,
                cacheLength: 100,
                max: 100
            });
        });
    </script>

    <style type="text/css">
        thead {
            display: table-header-group;
        }

        tfoot {
            display: table-footer-group;
        }
    </style>
</head>

<body>
    <table width="100%" height="400px">
        <!-- TABELA Q ENVOLVE TODO O CONTEUDO -->
        <tr>
            <td>
                <table width="100%">
                    <tr>
                        <td align="left">
                            <font face="verdana" size="2"><i><b>Relatrio de vendas por categoria de produto</b></i>
                            </font>
                        </td>

                        <td align="center">
                            <a href='imp_pdf_venda_categoria_peks.php?<?php echo $_SERVER["QUERY_STRING"] ?>' title="Pdf"><img src="../imagem/pdfG.png" border="0" alt="Pdf" title="Pdf" /></a>
                            <br />
                            <font face="verdana" size="2"><i>Pdf</i></font>
                        </td>
                        <td align="center">
                            <a href='imp_excel_venda_categoria_peks.php?<?php echo $_SERVER["QUERY_STRING"] ?>' title="Excel"><img src="../imagem/excelG.png" border="0" alt="Excel" title="Excel" /></a>
                            <br />
                            <font face="verdana" size="2"><i>Excel</i></font>
                        </td>

                        <!--
                            <td align="center">
                                <a href='javascript:void(0);' id="bt_Enviar_Email" title="Email"><img src="../imagem/emailG.png" border="0" alt="E-mail" title="E-mail"/></a>
                                    <br/><font face="verdana" size="2"><i>E-mail</i></font>		
                            </td>
                            -->
                        <td align="center">
                            <a href="imp_rel_venda_categoria_peks.php?<?php echo $_SERVER["QUERY_STRING"] ?>" title="Imprimir" target="_blank"><img src="../imagem/imprimirG.png" border="0" alt="Imprimir" title="Imprimir" /></a>
                            <br />
                            <font face="verdana" size="2"><i>Imprimir</i></font>
                        </td>
                    </tr>
                </table>
            </td>
        </tr>
        <tr>
            <td>
                <form action="" method="get">
                    <table width="100%" class="busca_rel">
                        <tr class="azul">
                            <td>De<input type="text" name="De" id="De" class="date-pick" size="10" value="<?php echo $_GET["De"]; ?>"></td>
                            <td>At<input type="text" name="Ate" id="Ate" class="date-pick" size="10" value="<?php echo $_GET["Ate"]; ?>"></td>
                            <?php
                            if ($_GET['Data_Filtro'] == 'Data') {
                                $Data = 'checked';
                            } else if ($_GET['Data_Filtro'] == 'Conclusao') {
                                $Conclusao = 'checked';
                            } else {
                                $Data = 'checked';
                            }
                            ?>
                            <td>
                                <input type="radio" name="Data_Filtro" value='Data' id="Data" <?php echo $Data; ?>><label class="label_radio" for="Data">Data Abertura</label>
                                <input type="radio" name="Data_Filtro" value='Conclusao' id="Conclusao" <?php echo $Conclusao; ?>><label class="label_radio" for="Conclusao">Data
                                    Concluso</label>
                            </td>
                            <td>
                                <?php
                                //se o sistema for Multi Empresa
                                if (MULTI_EMPRESA == "Sim") {

                                    //se o usuario master ele escolhe pra quem vai
                                    if (ESCOLHER_EMPRESA == 'Sim') {
                                ?>

                                        <?php
                                        echo select_banco2(
                                            "SELECT Id,Titulo FROM unidade WHERE Ativo='Sim' ORDER BY Titulo",
                                            "Unidade",
                                            "Unidade",
                                            "Empresa",
                                            $_GET["Unidade"],
                                            'style="width:200px"',
                                            ""
                                        );
                                        ?>

                                <?php
                                        //se no for, a unidade sempre ser a sua
                                    } else {
                                        echo "<input type='hidden' name='Unidade' id='Unidade' value='" . $_SESSION["Unidade"] . "' >";
                                    }
                                } else {
                                    echo "<input type='hidden' name='Unidade' id='Unidade' value='" . $_SESSION["Unidade"] . "' >";
                                }
                                ?>
                            </td>
                        </tr>
                        <tr class="azul">
                            <td>
                                <input type="checkbox" name="Finalizado" value="Finalizado" <?php if ($_GET["Finalizado"]) echo "checked='checked' "; ?>>Finalizado
                                <input type="checkbox" name="Aberto" value="Aberto" <?php if ($_GET["Aberto"]) echo "checked='checked' "; ?>>Em Lanamento
                                <input type="checkbox" name="Cancelado" value="Cancelado" <?php if ($_GET["Cancelado"]) echo "checked='checked' "; ?>>Cancelado

                                <input type="hidden" value="<?php echo $_GET["Finalizado"]; ?>" name="Finalizado_Rel" id="Finalizado_Rel">
                                <input type="hidden" value="<?php echo $_GET["Aberto"]; ?>" name="Aberto_Rel" id="Aberto_Rel">
                                <input type="hidden" value="<?php echo $_GET["Cancelado"]; ?>" name="Cancelado_Rel" id="Cancelado_Rel">

                            </td>
                            <td>
                                <?php
                                /* convertendo o codigo do produto, para o seu nome */
                                $Produt = listar("SELECT CONCAT(Codigo,' : ', Titulo) as Titulo FROM produto WHERE Id='" . $_GET["Produto"] . "'");
                                $_GET["Produto"] = $Produt[0]["Titulo"];
                                ?>
                                <label for="Produto"><b> * Cdigo / Produto :</b></label>
                                <input style="width: 200px; height: 20px;" type="text" name="Produto" id="Produto" value="<?php echo $_GET["Produto"] ?>">
                            </td>
                            <td>
                                <?php
                                echo select_banco2(
                                    "Select Id, Titulo from categoria_produto WHERE Id_Pai = '' order by Titulo",
                                    "Categoria_Produto",
                                    "Categoria_Produto",
                                    "Categoria",
                                    $_GET["Categoria_Produto"],
                                    'style="width:200px"'
                                );
                                ?>
                            </td>
                            <td>
                                <input type="submit" value="Ok" name="Ok">
                            </td>
                        </tr>

                    </table>
                </form>
            </td>
        </tr>
        <tr>
            <td>
                <table width="100%" class="tabela">
                    <?php
                    if ($_GET["Ok"]) {

                        foreach ($cat_pagto as $valor) {
                    ?>
                            <tr class="cinza">
                                <td colspan="12"><b>Categoria : </b><?php echo $valor["Titulo"]; ?></td>
                            </tr>

                            <tr class="azul-claro">
                                <td width="5%">Cdigo</td>
                                <td width="40%">Produto</td>
                                <!--<td width="10%">Preo</td>-->
                                <td width="10%">Qtd</td>
                                <td width="10%">Peso Bruto</td>
                                <td width="10%">Peso Lquido</td>
                                <td width="10%">Faturamento</td>
                            </tr>
                            <?php
                            $venda = listar("SELECT venda.Id,
                                                        venda.Lancamento,
                                                        cliente.Cidade,
                                                        venda.Data_Venda,
                                                        venda_produto.Id_Categoria_Produto,
                                                        SUM(venda_produto.Qtd) as Qtd,
                                                        venda_produto.Preco,
                                                        produto.Titulo as Produto,
                                                        produto.Codigo,
                                                        produto.Peso_Bruto as Bruto,
                                                        produto.Peso_Liquido as Liquido,
                                                    SUM( (venda_produto.Preco * venda_produto.Qtd) - ( (venda_produto.Preco * venda_produto.Qtd) * (venda_produto.Desconto/100) ) - venda_produto.Desconto_Real - Desconto_Real_Pe_Nota ) as Valor_Pago
                                                   FROM venda
                                             LEFT JOIN cliente ON cliente.Id = venda.Id_Cliente
                                             LEFT JOIN venda_produto ON venda_produto.Id_Venda = venda.Id
                                             LEFT JOIN (SELECT Id,Titulo,Codigo,Peso_Liquido,Peso_Bruto FROM produto) as produto ON produto.Id = venda_produto.Id_Produto
                                                 WHERE venda_produto.Id_Categoria_Produto = '" . $valor["Id"] . "'
                                                     $venda_produto $status $data
                                               GROUP BY Produto
                                               order by venda.Id");


                            $PesoBrutoCat = '0';
                            $PesoLiquidoCat = '0';

                            $vCate = '0';
                            $PesoLiquidoCat = '0';
                            $QtdCat = '0';
                            $color = "#F5F5F5";
                            foreach ($venda as $chave) {

                                if ($color == "#F5F5F5") {
                                    $color = "#E8E8E8";
                                } else {
                                    $color = "#F5F5F5";
                                }
                            ?>

                                <tr bgcolor=<?php echo "$color"; ?>>
                                    <td><?php echo ($chave["Codigo"]) ?></td>
                                    <td><?php echo $chave["Produto"] ?></td>
                                    <!--<td><?php echo $chave["Preco"] ?></td>-->
                                    <td><?php echo $chave["Qtd"] ?></td>
                                    <td><?php echo valor_exibir($chave["Bruto"] * $chave["Qtd"]) ?></td>
                                    <td><?php echo valor_exibir($chave["Liquido"] * $chave["Qtd"]) ?></td>
                                    <td><?php echo valor_exibir($chave["Valor_Pago"]) ?></td>
                                </tr>

                            <?php
                                $vCate += $chave["Valor_Pago"];
                                $vCateFinal += $chave["Valor_Pago"];
                                $PesoBrutoCat += $chave["Bruto"] * $chave["Qtd"];
                                $PesoLiquidoCat += $chave["Liquido"] * $chave["Qtd"];
                                $QtdCat += $chave["Qtd"];


                                $FinalPesoBrutoCat += $chave["Bruto"] * $chave["Qtd"];
                                $FinalPesoLiquidoCat += $chave["Liquido"] * $chave["Qtd"];
                                $FinalQtdCat += $chave["Qtd"];
                            }
                            ?>

                            <tr>
                                <td colspan="2" align="right">Totais &nbsp;</td>
                                <td><?php echo valor_exibir($QtdCat); ?></td>
                                <td><?php echo valor_exibir($PesoBrutoCat); ?></td>
                                <td><?php echo valor_exibir($PesoLiquidoCat); ?></td>
                                <td><?php echo valor_exibir($vCate); ?></td>
                            </tr>
                            <tr>
                                <td colspan="6">&nbsp;</td>
                            </tr>

                    <?php }
                    } ?>

                    <tr>
                        <td colspan="2" align="right"><b>Valores Finais:</b> &nbsp;</td>
                        <td><b><?php echo valor_exibir($FinalQtdCat); ?></b></td>
                        <td><b><?php echo valor_exibir($FinalPesoBrutoCat); ?></b></td>
                        <td><b><?php echo valor_exibir($FinalPesoLiquidoCat); ?></b></td>
                        <td><b><?php echo valor_exibir($vCateFinal); ?></b></td>
                    </tr>
                </table>
            </td>
        </tr>
        <tr>
            <td>
                <div id="div_resposta"></div>
            </td>
        </tr>
    </table>
</body>

</html>