<?php
include_once '../../include/conecta.php'; //Conecta com a nosso banco de dados MySQL
include_once '../ver_cookie.php'; //Verifica se a sesso est ativa
include_once '../funcoesPhp_novo.php'; //Inclue a pgina con todas as funes a ser usada.

// error_reporting(E_ALL);
// ini_set('display_errors', 'On');

$valor = addslashes($_POST['valor']);
$metodo = addslashes($_POST['metodo']);
$idVenda = addslashes($_POST['idVenda']);
$idTransacao = isset($_POST['idTransacao']) ? addslashes($_POST['idTransacao']) : '';
$descontoPerc = addslashes($_POST['descontoPerc']);
$descontoReal = addslashes($_POST['descontoReal']);
$qtdParcelas = isset($_POST['qtdParcelas']) ? addslashes($_POST['qtdParcelas']) : 1;
$dadosCartao = isset($_POST['dadosCartao']) ? addslashes($_POST['dadosCartao']) : '';
$idCliente = addslashes($_POST['idCliente']);
$tipoPagamentoR = addslashes($_POST['tipoPagamento']);
$finalizarVenda = false;

$sql = "SELECT Id, Titulo, Cupom FROM tipo_pagamento WHERE Ativo='Sim'";

switch ($metodo) {
    case "cartaoCredito":
        $sql .= " AND Tef='Sim' AND Tipo_Cartao_Tef='Crdito'";
        break;
    case "cartaoDebito":
        $sql .= " AND Tef='Sim' AND Tipo_Cartao_Tef ='Dbito')";
        break;
    default:
        $idTipoPagamento = addslashes($_POST['idTipoPagamento']);
        $sql .= " AND Id='$idTipoPagamento'";
}
$tipoPagamento = $con->query($sql);
$tipoPagamento = mysqli_fetch_assoc($tipoPagamento);
$venda = $con->query("SELECT Id_Cliente, Valor_Original, Valor_Pago, Id_Mesa, Lancamento FROM venda WHERE Id='$idVenda'");
$venda = mysqli_fetch_assoc($venda);

$valorPago = $venda['Valor_Pago'] + $valor;
$valorPago = str_replace([".", ","], ["", "."], $valorPago);
$valorPago = number_format($valorPago, 2, '.', '');


$venda['Valor_Original'] = number_format($venda['Valor_Original'], 2, '.', '');

// echo $valorPago . '////////' .  $venda['Valor_Original'];
// die();

if ($tipoPagamento["Cupom"] == "CA" && $valorPago - $venda['Valor_Original'] > 0) {
    echo json_encode(["status" => "erro", "mensagem" => utf8_encode('Troco no permitido para esse tipo de pagamento!')]);
    exit();
}

$troco = 0;
if ($metodo != "cartaoCredito" && $metodo != "cartaoDebito" && $valorPago > $venda['Valor_Original']) {
    $troco = $valorPago - $venda['Valor_Original'];
    $valorPago = $venda['Valor_Original'];
}
$troco = str_replace(".", "", $troco);
$troco = str_replace(",", ".", $troco);
$dataHoraAtual = date("Y-m-d H:i:s");
$dataPagamento = date("Y-m-d");


$con->query("UPDATE venda SET Valor_Pago='$valorPago', Id_Usuario_Upd='" . $_COOKIE['Id'] . "' , Data_Cadastro_Upd='$dataHoraAtual',Id_Funcionario='" . $_COOKIE['Id_Funcionario'] . "'
WHERE Id='$idVenda'");
$ordem = $con->query("SELECT MAX(Ordem) Ultima_Ordem FROM venda_tipo_pagamento WHERE Id_Venda='$idVenda'");
$ordem = mysqli_fetch_assoc($ordem)['Ultima_Ordem'] + 1;
$idVendaTipoPagamento = md5($idVenda . microtime());
$con->query("INSERT INTO venda_tipo_pagamento SET Id='$idVendaTipoPagamento', Data_Cadastro='$dataHoraAtual', Id_Venda='$idVenda',
Id_Funcionario='" . $_COOKIE['Id_Funcionario'] . "', Id_Cliente='" . $venda['Id_Cliente'] . "', Id_Tipo_Pagamento='" . $tipoPagamento['Id'] . "',
Valor_Pago='" . $valor . "', Valor='" . $venda['Valor_Original'] . "', Id_Unidade='" . $_COOKIE['Unidade'] . "', Data_Pagamento='$dataPagamento',
Id_Transacao='$idTransacao', Valor_Troco='$troco', Ordem='$ordem', Qtd_Parcelas='$qtdParcelas', Dados_Cartao='$dadosCartao',Tipo_Pagamento='$tipoPagamentoR',
Origem_Venda='Restaurante_Login',Origem_Venda_Alteracao='Restaurante_Login'");

logUsuario($_SERVER['REMOTE_ADDR'], $_COOKIE['Login'], $_COOKIE['Email'], $_COOKIE['Unidade'], "Comanda", "Add Pagamento", $venda['Lancamento']);

if ($valorPago >= $venda['Valor_Original']) {
    $finalizarVenda = true;
    include "./rotina_finalizar_venda.php";
} else if ($tipoPagamentoR == 'Parcial') {
    include "./rotina_finalizar_venda_parcial.php";
}

echo json_encode(['finalizar' => $finalizarVenda, 'troco' => $troco]);
