<?php
include_once '../../include/conecta.php'; //Conecta com a nosso banco de dados MySQL
include_once '../../include/ver_cookie.php'; //Verifica se a sesso est ativa
include_once '../../include/funcoesPhp.php';
include_once '../menu_movimento.php';

$idCategoria = addslashes($_POST['Id_Categoria']);
$mystring = utf8_decode($_POST["Cliente"]);
$posicao = strpos($mystring, " : ");

$codigoCliente = substr(utf8_decode($_POST["Cliente"]), 0, $posicao);
$nomeCliente = substr(utf8_decode($_POST["Cliente"]), ($posicao + 3));
$nome = CLIENTE_RAZAO_SOCIAL == 'Sim' ? 'Razao_Social' : 'Titulo';
$cliente = $con->query("SELECT Id,Tabela_Preco FROM cliente WHERE $nome ='$nomeCliente' AND Codigo = '$codigoCliente'");
$cliente = mysqli_fetch_assoc($cliente);
$numeroTabelaPreco = (!$clie['Tabela_Preco'] || empty($clie['Tabela_Preco'])) ? 1 : intval($clie['Tabela_Preco']);

$sql = "SELECT Id,Titulo,Foto,Codigo,Preco$numeroTabelaPreco Preco 
FROM produto WHERE Tipo_Produto = 'P'
AND Tipo_Categoria = 'Pode vender' AND Ativo = 'Sim'";
$sql .= $idCategoria != "Todos" ? " AND Id_Categoria_Produto = '$idCategoria' ORDER BY Titulo" : " ORDER BY Titulo";
$getProdutos = $con->query($sql);

$diaHoje = date('w') - 1;
$horaAtual = date("H:i:s");
$happyHour = $con->query("SELECT Id, DAYNAME(CURDATE()) Dia_Semana, Hora_Inicio, Hora_Fim, Desconto 
            FROM happy_hour
            WHERE WEEKDAY(CURDATE()) = $diaHoje AND Hora_Inicio <= '$horaAtual' AND Hora_Fim >= '$horaAtual' AND Tipo_HH ='Geral'");
$happyHour = mysqli_fetch_assoc($happyHour) ?? null;

// $happyHour = $con->query("SELECT Tipo_HH, DAYNAME(CURDATE()) Dia_Semana, Hora_Inicio, Hora_Fim, Desconto FROM happy_hour
// WHERE WEEKDAY(CURDATE()) = $diaHoje AND Hora_Inicio <= $horaAtual AND Hora_Fim >= $horaAtual");
// $happyHour = mysqli_fetch_assoc($happyHour);
if ($happyHour != null) {
    if (strtotime($happyHour['Hora_Fim']) > strtotime('now')) {
        $horaFimHH = new DateTime($happyHour['Hora_Fim']);
        $diferencaTempo = $horaFimHH->diff(new DateTime());
        $diferencaHora = strlen($diferencaTempo->h) == 1 ? "0$diferencaTempo->h" : $diferencaTempo->h;
        $diferencaMinutos = strlen($diferencaTempo->i) == 1 ? "0$diferencaTempo->i" : $diferencaTempo->i;
        $diferencaSegundos = strlen($diferencaTempo->s) == 1 ? "0$diferencaTempo->s" : $diferencaTempo->s;
        $tempoRestante = "$diferencaHora:$diferencaMinutos:$diferencaSegundos";
    }
}
$produtos = [];

while ($produto = mysqli_fetch_assoc($getProdutos)) {
    $produto['Titulo'] = utf8_encode($produto['Titulo']);
    if ($happyHour) {
        if ($tempoRestante != "00:00:00") {
            if ($happyHour['Tipo_HH'] == 'Geral') {
                $valorDesconto = ($produto['Preco'] * $happyHour['Desconto']) / 100;
                $produto['Preco'] -= number_format($valorDesconto, 2);
            }
        }
    } else {
        $produtoHappyHour = $con->query("SELECT happy_hour_produto.Preco_HH 
                    FROM happy_hour_produto
                    INNER JOIN happy_hour ON happy_hour.Id = happy_hour_produto.Id_HH
                    WHERE WEEKDAY(CURDATE()) = $diaHoje AND happy_hour.Hora_Inicio <= '$horaAtual' AND happy_hour.Hora_Fim >= '$horaAtual'
                    AND Id_Produto='{$produto['Id']}'") or die($con->error);
        if ($produtoHappyHour->num_rows > 0) {
            $produto['Preco'] = mysqli_fetch_assoc($produtoHappyHour)["Preco_HH"];
        }
    }
    array_push($produtos, $produto);
}

echo json_encode($produtos);
