<script type='text/javascript'>
    var telaPagamentoAberta = false;
    //BLOQUEAR A TECLA F5
    if (navigator.appName.indexOf('Internet Explorer') < 0) {
        window.onkeydown = function(event) {
            if (event.keyCode == 116) {
                event.preventDefault();
                alert("Tecla F5 Bloqueada...");
            }
        }
    } else {
        // IE
        document.onkeydown = function(event) {
            if (window.event.keyCode == 116) {
                alert("Tecla F5 Bloqueada...");
                window.event.keyCode = 0;
                window.event.returnValue = false;
            }
        }
    }
</script>
<script type="text/javascript" language="javascript">
    //bloqueio o backspace
    $(document).unbind('keydown').bind('keydown', function(event) {
        var doPrevent = false;
        if (event.keyCode === 8) {
            var d = event.srcElement || event.target;
            if ((d.tagName.toUpperCase() === 'INPUT' && (d.type.toUpperCase() === 'TEXT' || d.type.toUpperCase() === 'PASSWORD' || d.type.toUpperCase() === 'FILE')) ||
                d.tagName.toUpperCase() === 'TEXTAREA') {
                doPrevent = d.readOnly || d.disabled;
            } else {
                doPrevent = true;
            }
        }

        if (doPrevent) {
            event.preventDefault();
        }
    });
</script>
<script type="text/javascript" language="javascript">
    $(document).ready(function() {
        if ($("#Cliente").length > 0) {
            $("#Cliente").autocomplete({
                width: 260,
                selectFirst: true,
                scroll: true,
                cacheLength: 100,
                max: 100,
                minLength: 5,
                source: "busca_cliente.php"
            });
        }
        if ($("#Codigo_Produto").length > 0) {
            $("#Codigo_Produto").autocomplete({
                width: 200,
                selectFirst: true,
                scroll: true,
                cacheLength: 100,
                max: 100,
                minLength: 3,
                source: "busca_produto.php"
            });
        }

        $("#Codigo_Produto").keypress(function(e) {
            if (e.which == 13 && $(this).val().trim().length > 0) {
                AddProduto($(this).val(), 'Codigo');
            }
        });
        tempoRestanteHH();

    });
</script>
<script>
    $(document).ready(function() {
        $("#valorCartaoCredito").keypress(async function(e) {
            if (e.keyCode == 13) {
                e.preventDefault();
                let valorVenda = parseFloat($("input#valorCartaoCredito").val().replace('.', '').replace(',', '.').replace('R$ ', ''));
                $.post("validar_valor_cartao.php", {
                        valor: valorVenda,
                        idVenda: $("#idVenda").val()
                    },
                    function(data) {
                        let response = JSON.parse(data);
                        if (response.permitido) {
                            $("#modalPagCredito").modal('show');
                        } else {
                            alert("O valor informado  maior que o valor restante");
                        }
                    }
                )
            }
        });

        $("form#pagarCartaoCredito").submit(async function(e) {
            e.preventDefault();

            let valorVenda = parseFloat($("input#valorCartaoCredito").val().replace('.', '').replace(',', '.').replace('R$ ', ''));
            let idVenda = $("#idVenda").val();
            $.post("validar_valor_cartao.php", {
                    valor: valorVenda,
                    idVenda
                },
                async function(data) {
                    let response = JSON.parse(data);
                    if (response.permitido) {
                        let tipoParcelamento = document.getElementById("tipoParcelamento").options[document.getElementById("tipoParcelamento").selectedIndex].value
                        let qtdParcelas = document.getElementById("qtdParcelas").value == "" ? 0 : document.getElementById("qtdParcelas").value;
                        let tipoPagamento = $("input[name=Tipo_Pagamento]:checked").val();
                        let pagamentoRealizado = (response) => {
                            let idTransacao = response.administrativeCode;
                            let dadosCartao = JSON.stringify({
                                bandeira: response.cardBrandName,
                                numero: response.customerCardPan,
                                titular: response.cardHolderName
                            });
                            $.post("./add_valor_pago.php", {
                                    metodo: 'cartaoCredito',
                                    valor: valorVenda,
                                    idVenda,
                                    idTransacao: idTransacao,
                                    descontoPerc: $("input[name=descontoPerc]").val(),
                                    descontoReal: $("input[name=descontoReal]").val(),
                                    qtdParcelas: response.installments,
                                    dadosCartao,
                                    idCliente: $("input[name=cliente]").val(),
                                    tipoPagamento
                                },
                                function(data) {
                                    let response = JSON.parse(data);

                                    let valorPagoCartaoCredito = parseFloat($("#valorPagoCartaoCredito").val().replace('.', '').replace(',', '.').replace('R$', ''));
                                    $("#valorPagoCartaoCredito").val((valorVenda + valorPagoCartaoCredito).toLocaleString('pt-br', {
                                        style: 'currency',
                                        currency: 'BRL'
                                    }));
                                    $("input#valorCartaoCredito").val('R$ 0,00');
                                    let totalPago = parseFloat($("#totalPago").attr("data-total")) + valorVenda;
                                    $("#totalPago").attr("data-total", totalPago).html(`${totalPago.toLocaleString('pt-br', {style: 'currency', currency: 'BRL'})}`);
                                    let totalRestante = parseFloat($("#valorTotalMesa").attr("data-total")) - totalPago;
                                    $("#totalRestante").attr("data-total", totalRestante).html(`${totalRestante.toLocaleString('pt-br', {style: 'currency', currency: 'BRL'})}`);

                                    if (response.finalizar) {
                                        window.open(`impressao_final.php?venda=${idVenda}`, '_blank', 'width=400,height=600,top=20,left=250,scrollbars=yes');
                                    } else {
                                        window.location.reload();
                                    }
                                }
                            )
                        }

                        let erroPagamento = (erro) => {
                            alert(erro.reason);
                        }
                        $("#modalPagCredito").modal('hide');
                        await pagamentoCredito({
                            valorVenda: valorVenda,
                            tipoParcelamento: tipoParcelamento,
                            qtdParcelas: qtdParcelas,
                            pagamentoRealizado,
                            erroPagamento
                        });
                    }
                }
            )
        })

        $("#valorCartaoDebito").keypress(async function(e) {
            if (e.keyCode == 13) {
                e.preventDefault();
                let valorVenda = parseFloat($("input#valorCartaoDebito").val().replace('.', '').replace(',', '.').replace('R$ ', ''));
                let idVenda = $("#idVenda").val();
                $.post("validar_valor_cartao.php", {
                        valor: valorVenda,
                        idVenda
                    },
                    async function(data) {
                        let response = JSON.parse(data);
                        if (response.permitido) {
                            let tipoPagamento = $("input[name=Tipo_Pagamento]:checked").val();
                            let pagamentoRealizado = (response) => {
                                let idTransacao = response.administrativeCode;
                                let dadosCartao = JSON.stringify({
                                    bandeira: response.cardBrandName,
                                    numero: response.customerCardPan,
                                    titular: response.cardHolderName
                                });

                                $.post("add_valor_pago.php", {
                                        metodo: 'cartaoDebito',
                                        valor: valorVenda,
                                        idVenda: $("#idVenda").val(),
                                        idTransacao: idTransacao,
                                        descontoPerc: $("input[name=descontoPerc]").val(),
                                        descontoReal: $("input[name=descontoReal]").val(),
                                        qtdParcelas: response.installments,
                                        dadosCartao,
                                        idCliente: $("input[name=cliente]").val(),
                                        tipoPagamento
                                    },
                                    function(data) {
                                        let response = JSON.parse(data);
                                        let valorPagoCartaoDebito = parseFloat($("#valorPagoCartaoDebito").val().replace('.', '').replace(',', '.').replace('R$', ''));
                                        $("#valorPagoCartaoDebito").val((valorVenda + valorPagoCartaoDebito).toLocaleString('pt-br', {
                                            style: 'currency',
                                            currency: 'BRL'
                                        }))
                                        $("input#valorCartaoDebito").val('R$ 0,00');
                                        let totalPago = parseFloat($("#totalPago").attr("data-total")) + valorVenda;
                                        $("#totalPago").attr("data-total", totalPago).html(`${totalPago.toLocaleString('pt-br', {style: 'currency', currency: 'BRL'})}`);
                                        let totalRestante = parseFloat($("#valorTotalMesa").attr("data-total")) - totalPago;
                                        $("#totalRestante").attr("data-total", totalRestante).html(`${totalRestante.toLocaleString('pt-br', {style: 'currency', currency: 'BRL'})}`);

                                        if (response.finalizar) {
                                            window.open(`impressao_final.php?venda=${idVenda}`, '_blank', 'width=400,height=600,top=20,left=250,scrollbars=yes');
                                        } else {
                                            window.location.reload();
                                        }
                                    }
                                )
                            }

                            let erroPagamento = (erro) => {
                                alert(erro.reason);
                            }

                            await pagamentoDebito({
                                valorVenda: valorVenda,
                                pagamentoRealizado,
                                erroPagamento
                            });
                        } else {
                            alert("O valor informado  maior que o valor restante");
                        }
                    }
                )
            }
        });

        $(".Tipo_pagamento_mesa").keypress(async function(e) {
            if (e.keyCode == 13) {
                e.preventDefault();
                let input = $(this);
                let valorVenda = parseFloat(input.val().replace('.', '').replace(',', '.').replace('R$ ', ''));
                let idVenda = $("#idVenda").val();
                let tipoPagamento = $("input[name=Tipo_Pagamento]:checked").val();
                $('input[type=text]').attr('disabled', true);

                await $.post("./add_valor_pago.php", {
                        metodo: '',
                        valor: valorVenda,
                        idVenda: idVenda,
                        idTipoPagamento: input.attr("data-idTipo"),
                        descontoPerc: $("input[name=descontoPerc]").val(),
                        descontoReal: $("input[name=descontoReal]").val(),
                        idCliente: $("input[name=cliente]").val(),
                        tipoPagamento
                    },
                    function(data) {
                        let response = JSON.parse(data);
                        if (response.status == 'erro') {
                            alert(response.mensagem);
                            return;
                        }
                        input.val('');
                        let totalPago = parseFloat($("#totalPago").attr("data-total")) + valorVenda;
                        $("#totalPago").attr("data-total", totalPago).html(`${totalPago.toLocaleString('pt-br', {style: 'currency', currency: 'BRL'})}`);
                        let totalRestante = 0;
                        if (response.troco == 0) {
                            totalRestante = parseFloat($("#valorTotalMesa").attr("data-total")) - totalPago;
                        }
                        $("#totalRestante").attr("data-total", totalRestante).html(`${totalRestante.toLocaleString('pt-br', {style: 'currency', currency: 'BRL'})}`);

                        if (response.finalizar) {
                            window.open(`impressao_final.php?venda=${idVenda}`, '_blank', 'width=400,height=600,top=20,left=250,scrollbars=yes');
                        } else {
                            window.location.reload();
                        }

                    }
                )
                $('input[type=text]').removeAttr('disabled');
            }
        })

        $("#listVendasFinalizadas").click(function() {
            $("#exibeVendas").css({
                display: "block"
            });
            $("#exibePagamentos").css({
                display: "none"
            });
            $("#listaPagamentos tbody").html("");
            $(".modal-backdrop").css({
                position: 'fixed'
            });
            $("#modalVendasFinalizadas").css({
                'z-index': ''
            });

            $.post("list_vendas_finalizadas.php", {},
                function(response) {
                    let vendas = JSON.parse(response);
                    $("#listaVendas tbody").html("");
                    vendas.map(venda => {
                        $("#listaVendas tbody").append(`
                        <tr>
                            <td class="lancamentoVenda">${venda.Lancamento}</td>
                            <td>${venda.Cliente}</td>
                            <td>${venda.Funcionario}</td>
                            <td>${parseFloat(venda.Valor_Original).toLocaleString("pt-br", {style: 'currency', currency: 'BRL'})}</td>
                            <td>${parseFloat(venda.Valor_Pago).toLocaleString("pt-br", {style: 'currency', currency: 'BRL'})}</td>
                            <td><button class="btn-visualizarPagamentos" venda='${venda.Id}'>Pagamentos</button></td>
                        </tr>
                    `);
                    })
                })
        });

        $("body").on('click', '.btn-visualizarPagamentos', function() {
            let venda = $(this).attr('venda');
            let lancamento = $(this).parents("tr").find("td.lancamentoVenda").html();
            $("#exibeVendas").css({
                display: "none"
            });
            $("#exibePagamentos").css({
                display: "block"
            });
            $("#exibePagamentos #codigoVenda").html(lancamento);
            $("#exibePagamentos input[name=idVenda]").val(venda);

            $.post("list_pagamentos_cartao.php", {
                venda
            }, function(data) {
                let vendaTipoPagamento = JSON.parse(data);
                $("#listaPagamentos tbody").html("");

                vendaTipoPagamento.map(tipoPagamento => {
                    $("#listaPagamentos tbody").append(`
                        <tr ${tipoPagamento.Id_Estorno ? 'class="pagamentoEstornado"' : ''}>
                            <td>${tipoPagamento.Ordem}</td>
                            <td>${tipoPagamento.Titulo}</td>
                            <td>${parseFloat(tipoPagamento.Valor).toLocaleString("pt-br", {style: 'currency', currency: 'BRL'})}</td>
                            <td>${parseFloat(tipoPagamento.Valor_Pago).toLocaleString("pt-br", {style: 'currency', currency: 'BRL'})}</td>
                            <td>${tipoPagamento.Id_Estorno ? '' : `<button class="estornarPagamento" vendaTipoPagamento="${tipoPagamento.Id}">Estornar</button>`}</td>
                        </tr>
                    `)
                })
            })
        });

        $("#exibePagamentos #voltar").click(function(e) {
            e.preventDefault();
            $("#exibeVendas").css({
                display: "block"
            });
            $("#exibePagamentos").css({
                display: "none"
            });
        })

        $("body").on("click", ".estornarPagamento", async function() {
            let btnEstornarPagamento = $(this);
            let vendaTipoPagamento = btnEstornarPagamento.attr("vendaTipoPagamento");
            let estornarPagamento = await confirm("Confirma o estorno desse pagamento?");
            let idVenda = $("#exibePagamentos input[name=idVenda]").val();

            if (estornarPagamento) {
                $(".modal-backdrop").css({
                    position: 'static'
                });
                $("#modalVendasFinalizadas").css({
                    'z-index': 0
                });

                $.post("senha_admin_cappta.php", {
                        vendaTipoPagamento
                    },
                    function(data) {
                        let response = JSON.parse(data);
                        let {
                            senha,
                            idTransacao
                        } = response;
                        if (senha && senha.length > 0) {
                            const pagamentoEstornado = (response) => {
                                let = viaCliente = btoa(response.receipt.customerReceipt);
                                let viaEstabelecimento = btoa(response.receipt.merchantReceipt);
                                let dadosCartao = JSON.stringify({
                                    bandeira: response.cardBrandName,
                                    numero: response.customerCardPan,
                                    titular: response.cardHolderName
                                });

                                $.post("estornarPagamento.php", {
                                        idVenda,
                                        vendaTipoPagamento,
                                        idCancelamento: response.administrativeCode,
                                        qtdParcelas: response.installments,
                                        dadosCartao,
                                    },
                                    function(data) {
                                        let transacao = JSON.parse(data);
                                        if (transacao.estornada) {
                                            btnEstornarPagamento.parents("tr").addClass("pagamentoEstornado");
                                            btnEstornarPagamento.remove();
                                            //Retirar aps envio do roteiro
                                            window.open(`impressao_estorno.php?cliente=${viaCliente}&estabelecimento=${viaEstabelecimento}`, '_blank', 'width=300,height=600,top=20,left=250,scrollbars=yes');
                                        }
                                        $(".modal-backdrop").css({
                                            position: 'fixed'
                                        });
                                        $("#modalVendasFinalizadas").css({
                                            'z-index': ''
                                        });
                                    });
                            }
                            const erroCancelar = (response) => {
                                // console.log(response);
                                $(".modal-backdrop").css({
                                    position: 'fixed'
                                });
                                $("#modalVendasFinalizadas").css({
                                    'z-index': ''
                                });
                            }
                            cancelarPagamento({
                                senhaAdm: senha,
                                codigoAdmTransacao: idTransacao,
                                chaveSolicitacao: "",
                                pagamentoCancelado: pagamentoEstornado,
                                erroCancelar: erroCancelar
                            });
                        }
                    })
            }
        });

        $("#filtroVenda").submit(function(e) {
            e.preventDefault();
            let data = $(this).serialize();
            $.post("busca_venda_finalizada.php", data, function(response) {
                let vendas = JSON.parse(response);
                $("#listaVendas tbody").html("");

                vendas.map(venda => {
                    $("#listaVendas tbody").append(`
                        <tr>
                            <td class="lancamentoVenda">${venda.Lancamento}</td>
                            <td>${venda.Cliente}</td>
                            <td>${venda.Funcionario}</td>
                            <td>${parseFloat(venda.Total_Pagar).toLocaleString("pt-br", {style: 'currency', currency: 'BRL'})}</td>
                            <td>${parseFloat(venda.Valor_Pago).toLocaleString("pt-br", {style: 'currency', currency: 'BRL'})}</td>
                            <td><button class="btn-visualizarPagamentos" venda='${venda.Id}'>Pagamentos</button></td>
                        </tr>
                    `);
                })
            });
        });

        $("body").on('click', ".removerProduto", function() {
            let produto = $(this).parents(".produtos_pedido");
            let idVendaProduto = produto.attr("vendaProduto");
            let idVenda = $("input[name=Codigo_Venda]").val();

            $.post("remover_produto.php", {
                    idVenda,
                    idVendaProduto
                },
                function(data) {
                    let response = JSON.parse(data);
                    if (response.erro) {
                        console.log(response.mensagem);
                    } else {
                        produto.remove();
                        if (response.kit) {
                            response.produtosKit.map(produtoKit => {
                                $(`.produtos_pedido[vendaProduto=${produtoKit.vendaProduto}]`).remove();
                            });
                        }
                        let preco = parseFloat(response.preco);
                        let subtotal = parseFloat($("#subtotal_pedido").attr("data-subtotal"));
                        subtotal = round(subtotal - preco, 2);
                        $("#subtotal_pedido").attr("data-subtotal", subtotal);
                        $("#subtotal_pedido").html(subtotal.toLocaleString('pt-br', {
                            minimumFractionDigits: 2
                        }));

                        if ($(".produtos_pedido").length > 0) {
                            aplicarDesconto();
                        } else {
                            $('#total_desconto').attr("data-totalDesconto", 0);
                            $('#total_desconto').html("0,00");
                            $('#total_taxa').html("0,00");
                        }
                    }
                }
            )
        });

        $("input[name=tipoEntrega]").change(function() {
            if ($(this).val() == "Delivery") {
                $("#responsavelRetirada").css('display', "none");
                $("#infoDelivery").css('display', "flex");
                $("#enderecoPedido").css('visibility', "visible");
            } else {
                $("#responsavelRetirada").css('display', "block");
                $("#infoDelivery").css('display', "none");
                $("#enderecoPedido").css('visibility', "hidden");
            }
        });

        $("#ConfiguracaoModal").on('shown.bs.modal', function() {
            $(this).find('input[name=dataPreparo]').trigger('focus')
        })

        $("#ConfiguracaoModal form").submit(function(e) {
            e.preventDefault();

            let idVenda = $(this).find("input[name='idVenda']").val();

            let dados = {
                idVenda: idVenda,
                dataPreparo: $(this).find("input[name=dataPreparo]").val(),
                horaPrevistaPreparo: $(this).find("input[name=horaPrevistaPreparo]").val(),
                descontoPercentual: $(".bloco_subtotal #Desconto_final_perc").val(),
                descontoReal: $(".bloco_subtotal #Desconto_final_real").val(),
                localPedido: $("#Local_Pedido").val(),
                comanda: $("#Comanda").val(),
                cliente: btoa($(".table_pedido #Cliente").val()),
                entrega: $("#Delivery2").prop("checked") ? 'Sim' : 'No'
            };

            if ($("#Delivery2").prop("checked")) {
                if ($("#Delivery_Modal input[name=tipoEntrega]:checked").length == 0) {
                    alert("Selecione o tipo da entrega");
                    $("#ConfiguracaoModal").modal("hide");
                    $("#Delivery_Modal").modal("show");
                    return;
                }
                dados.dataEntrega = $("#Data_Delivery").val();
                dados.horaEntrega = $("#Hora_Delivery").val();
                dados.enderecoEntrega = $("#Endereco_Entrega").val();
                dados.entregador = $("#Entregador").val();
                dados.tipoEntrega = $("input[name=tipoEntrega]:checked").val();
                dados.pagamentoEntrega = $("#Delivery_Modal input[name=pagamentoEntrega]:checked").val();
                dados.trocoEntrega = $("#Delivery_Modal input[name=valorParaTroco]").val();

                if (dados.tipoEntrega == "Retirada") {
                    dados.responsavel = $("#Responsavel").val();
                }
            }

            $.post("./configurar_preparo.php", dados,
                function(data) {
                    let {
                        status,
                        mensagem
                    } = JSON.parse(data);
                    if (status == 'ok') {
                        impressaoParcial(idVenda);
                    } else {
                        alert(mensagem);
                    }
                }
            )
        })

        $("#liberarVenda #btnLiberar").click(function() {
            let loginResponsavelLiberacao = $("#loginResponsavelLiberacao").val();
            let senhaResponsavelLiberacao = $("#senhaResponsavelLiberacao").val();
            let tipoLiberacaoVenda = $("#tipoLiberacaoVenda").val();
            let idVenda = $("#Codigo_Venda").val();

            $.post("./verificar_liberacao_venda.php", {
                loginResponsavelLiberacao,
                senhaResponsavelLiberacao,
                idVenda
            }, function(data) {
                let response = JSON.parse(data);
                if (response.status == 'ok') {
                    if (tipoLiberacaoVenda == 'funcao') {
                        funcoesPedido(`${idVenda}`, 'Sim');
                        $('#liberarVenda').modal('hide');
                    } else if (tipoLiberacaoVenda == 'pedido') {
                        impressaoParcial(`${idVenda}`, 'Sim');
                    } else {
                        pagamentoPedido(`${idVenda}`, 'Sim');
                        $('#liberarVenda').modal('hide');
                    }
                } else {
                    alert(response.mensagem);
                }
            })
        })
        $("input[name=pagamentoEntrega]").change(function() {
            $("#trocoEntrega input[name=valorParaTroco]").val('');
            if ($(this).val() == "Sim") {
                $("#trocoEntrega").css('visibility', 'visible');
            } else {
                $("#trocoEntrega").css('visibility', 'hidden');
            }
        })

        $("#formNumeroPedidoComanda").submit(function(e) {
            e.preventDefault();
            let numeroComanda = $("#Nro_Comanda").val();

            $.post('./verifica_numero_comanda.php', {
                numeroComanda
            }, function(data) {
                let retorno = JSON.parse(data);
                if (retorno.comanda == 'Aberto') {
                    alert(' Existe uma comanda aberta com o nmero informado: ' + numeroComanda);
                    focus.$("#Nro_Comanda")
                } else {
                    location.href = 'pedido_comanda.php?comanda=' + numeroComanda
                }

            });

        })
    })
</script>
<script>
    const round = (num, places) => {
        if (!("" + num).includes("e")) {
            return +(Math.round(num + "e+" + places) + "e-" + places);
        } else {
            let arr = ("" + num).split("e");
            let sig = ""
            if (+arr[1] + places > 0) {
                sig = "+";
            }

            return +(Math.round(+arr[0] + "e" + sig + (+arr[1] + places)) + "e-" + places);
        }
    }

    const AlterarQtdProduto = async (botao) => {
        $(botao).attr("disabled", true);
        let Sinal = $(botao).val()
        let produto = $(botao).parents(".produtos_pedido");
        let Qtd_Novo = Sinal == '+' ? parseFloat(produto.find("input.Qtd_item").val()) + 1 : parseFloat(produto.find("input.Qtd_item").val()) - 1;
        let VendaProduto = produto.attr("vendaProduto");
        let Codigo_Venda = $("input[name=Codigo_Venda]").val();

        if (Qtd_Novo >= 1) {
            await $.post("alt_quantidade_produto.php", {
                    VendaProduto: VendaProduto,
                    Qtd_Novo: 1,
                    Codigo_Venda: Codigo_Venda,
                    Sinal: Sinal
                },
                function(data) {
                    let retorno = JSON.parse(data);
                    if (retorno.erro) {
                        alert(retorno.mensagem);
                    } else {
                        let subtotal = parseFloat($("#subtotal_pedido").attr("data-subtotal"));
                        let preco = parseFloat(retorno.Preco);
                        produto.find("input.Qtd_item").val(Qtd_Novo);

                        retorno.produtosKit.map(produtoKit => {
                            $(`.produtos_pedido[vendaProduto=${produtoKit.vendaProduto}] input.Qtd_item`).val(produtoKit.qtd)
                            subtotal = round(subtotal - parseFloat(produtoKit.totalAnterior), 2);
                            subtotal += parseFloat(produtoKit.total)
                        });

                        subtotal = Sinal == "+" ? round(subtotal + preco, 2) : round(subtotal - preco, 2);
                        $("#subtotal_pedido").attr("data-subtotal", subtotal);
                        $("#subtotal_pedido").html(subtotal.toLocaleString('pt-br', {
                            minimumFractionDigits: 2
                        }));

                        aplicarDesconto();
                    }
                }
            );
        }
        $(botao).removeAttr("disabled");
    }

    function alterarPrecoItem(idVendaProduto) {
        if (!telaPagamentoAberta) {
            window.open(`alterar_preco_pedido_comanda.php?vendaProduto=${idVendaProduto}`, 'Btn_parcial', 'width=600,height=400,top=0,left=0,scrollbars=yes')
        }
    }

    function AddProduto(produto, coluna, quantidade = 1) {
        var Cliente = $("#Cliente").val();
        let Codigo_Venda = $("input[name=Codigo_Venda]").val();
        $.post("add_produto.php", {
                Produto: produto,
                Cliente: Cliente,
                Qtd_Novo: quantidade,
                Coluna: coluna,
                Codigo_Venda: Codigo_Venda
            },
            function(data) {
                let retorno = JSON.parse(data);
                if (retorno.erro) {
                    alert(retorno.mensagem);
                } else {
                    let produtoAdicionado = retorno.produto;
                    let preco = parseFloat(produtoAdicionado.Preco);

                    $("#Prod_Pedido").append(`
                        <div class="produtos_pedido" vendaProduto='${produtoAdicionado.vendaProduto}'>
                            <span class="nome_prod_pedido" onclick="window.open('obs_comanda.php?vendaProduto=${produtoAdicionado.vendaProduto}','Btn_parcial','width=600,height=500,top=0,left=0,scrollbars=yes')" style="cursor:pointer;font-weight:${produtoAdicionado.kit ? 'bold' : 'normal'}">
                                ${produtoAdicionado.Titulo}
                            </span>
                            <div id="btn_adicionar_remover" style="height:100%;">
                                <input type="button" class="input-add-remove" value="-" onclick='AlterarQtdProduto(this)' ${produtoAdicionado.pesavel == 'Sim' ? 'disabled' : ''}>
                                <input type="text" name="Qtd" class="Qtd_item" value="1" readonly onclick="window.open('alterar_quantidade_comanda.php?vendaProduto=${produtoAdicionado.vendaProduto}','Btn_parcial','width=600,height=400,top=0,left=0,scrollbars=yes')" style="text-align:center;cursor:pointer">
                                <input type="button" class="input-add-remove" value="+" onclick='AlterarQtdProduto(this)' ${produtoAdicionado.pesavel == 'Sim' ? 'disabled' : ''}>
                            </div>
                            <?php if (ALTERAR_VALOR_ITEM_PEDIDO == 'Sim') { ?>
                                <span class="preco" onclick="alterarPrecoItem('${produtoAdicionado.vendaProduto}')" style="cursor:pointer">
                                    ${preco.toLocaleString('pt-br',{minimumFractionDigits: 2})}
                                </span>
                            <?php } else { ?>
                                <span class="preco">
                                ${preco.toLocaleString('pt-br',{minimumFractionDigits: 2})}
                                </span>
                           <?php }
                            if (CANCELAR_ITEM_PEDIDO == 'Sim') { ?>
                                <span class="removerProduto">
                                    <img src="../../imagem/delete_mesa.png" alt="Remover" class="icon_config">
                                </span>
                                <?php
                            } ?>
                        </div>
                    `);

                    if (produtoAdicionado.kit) {
                        produtoAdicionado.produtosKit.map(produtoKit => {
                            $("#Prod_Pedido").append(`
                                <div class="produtos_pedido produto_kit" vendaProduto='${produtoKit.vendaProduto}'>
                                    <span class="nome_prod_pedido">
                                        ${produtoKit.Titulo}
                                    </span>
                                    <div id="btn_adicionar_remover" style="height:100%;">
                                        <input type="text" name="Qtd" class="Qtd_item" value="${produtoKit.Qtd}" readonly>
                                    </div>
                                    <span class="preco">
                                        ${parseFloat(produtoKit.Preco).toLocaleString('pt-br',{minimumFractionDigits: 2})}
                                    </span>
                                </div>
                            `);
                            preco += (produtoKit.Preco * produtoKit.Qtd);
                        })
                    }

                    aplicarDesconto();
                    if (coluna == 'Codigo') {
                        $("#Codigo_Produto").val("");
                    }
                }
            }
        );
    }

    async function aplicarDesconto() {
        let subtotal = 0;
        // let subtotal = parseFloat($("#subtotal_pedido").attr("data-subtotal").replace(',', '.'));
        let idVenda = $("input[name=Codigo_Venda]").val();
        await $.ajax({
            url: `./buscar_valores_pedido.php?idVenda=${idVenda}`,
            method: "GET",
            dataType: "json",
            accepts: ["application/json"],
            success: function(response) {
                let {
                    subtotalVenda,
                    taxaServicoReal
                } = response;
                subtotal = subtotalVenda;
                $('#taxa-servico').attr('data-totalTaxa', taxaServicoReal);
            }
        });

        if (subtotal > 0) {
            let descontoReal = $('input[name=Desconto_real]').val().length ? parseFloat($('input[name=Desconto_real]').val().replace('.', '').replace(',', '.')) : 0;
            let percentualDesconto = $('input[name=Desconto_perc]').val().length ? parseFloat($('input[name=Desconto_perc]').val().replace('.', '').replace(',', '.')) : 0;
            let descontoPerc = (subtotal * percentualDesconto) / 100;
            let totalDesconto = descontoPerc + descontoReal;
            totalDesconto = parseFloat((subtotal - totalDesconto));
            $('#total_desconto').attr("data-totalDesconto", totalDesconto);
            $('#total_desconto').html(round(totalDesconto, 2).toLocaleString('pt-br', {
                minimumFractionDigits: 2
            }))
            aplicarTaxa();
        }

        // $("#subtotal_pedido").attr("data-subtotal", subtotal);
        $("#subtotal_pedido").html(round(subtotal, 2).toLocaleString('pt-br', {
            minimumFractionDigits: 2
        }));
    }

    const aplicarTaxa = () => {
        let totalDesconto = parseFloat($('#total_desconto').attr("data-totalDesconto"));
        let valorTaxa = parseFloat($('#taxa-servico').attr('data-totalTaxa'));
        let totalTaxa = round(parseFloat((valorTaxa + totalDesconto)), 2);
        $('#total_taxa').html(totalTaxa > 0 ? totalTaxa.toLocaleString('pt-br', {
                minimumFractionDigits: 2
            }) :
            totalDesconto.toLocaleString('pt-br', {
                minimumFractionDigits: 2
            })
        );
    }

    const chamaListaProduto = (categoria, id_categoria) => {
        $(".button_categoria").css({
            'background-color': '#102c48'
        });
        $(categoria).css({
            'background-color': '#285D92'
        });

        var Cliente = $("#Cliente").val();
        $.post("busca_lista_produto.php", {
                Id_Categoria: id_categoria,
                Cliente: Cliente
            },
            function(data) {
                let produtos = JSON.parse(data);

                $("#lista_produtos").html('');
                produtos.map((produto) => {
                    $("#lista_produtos").append(`
                        <button type="button" onclick="AddProduto('${produto.Id}', 'Id');" class="button_produtos">
                            <span class="title_produtos" style="font-family: Segoe UI !important; font-size: 13px !important;">${produto.Titulo.substring(0, 40)}</span>
                            <font>
                                <b class="title_produtos" style="font-family: Segoe UI !important; font-size: 13px !important;">
                                    $ ${parseFloat(produto.Preco).toLocaleString('pt-br', {minimumFractionDigits: 2})}
                                </b>
                            </font>
                        </button>
                    `);
                });
            }
        );
    }

    const tempoRestanteHH = () => {
        if ($("#tempo_happy_hour").length) {
            let tempoRestante = $("#tempo_happy_hour").attr("data-tempo").split(":");
            if (tempoRestante != "00:00:00") {
                let dataHoje = new Date();
                tempoRestante = new Date(dataHoje.getFullYear(), dataHoje.getMonth(), dataHoje.getDay() + 1,
                    parseInt(tempoRestante[0]), tempoRestante[1], tempoRestante[2]
                );
                let horasRestantes;
                let minutosRestantes;
                let segundosRestantes;

                const cronometro = setInterval(() => {
                    if (`${tempoRestante.getHours()}:${tempoRestante.getMinutes()}:${tempoRestante.getSeconds()}` == "0:0:0") {
                        clearInterval(cronometro);

                        var Cliente = $("#Cliente").val();
                        $.post("busca_lista_produto.php", {
                                Id_Categoria: 'Todos',
                                Cliente: Cliente
                            },
                            function(data) {
                                let produtos = JSON.parse(data);

                                $("#lista_produtos").html('');
                                produtos.map((produto) => {
                                    $("#lista_produtos").append(`
                                <button type="button" onclick="AddProduto('${produto.Id}', 'Id');" class="button_produtos">
                                    <span class="title_produtos">${produto.Titulo.substring(0, 40)}</span>
                                    <font>
                                        <b class="title_produtos">
                                            $ ${parseFloat(produto.Preco).toLocaleString('pt-br', {minimumFractionDigits: 2})}
                                        </b>
                                    </font>
                                </button>
                            `);
                                });
                            });

                        $("#tempo_happy_hour").html("");
                    } else {
                        tempoRestante.setSeconds(tempoRestante.getSeconds() - 1);
                        horasRestantes = `${tempoRestante.getHours()}`.length == 1 ? `0${tempoRestante.getHours()}` : tempoRestante.getHours();
                        minutosRestantes = `${tempoRestante.getMinutes()}`.length == 1 ? `0${tempoRestante.getMinutes()}` : tempoRestante.getMinutes();
                        segundosRestantes = `${tempoRestante.getSeconds()}`.length == 1 ? `0${tempoRestante.getSeconds()}` : tempoRestante.getSeconds();
                        $("#tempo_happy_hour").html(`${horasRestantes}:${minutosRestantes}:${segundosRestantes}`);
                    }
                }, 1000);
                cronometro;
            }
        }
    }

    const cronometroDecrescente = () => {
        setInterval(() => {
            Array.from($('.cronometro-decrescente')).forEach(element => {
                let tempoOcupada = $(element).html();
                if (tempoOcupada != "00:00:00") {
                    tempoOcupada = tempoOcupada.split(":");
                    let dataHoje = new Date();
                    let tempoDecorrido = new Date(dataHoje.getFullYear(), dataHoje.getMonth(), dataHoje.getDay() + 1,
                        parseInt(tempoOcupada[0]), tempoOcupada[1], tempoOcupada[2]
                    );
                    let horasDecorridas;
                    let minutosDecorridos;
                    let segundosDecorridos;

                    tempoDecorrido.setSeconds(tempoDecorrido.getSeconds() - 1);
                    horasDecorridas = `${tempoDecorrido.getHours()}`.length == 1 ? `0${tempoDecorrido.getHours()}` : tempoDecorrido.getHours();
                    minutosDecorridos = `${tempoDecorrido.getMinutes()}`.length == 1 ? `0${tempoDecorrido.getMinutes()}` : tempoDecorrido.getMinutes();
                    segundosDecorridos = `${tempoDecorrido.getSeconds()}`.length == 1 ? `0${tempoDecorrido.getSeconds()}` : tempoDecorrido.getSeconds();
                    $(element).html(`${horasDecorridas}:${minutosDecorridos}:${segundosDecorridos}`);
                }
            });
        }, 1000);
    }

    const funcoesPedido = async (idVenda, liberado) => {
        let Cliente = btoa($("#Cliente").val());
        $('#tipoLiberacaoVenda').val('funcao');

        <?php if (BLOQUEIO_CLIENTE_SEM_LIMITE_RESTAURANTE == 'Sim') { ?>
            if (liberado != 'Sim') {
                let clienteSemLimite = 'No';
                await $.post('./bloqueio_cliente_pedido.php', {
                    Cliente,
                    idVenda
                }, function(data) {
                    let retorno = JSON.parse(data);
                    clienteSemLimite = retorno.clienteSemLimite;
                    if (retorno.clienteSemLimite == 'Sim') {
                        $('#liberarVenda').modal('show');
                        $('#tipoLiberacaoVenda').val(tipo);
                        $('#limiteDisponivelCliente').val('R$ ' + retorno.limiteCreditoDisponivel);
                    }
                })

                if (clienteSemLimite == 'Sim') {
                    return
                }
            }
        <?php } ?>

        let descontoReal = $('input[name=Desconto_real]').val().length ? parseFloat($('input[name=Desconto_real]').val().replace('.', '').replace(',', '.')) : 0;
        let percentualDesconto = $('input[name=Desconto_perc]').val().length ? parseFloat($('input[name=Desconto_perc]').val().replace('.', '').replace(',', '.')) : 0;
        let localPedido = $("#Local_Pedido").val();
        let Comanda = $("#Comanda").val();
        let url = `funcao_pedido_comanda.php?venda=${idVenda}&descReal=${descontoReal}&descPerc=${percentualDesconto}&localPedido=${localPedido}&comanda=${Comanda}&cliente=${Cliente}`;

        if ($("#Delivery2").prop("checked")) {
            let dataEntrega = $("#Data_Delivery").val();
            let horaEntrega = $("#Hora_Delivery").val();
            let enderecoEntrega = $("#Endereco_Entrega").val();
            let entregador = $("#Entregador").val();
            let tipoEntrega = $("input[name=tipoEntrega]:checked").val();

            url += `&entrega=Sim&dataEntrega=${dataEntrega}&horaEntrega=${horaEntrega}&enderecoEntrega=${enderecoEntrega}&entregador=${entregador}&tipoEntrega=${tipoEntrega}`;
        } else {
            url += "&entrega=No";
        }
        window.open(url, '_blank', 'width=600,height=600,top=0,left=0,scrollbars=yes');
    }

    const pagamentoPedido = async (idVenda, liberado) => {
        let Cliente = btoa($("#Cliente").val());
        $('#tipoLiberacaoVenda').val('pagamento');

        <?php if (BLOQUEIO_CLIENTE_SEM_LIMITE_RESTAURANTE == 'Sim') { ?>
            if (liberado != 'Sim') {
                let clienteSemLimite = 'No';
                await $.post('./bloqueio_cliente_pedido.php', {
                    Cliente,
                    idVenda
                }, function(data) {
                    let retorno = JSON.parse(data);
                    clienteSemLimite = retorno.clienteSemLimite;
                    if (retorno.clienteSemLimite == 'Sim') {
                        $('#liberarVenda').modal('show');
                        $('#tipoLiberacaoVenda').val(tipo);
                        $('#limiteDisponivelCliente').val('R$ ' + retorno.limiteCreditoDisponivel);

                    }
                })

                if (clienteSemLimite == 'Sim') {
                    return
                }
            }
        <?php } ?>

        let descontoReal = $('input[name=Desconto_real]').val().length ? parseFloat($('input[name=Desconto_real]').val().replace('.', '').replace(',', '.')) : 0;
        let percentualDesconto = $('input[name=Desconto_perc]').val().length ? parseFloat($('input[name=Desconto_perc]').val().replace('.', '').replace(',', '.')) : 0;
        let localPedido = $("#Local_Pedido").val();
        let Comanda = $("#Comanda").val();
        let url = `pagamento_comanda.php?venda=${idVenda}&descReal=${descontoReal}&descPerc=${percentualDesconto}&cliente=${Cliente}&localPedido=${localPedido}&comanda=${Comanda}`;

        if ($("#Delivery2").prop("checked")) {
            let dataEntrega = $("#Data_Delivery").val();
            let horaEntrega = $("#Hora_Delivery").val();
            let enderecoEntrega = $("#Endereco_Entrega").val();
            let entregador = $("#Entregador").val();
            let tipoEntrega = $("input[name=tipoEntrega]:checked").val();

            url += `&entrega=Sim&dataEntrega=${dataEntrega}&horaEntrega=${horaEntrega}&enderecoEntrega=${enderecoEntrega}&entregador=${entregador}&tipoEntrega=${tipoEntrega}`;
        } else {
            url += "&entrega=No";
        }

        let abrirTelaPagamento = window.open(url, '_blank', 'width=700,height=800,top=0,left=0,scrollbars=yes');
        telaPagamentoAberta = true;
        let verificarTelaPagamento = setInterval(() => {
            if (abrirTelaPagamento != null && abrirTelaPagamento.closed) {
                telaPagamentoAberta = false;
                clearInterval(verificarTelaPagamento)
                Array.from(document.getElementsByTagName("input")).forEach(input => input.removeAttribute("disabled"));
                Array.from(document.getElementsByTagName("button")).forEach(button => button.removeAttribute("disabled"));
                Array.from(document.getElementsByClassName("removerProduto")).forEach(removerProduto => removerProduto.style.display = 'flex');
                document.querySelector("#Local_Pedido").removeAttribute("disabled");
            }
        }, 1000)
    }

    const impressaoParcial = async (idVenda, liberado) => {
        let Cliente = btoa($("#Cliente").val());
        $('#tipoLiberacaoVenda').val('pedido');

        if ($("#Delivery2").prop("checked") && $("#Delivery_Modal input[name=tipoEntrega]:checked").length == 0) {
            alert("Selecione o tipo da entrega");
            $("#Delivery_Modal").modal("show");
            return;
        }

        <?php if (BLOQUEIO_CLIENTE_SEM_LIMITE_RESTAURANTE == 'Sim') { ?>
            if (liberado != 'Sim') {
                let clienteSemLimite = 'No';
                await $.post('./bloqueio_cliente_pedido.php', {
                    Cliente,
                    idVenda
                }, function(data) {
                    let retorno = JSON.parse(data);
                    clienteSemLimite = retorno.clienteSemLimite;
                    if (retorno.clienteSemLimite == 'Sim') {
                        $('#liberarVenda').modal('show');
                        $('#tipoLiberacaoVenda').val(tipo);
                        $('#limiteDisponivelCliente').val('R$ ' + retorno.limiteCreditoDisponivel);
                    }
                })

                if (clienteSemLimite == 'Sim') {
                    return
                }
            }
        <?php } ?>

        let descontoReal = $('input[name=Desconto_real]').val().length ? parseFloat($('input[name=Desconto_real]').val().replace('.', '').replace(',', '.')) : 0;
        let percentualDesconto = $('input[name=Desconto_perc]').val().length ? parseFloat($('input[name=Desconto_perc]').val().replace('.', '').replace(',', '.')) : 0;
        let localPedido = $("#Local_Pedido").val();
        let Comanda = $("#Comanda").val();
        let url = `impressao_parcial_comanda.php?venda=${idVenda}&descReal=${descontoReal}&descPerc=${percentualDesconto}&cliente=${Cliente}&localPedido=${localPedido}&comanda=${Comanda}`;

        if ($("#Delivery2").prop("checked")) {
            let dataEntrega = $("#Data_Delivery").val();
            let horaEntrega = $("#Hora_Delivery").val();
            let enderecoEntrega = $("#Endereco_Entrega").val();
            let entregador = $("#Entregador").val();
            let tipoEntrega = $("input[name=tipoEntrega]:checked").val();
            let pagamentoEntrega = $("#Delivery_Modal input[name=pagamentoEntrega]:checked").val();
            let trocoEntrega = $("#Delivery_Modal input[name=valorParaTroco]").val();

            url += `&entrega=Sim&dataEntrega=${dataEntrega}&horaEntrega=${horaEntrega}&enderecoEntrega=${enderecoEntrega}&entregador=${entregador}&tipoEntrega=${tipoEntrega}&pagamentoEntrega=${pagamentoEntrega}&trocoEntrega=${trocoEntrega}`;

            if (tipoEntrega == "Retirada") {
                url += `&responsavel=` + $("#Responsavel").val();
            }
        } else {
            url += `&entrega=No`;
        }

        window.open(url, '_blank', 'width=400,height=600,top=20,left=250,scrollbars=yes');



    }

    function impCozinha() {
        var Mesa = $("#Mesa").val();
        var Numero_Pedido = $("#Numero_Pedido").val();
        window.open(`imp_cozinha_2.php?mesa=${Mesa}&numero_pedido=${Numero_Pedido}`, 'impParcial', 'width=400,height=600,top=20,left=250,scrollbars=yes');
    }

    function novoCliente() {
        window.open('cad_novo_cliente.php', 'Cliente', 'width=600,height=600,top=0,left=0,scrollbars=yes');
    }

    function onDragStart(event) {
        event.dataTransfer.setData('text/plain', event.target.id);
        event.currentTarget.children[0].style.backgroundColor = '#b4d9ff ';
    }

    function onDragOver(event) {
        event.preventDefault();
    }

    function onDrop(event) {
        event.preventDefault();
        let id = event.dataTransfer.getData('text');
        let draggableElement = document.getElementById(id);
        let dropzone = event.target;
        let pedidoExisteBloco = false;

        if (dropzone.classList[0] == 'dropzone' || dropzone.classList[0] == 'div_botao_delivery') {
            if (dropzone.classList[0] == 'div_botao_delivery') {
                dropzone = dropzone.parentElement
            }
            Array.from(dropzone.children).map(filho => {
                if (filho == draggableElement) {
                    pedidoExisteBloco = true;
                    // break;
                }

            })
            draggableElement.children[0].style.backgroundColor = '#dbdbdb';
            if (!pedidoExisteBloco) {
                dropzone.appendChild(draggableElement);
                event.dataTransfer.clearData();
            }
        }
    }
</script>
<script>
    $(document).ready(function() {
        const input = document.getElementById("Nro_Comanda");
        const input2 = document.getElementById("pesquisar");

        if (input) {
            input.addEventListener("keypress", somenteNumeros);
        }
        if (input2) {
            input2.addEventListener("keypress", somenteNumeros);
        }

        function somenteNumeros(e) {
            var charCode = (e.which) ? e.which : e.keyCode
            if (charCode > 31 && (charCode < 48 || charCode > 57))
                e.preventDefault();

        }
    });
</script>
<script type="text/javascript" language="javascript">
    function cadastroEntregador() {
        window.open('cad_novo_entregador.php', 'Entregador', 'width=600,height=610,top=0,left=0,scrollbars=yes');
    }
</script>
<script language="javascript" type="text/javascript">
    function ImprimirRecibo(id_da_conta) {
        decisao = confirm('Deseja imprimir a venda?');
        if (decisao) {
            window.open('../imp_venda_lx.php?id_venda=' + id_da_conta);
        } else {
            location.href = '../list_venda.php?';
        }
    }
</script>
<script>
    function pedido(e, idComanda) {
        if (e.target.parentElement.className == "botaoFinalizarPedido" || e.target.className == "btnConcluirComanda") {
            let finalizarPedido = confirm("Deseja finalizar a comanda?");
            if (finalizarPedido) {
                $.post('./concluir_comanda.php', {
                    idComanda
                }, function(data) {
                    let retorno = JSON.parse(data);
                    if (retorno.status == 'ok') {
                        location.reload();
                    }
                })
            }
        } else if (e.target.parentElement.className == "botaoClonarComanda" || e.target.className == "btnClonarComanda") {
            $.post('./clonar_comanda.php', {
                idComanda
            }, function(data) {
                let retorno = JSON.parse(data);
                if (retorno.nome != '') {
                    location.href = `pedido_comanda.php?venda=''&cliente=${retorno.codigo + ' : ' + retorno.nome}`
                } else {
                    alert('Comanda sem cliente!');
                }
            });
        } else {
            $.post('./verificar_status_comanda.php', {
                idComanda
            }, function(data) {
                let retorno = JSON.parse(data);
                if (retorno.status == 'Aberto') {
                    location.href = `pedido_comanda.php?venda=${idComanda}`
                } else {
                    alert('No  possvel alterar.\n Comanda j Finalizada!');
                }
            });
        }
    }
</script>
<script>
    function carregarObsCliente() {
        let Cliente = $("#Cliente").val();
        // console.log(Cliente);
        $.post('./carregar_observacao_cliente.php', {
            Cliente
        }, function(data) {
            let retorno = JSON.parse(data);
            if (retorno.obs) {
                alert(retorno.obs);
            }
        })

        <?php if (BLOQUEIO_CLIENTE_SEM_LIMITE_RESTAURANTE == 'Sim' || BLOQUEIO_CLIENTE_INADIMPLENTE_RESTAURANTE == 'Sim') { ?>
            bloqueioCliente();
        <?php } ?>

    }
</script>
<script>
    function bloqueioCliente() {
        let Cliente = $("#Cliente").val();
        if (Cliente != '') {
            $.post('./bloqueio_cliente.php', {
                Cliente
            }, function(data) {
                let retorno = JSON.parse(data);
                if (retorno.clienteInadimplente == 'Sim') {
                    alert(retorno.alertaClienteInadimplente);
                    $("#Cliente").val('');
                }
                if (retorno.clienteSemLimite == 'Sim') {
                    alert(retorno.alertaClienteSemLimite);
                    $("#Cliente").val('');
                }
            })
        }
    }
</script>
<script>
    function verificarNumeroComanda() {
        let numeroComanda = $("#Nro_Comanda").val();

        $.post('./verifica_numero_comanda.php', {
            numeroComanda
        }, function(data) {
            let retorno = JSON.parse(data);
            if (retorno.comanda == 'Aberto') {
                alert(' Existe uma comanda aberta com o nmero informado: ' + numeroComanda);
                focus.$("#Nro_Comanda")
            } else {
                location.href = 'pedido_comanda.php?comanda=' + numeroComanda
            }

        });

    }
</script>
<style>
    * {
        margin: 0px;
        padding: 0px;
        box-sizing: border-box;
    }
</style>