<?php
include '../../include/conecta.php';
include '../funcoesPhp_novo.php';

$idVenda = addslashes($_POST['idVenda']);
$dataPreparo = addslashes($_POST['dataPreparo']);
$horaPrevistaPreparo = addslashes($_POST['horaPrevistaPreparo']);
$descontoPercentual = addslashes($_POST['descontoPercentual']);
$percentualDesconto = $descontoPercentual;
$descontoReal = str_replace(['.', ','], ['', '.'], addslashes($_POST['descontoReal']));
$comanda = addslashes($_POST['comanda']);
$localPedido = addslashes($_POST['localPedido']);
$entrega = addslashes($_POST['entrega']);
$cliente = base64_decode(addslashes($_POST['cliente']));
$cliente = explode(" : ", $cliente);
$statusComanda = $entrega == "Sim" ? "Entrega" : "Confirmada";

$codigoCliente = trim($cliente[0]);
$nomeCliente = trim($cliente[1]);
$colunaCliente = CLIENTE_RAZAO_SOCIAL == 'Sim' ? 'Razao_Social' : 'Titulo';
$idCliente = $con->query("SELECT Id FROM cliente WHERE $colunaCliente = '$nomeCliente' AND Codigo = '$codigoCliente'");
$idCliente = $idCliente->fetch_assoc()['Id'] ?? '84c09c43f28bc1c9823907b038508c7c';

$taxaServicoRestaurante = 0;
$valorOriginal = 0;
$taxas = $con->query("SELECT Taxa_Servico_Restaurante, Couvert_Restaurante FROM opcao");
$taxas = $taxas->fetch_assoc();
$vendaProduto = $con->query("SELECT SUM(venda_produto.Qtd) Qtd, 
    venda_produto.Preco, categoria_produto.Cobrar_Taxa_Restaurante 
    FROM (SELECT Id,Id_Produto,Qtd,Preco,Id_Venda,Cancelado FROM venda_produto) as venda_produto
    INNER JOIN (SELECT Id,Id_Categoria_Produto FROM produto) as produto ON produto.Id = venda_produto.Id_Produto
    INNER JOIN (SELECT Id,Cobrar_Taxa_Restaurante FROM categoria_produto) as categoria_produto ON categoria_produto.Id = produto.Id_Categoria_Produto
    WHERE venda_produto.Id_Venda = '$idVenda' AND venda_produto.Cancelado = 'No'
    GROUP BY venda_produto.Id_Produto, venda_produto.Preco") OR die($con->error);

while ($produto = $vendaProduto->fetch_assoc()) {
    $totalProduto = $produto['Qtd'] * $produto['Preco'];
    $valorOriginal += number_format($totalProduto, 2, '.', '');

    if($produto["Cobrar_Taxa_Restaurante"] == "Sim") {
        $taxaRealProduto = ($totalProduto * $taxas["Taxa_Servico_Restaurante"]) / 100;
        $taxaServicoRestaurante += $taxaRealProduto;
    }
}
$descontoPercentual = ($valorOriginal * $descontoPercentual) / 100;
$valorOriginal -= ($descontoPercentual + $descontoReal);
$taxaServicoRestaurante = str_replace(',', '.', $taxaServicoRestaurante);
$valorOriginal = str_replace(['.', ','], ['', '.'], $valorOriginal);
$dataHoraAtual = date("Y-m-d H:i:s");

if ($entrega == 'Sim') {
    $dataEntrega = formatarData('Y-m-d', addslashes($_POST['dataEntrega']));
    $horaEntrega = addslashes($_POST['horaEntrega']);
    $enderecoEntrega = mb_convert_encoding($_POST['enderecoEntrega'], "ISO-8859-1", "UTF-8");
    $entregador = addslashes($_POST['entregador']);
    $tipoEntrega = addslashes($_POST['tipoEntrega']);
    $responsavel = addslashes(mb_convert_encoding($_POST['responsavel'], "ISO-8859-1", "UTF-8")) ?? "";
    $pagamentoEntrega = addslashes($_POST['pagamentoEntrega']);
    $trocoEntrega = addslashes($_POST['trocoEntrega']);
    $trocoEntrega = str_replace([".", ","], ["", "."], $trocoEntrega);
}

$vendaExiste = $con->query("SELECT Lancamento, Aplicar_Taxa_Servico_Restaurante, Aplicar_Taxa_Couvert_Artistico, 
    Status_Pedido, Data_Preparo,
    Hora_Prevista_Preparo FROM venda WHERE Id = '$idVenda'");
$acaoRealizada = false;

if ($vendaExiste->num_rows > 0) {
    $venda = $vendaExiste->fetch_assoc();

    if ($venda['Status_Pedido'] && $venda['Status_Pedido'] != 'Confirmado') {
        $dataPreparo = $venda['Data_Preparo'];
        $horaPrevistaPreparo = $venda['Hora_Prevista_Preparo'];
    }

    $valorOriginal += $venda['Aplicar_Taxa_Servico_Restaurante'] == "Sim" ? $taxaServicoRestaurante : 0;
    
    if ($venda['Aplicar_Taxa_Couvert_Artistico'] == "Sim" && $taxas['Couvert_Restaurante'] > 0) {
        $valorOriginal += $taxas['Couvert_Restaurante'];
    }
    $valorOriginal = number_format($valorOriginal, 2, '.', '');
    
    $sql = "UPDATE venda SET Valor_Original = '$valorOriginal', Id_Cliente = '$idCliente', Desconto = '$percentualDesconto', Desconto_Real = '$descontoReal',
        Data_Cadastro_Upd = '$dataHoraAtual', Id_Usuario_Upd = '{$_COOKIE['Id']}', Data_Preparo = '$dataPreparo', Hora_Prevista_Preparo = '$horaPrevistaPreparo',
        Local_Pedido = '$localPedido', Status_Comanda = '$statusComanda',Origem_Venda_Alteracao='Restaurante_Login',
        Taxa_Servico_Restaurante = '$taxaServicoRestaurante'";

    if ($entrega == 'Sim') {
        $sql .= ", Data_Entrega = '$dataEntrega', Hora_Entrega = '$horaEntrega', Entrega_Comanda = '$enderecoEntrega', Id_Entregador = '$entregador',
        Tipo_Entrega = '$tipoEntrega', Responsavel_Retirada = '$responsavel', Pagamento_Entrega = '$pagamentoEntrega', Troco_Entrega = '$trocoEntrega'";
        $sql .= $venda['Status_Pedido'] == null ? " ,Status_Pedido = 'Confirmado'" : "";
    }
    
    $sql .= ", Taxa_Couvert_Artistico = '" . ($venda['Aplicar_Taxa_Couvert_Artistico'] == "Sim" ? $taxas['Couvert_Restaurante'] . "'" : "0'");
    $sql .= " WHERE Id = '$idVenda'";
    $con->query($sql);

    logUsuario($_SERVER['REMOTE_ADDR'], $_COOKIE['Login'], $_COOKIE['Email'], $_COOKIE['Unidade'], "Comanda", "Alterar", $venda['Lancamento']);
    $acaoRealizada = $con->affected_rows > 0;
} else {
    $cfopPadrao = $con->query("SELECT Id_Cfop_Restaurante FROM opcao");
    $cfopPadrao = $cfopPadrao->fetch_assoc();
    $valorOriginal += $taxaServicoRestaurante;
    $valorOriginal = number_format($valorOriginal, 2, '.', '');
    $dataAtual = date("Y-m-d");
    $numeroLancamento = $con->query("SHOW TABLE STATUS FROM $dbname LIKE 'venda'");
    $numeroLancamento = $numeroLancamento->fetch_assoc()['Auto_increment'];
    $numeroComandaAtual = $con->query("SELECT Numero_Comanda FROM venda WHERE Numero_Comanda='$comanda' AND Numero_Comanda!='' AND Status='Aberto'");
    if ($numeroComandaAtual->num_rows > 0) {

        $ultimoNumeroComanda = $con->query("SELECT Numero_Comanda FROM venda WHERE Status='Aberto' ORDER BY Numero_Comanda DESC LIMIT 1");
        $ultimoNumeroComanda = mysqli_fetch_assoc($ultimoNumeroComanda);
        $comanda = $ultimoNumeroComanda['Numero_Comanda'] + 1;
    }

    $sql = "INSERT INTO venda SET Id = '$idVenda', Valor_Original = '$valorOriginal', Id_Usuario = '{$_COOKIE['Id']}',
    Id_Cliente = '$idCliente', Id_Usuario_Upd = '{$_COOKIE['Id']}', Data_Cadastro = '$dataHoraAtual', Data_Cadastro_Upd = '$dataHoraAtual',
    Data_Venda = '$dataAtual', Id_Unidade = '{$_COOKIE['Unidade']}', Id_Funcionario = '{$_COOKIE['Id_Funcionario']}',
    Id_Vendedor = '{$_COOKIE['Id_Funcionario']}', Status = 'Aberto', Numero_Comanda = '$comanda', Origem = 'Comanda',
    Id_Cfop = '{$cfopPadrao['Id_Cfop_Restaurante']}', Imprimir_Cancelado = 'No', Desconto = '$percentualDesconto', Desconto_Real = '$descontoReal',
    Taxa_Servico_Restaurante = '$taxaServicoRestaurante', Data_Preparo = '$dataPreparo', Hora_Prevista_Preparo = '$horaPrevistaPreparo',
    Status_Comanda = '$statusComanda', Local_Pedido = '$localPedido', Fatura = '$numeroLancamento', Descricao = '$numeroLancamento',Tipo_Frete='0',
    Origem_Venda='Restaurante_Login',Origem_Venda_Alteracao='Restaurante_Login'";

    if ($entrega == 'Sim') {
        $sql .= ", Data_Entrega = '$dataEntrega', Hora_Entrega = '$horaEntrega', Entrega_Comanda = '$enderecoEntrega', Id_Entregador = '$entregador',
        Tipo_Entrega = '$tipoEntrega', Responsavel_Retirada = '$responsavel',Status_Pedido='Confirmado', Pagamento_Entrega = '$pagamentoEntrega',
        Troco_Entrega = '$trocoEntrega'";
    }
    $acaoRealizada = $con->query($sql);

    logUsuario($_SERVER['REMOTE_ADDR'], $_COOKIE['Login'], $_COOKIE['Email'], $_COOKIE['Unidade'], "Comanda", "Cadastro", $numeroLancamento);
}

echo json_encode([
    "status" => $acaoRealizada ? "ok" : "erro",
    "mensagem" => $acaoRealizada ? "" : utf8_encode("No foi possvel salvar as configuraes. \n$con->error")
]);
