<?php
include_once '../../include/conecta.php'; //Conecta com a nosso banco de dados MySQL
// error_reporting(E_ALL);
// ini_set('display_errors', 'On');
include_once '../menu_movimento.php';
include_once '../ver_cookie.php'; //Verifica se a sesso est ativa
include_once '../funcoesPhp.php'; //Inclue a pgina con todas as funes a ser usada.

$idVenda = addslashes($_GET['venda']);
$descontoPerc = addslashes($_GET['descPerc']);
$descontoReal = addslashes($_GET['descReal']);
$descontoReal = str_replace(".", "", $descontoReal);
$descontoReal = str_replace(",", ".", $descontoReal);
$comanda = addslashes($_GET['comanda']); 
$localPedido = str_replace(",", ".", $_GET['localPedido']);

if ($_GET['entrega'] == 'Sim') {
    $dataEntrega = data_banco(str_replace("/", "-", $_GET['dataEntrega']));
    $horaEntrega = addslashes($_GET['horaEntrega']);
    $enderecoEntrega = utf8_decode($_GET['enderecoEntrega']);
    $enderecoEntrega = str_replace("'","",$enderecoEntrega);
    $enderecoEntrega = str_replace('""',"",$enderecoEntrega);
    $entregador = utf8_decode($_GET['entregador']);
    $tipoEntrega = addslashes($_GET['tipoEntrega']);
}

?>
<html>

<head>
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <script language="javascript" type="text/javascript">
        function idProduto(Codigo) {
            window.opener.document.getElementById("Codigo").value = Codigo;
            window.close();
        }
    </script>
    <style type="text/css">
        body {
            background-color: #163758;
            color: #fff;
            font-family: 'Segoe UI', Tahoma, Geneva, Verdana, sans-serif;
        }

        .titulo {
            text-align: center;
            border: 1px solid #fff;
            border-radius: 5px;
            background-color: #FF8C00;
            color: #000;
        }

        .subtitulo {
            font-size: 20px;
        }

        .btn {
            padding: 1% 2%;
            cursor: pointer;
            box-shadow: none;
        }

        .btn_cancelar {
            color: fff;
            background-color: #dd4b39;
            border: none;
            border-radius: 4px;
        }

        .btn_cancelar:hover {
            color: #fff;
            background-color: #c9302c;
            border-color: #ac2925;
        }

        .btn_cadastar {
            border: none;
            border-radius: 4px;
        }

        .btn_cadastar:hover {
            background-color: #c1bebe;
        }

        .campos {
            display: flex;
            justify-content: space-between;
            flex-wrap: wrap;
        }

        .campos>div {
            width: 40%;
            display: flex;
            flex-direction: column;
            margin-top: 20px;
        }

        .campos>div span {
            margin-bottom: 5px;
        }
    </style>
</head>

<body>
    <?php
    $taxas = $con->query("SELECT Taxa_Servico_Restaurante, Couvert_Restaurante FROM opcao");
    $taxas = mysqli_fetch_assoc($taxas);
    $vendaProduto = $con->query("SELECT SUM(venda_produto.Qtd) Qtd, venda_produto.Preco, categoria_produto.Cobrar_Taxa_Restaurante
        FROM venda_produto
        INNER JOIN produto ON produto.Id = venda_produto.Id_Produto
        INNER JOIN categoria_produto ON categoria_produto.Id = produto.Id_Categoria_Produto
        WHERE venda_produto.Id_Venda='$idVenda' AND venda_produto.Cancelado = 'No'
        GROUP BY venda_produto.Id_Produto, venda_produto.Preco");
    $taxaServicoRestaurante = 0;
    $valorOriginal = 0;

    while ($produto = mysqli_fetch_assoc($vendaProduto)) {
        $totalProduto = $produto['Qtd'] * $produto['Preco'];
        $valorOriginal += number_format($totalProduto, 2, '.', '');

        if($produto["Cobrar_Taxa_Restaurante"] == "Sim") {
            $taxaRealProduto = ($totalProduto * $taxas["Taxa_Servico_Restaurante"]) / 100;
            $taxaServicoRestaurante += $taxaRealProduto;
        }
    }
    $descontoPerc = ($valorOriginal * $descontoPerc) / 100;
    $valorOriginal -= ($descontoPerc + $descontoReal);
    $valorOriginal = str_replace([".", ","], ["", "."], $valorOriginal);
    $taxaServicoRestaurante = str_replace([".", ","], ["", "."], $taxaServicoRestaurante);
    $cliente = base64_decode($_GET['cliente']);
    $cliente = explode(" : ", $cliente);

    $codigoCliente = trim($cliente[0]);
    $nomeCliente = trim($cliente[1]);
    $nome = CLIENTE_RAZAO_SOCIAL == 'Sim' ? 'Razao_Social' : 'Titulo';
    $idCliente = $con->query("SELECT Id FROM cliente WHERE $nome='$nomeCliente' AND Codigo='$codigoCliente'");
    $idCliente = mysqli_fetch_assoc($idCliente)['Id'];
    if (!$idCliente) {
        $idCliente = '84c09c43f28bc1c9823907b038508c7c';
    }

    if (!empty($_POST)) {
        $dataHoraAtual = date("Y-m-d H:i:s");
        $sql = "UPDATE venda SET Id_Cliente ='$idCliente', Aplicar_Taxa_Servico_Restaurante='" . $_POST['Aplicar_Taxa_Servico_Restaurante'] . "',
        Obs='" . $_POST['Obs'] . "', Aplicar_Taxa_Couvert_Artistico='" . $_POST['Aplicar_Taxa_Couvert_Artistico'] . "',
        Imprimir_Cancelado='" . $_POST['Imprimir_Cancelado'] . "', Data_Cadastro_Upd='$dataHoraAtual', Id_Usuario_Upd='{$_COOKIE['Id']}', Tipo_Entrega='$tipoEntrega',
        Origem_Venda_Alteracao='Restaurante_Login'";

        $sql .= ", Taxa_Servico_Restaurante='" . ($_POST['Aplicar_Taxa_Servico_Restaurante'] == "Sim" ? $taxaServicoRestaurante . "'" : "0'");
        $sql .= ", Taxa_Couvert_Artistico='" . ($_POST['Aplicar_Taxa_Couvert_Artistico'] == "Sim" ? $taxas['Couvert_Restaurante'] . "'" : "0'");
        $sql .= " WHERE Id='$idVenda'";
        $con->query($sql);


        if ($con->affected_rows > 0) {
            $vendaLancamento = mysqli_query($con, "SELECT Lancamento FROM venda WHERE Id='$idVenda'");
            $vendaLancamento = mysqli_fetch_assoc($vendaLancamento);
            logUsuario($_SERVER['REMOTE_ADDR'], $_COOKIE['Login'], $_COOKIE['Email'], $_COOKIE['Unidade'], "Comanda", "Alterao Funes", $vendaLancamento['Lancamento']);

            echo "<script>window.opener.location.href='pedido_comanda.php?venda=$idVenda'; window.close()</script>";
        }
    }

    $vendaExiste = $con->query("SELECT Obs, Aplicar_Taxa_Servico_Restaurante, Aplicar_Taxa_Couvert_Artistico,Imprimir_Cancelado,Lancamento FROM venda WHERE Id='$idVenda'");
    if ($vendaExiste->num_rows > 0) {
        $venda = mysqli_fetch_assoc($vendaExiste);
    } else {
        $numeroLancamento = $con->query("SHOW TABLE STATUS FROM $dbname LIKE 'venda'");
        $numeroLancamento = mysqli_fetch_assoc($numeroLancamento);
        $numeroLancamento = $numeroLancamento['Auto_increment'];

        $taxas = $con->query("SELECT Taxa_Servico_Restaurante, Couvert_Restaurante FROM opcao");
        $taxas = mysqli_fetch_assoc($taxas);
        // $valorOriginal = 0;

        if ($valorOriginal > 0) {
            if ($taxaServicoRestaurante > 0) {
                $valorOriginal += $taxaServicoRestaurante;
            }
            $valorOriginal = str_replace(",", ".", $valorOriginal);
            $valorOriginal = number_format($valorOriginal, 2);
            $cfopPadrao = $con->query("SELECT Id_Cfop_Restaurante FROM opcao");
            $cfopPadrao = mysqli_fetch_assoc($cfopPadrao)['Id_Cfop_Restaurante'];
            $dataHoraAtual = date("Y-m-d H:i:s");
            $dataAtual = date("Y-m-d");
            if (VERIFICAR_NUMERO_COMANDA == 'Sim') {
                $numeroComandaAtual = $con->query("SELECT Numero_Comanda FROM venda WHERE Numero_Comanda='$comanda' AND Numero_Comanda!='' AND Status='Aberto'");
                if ($numeroComandaAtual->num_rows > 0) {

                    $ultimoNumeroComanda = $con->query("SELECT Numero_Comanda FROM venda WHERE Status='Aberto' ORDER BY Numero_Comanda DESC LIMIT 1");
                    $ultimoNumeroComanda = mysqli_fetch_assoc($ultimoNumeroComanda);
                    $comanda = $ultimoNumeroComanda['Numero_Comanda'] + 1;
                }
            }

            if ($_GET['entrega'] == "Sim") {
                $con->query("INSERT INTO venda SET Id='$idVenda', Id_Cliente ='$idCliente', Valor_Original='$valorOriginal', Id_Usuario='" . $_COOKIE['Id'] . "',
                Id_Usuario_Upd='" . $_COOKIE['Id'] . "', Data_Cadastro='$dataHoraAtual', Data_Cadastro_Upd='$dataHoraAtual', Data_Venda='$dataAtual',
                Id_Unidade='" . $_COOKIE["Unidade"] . "', Id_Funcionario='" . $_COOKIE["Id_Funcionario"] . "', Id_Vendedor='" . $_COOKIE["Id_Funcionario"] . "',
                Status='Aberto',Numero_Comanda='$comanda', Origem='Comanda',Status_Comanda='Entrega', Local_Pedido='$localPedido',Data_Entrega='$dataEntrega',
                Hora_Entrega='$horaEntrega', Entrega_Comanda='$enderecoEntrega',Id_Entregador ='$entregador', Taxa_Servico_Restaurante='$taxaServicoRestaurante',
                Status_Pedido='Confirmado', Tipo_Entrega='$tipoEntrega', Id_Cfop='$cfopPadrao',Fatura='$numeroLancamento', Descricao='$numeroLancamento',Tipo_Frete='0',
                Origem_Venda='Restaurante_Login',Origem_Venda_Alteracao='Restaurante_Login',Imprimir_Cancelado='" . $_POST['Imprimir_Cancelado'] . "'");
            } else {
                $con->query("INSERT INTO venda SET Id='$idVenda', Id_Cliente ='$idCliente', Valor_Original='$valorOriginal', Id_Usuario='" . $_COOKIE['Id'] . "',
                Id_Usuario_Upd='" . $_COOKIE['Id'] . "', Data_Cadastro='$dataHoraAtual', Data_Cadastro_Upd='$dataHoraAtual', Data_Venda='$dataAtual',
                Id_Unidade='" . $_COOKIE["Unidade"] . "', Id_Funcionario='" . $_COOKIE["Id_Funcionario"] . "', Id_Vendedor='" . $_COOKIE["Id_Funcionario"] . "',
                Status='Aberto',Numero_Comanda='$comanda', Origem='Comanda',Status_Comanda='Confirmada', Local_Pedido='$localPedido',
                Taxa_Servico_Restaurante='$taxaServicoRestaurante', Id_Cfop='$cfopPadrao', Fatura='$numeroLancamento', Descricao='$numeroLancamento',Tipo_Frete='0',
                Origem_Venda='Restaurante_Login',Origem_Venda_Alteracao='Restaurante_Login',Imprimir_Cancelado='" . $_POST['Imprimir_Cancelado'] . "'");
            }

            $venda = $con->query("SELECT Obs,Imprimir_Cancelado, Aplicar_Taxa_Servico_Restaurante, Aplicar_Taxa_Couvert_Artistico FROM venda WHERE Id='$idVenda'");
            $venda = mysqli_fetch_assoc($venda);

            logUsuario($_SERVER['REMOTE_ADDR'], $_COOKIE['Login'], $_COOKIE['Email'], $_COOKIE['Unidade'], "Comanda", "Cadastro", $numeroLancamento);
        }
    }

    ?>
    <br>
    <form class="container" method="post">
        <div class="titulo">
            <center>
                <h1>Configuraes Pedido</h1>
            </center>
        </div>
        <br>
        <div class="campos">
            <?php if (ALTERAR_TAXA_SERVICO_PEDIDO_1 != 'Sim') {
                $bloquear1 = "disabled = ''";
            }
            if (ALTERAR_COUVERT_PEDIDO != 'Sim') {
                $bloquear2 = "disabled = ''";
            }
            if (ALTERAR_ITENS_CANCELADOS_PEDIDO != 'Sim') {
                $bloquear3 = "disabled = ''";
            }
            if (CANCELAR_PEDIDO != 'Sim') {
                $bloquear4 = "disabled = '' ";
            }
            ?>
            <div>
                <span class="subtitulo">Aplicar <b>Taxa de Servio</b></span>
                <select <?php echo $bloquear1 ?> name="Aplicar_Taxa_Servico_Restaurante" id="Taxa_Servico" style="width:100%; font-size:1.5em;">
                    <option value="No" <?= $venda && $venda['Aplicar_Taxa_Servico_Restaurante'] == "No" ? "selected" : ""; ?>>No</option>
                    <option value="Sim" <?= $venda && $venda['Aplicar_Taxa_Servico_Restaurante'] == "Sim" ? "selected" : ""; ?>>Sim</option>
                </select>
            </div>
            <div>
                <span class="subtitulo">Aplicar <b>Couvert Artstico</b></span>
                <select <?php echo $bloquear2 ?> name="Aplicar_Taxa_Couvert_Artistico" id="Taxa_Couvert" style="width:100%; font-size:1.5em;">
                    <option value="No" <?= $venda && $venda['Aplicar_Taxa_Couvert_Artistico'] == "No" ? "selected" : ""; ?>>No</option>
                    <option value="Sim" <?= $venda && $venda['Aplicar_Taxa_Couvert_Artistico'] == "Sim" ? "selected" : ""; ?>>Sim</option>
                </select>
            </div>
            <div>
                <span class="subtitulo">Imprimir <b>Produtos Cancelados</b></span>
                <select <?php echo $bloquear3 ?> name="Imprimir_Cancelado" style="width:100%; font-size:1.5em;">
                    <option value="No" <?= $venda && $venda['Imprimir_Cancelado'] == "No" ? "selected" : ""; ?>>No</option>
                    <option value="Sim" <?= $venda && $venda['Imprimir_Cancelado'] == "Sim" ? "selected" : ""; ?>>Sim</option>
                </select>
            </div>
        </div>
        <br>
        <div align="center">
            <span class="subtitulo">Observao Pedido</span>
            <br>
            <textarea name="Obs" style="resize: none;width: 100%;" rows="3" style="resize: none"><?= $venda['Obs']; ?></textarea>
        </div>
        <!-- <br>
        <div align="center">
            <input <?php echo $bloquear4 ?> type="checkbox" name="cancelarPedido" id="cancelarPedido">
            <label class="subtitulo" for="cancelarPedido">Cancelar Pedido</label>
        </div> -->
        <br>
        <br>
        <div align="center">
            <?php if ($venda) { ?>
                <button class="btn btn_cadastar" type="submit">Salvar</button>
            <?php } ?>
            <button class="btn btn_cancelar" onclick="window.close();">Cancelar</button>
        </div>
    </form>
</body>

</html>