<?php
include_once '../../include/conecta.php'; //Conecta com a nosso banco de dados MySQL
include_once '../menu_movimento.php';
// include_once '../ver_cookie.php'; //Verifica se a sesso est ativa
include_once '../funcoesPhp.php'; //Inclue a pgina con todas as funes a ser usada.
?>
<html>

<head>
    <link rel="stylesheet" type="text/css" href="../../estilo/<?php echo SKIN; ?>/tableless.css" />
    <link rel="stylesheet" type="text/css" href="../../estilo/<?php echo SKIN; ?>/tabelas.css" />
    <script language="javascript" type="text/javascript" src="../../js/jquery.js"></script>
    <?php include '../../include/script_cabeca.php'; ?>
    <?php include '../../include/script_campo.php'; ?>
    <script language="javascript" type="text/javascript" src="../../js/script.js"></script>
    <script language="javascript" type="text/javascript">
        function idProduto(Codigo) {
            window.opener.document.getElementById("Codigo").value = Codigo;
            window.close();
        }
    </script>
    <style type="text/css">
        body {
            background-color: #163758;
            font-family: 'Segoe UI', Tahoma, Geneva, Verdana, sans-serif;
        }
    </style>
</head>

<body>
    <br>
    <div class="container">
        <div>
            <?php if (CANCELAR_PEDIDO == 'Sim') { ?>
                <button type="button" style="width: 49%; height: 20%; cursor:pointer" onclick="location.href='funcao_cancelar.php?acao=entrar';">
                    <span style="font-size: 22px;color: #000">Cancelar Comanda</span>
                </button>
            <?php } ?>
            <button type="button" style="width: 49%; height: 20%; cursor:pointer" onclick="location.href='funcao_checkin.php?acao=entrar';">
                <span style="font-size: 22px;color: #000">Check-in / Check-out</span>
            </button>
        </div>
        <br>
        <div>
            <button type="button" style="width: 49%; height: 20%; cursor:pointer" onclick="location.href='funcao_retirada.php?acao=entrar';">
                <span style="font-size: 22px;color: #000">Retirada / Despesa</span>
            </button>
            <button type="button" style="width: 49%; height: 20%; cursor:pointer" onclick="location.href='funcao_sangria.php?acao=entrar';">
                <span style="font-size: 22px;color: #000">Sangria</span>
            </button>
        </div>
        <br>
        <div>
            <button type="button" style="width: 49%; height: 20%; cursor:pointer" onclick="location.href='funcao_suprimento.php?acao=entrar';">
                <span style="font-size: 22px;color: #000">Suprimento</span>
            </button>
            <?php if (CONFIGURACOES_PEDIDO == 'Sim') { ?>
                <button type="button" style="width: 49%; height: 20%; cursor:pointer" onclick="location.href='configuracoes_comanda.php?acao=entrar';">
                    <span style="font-size: 22px;color: #000">Configuraes</span>
                </button>
            <?php } ?>
        </div>
        <br>
        <div>
            <?php
            $verCaixa = mysqli_query($con, "SELECT Id FROM caixa_diario_restaurante WHERE Status = 'Aberto'");
            $caixaDiario = mysqli_fetch_assoc($verCaixa);
            if (!$caixaDiario["Id"]) { ?>
                <button type="button" style="width: 49%; height: 20%; cursor:pointer" onclick="location.href='abrir_caixa_diario.php?acao=entrar';">
                    <span style="font-size: 22px;color: #000">Caixa Dirio</span>
                </button>
            <?php } else { ?>
                <button type="button" style="width: 49%; height: 20%; cursor:pointer" onclick="location.href='fechar_caixa_diario.php?acao=entrar';">
                    <span style="font-size: 22px;color: #000">Fechar Caixa Dirio</span>
                </button>
            <?php } ?>
            <?php
            $verOperador = mysqli_query($con, "SELECT Id,Id_Usuario,Id_Unidade FROM caixa_operador_registro_restaurante WHERE Status = 'Aberto' AND Id_Funcionario = '" . $_COOKIE["Id_Funcionario"] . "' ");
            $caixaOperador = mysqli_fetch_assoc($verOperador);
            if (!$caixaOperador["Id"]) { ?>
                <button type="button" style="width: 49%; height: 20%; cursor:pointer" onclick="location.href='abrir_caixa_operador.php?acao=entrar';">
                    <span style="font-size: 22px;color: #000">Abrir Caixa Operador</span>
                </button>
            <?php } else { ?>
                <button type="button" style="width: 49%; height: 20%; cursor:pointer" onclick="location.href='fechar_caixa_operador.php?acao=entrar&id_caixa_operador_registro=<?= $caixaOperador['Id'] ?>&id_usuario=<?= $caixaOperador['Id_Usuario'] ?>&id_unidade=<?= $caixaOperador['Id_Unidade'] ?>';">
                    <span style="font-size: 22px;color: #000">Fechar Caixa Operador</span>
                </button>
            <?php } ?>
        </div>
        <br>
        <div>
            <button type="button" style="width: 49%; height: 20%; cursor:pointer" onclick="location.href='cadastro_observacoes_produto.php'">
                <span style="font-size: 22px;color: #000">Observaes Pr-definidas</span>
            </button>
        </div>
    </div>

    <?php include "../../include/rodape.php"; ?>
</body>

</html>