<?php
include_once '../../include/conecta.php'; //Conecta com a nosso banco de dados MySQL
include_once '../ver_cookie.php'; //Verifica se a sesso est ativa
include_once '../../include/funcoesPhp.php';
include_once '../../menu_movimento.php';

//deletando o registro da NFe se no tiver sido emitido.
if (CLIENTE_RAZAO_SOCIAL == 'Sim') {
    $nome = 'Razao_Social';
} else {
    $nome = 'Titulo';
}
$veri_venda = mysqli_query($con, "SELECT venda.Id,venda.Lancamento,venda.Id_Unidade,venda.Total_Pagar, venda.Taxa_Servico_Restaurante,
venda.Taxa_Couvert_Artistico, cliente.Destinatario,cfop.Cfop,venda.Id_Cfop as idCfopVenda
FROM (SELECT Id,Lancamento,Protocolo,Id_Unidade,Id_Cliente,Id_Cfop,Valor_Pago as Total_Pagar, Taxa_Couvert_Artistico,Taxa_Servico_Restaurante FROM venda) as venda
LEFT JOIN (SELECT Id, " . $nome . " as Destinatario FROM cliente) as cliente ON cliente.Id = venda.Id_Cliente
LEFT JOIN (SELECT Id,Cfop FROM cfop) as cfop ON cfop.Id = venda.Id_Cfop
WHERE venda.Id = '" . $_GET["id_venda"] . "' ");
$veri_venda = mysqli_fetch_assoc($veri_venda);
//so entra se a nota nunca tiver side emitida
// if ($veri_venda["Protocolo"] == '') {


//pegando o  numero da nota se ja houver
$veri_nfe = mysqli_query($con, "SELECT Id,Numero_Nota,Serie FROM nfe WHERE Id_Pedido = '" . $_GET["id_venda"] . "' ");
$veri_nfe = mysqli_fetch_assoc($veri_nfe);

//verificando se ja tem numero de nota pra esta venda
if ($veri_nfe["Numero_Nota"] != '') {
    $Numero_Nota = $veri_nfe["Numero_Nota"];
    $Serie = $veri_nfe["Serie"];
} else {

    $ultimoNumero = mysqli_query($con, "Select Numero_Nfce,Serie_Nfce,Tipo_Impressao from unidade WHERE Id = '" . $veri_venda["Id_Unidade"] . "' ");
    $ultimoNumero = mysqli_fetch_assoc($ultimoNumero);

    $Serie = $ultimoNumero["Serie_Nfce"];

    if (!$ultimoNumero["Numero_Nfce"]) {
        $Numero_Nota = 1;
    } else {
        $Numero_Nota = $ultimoNumero["Numero_Nfce"] + 1;
    }

    //atualizando o cadastro
    mysqli_query($con, "UPDATE unidade SET Numero_Nfce = '" . $Numero_Nota . "' WHERE Id = '" . $veri_venda["Id_Unidade"] . "' ");
} //FIM verificando se ja tem numero de nota pra esta venda
//deletando pra gerar uma nfe com novos dados
mysqli_query($con, "DELETE FROM nfe WHERE Id_Pedido='" . $_GET["id_venda"] . "' ");
mysqli_query($con, "DELETE FROM nfe_pedido WHERE Id='" . $_GET["id_venda"] . "' ");
mysqli_query($con, "DELETE FROM nfe_pedido_produto WHERE Id_Pedido='" . $_GET["id_venda"] . "' ");

$id_nfe = md5($_GET["id_venda"] . microtime());
$totalTaxas = ($veri_venda['Taxa_Servico_Restaurante'] + $veri_venda['Taxa_Couvert_Artistico']);
$totalTaxas = str_replace(['.', ','], ['', '.'], $totalTaxas);
//gerando o cabecalho da NFCe

mysqli_query($con, "INSERT INTO nfe SET Id='$id_nfe', Serie='$Serie', Numero_Nota='$Numero_Nota', Natureza='', Tipo='1', Data_Nfe='" . date("Y-m-d") . "',
Hora_Nfe='" . date("H:i") . "', Forma_Emissao='1', Finalidade_Emissao='1', Tipo_Impressao='4', Status='Ativa', Id_Pedido='{$veri_venda["Id"]}',
Lancamento='{$veri_venda["Lancamento"]}', Info_Fisco='', Info_Contribuinte='', Frete='', Id_Transportadora='', Ref_Nfe='', Horario_Verao='No',
Exibir_Financeiro='Sim', Operacao='1', Consumidor_Final='1', Presenca='1', Natureza_Autorizacao='', Cpf_Cnpj='',
Id_Unidade='{$veri_venda["Id_Unidade"]}', modECF='', nECF='', nCOO='', Valor_Nfe='{$veri_venda['Total_Pagar']}',
Destinatario='{$veri_venda['Destinatario']}', Cfop='{$veri_venda['Cfop']}', Tipo_Nfe='NFCe', 
Base_Icms_Pis_Cofins='".BASE_ICMS_PIS_COFINS."',
Id_Usuario='{$_COOKIE['Id']}',
Id_Usuario_Upd='{$_COOKIE['Id']}', Data_Cadastro='" . date("Y-m-d H:i:s") . "', Data_Cadastro_Upd='" . date("Y-m-d H:i:s") . "'");

mysqli_query($con, "UPDATE venda SET NF='Sim' WHERE Id='" . $_GET["id_venda"] . "' ");

/* inserindo agora os produtos relacionados */
$delete = mysqli_query($con, "SELECT venda.Id,
                              venda.Id_Usuario,
                              venda.Id_Usuario_Upd,
                              venda.Data_Cadastro,
                              venda.Data_Cadastro_Upd,
                              venda.Data_Venda,
                              venda.Data_Conclusao,
                              venda.Id_Funcionario,
                              venda.Id_Cliente,
                              venda.Id_Tipo_Pagamento,
                              venda.Status,
                              venda.Data_Pagamento,
                              venda.Valor_Original,
                              venda.Valor_Pago,
                              venda.Lancamento,
                              venda.Id_Unidade,
                              venda.Id_Cfop,
                              venda.Desconto,
                              venda.Desconto_Real,
                              venda.Id_Transportadora,
                              venda.Valor_Frete,
                              venda.Frete,
                              venda.Tipo_Frete,
                              venda.Despesa,
                              venda.Qtd_Vol,
                              venda.Especie_Vol,
                              venda.Marca_Vol,
                              venda.Numero_Vol,
                              venda.Obs_Danfe as Obs,
                              venda.Endereco_Entrega,
                              venda.Rua,
                              venda.Num,
                              venda.Complemento,
                              venda.Bairro,
                              venda.Id_Cidade,
                              venda.Estado,
                              venda.Peso_Bruto,
                              venda.Peso_Liquido,
                              venda.Placa,
                              venda.Uf_Placa,
                              venda.UFSaidaPais,
                              venda.xLocEmbarq,
                              venda.xLocDespacho,
                              venda.Numero_Pedido,
                              venda.Id_Vendedor,
                              venda.Id_Vendedor2,
                              venda.Numero_Comanda
                              from venda
                              where venda.Id='" . $_GET["id_venda"] . "' ")
    or die("Erro no SQL: " . mysqli_error($con));
while ($chave = mysqli_fetch_assoc($delete)) {
    if (CLIENTE_EMAIL == 'piattigastronomia') {
        $endProcon = 'Procon: Av. Alm. Barroso, 693 - Centro, Joo Pessoa - PB, 58013-120. Tel: (83) 3218-6959.';
    }

    if ($chave['Numero_Pedido']) {
        $chave["Obs"] = $chave["Obs"] . '<br> N Ped: ' . $chave['Numero_Pedido'];
    }
    if (VENDEDOR_NFE == 'Sim') {
    if ($chave['Id_Vendedor']) {
        $vend1 = mysqli_query($con, "Select Titulo from funcionario where Id='" . $chave['Id_Vendedor'] . "' ");
        $vend1 = mysqli_fetch_assoc($vend1);;
        if (CLIENTE_EMAIL == 'piattigastronomia' || CLIENTE_EMAIL == 'thevillefit' || CLIENTE_EMAIL == 'transamerica') {
            $chave["Obs"] = $chave["Obs"] . "<br> Vendedor: " . CaracteresEspeciais($vend1['Titulo']) . "<br>" . "Quarto: " . $chave['Numero_Comanda'] . "<br>" .  $endProcon;
        } else {
            $chave["Obs"] = $chave["Obs"] . "<br> Vendedor: " . CaracteresEspeciais($vend1['Titulo']) . "<br>" . "Pedido: " . $chave['Lancamento'];
        }
    }
    if ($chave['Id_Vendedor2']) {
        $vend2 = mysqli_query($con, "Select Titulo from funcionario where Id='" . $chave['Id_Vendedor2'] . "' ");
        $vend2 = mysqli_fetch_assoc($vend2);
        $chave["Obs"] = $chave["Obs"] . '<br> Vend2: ' . $vend2['Titulo'];
    }
}
    mysqli_query($con, "INSERT INTO nfe_pedido (Id,
                                      Id_Usuario,
                                      Id_Usuario_Upd,
                                      Data_Cadastro,
                                      Data_Cadastro_Upd,
                                      Data_Pedido,
                                      Data_Conclusao,
                                      Id_Funcionario,
                                      Id_Cliente,
                                      Id_Tipo_Pagamento,
                                      Status,
                                      Data_Pagamento,
                                      Valor_Original,
                                      Valor_Pago,
                                      Lancamento,
                                      Id_Unidade,
                                      Id_Cfop,
                                      Desconto,
                                      Desconto_Real,
                                      Id_Nfe,
                                      Id_Transportadora,
                                      Valor_Frete,
                                      Frete,
                                      Tipo_Frete,
                                      Despesa,
                                      Qtd_Vol,
                                      Especie_Vol,
                                      Marca_Vol,
                                      Numero_Vol,
                                      Tipo,
                                      Obs,
                                      Endereco_Entrega,
                                      Rua,
                                      Num,
                                      Complemento,
                                      Bairro,
                                      Id_Cidade,
                                      Estado,
                                      Peso_Bruto,
                                      Peso_Liquido,
                                      Placa,
                                      Uf_Placa,
                                      UFSaidaPais,
                                      xLocEmbarq,
                                      xLocDespacho)
                                    values('" . $chave["Id"] . "',
                                    '" . $chave["Id_Usuario"] . "',
                                    '" . $chave["Id_Usuario_Upd"] . "',
                                    '" . $chave["Data_Cadastro"] . "',
                                    '" . $chave["Data_Cadastro_Upd"] . "',
                                    '" . $chave["Data_Venda"] . "',
                                    '" . $chave["Data_Conclusao"] . "',
                                    '" . $chave["Id_Funcionario"] . "',
                                    '" . $chave["Id_Cliente"] . "',
                                    '" . $chave["Id_Tipo_Pagamento"] . "',
                                    '" . $chave["Status"] . "',
                                    '" . $chave["Data_Pagamento"] . "',
                                    '" . $chave["Valor_Original"] . "',
                                    '" . $chave["Valor_Pago"] . "',
                                    '" . $chave["Lancamento"] . "',
                                    '" . $chave["Id_Unidade"] . "',
                                    '" . $chave["Id_Cfop"] . "',
                                    '" . $chave["Desconto"] . "',
                                    '" . $chave["Desconto_Real"] . "',
                                    '" . $id_nfe . "',
                                    '" . $chave["Id_Transportadora"] . "',
                                    '" . $chave["Valor_Frete"] . "',
                                    '" . $chave["Frete"] . "',
                                    '" . $chave["Tipo_Frete"] . "',
                                    '" . $chave["Despesa"] . "',
                                    '" . $chave["Qtd_Vol"] . "',
                                    '" . $chave["Especie_Vol"] . "',
                                    '" . $chave["Marca_Vol"] . "',
                                    '" . $chave["Numero_Vol"] . "',
                                    'Venda',
                                    '" . $chave["Obs"] . "',
                                    '" . $chave["Endereco_Entrega"] . "',
                                    '" . $chave["Rua"] . "',
                                    '" . $chave["Num"] . "',
                                    '" . $chave["Complemento"] . "',
                                    '" . $chave["Bairro"] . "',
                                    '" . $chave["Id_Cidade"] . "',
                                    '" . $chave["Estado"] . "',
                                    '" . $chave["Peso_Bruto"] . "',
                                    '" . $chave["Peso_Liquido"] . "',
                                    '" . $chave["Placa"] . "',
                                    '" . $chave["Uf_Placa"] . "',
                                    '" . $chave["UFSaidaPais"] . "',
                                    '" . $chave["xLocEmbarq"] . "',
                                    '" . $chave["xLocDespacho"] . "')")
        or die("Erro no comando SQL:" . mysqli_error($con));
}

/* inserindo agora os produtos relacionados */
$delete = $con->query("SELECT venda_produto.Id, venda_produto.Id_Venda, venda_produto.Id_Produto, venda_produto.Preco, venda_produto.Qtd,
    venda_produto.Desconto, venda_produto.Desconto_Real, venda_produto.Preco_Custo, venda_produto.Frete, venda_produto.Despesa, venda_produto.Ipi,
    venda_produto.Icms, venda_produto.Icms_Sub, venda_produto.Mva, venda_produto.Reducao, venda_produto.ReducaoBC, venda_produto.Id_Unidade,
    venda_produto.Id_Cfop, venda_produto.ST_Icms, venda_produto.Id_Unidade, venda_produto.Data_Cadastro, venda_produto.vBCSTRet,
    venda_produto.vICMSSTRet, venda_produto.vICMSDeson, venda_produto.motDesICMS, venda_produto.Desconto_Real_Pe_Nota, venda_produto.Ibpt,
    venda_produto.C_Produto, venda_produto.Id_Cor, venda_produto.Lote, venda_produto.Data_Validade, venda_produto.Aliquota_Pis,
    venda_produto.Aliquota_Cofins, venda_produto.CST_Pis, venda_produto.CST_Cofins, venda_produto.xPed, venda_produto.nItemPed, 
    venda_produto.CST_Ipi,
    produto.cProdANP, produto.descANP, produto.UFCons, produto.vPart, 
    produto.pGLP, produto.pGNn, produto.pGNi, produto.qTemp,produto.Id_Cfop_Venda 
    FROM venda_produto
    LEFT JOIN (SELECT Id,cProdANP,descANP,UFCons,vPart,pGLP,pGNn,pGNi,qTemp,Id_Cfop_Venda FROM produto WHERE produto.Tipo_Produto = 'P') as produto ON produto.Id = venda_produto.Id_Produto 
    WHERE venda_produto.Id_Venda='{$_GET['id_venda']}' 
    AND venda_produto.Embalagem_Primaria <> 'KIT' AND venda_produto.Cancelado='No' ORDER BY venda_produto.Data_Cadastro") or die("Erro no SQL: " . mysqli_error($con));

while ($linha = mysqli_fetch_assoc($delete)) {
    if ((CLIENTE_EMAIL == 'fabricadebaloes')) {
        if ($linha['motDesICMS'] != 1) {
            $tp_pro = mysqli_query($con, "Select Preco" . $linha["Id_Cor"] . " as Novo_Preco
                              from produto
                              where Id='" . $linha["Id_Produto"] . "' ");
            $tp_pro1 = mysqli_fetch_assoc($tp_pro);

            $linha["Preco"] = $tp_pro1["Novo_Preco"];
            $linha["motDesICMS"] = $linha["Id_Cor"];
        }
    }

    if ($linha["Id_Cfop_Venda"] == '') {
        $idCfop = $linha["Id_Cfop"];
    } else {
        $idCfop = $linha["Id_Cfop_Venda"];
    }

    mysqli_query($con, "INSERT INTO nfe_pedido_produto (Id,
                                    Data_Cadastro,
                                    Id_Pedido,
                                    Id_Produto,
                                    Preco,
                                    Qtd,
                                    Desconto,
                                    Desconto_Real,
                                    Preco_Custo,
                                    Frete,
                                    Despesa,
                                    Icms,
                                    Icms_Sub,
                                    Mva,
                                    Reducao,
                                    ReducaoBC,
                                    Ipi,
                                    CST_Ipi,
                                    Id_Nfe,
                                    Id_Cfop,
                                    ST_Icms,
                                    vBCSTRet,
                                    vICMSSTRet,
                                    vICMSDeson,
                                    motDesICMS,
                                    Id_Unidade,
                                    Desconto_Real_Pe_Nota,
                                    Ibpt,
                                    C_Produto,
                                    Lote,
                                    Data_Validade,
                                    Aliquota_Pis,
                                    Aliquota_Cofins,
                                    CST_Pis,
                                    CST_Cofins,
                                    xPed,
                                    nItemPed,
                                        cProdANP,
                                        descANP,
                                        UFCons,
                                        vPart,
                                        pGLP,
                                        pGNn,
                                        pGNi,
                                        qTemp)
                                    values('" . $linha["Id"] . "',
                                    '" . $linha["Data_Cadastro"] . "',
                                    '" . $linha["Id_Venda"] . "',
                                    '" . $linha["Id_Produto"] . "',
                                    '" . $linha["Preco"] . "',
                                    '" . $linha["Qtd"] . "',
                                    '" . $linha["Desconto"] . "',
                                    '" . $linha["Desconto_Real"] . "',
                                    '" . $linha["Preco_Custo"] . "',
                                    '" . $linha["Frete"] . "',
                                    '" . $linha["Despesa"] . "',
                                    '" . $linha["Icms"] . "',
                                    '" . $linha["Icms_Sub"] . "',
                                    '" . $linha["Mva"] . "',
                                    '" . $linha["Reducao"] . "',
                                    '" . $linha["ReducaoBC"] . "',
                                    '" . $linha["Ipi"] . "',
                                    '" . $linha["CST_Ipi"] . "',
                                    '" . $id_nfe . "',
                                    '" . $idCfop . "',
                                    '" . $linha["ST_Icms"] . "',
                                    '" . $linha["vBCSTRet"] . "',
                                    '" . $linha["vICMSSTRet"] . "',
                                    '" . $linha["vICMSDeson"] . "',
                                    '" . $linha["motDesICMS"] . "',
                                    '" . $linha["Id_Unidade"] . "',
                                    '" . $linha["Desconto_Real_Pe_Nota"] . "',
                                    '" . $linha["Ibpt"] . "',
                                    '" . $linha["C_Produto"] . "',
                                    '" . $linha["Lote"] . "',
                                    '" . $linha["Data_Validade"] . "',
                                    '" . $linha["Aliquota_Pis"] . "',
                                    '" . $linha["Aliquota_Cofins"] . "',
                                    '" . $linha["CST_Pis"] . "',
                                    '" . $linha["CST_Cofins"] . "',
                                    '" . $linha["xPed"] . "',
                                    '" . $linha["nItemPed"] . "',
                                    '" . $linha["cProdANP"] . "',
                                    '" . $linha["descANP"] . "',
                                    '" . $linha["UFCons"] . "',
                                    '" . $linha["vPart"] . "',
                                    '" . $linha["pGLP"] . "',
                                    '" . $linha["pGNn"] . "',
                                    '" . $linha["pGNi"] . "',
                                    '" . $linha["qTemp"] . "')")
        or die("Erro no comando SQL:" . mysqli_error($con));
}
if ($totalTaxas > 0) {
    //colocando o item TAXA DE SERVICO
    $item_serv = $con->query("SELECT Id FROM nfe_pedido_produto WHERE Id_Nfe='$id_nfe' AND Id_Produto='37d98b929724cfcaa7ff4c29b27bff23'");
    $item_serv = mysqli_fetch_assoc($item_serv);

    if ($item_serv["Id"] == '') {
        //pegando as informacoes dos itens
        $item_prod = mysqli_query($con, "SELECT * FROM produto WHERE Id='37d98b929724cfcaa7ff4c29b27bff23'");
        $item_prod = mysqli_fetch_assoc($item_prod);

        // $reg = mysqli_query($con, "SELECT * FROM nfe_pedido_produto WHERE Id_Nfe='$id_nfe' AND ST_Icms<>'' LIMIT 1 ");
        // $reg = mysqli_fetch_assoc($reg);

        if ($item_prod["Id_Cfop_Venda"] == '') {
            $idCfopVenda = $veri_venda["idCfopVenda"];
        } else {
            $idCfopVenda = $item_prod["Id_Cfop_Venda"];
        }



        $id_item_avul = md5($item_prod["Id"] . microtime());
        mysqli_query($con, "INSERT INTO nfe_pedido_produto (Id,
                    Data_Cadastro,
                    Id_Pedido,
                    Id_Produto,
                    Preco,
                    Qtd,
                    Icms,
                    Icms_Sub,
                    Ipi,
                    CST_Ipi,
                    Id_Nfe,
                    Id_Cfop,
                    ST_Icms,
                    Id_Unidade,
                    Ibpt,
                    C_Produto,
                    Aliquota_Pis,
                    Aliquota_Cofins,
                    CST_Pis,
                    CST_Cofins,
                    Cest)
                    values('" . $id_item_avul . "',
                    '" . date("Y-m-d H:i:s") . "',
                    '" . $_GET["id_venda"] . "',
                    '37d98b929724cfcaa7ff4c29b27bff23',
                    '" . $totalTaxas . "',
                    '1',
                    '" . $item_prod["Icms"] . "',
                    '" . $item_prod["Icms_Sub"] . "',
                    '" . $item_prod["Ipi"] . "',
                    '" . $item_prod["CST_Ipi"] . "',
                    '" . $id_nfe . "',
                    '" . $idCfopVenda . "',
                    '" . $item_prod["Codigo_ST"] . "',
                    '" . $veri_venda["Id_Unidade"] . "',
                    '" . $item_prod["Ibpt"] . "',
                    '" . $item_prod["Titulo"] . "',
                    '" . $item_prod["Aliquota_Pis"] . "',
                    '" . $item_prod["Aliquota_Cofins"] . "',
                    '" . $item_prod["CST_Pis"] . "',
                    '" . $item_prod["CST_Cofins"] . "',
                    '" . $item_prod["Cest"] . "')")
            or die("Erro no comando SQL: $con->error");
    } else {
        mysqli_query($con, "UPDATE nfe_pedido_produto SET Preco='$totalTaxas', Qtd='1' WHERE Id_Nfe='$id_nfe' AND Id_Produto='37d98b929724cfcaa7ff4c29b27bff23'");
    }
}

mysqli_query($con, "UPDATE nfe_pedido SET Endereco_Entrega='No' WHERE Endereco_Entrega='' AND Id_Nfe='" . $id_nfe . "' ");
// PASSAR O ID DA VENDA PARA O GERAR XML NFCE
echo "<script>location.href='../../nfce/gerar_xml_nfce.php?id_nfe=$id_nfe&origem=restaurante';</script>";
logUsuario($_SERVER['REMOTE_ADDR'], $_COOKIE['Login'], $_COOKIE['Email'], $_COOKIE['Unidade'], "NFCe", "Cadastro", $Numero_Nota);
?>
<html>

<head>
    <title>Gw - Gesto Web</title>
</head>

<body>
    <?php include "../include/rodape.php"; ?>