<?php
include_once '../../include/conecta.php'; //Conecta com a nosso banco de dados MySQL
include_once '../menu_movimento.php';
include_once '../ver_cookie.php'; //Verifica se a sesso est ativa
include_once '../funcoesPhp.php'; //Inclue a pgina con todas as funes a ser usada.

$pro_pdv = mysqli_query($con, "SELECT DISTINCT caixa_operador_temp_restaurante.Id,
                            caixa_operador_temp_restaurante.Valor,
                            caixa_operador_temp_restaurante.Abertura,
                            caixa_operador_temp_restaurante.Obs,
                            usuario.Login as Usuario
                            FROM caixa_operador_temp_restaurante
                            LEFT JOIN (SELECT Id,Login FROM usuario) as usuario ON usuario.Id = caixa_operador_temp_restaurante.Id_Usuario_Upd
                            WHERE caixa_operador_temp_restaurante.Id='" . $_GET["id_suprimento"] . "' ");
$pro = mysqli_fetch_assoc($pro_pdv);
//ob_start();
?>
<html>

<head>
    <title>Gw - Gesto Web</title>
    <style type="text/css">
        * {
            margin: 0px;
            padding: 0px;
        }

        body {
            font: 10px Arial, Arial, Helvetica, sans-serif;
            background-color: #fff;
        }
    </style>
    <script type="text/javascript" language="javascript" src="../../js/jquery.js"></script>
    <?php include '../../include/script_cabeca.php'; ?>
    <script type="text/javascript" language="javascript" src="../../js/script.js"></script>
    <script type="text/javascript" language="javascript" src="../../js/meiomask/meiomask.js"></script>
    <script type="text/javascript" language="javascript" src="../../js/meiomask/<?php if (PAIS == "USA") {
                                                                                    echo "mascaras-usa";
                                                                                } else {
                                                                                    echo "mascaras";
                                                                                } ?>.js"></script>
    <script type="text/javascript" language="javascript">
        window.onload = function() {
            window.print();
            window.close();
        }
    </script>
</head>

<body>
    <table width="80%">
    <?php
        $empresa = $con->query("SELECT * FROM unidade WHERE Id = '1' ");
        $empresa = mysqli_fetch_assoc($empresa);
        ?>
        <tr>
            <td align="right">
                <table width="100%">
                    <tr>
                        <td width="40%">
                            <?php
                            $cam_arq = file_exists("../../unidade/foto/" . $empresa["Logo"] . "") ? "../../unidade/foto/" . $empresa["Logo"] :
                                "../../../unidade/foto/" . $empresa["Logo"]
                            ?>
                            <img src="<?= $cam_arq; ?>" title="Logo" alt="Logo" border="0" width="140px" height="auto" />
                        </td>
                        <td width="60%" class="razao" align="left">
                            <?= strtoupper($empresa["Titulo"]); ?><br>
                            <?= $empresa["Rua"] . ", " . $empresa["Numero"] . ', ' . $empresa["Bairro"]; ?><br>
                            <?= $empresa["Cidade"] . ", " . $empresa["Estado"]?><br>
                            Fone: <?= $empresa["Fone1"] . " - " . $empresa["Cep"]; ?><br>
                            <?php
                            if ($empresa["Fone2"]) {
                                echo "Fax: " . $empresa["Fone2"];
                            }
                            ?>
                        </td>
                    </tr>
                </table>
            </td>
        </tr>
        <tr>
            <td colspan="2" align="center" style="background-color:#000000;">
                <font color="#FFFFFF">
                Suprimento
                </font>
            </td>
        </tr>
        <tr>
            <td width="60%" aling="left"><b>Data</b></td>
            <td width="40%" aling="rigth"><?php echo data_hora($pro["Abertura"]); ?></td>
        </tr>
        <tr>
            <td width="60%" aling="left"><b>Funcionrio</b></td>
            <td width="40%" aling="rigth"><?php echo ($pro["Funcionario"]); ?></td>
        </tr>
        <tr>
            <td width="60%" aling="left"><b>Valor</b></td>
            <td width="40%" aling="rigth"><?php echo valor_exibir($pro["Valor"]); ?></td>
        </tr>
        <tr>
            <td colspan='2'>&nbsp;</td>
        </tr>
        <tr>
            <td>
                =============================================
            </td>
        </tr>
        <tr>
            <td align="right">
                <table width="100%">
                    <tr>
                        <td align="center"><?php echo data_exibir($pro["Abertura"]); ?></td>
                    </tr>
                </table>
            </td>
        </tr>
        <tr>
            <td height="30">
                -------------------------------------------------------------------------------
            </td>
        </tr>
        <tr>
            <td>&nbsp;</td>
        </tr>
        <tr>
            <td>
                <table width="83%" class="razao">
                    <tr>
                        <td colspan="5" align="center">SUPPLY</td>
                    </tr>
                    <tr>
                        <td colspan="5" align="center">USER : <?php echo $pro["Usuario"]; ?></td>
                    </tr>
                    <tr>
                        <td height="5" colspan="7">-------------------------------------------------------------------------------</td>
                    </tr>
                    <tr>
                        <td colspan="5" align="center">VALUE : <?php echo valor_exibir($pro["Valor"]); ?></td>
                    </tr>
                    <tr>
                        <td height="5" colspan="7">-------------------------------------------------------------------------------</td>
                    </tr>
                    <tr>
                        <td colspan="5"><br />&nbsp;</td>
                    </tr>
                    <tr>
                        <td colspan="5" align="center">______________________________</td>
                    </tr>
                    <tr>
                        <td colspan="5" align="center">MANAGER</td>
                    </tr>
                    <tr>
                        <td colspan="5"><br />&nbsp;</td>
                    </tr>
                    <tr>
                        <td colspan="5" align="center">______________________________</td>
                    </tr>
                    <tr>
                        <td colspan="5" align="center"><?php echo $pro["Usuario"]; ?></td>
                    </tr>
                </table>
            </td>
        </tr>

    </table>
</body>

</html>
<?php
/*
	$pagina = ob_get_contents();
	ob_end_clean();
	echo utf8_encode($pagina);
 */
?>