<?php
include_once "../../include/conecta.php"; //Conecta com a nosso banco de dados MySQL
include_once '../funcoesPhp.php'; //Inclue a pgina con todas as funes a ser usada.
ini_set('session.gc_maxlifetime', 60 * 120);
session_start();
include_once "../ver_cookie.php"; //Verifica se a sesso est ativa */

$pro_pdv = mysqli_query($con, "SELECT DISTINCT caixa_operador_temp_restaurante.Id,
                            caixa_operador_temp_restaurante.Valor,
                            caixa_operador_temp_restaurante.Abertura,
                            caixa_operador_temp_restaurante.Obs,
                            atividade.Titulo as Atividade,
                            funcionario.Titulo as Funcionario
                            FROM caixa_operador_temp_restaurante
                            LEFT JOIN (SELECT Id,Titulo FROM funcionario) as funcionario ON funcionario.Id = caixa_operador_temp_restaurante.Id_Funcionario
                            LEFT JOIN (SELECT Id,Titulo FROM atividade) as atividade ON atividade.Id = caixa_operador_temp_restaurante.Id_Atividade
                            WHERE caixa_operador_temp_restaurante.Id='" . $_GET["id_sangria"] . "' ");
$pro = mysqli_fetch_assoc($pro_pdv);
//ob_start();
?>
<html>
<head>
    <title>Sangria</title>
    <link rel="stylesheet" type="text/css" href="../../estilo/<?php echo SKIN; ?>/tabela_imp.css" />
    <script type="text/javascript" language="javascript" src="../../js/jquery.js"></script>
    <?php include '../../include/script_cabeca.php'; ?>
    <script type="text/javascript" language="javascript" src="../../js/script.js"></script>
    <style type="text/css">
        .razao {
            font-size: 12px;
        }
    </style>
</head>

<body>
    <table width="100%">
    <?php
        $empresa = $con->query("SELECT * FROM unidade WHERE Id = '1' ");
        $empresa = mysqli_fetch_assoc($empresa);
        ?>
        <tr>
            <td align="right">
                <table width="100%">
                    <tr>
                        <td width="40%">
                            <?php
                            $cam_arq = file_exists("../../unidade/foto/" . $empresa["Logo"] . "") ? "../../unidade/foto/" . $empresa["Logo"] :
                                "../../../unidade/foto/" . $empresa["Logo"]
                            ?>
                            <img src="<?= $cam_arq; ?>" title="Logo" alt="Logo" border="0" width="140px" height="auto" />
                        </td>
                        <td width="60%" class="razao" align="left">
                            <?= strtoupper($empresa["Titulo"]); ?><br>
                            <?= $empresa["Rua"] . ", " . $empresa["Numero"] . ', ' . $empresa["Bairro"]; ?><br>
                            <?= $empresa["Cidade"] . ", " . $empresa["Estado"] . " - " . $empresa["Cep"]; ?><br>
                            Fone: <?= $empresa["Fone1"]; ?><br>
                            <?php
                            if ($empresa["Fone2"]) {
                                echo "Fax: " . $empresa["Fone2"];
                            }
                            ?>
                        </td>
                    </tr>
                </table>
            </td>
        </tr>
        <tr>
            <td colspan="2" align="center" style="background-color:#000000;">
                <font color="#FFFFFF">
                    Sangria
                </font>
            </td>
        </tr>
        <tr>
            <td width="60%" aling="left"><b>Data</b></td>
            <td width="40%" aling="rigth"><?php echo data_exibir($pro["Abertura"]); ?></td>
        </tr>
        <tr>
            <td width="60%" aling="left"><b>Funcionrio</b></td>
            <td width="40%" aling="rigth"><?php echo ($pro["Funcionario"]); ?></td>
        </tr>
        <tr>
            <td width="60%" aling="left"><b>Valor</b></td>
            <td width="40%" aling="rigth"><?php echo valor_exibir(-$pro["Valor"]); ?></td>
        </tr>
        <tr>
            <td colspan='2'>&nbsp;</td>
        </tr>
    
        <tr>
            <td colspan="2" align="center" style="background-color:#000000;">
                <font color="#FFFFFF">
                    Visto
                </font>
            </td>
        </tr>
        <tr>
            <td colspan='2'>&nbsp;</td>
        </tr>
        <tr>
            <td colspan="2" align="center">_____________________________________</td>
        </tr>
        <tr>
            <td colspan="2" align="center"><b>Gerente</b></td>
        </tr>
        <tr>
            <td colspan='2'>&nbsp;</td>
        </tr>
        <tr>
            <td colspan="2" align="center">_____________________________________</td>
        </tr>
        <tr>
            <td colspan="2" align="center"><b>Operador</b><br> <?php echo $pro["Funcionario"]; ?></td>
        </tr>
    </table>
</body>

</html>