<?php
include_once '../../include/conecta.php'; //Conecta com a nosso banco de dados MySQL
include_once '../ver_cookie.php'; //Verifica se a sesso est ativa

if ($_SERVER['REQUEST_METHOD'] == 'POST') {
    $idVendaProduto = $_POST['idVendaProduto'];
    $obsProduto = $_POST['obsProduto'];
    $con->query("UPDATE venda_produto SET Obs_Produto= '$obsProduto' WHERE Id='$idVendaProduto'");
    if ($con->affected_rows > 0) {
        echo "<script>window.close()</script>";
    }
}
?>
<html>

<head>
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <style type="text/css">
        * {
            padding: 0;
            margin: 0;
            box-sizing: border-box;
        }

        body {
            background-color: #163758;
            color: #fff;
            font-family: 'Segoe UI', Tahoma, Geneva, Verdana, sans-serif;
        }

        .container {
            display: flex;
            flex-direction: column;
            align-items: center;
            padding: 1.7rem .5rem;
            gap: 1rem;
        }

        .titulo {
            display: flex;
            justify-content: center;
            align-items: center;
            border: 1px solid #fff;
            border-radius: 5px;
            background-color: #FF8C00;
            color: #000;
            height: 86px;
            width: 100%;
        }

        .subtitulo {
            font-size: 20px;
        }

        .btn {
            padding: 1% 2%;
            cursor: pointer;
            box-shadow: none;
        }

        .btn_cancelar {
            color: fff;
            background-color: #dd4b39;
            border: none;
            border-radius: 4px;
        }

        .btn_cancelar:hover {
            color: #fff;
            background-color: #c9302c;
            border-color: #ac2925;
        }

        .btn_cadastar {
            border: none;
            border-radius: 4px;
        }

        .btn_cadastar:hover {
            background-color: #c1bebe;
        }

        .observacoes-definidas {
            margin-top: 20px;
            display: flex;
            justify-content: space-between;
            width: 100%;
        }

        .observacoes-definidas>div {
            display: flex;
            justify-content: center;
        }

        .observacoes-definidas>div:first-child {
            flex-direction: column;
            width: 80%;
            gap: .3rem;
        }

        .observacoes-definidas> :not(div:first-child) {
            align-items: end;
        }

        .observacoes-definidas select {
            padding: 0 5px;
        }

        .observacoes-definidas #adicionar-observacao {
            padding: .3rem .7rem;
            cursor: pointer;
        }

        .observacoes-definidas select,
        .observacoes-definidas #adicionar-observacao {
            height: 30px;
        }

        form {
            width: 100%;
        }

        form>div:first-child {
            margin-top: 15px;
            display: flex;
            flex-direction: column;
            align-items: center;
            width: 100%;
        }

        form textarea {
            width: 100%;
        }
    </style>
</head>

<body>
    <div class="container">
        <div class="titulo">
            <h1>Observao</h1>
        </div>
        <?php
        $idVendaProduto = addslashes($_GET['vendaProduto']);
        $produto = $con->query("SELECT produto.Titulo, venda_produto.Obs_Produto FROM produto JOIN venda_produto
        ON venda_produto.Id_Produto = produto.Id WHERE venda_produto.Id='$idVendaProduto'");
        $produto = mysqli_fetch_assoc($produto);
        ?>
        <span class="subtitulo"><b>Produto:</b> <?= $produto['Titulo'] ?></span>
        <div class="observacoes-definidas">
            <div>
                <span>Observaes Pr-definidas</span>
                <?php
                $observacoes = $con->query("SELECT Observacao FROM produto_observacao_restaurante WHERE Id_Unidade = '{$_COOKIE['Unidade']}'");
                $observacoes = $observacoes->fetch_all(MYSQLI_ASSOC); ?>

                <select name="observacaoDefinida">
                    <option disabled selected>Selecione</option>
                    <?php foreach ($observacoes as $observacao) { ?>
                        <option value="<?= $observacao['Observacao']; ?>"><?= $observacao['Observacao']; ?></option>
                    <?php
                    } ?>
                </select>
            </div>
            <div>
                <button id="adicionar-observacao">Adicionar</button>
            </div>
        </div>
        <form method="post" action="">
            <div>
                <span>Observaes do item</span>
                <textarea name="obsProduto" rows="3" style="resize:none;margin-top:10px;padding:10px"><?= $produto['Obs_Produto'] ?></textarea>
            </div>
            <br>
            <br>
            <div align="center">
                <input type="hidden" name="idVendaProduto" value="<?= $idVendaProduto; ?>">
                <button class="btn btn_cadastar">salvar</button>
                <button class="btn btn_cancelar" type="button" onclick="window.close();">Cancelar</button>
            </div>
        </form>
    </div>
    <script src="../../js/jquery-3.3.1.min.js"></script>
    <script>
        $("#adicionar-observacao").click(function() {
            let observacaoDefinida = $("select[name=observacaoDefinida]").val();
            if (observacaoDefinida.length) {
                let observacaoItem = $("textarea[name=obsProduto]").val();
                $("textarea[name=obsProduto]").val(`${observacaoItem} ${observacaoDefinida}`);
                $("select[name=observacaoDefinida]").val('')
            }
        });
    </script>
</body>

</html>