<?php
include '../include/conecta.php';
include './funcoesPhp_novo.php';

$idVenda = addslashes($_POST['idVenda']);
$dataPreparo = addslashes($_POST['dataPreparo']);
$horaPrevistaPreparo = addslashes($_POST['horaPrevistaPreparo']);
$descontoPercentual = addslashes($_POST['descontoPercentual']);
$percentualDesconto = $descontoPercentual;
$descontoReal = str_replace(['.', ','], ['', '.'], addslashes($_POST['descontoReal']));
$mesa = addslashes($_POST['mesa']);
$qtdPessoas = addslashes($_POST['qtdPessoas']);
$cliente = base64_decode(addslashes($_POST['cliente']));
$cliente = explode(" : ", $cliente);

$codigoCliente = trim($cliente[0]);
$nomeCliente = trim($cliente[1]);
$colunaCliente = CLIENTE_RAZAO_SOCIAL == 'Sim' ? 'Razao_Social' : 'Titulo';
$idCliente = $con->query("SELECT Id FROM cliente WHERE $colunaCliente = '$nomeCliente' AND Codigo = '$codigoCliente'");
$idCliente = $idCliente->fetch_assoc()['Id'] ?? '84c09c43f28bc1c9823907b038508c7c';

$valorOriginal = 0;
$taxas = $con->query("SELECT Taxa_Servico_Restaurante, Couvert_Restaurante FROM opcao");
$taxas = $taxas->fetch_assoc();
$vendaProduto = $con->query("SELECT SUM(Qtd) Qtd, Preco FROM venda_produto WHERE Id_Venda = '$idVenda' GROUP BY Id_Produto, Preco");

while ($produto = $vendaProduto->fetch_assoc()) {
    $valorOriginal += ($produto['Qtd'] * $produto['Preco']);
}
$descontoPercentual = ($valorOriginal * $descontoPercentual) / 100;
$valorOriginal -= ($descontoPercentual + $descontoReal);
$valorOriginal = str_replace(['.', ','], ['', '.'], $valorOriginal);
$taxaServicoRestaurante = str_replace(['.', ','], ['', '.'], $valorOriginal / $taxas['Taxa_Servico_Restaurante']);
$taxaServicoRestaurante = $taxaServicoRestaurante > 0 ? $taxaServicoRestaurante : 0;
$dataHoraAtual = date("Y-m-d H:i:s");

$vendaExiste = $con->query("SELECT Lancamento, Aplicar_Taxa_Servico_Restaurante, Aplicar_Taxa_Couvert_Artistico, Status_Pedido, Data_Preparo,
    Hora_Prevista_Preparo FROM venda WHERE Id = '$idVenda'");
$acaoRealizada = false;
if ($taxaServicoRestaurante > 0) {
    $valorOriginal += $taxaServicoRestaurante;
    $valorOriginal = str_replace([".", ","], ["", "."], $valorOriginal);
}

if ($vendaExiste->num_rows > 0) {
    $venda = $vendaExiste->fetch_assoc();

    if ($venda['Status_Pedido'] && $venda['Status_Pedido'] != 'Confirmado') {
        $dataPreparo = $venda['Data_Preparo'];
        $horaPrevistaPreparo = $venda['Hora_Prevista_Preparo'];
    }

    $sql = "UPDATE venda SET Valor_Original = '$valorOriginal', Id_Cliente = '$idCliente', Desconto = '$percentualDesconto', Desconto_Real = '$descontoReal',
        Data_Cadastro_Upd = '$dataHoraAtual', Id_Usuario_Upd = '{$_COOKIE['Id']}', Data_Preparo = '$dataPreparo', Hora_Prevista_Preparo = '$horaPrevistaPreparo',
        Origem_Venda_Alteracao='Restaurante_Login'";

    if ($venda['Aplicar_Taxa_Servico_Restaurante'] == "Sim" && $taxaServicoRestaurante > 0) {
        $valorOriginal += $taxaServicoRestaurante;
        $sql .= ", Taxa_Servico_Restaurante = '$taxaServicoRestaurante'";
    }
    if ($venda['Aplicar_Taxa_Couvert_Artistico'] == "Sim" && $taxas['Couvert_Restaurante'] > 0) {
        $valorOriginal += $taxas['Couvert_Restaurante'];
    }
    $sql .= ", Taxa_Couvert_Artistico = '" . ($venda['Aplicar_Taxa_Couvert_Artistico'] == "Sim" ? $taxas['Couvert_Restaurante'] . "'" : "0'");
    $sql .= " WHERE Id = '$idVenda'";
    $con->query($sql);

    logUsuario($_SERVER['REMOTE_ADDR'], $_COOKIE['Login'], $_COOKIE['Email'], $_COOKIE['Unidade'], "Mesa", "Alterar", $venda['Lancamento']);
    $acaoRealizada = $con->affected_rows > 0;
} else {
    $cfopPadrao = $con->query("SELECT Id_Cfop_Restaurante FROM opcao");
    $cfopPadrao = $cfopPadrao->fetch_assoc();
    $valorOriginal = number_format($valorOriginal, 2, '.', '');
    $dataAtual = date("Y-m-d");
    $numeroLancamento = $con->query("SHOW TABLE STATUS FROM $dbname LIKE 'venda'");
    $numeroLancamento = $numeroLancamento->fetch_assoc()['Auto_increment'];

    $acaoRealizada = $con->query("INSERT INTO venda SET Id = '$idVenda', Valor_Original = '$valorOriginal', Id_Usuario = '{$_COOKIE['Id']}',
        Id_Cliente = '$idCliente', Id_Usuario_Upd = '{$_COOKIE['Id']}', Data_Cadastro = '$dataHoraAtual', Data_Cadastro_Upd = '$dataHoraAtual',
        Data_Venda = '$dataAtual', Id_Unidade = '{$_COOKIE['Unidade']}', Id_Funcionario = '{$_COOKIE['Id_Funcionario']}',
        Id_Vendedor = '{$_COOKIE['Id_Funcionario']}', Status = 'Aberto', Id_Mesa = '$mesa', Origem = 'Mesa', Id_Cfop = '{$cfopPadrao['Id_Cfop_Restaurante']}',
        Imprimir_Cancelado = 'No', Desconto = '$percentualDesconto', Desconto_Real = '$descontoReal', Taxa_Servico_Restaurante = '$taxaServicoRestaurante',
        Data_Preparo = '$dataPreparo', Hora_Prevista_Preparo = '$horaPrevistaPreparo', Fatura = '$numeroLancamento', Descricao = '$numeroLancamento',
        Origem_Venda='Restaurante_Login',Origem_Venda_Alteracao='Restaurante_Login'");

    logUsuario($_SERVER['REMOTE_ADDR'], $_COOKIE['Login'], $_COOKIE['Email'], $_COOKIE['Unidade'], "Mesa", "Cadastro", $numeroLancamento);
}

$con->query("UPDATE mesa_cadastro SET Qtd_Atual_Pessoas = '$qtdPessoas', Reservada = 'No' WHERE Id = '$mesa'");

echo json_encode([
    "status" => $acaoRealizada ? "ok" : "erro",
    "mensagem" => $acaoRealizada ? "" : utf8_encode("No foi possvel salvar as configuraes. \n$con->error")
]);
