<?php
include "../../include/conecta.php";
include "../ver_cookie.php";
include "../../integracao/ifood/load.php";
use Ifood\App\Model\Pedido;

if($_SERVER['REQUEST_METHOD'] == 'POST') {
    $idPedido = addslashes($_POST['idPedido']);
    $statusDestino = addslashes($_POST['statusDestino']);
    $pedido = $con->query("SELECT Origem, Id_Ifood, Valor_Original, Valor_Pago, Tipo_Pedido_Ifood FROM venda WHERE Id='$idPedido'");
    $pedido = mysqli_fetch_assoc($pedido);
    $origemPedido = $pedido['Origem'];
    $idIfood = $pedido['Id_Ifood'];
    $dataHoraAtual = date("Y-m-d H:i:s");

    if($statusDestino == "Entregue" && $pedido['Valor_Pago'] < $pedido['Valor_Original']) {
        echo json_encode([
            "status"=> "erro",
            "mensagem"=> mb_convert_encoding("No  possvel finalizar pedido com pagamento pendente", "UTF-8"),
            "pagamentoPendente"=> true
        ]);
        return;
    }

    if($origemPedido == "Ifood") {
        switch($statusDestino) {
            case "Preparo":
                if(Pedido::iniciarPreparo($idIfood)) {
                    $horaConfirmacao = $con->query("SELECT Data_Cadastro_Upd FROM venda WHERE Id='$idPedido'");
                    $horaConfirmacao = mysqli_fetch_assoc($horaConfirmacao)['Data_Cadastro_Upd'];
                    $horaConfirmacao = date("H:i:s", strtotime($horaConfirmacao));
                    $horaPreparo = date("H:i:s");
                    $sql = "UPDATE venda SET Status_Pedido='Em preparo', Hora_Confirmacao='$horaConfirmacao',
                    Hora_Preparo='$horaPreparo', Id_Usuario_Upd='{$_COOKIE['Id']}', Data_Cadastro_Upd='$dataHoraAtual' WHERE Id='$idPedido'";
                }
                break;
            case "Caminho":
                $atualizarStatus = $pedido['Tipo_Pedido_Ifood'] == "Entrega" ? Pedido::enviar($idIfood) : Pedido::prontoRetirada($idIfood);
                if($atualizarStatus) {
                    $horaCaminho = date("H:i:s");
                    $statusPedido = $pedido['Tipo_Pedido_Ifood'] == "Entrega" ? "A caminho" : "Pronto";
                    $sql = "UPDATE venda SET Status_Pedido='$statusPedido', Hora_Caminho='$horaCaminho',
                    Id_Usuario_Upd='{$_COOKIE['Id']}', Data_Cadastro_Upd='$dataHoraAtual' WHERE Id='$idPedido'";
                }
                break;
        }
    }
    elseif($origemPedido == "Comanda") {
        switch($statusDestino){
            case "Preparo":
                $horaConfirmacao = $con->query("SELECT Data_Cadastro_Upd FROM venda WHERE Id='$idPedido'");
                $horaConfirmacao = mysqli_fetch_assoc($horaConfirmacao)['Data_Cadastro_Upd'];
                $horaConfirmacao = date("H:i:s", strtotime($horaConfirmacao));
                $horaPreparo = date("H:i:s");
                $sql = "UPDATE venda SET Status_Pedido='Em preparo', Hora_Confirmacao='$horaConfirmacao',
                Hora_Preparo='$horaPreparo', Id_Usuario_Upd='{$_COOKIE['Id']}', Data_Cadastro_Upd='$dataHoraAtual' WHERE Id='$idPedido'";
                break;
            case "Caminho":
                $horaCaminho = date("H:i:s");
                $sql = "UPDATE venda SET Status_Pedido='A caminho', Hora_Caminho='$horaCaminho',
                Id_Usuario_Upd='{$_COOKIE['Id']}', Data_Cadastro_Upd='$dataHoraAtual' WHERE Id='$idPedido'";
                break;
            case "Entregue":
                $horaEntregue = date("H:i:s");
                $sql = "UPDATE venda SET Status_Pedido='Entregue', Hora_Entregue='$horaEntregue', Id_Usuario_Upd='{$_COOKIE['Id']}',
                Data_Cadastro_Upd='$dataHoraAtual' WHERE Id='$idPedido'";
                break;
        }
    }

    $atualizarStatusPedido = $con->query($sql);
    $response = ['status'=> $atualizarStatusPedido ? 'ok' : 'erro'];
    
    if($statusDestino == "Caminho") {
        $response['cronometro'] = "00:00:01";
    }
    elseif($statusDestino == "Preparo") {
        $response['cronometro'] = "00:00:01";
        $dataHoraEntrega = $con->query("SELECT Data_Entrega, Hora_Entrega FROM venda WHERE Id='$idPedido'");
        $dataHoraEntrega = mysqli_fetch_assoc($dataHoraEntrega);
        $dataEntrega = new DateTime("{$dataHoraEntrega['Data_Entrega']} {$dataHoraEntrega['Hora_Entrega']}:00");
        $tempoRestante = $dataEntrega->diff(new DateTime());
        $horasRestante = strlen($tempoRestante->h) == 1 ? "0$tempoRestante->h" : $tempoRestante->h;
        $minutosRestante = strlen($tempoRestante->i) == 1 ? "0$tempoRestante->i" : $tempoRestante->i;
        $segundosRestante = strlen($tempoRestante->s) == 1 ? "0$tempoRestante->s" : $tempoRestante->s;
        $response['tempoRestante'] = "$horasRestante:$minutosRestante:$segundosRestante";
    }
    elseif($statusDestino == "Entregue") {
        $horaConfirmacao = $con->query("SELECT Hora_Confirmacao FROM venda WHERE Id='$idPedido'");
        $horaConfirmacao = mysqli_fetch_assoc($horaConfirmacao)['Hora_Confirmacao'];
        $horaEntregue = new DateTime($horaEntregue);
        $tempoDecorrido = $horaEntregue->diff(new DateTime($horaConfirmacao));
        $diferencaHora = strlen($tempoDecorrido->h) == 1 ? "0$tempoDecorrido->h" : $tempoDecorrido->h;
        $diferencaMinutos = strlen($tempoDecorrido->i) == 1 ? "0$tempoDecorrido->i" : $tempoDecorrido->i;
        $diferencaSegundos = strlen($tempoDecorrido->s) == 1 ? "0$tempoDecorrido->s" : $tempoDecorrido->s;
        $response['cronometro'] = "$diferencaHora:$diferencaMinutos:$diferencaSegundos";
    }
    echo json_encode($response);
}
else {
    header("HTTP/1.1 405 Method Not Allowed");
}
?>