<script type='text/javascript'>
    //BLOQUEAR A TECLA F5
    if (navigator.appName.indexOf('Internet Explorer') < 0) {
        window.onkeydown = function(event) {
            if (event.keyCode == 116) {
                event.preventDefault();
                alert("Tecla F5 Bloqueada...");
            }
        }
    } else {
        // IE
        document.onkeydown = function(event) {
            if (window.event.keyCode == 116) {
                alert("Tecla F5 Bloqueada...");
                window.event.keyCode = 0;
                window.event.returnValue = false;
            }
        }
    }
</script>
<script type="text/javascript" language="javascript">
    //bloqueio o backspace
    $(document).unbind('keydown').bind('keydown', function(event) {
        var doPrevent = false;
        if (event.keyCode === 8) {
            var d = event.srcElement || event.target;
            if ((d.tagName.toUpperCase() === 'INPUT' && (d.type.toUpperCase() === 'TEXT' || d.type.toUpperCase() === 'PASSWORD' || d.type.toUpperCase() === 'FILE')) ||
                d.tagName.toUpperCase() === 'TEXTAREA') {
                doPrevent = d.readOnly || d.disabled;
            } else {
                doPrevent = true;
            }
        }

        if (doPrevent) {
            event.preventDefault();
        }
    });
</script>
<script type="text/javascript" language="javascript">
    $(document).ready(function() {
        buscarNovosPedidos();
        buscarPedidosPreparo();
        setInterval(() => {
            verificarEntregaIfood();
            verificarPedidosCancelados();
        }, 60000);
        verificarStatusLoja();
        cronometroCrescente();
        cronometroDecrescente();
        verificarPedidosDisputa();
        buscarPedidosCaminho();
    });
</script>
<script>
    $(function () {
        $('[data-toggle="tooltip"]').tooltip({
            boundary: 'window'
        })
    });

    $(document).ready(function() {
        $("body").on('click', ".removerProduto", function() {
            let produto = $(this).parents("tr");
            let idVendaProduto = produto.attr("vendaProduto");
            let idVenda = $("input[name=Codigo_Venda]").val();

            $.post("remover_produto.php", {
                    idVenda,
                    idVendaProduto
                },
                function(data) {
                    let response = JSON.parse(data);
                    if (response.erro) {
                        console.log(response.mensagem);
                    } else {
                        produto.remove();

                        let preco = parseFloat(response.preco);
                        let subtotal = parseFloat($("#subtotal_pedido").attr("data-subtotal"));
                        subtotal = round(subtotal - preco, 2);
                        $("#subtotal_pedido").attr("data-subtotal", subtotal);
                        $("#subtotal_pedido").html(subtotal.toLocaleString('pt-br', {
                            minimumFractionDigits: 2
                        }));

                        if ($("#produtos_pedido tr").length > 0) {
                            aplicarDesconto();
                        } else {
                            $('#total_desconto').attr("data-totalDesconto", 0);
                            $('#total_desconto').html("0,00");
                            $('#total_taxa').html("0,00");
                        }
                    }
                }
            )
        });

        $("body").on('click', '.div_botao_delivery', function() {
            let idPedido = $(this).attr('id');

            if($(this).find(".botao_delivery .disputaPedido").length > 0) {
                $.get(`./detalhes_disputa_cancelamento.php?idVenda=${idPedido}`, function(response) {
                    let disputaPedido = JSON.parse(response);
                    if(disputaPedido.Numero_Pedido) {
                        $("#ModalCancelamentoPedido #NumeroPedidoCancelamento").html(disputaPedido.Numero_Pedido);
                        $("#ModalCancelamentoPedido #MensagemCancelamento").html(disputaPedido.Mensagem);
                        $("#ModalCancelamentoPedido #ValidadeCancelamento").html(disputaPedido.Validade);
                        $("#ModalCancelamentoPedido #ObjetivoCancelamento").html(disputaPedido.Tipo);
                        $("#ModalCancelamentoPedido #TipoCancelamento").html(disputaPedido.Tipo_Disputa);
                        $("#ModalCancelamentoPedido #AcaoAutoCancelamento").html(disputaPedido.Acao_Automatica);
                        $("#ModalCancelamentoPedido #idDisputa").val(`${disputaPedido.Id_Disputa_Ifood}`);
                        
                        disputaPedido.produtos.map(produtoCancelado => {
                            $("#ModalCancelamentoPedido #itensCancelamento").append(`
                                <div class="itemCancelado">
                                    <span>${produtoCancelado.Titulo}</span>
                                    <span class="qtdItemCancelado">x${produtoCancelado.Quantidade}</span>
                                </div>
                            `);
                        });

                        if(disputaPedido.Tempos_Adicionais.length > 0) {
                            $("#ModalCancelamentoPedido #tempoAdicional").removeAttr("disabled");
                            disputaPedido.Tempos_Adicionais.map(tempoAdicional => {
                                $("#ModalCancelamentoPedido #tempoAdicional").append(`
                                    <option>${tempoAdicional} minutos</option>
                                `);
                            })
                            $("#ModalCancelamentoPedido #solicitarTempo").addClass("invisible");
                        }

                        if(disputaPedido.Tipo == "Reembolso" || disputaPedido.Tipo == "Benefcio") {
                            $("#ModalCancelamentoPedido #valorEstorno").val(Number(disputaPedido.Valor).toLocaleString('pt-BR', {
                                minimumFractionDigits: 2,
                                maximumFractionDigits: 2
                            }));

                            if(disputaPedido.Valor_Maximo > disputaPedido.Valor) {
                                $("#ModalCancelamentoPedido #valorEstorno").removeAttr("disabled");
                                $("#ModalCancelamentoPedido #valoresEstorno").html(`
                                    Max: 
                                    R$ ${Number(disputaPedido.Valor_Maximo).toLocaleString('pt-BR', {
                                        minimumFractionDigits: 2,
                                        maximumFractionDigits: 2
                                    })}
                                `);
                            }
                        }

                        disputaPedido.Imagens.map(imagem => {
                            $("#ModalCancelamentoPedido #imagensCancelamento").append(`
                                <img src="../imagem/${imagem.Nome}">
                            `);
                        });

                        $("#ModalCancelamentoPedido").modal('show');
                    }
                })
            }
            else {
                $.get(`./detalhes_pedido.php?idPedido=${idPedido}`, function(data) {
                    let pedido = JSON.parse(data);
                    $("#EntregadorIfood").css({display: 'none'});
                    $("#Entregador").css({display: 'none'});
                    $(`#Entregador select option`).removeAttr('selected');
                    $("#Produtos .itens_table_modal").remove();
                    $("#PagamentoEntrega").css('display', 'none');
                    $("#Pagamentos").html('');
                    $("#btn-cancelarPedido").addClass('d-none');
                    $("#atualizarPedido").addClass('d-none');
                    $("#PrevisaoEntrega").html('');
                    $(`#Entregador select`).attr('disabled', true);
                    $("#PrevisaoEntrega").parents(".info_body").addClass('d-none');
                    $("#solicitarEntregador").css({display: 'none'});

                    $("input[name=IdPedido]").val(idPedido);
                    $("#Origem").html(pedido.Origem);
                    $("#Lancamento").html(pedido.Lancamento);
                    $("#NumeroPedido").html(pedido.Numero_Pedido);
                    $("#Data").html(pedido.Data_Venda);
                    $("#Status").html(pedido.Status_Pedido);
                    $("#Cliente").html(pedido.Cliente);
                    $("#FoneCliente").html(pedido.Fone1);
                    $("#EnderecoEntrega").html(pedido.Entrega_Comanda);
                    $("#CpfCliente").val(pedido.Cpf_Cnpj_Emissao != '' ? pedido.Cpf_Cnpj_Emissao : pedido.Cpf_Cnpj);
                    $("#TaxaEntrega").html(pedido.Valor_Frete);
                    $("#Descontos").html(pedido.Desconto_Real);
                    $("#TaxaServico").html(pedido.Taxa_Servico_Restaurante);

                    $("#valorPedidoEntrega").html('');
                    $("#valorTrocoEntrega").html('');

                    $("#btn-cancelarPedido").removeClass('d-none');
                    if(pedido.Status_Pedido != "Entregue") {
                        $("#atualizarPedido").removeClass('d-none');
                        $(`#Entregador select`).removeAttr('disabled');
                        if(pedido.Origem == "Comanda" || pedido.Tipo_Pedido_Ifood == "Entrega") {
                            $("#PrevisaoEntrega").parents(".info_body").removeClass('d-none');
                        }
                    }

                    if(pedido.Origem == "Ifood") {
                        if(pedido.Tipo_Pedido_Ifood == "Entrega") {
                            $("#CodigoColeta").html(pedido.Codigo_Entrega_Ifood);
                            
                            if(pedido.Entregador_Solicitado_Ifood == "Sim") {
                                $("#EntregadorIfood").css({display: 'block'});
                                $("#EntregadorIfood").html(pedido.Entregador_Ifood);
                            }
                            else {
                                $(`#Entregador select`).val(pedido.Id_Entregador);
                                $("#Entregador").css({display: 'block'});
                                if(pedido.Status_Pedido != "Entregue") {
                                    $("#solicitarEntregador").css({display: 'block'});
                                }
                            }

                            if(pedido.Horario_Agendamento_Ifood !== null) {
                                let agendamentoIfood = JSON.parse(pedido.Horario_Agendamento_Ifood);
                                $("#PrevisaoEntrega").html(`${agendamentoIfood.horario.inicial} - ${agendamentoIfood.horario.final}`);
                            }
                            else {
                                $("#PrevisaoEntrega").html(`${pedido.Hora_Entrega}`);
                            }
                        }
                        else {
                            $("#PrevisaoEntrega").html(`${pedido.Hora_Entrega}`);
                        }
                        $("#CpfCliente").attr('readonly', true);
                    }
                    else {
                        if(pedido.Status_Pedido != "Entregue") {
                            $("#PrevisaoEntrega").html(`${pedido.Hora_Entrega}`);
                            
                            if(pedido.Cpf_Cnpj.length == 0) {
                                $("#CpfCliente").removeAttr('readonly');
                            }
                        }
                        $(`#Entregador select`).val(pedido.Id_Entregador);
                        $("#Entregador").css({display: 'block'});
                    }

                    pedido.produtos.map(produto => {
                        $("#Produtos").append(`
                            <div class="itens_table_modal table_pedido_modal ${produto.Cancelado == 'Sim' && 'produtoCancelado'}" vendaProduto="${produto.Id}">
                                <div>
                                    ${produto.Obs_Produto.length > 0 ?
                                        '<img src="../../imagem/lupa_delivery.png" alt="" class="icon_obs_produto" data-toggle="modal" data-target="#obs_produto" data-toggle="tooltip" data-placement="top" title="Observao Produto">'
                                        : ''}
                                    <div class="body_table_modal">
                                        <span>${produto.Titulo}</span>
                                    </div>
                                </div>
                                <div class="body_table_modal">
                                    <span>${produto.Qtd}</span>
                                </div>
                                <div class="body_table_modal">
                                    <span>${produto.Preco}</span>
                                </div>
                                <div class="body_table_modal">
                                    <span>${produto.Total}</span>
                                </div>
                            </div>
                        `);
                    });

                    if(pedido.Pagamento_Entrega == "Sim" && pedido.Status_Pedido != 'Entregue') {
                        let [pagamentoEntrega] = pedido.pagamentos.filter(pagamento => pagamento.Valor_Pago == 0);

                        $("#PagamentoEntrega").css('display', 'block');
                        $("#PagamentosRealizados").css('display', 'none');
                        $("#tipoPagamentoEntrega").html(pagamentoEntrega.Titulo);
                        $("#valorPedidoEntrega").html(pagamentoEntrega.Valor.toLocaleString("pt-BR", {minimumFractionDigits: 2, maximumFractionDigits: 2}));

                        if(pedido.Troco_Entrega > 0) {
                            $("#valorTrocoEntrega").html(pedido.Troco_Entrega.toLocaleString("pt-BR", {minimumFractionDigits: 2, maximumFractionDigits: 2}));
                            $("#valorTrocoEntrega").parents("h6").css('display', 'block');
                        }
                    }
                    else {
                        $("#PagamentosRealizados").css('display', 'block');
                        $("#PagamentoEntrega").css('display', 'none');
                    }

                    if(pedido.beneficios.length > 0) {
                        $("#BeneficiosUtilizados").removeClass("d-none").find("#Beneficios").html(`
                            <div class="d-flex info_body">
                                <span>Valor</span>
                                <span>Responsvel</span>
                            </div>
                        `);
                        pedido.beneficios.map(beneficio => {
                            $("#BeneficiosUtilizados #Beneficios").append(`
                                <div class="d-flex info_body">
                                    <span>R$ ${parseFloat(beneficio.Valor_Total).toLocaleString("pt-BR", {minimumFractionDigits: 2, maximumFractionDigits: 2})}</span>
                                    <span>${beneficio.Responsavel}</span>
                                </div>
                            `);
                        });
                    }
                    pedido.pagamentos.map(pagamento => {
                        if(pagamento.Valor_Pago > 0) {
                            $("#Pagamentos").append(`
                                <div>
                                    <div class="info_body table_pagamento_modal">
                                        <span><img src="../../imagem/dolar_delivery.png" alt="" class="icon_modal">${pagamento.Titulo}</span>
                                        <span>R$ ${pagamento.Valor_Pago.toLocaleString("pt-BR", {minimumFractionDigits: 2, maximumFractionDigits: 2})}</span>
                                    </div>
                                </div>
                            `);
                        }
                    });

                    $("#DescricaoModal").modal('show');
                });
            }
        });

        $('#DescricaoModal').on('hidden.bs.modal', function () {
            $("#BeneficiosUtilizados").addClass("d-none").find("#Beneficios").html('');
            $("#valorTrocoEntrega").parents("h6").css('display', 'none');
        });

        $('#ModalCancelamentoPedido').on('hidden.bs.modal', function () {
            $("#ModalCancelamentoPedido #NumeroPedidoCancelamento").html('');
            $("#ModalCancelamentoPedido #MensagemCancelamento").html('');
            $("#ModalCancelamentoPedido #ValidadeCancelamento").html('');
            $("#ModalCancelamentoPedido #ObjetivoCancelamento").html('');
            $("#ModalCancelamentoPedido #TipoCancelamento").html('');
            $("#ModalCancelamentoPedido #AcaoAutoCancelamento").html('');
            $("#ModalCancelamentoPedido #ContrapropostaCancelamento")
            $("#ModalCancelamentoPedido #itensCancelamento").html('');
            $("#ModalCancelamentoPedido #itensExtraCancelamento").html('');
            $("#ModalCancelamentoPedido #imagensCancelamento").html('');
            $("#ModalCancelamentoPedido #ContrapropostaCancelamento").html("<option disabled selected>Nenhuma</option>").attr("disabled", true);
            $("#ModalCancelamentoPedido #enviarContraproposta").addClass("d-none");
            $("#ModalCancelamentoPedido button[type=button]:disabled").removeAttr("disabled");
            $("#ModalCancelamentoPedido #idDisputa").val(``);
            $("#ModalCancelamentoPedido #tempoAdicional").attr("disabled", true).html('<option selected disabled>Nenhum</option>');
            $("#ModalCancelamentoPedido #solicitarTempo").addClass("invisible");
            $("#ModalCancelamentoPedido #valorEstorno").attr("disabled", true).val('');
            $("#ModalCancelamentoPedido #valoresEstorno").html(``);
            $("#ModalCancelamentoPedido #aceitarCancelamento").html("Aceitar");
        });

        $("#ModalCancelamentoPedido #valorEstorno").change(function() {
            $("#ModalCancelamentoPedido #aceitarCancelamento").html("Enviar");
        });

        $("#ModalCancelamentoPedido #tempoAdicional").change(function() {
            $("#ModalCancelamentoPedido #solicitarTempo").removeClass("invisible");
        })
        
        $("#ModalCancelamentoPedido #aceitarCancelamento").click(function() {
            let botao = $(this);
            $(botao).attr("disabled", true).html("Aguarde...");
            $(this).parents("#ModalCancelamentoPedido #rejeitarCancelamento").attr("disabled", true);

            let idDisputa = $("#ModalCancelamentoPedido #idDisputa").val();
            let valorEstorno = parseFloat($("#ModalCancelamentoPedido #valorEstorno").val().replace(",", "."));

            $.post("./responder_disputa_cancelamento.php", {
                    idDisputa: idDisputa,
                    acao: "aceitar",
                    valorEstorno: valorEstorno
                },
                function(response) {
                    $(botao).removeAttr("disabled").html("Aceitar");
                    $("#ModalCancelamentoPedido #rejeitarCancelamento").removeAttr("disabled");

                    let {status, mensagem} = JSON.parse(response);

                    if(status == "ok") {
                        $("#ModalCancelamentoPedido").modal("hide");
                    }
                    else {
                        alert(mensagem);
                    }
                }
            )
        });

        $("#ModalCancelamentoPedido #rejeitarCancelamento").click(function() {
            let botao = $(this);
            $(botao).attr("disabled", true).html("Aguarde...");
            $(this).parents("#ModalCancelamentoPedido #aceitarCancelamento").attr("disabled", true);

            $("#motivoRejeitarDisputa").modal('show');
        });

        $('#motivoRejeitarDisputa').on('shown.bs.modal', function () {
            $("#ModalCancelamentoPedido").css({'z-index': 1040});
            $("#motivoRejeitarDisputa textarea[name=motivoRejeicao]").focus()
        });

        $('#motivoRejeitarDisputa').on('hidden.bs.modal', function () {
            $("#motivoRejeitarDisputa form#rejeitarDisputa")[0].reset();
            
            if($("#ModalCancelamentoPedido").hasClass("show")) {
                $("#ModalCancelamentoPedido").css({'z-index': 1050});
            }
        });
        
        $("#motivoRejeitarDisputa form#rejeitarDisputa").submit(function(e) {
            e.preventDefault();
            let botaoEnviar = $(this).find("button[type=submit]");
            $(botaoEnviar).attr("disabled", true).html("Aguarde...");

            let idDisputa = $("#ModalCancelamentoPedido #idDisputa").val();
            let motivo = $(this).find("textarea[name=motivoRejeicao]").val();

            $.post("./responder_disputa_cancelamento.php", {
                    idDisputa: idDisputa,
                    acao: "rejeitar",
                    motivo: motivo,
                },
                function(response) {
                    $(botaoEnviar).attr("disabled", true).html("Aguarde...");
                    $("#ModalCancelamentoPedido #aceitarCancelamento").removeAttr("disabled");
                    $("#ModalCancelamentoPedido #rejeitarCancelamento").removeAttr("disabled").html("Rejeitar");

                    let {status} = JSON.parse(response);

                    if(status == "ok") {
                        $("#motivoRejeitarDisputa").modal("hide");
                        $("#ModalCancelamentoPedido").modal("hide");
                    }
                    else {
                        alert("No foi possvel rejeitar o cancelamento do pedido");
                    }
                }
            )
        })

        $("body").on('click', '.icon_obs_produto', function(e) {
            let vendaProduto = $(this).parents(".itens_table_modal").attr("vendaProduto");
            $.get(`observacao_produto.php?vendaProduto=${vendaProduto}`, function(data) {
                let produto = JSON.parse(data);
                $("#Produto").html(produto.Titulo);
                $("#DescricaoProduto").html(produto.Obs_Produto);
            });
        });

        $('#obs_produto').on('show.bs.modal', function () {
            $("#DescricaoModal").css({'z-index': 1040});
        });
        
        $('#obs_produto').on('hidden.bs.modal', function () {
            $("#DescricaoModal").css({'z-index': 1050});
        });

        $("button#atualizarPedido").click(function(){
            let entregador = $("#Entregador select").val();
            let idPedido = $("input[name=IdPedido]").val();
            let cpfCliente = $("#CpfCliente").val();

            $.post("atualizar_info_pedido.php", {
                entregador,
                idPedido,
                cpfCliente
            },
            function(data) {
                let response = JSON.parse(data);
                if(response.status == "ok") {
                    let tituloEntregador = $("#Entregador select option:selected").html();
                    $("#DescricaoModal").modal("hide");
                    $(`.div_botao_delivery[id=${idPedido}] .entregador`).html(`Entregador: ${tituloEntregador}`)
                }
                else {
                    alert("No foi possvel atualizar");
                }
            });
        });

        $("body").on('click','.btn_remover', function() {
            $("#DescricaoModal").css({'z-index': 1040})
        });

        $('#motivoCancelamento').on('show.bs.modal', function () {
            let idPedido = $("input[name=IdPedido]").val();
            $("#cancelarPedido select[name=motivoIfood]").html("<option value='' selected disabled>Selecione</option>");
            $("#cancelarPedido textarea[name=motivo]").val('');

            $.get(`./buscar_motivos_cancelamento.php?idPedido=${idPedido}`, function(response) {
                let {motivosCancelamento, origem, statusPedido} = JSON.parse(response);

                if(origem == "Ifood") {
                    $("#cancelarPedido #descricaoCancelamentoIfood").addClass("d-flex");
                    if(statusPedido == "Entregue") {
                        $("#cancelarPedido #descricaoCancelamento").addClass("d-flex");
                    }

                    motivosCancelamento.map(motivoCancelamento => {
                        $("#cancelarPedido select[name=motivoIfood]").append(`
                            <option value="${motivoCancelamento.cancelCodeId}" ${motivosCancelamento.length == 1 && 'selected'}>
                                ${motivoCancelamento.description}
                            </option>
                        `)
                    })
                }
                else {
                    // $("#cancelarPedido textarea[name=motivo]").removeClass("d-none");
                    // $("#cancelarPedido select[name=motivoIfood]").addClass("d-none");
                    $("#cancelarPedido #descricaoCancelamento").addClass("d-flex");
                }
            });
        });

        $('#motivoCancelamento').on('shown.bs.modal', function () {
            if($("#cancelarPedido #descricaoCancelamento").hasClass("d-flex")) {
                $("#cancelarPedido textarea[name=motivo]").focus()
            }
        });

        $('#motivoCancelamento').on('hidden.bs.modal', function () {
            $("#DescricaoModal").css({'z-index': 1050})
            $("#cancelarPedido #descricaoCancelamentoIfood").removeClass("d-flex");
            $("#cancelarPedido #descricaoCancelamento").removeClass("d-flex");
        });

        $("#cancelarPedido").submit(function (e) {
            e.preventDefault();
            let cancelamentoIfood = $(this).find("select[name=motivoIfood] > option:selected");
            let motivoCancelamento = $(this).find("textarea[name=motivo]").val().trim();
            let idPedido = $("input[name=IdPedido]").val();
            
            if(!$(this).find("select[name=motivoIfood]").parents("d-flex").hasClass("d-none") && $(cancelamentoIfood).attr("value") == "") {
                alert("Selecione o motivo para o cancelamento");
                return;
            }
            if($(this).find("select[name=motivoIfood]").parents("d-flex").hasClass("d-none") && motivoCancelamento == "") {
                alert("Descreva o motivo do cancelamento");
                return;
            }
            let btnSubmit = $(this).find("button[type=submit]");

            $(btnSubmit).attr("disabled", true).html("Aguarde...");
            let dados = {
                idPedido: idPedido,
                motivoIfood: {
                    codigo: $(cancelamentoIfood).attr("value"),
                    descricao: motivoCancelamento != "" ? motivoCancelamento : $(cancelamentoIfood).attr("value"),
                },
                motivoCancelamento: motivoCancelamento
            }
            $.ajax({
                url: './cancelar_pedido.php',
                method: 'POST',
                contentType: 'application/json',
                accepts: {
                    'json': 'application/json'
                },
                data: JSON.stringify(dados),
                dataType: 'json',
                success: function(response) {
                    alert(response.mensagem);
                    $(btnSubmit).removeAttr("disabled").html("Enviar");
    
                    if(response.status == "ok") {
                        $("textarea[name=motivo]").val('');
                        $("#cancelarPedido select[name=motivoIfood]").html("<option value='' selected disabled>Selecione</option>");
                        $('#motivoCancelamento').modal('hide');
                        $("#DescricaoModal").modal('hide');
                        $(`.div_botao_delivery[id=${idPedido}]`).remove();
                    }
                }
            })
        });

        $('#EntregadorPedido').on('show.bs.modal', function () {
            $("#DescricaoModal").css({'z-index': 1040});
            let idVenda = $("#DescricaoModal input[name=IdPedido]").val();
            $.get(`./solicitar_entregador_ifood.php?idVenda=${idVenda}`, function (response) {
                if(response) {
                    let entregaPedido = JSON.parse(response);
                    $("#EntregadorPedido #NumeroPedidoEntrega").html(entregaPedido.numeroPedido);
                    $("#EntregadorPedido #TempoEstimadoEntrega").html(`${Math.ceil(entregaPedido.deliveryTime.min / 60)}min - ${Math.ceil(entregaPedido.deliveryTime.max / 60)}min`);
                    $("#EntregadorPedido #valorEntregaPedido").html(`${Number(entregaPedido.quote.netValue).toLocaleString('pt-BR', {currency: 'BRL'})}`);
                    $("#EntregadorPedido #DistanciaEntregador").html(`${(entregaPedido.distance / 1000).toFixed(2)}`);
                    $("#EntregadorPedido #idEntrega").val(`${entregaPedido.id}`);

                    // entregaPedido.paymentMethods.map(metodoPagamento => {
                    //     $("#EntregadorPedido #PagamentoEntrega").append(`
                    //         <option value="${metodoPagamento.id}">${metodoPagamento.brand} ${metodoPagamento.method}O</option>
                    //     `);
                    // })
                }
            })
        });
        $('#EntregadorPedido').on('hidden.bs.modal', function () {
            $("#DescricaoModal").css({'z-index': 1050})
            $("#EntregadorPedido #NumeroPedidoEntrega").html('');
            $("#EntregadorPedido #TempoEstimadoEntrega").html('');
            $("#EntregadorPedido #valorEntregaPedido").html('');
            $("#EntregadorPedido #DistanciaEntregador").html('');
            $("#EntregadorPedido #idEntrega").val('');
            // $("#EntregadorPedido #PagamentoEntrega").html('');
        });

        $('#EntregadorPedido #solicitarEntrega').click(function() {
            let idVenda = $("#DescricaoModal input[name=IdPedido]").val();
            let idEntrega = $("#EntregadorPedido #idEntrega").val();
            let btnEntrega = $(this)
            $(btnEntrega).html('Aguarde...').attr('disabled', true);

            $.ajax({
                method: "POST",
                url: "./aceitar_entregador_ifood.php",
                data: {
                    idVenda,
                    idEntrega 
                },
                success: function(response) {
                    $(btnEntrega).html('Solicitar').removeAttr('disabled');
                    $("#DescricaoModal #solicitarEntregador").css('display', 'none');
                    $("#DescricaoModal #Entregador").css({display: 'none'});
                    $("#EntregadorPedido").modal('hide');

                    let {status} = JSON.parse(response);

                    if (status == 'erro') {
                        alert("No foi possvel solicitar o entregador");
                    }
                }
            })
        })

        $("#imprimirPedido").click(function(){
            let idPedido = $("input[name=IdPedido]").val();
            window.open(`impressao_final_delivery.php?idVenda=${idPedido}`, '_blank', 'width=400,height=600,top=20,left=250,scrollbars=yes');
        });

        $(".Tipo_Pagamento_Delivery").keypress(async function(e) {
            if (e.keyCode == 13) {
                e.preventDefault();
                let input = $(this);
                let valor = parseFloat(input.val().replace('.', '').replace(',', '.').replace('$ ', ''));
                let idVenda = $("#idVenda").val();
                let tipoPagamento = document.getElementById("Total").checked ? "Total" : "Parcial";

                $.post("./add_valor_pago.php", {
                        valor: valor,
                        idVenda: idVenda,
                        idTipoPagamento: input.attr("id-tipo"),
                        tipoPagamento: tipoPagamento
                    },
                    function(data) {
                        input.val('');
                        let response = JSON.parse(data);
                        $("#valorPago").html(`R$ ${parseFloat(response.valorPago).toLocaleString('pt-br', {minimumFractionDigits: 2, maximumFractionDigits: 2})}`);
                        $("#valorRestante").html(`R$ ${parseFloat(response.valorRestante).toLocaleString('pt-br', {minimumFractionDigits: 2, maximumFractionDigits: 2})}`);
                        $("#valorTroco").html(`R$ ${parseFloat(response.valorTroco).toLocaleString('pt-br', {minimumFractionDigits: 2, maximumFractionDigits: 2})}`);
                        $("#Pagamentos").append(`
                            <div>
                                <div class="info_body table_pagamento_modal">
                                    <span><img src="../../imagem/dolar_delivery.png" class="icon_modal">${response.pagamento.titulo}</span>
                                    <span>$ ${response.pagamento.valor}</span>
                                </div>
                            </div>
                        `);
                        if(response.finalizar == true) {
                            $('#PagamentoModal').modal('hide');
                            window.open(`impressao_final_delivery.php?idVenda=${idVenda}`, '_blank', 'width=400,height=600,top=20,left=250,scrollbars=yes');
                        }
                    }
                )
            }
        });

        $("#criarPausaIfood").submit(function(e) {
            e.preventDefault();
            let dados = $(this).serialize();
            $(this).find("button[type=submit]").attr("disabled", true).html("Aguarde...");

            $.post("./criar_pausa_ifood.php", dados, function(data) {
                    $("#criarPausaIfood button[type=submit]").removeAttr("disabled").html("Criar");

                    let response = JSON.parse(data);

                    if(response.status == "ok") {
                        let tituloPausa = $("#criarPausaIfood input[name=titulo").val();
                        let dataInicio = dataBr($("#criarPausaIfood input[name=dataInicio]").val());
                        let dataFim = dataBr($("#criarPausaIfood input[name=dataFim]").val());

                        $("#criarPausaIfood")[0].reset();
                        $("#corpoPausas").append(`
                            <div class="d-flex pausaIfood">
                                <div>
                                    <span>${tituloPausa}</span>
                                </div>
                                <div>
                                    <span>${dataInicio}</span>
                                </div>
                                <div>
                                    <span>${dataFim}</span>
                                </div>
                                <div>
                                    <button type="button" class="excluirPausa" data-pausa="${response.id}">
                                        <img src="../../imagem/lixeira-delivery.png" width="18">
                                    </button>
                                </div>
                            </div>
                        `);
                    }
                    else {
                        alert(response.mensagem);
                    }
                }
            )
        });

        $("#PausaProgramada").on('show.bs.modal', function () {
            $.get("./buscar_pausas_ifood.php", function (response) {
                let pausas = JSON.parse(response);

                pausas.map(pausa => {
                    let dataInicio = dataBr(pausa.start);
                    let dataFim = dataBr(pausa.end);

                    $("#listaPausasIfood #corpoPausas").append(`
                        <div class="d-flex pausaIfood">
                            <div>
                                <span>${pausa.description}</span>
                            </div>
                            <div>
                                <span>${dataInicio}</span>
                            </div>
                            <div>
                                <span>${dataFim}</span>
                            </div>
                            <div>
                                <button type="button" class="excluirPausa" data-pausa="${pausa.id}">
                                    <img src="../../imagem/lixeira-delivery.png" width="18">
                                </button>
                            </div>
                        </div>
                    `);
                })
            });
        });

        $("#PausaProgramada").on('hidden.bs.modal', function () {
            $("#PausaProgramada #criarPausaIfood")[0].reset();
            $("#listaPausasIfood #corpoPausas").html('');
        });

        $("body").on("click", "#corpoPausas .excluirPausa", function () {
            let idPausaProgramada = $(this).attr("data-pausa");
            $("#ExcluirPausa #idPausaProgramada").val(idPausaProgramada);
            $("#ExcluirPausa").modal("show");
            $("#PausaProgramada").css("z-index", 1040);
        });

        $("#ExcluirPausa").on('hidden.bs.modal', function () {
            $("#ExcluirPausa #idPausaProgramada").val('');
            $("#PausaProgramada").css("z-index", 1050);
        });

        $("#ExcluirPausa form").submit(function (e) {
            e.preventDefault();
            let idPausaProgramada = $("#ExcluirPausa #idPausaProgramada").val();
            $(this).find("button[type=submit]").attr("disabled", true).html("Aguarde..")

            $.post("./excluir_pausa_ifood.php", {
                    idPausaProgramada
                },
                function(response){
                    $("#ExcluirPausa form button[type=submit]").removeAttr("disabled").html("Confirmar");

                    let {status} = JSON.parse(response);
                    
                    if(status == "ok") {
                        $(`#corpoPausas .excluirPausa[data-pausa='${idPausaProgramada}']`).parents(".pausaIfood").remove();
                        $("#ExcluirPausa").modal("hide");
                    } else {
                        alert("No foi possvel excluir essa pausa");
                    }
                }
            )
        });

        $("#ConfiguracoesIfood").on("show.bs.modal", function () {
            $.post("./buscar_configuracoes_ifood.php", function(response) {
                let {horarios, pedidosAutomatico, idTabelaPreco} = JSON.parse(response);
                
                $(`#ConfiguracoesIfood input[name=pedidosAutomatico][value='${pedidosAutomatico}'`).attr("checked", true);
                $("#ConfiguracoesIfood select[name=tabelaPrecoIfood]").val(idTabelaPreco);
                horarios.shifts.map(horario => {
                    let splitHoraInicio = horario.start.split(":").map(valorHora => Number(valorHora));
                    let diferencaHoras = horario.duration / 60;
                    let minutosFim = Number(horario.start.substr(3, 2));

                    if(diferencaHoras.toString().indexOf('.') >= 1) {
                        let posicaoPonto = `${diferencaHoras}`.indexOf('.');
                        let restanteMinutos = `${diferencaHoras}`.substr(posicaoPonto + 1);
                        diferencaHoras = Number(`${diferencaHoras}`.substr(0, posicaoPonto));
                        minutosFim = (Number(restanteMinutos) / 100) * 60;
                    }
                    let horarioFinal = new Date();
                    horarioFinal.setHours(splitHoraInicio[0] + diferencaHoras, minutosFim);

                    $(`#corpoHorarios .horarioDia[data-ordem=${ordemDiasSemana[horario.dayOfWeek]}]`).append(`
                        <div class="horario">
                            <span>${horario.start.substr(0, 5)}</span>
                            <span>${horarioFinal.getHours().toString().padStart(2, '0')}:${horarioFinal.getMinutes().toString().padStart(2, '0')}</span>
                        </div>
                    `);
                })
            });
        });

        $("#ConfiguracoesIfood").on("hidden.bs.modal", function () {
            $(`#corpoHorarios .horarioDia`).html('');
            $("#listarDiasIfood .diaIfood").removeClass("diaIfoodSelecionado");
            Array.from($("#ConfiguracoesIfood form")).forEach(form => $(form)[0].reset());
            $("#ConfiguracoesIfood input[name=transferenciaDados]:checked").prop('checked', false);
        });

        $("#listarDiasIfood .diaIfood").click(function() {
            $(this).toggleClass("diaIfoodSelecionado");
        });

        $("#cadastrarHorarioIfood").submit(function(e) {
            e.preventDefault();
            let diasSelecionados = Array.from($(".diaIfoodSelecionado"));
            let horarioInicial = $(this).find("input[name=horaInicio]").val().split(":");
            let horarioFinal = $(this).find("input[name=horaFim]").val().split(":");
            let novoHorario = {
                inicio: new Date(),
                fim: new Date()
            };
            novoHorario.inicio.setHours(Number(horarioInicial[0]), Number(horarioInicial[1])),
            novoHorario.fim.setHours(Number(horarioFinal[0]), Number(horarioFinal[1]))

            if(diasSelecionados.length < 1) {
                alert("Selecione pelo menos um dia");
                return;
            }

            if(novoHorario.inicio > novoHorario.fim) {
                alert("Horrio invlido");
                return;
            }
            
            diasSelecionados.forEach(diaSelecionado => {
                let horarioNovoInserido = false;
                let diaSemana = $(diaSelecionado).attr("data-dia");
                let horariosDia = Array.from($(`#corpoHorarios .horarioDia[data-ordem=${diaSemana}] .horario`));
                let conflitosHorarios = horariosDia.filter(horario => {
                    let horarios = Array.from($(horario).find("span"));
                    let horaInicio = $(horarios[0]).html().substr(0, 5).split(':');
                    horarioInicio = new Date();
                    horarioInicio.setHours(Number(horaInicio[0]), Number(horaInicio[1]));

                    let horaFinal = $(horarios[1]).html().substr(0, 5).split(':');
                    horarioFinal = new Date();
                    horarioFinal.setHours(Number(horaFinal[0]), Number(horaFinal[1]));

                    if(novoHorario.inicio >= horarioInicio && novoHorario.inicio <= horarioFinal) {
                        return horario;
                    }
                });

                if(conflitosHorarios.length > 0) {
                    alert("Conflito de horrios");
                    return;
                }
                let htmlNovoHorario = `
                    <div class="horario">
                        <span>${novoHorario.inicio.getHours().toString().padStart(2, '0')}:${novoHorario.inicio.getMinutes().toString().padStart(2, '0')}</span>
                        <span>${novoHorario.fim.getHours().toString().padStart(2, '0')}:${novoHorario.fim.getMinutes().toString().padStart(2, '0')}</span>
                    </div>`;
                // $(`#corpoHorarios .horarioDia[data-ordem=${diaSemana}]`).html('');

                let horarioAnterior = new Date();
                horariosDia.map((horario, index) => {
                    if(!horarioNovoInserido) {
                        let horarios = Array.from($(horario).find("span"));
                        let horaInicio = $(horarios[0]).html().substr(0, 5).split(':');
                        let horarioInicio = new Date();
                        horarioInicio.setHours(Number(horaInicio[0]), Number(horaInicio[1]));
    
                        if(novoHorario.inicio < horarioInicio) {
                            $($(`.horarioDia[data-ordem=${diaSemana}] .horario`)[index]).before(htmlNovoHorario);
                            horarioNovoInserido = true;
                        } else {
                            if(index + 1 < horariosDia.length) {
                                let horariosProximoTurno = $($(`#corpoHorarios .horarioDia[data-ordem=${diaSemana}] .horario`)[index + 1]).find("span");
                                let inicioProximoTurno = $(horariosProximoTurno[0]).html().split(":");
                                let horarioInicioProximoTurno = new Date();
                                horarioInicioProximoTurno.setHours(Number(inicioProximoTurno[0]), Number(inicioProximoTurno[1]));
    
                                if(novoHorario.inicio < horarioInicioProximoTurno) {
                                    $($(`.horarioDia[data-ordem=${diaSemana}] .horario`)[index]).before(htmlNovoHorario);
                                    horarioNovoInserido = true;
                                }
                            }
                        }
                    }




                    // if(!horarioNovoInserido) {
                    //     let horaFinal = $(horarios[1]).html().substr(0, 5).split(':');
                    //     let horarioFinal = new Date();
                    //     horarioFinal.setHours(Number(horaFinal[0]), Number(horaFinal[1]));
                        
                    //     let htmlHorario = `
                    //         <div class="horario">
                    //             <span>${horarioInicio.getHours().toString().padStart(2, '0')}:${horarioInicio.getMinutes().toString().padStart(2, '0')}</span>
                    //             <span>${horarioFinal.getHours().toString().padStart(2, '0')}:${horarioFinal.getMinutes().toString().padStart(2, '0')}</span>
                    //         </div>`;

                    //     if(horarioInicio < novoHorario.inicio) {
                    //         if(index == 0) {
                    //             $(`#corpoHorarios .horarioDia[data-ordem=${diaSemana}]`).append(htmlHorario);
                    //         } else {
                    //             if(horarioInicio < novoHorario.inicio) {
                    //                 let qtdHorariosCadastrados = $(`#corpoHorarios .horarioDia[data-ordem=${diaSemana}] .horario`).length;
                    //                 $($(`.horarioDia[data-ordem=${diaSemana}] .horario`)[qtdHorariosCadastrados - 1]).before(htmlHorario);
                    //             }
                    //         }
                    //     } else {
                    //         $(`#corpoHorarios .horarioDia[data-ordem=${diaSemana}]`).append(`
                                
                    //         `);
                    //         $(`#corpoHorarios .horarioDia[data-ordem=${diaSemana}]`).append(htmlHorario);
                    //         horarioNovoInserido = true;
                    //     }
                    //     horarioAnterior = horarioInicio;
                    // } else {
                    //     let horaFinal = $(horarios[1]).html().substr(0, 5).split(':');
                    //     let horarioFinal = new Date();
                    //     horarioFinal.setHours(Number(horaFinal[0]), Number(horaFinal[1]));
                        
                    //     let htmlHorario = `
                    //         <div class="horario">
                    //             <span>${horarioInicio.getHours().toString().padStart(2, '0')}:${horarioInicio.getMinutes().toString().padStart(2, '0')}</span>
                    //             <span>${horarioFinal.getHours().toString().padStart(2, '0')}:${horarioFinal.getMinutes().toString().padStart(2, '0')}</span>
                    //         </div>`;

                    //     if(horarioInicio < horarioAnterior) {
                    //         let qtdHorariosCadastrados = $(`#corpoHorarios .horarioDia[data-ordem=${diaSemana}] .horario`).length;
                    //         $($(`.horarioDia[data-ordem=${diaSemana}] .horario`)[qtdHorariosCadastrados - 1]).before(htmlHorario);
                    //     } else {
                    //         $(`#corpoHorarios .horarioDia[data-ordem=${diaSemana}]`).append(htmlHorario);                                
                    //     }
                    //     horarioAnterior = horarioInicio;
                    // }
                });

                if(horarioNovoInserido) {
                    $("#cadastrarHorarioIfood .diaIfoodSelecionado").removeClass("diaIfoodSelecionado");
                    $("#ConfiguracoesIfood #cadastrarHorarioIfood")[0].reset();
                }
            })
        });

        $("body").on('click', ".horarioDia .horario", function () {
            let horarios = $(this).find("span");
            let horarioEditar = $(this);
            let chavesSemana = [
                "segunda",
                "tera",
                "quarta",
                "quinta",
                "sexta",
                "sbado",
                "domingo"
            ];
            let [horarioDia] = $(this).parents(".horarioDia");
            let ordemDiaSemana = $(horarioDia).attr("data-ordem");
            let diaSemana = chavesSemana[ordemDiaSemana];
            let turno = $(this);
            let ordemTurno = 0;
            
            Array.from($($(`#corpoHorarios .horarioDia`)[ordemDiaSemana]).find(".horario")).forEach((horario, index) => {
                if(horario == horarioEditar[0]) {
                    ordemTurno = index;
                }
            });

            $("#EditarHorarioIfood form input[name=horaInicio]").val($(horarios[0]).html());
            $("#EditarHorarioIfood form input[name=horaFim]").val($(horarios[1]).html());
            $("#EditarHorarioIfood form input[name=ordemDiaSemana]").val(ordemDiaSemana);
            $("#EditarHorarioIfood form input[name=ordemTurno]").val(ordemTurno);
            $("#EditarHorarioIfood #diaHorario").html(diaSemana);
            $("#EditarHorarioIfood").modal('show');
        });

        $("#EditarHorarioIfood").on("show.bs.modal", function(){
            $("#ConfiguracoesIfood").css('z-index', 1040);
        });

        $("#EditarHorarioIfood").on("hidden.bs.modal", function(){
            $("#EditarHorarioIfood #diaHorario").html('');
            $("#EditarHorarioIfood form")[0].reset();
            $("#ConfiguracoesIfood").css('z-index', 1050);
        });

        $("#EditarHorarioIfood #excluirHorarioIfood").click(function() {
            let ordemDiaSemana = $("#EditarHorarioIfood form input[name=ordemDiaSemana]").val();
            let ordemTurno = $("#EditarHorarioIfood form input[name=ordemTurno]").val();

            $(`#corpoHorarios .horarioDia[data-ordem=${ordemDiaSemana}] .horario`)[ordemTurno].remove();
            $("#EditarHorarioIfood").modal('hide');
        });

        $("#EditarHorarioIfood form").submit(function(e){
            e.preventDefault();
            let ordemDiaSemana = $(this).find("input[name=ordemDiaSemana]").val();
            let ordemTurno = $(this).find("input[name=ordemTurno]").val();
            let horaInicio = $(this).find("input[name=horaInicio]").val().split(":");
            let horaFim = $(this).find("input[name=horaFim]").val().split(":");
            let horarioInicioEditado = new Date();
            horarioInicioEditado.setHours(Number(horaInicio[0]), Number(horaInicio[1]));
            let horarioFimEditado = new Date();
            horarioFimEditado.setHours(Number(horaFim[0]), Number(horaFim[1]));

            $(`#corpoHorarios .horarioDia[data-ordem=${ordemDiaSemana}] .horario`)[ordemTurno].remove();
            let qtdTurnosDia = $(`#corpoHorarios .horarioDia[data-ordem=${ordemDiaSemana}] .horario`).length;
            let htmlHorario = `
                <div class="horario">
                    <span>${horarioInicioEditado.getHours().toString().padStart(2, '0')}:${horarioInicioEditado.getMinutes().toString().padStart(2, '0')}</span>
                    <span>${horarioFimEditado.getHours().toString().padStart(2, '0')}:${horarioFimEditado.getMinutes().toString().padStart(2, '0')}</span>
                </div>`;

            $(`#corpoHorarios .horarioDia[data-ordem=${ordemDiaSemana}] .horario`).map((index, horario) => {
                let horariosTurno = $(horario).find("span");
                let splitHoraInicial = $(horariosTurno[0]).html().split(":");
                let horarioInicial = new Date();
                horarioInicial.setHours(Number(splitHoraInicial[0]), Number(splitHoraInicial[1]));
                
                let splitHoraFinal = $(horariosTurno[1]).html().split(":");
                let horarioFinal = new Date();
                horarioInicial.setHours(Number(splitHoraFinal[0]), Number(splitHoraFinal[1]));

                if(horarioInicioEditado < horarioInicial) {
                    $($(`.horarioDia[data-ordem=${ordemDiaSemana}] .horario`)[index]).before(htmlHorario);
                } else {
                    if(index + 1 == qtdTurnosDia) {
                        $(`.horarioDia[data-ordem=${ordemDiaSemana}]`).append(htmlHorario);
                    }
                }
            })
            $("#EditarHorarioIfood").modal("hide");
        });

        $("#salvarConfiguracoesIfood").click(function() {
            $(this).attr("disabled", true).html("Aguarde...");
            let diasSemana = Array.from($("#ConfiguracoesIfood #corpoHorarios .horarioDia"));
            let chavesSemana = Object.keys(ordemDiasSemana);
            let horarios = [];
            let pedidosAutomatico = $("#ConfiguracoesIfood input[name=pedidosAutomatico]:checked").val();
            let tabelaPrecoIfood = $("#ConfiguracoesIfood select[name=tabelaPrecoIfood] option:selected").val();

            diasSemana.map((diaSemana, index) => {
                let horariosDia = $(diaSemana).find(".horario");
                horariosDia.map((indice, horarioDia) => {
                    let horario = Array.from($(horarioDia).find("span"));
                    let horaInicio = `${$(horario[0]).html()}:00`;
                    let splitHoraInicio = horaInicio.split(":");
                    let horarioInicio = new Date();
                    horarioInicio.setHours(Number(splitHoraInicio[0]), Number(splitHoraInicio[1]));

                    let horaFim = $(horario[1]).html().split(":");
                    let horarioFim = new Date();
                    horarioFim.setHours(Number(horaFim[0]), Number(horaFim[1]));
                    let duracao = Math.abs(horarioFim.getTime() - horarioInicio.getTime()) / (1000 * 3600) * 60;

                    horarios.push({
                        dayOfWeek: chavesSemana[index],
                        start: horaInicio,
                        duration: duracao,
                    });
                })
            });
            
            $.ajax({
                url: "./atualizar_configuracoes_ifood.php",
                method: "POST",
                contentType: "json",
                accepts: ["application/json"],
                dataType: "json",
                data: JSON.stringify({
                    pedidosAutomatico,
                    tabelaPrecoIfood,
                    horarios
                }),
                success: function(response) {
                    $("#salvarConfiguracoesIfood").removeAttr("disabled").html("Salvar");
                    alert(response.mensagem);
                }
            })
        });

        $("#ConfiguracoesIfood button[name=btnTransferirDados]").click(function(){
            let transferir = $("#ConfiguracoesIfood input[name=transferenciaDados]:checked").val();
            let acao = $(this).attr("data-acao");

            if(acao == "Importar") {
                $("#ModalEscolherImportacao").modal('show');
                $("#ConfiguracoesIfood").css("z-index", 1040);
                return;
            }
            if(!transferir) {
                alert("Selecione a opo que dejesa transferir");
                return;
            }

            $("#ConfiguracoesIfood button[name=btnTransferirDados]").attr("disabled", true);
            $(this).html("Aguarde..");

            transferirDadosIfood(acao, transferir);
        });

        $("#ModalEscolherImportacao .btn-importacao-ifood").click(async function() {
            let acao = $(this).attr("data-acao");

            if(acao == "Importar") {
                let transferir = $("#ConfiguracoesIfood input[name=transferenciaDados]:checked").val();

                if(!transferir) {
                    alert("Selecione a opo que dejesa importar");
                    $("#ModalEscolherImportacao").modal("hide");
                    return;
                }
                let dadosTransferido = await transferirDadosIfood(acao, transferir);

                if(dadosTransferido) {
                    $("#ModalEscolherImportacao").modal("hide");
                }
            } else {
                $("#ModalEscolherImportacao").modal("hide");
                $("#ModalTransferenciaIfood").modal("show");
            }
        });

        $("#ModalEscolherImportacao").on("hide.bs.modal", function() {
            $("#ConfiguracoesIfood").css("z-index", 1050);
        });

        $("#ModalTransferenciaIfood").on("show.bs.modal", function() {
            $("#ConfiguracoesIfood").css("z-index", 1040);
            $("#ModalTransferenciaIfood #categoriasIfood").html('');
            $("#ModalTransferenciaIfood #categoriasSistema").html('');
            $("#ModalTransferenciaIfood #categorias").html('<option disabled selected>Selecionar</option>');
            let todasCategorias = $("#ModalTransferenciaIfood #todasCategorias").prop('checked') ? "Sim" : "No";

            $.ajax({
                url: `./buscar_categorias.php?todasCategorias=${todasCategorias}`,
                method: "GET",
                dataType: "json",
                accepts: ["application/json"],
                success: function(response) {
                    let { categoriasSistema, categoriasIfood, categoriasRelacionadas } = response;
                    categoriasIfood.map(categoriaIfood => {
                        $("#categoriasIfood").append(`
                            <option value="${categoriaIfood.name}" data-id-categoria="${categoriaIfood.id}">${categoriaIfood.name}</option>
                        `);
                    });

                    categoriasSistema.map(categoriaSistema => {
                        $("#ModalTransferenciaIfood #categoriasSistema").append(`
                            <option value="${categoriaSistema.Titulo}" data-id-categoria="${categoriaSistema.Id}">${categoriaSistema.Titulo}</option>
                        `);

                    });
                    
                    categoriasRelacionadas.map(categoriaRelacionada => {
                        $("#ModalTransferenciaIfood #categorias").append(`
                            <option value="${categoriaRelacionada.Id}">${categoriaRelacionada.Titulo}</option>
                        `);
                    });
                }
            });
        });

        $("#ModalTransferenciaIfood #todasCategorias").change(function() {
            let todasCategorias = $(this).prop('checked') ? "Sim" : "No";
            $("#ModalTransferenciaIfood #categoriasSistema").html('');

            $.ajax({
                url: `./buscar_categorias.php?todasCategorias=${todasCategorias}`,
                method: "GET",
                dataType: "json",
                accepts: ["application/json"],
                success: function(response) {
                    let { categoriasSistema, categoriasIfood } = response;

                    categoriasSistema.map(categoriaSistema => {
                        $("#ModalTransferenciaIfood #categoriasSistema").append(`
                            <option value="${categoriaSistema.Titulo}" data-id-categoria="${categoriaSistema.Id}">${categoriaSistema.Titulo}</option>
                        `);
                    });
                }
            });
        });

        $("#ModalTransferenciaIfood").on("hide.bs.modal", function() {
            $("#ConfiguracoesIfood").css("z-index", 1050);
            Array.from($("#ModalTransferenciaIfood form")).map(form => {
                form.reset();
            });
            $("#ModalTransferenciaIfood datalist").html("");
            $("#ModalTransferenciaIfood #relacionarProdutos input[type=text]").attr("disabled", true);
        });

        $("#ModalTransferenciaIfood #categoriaIfood").change(function() {
            let categoria = $(this).val();
            let idCategoriaIfood = $(`#ModalTransferenciaIfood #categoriasIfood option[value='${categoria}']`).attr("data-id-categoria");
            $(`#ModalTransferenciaIfood #idCategoriaIfood`).val(idCategoriaIfood);
        });

        $("#ModalTransferenciaIfood #categoriaSistema").change(function() {
            let categoria = $(this).val();
            let idCategoriaSistema = $(`#ModalTransferenciaIfood #categoriasSistema option[value='${categoria}']`).attr("data-id-categoria");
            $(`#ModalTransferenciaIfood #idCategoriaSistema`).val(idCategoriaSistema);
        });

        $("#ModalTransferenciaIfood #relacionarCategorias").submit(async function(e) {
            e.preventDefault();
            let idCategoriaIfood = $(this).find("input[name='idCategoriaIfood']").val();
            let idCategoriaSistema = $(this).find("input[name='idCategoriaSistema']").val();

            if(idCategoriaIfood == '' || idCategoriaSistema == '') {
                alert("Indique as duas categorias a serem relacionadas");
                return;
            }

            $("#ModalTransferenciaIfood form button[type='submit']").attr("disabled", true);
            $("#ModalTransferenciaIfood #relacionarCategorias button[type='submit']").html("Aguarde...");

            await $.ajax({
                url: "./relacionar_categorias.php",
                method: "POST",
                dataType: "json",
                accepts: "application/json",
                data: {
                    idCategoriaIfood,
                    idCategoriaSistema
                },
                success: function (response) {
                    let { status, mensagem, categoriasRelacionadas } = response;
                    if(status == "ok") {
                        $("#ModalTransferenciaIfood #relacionarCategorias")[0].reset();
                        $("#relacionarCategorias input[name='idCategoriaIfood']").val();
                        $("#relacionarCategorias input[name='idCategoriaSistema']").val();
                        $(`#ModalTransferenciaIfood #categoriasIfood option[data-id-categoria='${idCategoriaIfood}']`).remove();
                        $(`#ModalTransferenciaIfood #categoriasSistema option[data-id-categoria='${idCategoriaSistema}']`).remove();
                        $("#ModalTransferenciaIfood #categorias").html('<option disabled selected>Selecionar</option>');
                        $("#ModalTransferenciaIfood #relacionarCategorias button[type='submit']").html("Salvar");

                        categoriasRelacionadas.map(categoria => {
                            $("#ModalTransferenciaIfood #categorias").append(`
                                <option value="${categoria.Id}">${categoria.Titulo}</option>
                            `);
                        });
                    }
                    alert(mensagem);
                }
            });
            $("#ModalTransferenciaIfood form button[type='submit']").removeAttr("disabled");
        });

        $("#ModalTransferenciaIfood #categorias").change(function() {
            let idCategoria = $(this).val();

            $.ajax({
                url: `./buscar_produtos_relacionamento.php?idCategoria=${idCategoria}`,
                method: "GET",
                dataType: "json",
                accepts: ["application/json"],
                success: function(response) {
                    let { produtosSistema, produtosIfood } = response;
                    $("#ModalTransferenciaIfood #produtoIfood").removeAttr("disabled");
                    $("#ModalTransferenciaIfood #produtoSistema").removeAttr("disabled");
                    $("#ModalTransferenciaIfood #produtosIfood").html('');
                    $("#ModalTransferenciaIfood #produtosSistema").html('');

                    produtosIfood.map(produtoIfood => {
                        $("#ModalTransferenciaIfood #produtosIfood").append(`
                            <option value="${produtoIfood.Titulo}" data-id-produto="${produtoIfood.Id}">${produtoIfood.Titulo}</option>
                        `);
                    });

                    produtosSistema.map(produtoSistema => {
                        $("#ModalTransferenciaIfood #produtosSistema").append(`
                            <option value="${produtoSistema.Titulo}" data-id-produto="${produtoSistema.Id}">${produtoSistema.Titulo}</option>
                        `);
                    });
                }
            })
        });

        $("#relacionarProdutos #produtoIfood").change(function(){
            let produtoIfood = $(this).val();
            let idProdutoIfood = $(`#ModalTransferenciaIfood #produtosIfood option[value='${produtoIfood}']`).attr("data-id-produto");
            $("#relacionarProdutos #idProdutoIfood").val(idProdutoIfood);
        });

        $("#relacionarProdutos #produtoSistema").change(function(){
            let produtoSistema = $(this).val();
            let idProdutoSistema = $(`#ModalTransferenciaIfood #produtosSistema option[value='${produtoSistema}']`).attr("data-id-produto");
            $("#relacionarProdutos #idProdutoSistema").val(idProdutoSistema);
        });

        $("#ModalTransferenciaIfood #relacionarProdutos").submit(async function(e) {
            e.preventDefault();
            let idProdutoIfood = $(this).find("input[name=idProdutoIfood]").val();
            let idProdutoSistema = $(this).find("input[name=idProdutoSistema]").val();

            if(idProdutoIfood == '' || idProdutoSistema == '') {
                alert("Indique os dois produtos a serem relacionados");
                return;
            }
            $("#ModalTransferenciaIfood form button[type='submit']").attr("disabled", true);
            $(this).find("button[type='submit']").html("Aguarde...");

            await $.ajax({
                url: "./relacionar_produtos.php",
                method: "POST",
                dataType: "json",
                data: {
                    idProdutoIfood: idProdutoIfood,
                    idProdutoSistema: idProdutoSistema
                },
                accepts: ["application/json"],
                success: function(response) {
                    let { status, mensagem } = response;
                    if (status == "ok") {
                        $("#ModalTransferenciaIfood #relacionarProdutos")[0].reset();
                        $("#ModalTransferenciaIfood input[name=idProdutoIfood]").val('');
                        $("#ModalTransferenciaIfood input[name=idProdutoSistema]").val('');
                        $(`#relacionarProdutos #produtosIfood option[data-id-produto='${idProdutoIfood}']`).remove();
                        $(`#relacionarProdutos #produtosSistema option[data-id-produto='${idProdutoSistema}']`).remove();
                    } else {
                        alert(mensagem);
                    }
                }
            });
            $("#ModalTransferenciaIfood form button[type='submit']").removeAttr("disabled");
            $(this).find("button[type='submit']").html("Salvar");
        });
    });

</script>
<script>
    const ordemDiasSemana = {
        "MONDAY": 0,
        "TUESDAY": 1,
        "WEDNESDAY": 2,
        "THURSDAY": 3,
        "FRIDAY": 4,
        "SATURDAY": 5,
        "SUNDAY": 6
    };

    const round = (num, places) => {
        if (!("" + num).includes("e")) {
            return +(Math.round(num + "e+" + places) + "e-" + places);
        } else {
            let arr = ("" + num).split("e");
            let sig = ""
            if (+arr[1] + places > 0) {
                sig = "+";
            }

            return +(Math.round(+arr[0] + "e" + sig + (+arr[1] + places)) + "e-" + places);
        }
    }

    const transferirDadosIfood = async (acao, transferir) => {
        let dadosTransferido = false;

        await $.post("./transferir_dados_ifood.php", {
                transferir,
                acao
            },
            function(response) {
                let { status, mensagem } = JSON.parse(response);
                Array.from($("#ConfiguracoesIfood button[name=btnTransferirDados]")).map(botaoTransferir => {
                    $(botaoTransferir).removeAttr("disabled").html($(botaoTransferir).attr("data-acao"));
                });

                if(status == "ok") {
                    $("#ConfiguracoesIfood input[name=transferenciaDados]:checked").prop('checked', false);
                    dadosTransferido = true;
                }
                alert(mensagem);
            }
        );

        return dadosTransferido;
    }
    function dataBr(data) {
        let dataTime = new Date(data);
        let dia = dataTime.getDate().toString().padStart(2, '0');
        let mes = (dataTime.getMonth() + 1).toString().padStart(2, '0');
        let hora = dataTime.getHours().toString().padStart(2, '0');
        let minutos = dataTime.getMinutes().toString().padStart(2, '0');

        return `${dia}/${mes}/${dataTime.getFullYear()} ${hora}:${minutos}`;
    }

    function onDragStart(event) {
        event.dataTransfer.setData('text/plain', event.target.id);
        event.currentTarget.children[0].style.backgroundColor = '#b4d9ff ';
        event.currentTarget.children[0].style.transform = 'rotate(-3deg)';
    }

    function onDragOver(event) {
        event.preventDefault();
    }

    async function onDrop(event) {
        event.preventDefault();
        let id = event.dataTransfer.getData('text');
        let draggableElement = document.getElementById(id);
        let dropzone = event.target;
        let pedidoExisteBloco = false;
        
        if (dropzone.classList[0] == 'dropzone' || dropzone.classList[0] == 'div_botao_delivery') {
            if (dropzone.classList[0] == 'div_botao_delivery') {
                dropzone = dropzone.parentElement
            }
            let statusDestino = dropzone.getAttribute('id');

            Array.from(dropzone.children).map(filho => {
                if (filho == draggableElement) {
                    pedidoExisteBloco = true;
                }

            })
            draggableElement.children[0].style.backgroundColor = '#fff';
            draggableElement.children[0].style.transform = 'rotate(0deg)';
            
            if (!pedidoExisteBloco) {
                let {permitido, cronometro, tempoRestante} = await atualizarStatusPedido(id, statusDestino);

                if(permitido) {
                    if(cronometro.length) {
                        if(statusDestino == "Entregue") {
                            draggableElement.children[0].children[1].children[1].children[0].children[1].classList.remove('cronometro');
                        }
                        else if(statusDestino == "Preparo") {
                            if(!draggableElement.children[0].children[1].children[1].children[0].children[1].classList.contains("cronometro")) {
                                draggableElement.children[0].children[1].children[1].children[0].children[1].classList.add("cronometro");
                            }
                            $(draggableElement).find(".cronometros").append(`
                                <div class="cronometro-decrescente">
                                    <img src="../../imagem/cronometro-em-execucao.png" alt="Cronometro">
                                    <span class="tempo-restante">${tempoRestante}</span>
                                </div>
                            `);
                        }
                        draggableElement.children[0].children[1].children[1].children[0].children[1].innerHTML = cronometro;
                    }
                    if(statusDestino == "Caminho" || statusDestino == "Entregue") {
                        $(draggableElement).find('.cronometro-decrescente').remove();
                    }
                    let qtdPedidosOrigem = parseFloat(draggableElement.parentElement.parentElement.children[0].children[1].children[0].innerHTML);
                    draggableElement.parentElement.parentElement.children[0].children[1].children[0].innerHTML = qtdPedidosOrigem - 1;
                    
                    let qtdPedidosDestino = parseFloat(dropzone.parentElement.children[0].children[1].children[0].innerHTML);
                    dropzone.parentElement.children[0].children[1].children[0].innerHTML = qtdPedidosDestino + 1;

                    dropzone.appendChild(draggableElement);
                    event.dataTransfer.clearData();
                }
            }
        }
    }

    const atualizarStatusPedido = async (idPedido, statusDestino) => {
        let retorno = {
            permitido: false,
            cronometro: '',
            tempoRestante: '',
        };

       await $.post("detalhes_pedido_atualizacao.php", {
                idPedido
            },
            async function (data) {
                let response = JSON.parse(data);
                
                if(response.Origem == "Ifood") {
                    retorno.permitido = verificarRegrasIfood(idPedido, statusDestino, response.Status_Pedido);
                }
                else if(response.Origem == "Comanda") {
                   retorno.permitido = verificarRegrasComanda(idPedido, statusDestino, response.Status_Pedido, response.Tipo_Entrega);
                }
            }
        );

        if(retorno.permitido) {
            retorno.permitido = false;
            const atualizarStatus = await $.post("./atualizar_status_pedido.php", {
                    idPedido,
                    statusDestino
                }
            );
            
            let response = await JSON.parse(atualizarStatus);
            if(response.status == "ok") {
                retorno.permitido = true;
                if(response.cronometro) {
                    retorno.cronometro = response.cronometro;
                }
                if(response.tempoRestante) {
                    retorno.tempoRestante = response.tempoRestante;
                }
            }
            else {
                if(response.pagamentoPendente) {
                    exibirTelaPagamento(idPedido);
                }
                if(response.mensagem) {
                    alert(response.mensagem);
                }
            }
        }
        return retorno;
    }

    const verificarRegrasIfood = (idPedido, statusDestino, statusPedido) => {
        let permitido = false;

        switch(statusPedido){
            case "Confirmado":
                permitido = statusDestino == "Preparo" || statusDestino == "Caminho";
                break;
            case "Em preparo":
                permitido = statusDestino == "Caminho";
                break;
            default:
                permitido = false;

        }
        return permitido;
    }

    const verificarRegrasComanda = (idPedido, statusDestino, statusPedido, tipoEntrega) => {
        let permitido = false;

        switch(statusPedido){
            case "Confirmado":
                permitido = statusDestino == "Preparo" || (tipoEntrega == "Delivery" && statusDestino == "Caminho");
                break;
            case "Em preparo":
                permitido = (tipoEntrega == "Delivery" && statusDestino == "Caminho") || (statusDestino == "Entregue");
                break;
            case "A caminho":
                permitido = statusDestino == "Entregue";
                break;
            default:
                permitido = false;
        }
        return permitido;
    }

    const verificarEntregaIfood = async () => {
        await $.get("verificar_entrega_ifood.php", function(data) {
            let pedidosEntregues = JSON.parse(data);

            pedidosEntregues.map(pedido => {
                let cardPedido = $(`.div_botao_delivery[id=${pedido.Id}]`);
                let qtdPedidosCaminho = parseInt($(cardPedido).parents(".coluna_pedidos").find(".div_quantidade_pedido span").html());
                $(cardPedido).parents(".coluna_pedidos").find(".div_quantidade_pedido span").html(qtdPedidosCaminho - 1);

                $(`.div_botao_delivery[id=${pedido.Id}]`).remove();
                $("#Entregue").append(cardPedido);
                let qtdPedidosEntregues = parseInt($("#Entregue").parents(".coluna_pedidos").find(".div_quantidade_pedido span").html());
                $("#Entregue").parents(".coluna_pedidos").find(".div_quantidade_pedido span").html(qtdPedidosEntregues + 1);
                $(cardPedido).find('.cronometro').removeClass('cronometro').html(pedido.Cronometro);
                $(cardPedido).find('.cronometro-decrescente').remove();
            })
        });
    }

    const verificarStatusLoja =  () => {
        setInterval(async () => {
            await $.get("verificar_status_loja.php", function(data){
                let response = JSON.parse(data);

                if(response.state) {
                    $("#btn-status #statusLoja").html(`${response.message.title}`)
                    if(response.available) {
                        $("#btn-status #lojaAberta").removeClass(`d-none`);
                        $("#btn-status #lojaFechada").addClass(`d-none`);
                    }
                    else {
                        $("#btn-status #lojaFechada").removeClass(`d-none`);
                        $("#btn-status #lojaAberta").addClass(`d-none`);
                    }
                }
                $(`#validacoesIfood`).html('');
                if(response.validations) {
                    response.validations.map(validacao => {
                        if(validacao.state == response.state) {
                            $(`#validacoesIfood`).append(`
                                <div class="flex gap-1">
                                    <img src="../../imagem/${validacao.state == 'OK' ? 'verificado' : 'x-square'}.png" width="${validacao.state == 'OK' ? 20 : 16}px">
                                    <span>${validacao.message.title}</span>
                                    ${validacao.message.subtitle != '' ? `<pre>${validacao.message.subtitle}</pre>` : ''}
                                    ${validacao.message.description != '' ? `<pre>${validacao.message.description}</pre>` : ''}
                                </div>
                            `);
                        }
                    });
                }
            });
        }, 30000);
    }

    const buscarNovosPedidos = () => {
        setInterval(async () => {
            await $.get("./pedidos_confirmados.php", function(data) {
                let pedidos = JSON.parse(data);
                $("#Confirmado").html("");
                $("#Confirmado").parents(".coluna_pedidos").find(".div_quantidade_pedido span").html(pedidos.length);
                pedidos.map(pedido => {
                    $("#Confirmado").append(`
                        <div style="width:100%;" class="div_botao_delivery" draggable="true" id="${pedido.Id}" ondragstart="onDragStart(event);">
                            <div class="botao_delivery">
                                <div style="display: flex; justify-content: space-between; padding:0 11px">
                                    <span class="limitar-texto" style="width: 70%">
                                        <b>${pedido.Cliente}</b>
                                    </span>
                                    <div>
                                        <span>N ${pedido.Origem == 'Comanda' ? pedido.Numero_Comanda : pedido.Lancamento}</span>
                                    </div>
                                </div>
                                <div style="align-items: start;display: flex; flex-direction: column;padding: 4px 8px;">
                                    <div class="flex-limitar-texto origem-pedido">
                                        <div>
                                            <img src="../../imagem/calendario-delivery.png" alt="Calendario" class="icone_card_pedido">
                                            <span>${pedido.Data_Cadastro}</span>
                                        </div>
                                        <div>
                                            <span>${pedido.Origem == 'Ifood' ? 'IFOOD' : pedido.Tipo_Entrega.toUpperCase()}</span>
                                        </div>
                                    </div>
                                    <div class="flex-limitar-texto cronometros">
                                        <div>
                                            <img src="../../imagem/cronometro-delivery.png" alt="Cronometro" class="icone_card_pedido">
                                            <span ${pedido.Tempo_Decorrido ? 'class="cronometro"' : ''}>${pedido.Tempo_Decorrido ?? pedido.Tempo_Restante}</span>
                                        </div>
                                    </div>
                                    <div class="flex-limitar-texto">
                                        <img src="../../imagem/gps-delivery.png" alt="Gps" class="icone_card_pedido">
                                        <span class="limitar-texto" style="width:85%">${pedido.Entrega_Comanda}</span><br>
                                    </div>
                                    <div class="flex-limitar-texto">
                                        <img src="../../imagem/entrega-delivery.png" alt="Entrega" class="icone_card_pedido">
                                        <span class="limitar-texto entregador" style="width:85%">
                                            Entregador: ${pedido.Origem == 'Ifood' ? pedido.Entregador_Ifood : pedido.Entregador}
                                        </span>
                                    </div>
                                </div>
                            </div>
                        </div>
                    `);
                })
            });
        }, 30000);
    }

    const verificarPedidosCancelados = async () => {
        await $.get("verificar_cancelamento_ifood.php", function(data){
            let pedidosCancelados = JSON.parse(data);
            pedidosCancelados.map(idPedido => {
                let pedido = $(`.div_botao_delivery[id=${idPedido}]`);
                let qtdPedidos = parseInt($(pedido).parents(".coluna_pedidos").find(".div_quantidade_pedido span").html());
                $(pedido).parents(".coluna_pedidos").find(".div_quantidade_pedido span").html(qtdPedidos - 1);
                $(pedido).remove();
            });
        });
    }

    const cronometroCrescente = () => {
        setInterval(() => {
            Array.from($('.cronometro')).forEach(element => {
                let tempoOcupada = $(element).html();
                if (tempoOcupada != "00:00:00") {
                    tempoOcupada = tempoOcupada.split(":");
                    let dataHoje = new Date();
                    let tempoDecorrido = new Date(dataHoje.getFullYear(), dataHoje.getMonth(), dataHoje.getDay() + 1,
                        parseInt(tempoOcupada[0]), tempoOcupada[1], tempoOcupada[2]
                    );
                    let horasDecorridas;
                    let minutosDecorridos;
                    let segundosDecorridos;

                    tempoDecorrido.setSeconds(tempoDecorrido.getSeconds() + 1);
                    horasDecorridas = `${tempoDecorrido.getHours()}`.length == 1 ? `0${tempoDecorrido.getHours()}` : tempoDecorrido.getHours();
                    minutosDecorridos = `${tempoDecorrido.getMinutes()}`.length == 1 ? `0${tempoDecorrido.getMinutes()}` : tempoDecorrido.getMinutes();
                    segundosDecorridos = `${tempoDecorrido.getSeconds()}`.length == 1 ? `0${tempoDecorrido.getSeconds()}` : tempoDecorrido.getSeconds();
                    $(element).html(`${horasDecorridas}:${minutosDecorridos}:${segundosDecorridos}`);
                }
            });
        }, 1000);
    }

    const cronometroDecrescente = () => {
        setInterval(() => {
            Array.from($('.cronometro-decrescente .tempo-restante')).forEach(element => {
                let tempoOcupada = $(element).html();
                if (tempoOcupada != "00:00:00") {
                    tempoOcupada = tempoOcupada.split(":");
                    let dataHoje = new Date();
                    let tempoDecorrido = new Date(dataHoje.getFullYear(), dataHoje.getMonth(), dataHoje.getDay() + 1,
                        parseInt(tempoOcupada[0]), tempoOcupada[1], tempoOcupada[2]
                    );
                    let horasDecorridas;
                    let minutosDecorridos;
                    let segundosDecorridos;

                    tempoDecorrido.setSeconds(tempoDecorrido.getSeconds() - 1);
                    horasDecorridas = `${tempoDecorrido.getHours()}`.length == 1 ? `0${tempoDecorrido.getHours()}` : tempoDecorrido.getHours();
                    minutosDecorridos = `${tempoDecorrido.getMinutes()}`.length == 1 ? `0${tempoDecorrido.getMinutes()}` : tempoDecorrido.getMinutes();
                    segundosDecorridos = `${tempoDecorrido.getSeconds()}`.length == 1 ? `0${tempoDecorrido.getSeconds()}` : tempoDecorrido.getSeconds();
                    $(element).html(`${horasDecorridas}:${minutosDecorridos}:${segundosDecorridos}`);
                }
            });
        }, 1000);
    }

    const exibirTelaPagamento = (idPedido) => {
        $("#idVenda").val(idPedido);

        $.post("./pagamentos.php", {
                idPedido
            },
            function(data) {
                let response = JSON.parse(data);
                $("#clientePedido").html(`${response.Codigo_Cliente} - ${response.Cliente}`);
                $("#valorPedido").html(`R$ ${parseFloat(response.Valor_Original).toLocaleString('pt-br', {minimumFractionDigits: 2, maximumFractionDigits: 2})}`);
                $("#valorPago").html(`R$ ${parseFloat(response.Valor_Pago).toLocaleString('pt-br', {minimumFractionDigits: 2, maximumFractionDigits: 2})}`);
                $("#valorRestante").html(`R$ ${(parseFloat(response.Valor_Original) - parseFloat(response.Valor_Pago)).toLocaleString('pt-br', {minimumFractionDigits: 2, maximumFractionDigits: 2})}`);
                $("#valorTroco").html(`R$ ${parseFloat(response.Valor_Troco).toLocaleString('pt-br', {minimumFractionDigits: 2, maximumFractionDigits: 2})}`);
                $("#PagamentoModal").modal("show");
            }
        )
    }

    const verificarPedidosDisputa = () => {
        setInterval(function() {
            $.get("./verificar_pedido_disputa.php", function(response){
                let pedidosDisputa = JSON.parse(response);
                let idsPedidos = pedidosDisputa.map(pedido => pedido.Id_Venda);
                let disputaAnteriores = Array.from($(".botao_delivery")).filter(pedido => {
                    if($(pedido).find(".disputaPedido").length > 0 && !idsPedidos.includes($(pedido).attr("id"))) {
                        $(pedido).find(".disputaPedido").remove();
                        if($(pedido).parents(".pedidos_disputa").find(".div_botao_delivery .disputaPedido").length == 0) {
                            $(pedido).parents(".pedidos_disputa").removeClass("pedidos_disputa");
                        }
                    }
                });

                pedidosDisputa.map((disputaPedido, indice) => {
                    let cardPedido = $(`.dropzone .div_botao_delivery[id="${disputaPedido.Id_Venda}"]`);
                    if(cardPedido.length > 0 && $(cardPedido).find(".disputaPedido").length < 1) {
                        $(cardPedido).find(".botao_delivery").prepend('<span class="disputaPedido"></span>');
                        
                        if($(cardPedido).parents(".pedidos_disputa").length < 1) {
                            $(cardPedido).parents(".coluna_pedidos").addClass("pedidos_disputa");
                        }
                    }
                    if(indice == 0 && !$("#ModalCancelamentoPedido").hasClass('show')) {
                        $("#ModalCancelamentoPedido #NumeroPedidoCancelamento").html(disputaPedido.Numero_Pedido);
                        $("#ModalCancelamentoPedido #MensagemCancelamento").html(disputaPedido.Mensagem);
                        $("#ModalCancelamentoPedido #ValidadeCancelamento").html(disputaPedido.Validade);
                        $("#ModalCancelamentoPedido #ObjetivoCancelamento").html(disputaPedido.Tipo);
                        $("#ModalCancelamentoPedido #TipoCancelamento").html(disputaPedido.Tipo_Disputa);
                        $("#ModalCancelamentoPedido #AcaoAutoCancelamento").html(disputaPedido.Acao_Automatica);
                        $("#ModalCancelamentoPedido #idDisputa").val(disputaPedido.Id_Disputa_Ifood);

                        disputaPedido.produtos.map(produtoCancelado => {
                            $("#ModalCancelamentoPedido #itensCancelamento").append(`
                                <div class="itemCancelado">
                                    <span>${produtoCancelado.Titulo}</span>
                                    <span class="qtdItemCancelado">x${produtoCancelado.Quantidade}</span>
                                </div>
                            `);
                        });
                        
                        if(disputaPedido.Tempos_Adicionais.length > 0) {
                            $("#ModalCancelamentoPedido #tempoAdicional").removeAttr("disabled");
                            disputaPedido.Tempos_Adicionais.map(tempoAdicional => {
                                $("#ModalCancelamentoPedido #tempoAdicional").append(`
                                <option>${tempoAdicional} minutos</option>
                                `);
                            })
                            $("#ModalCancelamentoPedido #solicitarTempo").addClass("invisible");
                        }

                        if(disputaPedido.Tipo == "Reembolso" || disputaPedido.Tipo == "Benefcio") {
                            $("#ModalCancelamentoPedido #valorEstorno").val(Number(disputaPedido.Valor).toLocaleString('pt-BR', {
                                minimumFractionDigits: 2,
                                maximumFractionDigits: 2
                            }));

                            if(disputaPedido.Valor_Maximo > disputaPedido.Valor) {
                                $("#ModalCancelamentoPedido #valorEstorno").removeAttr("disabled");
                                $("#ModalCancelamentoPedido #valoresEstorno").html(`
                                    Max: 
                                    R$ ${Number(disputaPedido.Valor_Maximo).toLocaleString('pt-BR', {
                                        minimumFractionDigits: 2,
                                        maximumFractionDigits: 2
                                    })}
                                `);
                            }
                        }

                        disputaPedido.Imagens.map(imagem => {
                            $("#ModalCancelamentoPedido #imagensCancelamento").append(`
                                <img src="../imagem/${imagem.Nome}">
                            `);
                        });

                        $("#ModalCancelamentoPedido").modal('show');
                    }
                });
            })
        }, 30000);
    }

    const buscarPedidosPreparo = () => {
        setInterval(function() {
            $.get("./pedidos_em_preparo.php", function(response) {
                let pedidosPreparo = JSON.parse(response);

                pedidosPreparo.map(pedido => {
                    let cardPedido = $(`.div_botao_delivery[id=${pedido.Id}]`);

                    if($(cardPedido).length > 0) {
                        let colunaAtualPedido = $(cardPedido).parents(".coluna_pedidos");

                        if($(colunaAtualPedido).attr("id") == "pedidosConfirmados") {
                            let qtdPedidosConfirmados = parseInt($(colunaAtualPedido).find(".div_quantidade_pedido span").html());
                            $(colunaAtualPedido).find(".div_quantidade_pedido span").html(qtdPedidosConfirmados - 1);
                            $(`.div_botao_delivery[id=${pedido.Id}]`).remove();
                            $("#Preparo").append(cardPedido);

                            let qtdPedidosPreparo = parseInt($("#pedidosPreparo").find(".div_quantidade_pedido span").html());
                            $("#pedidosPreparo").find(".div_quantidade_pedido span").html(qtdPedidosPreparo + 1);
                            $(cardPedido).find(".cronometros").append(`
                                <div class="cronometro-decrescente">
                                    <img src="../../imagem/cronometro-em-execucao.png" alt="Cronometro">
                                    <span class="tempo-restante">${pedido.Tempo_Restante}</span>
                                </div>
                            `);
                        }
                    } else {
                        $("#Preparo").append(`
                            <div style="width:100%;" class="div_botao_delivery" draggable="true" id="${pedido.Id}" ondragstart="onDragStart(event);">
                                <div class="botao_delivery">
                                    ${$pedido.Qtd_Disputa > 0 && '<span class="disputaPedido"></span>'}
                                    <div style="display: flex; justify-content: space-between; padding:0 11px">
                                        <span class="limitar-texto" style="width: 70%">
                                            <b>${pedido.Cliente}</b>
                                        </span>
                                        <div>
                                            <span>N ${pedido.Origem == 'Comanda' ? pedido.Numero_Comanda : pedido.Lancamento}</span>
                                        </div>
                                    </div>
                                    <div style="align-items: start;display: flex; flex-direction: column;padding: 4px 8px;">
                                        <div class="flex-limitar-texto origem-pedido">
                                            <div>
                                                <img src="../../imagem/calendario-delivery.png" alt="Calendario" class="icone_card_pedido">
                                                <span>${pedido.Data_Cadastro}</span>
                                            </div>
                                            <div>
                                                <span>${pedido.Origem == 'Ifood' ? 'IFOOD' : pedido.Tipo_Entrega.toUpperCase()}</span>
                                            </div>
                                        </div>
                                        <div class="flex-limitar-texto cronometros">
                                            <div>
                                                <img src="../../imagem/cronometro-delivery.png" alt="Cronometro" class="icone_card_pedido">
                                                <span class="cronometro">${pedido.Tempo_Decorrido}</span>
                                            </div>
                                            <div class="cronometro-decrescente">
                                                <img src="../../imagem/cronometro-delivery.png" alt="Cronometro" class="icone_card_pedido">
                                                <span class="tempo-restante">${pedido.Tempo_Restante}</span>
                                            </div>
                                        </div>
                                        <div class="flex-limitar-texto">
                                            <img src="../../imagem/gps-delivery.png" alt="Gps" class="icone_card_pedido">
                                            <span class="limitar-texto" style="width:85%">${pedido.Entrega_Comanda}</span><br>
                                        </div>
                                        <div class="flex-limitar-texto">
                                            <img src="../../imagem/entrega-delivery.png" alt="Entrega" class="icone_card_pedido">
                                            <span class="limitar-texto entregador" style="width:85%">
                                                Entregador: ${pedido.Origem == 'Ifood' ? pedido.Entregador_Ifood : pedido.Entregador}
                                            </span>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        `);
                        let qtdPedidosPreparo = parseInt($("#pedidosPreparo").find(".div_quantidade_pedido span").html());
                        $("#pedidosPreparo").find(".div_quantidade_pedido span").html(qtdPedidosPreparo + 1);
                    }
                })
            });
        }, 30000);
    }

    const buscarPedidosCaminho = () => {
        setInterval(function() {
            $.get("./pedidos_caminho.php", function(response) {
                let pedidosCaminho = JSON.parse(response);

                pedidosCaminho.map(pedido => {
                    let cardPedido = $(`.div_botao_delivery[id=${pedido.Id}]`);

                    if($(cardPedido).length > 0) {
                        let colunaAtualPedido = $(cardPedido).parents(".coluna_pedidos");

                        if($(colunaAtualPedido).attr("id") == "pedidosPreparo") {
                            let qtdPedidosPreparo = parseInt($(colunaAtualPedido).find(".div_quantidade_pedido span").html());
                            $(colunaAtualPedido).find(".div_quantidade_pedido span").html(qtdPedidosPreparo - 1);
                            $(`.div_botao_delivery[id=${pedido.Id}]`).remove();
                            $("#Caminho").append(cardPedido);

                            let qtdPedidosCaminho = parseInt($("#pedidosCaminho").find(".div_quantidade_pedido span").html());
                            $("#pedidosCaminho").find(".div_quantidade_pedido span").html(qtdPedidosCaminho + 1);

                            $(cardPedido).find(".cronometros .cronometro-decrescente").remove();
                            $(cardPedido).find(".cronometros .cronometro").html(pedido.Tempo_Decorrido);
                        }
                    } else {
                        $("#Caminho").append(`
                            <div style="width:100%;" class="div_botao_delivery" draggable="true" id="${pedido.Id}" ondragstart="onDragStart(event);">
                                <div class="botao_delivery">
                                    ${pedido.Qtd_Disputa > 0 ? '<span class="disputaPedido"></span>' : ''}
                                    <div style="display: flex; justify-content: space-between; padding:0 11px">
                                        <span class="limitar-texto" style="width: 70%">
                                            <b>${pedido.Cliente}</b>
                                        </span>
                                        <div>
                                            <span>N ${pedido.Origem == 'Comanda' ? pedido.Numero_Comanda : pedido.Lancamento}</span>
                                        </div>
                                    </div>
                                    <div style="align-items: start;display: flex; flex-direction: column;padding: 4px 8px;">
                                        <div class="flex-limitar-texto origem-pedido">
                                            <div>
                                                <img src="../../imagem/calendario-delivery.png" alt="Calendario" class="icone_card_pedido">
                                                <span>${pedido.Data_Cadastro}</span>
                                            </div>
                                            <div>
                                                <span>${pedido.Origem == 'Ifood' ? 'IFOOD' : pedido.Tipo_Entrega.toUpperCase()}</span>
                                            </div>
                                        </div>
                                        <div class="flex-limitar-texto cronometros">
                                            <div>
                                                <img src="../../imagem/cronometro-delivery.png" alt="Cronometro" class="icone_card_pedido">
                                                <span class="cronometro">${pedido.Tempo_Decorrido}</span>
                                            </div>
                                        </div>
                                        <div class="flex-limitar-texto">
                                            <img src="../../imagem/gps-delivery.png" alt="Gps" class="icone_card_pedido">
                                            <span class="limitar-texto" style="width:85%">${pedido.Entrega_Comanda}</span><br>
                                        </div>
                                        <div class="flex-limitar-texto">
                                            <img src="../../imagem/entrega-delivery.png" alt="Entrega" class="icone_card_pedido">
                                            <span class="limitar-texto entregador" style="width:85%">
                                                Entregador: ${pedido.Origem == 'Ifood' ? pedido.Entregador_Ifood : pedido.Entregador}
                                            </span>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        `);
                        let qtdPedidosCaminho = parseInt($("#pedidosCaminho").find(".div_quantidade_pedido span").html());
                        $("#pedidosCaminho").find(".div_quantidade_pedido span").html(qtdPedidosCaminho + 1);
                    }
                })
            });
        }, 30000);
    }
</script>