<?php
include_once '../include/conecta.php'; //Conecta com a nosso banco de dados MySQL
include_once 'ver_cookie.php'; //Verifica se a sesso est ativa
include_once 'funcoesPhp.php'; //Inclue a pgina con todas as funes a ser usada.

if (PAIS == 'USA') {
    $sangria_l = "Bleeding";
    $despesa_l = "Expenditure";
    $suprimento_l = "Supply";
    $salvar_l = "Save";
    $senha_l = "Password";
    $valor_l = "Value";
    $cancelar_l = "Cancel Table";
    $mesa_l = "Table";
    $motivo_l = "Reason";
} else {
    $sangria_l = "Sangria";
    $despesa_l = "Despesa";
    $suprimento_l = "Suprimento";
    $salvar_l = "Salvar";
    $senha_l = "Senha";
    $valor_l = "Valor";
    $cancelar_l = "Cancelar Mesa";
    $mesa_l = "Mesa";
    $motivo_l = "Motivo";
}
?>
<html>

<head>
    <script language="javascript" type="text/javascript" src="../js/jquery-3.3.1.min.js"></script>
    <script language="javascript" type="text/javascript">
        function idProduto(Codigo) {
            window.opener.document.getElementById("Codigo").value = Codigo;
            window.close();
        }
    </script>
    <style type="text/css">
        body {
            background-color: #163758;
            color: #fff;
            font-family: 'Segoe UI', Tahoma, Geneva, Verdana, sans-serif;
        }

        .titulo {
            text-align: center;
            border: 1px solid #fff;
            border-radius: 5px;
            background-color: #FF8C00;
            color: #000;
        }

        .subtitulo {
            font-size: 20px;
        }

        .btn {
            padding: 1% 2%;
            cursor: pointer;
            box-shadow: none;
        }

        .btn_cancelar {
            color: fff;
            background-color: #dd4b39;
            border: none;
            border-radius: 4px;
        }

        .btn_cancelar:hover {
            color: #fff;
            background-color: #c9302c;
            border-color: #ac2925;
        }

        .btn_cadastar {
            border: none;
            border-radius: 4px;
        }

        .btn_cadastar:hover {
            background-color: #c1bebe;
        }
    </style>
</head>

<body>
    <br>
    <div class="container">
        <div class="titulo">
            <center>
                <h1>Check-in / Check-out</h1>
            </center>
        </div>
        <br>
        <div align="center">
            <span class="subtitulo">Senha</span>
            <br>
            <input type="password" name="senha" id="senha" style="width: 30%; height:6%;font-weight: bold; font-size:25px;">
        </div>
        <br>
        <br>
        <div align="center">
            <button class="btn btn_cadastar">Salvar</button>
            <button class="btn btn_cancelar" onclick="location.href='funcoes_mesa_novo.php?acao=entrar'">Voltar</button>
        </div>
    </div>
</body>

</html>