<?php
// include '../include/conecta.php';

/**
 * Ms por extenso
 *
 * @param string $data Data em formato americano
 * @return string Dia, ms por extenso e hora
 */
function dataExtensoHora($data)
{
    $mes = date('F', strtotime($data));

    if (PAIS == 'BRA') {
        $mesesTraducao = [
            "January" => "Janeiro",
            "February" => "Fevereiro",
            "March" => "Maro",
            "April" => "Abril",
            "May" => "Maio",
            "June" => "Junho",
            "July" => "Julho",
            "August" => "Agosto",
            "September" => "Setembro",
            "October" => "Outubro",
            "November" => "Novembro",
            "December" => "Dezembro",
        ];
        $mes = $mesesTraducao[$mes];
    }
    $dataPedido = date('d', strtotime($data)) . " $mes " . date('H:i', strtotime($data));
    return $dataPedido;
}

function cadastrarEstoque(
    $id = "",
    $id_produto = "",
    $qtd = "",
    $id_local_estoque = "",
    $preco_custo = "",
    $preco_venda = "",
    $id_cfop = "",
    $icms = "",
    $ipi = "",
    $origem = "",
    $concluido = "",
    $id_externo = "",
    $id_unidade = "",
    $icms_sub,
    $mva,
    $reducao
) {
    global $con;

    /* Se o produto poder gera financeiro, o produto no  bonificado. Caso contrrio o produto
     bonificado. Por isso a inverso a baixo. */
    $CfopF = $con->query("SELECT Financeiro FROM cfop WHERE Id='$id_cfop'");
    $gerar_finan = $CfopF->fetch_assoc()["Financeiro"];
    $bonificado = $gerar_finan == "No" ? "Sim" : "No";

    $Prodt = $con->query("SELECT Custo, Titulo, Id_Categoria_Produto, Id_Fornecedor FROM produto WHERE Id='$id_produto'");
    $Prodt = $Prodt->fetch_assoc();

    if ($preco_venda) {
        $preco_custo = $Prodt["Custo"];
        $valor_icms = $preco_venda * $qtd * ($icms / 100);
    }

    //se local de estoque for vazio, passa o id padrao
    $id_local_estoque = empty($id_local_estoque) ? '1' : $id_local_estoque;
    $id_unidade = empty($id_unidade) ? $_COOKIE["Unidade"] : $id_unidade;
    $dataHoraAtual = date("Y-m-d H:i:s");

    $con->query("INSERT INTO estoque SET Id='$id', Id_Produto='$id_produto', Id_Categoria_Produto='{$Prodt['Id_Categoria_Produto']}',
    Id_Fornecedor='{$Prodt['Id_Fornecedor']}', Nome_Produto='{$Prodt['Titulo']}', Qtd='$qtd', Id_Local_Estoque='$id_local_estoque',
    Preco_Custo='$preco_custo', Preco_Venda='$preco_venda', Id_Cfop='$gerar_finan', Bonificado='$bonificado', Icms='$icms', Valor_Icms='$valor_icms',
    Icms_Sub='$icms_sub', Mva='$mva', Reducao='$reducao', Origem_ST='0', Ipi='$ipi', Origem='$origem', Concluido='$concluido', Id_Externo='$id_externo',
    Id_Unidade='$id_unidade', Id_Usuario='{$_COOKIE['Id']}', Id_Usuario_Upd='{$_COOKIE['Id']}', Data_Cadastro='$dataHoraAtual', Data_Cadastro_Upd='$dataHoraAtual'");
}

function logUsuario($ip = "", $nome = "", $email = "", $unidade = "", $modulo = "", $acao = "", $obs = "")
{

    global $con;

    mysqli_query($con, "INSERT INTO log_usuario (Nome, Email, Id_Unidade, Data, Modulo, Acao, Ip, Obs) values('$nome', '$email', '$unidade',
    '" . date("Y-m-d H:i:s") . "', '$modulo', '$acao', '$ip', '$obs')");
}

function formatarData(String $formato, $data)
{
    $data = str_replace('/', '-', $data);
    return date($formato, strtotime($data));
}

function calcula_dia($data_inicio, $data_fim)
{
    //precisa passar a data em dd/mm/aaaa
    $parte_inicio = explode('/', $data_inicio);
    $time_inicio = mktime(0, 0, 0, $parte_inicio[1], $parte_inicio[0], $parte_inicio[2]);

    $parte_fim = explode('/', $data_fim);
    $time_fim = mktime(0, 0, 0, $parte_fim[1], $parte_fim[0], $parte_fim[2]);

    $diferenca = $time_fim - $time_inicio;
    $dias = (int)floor($diferenca / (60 * 60 * 24));
    return $dias;
}

function data_exibir($data)
{
    if (trim($data) != "") {
        $data = substr($data, 8, 2) . "/" . substr($data, 5, 2) . "/" . substr($data, 0, 4);
        return $data;
    }
}
