<?php
include_once "../include/conecta.php"; //Conecta com a nosso banco de dados MySQL
include_once './funcoesPhp_novo.php'; //Inclue a pgina con todas as funes a ser usada.
ini_set('session.gc_maxlifetime', 60 * 120);
session_start();
include_once "ver_cookie.php"; //Verifica se a sesso est ativa */
$mesa = addslashes($_GET['mesa']);
$taxaServicoRestaurante = 0;

if (MODULO_COZINHA == 'No') {
    if (isset($_GET['venda'])) {
        $idVenda = addslashes($_GET['venda']);
        $descontoPerc = addslashes($_GET['descPerc']);
        $percentualDesconto = $descontoPerc;
        $descontoReal = addslashes($_GET['descReal']);
        $qtdPessoas = addslashes($_GET['qtdPessoas']);
        $descontoReal = str_replace(",", ".", $descontoReal);

        $cliente = base64_decode($_GET['cliente']);
        $cliente = utf8_decode($cliente);
        $cliente = explode(" : ", $cliente);

        $codigoCliente = trim($cliente[0]);
        $nomeCliente = utf8_decode(trim($cliente[1]));
        $nome = CLIENTE_RAZAO_SOCIAL == 'Sim' ? 'Razao_Social' : 'Titulo';
        $idCliente = $con->query("SELECT Id FROM cliente WHERE $nome='$nomeCliente' AND Codigo='$codigoCliente'");
        $idCliente = mysqli_fetch_assoc($idCliente)['Id'] ?? '84c09c43f28bc1c9823907b038508c7c';

        $cfopPadrao = $con->query("SELECT Id_Cfop_Restaurante FROM opcao");
        $cfopPadrao = mysqli_fetch_assoc($cfopPadrao);

        $valorOriginal = 0;
        $taxas = $con->query("SELECT Taxa_Servico_Restaurante, Couvert_Restaurante FROM opcao");
        $taxas = mysqli_fetch_assoc($taxas);
        $vendaExiste = $con->query("SELECT Valor_Original, Valor_Pago,Imprimir_Cancelado, Aplicar_Taxa_Servico_Restaurante, Aplicar_Taxa_Couvert_Artistico, Id_Mesa,Obs FROM venda WHERE Id='$idVenda'");
        $vendaProduto = $con->query("SELECT SUM(Qtd) Qtd, Preco FROM venda_produto WHERE Id_Venda='$idVenda' AND Cancelado = 'No' GROUP BY Id_Produto, Preco");

        while ($produto = mysqli_fetch_assoc($vendaProduto)) {
            $valorOriginal += ($produto['Qtd'] * $produto['Preco']);
        }
        $descontoPerc = ($valorOriginal * $descontoPerc) / 100;
        $valorOriginal -= ($descontoPerc + $descontoReal);
        $taxaServicoRestaurante = $taxas['Taxa_Servico_Restaurante'] > 0 ? $valorOriginal / $taxas['Taxa_Servico_Restaurante'] : 0;
        $taxaServicoRestaurante = str_replace([".", ","], ["", "."], $taxaServicoRestaurante);
        $dataHoraAtual = date("Y-m-d H:i:s");

        if ($vendaExiste->num_rows > 0) {
            $venda = mysqli_fetch_assoc($vendaExiste);
            if ($venda['Aplicar_Taxa_Servico_Restaurante'] == "Sim" && $taxaServicoRestaurante > 0) {
                $valorOriginal += $taxaServicoRestaurante;
            }
            if ($venda['Aplicar_Taxa_Couvert_Artistico'] == "Sim" && $taxas['Couvert_Restaurante'] > 0) {
                $valorOriginal += $taxas['Couvert_Restaurante'];
            }
            $valorOriginal = str_replace([".", ","], ["", "."], $valorOriginal);
            $valorOriginal = number_format($valorOriginal, 2, '.', '');
            $sql = "UPDATE venda SET Valor_Original='$valorOriginal', Id_Cliente='$idCliente', Desconto='$percentualDesconto', Desconto_Real='$descontoReal'";
            $sql .= ", Taxa_Servico_Restaurante='" . ($venda['Aplicar_Taxa_Servico_Restaurante'] == "Sim" && $taxaServicoRestaurante > 0 ? $taxaServicoRestaurante . "'" : "0'");
            $sql .= ", Taxa_Couvert_Artistico='" . ($venda['Aplicar_Taxa_Couvert_Artistico'] == "Sim" ? $taxas['Couvert_Restaurante'] . "'" : "0'");
            $sql .= " ,Origem_Venda_Alteracao='Restaurante_Login',Data_Cadastro_Upd='$dataHoraAtual', Id_Usuario_Upd='{$_COOKIE['Id']}' WHERE Id='$idVenda'";
            $con->query($sql);
            logUsuario($_SERVER['REMOTE_ADDR'], $_COOKIE['Login'], $_COOKIE['Email'], $_COOKIE['Unidade'], "Comanda", "Alterar", $venda['Lancamento']);
        } else {
            if ($taxaServicoRestaurante > 0) {
                $valorOriginal += $taxaServicoRestaurante;
            }
            $valorOriginal = str_replace([".", ","], ["", "."], $valorOriginal);
            $valorOriginal = number_format($valorOriginal, 2, '.', '');
            $dataAtual = date("Y-m-d");
            $numeroLancamento = $con->query("SHOW TABLE STATUS FROM $dbname LIKE 'venda'");
            $numeroLancamento = $numeroLancamento->fetch_assoc()['Auto_increment'];

            $con->query("INSERT INTO venda SET Id='$idVenda', Valor_Original='$valorOriginal', Id_Usuario='" . $_COOKIE['Id'] . "', Id_Cliente='$idCliente',
            Id_Usuario_Upd='" . $_COOKIE['Id'] . "', Data_Cadastro='$dataHoraAtual', Data_Cadastro_Upd='$dataHoraAtual', Data_Venda='$dataAtual',
            Id_Unidade='" . $_COOKIE["Unidade"] . "', Id_Funcionario='" . $_COOKIE["Id_Funcionario"] . "', Id_Vendedor='" . $_COOKIE["Id_Funcionario"] . "',
            Status='Aberto', Id_Mesa='$mesa', Origem='Mesa', Id_Cfop = '" . $cfopPadrao["Id_Cfop_Restaurante"] . "',Imprimir_Cancelado = 'No',
            Desconto='$percentualDesconto', Desconto_Real='$descontoReal', Taxa_Servico_Restaurante='$taxaServicoRestaurante', Fatura = '$numeroLancamento',
            Descricao = '$numeroLancamento',Origem_Venda='Restaurante_Login',Origem_Venda_Alteracao='Restaurante_Login'");
        }
        $con->query("UPDATE mesa_cadastro SET Qtd_Atual_Pessoas='$qtdPessoas',Reservada='No' WHERE Id='$mesa'");
        logUsuario($_SERVER['REMOTE_ADDR'], $_COOKIE['Login'], $_COOKIE['Email'], $_COOKIE['Unidade'], "Mesa", "Cadastro", $numeroLancamento);
    } else {
        $idVenda = $con->query("SELECT venda.Id FROM venda INNER JOIN mesa_cadastro ON venda.Id_Mesa = mesa_cadastro.Id WHERE mesa_cadastro.Id='$mesa'");
        $idVenda = mysqli_fetch_assoc($idVenda)['Id'];
    }
} else {
    $idVenda = addslashes($_GET['venda']);
}

$venda = $con->query("SELECT venda.Lancamento, venda.Status, venda.Data_Venda, venda.Valor_Original,
venda.Valor_Pago, venda.Desconto, venda.Imprimir_Cancelado, venda.Desconto_Real, venda.Obs, venda.Id_Cliente,
venda.Aplicar_Taxa_Servico_Restaurante, venda.Aplicar_Taxa_Couvert_Artistico, venda.Taxa_Servico_Restaurante,
venda.Taxa_Couvert_Artistico, 
cliente.Titulo Cliente, cliente.Email, cliente.Natureza, cliente.Cpf_Cnpj, cliente.Endereco,
cliente.Cep, cliente.Bairro, cliente.Cidade, cliente.Estado, cliente.Fone1, cliente.Obs Obs_Cliente,
mesa_cadastro.Qtd_Atual_Pessoas,mesa_cadastro.Titulo, 
funcionario.Titulo Funcionario,
vendedor.Titulo Vendedor 
FROM (SELECT Id,Lancamento, Status, Data_Venda, Valor_Original,
Valor_Pago, Desconto, Imprimir_Cancelado, Desconto_Real, Obs, Id_Cliente,
Aplicar_Taxa_Servico_Restaurante, Aplicar_Taxa_Couvert_Artistico, Taxa_Servico_Restaurante,
Taxa_Couvert_Artistico,Id_Funcionario,Id_Vendedor,Id_Mesa FROM venda) as venda 
LEFT JOIN (SELECT Id,Titulo, Email, Natureza, Cpf_Cnpj, Endereco,Cep, Bairro, Cidade, Estado, Fone1, Obs FROM cliente) as cliente ON cliente.Id = venda.Id_Cliente 
LEFT JOIN (SELECT Id,Titulo FROM funcionario) as funcionario ON funcionario.Id = venda.Id_Funcionario
LEFT JOIN (SELECT Id,Titulo FROM funcionario) as vendedor ON vendedor.Id = venda.Id_Vendedor 
LEFT JOIN (SELECT Id,Qtd_Atual_Pessoas,Titulo FROM mesa_cadastro) as mesa_cadastro ON mesa_cadastro.Id = venda.Id_Mesa 
WHERE venda.Id = '$idVenda'");
$venda = mysqli_fetch_assoc($venda);
$subtotal = 0;
$total = 0;
$taxaServicoRestaurante = MODULO_COZINHA == 'Sim' ? $venda['Taxa_Servico_Restaurante'] : $taxaServicoRestaurante;
$impressoCozinha = '';
?>
<html>

<head>
    <title>Pedido</title>
    <link rel="stylesheet" type="text/css" href="../estilo/<?php echo SKIN; ?>/tabela_imp.css" />
    <script type="text/javascript" language="javascript" src="../js/jquery.js"></script>
    <?php include '../include/script_cabeca.php'; ?>
    <script type="text/javascript" language="javascript" src="../js/script.js"></script>
    <style type="text/css">
        .razao {
            font-size: 12px;
        }
    </style>
</head>

<body>
    <input type="hidden" name="VendaId" id="VendaId" value="<?= $idVenda ?>">
    <table width="100%">
        <?php
        $empresa = $con->query("SELECT * FROM unidade WHERE Id = '" . $_COOKIE["Unidade"] . "'");
        $empresa = mysqli_fetch_assoc($empresa);
        ?>
        <tr>
            <td align="right">
                <table width="100%">
                    <tr>
                        <td width="40%">
                            <?php
                            $cam_arq = file_exists("../unidade/foto/" . $empresa["Logo"] . "") ? "../unidade/foto/" . $empresa["Logo"] :
                                "../../unidade/foto/" . $empresa["Logo"]
                            ?>
                            <img src="<?= $cam_arq; ?>" title="Logo" alt="Logo" border="0" width="140px" height="auto" />
                        </td>
                        <td width="50%" class="razao" align="left">
                            <?= strtoupper($empresa["Titulo"]); ?><br>
                            <?= $empresa["Rua"] . ", " . $empresa["Numero"]; ?><br>
                            <?= $empresa["Cidade"] . ", " . $empresa["Estado"] . " - " . $empresa["Cep"]; ?><br>
                            Fone: <?= $empresa["Fone1"]; ?><br>
                            <?php
                            if ($empresa["Fone2"]) {
                                echo "Fax: " . $empresa["Fone2"];
                            }
                            ?>
                        </td>
                    </tr>

                </table>
            </td>
        </tr>
        <tr>
            <td align="center" style="background-color:#000000;">
                <font color="#FFFFFF">
                    Identificao do Documento
                </font>
            </td>
        </tr>

        <tr>
            <td align="">
                <table width="100%" class="razao">
                    <tr>
                        <td align="left"><b>N Pedido</b></td>
                        <td aling="rigth"><?= $venda["Lancamento"]; ?></td>
                    </tr>
                    <tr>
                        <td align="left"><b>N Mesa</b></td>
                        <td aling="rigth"><?= $venda["Titulo"]; ?></td>
                    </tr>
                    <tr>
                        <td aling="left"><b>Data</b></td>
                        <td aling="rigth"><?= formatarData('d/m/Y', $venda['Data_Venda']); ?></td>
                    </tr>
                </table>
            </td>
        </tr>
    </table>
    <tr>
        <td align="">
            <table width="100%" class="razao">
                <tr>
                    <td colspan="3" align="center" style="background-color:#000000;">
                        <font color="#FFFFFF">
                            Identificao do Cliente
                        </font>
                    </td>
                </tr>
                <tr>
                    <td><b>Cliente:</b> <?= $venda["Cliente"]; ?></td>
                </tr>
                <tr>
                    <td><b>Fone:</b> <?= $venda["Fone1"]; ?></td>
                </tr>
                <tr>
                    <td><b>Endereo:</b> <?= $venda["Endereco"] . ', ' . $venda["Cidade"] . ' - ' . $venda["Estado"] ?>
                    </td>
                </tr>
            </table>
        </td>
    </tr>
    <tr>
        <td>
            <table width="100%" class="razao">
                <tr>
                    <td colspan="8" width="100%" align="left" style="background-color:#000000;">
                        <font color="#FFFFFF">
                            Produtos
                        </font>
                    </td>
                </tr>
                <tr>
                    <td colspan="2"><b>Item</b></td>
                    <td><b>Qtd</b></td>
                    <td><b>Preo</b></td>
                    <td><b>Desconto</b></td>
                    <td><b>Total</b></td>
                </tr>
                <?php
                $venda_produto = $con->query("SELECT venda_produto.Id, venda_produto.Preco, venda_produto.Qtd, venda_produto.Desconto_Real,
                venda_produto.Desconto,venda_produto.Obs_Produto, 
                produto.Titulo Produto, produto.Descricao, produto.Codigo, produto.Medida 
                FROM (SELECT Id, Preco, Qtd, Desconto_Real,Desconto,Obs_Produto,Id_Venda,Cancelado,Id_Produto FROM venda_produto) as venda_produto
                LEFT JOIN (SELECT Id,Titulo,Descricao,Codigo,Medida FROM produto) as produto ON produto.Id = venda_produto.Id_Produto 
                WHERE venda_produto.Id_Venda = '$idVenda' AND venda_produto.Cancelado = 'No'");
                $x = 0;
                while ($produto = mysqli_fetch_assoc($venda_produto)) { ?>
                    <tr>
                        <td colspan="2"><?= $produto["Codigo"] . '-' . $produto["Produto"]; ?></td>
                        <td><?= $produto["Qtd"]; ?></td>
                        <td><?= number_format($produto["Preco"], 2, ',', '.'); ?></td>
                        <td><?= number_format($produto["Desconto_Real"], 2, ',', '.'); ?></td>
                        <td>
                            <?= number_format(($produto["Qtd"] * ($produto["Preco"]) - ($produto["Desconto_Real"])), 2, ",", "."); ?>
                        </td>
                    </tr>
                    <?php if ($produto["Obs_Produto"] != '') { ?>
                        <tr>
                            <td colspan="6"><b>Obs.:</b> <?= $produto["Obs_Produto"]; ?> </td>
                        </tr>
                    <?php } ?>
                <?php
                    $x++;
                    $Qtd_Venda += $produto["Qtd"];
                    $subtotal += $produto["Preco"] * $produto["Qtd"];
                    $Desconto_Real += $produto["Desconto_Real"];
                    $total += (($produto["Qtd"] * ($produto["Preco"]) - ($produto["Desconto_Real"] + $venda["Desconto_Total"])));
                    // CALCULAR DESCONTO DE HAPPY HOUR DO PRODUTO
                }
                ?>

                <tr>
                    <td colspan="8" width="100%" align="left" style="background-color:#000000;">
                        <font color="#FFFFFF">
                            <?php if ($venda['Status'] <> 'Finalizado') {
                                echo 'Parcial';
                            } else {
                                echo 'Totais';
                            } ?>
                        </font>
                    </td>
                </tr>

                <tr>
                    <td colspan="5">Volumes:</td>
                    <td align="right"><?= $Qtd_Venda; ?></td>
                </tr>
                <tr>
                    <td colspan="5">Sub Total:</td>
                    <td align="right"><?= number_format($subtotal, 2, ',', '.'); ?></td>
                </tr>
                <!--                <tr>
                    <td colspan="5">Desconto:</td>
                    <td align="right">
                        <?php
                        $descontoPercentualVenda = ($total * $venda['Desconto']) / 100;
                        $descontoVenda = $descontoPercentualVenda + $venda['Desconto_Real'];
                        echo number_format($descontoVenda, 2, ',', '.');
                        ?>
                    </td>
                </tr>-->
                <tr>
                    <td colspan="5">Taxa:</td>
                    <td align="right">
                        <?= number_format($venda['Taxa_Servico_Restaurante'], 2, ',', '.'); ?>
                    </td>
                </tr>
                <tr>
                    <td colspan="5">Couvert Artstico</td>
                    <td align="right">
                        <?= number_format($venda['Taxa_Couvert_Artistico'], 2, ',', '.'); ?>
                    </td>
                </tr>
                <tr>
                    <?php
                    if ($venda['Aplicar_Taxa_Servico_Restaurante'] == "Sim" && $taxaServicoRestaurante > 0) {
                        $total += $taxaServicoRestaurante;
                    }
                    if ($venda['Aplicar_Taxa_Couvert_Artistico'] == "Sim") {
                        $total += str_replace(",", ".", $venda['Taxa_Couvert_Artistico']);
                    } ?>
                    <td colspan="5">Total (R$):</td>
                    <td align="right"><?= number_format($total, 2, ',', '.'); ?></td>
                </tr>

                <?php
                $pagamentosParcial = $con->query("SELECT SUM(Valor_Pago)as Total,Valor,Tipo_Pagamento FROM venda_tipo_pagamento WHERE Id_Venda = '$idVenda'");
                if ($pagamentosParcial->num_rows > 0) {
                    $pagamentosParcial = mysqli_fetch_assoc($pagamentosParcial); ?>
                    <tr>
                        <td colspan="5">Pagamento Parcial:</td>
                        <td align="right"><?= number_format($pagamentosParcial['Total'], 2, ',', '.'); ?></td>
                    </tr>
                    <tr>
                        <td colspan="3" width="100%" align="left" style="background-color:#000000;">
                            <font color="#FFFFFF">
                                Pagamento
                            </font>
                        </td>

                        <td colspan="3" width="100%" align="left" style="background-color:#000000;">
                            <font color="#FFFFFF">
                                Valor:
                            </font>
                        </td>
                    </tr>
                    <?php
                    //buscando todos os pagamentos da Comanda
                    $mesaPagamento = mysqli_query($con, "SELECT tipo_pagamento.Titulo as Tipo_Pagamento,tipo_pagamento.Pix,venda_tipo_pagamento.Valor_Troco,venda_tipo_pagamento.Valor_Pago
                                FROM venda_tipo_pagamento
                                LEFT JOIN (SELECT Id,Titulo,Pix FROM tipo_pagamento) as tipo_pagamento ON tipo_pagamento.Id = venda_tipo_pagamento.Id_Tipo_Pagamento
                                WHERE venda_tipo_pagamento.Id_Venda='$idVenda'
                                ORDER BY venda_tipo_pagamento.Data_Cadastro");
                    $totalTroco = 0;
                    //WHILE PAGAMENTOS COMANDA
                    while ($pagamentosMesa = mysqli_fetch_assoc($mesaPagamento)) {
                        $totalTroco += $pagamentosMesa["Valor_Troco"];
                        if ($pagamentosMesa["Pix"] == 'Sim') {
                            $pix_valor += $pagamentosMesa["Valor_Pago"];
                            $pix_descr = $pagamentosMesa["Tipo_Pagamento"];
                        }
                    ?>
                        <tr>
                            <td colspan="3"><?php echo $pagamentosMesa["Tipo_Pagamento"] ?></td>
                            <td colspan="3" align="right"><?php echo number_format($pagamentosMesa["Valor_Pago"], 2, ',', '.'); ?><br></td>
                        </tr>

                    <?php } ?>
                    <tr>
                        <td colspan="5"><b>Valor Pendente</b>:</td>
                        <td align="right"><?= number_format(($total - $descontoVenda) - $pagamentosParcial['Total'], 2, ',', '.'); ?></td>
                    </tr>
                <?php } ?>
                <tr>
                    <td>Observao: <?php echo $venda['Obs'] ?></td>
                </tr>
                <tr>
                    <td colspan="8" width="100%" align="center" style="background-color:#000000;">
                        <font color="#FFFFFF">
                            Mesa ocupada por <?php echo $venda["Qtd_Atual_Pessoas"] ?> pessoas. Valor aproximado
                            <?php echo 'R$ ' . number_format($total / $venda["Qtd_Atual_Pessoas"], 2) ?> por pessoa
                        </font>
                    </td>
                </tr>
                <tr>
                    <td>
                        &nbsp;
                    </td>
                </tr>
                <tr>
                    <td colspan="8" width="100%" align="justify">
                        <font color="#000">
                            <b><i>Documento emitido apenas para consulta de consumo parcial. A emisso desse documento
                                    no quita o pedido.</i></b>
                        </font>
                    </td>
                </tr>
                <tr>
                    <td>
                        &nbsp;
                    </td>
                </tr>
                <?php if ($venda['Imprimir_Cancelado'] == "Sim") { ?>
                    <tr>
                        <td colspan="8" width="100%" align="left" style="background-color:#000000;">
                            <font color="#FFFFFF">
                                Produtos Cancelados
                            </font>
                        </td>
                    </tr>
                    <tr>
                        <td colspan="2"><b>Descriao</b></td>
                        <td><b>Qtd</b></td>
                        <td><b>Preo</b></td>
                        <td><b>Desc</b></td>
                        <td><b>Total</b></td>
                    </tr>
                    <?php
                    $QtdCancelado = 0;
                    $subTotalCancelado = 0;
                    $totalCancelado = 0;
                    $produtosCancelados = $con->query("SELECT venda_produto.Id, venda_produto.Preco, venda_produto.Qtd,
                    venda_produto.Desconto, produto.Titulo Produto, produto.Descricao, produto.Codigo, produto.Medida 
                    FROM (SELECT Id, Preco, Qtd,Desconto,Id_Produto,Id_Venda,Cancelado FROM venda_produto) as venda_produto
                    LEFT JOIN (SELECT Id,Titulo, Descricao, Codigo, Medida FROM produto) as produto ON produto.Id = venda_produto.Id_Produto 
                    WHERE venda_produto.Id_Venda = '$idVenda' AND venda_produto.Cancelado = 'Sim'");
                    while ($produtoCancelado = mysqli_fetch_assoc($produtosCancelados)) { ?>
                        <tr>
                            <td colspan="2"><?= $produtoCancelado["Codigo"] . '-' . $produtoCancelado["Produto"]; ?></td>
                            <td><?= $produtoCancelado["Qtd"]; ?></td>
                            <td><?= number_format($produtoCancelado["Preco"], 2, ',', '.'); ?></td>
                            <td><?= number_format($produtoCancelado["Desconto_Real"], 2, ',', '.'); ?></td>
                            <td>
                                <?= number_format(($produtoCancelado["Qtd"] * ($produtoCancelado["Preco"]) - ($produtoCancelado["Desconto_Real"])), 2, ",", "."); ?>
                            </td>
                        </tr>
                    <?php
                        $QtdCancelado += $produtoCancelado["Qtd"];
                        $subTotalCancelado += $produtoCancelado["Preco"] * $produtoCancelado["Qtd"];
                        $totalCancelado += ($produtoCancelado["Qtd"] * $produtoCancelado["Preco"]);
                        // CALCULAR DESCONTO DE HAPPY HOUR DO PRODUTO
                    }
                    ?>
                    <tr>
                        <td colspan="8" width="100%" align="left" style="background-color:#000000;">
                            <font color="#FFFFFF">
                                <?php if ($venda['Status'] <> 'Finalizado') {
                                    echo 'Cancelamento Parcial';
                                } else {
                                    echo 'Cancelamento Total';
                                } ?>
                            </font>
                        </td>
                    </tr>

                    <tr>
                        <td colspan="5">Volumes:</td>
                        <td align="right"><?= $QtdCancelado; ?></td>
                    </tr>

                    <tr>
                        <td align="right">
                            <?php
                            $totalCancelado -= $descontoVenda;
                            ?>
                        </td>
                    </tr>
                    <tr>
                        <td colspan="5">Total (R$):</td>
                        <td align="right"><?= number_format($totalCancelado, 2, ',', '.'); ?></td>
                    </tr>
                <?php } ?>
            </table>
        </td>
    </tr>
    <?php

    $venda_produto = $con->query("SELECT venda_produto.Impresso_Cozinha
                            FROM (SELECT Id, Preco, Qtd,Desconto,Id_Produto,Id_Venda,Cancelado,Impresso_Cozinha FROM venda_produto) as venda_produto 
                            LEFT JOIN (SELECT Id,Titulo, Descricao, Codigo, Medida,Cozinha FROM produto) as produto ON produto.Id = venda_produto.Id_Produto
                            WHERE venda_produto.Id_Venda = '$idVenda' AND venda_produto.Cancelado = 'No' AND produto.Cozinha = 'Sim'");
    while ($produto = mysqli_fetch_assoc($venda_produto)) {
        if ($produto["Impresso_Cozinha"] == 'No') {
            $impressoCozinha = 'Sim';
        }
    }

    if (COZINHA_IMP == 'Sim') {
        if ($impressoCozinha == 'Sim') { ?>
            <script>
                let idVenda = document.getElementById('VendaId').value;
                window.open(`./impressao_cozinha.php?venda=${idVenda}&origem=interna`, '_blank', 'width=400,height=500,top=20,left=250,scrollbars=yes');
            </script>
    <?php }
    } ?>
    <script>
        window.opener.location.href = 'list_mesa.php';
        window.print();
    </script>
</body>

</html>