<?php
include_once '../include/conecta.php'; //Conecta com a nosso banco de dados MySQL
include_once 'menu_movimento.php';
// include_once 'ver_cookie.php'; //Verifica se a sess?o est? ativa
include_once 'funcoesPhp.php'; //Inclue a pgina con todas as fun??es a ser usada.
?>
<?php
if (RESTAURANTE != 'Sim' && MESA != 'Sim') {
    exit();
}

$empresa = $con->query("SELECT * FROM unidade WHERE Id = '" . $_COOKIE["Unidade"] . "'");
$empresa = mysqli_fetch_assoc($empresa);
?>
<html>

<head>
    <title>Restaurante</title>
    <link rel="stylesheet" type="text/css" href="../tef/css/bootstrap.min.css">
    <link rel="stylesheet" type="text/css" href="./css/list_mesa.css">
    <script src="../js/jquery-3.3.1.min.js"></script>
    <script src="../js/dragscroll.min.js"></script>
    <?php include 'cabecalho_mesa.php'; ?>
</head>

<body class="topo" style="margin-left: 0px; font-family: 'Segoe UI', Tahoma, Geneva, Verdana, sans-serif !important;height:100vh">
    <div style="display: flex; justify-content: space-between; padding: 0 1% 1% 1%; align-items: center; color:#e67e22">
        <div aling="left" style="display: flex;justify-content: center;">
            <img src="../imagem/pontti_slogan.png" alt="" width="120px" height="auto">
        </div>

        <div aling="center" style="display: flex;gap:3rem">
            <?php
            if (MESA == 'Sim') { ?>
                <div class="tipoRestaurante tipoRestaurante-selecionado">
                    <center>
                        <img src="../imagem/mesa_novo.png" alt="Mesa Disponvel" width="50px" onclick="location.href='list_mesa.php?acao=entrar'" type="button" style="cursor:pointer; display: flex;">Mesa
                    </center>
                </div>
            <?php
            }
            if (COMANDA == 'Sim') { ?>
                <div class="tipoRestaurante">
                    <center>
                        <img src="../imagem/comanda_novo.png" alt="Mesa Ocupada" width="50px" onclick="location.href='comanda/list_comanda.php?acao=entrar'" type="button" style="cursor:pointer; display: flex;">Pedido
                    </center>
                </div>
            <?php
            }
            if (DELIVERY == 'Sim') { ?>
                <div class="tipoRestaurante">
                    <center>
                        <img src="../imagem/delivery_mesa.png" alt="Delivery" width="50px" onclick="location.href='delivery/list_delivery.php?acao=entrar'" type="button" style="cursor:pointer; display: flex; ">Delivery
                    </center>
                </div>
            <?php
            }
            if (MODULO_COZINHA == 'Sim') { ?>
                <div class="tipoRestaurante">
                    <center>
                        <img src="../imagem/cozinha.png" alt="Delivery" width="50px" onclick="location.href='cozinha/list_cozinha.php?acao=entrar'" type="button" style="cursor:pointer; display: flex; ">Cozinha
                    </center>
                </div>
            <?php
            } ?>
        </div>

        <div aling="right" style="display: flex;justify-content: center;">
            <img src="../unidade/foto/1.png" alt="Mesa Disponvel" style="max-width:120px; max-height:56px">
        </div>
    </div>

    <div style="display: flex;justify-content: center;align-items: flex-start;" class="table_principal dragscroll">
        <div style="width:90%;display:flex;justify-content:center;flex-wrap:wrap;padding-bottom:10px">
            <?php
            if (RESTAURANTE == 'Sim' && MESA == 'Sim' && EXIBIR_MESA_NOVO == 'Sim') {
                $sql = "SELECT mesa_cadastro.Id, mesa_cadastro.Titulo, 
                mesa_cadastro.Qtd_Maxima_Pessoas, 
                mesa_cadastro.Reservada, mesa_cadastro.Ativo,
                mesa_cadastro.Qtd_Atual_Pessoas, venda.Valor_Original, 
                venda.Data_Cadastro, mesa_cadastro.Responsavel 
                FROM mesa_cadastro
                LEFT JOIN (SELECT Id,Data_Cadastro,Id_Mesa,Valor_Original FROM venda) venda ON venda.Id_Mesa = mesa_cadastro.Id";

                if (isset($_GET["status"])) {
                    switch ($_GET["status"]) {
                        case "Disponivel":
                            $sql .= " WHERE mesa_cadastro.Qtd_Atual_Pessoas = 0 AND mesa_cadastro.Ativo = 'Sim' AND mesa_cadastro.Reservada='No'";
                            break;
                        case "Ocupada":
                            $sql .= " WHERE mesa_cadastro.Qtd_Atual_Pessoas > 0";
                            break;
                        case "Reservada":
                            $sql .= " WHERE mesa_cadastro.Reservada = 'Sim'";
                            break;
                    }
                }
                $sql .= " ORDER BY mesa_cadastro.Titulo";
                $mesa_cadastro = $con->query($sql);
                while ($mesa = mysqli_fetch_assoc($mesa_cadastro)) {
                    $mesa['Valor_Original'] = !empty($mesa['Valor_Original']) ? $mesa['Valor_Original'] : 0;
                    //status Mesa
                    if ($mesa['Reservada'] == "Sim") {
                        $statusMesa = "reservada";
                    } elseif ($mesa['Ativo'] == "No") {
                        $statusMesa = 'inativa';
                    } elseif ($mesa['Qtd_Atual_Pessoas'] > 0) {
                        $statusMesa = "ocupada";
                    } elseif ($mesa['Qtd_Atual_Pessoas'] == 0) {
                        $statusMesa = "disponivel";
                    } ?>
                    <button type="button" onclick="<?= $statusMesa != 'inativa' ? "location.href='pedido_mesa.php?mesa={$mesa['Id']}'" : '' ?>" class="botao_mesa">
                        <span style="font-size: 23px;">Mesa <?= $mesa["Titulo"]; ?></span>
                        <img align="right" src="../imagem/mesa_<?= $statusMesa ?>.png" alt="Mesa" class="icone_botao_mesa">
                        <span style="font-size:14px"><?= $mesa['Qtd_Maxima_Pessoas'] - $mesa['Qtd_Atual_Pessoas']; ?> lugares
                            disponiveis</span>
                        <span style="font-size:14px">R$ <?= number_format($mesa['Valor_Original'], 2, ',', '.'); ?></span>
                        <?php if (!empty($mesa['Responsavel'])) { ?>
                            <span style="font-size:14px"><strong>Resp. </strong><?= $mesa['Responsavel']; ?></span>
                        <?php } ?>
                        <div style="display: flex; justify-content: center; width: 100%; position: absolute; bottom: 5px;">
                            <img src="../imagem/android-stopwatch.png" alt="Cronometro" style="width:8%;height:8%;margin: 2px 0 0 -12px">
                            <?php
                            $horaCadastro = new DateTime($mesa['Data_Cadastro']);
                            $tempoDecorrido = $horaCadastro->diff(new DateTime());
                            $diferencaHora = strlen($tempoDecorrido->h) == 1 ? "0$tempoDecorrido->h" : $tempoDecorrido->h;
                            $diferencaMinutos = strlen($tempoDecorrido->i) == 1 ? "0$tempoDecorrido->i" : $tempoDecorrido->i;
                            $diferencaSegundos = strlen($tempoDecorrido->s) == 1 ? "0$tempoDecorrido->s" : $tempoDecorrido->s; ?>
                            <span class="tempoOcupacao"><?= "$diferencaHora:$diferencaMinutos:$diferencaSegundos" ?></span>
                        </div>
                    </button>
            <?php
                }
            } ?>
        </div>
    </div>
    <div style="display: flex;justify-content: space-around; color: #FF8C00; margin-top: 1%" id="botoesRodape">
        <div style="display: flex; justify-content: space-between; width: 25%">
            <div class="<?= !isset($_GET['status']) ? 'btnFiltro-selecionado' : ''; ?>" <?= !isset($_GET['status']) ? "style='opacity: 0.5'" : ""; ?>>
                <img src="../imagem/todas.png" alt="Mesa Disponvel" width="50px" onclick="window.location.href='list_mesa.php'" type="button" style="cursor:pointer; display: flex;">
                <span>Todas</span>
            </div>
            <div class="<?= $_GET['status'] && $_GET['status'] == 'Disponivel' ? 'btnFiltro-selecionado' : ''; ?>" <?= isset($_GET['status']) && $_GET['status'] == "Disponivel" ? "style='opacity: 0.5'" : ""; ?>>
                <img src="../imagem/talheres2.png" alt="Mesa Disponvel" width="50px" onclick="window.location.href='list_mesa.php?status=Disponivel'" type="button" style="cursor:pointer; display: flex;">
                <span>Disponvel</span>
            </div>
            <div class="<?= $_GET['status'] && $_GET['status'] == 'Ocupada' ? 'btnFiltro-selecionado' : ''; ?>" <?= isset($_GET['status']) && $_GET['status'] == "Ocupada" ? "style='opacity: 0.5'" : ""; ?>>
                <img src="../imagem/talheres.png" alt="Mesa Ocupada" width="50px" onclick="window.location.href='list_mesa.php?status=Ocupada'" type="button" style="cursor:pointer; display: flex;">
                <span>Ocupada</span>
            </div>
            <div class="<?= $_GET['status'] && $_GET['status'] == 'Reservada' ? 'btnFiltro-selecionado' : ''; ?>" <?= isset($_GET['status']) && $_GET['status'] == "Reservada" ? "style='opacity: 0.5'" : ""; ?>>
                <img src="../imagem/restaurante.png" alt="Mesa Reservada" width="50px" onclick="window.location.href='list_mesa.php?status=Reservada'" type="button" style="cursor:pointer; display: flex;">
                <span>Reservada</span>
            </div>
        </div>
        <div style="display: flex; justify-content: space-between; width: 25%">
            <?php if ($empresa['Tef'] == 'Sim') { ?>
                <div>
                    <img src="../imagem/estorno_cartao.png" alt="Estorno" width="50px" type="button" style="cursor:pointer; display: flex;" data-toggle="modal" data-target="#modalVendasFinalizadas" id="listVendasFinalizadas">
                    <span>Estorno</span>
                </div>
            <?php }
            if (FUNCAO_GLOBAL_MESA == 'Sim') { ?>
                <div>
                    <img src="../imagem/funcoes.png" alt="Funcoes" width="50px" onclick="window.open('funcoes_mesa_novo.php','Btn_funcao','width=700,height=800,top=0,left=0,scrollbars=yes')" type="button" style="cursor:pointer; display: flex;">
                    <span>Funes</span>
                </div>
            <?php }
            if (TRANSFERENCIA_MESA == 'Sim') { ?>
                <div>
                    <img src="../imagem/troca.png" alt="Troca" width="50px" onclick="window.open('transferencia_mesa.php','Btn_tranferencia','width=720,height=800,top=0,left=0,scrollbars=yes')" type="button" type="button" style="cursor:pointer; display: flex;">
                    <span>Transferncia</span>
                </div>
            <?php }
            if (PARCIAL_MESA_GLOBAL == 'Sim') { ?>
                <div>
                    <img src="../imagem/fatura.png" alt="Pedido" width="50px" onclick="window.open('parcial_mesa.php','Btn_parcial','width=600,height=400,top=0,left=0,scrollbars=yes')" type="button" type="button" style="cursor:pointer; display: flex;">
                    <span>Impresses</span>
                </div>
            <?php } ?>
        </div>
    </div>

    <div class="modal fade" id="modalVendasFinalizadas" tabindex="-1" role="dialog" aria-labelledby="modalVendasFinalizadas" aria-hidden="true" style="background-color: transparent">
        <div class="modal-dialog modal-lg">
            <div class="modal-content" method="post" id="pagarCartaoCredito">
                <div class="modal-header">
                    <button type="button" class="close" data-dismiss="modal" aria-hidden="true">&times;</button>
                    <h4 class="modal-title" id="myModalLabel"><strong>Vendas finalizadas</strong></h4>
                </div>
                <div class="modal-body">
                    <div id="exibeVendas">
                        <form style="padding-bottom: 10px;" id="filtroVenda">
                            <div style="display:flex;justify-content:space-between; padding: 0 30px;">
                                <div style="display:flex;flex-direction: column; width: 40%">
                                    <span style="color:#ffff"><strong>Cdigo Venda</strong></span>
                                    <input type="text" name="Codigo" id="Codigo" class="codigo" />
                                </div>
                                <div style="display:flex;flex-direction: column; width: 40%">
                                    <span style="color:#ffff"><strong>Cliente</strong></span>
                                    <input type="text" name="Cliente" id="cliente" class="codigo" minlength="3" />
                                </div>
                            </div>
                            <div style="display:flex; justify-content: center">
                                <button type="submit" style="width: 400px; height: 40px;margin-top:7px;"><span style="font-size: 20px;color: #000">Buscar Venda</span></button>
                            </div>
                        </form>
                        <table width="100%" border="0" cellpadding="2" cellspacing="1" id="listaVendas">
                            <thead>
                                <tr>
                                    <th class="tr-1">Cdigo</th>
                                    <th class="tr-1">Cliente</th>
                                    <th class="tr-1">Funcionrio</th>
                                    <th class="tr-1">Total</th>
                                    <th class="tr-1">Valor Pago</th>
                                    <th class="tr-1"></th>
                                </tr>
                            </thead>
                            <tbody>
                            </tbody>
                        </table>
                    </div>
                    <div id="exibePagamentos">
                        <div style="padding: 2px 10px;background-color: #163758;border-top-left-radius: 10px;border-top-right-radius: 10px;">
                            <h4 style="color: #ffff">Codigo Venda : <span id="codigoVenda"></span></h4>
                        </div>
                        <table width="100%" border="0" cellpadding="2" cellspacing="1" id="listaPagamentos">
                            <thead>
                                <tr>
                                    <th class="tr-1">Ordem</th>
                                    <th class="tr-1">Mtodo</th>
                                    <th class="tr-1">Total</th>
                                    <th class="tr-1">Valor Pago</th>
                                    <th class="tr-1"></th>
                                </tr>
                            </thead>
                            <tbody>
                            </tbody>
                        </table>
                        <div style="margin-top: 10px;background-color:#163758">
                            <a href="" id="voltar">&larr; Voltar</a>
                        </div>
                        <input type="hidden" name="idVenda">
                    </div>
                </div>
                <div class="modal-footer">
                    <button type="button" class="btn btn-default" data-dismiss="modal">Cancelar</button>
                </div>
            </div>
        </div>
    </div>
    <script src="../tef/js/cappta-checkout.js"></script>
    <script src="../tef/js/sample-payments.js"></script>
    <script src="../js/jquery.maskMoney.min.js"></script>
    <script src="../js/bootstrap.min.js"></script>
    <?php
    $configTef = $con->query("SELECT Tef FROM unidade WHERE Id='" . $_COOKIE['Unidade'] . "'");
    $configTef = mysqli_fetch_assoc($configTef)['Tef'];

    if ($configTef == "Sim") { ?>
        <script>
            //Autenticao cappta
            autenticar();
        </script>
    <?php } ?>
</body>

</html>