<html>

<head>
    <style>
        * {
            padding: 0;
            margin: 0;
            box-sizing: border-box;
        }

        body {
            background-color: #163758;
            font-family: 'Segoe UI', Tahoma, Geneva, Verdana, sans-serif;
        }

        .titulo {
            display: flex;
            justify-content: center;
            align-items: center;
            width: 100%;
            border: 1px solid #fff;
            border-radius: 5px;
            background-color: #FF8C00;
            color: #000;
            padding: 25px 10px;
            margin-bottom: 25px;
        }

        .botoes {
            width: 200px;
            height: 80px;
            cursor: pointer;
            border: inset #9e93a8;
            border-radius: 7px;
        }

        .btn-cancelar {
            color: #fff;
            background-color: #dd4b39;
            padding: 1% 2%;
            cursor: pointer;
            width: 70px;
            height: 30px;
            border: none;
            border-radius: 4px;
        }

        .btn-cancelar:hover {
            background-color: #c9302c;
        }
    </style>
</head>

<body>
    <div style="display:flex;flex-direction:column;align-items:center;padding-top:25px">
        <div class="titulo">
            <h1>Transferncia de Dados</h1>
        </div>
        <span style="font-size: 24px;color:white">Selecione a ao que deseja realizar</span>
        <div style="display:flex; justify-content:space-evenly;margin-top:45px;width:100%;">
            <button class="botoes" onclick="window.location='cad_importar.php'" title="Importar">
                <span style="font-size: 30px;color: #000">Importar</span>
            </button>
            <button class="botoes" onclick="window.location='cad_exportar.php'" title="Exportar">
                <span style="font-size: 30px;color: #000">Exportar</span>
            </button>
        </div>
        <div style='margin-top:55px'>
            <button class="btn-cancelar" type="button" onclick="window.location.href='funcoes_mesa_novo.php'">Voltar</button>
        </div>
    </div>
</body>

</html>