<?php
include_once '../../include/conecta.php'; //Conecta com a nosso banco de dados MySQL
include_once '../ver_cookie.php'; //Verifica se a sesso est ativa
include_once '../funcoesPhp.php';
include_once '../../menu_movimento.php';
include_once '../validar_desconto.php';

$idVendaProduto = addslashes($_POST['idVendaProduto']);
$idTabelaPreco = addslashes($_POST['idTabelaPreco']) ?? null;
$preco = addslashes($_POST['preco']);
$qtdProduto = addslashes($_POST['qtdProduto']);
$desconto = addslashes($_POST['desconto']);
$descontoReal = addslashes($_POST['descontoReal']);
$observacao = addslashes(mb_convert_encoding($_POST['observacao'], "ISO-8859-1", "UTF-8"));
$vendaProduto = mysqli_query($con, "SELECT Id_Venda, Id_Produto, Preco_Tabela FROM venda_produto WHERE Id = '$idVendaProduto'");
$vendaProduto = mysqli_fetch_assoc($vendaProduto);
$precoTabela = $vendaProduto['Preco_Tabela'];
$sql = "UPDATE venda_produto SET Qtd = '$qtdProduto', Obs_Produto = '$observacao'";

if(ALTERAR_VALOR_ITEM == "Sim" || TABELA_PRECO == "Sim") {
    $sql .= ",Preco = '$preco'";
}
if(TABELA_PRECO == "Sim") {
    $sql .= ",Id_Tabela_Preco = '$idTabelaPreco'";
    $valorTabelaPreco = mysqli_query($con, "SELECT Valor FROM produto_tabela WHERE Id = '$idTabelaPreco'");
    $valorTabelaPreco = mysqli_fetch_assoc($valorTabelaPreco)['Valor'];
    $getPrecoTabela = mysqli_query($con, "SELECT Preco$valorTabelaPreco AS Preco FROM produto WHERE Id = '{$vendaProduto['Id_Produto']}'");
    $precoTabela = mysqli_fetch_assoc($getPrecoTabela)['Preco'];
}
if(VENDER_BAIXO_TABELA == "No" && $preco < $precoTabela) {
    echo json_encode([
        "status"=> "erro",
        "mensagem"=> mb_convert_encoding("Voc no tem permisso para vender abaixo do preo", "UTF-8", "ISO-8859-1"),
        "venda"=> null
    ]);
    exit;
}
if(VENDER_ACIMA_TABELA == "No" && $preco > $precoTabela) {
    echo json_encode([
        "status"=> "erro",
        "mensagem"=> mb_convert_encoding("Voc no tem permisso para vender acima do preo", "UTF-8", "ISO-8859-1"),
        "venda"=> null
    ]);
    exit;
}
$desconto = str_replace(['.', ','], ['', '.'], $desconto);
$descontoReal = str_replace(['.', ','], ['', '.'], $descontoReal);
$descontosVendedor = mysqli_query($con, "SELECT Desconto_Produto, Desconto_Pedido FROM funcionario WHERE Id = '{$_COOKIE['Id_Funcionario']}'");
$descontosVendedor = mysqli_fetch_assoc($descontosVendedor);
$produtosVenda = [
    [
        "Preco"=> $preco != $precoTabela ? $preco : $precoTabela,
        "Qtd"=> $qtdProduto
    ]
];
$descontoPermitido = validarDesconto($descontosVendedor, $desconto, $descontoReal, $produtosVenda);

if(!$descontoPermitido) {
    echo json_encode([
        "status"=> "erro",
        "mensagem"=> mb_convert_encoding("Desconto no permitido", "UTF-8", "ISO-8859-1"),
        "venda"=> null
    ]);
    exit;
}
$dataHoraUpdate = date("Y-m-d H:i:s");
$sql .= ",Desconto = '$desconto', Desconto_Real = '$descontoReal'";
$atualizarVendaProduto = mysqli_query($con, "$sql , Id_Usuario_Upd = '{$_COOKIE['Id']}', Data_Cadastro_Upd = '$dataHoraUpdate' WHERE Id = '$idVendaProduto'");

$getProdutosVenda = $con->query("SELECT Qtd, Preco, Desconto, Desconto_Real FROM venda_produto WHERE Id_Venda = '{$vendaProduto['Id_Venda']}' AND Cancelado = 'No'");
$totalVenda = 0;

while ($produtoVenda = $getProdutosVenda->fetch_assoc()) {
    $totalProduto = $produtoVenda['Qtd'] * $produtoVenda['Preco'];
    $descontoPercentual = $produtoVenda['Desconto'] > 0 ? ($totalProduto * $produtoVenda['Desconto']) / 100 : 0;
    $totalVenda += ($totalProduto - $descontoPercentual - $produtoVenda['Desconto_Real']); 
}

$getVenda = $con->query("SELECT Aplicar_Taxa_Servico_Restaurante FROM venda WHERE Id = '{$_POST["idVenda"]}'");
$aplicarTaxaRestaurante = $getVenda->fetch_assoc()['Aplicar_Taxa_Servico_Restaurante'] ?? "Sim";

if($aplicarTaxaRestaurante == "Sim") {
    $taxasRestaurante = $con->query("SELECT Taxa_Servico_Restaurante, Couvert_Restaurante FROM opcao");
    $taxasRestaurante = $taxasRestaurante->fetch_assoc();
    $taxaServico = ($totalVenda * $taxasRestaurante['Taxa_Servico_Restaurante']) / 100;
    $totalVenda += $taxaServico;
}
$totalVenda = str_replace(['.', ','], ['', '.'], $totalVenda);

echo json_encode([
    "status"=> $atualizarVendaProduto ? 'ok' : 'erro',
    "mensagem"=> $atualizarVendaProduto ? '' : mb_convert_encoding("No foi possvel atualizar", "UTF-8", "ISO-8859-1"),
    "venda"=> [
        "total"=> (float)$totalVenda,
    ]
]);
?>