<?php
include_once "../../include/conecta.php"; //Conecta com a nosso banco de dados MySQL
include_once '../funcoesPhp.php'; //Inclue a pgina con todas as funes a ser usada.
session_start();
include_once "../ver_cookie.php"; //Verifica se a sesso est ativa */
$idVenda = addslashes($_GET['idVenda']);

$venda = $con->query("SELECT DATE_FORMAT(venda.Data_Cadastro,'%d/%m/%Y %H:%i:%s') as Data_Cadastro,
venda.Lancamento, 
venda.Status, 
venda.Data_Venda,
venda.Valor_Original, 
venda.Valor_Pago, 
venda.Desconto,
venda.Imprimir_Cancelado, 
venda.Desconto_Real, venda.Obs, 
venda.Id_Cliente, 
venda.Tipo_Entrega,
venda.Responsavel_Retirada,
venda.Aplicar_Taxa_Servico_Restaurante,
venda.Taxa_Servico_Restaurante, 
venda.Aplicar_Taxa_Couvert_Artistico, 
venda.Taxa_Couvert_Artistico,
venda.Numero_Comanda,
venda.Status_Comanda,
venda.Local_Pedido,
venda.Data_Entrega,
venda.Entrega_Comanda,
venda.Hora_Entrega,
venda.Obs, 
cliente.Titulo Cliente, 
cliente.Email,
cliente.Natureza, 
cliente.Cpf_Cnpj, 
cliente.Endereco, 
cliente.Cep,cliente.Bairro, 
cliente.Cidade, cliente.Estado, 
cliente.Fone1,cliente.Fone2, 
cliente.Obs Obs_Cliente,
cliente.Complemento,
cliente.Ponto_Referencia,
funcionario.Titulo Funcionario,
funcionario.Titulo Entregador,
vendedor.Titulo Vendedor
FROM (SELECT Id,Id_Cliente,Id_Entregador,Id_Vendedor,Data_Cadastro,
Lancamento, 
Status, 
Data_Venda,
Valor_Original, 
Valor_Pago, 
Desconto,
Imprimir_Cancelado, 
Desconto_Real, venda.Obs, 
Id_Cliente, 
Tipo_Entrega,
Responsavel_Retirada,
Aplicar_Taxa_Servico_Restaurante,
Taxa_Servico_Restaurante, 
Aplicar_Taxa_Couvert_Artistico, 
Taxa_Couvert_Artistico,
Numero_Comanda,
Status_Comanda,
Local_Pedido,
Data_Entrega,
Entrega_Comanda,
Hora_Entrega,
Obs 
FROM venda 
WHERE Id = '$idVenda') as venda
LEFT JOIN (SELECT Id,Titulo,Email,Natureza,Cpf_Cnpj,Endereco,Cep,Bairro,Cidade,Estado, 
Fone1,Fone2,Obs,Complemento,Ponto_Referencia FROM cliente) as cliente ON cliente.Id = venda.Id_Cliente
LEFT JOIN (SELECT Id,Titulo FROM funcionario) as funcionario ON funcionario.Id = venda.Id_Entregador
LEFT JOIN (SELECT Id,Titulo FROM funcionario) as vendedor ON vendedor.Id = venda.Id_Vendedor ");
$venda = mysqli_fetch_assoc($venda);

$dataVenda = explode("-", $venda['Data_Venda']);
$venda['Data_Venda'] = $dataVenda[2] . "/" . $dataVenda[1] . "/" . $dataVenda[0];
$subtotal = 0;
$total = 0;
?>
<html>

<head>
    <title>Order</title>
    <link rel="stylesheet" type="text/css" href="../../estilo/<?php echo SKIN; ?>/tabela_imp.css" />
    <script type="text/javascript" language="javascript" src="../../js/jquery.js"></script>
    <?php include '../../include/script_cabeca.php'; ?>
    <script type="text/javascript" language="javascript" src="../../js/script.js"></script>
    <style type="text/css">
        .razao {
            font-size: 12px;
        }
    </style>
</head>

<body>
    <input type="hidden" name="VendaId" id="VendaId" value="<?= $idVenda ?>">
    <table width="100%">
        <?php
        $empresa = $con->query("SELECT * FROM unidade WHERE Id = '" . $_COOKIE["Unidade"] . "'");
        $empresa = mysqli_fetch_assoc($empresa);
        ?>
        <tr>
            <td align="right">
                <table width="100%">
                    <tr>
                        <td width="40%">
                            <?php
                            $cam_arq = file_exists("../../unidade/foto/" . $empresa["Logo"] . "") ? "../../unidade/foto/" . $empresa["Logo"] :
                                "../../../unidade/foto/" . $empresa["Logo"]
                            ?>
                            <img src="<?= $cam_arq; ?>" title="Logo" alt="Logo" border="0" width="140px" height="auto" />
                        </td>
                        <td width="50%" class="razao" align="left">
                            <?= strtoupper($empresa["Titulo"]); ?><br>
                            <?= $empresa["Rua"] . ", " . $empresa["Numero"] . ', ' . $empresa["Bairro"]; ?><br>
                            <?= $empresa["Cidade"] . ", " . $empresa["Estado"] . " - " . $empresa["Cep"]; ?><br>
                            Fone: <?= $empresa["Fone1"]; ?><br>
                            <?php
                            if ($empresa["Fone2"]) {
                                echo "Fax: " . $empresa["Fone2"];
                            }
                            ?>
                        </td>
                    </tr>
                </table>
            </td>
        </tr>
        <tr>
            <td align="center" style="background-color:#000000;">
                <font color="#FFFFFF">
                    Identificao do Documento
                </font>
            </td>
        </tr>
        <tr>
            <td align="">
                <table width="100%" class="razao">
                    <tr>
                        <td align="left"><b>N Pedido</b></td>
                        <td aling="rigth"><?= ($venda["Numero_Comanda"]) ?></td>
                    </tr>
                    <tr>
                        <td aling="left"><b>Data</b></td>
                        <td aling="rigth"><?= $venda["Data_Cadastro"] ?></td>
                    </tr>
                    <tr>
                        <td aling="left"><b>Vendedor</b></td>
                        <td aling="rigth"><?= $venda["Vendedor"] ?></td>
                    </tr>
                    <?php if (CLIENTE_EMAIL == 'piattigastronomia' || CLIENTE_EMAIL == 'thevillefit' || CLIENTE_EMAIL == 'transamerica' || CLIENTE_EMAIL == 'gw') { ?>
                        <tr>
                            <td><b>Local Pedido</b></td>
                            <td aling="rigth"><?= $venda["Local_Pedido"] ?></td>
                        </tr>
                    <?php
                    }
                    if ($venda['Tipo_Entrega']) { ?>
                        <tr>
                            <td aling="left"><b>Tipo Entrega</b></td>
                            <td aling="rigth"><?= $venda["Tipo_Entrega"] ?></td>
                        </tr>
                    <?php } ?>
                </table>
            </td>
        </tr>
    </table>
    <tr>
        <td align="">
            <table width="100%" class="razao">
                <tr>
                    <td colspan="3" align="center" style="background-color:#000000;">
                        <font color="#FFFFFF">
                            Identificao do Cliente
                        </font>
                    </td>
                </tr>
                <tr>
                    <td><b>Cliente:</b> <?= $venda["Cliente"]; ?></td>
                </tr>
                <tr>
                    <td><b>Fone:</b> <?= $venda["Fone1"]; ?></td>
                    <?php if ($venda["Fone2"] != '') { ?>
                        <td><b>Fone:</b> <?= $venda["Fone2"]; ?></td>
                    <?php } ?>
                </tr>
                <tr>
                    <td><b>Endereo:</b>
                        <?= $venda["Endereco"] . ',' . $venda["Complemento"] . ', ' . $venda["Bairro"] . ', ' . $venda["Cidade"] . ' - ' . $venda["Estado"] ?>
                    </td>
                </tr>
                <?php if ($venda["Ponto_Referencia"] != '') { ?>

                    <tr>
                        <td><b>Ponto de Referencia:</b> <?= $venda["Ponto_Referencia"]; ?></td>
                    </tr>
                <?php } ?>

            </table>
        </td>
    </tr>
    <tr>
        <td>
            <table width="100%" class="razao">
                <tr>
                    <td colspan="8" width="100%" align="left" style="background-color:#000000;">
                        <font color="#FFFFFF">
                            Produtos
                        </font>
                    </td>
                </tr>
                <tr>
                    <td colspan="3"><b>Item</b></td>
                    <td><b>Qtd</b></td>
                    <td colspan="2"><b>Preo</b></td>
                    <!-- <td><b>Desconto</b></td> -->
                    <td><b>Total</b></td>
                </tr>
                <?php
                $venda_produto = $con->query("SELECT venda_produto.Id, venda_produto.Preco, 
                venda_produto.Qtd, venda_produto.Desconto_Real,
                venda_produto.Desconto,venda_produto.Obs_Produto, 
                venda_produto.Id_Produto
                FROM (SELECT Id, Preco, Qtd, Desconto_Real,Desconto,Obs_Produto,Id_Venda,Cancelado,Id_Produto,Data_Cadastro FROM venda_produto) as venda_produto
                WHERE venda_produto.Id_Venda = '$idVenda' AND Cancelado = 'No'
                $ordenar ");
                $x = 0;
                $qtdProdutosCozinha = 0;
                while ($produto = mysqli_fetch_assoc($venda_produto)) {
                    
                    $produto_item = $con->query("SELECT Id,Titulo as Produto,Descricao,Codigo,Medida,Cozinha
                        FROM produto WHERE produto.Id = '".$produto["Id_Produto"]."' ");
                    $produto_item = mysqli_fetch_assoc($produto_item);
                ?>
                    <tr>
                        <td colspan="3"><?= $produto["Codigo"] . '-' . $produto["Produto"]; ?></td>
                        <td><?= $produto["Qtd"]; ?></td>
                        <td colspan="2"><?= number_format($produto["Preco"], 2, ',', '.'); ?></td>
                        <td>
                            <?= number_format(($produto["Qtd"] * ($produto["Preco"]) - ($produto["Desconto_Real"])), 2, ",", "."); ?>
                        </td>
                    </tr>
                    <?php if ($produto["Obs_Produto"] != '') { ?>
                        <tr>
                            <td colspan="6"><b>Obs.:</b> <?= $produto["Obs_Produto"]; ?> </td>
                        </tr>
                    <?php } ?>
                <?php
                    $x++;
                    $Qtd_Venda += $produto["Qtd"];
                    $subtotal += number_format($produto["Preco"] * $produto["Qtd"], 2, '.', '');
                    $Desconto_Real += $produto["Desconto_Real"];
                    $total += number_format($produto["Qtd"] * $produto["Preco"], 2, '.', '') - ($produto["Desconto_Real"] + $venda["Desconto_Total"]);
                    // CALCULAR DESCONTO DE HAPPY HOUR DO PRODUTO

                    if ($produto['Cozinha'] == 'Sim') {
                        $qtdProdutosCozinha++;
                    }
                }
                ?>

                <tr>
                    <td colspan="8" width="100%" align="left" style="background-color:#000000;">
                        <font color="#FFFFFF">
                            <?php if ($venda['Status'] <> 'Finalizado') {
                                echo 'Parcial';
                            } else {
                                echo 'Totais';
                            } ?>
                        </font>
                    </td>
                </tr>

                <tr>
                    <td colspan="5">Volumes:</td>
                    <td align="right" colspan="2"><?= $Qtd_Venda; ?></td>
                </tr>
                <tr>
                    <td colspan="5">Sub Total:</td>
                    <td align="right" colspan="2"><?= number_format($subtotal, 2, ',', '.'); ?></td>
                </tr>
                <tr>
                    <td colspan="5">Desconto:</td>
                    <td align="right" colspan="2">
                        <?php
                        $descontoPercentualVenda = ($subtotal * $venda['Desconto']) / 100;
                        $descontoVenda = $descontoPercentualVenda + $venda['Desconto_Real'];
                        echo number_format($descontoVenda, 2, ',', '.');
                        ?>
                    </td>
                </tr>
                <?php
                if ($venda["Taxa_Servico_Restaurante"] > 0) { ?>
                    <tr>
                        <td colspan="5">Taxa:</td>
                        <td align="right" colspan="2">
                            <?php echo number_format($venda["Taxa_Servico_Restaurante"], 2, ',', '.'); ?>
                        </td>
                    </tr>
                <?php }
                if ($venda['Taxa_Couvert_Artistico'] > 0) { ?>
                    <tr>
                        <td colspan="5">Couvert artstico:</td>
                        <td align="right" colspan="2"><?= number_format($venda['Taxa_Couvert_Artistico'], 2, ',', '.'); ?></td>
                    </tr>
                <?php } ?>
                <tr>
                    <?php
                    if ($venda['Aplicar_Taxa_Servico_Restaurante'] == "Sim" && $venda["Taxa_Servico_Restaurante"] > 0) {
                        $total += $venda["Taxa_Servico_Restaurante"];
                    }
                    if ($venda['Aplicar_Taxa_Couvert_Artistico'] == "Sim" && $taxas['Couvert_Restaurante'] > 0) {
                        $total += str_replace(",", ".", $taxas['Couvert_Restaurante']);
                    } ?>
                    <td colspan="5"><b>Total (R$)</b>:</td>
                    <td align="right" colspan="2"><?= number_format($total - $descontoVenda, 2, ',', '.'); ?></td>
                </tr>
                <?php
                $pagamentosParcial = $con->query("SELECT SUM(Valor_Pago)as Total,Valor,Tipo_Pagamento FROM venda_tipo_pagamento WHERE Id_Venda = '$idVenda'
                AND  Tipo_Pagamento ='Parcial'");
                if ($pagamentosParcial->num_rows > 0) {
                    $pagamentosParcial = mysqli_fetch_assoc($pagamentosParcial); ?>
                    <tr>
                        <td colspan="6">Pagamento Parcial:</td>
                        <td align="right"><?= number_format($pagamentosParcial['Total'], 2, ',', '.'); ?></td>
                    </tr>
                    <tr>
                        <td colspan="3" width="100%" align="left" style="background-color:#000000;">
                            <font color="#FFFFFF">
                                Pagamento
                            </font>
                        </td>

                        <td colspan="4" width="100%" align="left" style="background-color:#000000;">
                            <font color="#FFFFFF">
                                Valor:
                            </font>
                        </td>
                    </tr>
                    <?php
                    //buscando todos os pagamentos da Comanda
                    $Comanda_Pag = mysqli_query($con, "SELECT tipo_pagamento.Titulo as Tipo_Pagamento,
                    tipo_pagamento.Pix,venda_tipo_pagamento.Valor_Troco,
                                    venda_tipo_pagamento.Valor_Pago
                                FROM venda_tipo_pagamento
                                LEFT JOIN (SELECT Id,Titulo,Pix FROM tipo_pagamento) as tipo_pagamento ON tipo_pagamento.Id = venda_tipo_pagamento.Id_Tipo_Pagamento
                                WHERE Id_Venda='$idVenda'
                                ORDER BY venda_tipo_pagamento.Data_Cadastro");
                    $totalTroco = 0;
                    //WHILE PAGAMENTOS COMANDA
                    while ($Pag_Comanda = mysqli_fetch_assoc($Comanda_Pag)) {
                        $totalTroco += $Pag_Comanda["Valor_Troco"];
                        if ($Pag_Comanda["Pix"] == 'Sim') {
                            $pix_valor += $Pag_Comanda["Valor_Pago"];
                            $pix_descr = $Pag_Comanda["Tipo_Pagamento"];
                        }
                    ?>


                        <tr>
                            <td colspan="3"><?php echo $Pag_Comanda["Tipo_Pagamento"] ?></td>
                            <td colspan="4" align="right"><?php echo number_format($Pag_Comanda["Valor_Pago"], 2, ',', '.'); ?><br></td>
                        </tr>

                    <?php } ?>
                    <tr>
                        <td colspan="6"><b>Valor Pendente</b>:</td>
                        <td align="right"><?= number_format(($total - $descontoVenda) - $pagamentosParcial['Total'], 2, ',', '.'); ?></td>
                    </tr>
                <?php } ?>
                <?php if ($venda["Obs"] != '') { ?>
                    <tr>
                        <td colspan="8" width="100%" align="left" style="background-color:#000000;">
                            <font color="#FFFFFF">
                                Observao Pedido
                            </font>
                        </td>
                    </tr>
                    <tr>
                        <td colspan="8"><?= $venda["Obs"] ?></td>
                    </tr>
                <?php } ?>
                <?php if ($venda["Status_Comanda"] == "Entrega") { ?>
                    <tr>
                        <td colspan="8" width="100%" align="left" style="background-color:#000000;">
                            <font color="#FFFFFF">
                                Entrega
                            </font>
                        </td>
                    </tr>
                    <tr>
                        <td colspan="2"><b>Data Entrega:</b></td>
                        <td><?php echo data_exibir($venda["Data_Entrega"]); ?></td>
                        <td colspan="2"><b>Hora Entrega:</b></td>
                        <td><?php echo $venda["Hora_Entrega"]; ?></td>
                    </tr>
                    <?php if ($venda["Tipo_Entrega"] == "Delivery") { ?>
                        <tr>
                            <td style="width: 100px;"><b>Entregador:</b></td>
                            <td colspan="7"><b><?php echo $venda["Entregador"]; ?></b></td>
                        </tr>
                        <tr>
                            <td width="100%"><b>Endereco:</b></td>
                            <td colspan="7"><?php echo $venda["Entrega_Comanda"]; ?></td>
                        </tr>
                    <?php } else { ?>
                        <tr>
                            <td style="width: 120px;"><b>Retirada por:</b></td>
                            <td colspan="7"><b><?php echo $venda["Responsavel_Retirada"]; ?></b></td>
                        </tr>
                    <?php } ?>

                <?php } ?>
                <tr>
                    <td>
                        &nbsp;
                    </td>
                </tr>
                <tr>
                    <td colspan="8" width="100%" align="justify">
                        <font color="#000">
                            <b><i>Documento emitido apenas para consulta de consumo parcial. A emisso desse documento
                                    no quita o pedido.</i></b>
                        </font>
                    </td>
                </tr>
                <tr>
                    <td>
                        &nbsp;
                    </td>
                </tr>
                <?php if ($venda['Imprimir_Cancelado'] == "Sim") { ?>
                    <tr>
                        <td colspan="8" width="100%" align="left" style="background-color:#000000;">
                            <font color="#FFFFFF">
                                Produtos Cancelados
                            </font>
                        </td>
                    </tr>
                    <tr>
                        <td colspan="2"><b>Descriao</b></td>
                        <td><b>Qtd</b></td>
                        <td colspan="2"><b>Preo</b></td>
                        <td><b>Total</b></td>
                    </tr>
                    <?php
                    $produtosCanceladosReg = $con->query("SELECT venda_produto.Id, 
                    venda_produto.Preco, 
                    venda_produto.Qtd, 
                    venda_produto.Desconto_Real,
                    venda_produto.Desconto, 
                    produto.Titulo Produto, 
                    produto.Descricao, 
                    produto.Codigo, 
                    produto.Medida 
                    FROM (SELECT Id,Preco,Qtd,Desconto_Real,Desconto,Id_Venda,Cancelado,Id_Produto FROM venda_produto) as venda_produto
                    LEFT JOIN (SELECT Id,Titulo,Descricao,Codigo,Medida FROM produto) as produto ON produto.Id = venda_produto.Id_Produto 
                    WHERE venda_produto.Id_Venda = '$idVenda' 
                    AND venda_produto.Cancelado = 'Sim'");
                    $c = 0;
                    while ($produtosCancelados = mysqli_fetch_assoc($produtosCanceladosReg)) { ?>
                        <tr>
                            <td colspan="2"><?= $produtosCancelados["Codigo"] . '-' . $produtosCancelados["Produto"]; ?></td>
                            <td><?= $produtosCancelados["Qtd"]; ?></td>
                            <td colspan="2"><?= number_format($produtosCancelados["Preco"], 2, ',', '.'); ?></td>
                            <!-- <td><?= number_format($produtosCancelados["Desconto_Real"], 2, ',', '.'); ?></td> -->
                            <td>
                                <?= number_format(($produtosCancelados["Qtd"] * ($produtosCancelados["Preco"]) - ($produtosCancelados["Desconto_Real"])), 2, ",", "."); ?>
                            </td>
                        </tr>
                    <?php
                        $c++;
                        $QtdCancelado += $produtosCancelados["Qtd"];
                        $subTotalCancelado += number_format($produtosCancelados["Preco"] * $produtosCancelados["Qtd"], 2, '.', '');
                        $Desconto_Real += $produtosCancelados["Desconto_Real"];
                        $totalCancelado += number_format($produtosCancelados["Qtd"] * $produtosCancelados["Preco"], 2, '.', '');
                        // CALCULAR DESCONTO DE HAPPY HOUR DO PRODUTO
                    }
                    ?>
                    <tr>
                        <td colspan="8" width="100%" align="left" style="background-color:#000000;">
                            <font color="#FFFFFF">
                                <?php if ($venda['Status'] <> 'Finalizado') {
                                    echo 'Cancelamento Parcial';
                                } else {
                                    echo 'Cancelamento Total';
                                } ?>
                            </font>
                        </td>
                    </tr>
                    <tr>
                        <td colspan="5">Total (R$):</td>
                        <td align="right"><?= number_format($totalCancelado, 2, ',', '.'); ?></td>
                    </tr>
                <?php } ?>
            </table>
        </td>
    </tr>
    <tr>
        <button onclick="location.href='list_comanda.php'">Fechar</button>
    </tr>

    <?php
    $venda_produto = $con->query("SELECT COUNT(venda_produto.Id) Qtd 
        FROM (SELECT Id,Id_Produto,Id_Venda,Cancelado,Impresso_Cozinha 
        FROM venda_produto
        WHERE venda_produto.Id_Venda = '$idVenda' 
        AND venda_produto.Cancelado = 'No' 
        AND venda_produto.Impresso_Cozinha = 'No') as venda_produto 
        LEFT JOIN (SELECT Id FROM produto WHERE Cozinha = 'Sim' ) produto ON produto.Id = venda_produto.Id_Produto ");
    $qtdProdNaoImpressos = $venda_produto->fetch_assoc()['Qtd'] ?? 0;
    // while ($produto = mysqli_fetch_assoc($venda_produto)) {
    //     if ($produto["Impresso_Cozinha"] == 'No') {
    //         $impressoCozinha = 'Sim';
    //     }
    // }

    if (COZINHA_IMP == 'Sim' && !isset($_GET["parcial"])) {
        if ($qtdProdutosCozinha > 0 && $qtdProdNaoImpressos > 0) {
            $locaisImpressao = mysqli_query($con, "SELECT Id FROM local_impressora");

            if ($locaisImpressao->num_rows > 0) {
                $locaisImpressao = mysqli_fetch_all($locaisImpressao, MYSQLI_ASSOC);
                // while ($localImpressao = mysqli_fetch_assoc($locaisImpressao)) {
                ?>
                <script>
                    let venda = document.getElementById('VendaId').value;

                    window.open(`impressao_cozinha_txt.php?venda=${venda}&localImpressao=<?= $locaisImpressao[0]['Id']; ?>`, '_blank', 'width=400,height=500,top=20,left=250,scrollbars=yes');
                    if ("<?= isset($locaisImpressao[1]); ?>" == true) {
                        window.open(`impressao_cozinha_txt_2.php?venda=${venda}&localImpressao=<?= $locaisImpressao[1]['Id']; ?>`, '_blank', 'width=400,height=500,top=20,left=250,scrollbars=yes');
                    }
                </script>
            <?php
                // }
            } else { ?>
                <script>
                    let idVenda = document.getElementById('VendaId').value;
                    let sistema = "<?= CLIENTE_EMAIL; ?>";
                    let url = sistema == 'deliciasrosarinho' ? 'impressao_comanda_detalhada' : 'impressao_cozinha';

                    window.open(`${url}.php?venda=${idVenda}${url == 'impressao_cozinha' ? '&origem=interna' : ''}`, '_blank', 'width=400,height=500,top=20,left=250,scrollbars=yes');
                </script>
            <?php
            }
        }
    } ?>
    <script>
        window.opener.location.href = 'list_comanda.php';
        window.print();
    </script>
</body>

</html>