<?php
include_once '../include/conecta.php'; //Conecta com a nosso banco de dados MySQL
include_once '../include/ver_sessao.php'; //Verifica se a sesso est ativa
include_once '../include/funcoesPhp.php'; include_once '../menu_movimento.php';
?>
<?php

    $sql_revalidacao_lote = mysqli_query($con,"SELECT Qtd,
                local_estoque_saida.Titulo as Local_Estoque_Saida,
                local_estoque_entrada.Titulo as Local_Estoque_Entrada,
                unidade_saida.Titulo as Unidade_Saida,
                unidade_entrada.Titulo as Unidade_Entrada,
                produto.Titulo as Produto,
                funcionario.Titulo as Funcionario
                FROM revalidacao_lote
                LEFT JOIN (SELECT Id,Titulo FROM produto) as produto ON produto.Id = revalidacao_lote.Id_Produto
                LEFT JOIN (SELECT Id,Titulo FROM funcionario) as funcionario ON funcionario.Id = revalidacao_lote.Id_Funcionario
                LEFT JOIN (SELECT Id,Titulo FROM local_estoque) as local_estoque_saida ON local_estoque_saida.Id = revalidacao_lote.Id_Local_Estoque_Saida
                LEFT JOIN (SELECT Id,Titulo FROM local_estoque) as local_estoque_entrada ON local_estoque_entrada.Id = revalidacao_lote.Id_Local_Estoque_Entrada
                LEFT JOIN (SELECT Id,Titulo FROM unidade) as unidade_saida ON unidade_saida.Id = revalidacao_lote.Id_Unidade_Saida
                LEFT JOIN (SELECT Id,Titulo FROM unidade) as unidade_entrada ON unidade_entrada.Id = revalidacao_lote.Id_Unidade_Entrada
                WHERE revalidacao_lote.Id='".$_GET["id_revalidacao_lote"]."'")
    or die("ERRO no comando SQL:".mysqli_error($con));
    $array_revalidacao_lote = mysqli_fetch_assoc($sql_revalidacao_lote);

    $_POST["Qtd"]       = $array_revalidacao_lote["Qtd"];
    $_POST["Produto"]   = $array_revalidacao_lote["Produto"];
    $_POST["Funcionario"] = $array_revalidacao_lote["Funcionario"];
    $_POST["Local_Estoque_Saida"] = $array_revalidacao_lote["Local_Estoque_Saida"];
    $_POST["Local_Estoque_Entrada"] = $array_revalidacao_lote["Local_Estoque_Entrada"];
    $_POST["Unidade_Saida"] = $array_revalidacao_lote["Unidade_Saida"];
    $_POST["Unidade_Entrada"] = $array_revalidacao_lote["Unidade_Entrada"];

?>
<html>
<head>
<title>Gw - Gesto Web</title>
<?php include 'cabecalho.php'; ?>
<link rel="stylesheet" type="text/css" href="../estilo/<?php echo SKIN ;?>/tabela_imp.css" />
</head>
<body>  

        <fieldset class="envolve">

 <table width="100%" align="center" border="0" cellpadding="2" cellspacing="2">
     <tr>
         <td class="azul-claro" width="20%">Produto</td>
         <td class="cinza"><?php echo $_POST["Produto"];?></td>
     </tr>
     <tr>
         <td class="azul-claro" width="20%">Quantidade</td>
         <td class="cinza"><?php echo $_POST["Qtd"];?></td>
     </tr>
     <tr>
         <td class="azul-claro" width="20%">Empresa Saida</td>
         <td class="cinza"><?php echo $_POST["Unidade_Saida"];?></td>
     </tr>
     <tr>
         <td class="azul-claro" width="20%">Local Estoque Sada</td>
         <td class="cinza"><?php echo $_POST["Local_Estoque_Saida"];?></td>
     </tr>
     <tr>
         <td class="azul-claro" width="20%">Empresa Entrada</td>
         <td class="cinza"><?php echo $_POST["Unidade_Entrada"];?></td>
     </tr>
     <tr>
         <td class="azul-claro" width="20%">Local Estoque Entrada</td>
         <td class="cinza"><?php echo $_POST["Local_Estoque_Entrada"];?></td>
     </tr>
     <tr>
         <td class="azul-claro" width="20%">Funcionrio</td>
         <td class="cinza"><?php echo $_POST["Funcionario"];?></td>
     </tr>
 </table>

        <br/>
        <button class="botao_novo" type="button" value="Voltar" onclick="location.href='list_revalidacao_lote.php';">Voltar</button>
            
        </fieldset>