<?php
include_once '../include/conecta.php'; //Conecta com a nosso banco de dados MySQL
include_once '../include/ver_sessao.php'; //Verifica se a sesso est ativa
include_once '../include/funcoesPhp.php';
include_once '../menu_movimento.php';

$modulo_lista = 'Cargo';
include '../include/sessao_lista.php';
?>
<?php
$menu = mysqli_query($con, "select permissao.Relatorio,
                                    permissao.Cadastrar,
                                    permissao.Alterar,
                                    permissao.Deletar
                                    from permissao
                                    inner join menu_usuario ON menu_usuario.Id_Menu = permissao.Id_Menu
					where menu_usuario.Id_Responsavel='" . $_SESSION["Id"] . "'
					and permissao.Id_Responsavel='" . $_SESSION["Id"] . "'
					and permissao.Id_Menu = '902' ");
$menu = mysqli_fetch_assoc($menu);
?>
<?php
if ($_GET["Ordenar"]) {
    $Ordenar1 = " ORDER BY " . $_GET["Ordenar"] . " ";
} else {
    $Ordenar1 = " ORDER BY separacao.Lancamento ";
}
if ($_GET['Ordem_Lista'] == 'Desc') {
    $Ordem_Lista1 = ' DESC ';
} else {
    $Ordem_Lista1 = ' ASC ';
}

if ($_GET['Pesq']) {
    $pesquisa = " AND " . $_GET['Ordenar'] . " like '%" . $_GET['Pesq'] . "%' ";
}

$_POST["Codigo_Separacao"] = md5($_SESSION['Id'] . microtime());

$_pagi_sql = "SELECT separacao.*,
    responsavel.Titulo as Responsavel
    FROM separacao
LEFT JOIN (SELECT Id,Titulo FROM funcionario) as responsavel ON responsavel.Id = separacao.Id_Responsavel
 where 1=1 $pesquisa $Ordenar1 $Ordem_Lista1 ";

include_once '../include/paginator_opcao.php';
include_once '../include/paginator.inc.php'; //incluindo o script de paginao PAGINATOR

?>
<html>

<head>
    <title>Gw - Gesto Web</title>
    <link rel="stylesheet" type="text/css" href="../estilo/<?php echo SKIN; ?>/listless.css" />
    <script type="text/javascript" language="javascript" src="../js/jquery.js"></script>
    <?php include '../include/script_cabeca.php'; ?>
    <script type="text/javascript" language="javascript" src="../js/script.js"></script>
    <script type="text/javascript" language="javascript">
        function submeteFiltro(valor) {
            document.forms['ordenar'].submit();
        }
    </script>
</head>

<body>
    <!-- Centro -->
    <div id="centro">
        <!-- Contedo -->
        <div id="conteudo" class="ajustar">

            <div class="titulo">
                <span>Separao</span>
                <form name="pesquisa" method="get" action="">
                    <span class="inputs">
                        <?php echo $_pagi_info; ?>
                        <!--
					<label for="Pesq">Busca:</label>
					<input type="text" name="Pesq" size="30" value="<?php echo $_GET['Pesq']; ?>" >
                                        <input name="Pesquisar" type="image" value="Pesquisar" src="../imagem/seta-dir.png" alt="Ir" title="Ir" >
                                    -->
                    </span>
                </form>
            </div>
            <!-- Navegao -->
            <div class="botoes_cima">
                <a href="javascript:void(0);" class="voltar" alt="Voltar" title="Voltar" onclick="javascript:history.back(1);">Voltar</a>
                <?php if($menu["Relatorio"]=="Sim"){ ?>
                <a href="list_relatorio.php" alt="Relatrio" title="Relatrio" class="relatorio tr" key="Relatorio">Relatrio</a>
                <?php } ?>

                <?php if ($menu["Cadastrar"] == "Sim") {
                    $cadastro = "cad_separacao.php?acao=entrar";
                ?>
                    <a href="<?php echo $cadastro; ?>" alt="Cadastrar" title="Cadastrar" class="incluir">Cadastrar</a>
                <?php } ?>
                    <?php if ($menu["Rela"] == "Sim") {
                    $cadastro = "cad_separacao.php?acao=entrar";
                ?>
                    <a href="<?php echo $cadastro; ?>" alt="Cadastrar" title="Cadastrar" class="incluir">Cadastrar</a>
                <?php } ?>
                <form name="ordenar" method="get" action="">
                    <span class="ordenar_por">
                        <label for="Pesq">Busca:</label>
                        <input type="text" name="Pesq" size="30" value="<?php echo $_GET['Pesq']; ?>">
                        <label for="Pesq">Ordenar Por:</label>
                        <?php
                        $vetor = array('Titulo' => 'Ttulo', 'Data_Cadastro' => 'Data Cadastro');
                        select_tela("Ordenar", "Ordenar", $_GET["Ordenar"], $vetor, "onchange='submeteFiltro(this.value)'");
                        ?>
                        
                    </span>
                </form>
                <!-- Fim Navegao -->
            </div>

            <table id="lista">
                <thead>
                    <tr>
                        <td>Lanamento</td>
                        <td>Data Separao</td>
                        <td>Data Concluso</td>
                        <td>Responsvel</td>
                        <td>Status</td>
                        <td>Opes</td>
                    </tr>
                </thead>
                <tfoot>
                    <tr>
                        <td colspan="8">
                            <div id="paginacao">
                                <p><?php echo $_pagi_navegacion; ?></p>
                            </div>
                        </td>
                    </tr>
                </tfoot>
                <tbody>
                    <?php $color = "#F5F5F5";;
                    while ($linha = mysqli_fetch_assoc($_pagi_result)) {
                        if ($color == "#F5F5F5") {
                            $color = "#E8E8E8";
                            $cass = "";
                        } else {
                            $color = "#F5F5F5";
                            $cass = "class='azul'";
                        }


                        $corStatus = "";
                        if ($linha['Status'] == 'Finalizado') {
                            $corStatus = "color = '#228B22' ";
                        }
                        if ($linha['Status'] == 'Aberto') {
                            $corStatus = "color = '#3A5FCD' ";
                        }
                        if ($linha['Status'] == 'Cancelado') {
                            $corStatus = "color = '#CD2626' ";
                        }
                    ?>
                        <tr <?php echo "$cass"; ?>>
                            <td><?php echo $linha['Lancamento']; ?></td>
                            <td><?php echo data_exibir($linha['Data_Separacao']); ?></td>
                            <td><?php echo data_exibir($linha['Data_Conclusao']); ?></td>
                            <td><?php echo $linha['Responsavel']; ?></td>
                            <td>
                                <font <?php echo $corStatus ?>><b><?php echo $linha['Status']; ?></b></font>
                            </td>
                            <td>
                                
                                <?php
                                if ($menu["Alterar"] == "Sim") {
                                    $link3 = "cad_separacao.php?id_separacao=" . $linha['Id'] . "&acao=alterar";
                                    $figura3 = "../imagem/bt_editar.png";
                                ?>
                                    <a href='<?php echo $link3; ?>'><img src="<?php echo $figura3; ?>" title="Alterar" alt="Alterar" border="0" /></a>
                                <?php } ?>
                                <a href="javascript:void();"
                                       onclick="window.open('imp_separacao.php?id_separacao=<?php echo $linha['Id']; ?>', 'Imprimir', 'width=700,height=800,top=0,left=0,scrollbars=yes')">
                                        <img border="0" src="../imagem/bt_pedido.png" title="Mapa Separao" alt="Imprimir"/></a>
                                <?php
                                if ($menu["Deletar"] == "Sim") {
                                    $link4 = "deletar('" . $linha["Id"] . "', 'del_separacao.php?id_separacao=');";
                                    $figura4 = "../imagem/bt_excluir.png";
                                ?>
                                    <a href='javascript:void(0);'><img src="<?php echo $figura4; ?>" alt="Excluir" title="Excluir" border="0" onclick="<?php echo $link4; ?>" /></a>
                                <?php } ?>
                            </td>
                        </tr>
                    <?php } ?>
                </tbody>
            </table>
            <!-- Navegao Inferior -->
            <div class="botoes_baixo">
                <a href="javascript:void(0);" class="voltar" alt="Voltar" title="Voltar" onclick="javascript:history.back(1);">Voltar</a>

                <?php if ($menu["Cadastrar"] == "Sim") { ?>
                    <a href="cad_cargo.php?acao=entrar" alt="Cadastrar" title="Cadastrar" class="incluir">Cadastrar</a>
                <?php } ?>
                <!-- Fim Navegao Inferior -->
            </div>

        </div>
        <!-- Fim do Contedo -->
    </div>
    <!-- Fim de Centro -->

</body>

</html>
