<?php
function valoresAceitosColuna(string $tabela, string $coluna) {
    global $con;
    $getValores = $con->query("SHOW COLUMNS FROM $tabela WHERE Field = '$coluna'");
    $getValores = $getValores->fetch_assoc();
    $tipos = str_replace(['enum(', ')', "'"], '', $getValores['Type']);
    $valoresAceitos = explode(',', $tipos);
    return $valoresAceitos;
}

function montarDadosArquivo($nomeCampo) {
    if(isset($_FILES[$nomeCampo])) {
        $slides = [];
        foreach($_FILES[$nomeCampo]['name'] as $indice => $nomeSlide) {
            $slides[] = [
                "name" => $nomeSlide,
                "type" => $_FILES[$nomeCampo]['type'][$indice],
                "tmp_name" => $_FILES[$nomeCampo]['tmp_name'][$indice],
                "error" => $_FILES[$nomeCampo]['error'][$indice],
                "size" => $_FILES[$nomeCampo]['size'][$indice],
                "cadastrado"=> $_POST["cadastros"][$nomeCampo][$indice]["cadastrado"] == "true" 
            ];
        }
        return $slides;
    }
    return null;
}

function cadastrarDados(array $arquivos, string $tipo, $cnpjEmpresa) {
    global $con;
    $qtdProdutosCadastrados = 0;
    
    foreach($arquivos as $indice => $arquivo) {
        $ordem = $indice + 1;

        if(!empty($arquivo['name'])) {
            $getExtensaoArquivo = explode("/", addslashes($arquivo['type']));
            $nomeBanner = "{$tipo}_{$ordem}_{$cnpjEmpresa}.{$getExtensaoArquivo[1]}";

            if(move_uploaded_file($arquivo["tmp_name"], "../unidade/site/$nomeBanner")) {
                $bannerExiste = $con->query("SELECT Id FROM site_banner WHERE Ordem = '$ordem' AND Tipo = '$tipo'");
                $dataCadastro = date("Y-m-d H:i:s");

                if($bannerExiste->num_rows < 1) {
                    $con->query("INSERT INTO site_banner SET Id_Usuario = '{$_SESSION['Id']}', Id_Usuario_Upd = '{$_SESSION['Id']}', Ordem = '$ordem',
                        Foto = '$nomeBanner', Tipo = '$tipo', Data_Cadastro = '$dataCadastro', Data_Cadastro_Upd = '$dataCadastro'");
                    $qtdProdutosCadastrados++;
                } else {
                    $id = $bannerExiste->fetch_assoc()['Id'];
                    $con->query("UPDATE site_banner SET Foto = '$nomeBanner', Id_Usuario_Upd = '{$_SESSION['Id']}', Data_Cadastro_Upd = '$dataCadastro'
                        WHERE Id = '$id'");

                    if($con->affected_rows > 0) {
                        $qtdProdutosCadastrados++;
                    }
                }
            }
        } else {
            if(!$arquivo['cadastrado']) {
                $getNomeFoto = $con->query("SELECT Foto FROM site_banner WHERE Ordem = '$ordem' AND Tipo = '$tipo'");
                $nomeFoto = $getNomeFoto->fetch_assoc()['Foto'];
                $con->query("DELETE FROM site_banner WHERE Ordem = '$ordem' AND Tipo = '$tipo'");

                if($con->affected_rows > 0) {
                    unlink("../unidade/site/$nomeFoto");
                    $qtdProdutosCadastrados++;
                }
            }
        }
    }

    return $qtdProdutosCadastrados;
}