<?php
include_once '../../include/conecta.php'; //Conecta com a nosso banco de dados MySQL
include_once '../../include/ver_sessao.php'; //Verifica se a sesso est ativa
include_once '../../include/funcoesPhp.php'; include_once '../../menu_movimento.php';
//error_reporting(E_ALL);
require_once '../../woocommerce/vendor/autoload.php';

use App\Config\ConfigWPKeys\ConfigWPKeys;
if($_SERVER['REQUEST_METHOD'] == "POST"){
    if($_POST['tabela'] == "StatusCompra"){
        $diretorioEmpresa = explode("/", $_SERVER['REQUEST_URI'])[1];
        $url = $_SERVER['HTTP_ORIGIN']."/".$diretorioEmpresa;

        $cadastrarWebHook = ConfigWPKeys::getInstance()->post('webhooks', [
            'name' => 'Order updated',
            'topic' => 'order.updated',
            'delivery_url' => "$url/site_importacao/webhooks/compras/status_compra.php",
            "hooks"=> [
                "woocommerce_order_edit_status",
                "woocommerce_order_status_changed"
            ],
        ]);
        echo isset($cadastrarWebHook->id) ? "Cadastrado com sucesso" : "No foi possvel realizar o cadastro";
    }
}
?>
<html>
<head>
<title>Gw - Gesto Web</title>
<?php include 'cabecalho.php'; ?>
</head>
<body>
    <form name="exportar" id="exportar" method="post" action="">
        <fieldset class="envolve">
            <legend>Exportar</legend>
	            <table width="100%" class="busca_rel">
                    <tr class="azul">
                        <th align="center" colspan="4">Selecione a tabela que deseja configurar.</th>
                    </tr>
                    <tr>
                        <td height="25">&nbsp;</td>
                    </tr>
                    <tr style="color: #000000">
                        <td width="10%"></td>
                        <td>
                            <ul style="list-style: none;">
                                <li>
                                    <input type="radio" name="tabela" value="StatusCompra" id="StatusCompra">
                                    <label for="StatusCompra">Status da compra</label>
                                </li>
                            </ul>
                        </td>
                    </tr>
                    <tr>
                        <td height="25" colspan="5">&nbsp;</td>
                    </tr>
                </table>
            <?php
            if(!$_GET["status"]){
			    if($_GET["acao"]=="alterar"){?>
                <button class="bt_cadastro" type="submit" id="enviar">Enviar</button>
            <?php }else{?>
                <button class="bt_cadastro" type="submit" id="enviar">Enviar</button>
            <?php } }?>
            <button class="botao" type="button" onclick="location.href='../list_importacao.php?acao=entrar'">Voltar</button>
        </fieldset>
    </form>
    <script>
        document.getElementById("enviar").onclick = (event) => {
            event.target.innerHTML = "Aguarde...";
        }
    </script>
<?php include "../include/rodape.php";?>