<?php
include_once '../include/conecta.php'; //Conecta com a nosso banco de dados MySQL
ini_set('session.gc_maxlifetime', 60*120); session_start();
/*include_once '../include/ver_sessao.php'; //Verifica se a sesso est ativa*/
include_once '../include/funcoesPhp.php'; include_once '../menu_movimento.php';

function data_exibirtxt($data){
	if (trim($data)!=''){
		$ano = substr($data,0,4);
                //$ano = substr($data,2,2);
		$mes = substr($data,5,2);
		$dia = substr($data,8,2);
		//return $ano.$mes.$dia;
                return $dia.$mes.$ano;
	}
}

function limit($palavra,$limite)
{
    if(strlen($palavra) >= $limite)
    {
        $var = substr($palavra, 0,$limite);
    }
    else
    {
        $max = (int)($limite-strlen($palavra));
        $var = $palavra.complementoRegistro($max,"brancos");
    }
    return $var;
}

function sequencial($i)
{
    if($i < 10)
    {
        return zeros(0,5).$i;
    }
    else if($i >= 10 && $i < 100)
    {
        return zeros(0,4).$i;
    }
    else if($i >= 100 && $i < 1000)
    {
        return zeros(0,3).$i;
    }
    else if($i >= 1000 && $i < 10000)
    {
        return zeros(0,2).$i;
    }
    else if($i >= 10000 && $i < 100000)
    {
        return zeros(0,1).$i;
    }
}

function zeros($min,$max)
{
    $zeros = '';
    $x = ($max - strlen($min));
    for($i = 0; $i < $x; $i++)
    {
        $zeros .= '0';
    }
    return $zeros.$min;
}

function complementoRegistro($int,$tipo)
{
    if($tipo == "zeros")
    {
        $space = '';
        for($i = 1; $i <= $int; $i++)
        {
            $space .= '0';
        }
    }
    else if($tipo == "brancos")
    {
        $space = '';
        for($i = 1; $i <= $int; $i++)
        {
            $space .= ' ';
        }
    }

    return $space;
}

if($_GET["EF"]==''){
    $ef = " ";
}else{
    $ef = "AND venda.EF = '".$_GET["EF"]."' ";
}

#formatando datas#
$data_1 = $_GET["De"];
$partes = explode("/", $data_1);
$dia_de = $partes[0];
$mes_de = $partes[1];
$ano_de = $partes[2];

$data_1 = $_GET["Ate"];
$partes = explode("/", $data_1);
$dia_ate = $partes[0];
$mes_ate = $partes[1];
$ano_ate = $partes[2];

$mes_anterior1 = date('d/m/Y', strtotime('-1 months', strtotime( $ano_ate.'-'.$mes_ate.'-30' )));
$partes_anterior = explode("/", $mes_anterior1);
$dia_anterior = $partes_anterior[0];
$mes_anterior = $partes_anterior[1];
$ano_anterior = $partes_anterior[2];


$reg = '0';
$reg2 = '0';
$conteudo .= '|';

//BLOCO 0 - ABERTURA

$sql_0000 = mysqli_query($con,"Select unidade.Id,
                        unidade.Titulo,
                        unidade.Razao_Social,
                        unidade.Cnpj,
                        unidade.Estado,
                        unidade.Estadual,
                        unidade.Codigo_Cidade as Cidade_Ibge
                        FROM unidade
                        WHERE unidade.Id='".$_GET["Unidade"]."'");
$linha0000 = mysqli_fetch_assoc($sql_0000);

//*REGISTRO 0000 (UM POR ARQUIVO)
$conteudo .= '0000'.'|'; // 01 REG - C - 004.
$conteudo .= '006|'; // 02 COD_VER - N - 03* - O
$conteudo .= '0'.'|'; // 03 COD_FIN - N - 01 - O
$conteudo .= ''.'|'; // 04 IND_SIT_ESP - N - 01 - O
$conteudo .= ''.'|'; // 05 NUM_REC_ANTERI OR  - N - 01 - O
$conteudo .= data_exibirtxt(data_banco($_GET["De"])).'|'; // 04 DT_INI - N - 08* - O
$conteudo .= data_exibirtxt(data_banco($_GET["Ate"])).'|'; // 05 DT_FIN - N - 08* - O
$conteudo .= substr($linha0000["Razao_Social"],0,99).'|'; // 06 NOME - C - 100 - O
$conteudo .= CaracteresEspeciais($linha0000["Cnpj"],"Sim").'|'; // 07 CNPJ - N - 14* - OC
$conteudo .= $linha0000["Estado"].'|'; // 09 UF - C - 02* - O
$conteudo .= $linha0000["Cidade_Ibge"].'|'; // 11 COD_MUN - N - 07* - O
$conteudo .= ''.'|'; // 13 SUFRAMA - C - 09* - OC
$conteudo .= '00'.'|'; // 14 IND_NAT_PJ - C - 01 - O
$conteudo .= '2'.'|'; // 15 IND_ATIV - N - 01 - O
$conteudo .= chr(13).chr(10); //essa  a quebra de linha
$reg+=1;
$reg2+=1;
$totalBloco["0000"]+=1;


$conteudo .= '|';
//*REGISTRO 0001 (UM POR ARQUIVO)
$conteudo .= '0001'.'|'; // 01 REG - C - 004.
$conteudo .= '0'.'|'; // 02 IND_MOV - N - 01 - O
$conteudo .= chr(13).chr(10); //essa  a quebra de linha
$reg+=1;
$reg2+=1;
$totalBloco["0001"]+=1;


/*
$sql_0005 = mysqli_query($con,"Select unidade.Id,
                         unidade.Titulo,
                         unidade.Cep,
                         unidade.Rua,
                         unidade.Numero,
                         unidade.Complemento,
                         unidade.Bairro,
                         unidade.Fone1,
                         unidade.Fone2,
                         unidade.Email
                         FROM unidade
                         WHERE Id='".$_GET["Unidade"]."'");
$linha0005 = mysqli_fetch_assoc($sql_0005);

$conteudo .= '|';
//*REGISTRO 0005 (UM POR ARQUIVO)
$conteudo .= '0005'.'|'; // 01 REG - C - 004.
$conteudo .= substr($linha0005["Titulo"],0,59).'|'; // 02 FANTASIA - C - 60 - O
$conteudo .= CaracteresEspeciais($linha0005["Cep"],"Sim","Sim").'|'; // 03 CEP - N - 08* - O
$conteudo .= substr($linha0005["Rua"],0,59).'|'; // 04 END - C - 60 - O
$conteudo .= $linha0005["Numero"].'|'; // 05 NUM - C - 10 - OC
$conteudo .= substr($linha0005["Complemento"],0,59).'|'; // 06 COMPL - C - 60 - OC
$conteudo .= substr($linha0005["Bairro"],0,59).'|'; // 07 BAIRRO - C - 60 - O
$conteudo .= CaracteresEspeciais($linha0005["Fone1"],"Sim","Sim").'|'; // 08 FONE - C - 11 - OC
$conteudo .= CaracteresEspeciais($linha0005["Fone2"],"Sim","Sim").'|'; // 09 FAX - C - 11 - OC
$conteudo .= $linha0005["Email"].'|'; // 10 EMAIL - C - 40 - OC
$conteudo .= chr(13).chr(10); //essa  a quebra de linha
$reg+=1;
$reg2+=1;
$totalBloco["0005"]+=1;
*/


/*
//REGISTRO 0015 (VARIOS POR ARQUIVO)
$conteudo .= '0015'; // 01 REG - C - 004.
$conteudo .= '0000'; // 02 UF_ST - C - 02* - O
$conteudo .= '0000'; // 03 IE_ST - C - 14 - O
 * 
 */

$sql_0100 = mysqli_query($con,"Select Cont_Nome,
                        Cont_Cpf,
                        Cont_Crc,
                        Cont_Cnpj,
                        Cont_Cep,
                        Cont_End,
                        Cont_Num,
                        Cont_Compl,
                        Cont_Bairro,
                        Cont_Fone,
                        Cont_Fax,
                        Cont_Email,
                        Cont_Estado,
                        Cont_Cidade,
                        Cont_Cod_Mun
                        FROM unidade
                        WHERE Id='".$_GET["Unidade"]."'");
$linha0100 = mysqli_fetch_assoc($sql_0100);

$conteudo .= '|';
//*REGISTRO 0100 (UM POR ARQUIVO)
$conteudo .= '0100'.'|'; // 01 REG - C - 004.
$conteudo .= $linha0100["Cont_Nome"].'|'; // 02 NOME - C - 100 - O
$conteudo .= CaracteresEspeciais($linha0100["Cont_Cpf"],"Sim").'|'; // 03 CPF - N - 11* - O
$conteudo .= $linha0100["Cont_Crc"].'|'; // 04 CRC - C - 15 - O
$conteudo .= CaracteresEspeciais($linha0100["Cont_Cnpj"],"Sim").'|'; // 05 CNPJ - N - 14* - OC
$conteudo .= CaracteresEspeciais($linha0100["Cont_Cep"],"Sim").'|'; // 06 CEP - N - 08* - OC
$conteudo .= substr($linha0100["Cont_End"],0,59).'|'; // 07 END - C - 60 - OC
$conteudo .= $linha0100["Cont_Num"].'|'; // 08 NUM - C - 10 - OC
$conteudo .= substr($linha0100["Cont_Compl"],0,59).'|'; // 09 COMPL - C - 60 - OC
$conteudo .= $linha0100["Cont_Bairro"].'|'; // 10 BAIRRO - C - 60 - OC
$conteudo .= CaracteresEspeciais($linha0100["Cont_Fone"],"Sim").'|'; // 11 FONE - C - 11 - OC
$conteudo .= CaracteresEspeciais($linha0100["Cont_Fax"],"Sim").'|'; // 12 FAX - C - 11 - OC
$conteudo .= $linha0100["Cont_Email"].'|'; // 13 EMAIL - C - 40 - O
$conteudo .= $linha0100["Cont_Cod_Mun"].'|'; // 14 COD_MUN - N - 07* - OC
$conteudo .= chr(13).chr(10); //essa  a quebra de linha
$reg+=1;
$reg2+=1;
$totalBloco["0100"]+=1;



$conteudo .= '|';
//*REGISTRO 0110 (UM POR ARQUIVO)
$conteudo .= '0110'.'|'; // 01 REG - C - 004.
$conteudo .= '2'.'|'; // 02 COD_INC_TRIB  - C - 60 - N
$conteudo .= '1'.'|'; // 03 IND_APRO_CR ED  - C - 100 - S
$conteudo .= '1'.'|'; // 04 COD_TIPO_CO NT  - N - 14* - S
$conteudo .= ''.'|'; // 05 IND_REG_CUM  - C - 02* - S
$conteudo .= chr(13).chr(10); //essa  a quebra de linha
$reg+=1;
$reg2+=1;
$totalBloco["0110"]+=1;




$sql_0140 = mysqli_query($con,"Select unidade.Id,
                         unidade.Titulo,
                         unidade.Razao_Social,
                         unidade.Cnpj,
                         unidade.Estadual,
                         unidade.Cep,
                         unidade.Rua,
                         unidade.Numero,
                         unidade.Complemento,
                         unidade.Bairro,
                         unidade.Estado,
                         unidade.Fone1,
                         unidade.Fone2,
                         unidade.Email,
                         unidade.Codigo_Cidade
                         FROM unidade
                         WHERE Id='".$_GET["Unidade"]."'");
$linha0140 = mysqli_fetch_assoc($sql_0140);

$conteudo .= '|';
//*REGISTRO 0140 (UM POR ARQUIVO)
$conteudo .= '0140'.'|'; // 01 REG - C - 004.
$conteudo .= substr($linha0140["Titulo"],0,59).'|'; // 02 COD_EST - C - 60 - N
$conteudo .= substr($linha0140["Razao_Social"],0,99).'|'; // 03 NOME - C - 100 - S
$conteudo .= CaracteresEspeciais($linha0140["Cnpj"],"Sim").'|'; // 04 CNPJ - N - 14* - S
$conteudo .= $linha0140["Estado"].'|'; // 05 UF - C - 02* - S
$conteudo .= CaracteresEspeciais($linha0140["Estadual"],"Sim").'|'; // 06 IE - C - 14 - S
$conteudo .= $linha0140["Codigo_Cidade"].'|'; // 07 COD_MUN - N - 07* - S
$conteudo .= $linha0140["Municipal"].'|'; // 08 IM - C - 10 - S
$conteudo .= ''.'|'; // 09 SUFRAMA - C - 09* - S
$conteudo .= chr(13).chr(10); //essa  a quebra de linha
$reg+=1;
$reg2+=1;
$totalBloco["0140"]+=1;



//AGRUPANDO OS CLIENTE COM OS FORNECEDORES

$sql_0150 = mysqli_query($con,"Select DISTINCT cliente.Cpf_Cnpj
                         FROM (SELECT Id,Data_Nfe,Id_Pedido,Id_Unidade,Status 
                         FROM nfe 
                         WHERE nfe.Tipo='1'
                         AND nfe.Protocolo<>''
                         AND nfe.Id_Unidade='".$_GET["Unidade"]."'
                         AND nfe.Data_Nfe >= '".data_banco($_GET["De"])."' 
                         AND nfe.Data_Nfe <= '".data_banco($_GET["Ate"])."'
                         ) as nfe
                         INNER JOIN (SELECT Id,Id_Cliente,Id_Nfe FROM nfe_pedido) as nfe_pedido ON nfe_pedido.Id_Nfe = nfe.Id
                         INNER JOIN (SELECT Id,Cpf_Cnpj FROM cliente) as cliente ON nfe_pedido.Id_Cliente = cliente.Id
                         WHERE 1=1
                         ORDER BY nfe.Data_Nfe ");

$clie_for = array();
while ($linha0150 = mysqli_fetch_assoc($sql_0150)) {
    $clie_for[]= CaracteresEspeciais($linha0150['Cpf_Cnpj'],'Sim','Sim');
}



//delucoes na tela de venda
$sql_0150 = mysqli_query($con,"Select DISTINCT cliente.Cpf_Cnpj
                         FROM (SELECT Id,Data_Nfe,Id_Pedido,Id_Unidade,Status 
                         FROM nfe 
                         WHERE nfe.Tipo='0' AND Valor_Nfe<'0'
                         AND nfe.Protocolo<>''
                         AND nfe.Id_Unidade='".$_GET["Unidade"]."'
                         AND nfe.Data_Nfe >= '".data_banco($_GET["De"])."' 
                         AND nfe.Data_Nfe <= '".data_banco($_GET["Ate"])."'
                         ) as nfe
                         INNER JOIN (SELECT Id,Id_Cliente,Id_Nfe FROM nfe_pedido) as nfe_pedido ON nfe_pedido.Id_Nfe = nfe.Id
                         INNER JOIN (SELECT Id,Cpf_Cnpj FROM cliente) as cliente ON nfe_pedido.Id_Cliente = cliente.Id
                         WHERE 1=1
                         ORDER BY nfe.Data_Nfe ");


while ($linha0150 = mysqli_fetch_assoc($sql_0150)) {
    $clie_for[]= CaracteresEspeciais($linha0150['Cpf_Cnpj'],'Sim','Sim');
}



$sql_0150 = mysqli_query($con,"Select DISTINCT fornecedor.Cpf_Cnpj
                         FROM (SELECT Id,Data_Compra,Id_Fornecedor,Id_Cfop
                         FROM compra 
                         WHERE compra.EF = 'Sim'
                         AND compra.Id_Unidade='".$_GET["Unidade"]."'
                         AND compra.Data_Compra >= '".data_banco($_GET["De"])."' 
                         AND compra.Data_Compra <= '".data_banco($_GET["Ate"])."'
                         ) as compra
                         INNER JOIN (SELECT Id,Cfop FROM cfop WHERE UPPER(SUBSTRING(Cfop, 1, 1)) <= '3' ) as cfop on cfop.Id = compra.Id_Cfop
                        INNER JOIN (SELECT Id,Cpf_Cnpj FROM fornecedor) as fornecedor ON compra.Id_Fornecedor = fornecedor.Id 
                        ORDER BY compra.Data_Compra ");


while ($linha0150 = mysqli_fetch_assoc($sql_0150)) {
    $clie_for[]=CaracteresEspeciais($linha0150['Cpf_Cnpj'],'Sim','Sim');
}


//Limpando os arrays duplicados
$cnpj_clie_for = array_unique($clie_for);


foreach($cnpj_clie_for as $vetor){
//OR Id<>'84c09c43f28bc1c9823907b038508c7c'
$cliente = mysqli_query($con,"(SELECT Id,Id_Cidade,Cpf_Cnpj,Razao_Social,Codigo_Cidade,Estado,
                        Codigo_Pais,Natureza,Estadual,Rua,Numero,Complemento,Bairro FROM fornecedor
                        WHERE (fornecedor.Razao_Social<>'' )
                        AND REPLACE( REPLACE( REPLACE( Cpf_Cnpj , '-', '') , '/', '') , '.', '') ='".$vetor."')
                        UNION
                        (SELECT Id,Id_Cidade,Cpf_Cnpj,Razao_Social,Codigo_Cidade,Estado,
                        Codigo_Pais,Natureza,Estadual,Rua,Numero,Complemento,Bairro FROM cliente
                        WHERE (cliente.Razao_Social<>'' )
                        AND REPLACE( REPLACE( REPLACE( Cpf_Cnpj , '-', '') , '/', '') , '.', '') ='".$vetor."')");
$d_cliente = mysqli_fetch_assoc($cliente);

if($d_cliente["Razao_Social"]!='AVULSO'){
    if($d_cliente["Cpf_Cnpj"]!=''){

$conteudo .= '|';
//*REGISTRO 0150 (VARIOS POR ARQUIVO)
$conteudo .= '0150'.'|'; // 01 REG - C - 004.
$conteudo .= CaracteresEspeciais($d_cliente["Cpf_Cnpj"],"Sim").'|'; // 02 COD_PART - C - 60 - O
$conteudo .= trim(substr($d_cliente["Razao_Social"],0,59)).'|'; // 03 NOME - C - 100 - O
$conteudo .= str_pad($d_cliente["Codigo_Pais"], 5,"0", STR_PAD_LEFT).'|'; // 04 COD_PAIS - N - 05 - O
if($d_cliente["Natureza"]=='PF'){
    $conteudo .= ''.'|'; // 05 CNPJ - N - 14* - OC
    $conteudo .= CaracteresEspeciais($d_cliente["Cpf_Cnpj"],"Sim").'|'; // 06 CPF - N - 11* - OC
}else{
    $conteudo .= CaracteresEspeciais($d_cliente["Cpf_Cnpj"],"Sim").'|'; // 05 CNPJ - N - 14* - OC
    $conteudo .= ''.'|'; // 06 CPF - N - 11* - OC
}
$conteudo .= CaracteresEspeciais($d_cliente["Estadual"],"Sim").'|'; // 07 IE - C - 14 - OC
$conteudo .= $d_cliente["Codigo_Cidade"].'|'; // 08 COD_MUN - C - 07* - OC
$conteudo .= ''.'|'; // 09 SUFRAMA - C - 09* - OC
$conteudo .= substr($d_cliente["Rua"],0,59).'|'; // 10 END - C - 60 - O
$conteudo .= substr($d_cliente["Numero"],0,9).'|'; // 11 NUM - C - 10 - OC
$conteudo .= substr($d_cliente["Complemento"],0,59).'|'; // 12 COMPL - C - 60 - OC
$conteudo .= substr($d_cliente["Bairro"],0,59).'|'; // 13 BAIRRO - C - 60 - OC
$conteudo .= chr(13).chr(10); //essa  a quebra de linha
$reg+=1;
$reg2+=1;
$totalBloco["0150"]+=1;

} }

}







/*
//REGISTRO 0175 (VARIOS POR ARQUIVO)
$conteudo .= '0175'; // 01 REG - C - 004.
$conteudo .= '0000'; // 02 DT_ALT - N - 08* - O
$conteudo .= '0000'; // 03 NR_CAMPO - C - 02 - O
$conteudo .= '0000'; // 04 CONT_ANT - C - 100 - O
 * 
 */

$sql_0190 = mysqli_query($con,"SELECT DISTINCT produto.Medida
                            FROM produto
                            INNER JOIN
                            (
                            (SELECT DISTINCT nfe_pedido_produto.Id_Produto 
                            FROM nfe
                            INNER JOIN nfe_pedido_produto ON nfe_pedido_produto.Id_Nfe = nfe.Id
                            WHERE nfe.Id_Unidade='".$_GET["Unidade"]."'
                            AND nfe.Protocolo<>''
                            AND nfe.Data_Nfe >= '".data_banco($_GET["De"])."' 
                            AND nfe.Data_Nfe <= '".data_banco($_GET["Ate"])."' )
                            UNION
                            (SELECT DISTINCT compra_produto.Id_Produto
                            FROM compra
                            INNER JOIN compra_produto ON compra.Id = compra_produto.Id_Compra
                            WHERE compra.Data_Compra >= '".data_banco($_GET["De"])."' 
                            AND compra.Data_Compra <= '".data_banco($_GET["Ate"])."'
                            AND compra.Status = 'Finalizado'
                            AND compra.EF = 'Sim'
                            AND compra.Id_Unidade='".$_GET["Unidade"]."')
                            ) as estoque
                            ON produto.Id = estoque.Id_Produto
                            where 1=1
                            order by produto.Titulo");
//AND nfe.Data_Nfe >= '".data_banco($_GET["De"])."' 
//HAVING Estoque_Atual > '0'
while ($linha0190 = mysqli_fetch_assoc($sql_0190)) {

$desc_medida='';
switch($linha0190["Medida"]){
    case 'UN' : $desc_medida ='UNIDADE';
    break;
    case 'PC' : $desc_medida ='PECA';
    break;
    case 'KG' : $desc_medida ='KILOGRAMA';
    break;
    case 'LT' : $desc_medida ='LITRO';
    break;
    case 'CX' : $desc_medida ='CAIXA';
    break;
    case 'TN' : $desc_medida ='TONELADA';
    break;
    case 'SC' : $desc_medida ='SACO';
    break;
    case 'CT' : $desc_medida ='CONTEINER';
    break;
    case 'FD' : $desc_medida ='FARDO';
    break;
    case 'GL' : $desc_medida ='GALAO';
    break;
    case 'QT' : $desc_medida ='QUANTIDADE';
    break;
    case 'BD' : $desc_medida ='BALDE';
    break;
    case 'MG' : $desc_medida ='MILIGRAMA';
    break;
    case 'ML' : $desc_medida ='MILILITRO';
    break;
    case 'CJ' : $desc_medida ='CONJUNTO';
    break;
    case 'MT' : $desc_medida ='METRO';
    break;
    case 'M2' : $desc_medida ='METRO QUADRADO';
    break;
    case 'M3' : $desc_medida ='METRO CUBICO';
    break;
}

if(!empty($desc_medida)){
$conteudo .= '|';
//*REGISTRO 0190 (VARIOS POR ARQUIVO)
$conteudo .= '0190'.'|'; // 01 REG - C - 004.
$conteudo .= $linha0190["Medida"].'|'; // 02 UNID - C - 06 - O
$conteudo .= $desc_medida.'|'; // 03 DESCR - C - 20 - O
$conteudo .= chr(13).chr(10); //essa  a quebra de linha
$reg+=1;
$reg2+=1;
$totalBloco["0190"]+=1;
}

}


$sql_0200 = mysqli_query($con,"SELECT DISTINCT produto.Codigo,
                            produto.Descricao,
                            produto.Gtin,
                            produto.Medida,
                            produto.Ncm,
                            produto.Ex_Tipi,
                            produto.Tabela_Icms,
                            produto.Cest,
                            produto.Genero_Produto,
                            produto.Atividade_Produto
                            FROM produto
                            INNER JOIN
                            (
                            (SELECT DISTINCT nfe_pedido_produto.Id_Produto 
                            FROM nfe
                            INNER JOIN nfe_pedido_produto ON nfe_pedido_produto.Id_Nfe = nfe.Id
                            WHERE nfe.Id_Unidade='".$_GET["Unidade"]."'
                            AND nfe.Protocolo<>''
                            AND nfe.Data_Nfe >= '".data_banco($_GET["De"])."' 
                            AND nfe.Data_Nfe <= '".data_banco($_GET["Ate"])."' )
                            UNION
                            (SELECT DISTINCT compra_produto.Id_Produto
                            FROM compra
                            INNER JOIN compra_produto ON compra.Id = compra_produto.Id_Compra
                            WHERE compra.Data_Compra >= '".data_banco($_GET["De"])."' 
                            AND compra.Data_Compra <= '".data_banco($_GET["Ate"])."'
                            AND compra.Status = 'Finalizado'
                            AND compra.EF = 'Sim'
                            AND compra.Id_Unidade='".$_GET["Unidade"]."')
                            ) as estoque
                            ON produto.Id = estoque.Id_Produto
                            where produto.Ativo='Sim'
                            order by produto.Titulo");
//AND nfe.Data_Nfe >= '".data_banco($_GET["De"])."' 
//HAVING Estoque_Atual > '0'
while ($linha0200 = mysqli_fetch_assoc($sql_0200)) {

$aliq = mysqli_query($con,"select Aliquota".$linha0200['Tabela_Icms']." as Aliquota FROM icms WHERE Estado='".$linha0000["Estado"]."' ");
$aliq_est = mysqli_fetch_assoc($aliq);
$linha0200["Aliquota"] = $aliq_est["Aliquota"];

$desc_medida='';
switch($linha0200["Medida"]){
    case 'UN' : $desc_medida ='UN';
    break;
    case 'PC' : $desc_medida ='PC';
    break;
    case 'KG' : $desc_medida ='KG';
    break;
    case 'LT' : $desc_medida ='LT';
    break;
    case 'CX' : $desc_medida ='CX';
    break;
    case 'TN' : $desc_medida ='TN';
    break;
    case 'SC' : $desc_medida ='SC';
    break;
    case 'CT' : $desc_medida ='CT';
    break;
    case 'FD' : $desc_medida ='FD';
    break;
    case 'GL' : $desc_medida ='GL';
    break;
    case 'QT' : $desc_medida ='QT';
    break;
    case 'BD' : $desc_medida ='BD';
    break;
    case 'MG' : $desc_medida ='MG';
    break;
    case 'ML' : $desc_medida ='ML';
    break;
    case 'CJ' : $desc_medida ='CJ';
    break;
    case 'MT' : $desc_medida ='MT';
    break;
    case 'M2' : $desc_medida ='M2';
    break;
    case 'M3' : $desc_medida ='M3';
    break;
    default : $desc_medida ='UN';
}

$conteudo .= '|';
//*REGISTRO 0200 (VARIOS POR ARQUIVO)
$conteudo .= '0200'.'|'; // 01 REG - C - 004.
$conteudo .= $linha0200["Codigo"].'|'; // 02 COD_ITEM - C - 60 - O
$conteudo .= $linha0200["Descricao"].'|'; // 03 DESCR_ITEM - C - 100 - O
$conteudo .= $linha0200["Gtin"].'|'; // 04 COD_BARRA - C - 20 - OC
$conteudo .= ''.'|'; // 05 COD_ANT_ITEM - C - 60 - N (informar no 0205)
$conteudo .= $desc_medida.'|'; // 06 UNID_INV - C - 06 - O
$conteudo .= $linha0200["Atividade_Produto"].'|'; // 07 TIPO_ITEM - N - 02 - O
$conteudo .= $linha0200["Ncm"].'|'; // 08 COD_NCM - C - 08* - OC
$conteudo .= $linha0200["Ex_Tipi"].'|'; // 09 EX_IPI - C - 03 - OC
$conteudo .= $linha0200["Genero_Produto"].'|'; // 10 COD_GEN - N - 02* - OC
$conteudo .= ''.'|'; // 11 COD_LST - C - 05 - OC
$conteudo .= $linha0200["Aliquota"].'|'; // 12 ALIQ_ICMS - N - 06,02 - OC
$conteudo .= chr(13).chr(10); //essa  a quebra de linha
$reg+=1;
$reg2+=1;
$totalBloco["0200"]+=1;

}

/*
//REGISTRO 0205 (VARIOS POR ARQUIVO)
$conteudo .= '0205'; // 01 REG - C - 004.
$conteudo .= '0000'; // 02 DESCR_ANT_ITEM - C - 100 - OC
$conteudo .= '0000'; // 03 DT_INI - N - 08* - O
$conteudo .= '0000'; // 04 DT_FIM - N - 08* - O
$conteudo .= '0000'; // 05 COD_ANT_ITEM - C - 60 - OC

//REGISTRO 0206 (UM POR ARQUIVO)
$conteudo .= '0206'; // 01 REG - C - 004.
$conteudo .= '0000'; // 02 COD_COMB - C - 100 - O

//REGISTRO 0210 (VARIOS POR ARQUIVO)
$conteudo .= '0210'; // 01 REG - C - 004.
$conteudo .= '0000'; // 02 COD_ITEM_COMP - C - 60 - O
$conteudo .= '0000'; // 03 QTD_COMP - N - 10,06 - O
$conteudo .= '0000'; // 04 PERDA - N - 10,04 - O

//REGISTRO 0220 (VARIOS POR ARQUIVO)
$conteudo .= '0220'; // 01 REG - C - 004.
$conteudo .= '0000'; // 02 UNID_CONV - C - 06 - O
$conteudo .= '0000'; // 03 FAT_CONV - N - 10,06 - O

//REGISTRO 0300 (VARIOS POR ARQUIVO)
$conteudo .= '0300'; // 01 REG - C - 004.
$conteudo .= '0000'; // 02 COD_IND_BEM - C - 60 - O
$conteudo .= '0000'; // 03 IDENT_MERC - C - 01 - O
$conteudo .= '0000'; // 04 DESCR_ITEM - C - 100 - O
$conteudo .= '0000'; // 05 COD_PRNC - C - 60 - OC
$conteudo .= '0000'; // 06 COD_CTA - C - 60 - O
$conteudo .= '0000'; // 07 NR_PARC - N - 03 - OC

//REGISTRO 0305 (UM POR ARQUIVO)
$conteudo .= '0305'; // 01 REG - C - 004.
$conteudo .= '0000'; // 02 COD_CCUS - C - 60 - O
$conteudo .= '0000'; // 03 FUNC - C - 100 - O
$conteudo .= '0000'; // 04 VIDA_UTIL - N - 03 - C
 * 
 */

$sql_0400 = mysqli_query($con,"Select DISTINCT nfe.Cfop
                        FROM (
                        (SELECT Id,Cfop FROM nfe 
                        WHERE nfe.Id_Unidade='".$_GET["Unidade"]."'
                        AND nfe.Protocolo<>''
                        AND nfe.Data_Nfe >= '".data_banco($_GET["De"])."' 
                        AND nfe.Data_Nfe <= '".data_banco($_GET["Ate"])."'
                        AND nfe.Cfop <> '')
                        UNION
                        (SELECT compra.Id,cfop.Cfop 
                        FROM compra 
                        LEFT JOIN cfop ON cfop.Id = compra.Id_Cfop
                        WHERE compra.Id_Unidade='".$_GET["Unidade"]."'
                        AND compra.EF = 'Sim'
                        AND Status='Finalizado'
                        AND compra.Data_Compra >= '".data_banco($_GET["De"])."' 
                        AND compra.Data_Compra <= '".data_banco($_GET["Ate"])."')
                        ) as nfe
                        ORDER BY nfe.Cfop ");
//AND nfe.Data_Nfe >= '".data_banco($_GET["De"])."' 
while ($linha0400 = mysqli_fetch_assoc($sql_0400)) {

$vl_cfop = mysqli_query($con,"SELECT Id,Cfop,Titulo,COP FROM cfop WHERE Cfop='".$linha0400["Cfop"]."' ");
$vl_cfop = mysqli_fetch_assoc($vl_cfop);

if($linha0400["Cfop"]){
$conteudo .= '|';
//*REGISTRO 0400 (VARIOS POR ARQUIVO)
$conteudo .= '0400'.'|'; // 01 REG - C - 004.
$conteudo .= $vl_cfop["Cfop"].'|'; // 02 COD_NAT - C - 10 - O
$conteudo .= trim(substr(SoPalavrasEspeciais($vl_cfop["Titulo"]),0,59)).'|'; // 03 DESCR_NAT - C - 60 - O
$conteudo .= chr(13).chr(10); //essa  a quebra de linha
$reg+=1;
$reg2+=1;
$totalBloco["0400"]+=1;
}

}

/*
//REGISTRO 0450 (VARIOS POR ARQUIVO)
$conteudo .= '0450'; // 01 REG - C - 004.
$conteudo .= '0000'; // 02 COD_INF - C - 06 - O
$conteudo .= '0000'; // 03 TXT - C - 1000 - O

//REGISTRO 0460 (VARIOS POR ARQUIVO)
$conteudo .= '0460'; // 01 REG - C - 004.
$conteudo .= '0000'; // 02 COD_OBS - C - 06 - O
$conteudo .= '0000'; // 03 TXT - C - 1000 - O
*/

//REGISTRO 0500 (VARIOS POR ARQUIVO)
$conteudo .= '|';
$conteudo .= '0500'.'|'; // 01 REG - C - 004.
$conteudo .= data_exibirtxt(data_banco($_GET["De"])).'|'; // 02 DT_ALT - N - 08* - O
$conteudo .= '01'.'|'; // 03 COD_ NAT_CC - C - 02* - O
$conteudo .= 'A'.'|'; // 04 IND_CTA - C - 01* - O
$conteudo .= '3'.'|'; // 05 NVEL - N - 05 - O
$conteudo .= '31101'.'|'; // 06 COD_CTA - C - 60 - O
$conteudo .= 'Mercadoria para revenda'.'|'; // 07 NOME_CTA - C - 60 - O
$conteudo .= ''.'|'; // 08 COD_CTA_REF - C - 60 - O
$conteudo .= ''.'|'; // 09 CNPJ_EST - C - 14 - O
$conteudo .= chr(13).chr(10); //essa  a quebra de linha
$reg+=1;
$reg2+=1;
$totalBloco["0500"]+=1;

/*
//REGISTRO 0600 (VARIOS POR ARQUIVO)
$conteudo .= '0600'; // 01 REG - C - 004.
$conteudo .= '0000'; // 02 DT_ALT - N - 08* - O
$conteudo .= '0000'; // 03 COD_CCUS - C - 60 - O
$conteudo .= '0000'; // 04 CCUS - C - 60 - O
*/

$reg+=1;
$reg2+=1;
$conteudo .= '|';
//*REGISTRO 0990 (UM POR ARQUIVO)
$conteudo .= '0990'.'|'; // 01 REG - C - 004.
$conteudo .= $reg.'|'; // 02 QTD_LIN_0 - N - 08 - O
$conteudo .= chr(13).chr(10); //essa  a quebra de linha
$totalBloco["0990"]+=1;

//BLOCO 0 - FIM


/*
//BLOCO B - ABERTURA
$reg='0';

$conteudo .= '|';
//*REGISTRO B001 (UM POR ARQUIVO)
$conteudo .= 'B001'.'|'; // 01 REG - C - 004.
$conteudo .= '1'.'|'; // 02 IND_MOV - C - 01 - O
$conteudo .= chr(13).chr(10); //essa  a quebra de linha
$reg+=1;
$reg2+=1;
$totalBloco["B001"]+=1;

$reg+=1;
$reg2+=1;
$totalBloco["B990"]+=1;
$conteudo .= '|';
//*REGISTRO B990 (UM POR ARQUIVO)
$conteudo .= 'B990'.'|'; // 01 REG - C - 004.
$conteudo .= $reg.'|'; // 02 QTD_LIN_0 - N - 08 - O
$conteudo .= chr(13).chr(10); //essa  a quebra de linha
//BLOCO B - FIM
*/


//BLOCO C - ABERTURA
$reg='0';

$conteudo .= '|';
//*REGISTRO C001 (UM POR ARQUIVO)
$conteudo .= 'C001'.'|'; // 01 REG - C - 004.
$conteudo .= '0'.'|'; // 02 IND_MOV - C - 01 - O
$conteudo .= chr(13).chr(10); //essa  a quebra de linha
$reg+=1;
$reg2+=1;
$totalBloco["C001"]+=1;



$conteudo .= '|';
//*REGISTRO C010 (UM POR ARQUIVO)
$conteudo .= 'C010'.'|'; // 01 REG - C - 004.
$conteudo .= CaracteresEspeciais($linha0000["Cnpj"],"Sim").'|'; // 02 CNPJ - C - 01 - O
$conteudo .= '1'.'|'; // 02 IND_ESCRI  - C - 01 - O
$conteudo .= chr(13).chr(10); //essa  a quebra de linha
$reg+=1;
$reg2+=1;
$totalBloco["C010"]+=1;


##NOTAS FISCAIS DO MODULO NFE C100

#### gerando as notas emitidas pelo proprio cliente ####
#### Para NFe (emisao propria) informar somente os registros C100 e C190 e se for o caso,
# os registros C105, C110, e filhos, C120, C170 e C176, ou C195, ou C195 e C197 ####
$sql_C100 = mysqli_query($con,"Select DISTINCT nfe.Id,
                         nfe.Tipo,
                         nfe.Finalidade_Emissao,
                         nfe.Status,
                         nfe.Serie,
                         nfe.Numero_Nota,
                         nfe.Chave,
                         nfe.Data_Nfe,
                         nfe.vBC,
                         nfe.vICMS,
                         nfe.vBCST,
                         nfe.vST,
                         nfe.vProd,
                         nfe.vFrete,
                         nfe.vSeg,
                         nfe.vDesc,
                         nfe.vII,
                         nfe.vIPI,
                         nfe.vPIS,
                         nfe.vCOFINS,
                         nfe.vOutro,
                         nfe_pedido.Valor_Original,
                         nfe_pedido.Valor_Pago,
                         nfe_pedido.Id_Tipo_Pagamento,
                         nfe_pedido.Tipo_Frete,
                         nfe_pedido.Frete,
                         nfe_pedido.Despesa,
                         cliente.Cpf_Cnpj
                         FROM (SELECT Id,Tipo,Finalidade_Emissao,
                         Status,Serie,Numero_Nota,Chave,Data_Nfe,vBC,vICMS,
                         vBCST,vST,vProd,vFrete,vSeg,vDesc,vII,vIPI,
                         vPIS,vCOFINS,vOutro,Id_Pedido 
                         FROM nfe 
                         WHERE nfe.Id_Unidade='".$_GET["Unidade"]."'
                         AND nfe.Tipo_Nfe='NFe'
                         AND nfe.Protocolo<>''
                         AND nfe.Data_Nfe >= '".data_banco($_GET["De"])."' 
                         AND nfe.Data_Nfe <= '".data_banco($_GET["Ate"])."') as nfe
                         LEFT JOIN (SELECT Id,Valor_Original,
                         Valor_Pago,Id_Tipo_Pagamento,Tipo_Frete,
                         Frete,Despesa,Id_Cliente 
                         FROM nfe_pedido) as nfe_pedido ON nfe_pedido.Id = nfe.Id_Pedido
                         LEFT JOIN (
                            (SELECT Id,Cpf_Cnpj FROM cliente)
                            UNION
                            (SELECT Id,Cpf_Cnpj FROM fornecedor)
                         ) as cliente ON nfe_pedido.Id_Cliente = cliente.Id
                         WHERE 1=1 
                         ORDER BY nfe.Tipo,nfe.Status,nfe.Data_Nfe ");

while ($linhaC100 = mysqli_fetch_assoc($sql_C100)) {

if($linhaC100["Status"]=='Ativa'){
    $COD_SIT = '00';
}elseif($linhaC100["Status"]=='Cancelada'){
    $COD_SIT = '02';
}elseif( ($linhaC100["Finalidade_Emissao"]=='2') || ($linhaC100["Finalidade_Emissao"]=='3') ){
    $COD_SIT = '06';
}

if($linhaC100["Id_Tipo_Pagamento"]=='1'){
    $IND_PGTO='0';
}else{
    $IND_PGTO='1';
}

if($linhaC100['vProd']<'0'){
    $linhaC100['vProd'] = abs($linhaC100['vProd']);
}
if($linhaC100["vProd"]!=$linhaC100["vBC"]){
    $linhaC100["vBC"]=$linhaC100["vProd"];
    if($linhaC100["Tipo_Frete"]=='1'){
        $linhaC100["vICMS"]=($linhaC100["vProd"]*0.4);
    }else{
        $linhaC100["vICMS"]=($linhaC100["vProd"]*0.18);
    }
}

    $linhaC100["vProd"] = number_format($linhaC100["vProd"],2,",","");
    $linhaC100["vDesc"] = number_format(divisao_numero($linhaC100["vDesc"]),2,",","");
    $linhaC100["Frete"] = number_format($linhaC100["Frete"],2,",","");
    $linhaC100["vDesc"] = number_format($linhaC100["vDesc"],2,",","");
    $linhaC100["vBC"] = number_format($linhaC100["vBC"],2,",","");
    $linhaC100["vICMS"] = number_format($linhaC100["vICMS"],2,",","");
    $linhaC100["vBCST"] = number_format(0,2,",","");
    $linhaC100["vST"] = number_format(0,2,",","");
    $linhaC100["vIPI"] = number_format($linhaC100["vIPI"],2,",","");
    $linhaC100["vPIS"] = number_format($linhaC100["vPIS"],2,",","");
    $linhaC100["vCOFINS"] = number_format($linhaC100["vCOFINS"],2,",","");
    $linhaC100["VL_PIS_ST"] = '0';
    $linhaC100["VL_COFINS_ST"] = '0';
    $linhaC100["VL_ABAT_NT"] = '0';
    $linhaC100["VL_SEG"] = '0';
    $linhaC100["VL_OUT_DA"] = '0';
    $linhaC100["Tipo_Frete"] = ($linhaC100["Tipo_Frete"]=='') ? '9' : $linhaC100["Tipo_Frete"];

if($COD_SIT=='02' || $COD_SIT=='06'){
    $linhaC100["Id"] = null;
    $linhaC100["Cpf_Cnpj"] = null;
    $linhaC100["Data_Nfe"] = null;
    $linhaC100["vProd"] = null;
    $IND_PGTO = null;
    $linhaC100["vDesc"] = null;
    $linhaC100["Tipo_Frete"] = null;
    $linhaC100["Frete"] = null;
    $linhaC100["vDesc"] = null;
    $linhaC100["vBC"] = null;
    $linhaC100["vICMS"] = null;
    $linhaC100["vBCST"] = null;
    $linhaC100["vST"] = null;
    $linhaC100["vIPI"] = null;
    $linhaC100["vPIS"] = null;
    $linhaC100["vCOFINS"] = null;
    $linhaC100["VL_PIS_ST"] = null;
    $linhaC100["VL_COFINS_ST"] = null;
    $linhaC100["VL_ABAT_NT"] = null;
    $linhaC100["VL_SEG"] = null;
    $linhaC100["VL_OUT_DA"] = null;
}

if($linhaC100["vCOFINS"]=='0' && $linhaC100["vPIS"]=='0'){
    $linhaC100["vBC"]='0';
    $linhaC100["vICMS"]='0';
}

$conteudo .= '|';
//*REGISTRO C100 (VARIOS POR ARQUIVO)
$conteudo .= 'C100'.'|'; // 01 REG - C - 004.
$conteudo .= $linhaC100["Tipo"].'|'; // 02 IND_OPER - C - 01 - O
$conteudo .= '0'.'|'; // 03 IND_EMIT - C - 01 - O | 0- Emisso prpria; 1- Terceiros
$conteudo .= $linhaC100["Cpf_Cnpj"].'|'; // 04 COD_PART - C - 60 - O
$conteudo .= '55'.'|';//65 // 05 COD_MOD - C - 02* - O
$conteudo .= $COD_SIT.'|'; // 06 COD_SIT - N - 02* - O
$conteudo .= $linhaC100["Serie"].'|'; // 07 SER - C - 03 - OC
$conteudo .= $linhaC100["Numero_Nota"].'|'; // 08 NUM_DOC - N - 09 - O
$conteudo .= $linhaC100["Chave"].'|'; // 09 CHV_NFE - N - 44* - O
$conteudo .= data_exibirtxt($linhaC100["Data_Nfe"]).'|'; // 10 DT_DOC - N - 08 - O
$conteudo .= data_exibirtxt($linhaC100["Data_Nfe"]).'|'; // 11 DT_E_S - N - 08 - OC
$conteudo .= $linhaC100["vProd"].'|'; // 12 VL_DOC - N - 10,02 - O
$conteudo .= $IND_PGTO.'|'; // 13 IND_PGTO - C - 01* - O
$conteudo .= $linhaC100["vDesc"].'|'; // 14 VL_DESC - N - 10,02 - OC
$conteudo .= $linhaC100["VL_ABAT_NT"].'|'; // 15 VL_ABAT_NT - N - 10,02 - OC
$conteudo .= $linhaC100["vProd"].'|'; // 16 VL_MERC - N - 10,02 - OC
$conteudo .= $linhaC100["Tipo_Frete"].'|'; // 17 IND_FRT - C - 01 - O
$conteudo .= $linhaC100["Frete"].'|'; // 18 VL_FRT - N - 10,02 - OC
$conteudo .= $linhaC100["VL_SEG"].'|'; // 19 VL_SEG - N - 10,02 - OC
$conteudo .= $linhaC100["VL_OUT_DA"].'|'; // 20 VL_OUT_DA - N - 10,02 - OC
$conteudo .= $linhaC100["vBC"].'|'; // 21 VL_BC_ICMS - N - 10,02 - OC
$conteudo .= $linhaC100["vICMS"].'|'; // 22 VL_ICMS - N - 10,02 - OC
$conteudo .= $linhaC100["vBCST"].'|'; // 23 VL_BC_ICMS_ST - N - 10,02 - OC
$conteudo .= $linhaC100["vST"].'|'; // 24 VL_ICMS_ST - N - 10,02 - OC
$conteudo .= $linhaC100["vIPI"].'|'; // 25 VL_IPI - N - 10,02 - OC
$conteudo .= $linhaC100["vPIS"].'|'; // 26 VL_PIS - N - 10,02 - OC
$conteudo .= $linhaC100["vCOFINS"].'|'; // 27 VL_COFINS - N - 10,02 - OC
$conteudo .= $linhaC100["VL_PIS_ST"].'|'; // 28 VL_PIS_ST - N - 10,02 - OC
$conteudo .= $linhaC100["VL_COFINS_ST"].'|'; // 29 VL_COFINS_ST - N - 10,02 - OC
$conteudo .= chr(13).chr(10); //essa  a quebra de linha
$reg+=1;
$reg2+=1;
$totalBloco["C100"]+=1;

/*
//REGISTRO C105 (UM POR ARQUIVO)
$conteudo .= 'C105'; // 01 REG - C - 004.
$conteudo .= '0000'; // 02 OPER - N - 01 - O
$conteudo .= '0000'; // 03 UF - C - 02 - O

//REGISTRO C110 (VARIOS POR ARQUIVO)
$conteudo .= 'C110'; // 01 REG - C - 004.
$conteudo .= '0000'; // 02 COD_INF - N - 06 - O
$conteudo .= '0000'; // 03 TXT_COMPL - C - 1000 - OC

//REGISTRO C111 (VARIOS POR ARQUIVO)
$conteudo .= 'C111'; // 01 REG - C - 004.
$conteudo .= '0000'; // 02 NUM_PROC - C - 15 - O
$conteudo .= '0000'; // 03 IND_PROC - C - 01* - O

//REGISTRO C112 (VARIOS POR ARQUIVO)
$conteudo .= 'C112'; // 01 REG - C - 004.
$conteudo .= '0000'; // 02 COD_DA - C - 01* - O
$conteudo .= '0000'; // 03 UF - C - 02* - O
$conteudo .= '0000'; // 04 NUM_DA - C - 100 - OC
$conteudo .= '0000'; // 05 COD_AUT - C - 100 - OC
$conteudo .= '0000'; // 06 VL_DA - N - 10,02 - O
$conteudo .= '0000'; // 07 DT_VCTO - N - 08* - O
$conteudo .= '0000'; // 08 DT_PGTO - N - 08* - O

//REGISTRO C113 (VARIOS POR ARQUIVO)
$conteudo .= 'C113'; // 01 REG - C - 004.
$conteudo .= '0000'; // 02 IND_OPER - C - 01* - O
$conteudo .= '0000'; // 03 IND_EMIT - C - 01* - O
$conteudo .= '0000'; // 04 COD_PART - C - 60 - O
$conteudo .= '0000'; // 05 COD_MOD - C - 02* - O
$conteudo .= '0000'; // 06 SER - C - 04 - OC
$conteudo .= '0000'; // 07 SUB - N - 03 - OC
$conteudo .= '0000'; // 08 NUM_DOC - N - 09 - O
$conteudo .= '0000'; // 09 DT_DOC - N - 08* - O

//REGISTRO C114 (VARIOS POR ARQUIVO)
$conteudo .= 'C114'; // 01 REG - C - 004.
$conteudo .= '0000'; // 02 COD_MOD - C - 02* - O
$conteudo .= '0000'; // 03 ECF_FAB - C - 021 - O
$conteudo .= '0000'; // 04 ECF_CX - N - 03 - O
$conteudo .= '0000'; // 05 NUM_DOC - N - 09 - O
$conteudo .= '0000'; // 06 DT_DOC - N- 08* - O

//REGISTRO C115 (VARIOS POR ARQUIVO)
$conteudo .= 'C115'; // 01 REG - C - 004.
$conteudo .= '0000'; // 02 IND_CARGA - N - 01* - O
$conteudo .= '0000'; // 03 CNPJ_COL - N - 14* - O
$conteudo .= '0000'; // 04 IE_COL - C - 14 - O
$conteudo .= '0000'; // 05 CPF_COL - N - 11* - O
$conteudo .= '0000'; // 06 COD_MUN_COL - N- 07* - O
$conteudo .= '0000'; // 07 CNPJ_ENTG - N- 14* - O
$conteudo .= '0000'; // 08 IE_ENTG - C- 14* - O
$conteudo .= '0000'; // 09 CPF_ENTG - N- 11* - O
$conteudo .= '0000'; // 10 COD_MUN_ENTG - N- 07* - O

//REGISTRO C116 (VARIOS POR ARQUIVO)
$conteudo .= 'C116'; // 01 REG - C - 004.
$conteudo .= '0000'; // 02 COD_MOD - C - 02 - O
$conteudo .= '0000'; // 03 NR_SAT - N - 09 - O
$conteudo .= '0000'; // 04 CHV_CFE - N- 44 - O
$conteudo .= '0000'; // 05 NUM_CFE - N - 06 - O
$conteudo .= '0000'; // 06 DT_DOC - N- 08 - O

//REGISTRO C120 (VARIOS POR ARQUIVO)
$conteudo .= 'C120'; // 01 REG - C - 004.
$conteudo .= '0000'; // 02 COD_DOC_IMP - C - 01 - O
$conteudo .= '0000'; // 03 NUM_DOC_IMP - C - 12 - O
$conteudo .= '0000'; // 04 PIS_IMP - N - 10,02 - OC
$conteudo .= '0000'; // 05 COFINS IMP - N - 10,02 - OC
$conteudo .= '0000'; // 06 NUM_ACDRAW - C- 20 - OC

//REGISTRO C130 (UM POR ARQUIVO)
$conteudo .= 'C130'; // 01 REG - C - 004.
$conteudo .= '0000'; // 02 VL_SERV_NT - C - 10,02 - O
$conteudo .= '0000'; // 03 VL_BC_ISSQN - C - 10,02 - O
$conteudo .= '0000'; // 04 VL_ISSQN - N - 10,02 - OC
$conteudo .= '0000'; // 05 VL_BC_IRRF - N - 10,02 - OC
$conteudo .= '0000'; // 06 VL_ IRRF - C- 10,02 - OC
$conteudo .= '0000'; // 07 VL_BC_PREV - C- 10,02 - OC
$conteudo .= '0000'; // 08 VL_ PREV - C- 10,02 - OC

//REGISTRO C140 (UM POR ARQUIVO)
$conteudo .= 'C140'; // 01 REG - C - 004.
$conteudo .= '0000'; // 02 IND_EMIT - C - 01* - O
$conteudo .= '0000'; // 03 IND_TIT - C - 02* - O
$conteudo .= '0000'; // 04 DESC_TIT - C - 20 - OC
$conteudo .= '0000'; // 05 NUM_TIT - C - 20 - OC
$conteudo .= '0000'; // 06 QTD_PARC - N- 02 - OC
$conteudo .= '0000'; // 07 VL_TIT - N- 10,02 - OC

//REGISTRO C141 (VARIOS POR ARQUIVO)
$conteudo .= 'C141'; // 01 REG - C - 004.
$conteudo .= '0000'; // 02 NUM_PARC - N - 02* - O
$conteudo .= '0000'; // 03 DT_VCTO - N - 08* - O
$conteudo .= '0000'; // 04 VL_PARC - N - 10,02 - O

//REGISTRO C160 (UM POR ARQUIVO)
$conteudo .= 'C160'; // 01 REG - C - 004.
$conteudo .= '0000'; // 02 COD_PART - C - 60 - OC
$conteudo .= '0000'; // 03 VEIC_ID - C - 07 - OC
$conteudo .= '0000'; // 04 QTD_VOL - N - 10 - O
$conteudo .= '0000'; // 05 PESO_BRT - N - 10,02 - O
$conteudo .= '0000'; // 06 PESO_LIQ - N - 10,02 - O
$conteudo .= '0000'; // 07 UF_ID - C - 02 - OC

//REGISTRO C165 (VARIOS POR ARQUIVO)
$conteudo .= 'C165'; // 01 REG - C - 004.
$conteudo .= '0000'; // 02 COD_PART - C - 60 - OC
$conteudo .= '0000'; // 03 VEIC_ID - C - 07 - O
$conteudo .= '0000'; // 04 COD_AUT - C - 20 - OC
$conteudo .= '0000'; // 05 NR_PASSE - C - 20 - OC
$conteudo .= '0000'; // 06 HORA - N - 06* - O
$conteudo .= '0000'; // 07 TEMPER - N - 10,02 - OC
$conteudo .= '0000'; // 08 QTD_VOL - N - 10 - O
$conteudo .= '0000'; // 09 PESO_BRT - N - 10,02 - O
$conteudo .= '0000'; // 10 PESO_LIQ - N - 10,02 - O
$conteudo .= '0000'; // 11 NOM_MOT - C - 60 - OC
$conteudo .= '0000'; // 12 CPF - N - 11* - OC
$conteudo .= '0000'; // 13 UF_ID - C - 02 - OC
 * 
 */



$sql_C170 = mysqli_query($con,"Select DISTINCT produto.Id,
                        produto.Codigo,
                        produto.Descricao,
                        produto.Medida,
                        produto.CST_Ipi,
                        produto.CST_Cofins,
                        produto.CST_Pis,
                        produto.Regime_ST,
                        produto.Origem_ST,
                        nfe_pedido_produto.Qtd,
                        nfe_pedido_produto.Preco,
                        nfe_pedido_produto.Desconto,
                        nfe_pedido_produto.Desconto_Real,
                        nfe_pedido_produto.ST_Icms,
                        nfe_pedido_produto.Icms,
                        nfe_pedido_produto.Aliquota_Pis,
                        nfe_pedido_produto.Aliquota_Cofins,
                        nfe.Cfop
                        FROM (SELECT Id,Id_Pedido,Cfop FROM nfe WHERE nfe.Id='".$linhaC100["Id"]."') as nfe
                        LEFT JOIN (SELECT Id,Qtd,Preco,Desconto,Desconto_Real,ST_Icms,
                        Icms,Id_Pedido,Id_Produto,Data_Cadastro,Aliquota_Pis,Aliquota_Cofins FROM nfe_pedido_produto) as nfe_pedido_produto ON nfe_pedido_produto.Id_Pedido = nfe.Id_Pedido
                        LEFT JOIN (SELECT Id,Descricao,Codigo,Medida,CST_Ipi,CST_Cofins,CST_Pis,Regime_ST,Origem_ST FROM produto) as produto ON nfe_pedido_produto.Id_Produto = produto.Id
                        WHERE 1=1
                        ORDER BY nfe_pedido_produto.Data_Cadastro ");
$ab='1';
while ($linhaC170 = mysqli_fetch_assoc($sql_C170)) {

if($linhaC170['Qtd']<'0'){
    $linhaC170['Qtd'] = abs($linhaC170['Qtd']);
}

$conteudo .= '|';
//*REGISTRO C170 (VARIOS POR ARQUIVO)
$conteudo .= 'C170'.'|'; // 01 REG - C - 004.
$conteudo .= $ab.'|'; // 02 NUM_ITEM - N - 03 - O
$conteudo .= $linhaC170["Codigo"].'|'; // 03 COD_ITEM - C - 60 - O
$conteudo .= substr($linhaC170["Descricao"],0,99).'|'; // 04 DESCR_COMPL - C - 100 - OC
$conteudo .= number_format($linhaC170["Qtd"],2,",","").'|'; // 05 QTD - N - 10,05 - O
$conteudo .= $linhaC170["Medida"].'|'; // 06 UNID - C - 06 - O
$VL_ITEM = (( ($linhaC170['Preco']*$linhaC170["Qtd"]) - ( ($linhaC170['Preco']*$linhaC170["Qtd"]) * ($linhaC170['Desconto']/100) ) ) -$linhaC170['Desconto_Real']);
$conteudo .= number_format( $VL_ITEM ,2,",","").'|'; // 07 VL_ITEM - N - 10,02 - O
$VT_DESC = (( ($linhaC170['Preco']*$linhaC170["Qtd"]) * ($linhaC170['Desconto']/100) ) - ($linhaC170['Desconto_Real']/$linhaC170["Qtd"]) );
if($VT_DESC<'0'){
    $VT_DESC='0';
}
$conteudo .= number_format(divisao_numero($VT_DESC),2,",","").'|'; // 08 VL_DESC - N - 10,02 - OC
$conteudo .= '0'.'|'; // 09 IND_MOV - C - 01* - O
$ori='';
if(strlen($linhaC170["ST_Icms"])<='2'){
    $ori = $linhaC170["Origem_ST"];
}
if(!$linhaC170["ST_Icms"]){
    $ori='000';
}
$conteudo .= $ori.$linhaC170["ST_Icms"].'|'; // 10 CST_ICMS - N - 03* - O
$conteudo .= $linhaC170["Cfop"].'|'; // 11 CFOP - N - 04* - O
$conteudo .= $linhaC170["Cfop"].'|'; // 12 COD_NAT - C - 10 - OC
if( ($linhaC170["ST_Icms"]=='30') || ($linhaC170["ST_Icms"]=='40') || ($linhaC170["ST_Icms"]=='41')
        || ($linhaC170["ST_Icms"]=='50') || ($linhaC170["ST_Icms"]=='60') || ($linhaC170["ST_Icms"]=='20') || ($linhaC170["ST_Icms"]=='70') ){
    $VL_BC_ICMS = '0';
    $ALIQ_ICMS = '0';
    $VL_ICMS = '0';
}elseif($linhaC170["ST_Icms"]=='00' || $linhaC170["ST_Icms"]=='10'){
    $VL_BC_ICMS = $VL_ITEM;
    if($reg_prod["Icms"]=='0'){
        $reg_prod["Icms"]='18';
    }
    $ALIQ_ICMS = $linhaC170["Icms"];
    $VL_ICMS = $VL_BC_ICMS * ($linhaC170["Icms"]/100);
}else{
    //$VL_BC_ICMS = (($linhaC170['Preco']-( $linhaC170['Preco']*($linhaC170['Desconto']/100) ) ) - ($linhaC170['Desconto_Real']/$linhaC170["Qtd"]));
    $VL_BC_ICMS = $VL_ITEM;
    $ALIQ_ICMS = $linhaC170["Icms"];
    $VL_ICMS = $VL_BC_ICMS * ($linhaC170["Icms"]/100);
}
$conteudo .= number_format($VL_BC_ICMS ,2,",","").'|'; // 13 VL_BC_ICMS - N - 10,02 - OC
$conteudo .= number_format($ALIQ_ICMS ,2,",","").'|'; // 14 ALIQ_ICMS - N - 06,02 - OC
$conteudo .= number_format($VL_ICMS ,2,",","").'|'; // 15 VL_ICMS - N - 10,02 - OC
$conteudo .= '0'.'|'; // 16 VL_BC_ICMS_ST - N - 10,02 - OC
$conteudo .= '0'.'|'; // 17 ALIQ_ST - N - 10,02 - OC
$conteudo .= '0'.'|'; // 18 VL_ICMS_ST - N - 10,02 - OC
$conteudo .= '0'.'|'; // 19 IND_APUR - C - 01* - OC
if(substr($linhaC170["Cfop"],0,1)<='3'){//venda
    $linhaC170["CST_Ipi"]='49';
}else{
    $linhaC170["CST_Ipi"]='99';
}
if($linhaC100["Tipo"]!='1'){//se for 0
    $linhaC170["CST_Pis"]='99';
    $linhaC170["CST_Cofins"]='99';
}else{
    $linhaC170["CST_Pis"]='49';
    $linhaC170["CST_Cofins"]='49';
}
if($linhaC170["Aliquota_Pis"]=='1'){
    $linhaC170["Aliquota_Pis"]='1.65';
}
if($linhaC170["Aliquota_Cofins"]=='7'){
    $linhaC170["Aliquota_Pis"]='7.60';
}
$conteudo .= $linhaC170["CST_Ipi"].'|'; // 20 CST_IPI - C - 02* - OC
$conteudo .= ''.'|'; // 21 COD_ENQ - C - 03* - OC
$conteudo .= '0'.'|'; // 22 VL_BC_IPI - N - 10,02 - OC
$conteudo .= '0'.'|'; // 23 ALIQ_IPI - N - 06,02 - OC
$conteudo .= '0'.'|'; // 24 VL_IPI - N - 10,02 - OC
$conteudo .= $linhaC170["CST_Pis"].'|'; // 25 CST_PIS - N - 02* - OC
$conteudo .= '0'.'|'; // 26 VL_BC_PIS - N - 10,02 - OC
$conteudo .= number_format($linhaC170["Aliquota_Pis"] ,2,",","").'|'; // 27 ALIQ_PIS - N - 08,04 - OC
$conteudo .= ''.'|'; // 28 QUANT_BC_PIS - N - 10,03 - OC
$conteudo .= ''.'|'; // 29 ALIQ_PIS - N - 10,04 - OC
$conteudo .= '0'.'|'; // 30 VL_PIS - N - 10,02 - OC
$conteudo .= $linhaC170["CST_Cofins"].'|'; // 31 CST_COFINS - N - 02* - OC
$conteudo .= '0'.'|'; // 32 VL_BC_COFINS - N - 10,02 - OC
$conteudo .= number_format($linhaC170["Aliquota_Cofins"] ,2,",","").'|'; // 33 ALIQ_COFINS - N - 08,04 - OC
$conteudo .= ''.'|'; // 34 QUANT_BC_COFINS - N - 10,03 - OC
$conteudo .= ''.'|'; // 35 ALIQ_COFINS - N - 10,04 - OC
$conteudo .= '0'.'|'; // 36 VL_COFINS - N - 10,02 - OC
$conteudo .= '31101'.'|'; // 37 COD_CTA - C - 20 - OC
$conteudo .= chr(13).chr(10); //essa  a quebra de linha

$reg+=1;
$reg2+=1;
$totalBloco["C170"]+=1;
$ab++;
}



/*
//REGISTRO C171 (VARIOS POR ARQUIVO)
$conteudo .= 'C171'; // 01 REG - C - 004.
$conteudo .= '0000'; // 02 NUM_TANQUE - C - 03 - O
$conteudo .= '0000'; // 03 QTDE - N - 10,03 - O

//REGISTRO C172 (UM POR ARQUIVO)
$conteudo .= 'C172'; // 01 REG - C - 004.
$conteudo .= '0000'; // 02 VL_BC_ISSQN - N - 10,02 - O
$conteudo .= '0000'; // 03 ALIQ_ISSQN - N - 06,03 - O
$conteudo .= '0000'; // 04 VL_ISSQN - N - 10,02 - O

//REGISTRO C173 (UM POR ARQUIVO)
$conteudo .= 'C173'; // 01 REG - C - 004.
$conteudo .= '0000'; // 02 LOTE_MED - C - 10 - O
$conteudo .= '0000'; // 03 QTD_ITEM - N - 10,03 - O
$conteudo .= '0000'; // 04 DT_FAB - N - 08* - O
$conteudo .= '0000'; // 05 DT_VAL - N - 08* - O
$conteudo .= '0000'; // 06 IND_MED - C - 01 - O
$conteudo .= '0000'; // 07 TP_PROD - C - 01* - O
$conteudo .= '0000'; // 08 VL_TAB_MAX - N - 10,02 - O

//REGISTRO C174 (UM POR ARQUIVO)
$conteudo .= 'C174'; // 01 REG - C - 004.
$conteudo .= '0000'; // 02 IND_ARM - C - 01 - O
$conteudo .= '0000'; // 03 NUM_ARM - C - 10 - O
$conteudo .= '0000'; // 04 DESCR_COMPL - C - 10 - O


//REGISTRO C176 (VARIOS POR ARQUIVO)
$conteudo .= 'C176'; // 01 REG - C - 004.
$conteudo .= '0000'; // 02 COD_MOD_ULT_E - C - 02* - O
$conteudo .= '0000'; // 03 NUM_DOC_ULT_E - N - 09 - O
$conteudo .= '0000'; // 04 SER_ULT_E - C - 03 - OC
$conteudo .= '0000'; // 05 DT_ULT_E - N - 08* - O
$conteudo .= '0000'; // 06 COD_PART_ULT_E - C - 60 - O
$conteudo .= '0000'; // 07 QUANT_ULT_E - N - 10,03 - O
$conteudo .= '0000'; // 08 VL_UNIT_ULT_E - N - 10,03 - O
$conteudo .= '0000'; // 09 VL_UNIT_BC_ST - N - 10,03 - O

//REGISTRO C177 (UM POR ARQUIVO)
$conteudo .= 'C177'; // 01 REG - C - 004.
$conteudo .= '0000'; // 02 COD_SELO_IPI - C - 06* - O
$conteudo .= '0000'; // 03 QT_SELO_IPI - N - 12 - O

//REGISTRO C178 (UM POR ARQUIVO)
$conteudo .= 'C178'; // 01 REG - C - 004.
$conteudo .= '0000'; // 02 CL_ENQ - C - 05 - O
$conteudo .= '0000'; // 03 VL_UNID - N - 10,02 - O
$conteudo .= '0000'; // 04 QUANT_PAD - N - 10,03 - O

//REGISTRO C179 (UM POR ARQUIVO)
$conteudo .= 'C179'; // 01 REG - C - 004.
$conteudo .= '0000'; // 02 BC_ST_ORIG_DEST - N - 10,02 - O
$conteudo .= '0000'; // 03 ICMS_ST_REP - N - 10,02 - O
$conteudo .= '0000'; // 04 ICMS_ST_COMPL - N - 10,02 - OC
$conteudo .= '0000'; // 05 BC_RET - N - 10,02 - OC
$conteudo .= '0000'; // 06 ICMS_RET - N - 10,02 - OC
 * 
 */



}
##NOTAS FISCAIS DO MODULO NFE C100





##NOTAS FISCAIS DO MODULO NFCE C100

#### gerando as notas emitidas pelo proprio cliente ####
#### Para NFe (emisao propria) informar somente os registros C100 e C190 e se for o caso,
# os registros C105, C110, e filhos, C120, C170 e C176, ou C195, ou C195 e C197 ####
$sql_C100 = mysqli_query($con,"Select DISTINCT nfe.Id,
                         nfe.Tipo,
                         nfe.Finalidade_Emissao,
                         nfe.Status,
                         nfe.Serie,
                         nfe.Numero_Nota,
                         nfe.Chave,
                         nfe.Data_Nfe,
                         nfe.vBC,
                         nfe.vICMS,
                         nfe.vBCST,
                         nfe.vST,
                         nfe.vProd,
                         nfe.vFrete,
                         nfe.vSeg,
                         nfe.vDesc,
                         nfe.vII,
                         nfe.vIPI,
                         nfe.vPIS,
                         nfe.vCOFINS,
                         nfe.vOutro,
                         nfe_pedido.Valor_Original,
                         nfe_pedido.Valor_Pago,
                         nfe_pedido.Id_Tipo_Pagamento,
                         nfe_pedido.Tipo_Frete,
                         nfe_pedido.Frete,
                         nfe_pedido.Despesa,
                         cliente.Cpf_Cnpj
                         FROM (SELECT Id,Tipo,Finalidade_Emissao,
                         Status,Serie,Numero_Nota,Chave,Data_Nfe,
                         vBC,vICMS,vBCST,vST,vProd,vFrete,vSeg,
                         vDesc,vII,vIPI,vPIS,vCOFINS,vOutro,Id_Pedido 
                         FROM nfe
                         WHERE nfe.Id_Unidade='".$_GET["Unidade"]."'
                         AND nfe.Tipo_Nfe='NFCe'
                         AND nfe.Protocolo<>''
                         AND nfe.Data_Nfe >= '".data_banco($_GET["De"])."' 
                         AND nfe.Data_Nfe <= '".data_banco($_GET["Ate"])."') as nfe
                         LEFT JOIN (SELECT Id,Valor_Original,
                         Valor_Pago,Id_Tipo_Pagamento,Tipo_Frete,
                         Frete,Despesa,Id_Cliente 
                         FROM nfe_pedido) as nfe_pedido ON nfe_pedido.Id = nfe.Id_Pedido
                         LEFT JOIN (SELECT Id,Cpf_Cnpj FROM cliente) as cliente ON nfe_pedido.Id_Cliente = cliente.Id
                         WHERE 1=1 
                         ORDER BY nfe.Tipo,nfe.Status,nfe.Data_Nfe ");
/*
LEFT JOIN (
    (SELECT Id,Cpf_Cnpj FROM cliente)
    UNION
    (SELECT Id,Cpf_Cnpj FROM fornecedor)
 ) as cliente ON nfe_pedido.Id_Cliente = cliente.Id
*/

while ($linhaC100 = mysqli_fetch_assoc($sql_C100)) {

if($linhaC100["Status"]=='Ativa'){
    $COD_SIT = '00';
}elseif($linhaC100["Status"]=='Cancelada'){
    $COD_SIT = '02';
}elseif( ($linhaC100["Finalidade_Emissao"]=='2') || ($linhaC100["Finalidade_Emissao"]=='3') ){
    $COD_SIT = '06';
}

if($linhaC100["Id_Tipo_Pagamento"]=='1'){
    $IND_PGTO='0';
}else{
    $IND_PGTO='1';
}

if($linhaC100['vProd']<'0'){
    $linhaC100['vProd'] = abs($linhaC100['vProd']);
}
if($linhaC100["vProd"]!=$linhaC100["vBC"]){
    $linhaC100["vBC"]=$linhaC100["vProd"];
    if($linhaC100["Tipo_Frete"]=='1'){
        $linhaC100["vICMS"]=($linhaC100["vProd"]*0.4);
    }else{
        $linhaC100["vICMS"]=($linhaC100["vProd"]*0.18);
    }
}

$linhaC100["vPIS"] = ($linhaC100["vBC"]*0.0065);
$linhaC100["vCOFINS"] = ($linhaC100["vBC"]*0.03);

    $linhaC100["vProd"] = number_format($linhaC100["vProd"],2,",","");
    $linhaC100["vDesc"] = number_format(divisao_numero($linhaC100["vDesc"]),2,",","");
    $linhaC100["Frete"] = number_format($linhaC100["Frete"],2,",","");
    $linhaC100["vDesc"] = number_format($linhaC100["vDesc"],2,",","");
    $linhaC100["vBC"] = number_format($linhaC100["vBC"],2,",","");
    $linhaC100["vICMS"] = number_format($linhaC100["vICMS"],2,",","");
    $linhaC100["vBCST"] = null;
    $linhaC100["vST"] = null;
    $linhaC100["vIPI"] = null;
    $linhaC100["vPIS"] = null;
    $linhaC100["vCOFINS"] = null;
    $linhaC100["VL_PIS_ST"] = null;
    $linhaC100["VL_COFINS_ST"] = null;
    $linhaC100["VL_ABAT_NT"] = '0';
    $linhaC100["VL_SEG"] = '0';
    $linhaC100["VL_OUT_DA"] = '0';
    $linhaC100["Tipo_Frete"] = ($linhaC100["Tipo_Frete"]=='') ? '9' : $linhaC100["Tipo_Frete"];

if($COD_SIT=='02' || $COD_SIT=='06'){
    $linhaC100["Id"] = null;
    $linhaC100["Cpf_Cnpj"] = null;
    $linhaC100["Data_Nfe"] = null;
    $linhaC100["vProd"] = null;
    $IND_PGTO = null;
    $linhaC100["vDesc"] = null;
    $linhaC100["Tipo_Frete"] = null;
    $linhaC100["Frete"] = null;
    $linhaC100["vDesc"] = null;
    $linhaC100["vBC"] = null;
    $linhaC100["vICMS"] = null;
    $linhaC100["vBCST"] = null;
    $linhaC100["vST"] = null;
    $linhaC100["vIPI"] = null;
    $linhaC100["vPIS"] = null;
    $linhaC100["vCOFINS"] = null;
    $linhaC100["VL_PIS_ST"] = null;
    $linhaC100["VL_COFINS_ST"] = null;
    $linhaC100["VL_ABAT_NT"] = null;
    $linhaC100["VL_SEG"] = null;
    $linhaC100["VL_OUT_DA"] = null;
}

if($linhaC100["vCOFINS"]=='0' && $linhaC100["vPIS"]=='0'){
    $linhaC100["vBC"]='0';
    $linhaC100["vICMS"]='0';
}

$conteudo .= '|';
//*REGISTRO C100 (VARIOS POR ARQUIVO)
$conteudo .= 'C100'.'|'; // 01 REG - C - 004.
$conteudo .= $linhaC100["Tipo"].'|'; // 02 IND_OPER - C - 01 - O
$conteudo .= '0'.'|'; // 03 IND_EMIT - C - 01 - O | 0- Emisso prpria; 1- Terceiros
$conteudo .= "".'|'; // 04 COD_PART - C - 60 - O
$conteudo .= '65'.'|';//65 // 05 COD_MOD - C - 02* - O
$conteudo .= $COD_SIT.'|'; // 06 COD_SIT - N - 02* - O
$conteudo .= str_pad($linhaC100["Serie"], 3,"0", STR_PAD_LEFT).'|'; // 07 SER - C - 03 - OC
$conteudo .= $linhaC100["Numero_Nota"].'|'; // 08 NUM_DOC - N - 09 - O
$conteudo .= $linhaC100["Chave"].'|'; // 09 CHV_NFE - N - 44* - O
$conteudo .= data_exibirtxt($linhaC100["Data_Nfe"]).'|'; // 10 DT_DOC - N - 08 - O
$conteudo .= data_exibirtxt($linhaC100["Data_Nfe"]).'|'; // 11 DT_E_S - N - 08 - OC
$conteudo .= $linhaC100["vProd"].'|'; // 12 VL_DOC - N - 10,02 - O
$conteudo .= $IND_PGTO.'|'; // 13 IND_PGTO - C - 01* - O
$conteudo .= $linhaC100["vDesc"].'|'; // 14 VL_DESC - N - 10,02 - OC
$conteudo .= $linhaC100["VL_ABAT_NT"].'|'; // 15 VL_ABAT_NT - N - 10,02 - OC
$conteudo .= $linhaC100["vProd"].'|'; // 16 VL_MERC - N - 10,02 - OC
$conteudo .= $linhaC100["Tipo_Frete"].'|'; // 17 IND_FRT - C - 01 - O
$conteudo .= $linhaC100["Frete"].'|'; // 18 VL_FRT - N - 10,02 - OC
$conteudo .= $linhaC100["VL_SEG"].'|'; // 19 VL_SEG - N - 10,02 - OC
$conteudo .= $linhaC100["VL_OUT_DA"].'|'; // 20 VL_OUT_DA - N - 10,02 - OC
$conteudo .= $linhaC100["vBC"].'|'; // 21 VL_BC_ICMS - N - 10,02 - OC
$conteudo .= $linhaC100["vICMS"].'|'; // 22 VL_ICMS - N - 10,02 - OC
$conteudo .= $linhaC100["vBCST"].'|'; // 23 VL_BC_ICMS_ST - N - 10,02 - OC
$conteudo .= $linhaC100["vST"].'|'; // 24 VL_ICMS_ST - N - 10,02 - OC
$conteudo .= $linhaC100["vIPI"].'|'; // 25 VL_IPI - N - 10,02 - OC
$conteudo .= $linhaC100["vPIS"].'|'; // 26 VL_PIS - N - 10,02 - OC
$conteudo .= $linhaC100["vCOFINS"].'|'; // 27 VL_COFINS - N - 10,02 - OC
$conteudo .= $linhaC100["VL_PIS_ST"].'|'; // 28 VL_PIS_ST - N - 10,02 - OC
$conteudo .= $linhaC100["VL_COFINS_ST"].'|'; // 29 VL_COFINS_ST - N - 10,02 - OC
$conteudo .= chr(13).chr(10); //essa  a quebra de linha
$reg+=1;
$reg2+=1;
$totalBloco["C100"]+=1;




//SUM( (nfe_pedido_produto.Preco*nfe_pedido_produto.Qtd) - (( (nfe_pedido_produto.Preco*nfe_pedido_produto.Qtd)* (nfe_pedido_produto.Desconto/100) )-nfe_pedido_produto.Desconto_Real) ) as Valor,
//GROUP BY nfe_pedido_produto.ST_Icms
$sql_C175 = mysqli_query($con,"Select nfe_pedido_produto.ST_Icms,
                        nfe_pedido_produto.Icms,
                        nfe_pedido_produto.Preco,
                        nfe_pedido_produto.Qtd,
                        nfe_pedido_produto.Desconto,
                        nfe_pedido_produto.Desconto_Real,
                        nfe_pedido_produto.Aliquota_Pis,
                        nfe_pedido_produto.Aliquota_Cofins,
                        nfe_pedido_produto.CST_Pis,
                        nfe_pedido_produto.CST_Cofins,
                        nfe.Cfop
                        FROM (SELECT Id,Cfop,Id_Pedido FROM nfe WHERE nfe.Id='".$linhaC100["Id"]."') as nfe
                        LEFT JOIN (SELECT Id,ST_Icms,Icms,
                        Preco,Qtd,Desconto,Desconto_Real,Id_Pedido,Id_Produto,Data_Cadastro,
                        Aliquota_Pis,Aliquota_Cofins,CST_Pis,CST_Cofins
                        FROM nfe_pedido_produto) as nfe_pedido_produto ON nfe_pedido_produto.Id_Pedido = nfe.Id_Pedido
                        WHERE 1=1
                        ORDER BY nfe_pedido_produto.Data_Cadastro ");

$valor_c175='';
$posicao='';
$abc='0';
$valor_c175 = array();
while ($linhaC175 = mysqli_fetch_assoc($sql_C175)) {
    
    if(strlen($linhaC175["CST_Pis"])=='1'){
        $linhaC175["CST_Pis"]='49';
    }
    //if($linhaC175["CST_Pis"]=='01'){
        //$linhaC175["Aliquota_Pis"]='1.65';
    //}
    if(strlen($linhaC175["CST_Cofins"])=='1'){
        $linhaC175["CST_Cofins"]='49';
    }
    //if($linhaC175["CST_Cofins"]=='01'){
        //$linhaC175["Aliquota_Cofins"]='7.60';
    //}
    
    $valor_c175[$linhaC175['Cfop']]['ST_Icms'] = $linhaC175["ST_Icms"];
    $valor_c175[$linhaC175['Cfop']]['Cfop'] = $linhaC175["Cfop"];
    $valor_c175[$linhaC175['Cfop']]['Icms'] = $linhaC175["Icms"];
    $valor_c175[$linhaC175['Cfop']]['Aliquota_Pis'] = $linhaC175["Aliquota_Pis"];
    $valor_c175[$linhaC175['Cfop']]['Aliquota_Cofins'] = $linhaC175["Aliquota_Cofins"];
    $valor_c175[$linhaC175['Cfop']]['CST_Pis'] = $linhaC175["CST_Pis"];
    $valor_c175[$linhaC175['Cfop']]['CST_Cofins'] = $linhaC175["CST_Cofins"];
    
    $valor_icms=( ($linhaC175["Preco"]*$linhaC175["Qtd"]) - (( ($linhaC175["Preco"]*$linhaC175["Qtd"])* ($linhaC175["Desconto"]/100) )-$linhaC175["Desconto_Real"]) );
    $valor_c175[$linhaC175['Cfop']]['Valor']+= $valor_icms;
    
    $VL_BC_ICMS = $valor_icms;
    $ALIQ_ICMS = $linhaC175["Icms"];
    $VL_ICMS = $VL_BC_ICMS * ($linhaC175["Icms"]/100);

    $VL_PIS = $VL_BC_ICMS * ($linhaC175["Aliquota_Pis"]/100);
    $VL_COFINS = $VL_BC_ICMS * ($linhaC175["Aliquota_Cofins"]/100);
    
    $valor_c175[$linhaC175['Cfop']]['VL_BC_ICMS'] = $VL_BC_ICMS;
    $valor_c175[$linhaC175['Cfop']]['VL_ICMS'] = $VL_ICMS;
    
    $valor_c175[$linhaC175['Cfop']]['VL_PIS'] = $VL_PIS;
    $valor_c175[$linhaC175['Cfop']]['VL_COFINS'] = $VL_COFINS;
    
    $abc++;
}

foreach($valor_c175 as $posicao){

$conteudo .= '|';
//*REGISTRO C175 (VARIOS POR ARQUIVO)
$conteudo .= 'C175'.'|'; // 01 REG - C - 004.
$conteudo .= $posicao["Cfop"].'|'; // 02 CFOP - N - 004* - O
$conteudo .= number_format($posicao["Valor"],2,",","").'|'; // 03 VL_OPR - N - 10,02 - O
$conteudo .= '0'.'|'; // 04 VL_DESC - N - 10,02 - O

$conteudo .= $posicao["CST_Pis"].'|'; // 05 CST_PIS - N - 10,02 - O
$conteudo .= number_format($posicao["VL_BC_ICMS"],2,",","").'|'; // 06 VL_BC_PIS - N - 10,02 - O
$conteudo .= number_format($posicao["Aliquota_Pis"],2,",","").'|'; // 07 ALIQ_PIS - N - 10,02 - O
$conteudo .= ''.'|'; // 08 QUANT_BC_PIS - N - 10,02 - O
$conteudo .= ''.'|'; // 09 ALIQ_PIS_QUANT - N - 10,02 - O
$conteudo .= number_format($posicao["VL_PIS"],2,",","").'|'; // 10 VL_PIS - N - 10,02 - O

$conteudo .= $posicao["CST_Cofins"].'|'; // 11 CST_COFINS - N - 10,02 - O
$conteudo .= number_format($posicao["VL_BC_ICMS"],2,",","").'|'; // 12 VL_BC_COFINS - N - 10,02 - O
$conteudo .= number_format($posicao["Aliquota_Cofins"],2,",","").'|'; // 13 ALIQ_COFINS - N - 10,02 - O
$conteudo .= ''.'|'; // 14 QUANT_BC_COFINS - N - 10,02 - O
$conteudo .= ''.'|'; // 15 ALIQ_COFINS_QUANT - N - 10,02 - O
$conteudo .= number_format($posicao["VL_COFINS"],2,",","").'|'; // 16 VL_COFINS - N - 10,02 - O
$conteudo .= '31101'.'|'; // 17 COD_CTA - N - 006 - OC
$conteudo .= ''.'|'; // 18 INFO_COMPL - N - 006 - OC
$conteudo .= chr(13).chr(10); //essa  a quebra de linha

$reg+=1;
$reg2+=1;
$totalBloco["C175"]+=1;

}





}
##NOTAS FISCAIS DO MODULO NFCE C100




##NOTAS FISCAIS DO MODULO COMPRAS C100

#### gerando as notas emitidas pelo proprio cliente ####
#### Para NFe (emisao propria) informar somente os registros C100 e C190 e se for o caso,
# os registros C105, C110, e filhos, C120, C170 e C176, ou C195, ou C195 e C197 ####
$sql_C100 = mysqli_query($con,"Select DISTINCT compra.Id,
                        compra.Fatura,
                        compra.Chave_Nfe,
                        compra.Data_Compra,
                        compra.Valor_Pago,
                        compra.Valor_Original,
                        compra.Tipo_Frete,
                        compra.Despesa,
                        compra.Frete,
                        fornecedor.Cpf_Cnpj,
                        cfop.Cfop
                        FROM (SELECT Id,Fatura,Chave_Nfe,
                        Data_Compra,Valor_Pago,Valor_Original,Tipo_Frete,
                        Frete,Id_Fornecedor,Despesa,Id_Cfop
                        FROM compra 
                        WHERE compra.Id_Unidade='".$_GET["Unidade"]."'
                        AND compra.EF = 'Sim'
                        AND Status='Finalizado'
                        AND compra.Data_Compra >= '".data_banco($_GET["De"])."' 
                        AND compra.Data_Compra <= '".data_banco($_GET["Ate"])."') as compra
                        INNER JOIN (SELECT Id,Cfop FROM cfop WHERE UPPER(SUBSTRING(Cfop, 1, 1)) <= '3') cfop ON cfop.Id = compra.Id_Cfop
                        LEFT JOIN (SELECT Id,Cpf_Cnpj,Razao_Social FROM fornecedor) as fornecedor ON compra.Id_Fornecedor = fornecedor.Id
                        WHERE 1=1 
                        ORDER BY compra.Data_Compra ");

while ($linhaC100 = mysqli_fetch_assoc($sql_C100)) {

$linhaC100["Valor_Pago"] = $linhaC100["Valor_Pago"]-$linhaC100["Despesa"];

if($linhaC100['Valor_Pago']<'0'){
    $linhaC100['Valor_Pago'] = abs($linhaC100['Valor_Pago']);
}
if(substr($linhaC100["Cfop"],0,1)<='3'){//venda
    $linhaC100["Tipo"]='0';
}else{
    $linhaC100["Tipo"]='1';
}

$conteudo .= '|';
//*REGISTRO C100 (VARIOS POR ARQUIVO)
$conteudo .= 'C100'.'|'; // 01 REG - C - 004.
$conteudo .= $linhaC100["Tipo"].'|'; // 02 IND_OPER - C - 01 - O
$conteudo .= '1'.'|'; // 03 IND_EMIT - C - 01 - O | 0- Emisso prpria; 1- Terceiros
$conteudo .= $linhaC100["Cpf_Cnpj"].'|'; // 04 COD_PART - C - 60 - O
$conteudo .= '55'.'|';//65 // 05 COD_MOD - C - 02* - O
//if($linhaC100["Status"]=='Ativa'){
//    $COD_SIT = '00';
//}elseif($linhaC100["Status"]=='Cancelada'){
//    $COD_SIT = '02';
//}elseif( ($linhaC100["Finalidade_Emissao"]=='2') || ($linhaC100["Finalidade_Emissao"]=='3') ){
//    $COD_SIT = '06';
//}
$conteudo .= '00'.'|'; // 06 COD_SIT - N - 02* - O
$serie = substr($linhaC100["Chave_Nfe"],22,3);
$conteudo .= $serie.'|'; // 07 SER - C - 03 - OC
$conteudo .= $linhaC100["Fatura"].'|'; // 08 NUM_DOC - N - 09 - O
$conteudo .= $linhaC100["Chave_Nfe"].'|'; // 09 CHV_NFE - N - 44* - O
$conteudo .= data_exibirtxt($linhaC100["Data_Compra"]).'|'; // 10 DT_DOC - N - 08 - O
$conteudo .= data_exibirtxt($linhaC100["Data_Compra"]).'|'; // 11 DT_E_S - N - 08 - OC
$conteudo .= number_format($VL_BC_ICMS_TOTAL,2,",","").'|'; // 12 VL_DOC - N - 10,02 - O
//if($linhaC100["Id_Tipo_Pagamento"]=='1'){
    //$IND_PGTO='0';
//}else{
    //$IND_PGTO='1';
//}
$conteudo .= '1'.'|'; // 13 IND_PGTO - C - 01* - O
$conteudo .= number_format(0,2,",","").'|'; // 14 VL_DESC - N - 10,02 - OC
$conteudo .= '0'.'|'; // 15 VL_ABAT_NT - N - 10,02 - OC
$conteudo .= number_format($linhaC100["Valor_Pago"],2,",","").'|'; // 16 VL_MERC - N - 10,02 - OC
$conteudo .= $linhaC100["Tipo_Frete"].'|'; // 17 IND_FRT - C - 01 - O
$conteudo .= number_format($linhaC100["Frete"],2,",","").'|'; // 18 VL_FRT - N - 10,02 - OC
$conteudo .= '0'.'|'; // 19 VL_SEG - N - 10,02 - OC
$conteudo .= number_format(0,2,",","").'|'; // 20 VL_OUT_DA - N - 10,02 - OC
$conteudo .= number_format(0,2,",","").'|'; // 21 VL_BC_ICMS - N - 10,02 - OC
$conteudo .= number_format(0,2,",","").'|'; // 22 VL_ICMS - N - 10,02 - OC
$conteudo .= number_format(0,2,",","").'|'; // 23 VL_BC_ICMS_ST - N - 10,02 - OC
$conteudo .= number_format(0,2,",","").'|'; // 24 VL_ICMS_ST - N - 10,02 - OC
$conteudo .= number_format(0,2,",","").'|'; // 25 VL_IPI - N - 10,02 - OC
$conteudo .= number_format(0,2,",","").'|'; // 26 VL_PIS - N - 10,02 - OC
$conteudo .= number_format(0,2,",","").'|'; // 27 VL_COFINS - N - 10,02 - OC
$conteudo .= '0'.'|'; // 28 VL_PIS_ST - N - 10,02 - OC
$conteudo .= '0'.'|'; // 29 VL_COFINS_ST - N - 10,02 - OC
$conteudo .= chr(13).chr(10); //essa  a quebra de linha
$reg+=1;
$reg2+=1;
$totalBloco["C100"]+=1;




$sql_C170 = mysqli_query($con,"Select DISTINCT produto.Id,
                         produto.Codigo,
                         produto.Descricao,
                         produto.Medida,
                         produto.CST_Ipi,
                         produto.CST_Cofins,
                         produto.CST_Pis,
                         produto.Regime_ST,
                         produto.Origem_ST,
                         compra_produto.Qtd,
                         compra_produto.Preco,
                         compra_produto.Desconto,
                         compra_produto.Desconto_Real,
                         compra_produto.ST_Icms,
                         compra_produto.Icms,
                         compra_produto.Conversao,
                         produto.Aliquota_Pis,
                         produto.Aliquota_Cofins,
                         cfop.Cfop
                         FROM (SELECT Id,Data_Cadastro FROM compra WHERE Id='".$linhaC100["Id"]."') as compra
                         LEFT JOIN (SELECT Id,Qtd,Preco,Desconto,Desconto_Real,ST_Icms,
                         Icms,Id_Compra,Id_Produto,Id_Cfop,Conversao FROM compra_produto) as compra_produto ON compra_produto.Id_Compra = compra.Id
                         LEFT JOIN (SELECT Id,Cfop FROM cfop) as cfop ON cfop.Id = compra_produto.Id_Cfop
                         LEFT JOIN (SELECT Id,Descricao,Codigo,Medida,CST_Ipi,CST_Cofins,CST_Pis,Regime_ST,Origem_ST,Aliquota_Pis,Aliquota_Cofins FROM produto) as produto ON compra_produto.Id_Produto = produto.Id
                         WHERE 1=1
                         ORDER BY compra.Data_Cadastro ");
$ab='1';
while ($linhaC170 = mysqli_fetch_assoc($sql_C170)) {

if($linhaC170['Qtd']<'0'){
    $linhaC170['Qtd'] = abs($linhaC170['Qtd']);
}

if(substr($linhaC170["Cfop"],0,1)<='3'){//venda
    $linhaC170["CST_Ipi"]='49';
}else{
    $linhaC170["CST_Ipi"]='99';
}
if($linhaC100["Tipo"]!='1'){//se for 0
    $linhaC170["CST_Pis"]='99';
    $linhaC170["CST_Cofins"]='99';
}else{
    $linhaC170["CST_Pis"]='49';
    $linhaC170["CST_Cofins"]='49';
}

if(empty($linhaC170["Conversao"])){
    $linhaC170["Conversao"]='UN';
}

switch($linhaC170["Conversao"]){
    case 'ud' : $linhaC170["Conversao"]='UN';
    break;
}

$conteudo .= '|';
//*REGISTRO C170 (VARIOS POR ARQUIVO)
$conteudo .= 'C170'.'|'; // 01 REG - C - 004.
$conteudo .= $ab.'|'; // 02 NUM_ITEM - N - 03 - O
$conteudo .= $linhaC170["Codigo"].'|'; // 03 COD_ITEM - C - 60 - O
$conteudo .= substr($linhaC170["Descricao"],0,99).'|'; // 04 DESCR_COMPL - C - 100 - OC
$conteudo .= number_format($linhaC170["Qtd"],2,",","").'|'; // 05 QTD - N - 10,05 - O
$conteudo .= $linhaC170["Conversao"].'|'; // 06 UNID - C - 06 - O
$VL_ITEM = (( ($linhaC170['Preco']*$linhaC170["Qtd"]) - ( ($linhaC170['Preco']*$linhaC170["Qtd"]) * ($linhaC170['Desconto']/100) ) ) -$linhaC170['Desconto_Real']);
$conteudo .= number_format( $VL_ITEM ,2,",","").'|'; // 07 VL_ITEM - N - 10,02 - O
$VT_DESC = (( ($linhaC170['Preco']*$linhaC170["Qtd"]) * ($linhaC170['Desconto']/100) ) - $linhaC170['Desconto_Real']);
if($VT_DESC<'0'){
    $VT_DESC='0';
}
$conteudo .= number_format(divisao_numero($VT_DESC),2,",","").'|'; // 08 VL_DESC - N - 10,02 - OC
$conteudo .= '0'.'|'; // 09 IND_MOV - C - 01* - O
$ori='';
if(strlen($linhaC170["ST_Icms"])<='2'){
    $ori = $linhaC170["Origem_ST"];
}
if(!$linhaC170["ST_Icms"]){
    $ori='000';
}
$conteudo .= $ori.$linhaC170["ST_Icms"].'|'; // 10 CST_ICMS - N - 03* - O
$conteudo .= $linhaC170["Cfop"].'|'; // 11 CFOP - N - 04* - O
$conteudo .= $linhaC170["Cfop"].'|'; // 12 COD_NAT - C - 10 - OC
if( ($linhaC170["ST_Icms"]=='30') || ($linhaC170["ST_Icms"]=='40') || ($linhaC170["ST_Icms"]=='41')
        || ($linhaC170["ST_Icms"]=='50') || ($linhaC170["ST_Icms"]=='60') || ($linhaC170["ST_Icms"]=='20') || ($linhaC170["ST_Icms"]=='70') ){
    $VL_BC_ICMS = '0';
    $ALIQ_ICMS = '0';
    $VL_ICMS = '0';
}elseif($linhaC170["ST_Icms"]=='00' || $linhaC170["ST_Icms"]=='10'){
    $VL_BC_ICMS = $VL_ITEM;
    if($linhaC170["Icms"]=='0'){
        $linhaC170["Icms"]='18';
    }
    $ALIQ_ICMS = $linhaC170["Icms"];
    $VL_ICMS = $VL_BC_ICMS * ($linhaC170["Icms"]/100);
}else{
    //$VL_BC_ICMS = (($linhaC170['Preco']-( $linhaC170['Preco']*($linhaC170['Desconto']/100) ) ) - ($linhaC170['Desconto_Real']/$linhaC170["Qtd"]));
    $VL_BC_ICMS = $VL_ITEM;
    $ALIQ_ICMS = $linhaC170["Icms"];
    $VL_ICMS = $VL_BC_ICMS * ($linhaC170["Icms"]/100);
}

if($linhaC170["Aliquota_Pis"]=='1'){
    $linhaC170["Aliquota_Pis"]='1.65';
}
if($linhaC170["Aliquota_Cofins"]=='7'){
    $linhaC170["Aliquota_Pis"]='7.60';
}
$conteudo .= number_format($VL_BC_ICMS ,2,",","").'|'; // 13 VL_BC_ICMS - N - 10,02 - OC
$conteudo .= number_format($ALIQ_ICMS ,2,",","").'|'; // 14 ALIQ_ICMS - N - 06,02 - OC
$conteudo .= number_format($VL_ICMS ,2,",","").'|'; // 15 VL_ICMS - N - 10,02 - OC
$conteudo .= '0'.'|'; // 16 VL_BC_ICMS_ST - N - 10,02 - OC
$conteudo .= '0'.'|'; // 17 ALIQ_ST - N - 10,02 - OC
$conteudo .= '0'.'|'; // 18 VL_ICMS_ST - N - 10,02 - OC
$conteudo .= '0'.'|'; // 19 IND_APUR - C - 01* - OC
$conteudo .= $linhaC170["CST_Ipi"].'|'; // 20 CST_IPI - C - 02* - OC
$conteudo .= ''.'|'; // 21 COD_ENQ - C - 03* - OC
$conteudo .= '0'.'|'; // 22 VL_BC_IPI - N - 10,02 - OC
$conteudo .= '0'.'|'; // 23 ALIQ_IPI - N - 06,02 - OC
$conteudo .= '0'.'|'; // 24 VL_IPI - N - 10,02 - OC
$conteudo .= $linhaC170["CST_Pis"].'|'; // 25 CST_PIS - N - 02* - OC
$conteudo .= '0'.'|'; // 26 VL_BC_PIS - N - 10,02 - OC
$conteudo .= number_format($linhaC170["Aliquota_Pis"] ,2,",","").'|'; // 27 ALIQ_PIS - N - 08,04 - OC
$conteudo .= ''.'|'; // 28 QUANT_BC_PIS - N - 10,03 - OC
$conteudo .= ''.'|'; // 29 ALIQ_PIS - N - 10,04 - OC
$conteudo .= '0'.'|'; // 30 VL_PIS - N - 10,02 - OC
$conteudo .= $linhaC170["CST_Cofins"].'|'; // 31 CST_COFINS - N - 02* - OC
$conteudo .= '0'.'|'; // 32 VL_BC_COFINS - N - 10,02 - OC
$conteudo .= number_format($linhaC170["Aliquota_Cofins"] ,2,",","").'|'; // 33 ALIQ_COFINS - N - 08,04 - OC
$conteudo .= ''.'|'; // 34 QUANT_BC_COFINS - N - 10,03 - OC
$conteudo .= ''.'|'; // 35 ALIQ_COFINS - N - 10,04 - OC
$conteudo .= '0'.'|'; // 36 VL_COFINS - N - 10,02 - OC
$conteudo .= '31101'.'|'; // 37 COD_CTA - C - 20 - OC
$conteudo .= chr(13).chr(10); //essa  a quebra de linha

$reg+=1;
$reg2+=1;
$totalBloco["C170"]+=1;
$ab++;
}




}
##NOTAS FISCAIS DO MODULO COMPRAS C100












/*
//REGISTRO C195 (VARIOS POR ARQUIVO)
$conteudo .= 'C195'; // 01 REG - C - 004.
$conteudo .= '0000'; // 02 COD_OBS - C - 06 - O
$conteudo .= '0000'; // 03 TXT_COMPL - C - 60 - OC

//REGISTRO C197 (VARIOS POR ARQUIVO)
$conteudo .= 'C197'; // 01 REG - C - 004.
$conteudo .= '0000'; // 02 COD_OBS - C - 10* - O
$conteudo .= '0000'; // 03 TXT_COMPL - C - 60 - OC
$conteudo .= '0000'; // 04 TXT_COMPL - C - 06 - OC
$conteudo .= '0000'; // 05 TXT_COMPL - N - 10,02 - OC
$conteudo .= '0000'; // 06 TXT_COMPL - N - 06,02 - OC
$conteudo .= '0000'; // 07 TXT_COMPL - N - 10,02 - OC
$conteudo .= '0000'; // 08 TXT_COMPL - N - 10,02 - OC

//REGISTRO C300 (VARIOS POR ARQUIVO)
$conteudo .= 'C197'; // 01 REG - C - 004.
$conteudo .= '0000'; // 02 COD_MOD - C - 02* - O
$conteudo .= '0000'; // 03 SER - C - 04 - O
$conteudo .= '0000'; // 04 SUB - C - 03 - O
$conteudo .= '0000'; // 05 NUM_DOC_INI - N - 06 - O
$conteudo .= '0000'; // 06 NUM_DOC_FIN - N - 06 - O
$conteudo .= '0000'; // 07 DT_DOC - N - 08* - O
$conteudo .= '0000'; // 08 VL_DOC - N - 10,02 - O
$conteudo .= '0000'; // 09 VL_PIS - N - 10,02 - OC
$conteudo .= '0000'; // 10 VL_COFINS - N - 10,02 - OC
$conteudo .= '0000'; // 11 COD_CTA - C - 60 - OC
*/

$reg+=1;
$reg2+=1;
$totalBloco["C990"]+=1;
$conteudo .= '|';
//*REGISTRO C990 (UM POR ARQUIVO)
$conteudo .= 'C990'.'|'; // 01 REG - C - 004.
$conteudo .= $reg.'|'; // 02 QTD_LIN_0 - N - 08 - O
$conteudo .= chr(13).chr(10); //essa  a quebra de linha


//BLOCO D - ABERTURA
$reg='0';

$conteudo .= '|';
//*REGISTRO D001 (UM POR ARQUIVO)
$conteudo .= 'D001'.'|'; // 01 REG - C - 004.
$conteudo .= '1'.'|'; // 02 IND_MOV - C - 01 - O
$conteudo .= chr(13).chr(10); //essa  a quebra de linha
$reg+=1;
$reg2+=1;
$totalBloco["D001"]+=1;

$reg+=1;
$reg2+=1;
$totalBloco["D990"]+=1;
$conteudo .= '|';
//*REGISTRO D990 (UM POR ARQUIVO)
$conteudo .= 'D990'.'|'; // 01 REG - C - 004.
$conteudo .= $reg.'|'; // 02 QTD_LIN_0 - N - 08 - O
$conteudo .= chr(13).chr(10); //essa  a quebra de linha


//BLOCO F - ABERTURA
$reg='0';

$conteudo .= '|';
//*REGISTRO F001 (UM POR ARQUIVO)
$conteudo .= 'F001'.'|'; // 01 REG - C - 004.
$conteudo .= '0'.'|'; // 02 IND_MOV - C - 01 - O
$conteudo .= chr(13).chr(10); //essa  a quebra de linha
$reg+=1;
$reg2+=1;
$totalBloco["F001"]+=1;


$conteudo .= '|';
//*REGISTRO F010 (UM POR ARQUIVO)
$conteudo .= 'F010'.'|'; // 01 REG - C - 004.
$conteudo .= CaracteresEspeciais($linha0000["Cnpj"],"Sim").'|'; // 02 IND_MOV - C - 01 - O
$conteudo .= chr(13).chr(10); //essa  a quebra de linha
$reg+=1;
$reg2+=1;
$totalBloco["F010"]+=1;



/*
$sql_E110 = mysqli_query($con,"Select DISTINCT nfe.Id,
                         nfe.Tipo,
                         nfe.Finalidade_Emissao,
                         nfe.Serie,
                         nfe.Numero_Nota,
                         nfe.Chave,
                         nfe.Data_Nfe,
                         nfe.vBC,
                         SUM(nfe.vICMS) as Total_vICMS,
                         nfe.vBCST,
                         nfe.vST,
                         nfe.vProd,
                         nfe.vFrete,
                         nfe.vSeg,
                         nfe.vDesc,
                         nfe.vII,
                         nfe.vIPI,
                         nfe.vPIS,
                         nfe.vCOFINS,
                         nfe.vOutro,
                         nfe_pedido.Valor_Original,
                         nfe_pedido.Valor_Pago,
                         nfe_pedido.Id_Tipo_Pagamento,
                         nfe_pedido.Tipo_Frete,
                         nfe_pedido.Frete,
                         nfe_pedido.Despesa
                         FROM nfe
                         LEFT JOIN nfe_pedido ON nfe_pedido.Id = nfe.Id_Pedido
                         WHERE nfe.Id_Unidade='".$_GET["Unidade"]."'
                         AND nfe.Data_Nfe >= '".data_banco($_GET["De"])."' 
                         AND nfe.Data_Nfe <= '".data_banco($_GET["Ate"])."'
                         ORDER BY nfe.Tipo,nfe.Status,nfe.Data_Nfe ");

$linhaE110 = mysqli_fetch_assoc($sql_E110);

$conteudo .= '|';
//*REGISTRO E110 (UM POR ARQUIVO)
$conteudo .= 'E110'.'|'; // 01 REG - C - 004.
$conteudo .= number_format($linhaE110["Total_vICMS"],2,",","").'|'; // 02 VL_TOT_DEBITOS - N - 08,2 - O
$conteudo .= '0'.'|'; // 03 VL_AJ_DEBITOS - N - 08,2 - O
$conteudo .= '0'.'|'; // 04 VL_TOT_AJ_DEBITOS - N - 08,2 - O
$conteudo .= '0'.'|'; // 05 VL_ESTORNOS_CRED - N - 08,2 - O
$conteudo .= '0'.'|'; // 06 VL_TOT_CREDITOS - N - 08,2 - O
$conteudo .= '0'.'|'; // 07 VL_AJ_CREDITOS - N - 08,2 - O
$conteudo .= '0'.'|'; // 08 VL_TOT_AJ_CREDITOS - N - 08,2 - O
$conteudo .= '0'.'|'; // 09 VL_ESTORNOS_DEB - N - 08,2 - O
$conteudo .= '0'.'|'; // 10 VL_SLD_CREDOR_ANT - N - 08,2 - O
$conteudo .= '0'.'|'; // 11 VL_SLD_APURADO - N - 08,2 - O
$conteudo .= '0'.'|'; // 12 VL_TOT_DED - N - 08,2 - O
$conteudo .= '0'.'|'; // 13 VL_ICMS_RECOLHER - N - 08,2 - O
$conteudo .= '0'.'|'; // 14 VL_SLD_CREDOR_TRANSPORTAR - N - 08,2 - O
$conteudo .= '0'.'|'; // 15 DEB_ESP - N - 08,2 - O
$conteudo .= chr(13).chr(10); //essa  a quebra de linha
$reg+=1;
$reg2+=1;
$totalBloco["E110"]+=1;
*/

$reg+=1;
$reg2+=1;
$totalBloco["F990"]+=1;
$conteudo .= '|';
//*REGISTRO F990 (UM POR ARQUIVO)
$conteudo .= 'F990'.'|'; // 01 REG - C - 004.
$conteudo .= $reg.'|'; // 02 QTD_LIN_0 - N - 08 - O
$conteudo .= chr(13).chr(10); //essa  a quebra de linha






//BLOCO M - ABERTURA
$reg='0';

$conteudo .= '|';
//*REGISTRO M001 (UM POR ARQUIVO)
$conteudo .= 'M001'.'|'; // 01 REG - C - 004.
$conteudo .= '0'.'|'; // 02 IND_MOV - C - 01 - O
$conteudo .= chr(13).chr(10); //essa  a quebra de linha
$reg+=1;
$reg2+=1;
$totalBloco["M001"]+=1;

$conteudo .= '|';
//*REGISTRO M200 (UM POR ARQUIVO)
$conteudo .= 'M200'.'|'; // 01 REG - C - 004.
$conteudo .= '0'.'|'; // 02
$conteudo .= '0'.'|'; // 03
$conteudo .= '0'.'|'; // 04
$conteudo .= '0'.'|'; // 05
$conteudo .= '0'.'|'; // 06
$conteudo .= '0'.'|'; // 07
$conteudo .= '0'.'|'; // 08
$conteudo .= '0'.'|'; // 09
$conteudo .= '0'.'|'; // 10
$conteudo .= '0'.'|'; // 11
$conteudo .= '0'.'|'; // 12
$conteudo .= '0'.'|'; // 13
$conteudo .= chr(13).chr(10); //essa  a quebra de linha
$reg+=1;
$reg2+=1;
$totalBloco["M200"]+=1;
/*
//*REGISTRO M400 (VARIOS POR ARQUIVO)
$conteudo .= '|';
$conteudo .= 'M400'.'|'; // 01 REG - C - 004 - S.
$conteudo .= '0'.'|'; // 02 CST_PIS - C - 002 - S.
$conteudo .= '0'.'|'; // 03 VL_TOT_REC - C - (10,2) - S.
$conteudo .= '0'.'|'; // 04 COD_CTA - C - 225 - N.
$conteudo .= '0'.'|'; // 05 DESC_COMPL - C - 5000 - N.
$conteudo .= chr(13).chr(10); //essa  a quebra de linha
$reg+=1;
$reg2+=1;
$totalBloco["M400"]+=1;
*/
$conteudo .= '|';
//*REGISTRO M600 (UM POR ARQUIVO)
$conteudo .= 'M600'.'|'; // 01 REG - C - 004.
$conteudo .= '0'.'|'; // 02
$conteudo .= '0'.'|'; // 03
$conteudo .= '0'.'|'; // 04
$conteudo .= '0'.'|'; // 05
$conteudo .= '0'.'|'; // 06
$conteudo .= '0'.'|'; // 07
$conteudo .= '0'.'|'; // 08
$conteudo .= '0'.'|'; // 09
$conteudo .= '0'.'|'; // 10
$conteudo .= '0'.'|'; // 11
$conteudo .= '0'.'|'; // 12
$conteudo .= '0'.'|'; // 13
$conteudo .= chr(13).chr(10); //essa  a quebra de linha
$reg+=1;
$reg2+=1;
$totalBloco["M600"]+=1;
/*
//*REGISTRO M800 (VARIOS POR ARQUIVO)
$conteudo .= '|';
$conteudo .= 'M800'.'|'; // 01 REG - C - 004 - S.
$conteudo .= '0'.'|'; // 02 CST_PIS - C - 002 - S.
$conteudo .= '0'.'|'; // 03 VL_TOT_REC - C - (10,2) - S.
$conteudo .= '0'.'|'; // 04 COD_CTA - C - 225 - N.
$conteudo .= '0'.'|'; // 05 DESC_COMPL - C - 5000 - N.
$conteudo .= chr(13).chr(10); //essa  a quebra de linha
$reg+=1;
$reg2+=1;
$totalBloco["M800"]+=1;
*/
$reg+=1;
$reg2+=1;
$totalBloco["M990"]+=1;
$conteudo .= '|';
//*REGISTRO M990 (UM POR ARQUIVO)
$conteudo .= 'M990'.'|'; // 01 REG - C - 004.
$conteudo .= $reg.'|'; // 02 QTD_LIN_0 - N - 08 - O
$conteudo .= chr(13).chr(10); //essa  a quebra de linha




//BLOCO 1 - ABERTURA
$reg='0';

$conteudo .= '|';
//*REGISTRO 1001 (UM POR ARQUIVO)
$conteudo .= '1001'.'|'; // 01 REG - C - 004.
$conteudo .= '1'.'|'; // 02 IND_MOV - C - 01 - O
$conteudo .= chr(13).chr(10); //essa  a quebra de linha
$reg+=1;
$reg2+=1;
$totalBloco["1001"]+=1;


$reg+=1;
$reg2+=1;
$totalBloco["1990"]+=1;
$conteudo .= '|';
//*REGISTRO 1990 (UM POR ARQUIVO)
$conteudo .= '1990'.'|'; // 01 REG - C - 004.
$conteudo .= $reg.'|'; // 02 QTD_LIN_0 - N - 08 - O
$conteudo .= chr(13).chr(10); //essa  a quebra de linha






//BLOCO 9 - ABERTURA
$reg='0';

$conteudo .= '|';
//*REGISTRO 9001 (UM POR ARQUIVO)
$conteudo .= '9001'.'|'; // 01 REG - C - 004.
$conteudo .= '0'.'|'; // 02 IND_MOV - C - 01 - O
$conteudo .= chr(13).chr(10); //essa  a quebra de linha
$reg+=1;
$reg2+=1;
$totalBloco["9001"]+=1;

$ad=1;
foreach($totalBloco as $posicao=>$campo){

$conteudo .= '|';
//*REGISTRO 9900 (VARIOS POR ARQUIVO)
$conteudo .= '9900'.'|'; // 01 REG - C - 004.
$conteudo .= $posicao.'|'; // 02 REG_BLC - C - 4 - O
$conteudo .= $campo.'|'; // 03 QTD_REG_BLC - N - 10 - O
$conteudo .= chr(13).chr(10); //essa  a quebra de linha

$reg+=1;
$reg2+=1;
//$totalBloco["9900"]+=1;

$ad++;
}
$ad+=2;
$conteudo .= '|';
$conteudo .= '9900'.'|'; // 01 REG - C - 004.
$conteudo .= '9900'.'|'; // 02 REG_BLC - C - 4 - O
$conteudo .= $ad.'|'; // 03 QTD_REG_BLC - N - 10 - O
$conteudo .= chr(13).chr(10); //essa  a quebra de linha
$reg+=1;
$reg2+=1;

$conteudo .= '|';
$conteudo .= '9900'.'|'; // 01 REG - C - 004.
$conteudo .= '9990'.'|'; // 02 REG_BLC - C - 4 - O
$conteudo .= '1'.'|'; // 03 QTD_REG_BLC - N - 10 - O
$conteudo .= chr(13).chr(10); //essa  a quebra de linha
$reg+=1;
$reg2+=1;

$conteudo .= '|';
$conteudo .= '9900'.'|'; // 01 REG - C - 004.
$conteudo .= '9999'.'|'; // 02 REG_BLC - C - 4 - O
$conteudo .= '1'.'|'; // 03 QTD_REG_BLC - N - 10 - O
$conteudo .= chr(13).chr(10); //essa  a quebra de linha
$reg+=1;
$reg2+=1;


$reg+=2;//pra contar o de baixo
$reg2+=1;
$totalBloco["9990"]+=1;
$conteudo .= '|';
//*REGISTRO 9990 (UM POR ARQUIVO)
$conteudo .= '9990'.'|'; // 01 REG - C - 004.
$conteudo .= $reg.'|'; // 02 QTD_LIN_0 - N - 08 - O
$conteudo .= chr(13).chr(10); //essa  a quebra de linha

$reg+=1;
$reg2+=1;
$totalBloco["9999"]+=1;
$conteudo .= '|';
//*REGISTRO 9999 (UM POR ARQUIVO)
$conteudo .= '9999'.'|'; // 01 REG - C - 004.
$conteudo .= $reg2.'|'; // 02 QTD_LIN_0 - N - 08 - O
$conteudo .= chr(13).chr(10); //essa  a quebra de linha




$Sequencial_Cobranca = "EFD FISCAL (Pis-Cofins)- ".substr($linha0000["Titulo"],0,20)." ".CaracteresEspeciais($linha0000["Cnpj"],"Sim","Sim")." - DE ".data_exibirtxt(data_banco($_GET["De"]))." ATE ".data_exibirtxt(data_banco($_GET["Ate"]));

$fp = fopen($Sequencial_Cobranca.".txt", "w");

// Escreve "exemplo de escrita" no bloco1.txt
$escreve = fwrite($fp, $conteudo);

// Fecha o arquivo
$finaliza = fclose($fp);

$aquivoNome = $Sequencial_Cobranca.".txt"; // nome do arquivo que ser enviado p/ download
$arquivoLocal = $aquivoNome; // caminho absoluto do arquivo

// Definimos o novo nome do arquivo
$novoNome = $Sequencial_Cobranca.".txt";

// Configuramos os headers que sero enviados para o browser
header('Content-Description: File Transfer');
header('Content-Disposition: attachment; filename="'.$novoNome.'"');
header('Content-Type: application/octet-stream');
header('Content-Transfer-Encoding: binary');
header('Content-Length: ' . filesize($aquivoNome));
header('Cache-Control: must-revalidate, post-check=0, pre-check=0');
header('Pragma: public');
header('Expires: 0');

// Envia o arquivo para o cliente
readfile($aquivoNome);

//copiando e deletando o arquivo
//$origem = 'arquivo.txt';
//$destino = 'pasta/example.txt';
//copy($origem, $destino);
unlink($arquivoLocal);
