<?php
error_reporting(false);

include '../include/funcoesPhp.php'; //Inclue a pgina con todas as funes a ser usada.

if($_SERVER['REQUEST_METHOD'] == 'POST'){

    include '../include/conecta.php';

    if (honeypot_verify($_POST)) {

        $cpfCnpj = mysqli_real_escape_string($con,CaracteresEspeciais($_POST['cpfCnpj'],'Sim'));
        $senha = mysqli_real_escape_string($con,addslashes($_POST['senha']));

        $cliente = $con->query("SELECT Id, Titulo, Email, Cpf_Cnpj, Natureza, Razao_Social, Fone1, Fone2 
            FROM cliente WHERE Cpf_Cnpj = '$cpfCnpj' 
            AND Senha_Site = '$senha' AND Ativo = 'Sim'");

        if ($cliente->num_rows > 0) {
            session_start();
            $cliente = mysqli_fetch_assoc($cliente);
            $_SESSION["Id_Cliente"] = $cliente["Id"];
            $_SESSION["Titulo_Cliente"] = $cliente["Titulo"];
            $_SESSION["Email_Cliente"] = $cliente["Email"];
            $_SESSION["Cpf_Cnpj_Cliente"] = $cliente["Cpf_Cnpj"];
            $_SESSION["Natureza_Cliente"] = $cliente["Natureza"];
            $_SESSION["Razao_Social_Cliente"] = $cliente["Razao_Social"];
            $_SESSION["Fone1_Cliente"] = $cliente["Fone1"];
            $_SESSION["Fone2_Cliente"] = $cliente["Fone2"];
            $_SESSION["Sistema"] = CLIENTE_EMAIL;
            $_SESSION["Tipo"] = "Ribeiro";
            //seto para nao sair na ver_sessao
            $_SESSION["Login"] = "1";
            $_SESSION["Senha"] = "1";
            
            header("Location:principal.php");
        } else {
            echo "<script>alert('CPF/CNPJ ou Senha no conferem');</script>";
        }
    } else {
        $msg = 'Necessrio o Preenchimento';
    }
}
?>
<!DOCTYPE html>
<html>
<head>
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <link rel="stylesheet" href="./login.css">
    <title>Gw - Pontti Sistemas</title>
</head>
<body>
    <div class="box">
        <form class="container" method="post">
        <?php echo honeypot_input(); ?>
            <div class="top">
                <header><img src="../imagem/login-logo-mobile.png" alt=""></header>
            </div>
            <div class="input-field">
                <select name="natureza">
                    <option value="CNPJ" <?php echo isset($_POST['natureza']) && $_POST['natureza'] == 'CNPJ' ? 'selected' : '';?>>CNPJ</option>
                    <option value="CPF" <?php echo isset($_POST['natureza']) && $_POST['natureza'] == 'CPF' ? 'selected' : '';?>>CPF</option>
                </select>
                <div class="imagem"><img src="../imagem/natureza.png"></img></div>
            </div>
            <div class="input-field">
                <input type="text" class="input" placeholder="CPF/CNPJ" id="usuario" name="cpfCnpj" value="<?php echo $_POST['cpfCnpj'];?>" maxlength="18" required>
                <div class="imagem"><img src="../imagem/cliente.png"></img></div>
            </div>
            <div class="input-field">
                <input type="password" class="input" placeholder="Senha" id="senha" name="senha" value="<?php echo $_POST['senha'];?>" required>
                <div class="imagem"><img src="../imagem/fechadura.png"></img></div>
            </div>
            <div class="input-field">
                <button class="submit">Entrar</button>
            </div>
            <div class="top">
                <header><img src="../imagem/login-logo-mobile.png" alt=""></header>
            </div>
        </form>
    </div>
    <script src="../js/jquery-3.3.1.min.js"></script>
    <script src="./login.js"></script>
</body>
</html>