<?php
include_once '../include/conecta.php'; //Conecta com a nosso banco de dados MySQL
include_once '../include/ver_sessao.php'; //Verifica se a sesso est ativa
include_once '../include/funcoesPhp.php'; //Inclue a pgina con todas as funes a ser usada.
include_once '../menu_movimento.php';
?>
<html>

<head>
    <meta>
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.3.0/dist/css/bootstrap.min.css" rel="stylesheet">
    <link href="https://getbootstrap.com/docs/5.3/assets/css/docs.css" rel="stylesheet">
    <title>Ribeiro Plast</title>
    <link href="tabelapedido.css" rel="stylesheet" />
</head>

<body class="p-3 m-0 border-0 bd-example m-0 border-0 bd-example-row bg-light">
    <div class="container-fluid text-left custon-sidebar">
        <div class="row">
            <div class="col-sm-5 col-md-7 bg-light border-none">
                <div class="fs-4 font-1 text-bg">Selecione os itens do seu pedido</div>
                <form action="" id="form-inserir">
                    <div class='table-responsive-sm custom-sidebar'>
                        <div class='div-table-row'>
                            <div class='div-table-col color-menu-top produto-bgfull'>Produto</div>
                            <div class='div-table-col-1 color-menu-top header-invisible'>Medida</div>
                            <div class='div-table-col-2 color-menu-top header-invisible'>Qtd</div>
                        </div>
                        <?php
                        $listProduto = $con->query("SELECT produto.Id, produto.Titulo, produto.Medida FROM produto where Ativo = 'Sim' ORDER BY Titulo");
                        foreach ($listProduto as $indice => $resultList) { ?>
                            <div class="div-table-row-1">
                                <div class='div-table-col font-1 produto'><?php echo $resultList["Titulo"]; ?></div>
                                <div class='div-table-col-2 font-1 medida'><?php echo $resultList["Medida"]; ?> </div>
                                <div class='div-table-col-2 font-1 quantidade'>
                                    <input class="produto-bgfull" type="text" name="qtd-<?php echo $indice ?>" placeholder="Qtd">
                                </div>
                                <input type="hidden" name="idProduto-<?php echo $indice ?>" value="<?php echo $resultList["Id"]; ?>">
                            </div>
                        <?php
                        }
                        ?>
                    </div>
                    <div id="btn-inserir">
                        <input type="submit" name="btnSubmit" value="Inserir" class="btn btn-success mt-3 btn-padrao" />
                    </div>
                </form>
            </div>
            <div class="col-sm-5  col-md-5 bg-light border-none">
                <div class="fs-4 font-1 text-bg">Resumo do Pedido</div>
                <div class='table-responsive-sm custom-sidebar' id="resumoPedido">
                    <div class='div-table-row-2 d-flex justify-content-center'>
                        <div class='div-table-col-3 font-1 color-menu-top'>Produto</div>
                        <div class='div-table-col-4 font-1 color-menu-top'>Medida</div>
                        <div class='div-table-col-5 font-1 color-menu-top'>Qtd</div>
                    </div>
                </div>
                <div class="d-flex justify-content-around mt-3">
                    <input type="submit" id="cadastro" name="btnSubmit" value="Cadastrar" class="btn btn-success btn-padrao" />
                    <input type="button" id="refresh" value="Corrigir" class="btn btn-padrao btn-corrigir" />
                    <input type="button" name="btnSubmit" value="Sair" class="btn btn-padrao btn-corrigir-1" onclick="location.href='./sair.php'" />
                </div>
            </div>
        </div>
    </div>
    <script src="https://code.jquery.com/jquery-3.7.0.min.js"></script>
    <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.3.0/dist/js/bootstrap.bundle.min.js"></script>
    <script src="envio.js"></script>
</body>

</html>