<?php
include '../include/conecta.php';
include '../include/ver_sessao.php';

if ($_SERVER['REQUEST_METHOD'] == 'POST') {
    date_default_timezone_set("America/Recife");
    $produtos = $_POST['produtosConfirmados'];
    $idCliente = addslashes($_SESSION['Id_Cliente']);
    $unidade = $con->query("SELECT Id, Estado FROM unidade WHERE Sede = 'Matriz'");
    $unidade = $unidade->fetch_object();
    $cliente = $con->query("SELECT Id, Titulo, Id_Regime_Especial, Estado, Id_Vendedor1, Id_Funcionario, Tabela_Preco,
        Id_Cfop FROM cliente WHERE Id = '$idCliente'");
    $cliente = $cliente->fetch_object();
    $tabelaPreco = intval($cliente->Tabela_Preco) > 0 ? intval($cliente->Tabela_Preco) : 1;
    $idVenda = md5(date("Y-m-d H:i").microtime());
    $totalVenda = 0;
    $idCfopVenda = empty($cliente->Id_Cfop) ? 289 : $cliente->Id_Cfop;
    $funcionario = $con->query("SELECT Comissao_Avista, Comissao_Aprazo FROM funcionario WHERE Id = '$cliente->Id_Funcionario'");
    $funcionario = $funcionario->fetch_object();
    $tipoComissao = $con->query("SELECT Comissao_Tipo FROM opcao");
    $tipoComissao = $tipoComissao->fetch_object()->Comissao_Tipo;
    $cfop = $con->query("SELECT Financeiro, Estoque FROM cfop WHERE Id = '$idCfopVenda'");
    $cfop = $cfop->fetch_object();
    $gerarFinanceiro = $cfop->Financeiro ?? "Sim";
    $cfopMovimentaEstoque = $cfop->Estoque ?? "Sim";

    foreach ($produtos as $produto) {
        $infoProduto = $con->query("SELECT Preco$tabelaPreco Preco, Titulo, Id_Categoria_Produto, Id_Fornecedor, Custo, Id_Local_Estoque_Saida,
            Flag_Kit, Comissao, Situacao_Tributaria, Id_Cfop_Venda, Aliquota, Descricao, Descricao2, Gtin, Id_Cfop_Venda_F, CST_Ipi, Aliquota_Ipi,
            CST_Pis, Aliquota_Pis, CST_Cofins, Aliquota_Cofins, Tabela_Icms, Regime_ST, Aliquota_Simples, Codigo_ST, Codigo_ST2, Cest, Id_Ncm
            FROM produto WHERE Id = '{$produto["idProduto"]}'");
        $infoProduto = $infoProduto->fetch_object();
        
        $idVendaProduto = md5(microtime());
        $totalProduto = $produto['qtd'] * $infoProduto->Preco;
        $aliquotaIcms = 0;
        $mva = 0;
        $reducaoIcms = 0;
        $reducaoBC = 0;
        $idCfop = $cliente->Id_Cfop;
        if(empty($idCfop)) {
            $idCfop = $cliente->Estado == $unidade->Estado ? $infoProduto->Id_Cfop_Venda : $infoProduto->Id_Cfop_Venda_F;
        }
        
        $icmsInternoCliente = $con->query("SELECT Id, Aliquota_Interna, Aliquota{$infoProduto->Tabela_Icms} as Aliquota,
            Icms_Sub{$infoProduto->Tabela_Icms} as Icms_Sub, Reducao{$infoProduto->Tabela_Icms} as Reducao, ReducaoBC{$infoProduto->Tabela_Icms} as ReducaoBC
            FROM icms WHERE Estado = '{$cliente->Estado}' AND Id_Unidade = '$unidade->Id'");
        $icmsInternoCliente = $icmsInternoCliente->fetch_object();
        $icmsSub = $icmsInternoCliente->Aliquota_Interna;

        if(!empty($infoProduto->Id_Ncm)) {
            if(empty($cliente->Id_Regime_Especial)){
                $cliente->Regime_Especial = 1;
            }
            $imposto = $con->query("SELECT * FROM ncm INNER JOIN ncm_estado ON ncm_estado.Id_Ncm = ncm.Id WHERE ncm.Ncm = '$infoProduto->Id_Ncm' 
                AND ncm.Id_Regime_Especial = '$cliente->Id_Regime_Especial' AND ncm_estado.Id_Unidade = '$unidade->Id' 
                AND Estado_Dentro = '$unidade->Estado' AND Estado_Fora = '$cliente->Estado'");
            $imposto = $imposto->fetch_object();

            if(!empty($imposto->CST_V)){
                $icmsSub = $imposto->Icms_Fora_V > 0 ? $imposto->Icms_Dentro_V : $imposto->Icms_Fora_V;
                $aliquotaIcms = $imposto->Icms_Fora_V > 0 ? $imposto->Icms_Fora_V : $imposto->Icms_Dentro_V;
                $mva = $imposto->Mva_Fora_V;
                $reducaoIcms = $imposto->Reducao_Fora_V;
                $reducaoBC = $imposto->Reducao_Dentro_V;
                $codigoST = $imposto->CST_V;
                $infoProduto->CST_Ipi = $imposto->CST_Ipi_V;
                $infoProduto->Aliquota_Ipi = $imposto->Aliquota_Ipi_V;
                $infoProduto->CST_Pis = $imposto->CST_Pis_V;
                $infoProduto->Aliquota_Pis = $imposto->Aliquota_Pis_V;
                $infoProduto->CST_Cofins = $imposto->CST_Cofins_V;
                $infoProduto->Aliquota_Cofins = $imposto->Aliquota_Cofins_V;
            }

        }
        else {
            $codigoST = $cliente->Estado == $unidade->Estado ? $infoProduto->Codigo_ST : $infoProduto->Codigo_ST2;
            if($infoProduto->Regime_ST == 'Normal' || $codigoST == '201' || $codigoST == '202'){
                $aliquotaIcms = $icmsInternoCliente->Aliquota;
                $mva = $icmsInternoCliente->Icms_Sub;
                $reducaoIcms = $icmsInternoCliente->Reducao;
                $reducaoBC = $icmsInternoCliente->ReducaoBC;
            }
        }
        
        $comissaoPedido = $tipoComissao == 'Venda' ? $funcionario->Comissao_Avista : $infoProduto->Comissao;
        $dataCadastro = date("Y-m-d H:i:s");
        $codigoST = empty($codigoST) ? '00' : $codigoST;

        if ($tipoComissao == 'Venda' && $comissaoPedido == '0') {
            $comissaoPedido = $infoProduto->Comissao;
        }

        $con->query("INSERT INTO venda_produto SET Id = '$idVendaProduto', Id_Venda = '$idVenda', Id_Produto = '{$produto['idProduto']}',
            Qtd = '{$produto['qtd']}', Preco = '$infoProduto->Preco', Preco_Custo = '$infoProduto->Custo', Ipi = '$infoProduto->Aliquota_Ipi',
            CST_Ipi = '$infoProduto->CST_Ipi', Aliquota_Pis = '$infoProduto->Aliquota_Pis', CST_Pis = '$infoProduto->CST_Pis',
            Aliquota_Cofins = '$infoProduto->Aliquota_Cofins', CST_Cofins = '$infoProduto->CST_Cofins', Icms = '$aliquotaIcms', Icms_Sub = '$icmsSub',
            Mva = '$mva', Reducao = '$reducaoIcms', ReducaoBC = '$reducaoBC', Id_Cfop = '$idCfop', ST_Icms = '$codigoST',
            Id_Local_Estoque = '$infoProduto->Id_Local_Estoque_Saida', Situacao_Tributaria = '$infoProduto->Situacao_Tributaria',
            Id_Funcionario = '$cliente->Id_Funcionario', Comissao = '$comissaoPedido', Preco_Tabela = '$infoProduto->Preco', vBCSTRet = '0',
            vICMSSTRet = '0', vICMSDeson = '0', motDesICMS = '0', Aliquota = '$infoProduto->Aliquota', C_Produto = '$infoProduto->Descricao',
            Id_Cliente = '$cliente->Id', Id_Unidade = '$unidade->Id', Gtin = '$infoProduto->Gtin', Id_Usuario = '{$_SESSION['Id']}',
            Id_Usuario_Upd = '{$_SESSION['Id']}', Data_Cadastro = '$dataCadastro', Data_Cadastro_Upd = '$dataCadastro',
            Origem_ST = '0', Cest = '$infoProduto->Cest'");

            
        if($cfopMovimentaEstoque == 'Sim') {
            $bonificado = $gerarFinanceiro == "No" ? "Sim" : "No";
            $valorIcms = 0;

            if ($infoProduto->Preco) {
                $valorIcms = $infoProduto->Preco * $produto['qtd'] * ($aliquotaIcms / 100);
            }

            $idLocalEstoque = empty($infoProduto->Id_Local_Estoque_Saida) ? 1 : $infoProduto->Id_Local_Estoque_Saida;
            $dataHoraAtual = date("Y-m-d H:i:s");
            
            $con->query("INSERT INTO estoque SET Id = '$idVendaProduto', Id_Produto = '{$produto['idProduto']}', Nome_Produto = '$infoProduto->Titulo',
                Id_Categoria_Produto = '$infoProduto->Id_Categoria_Produto', Id_Fornecedor = '$infoProduto->Id_Fornecedor', Qtd = '{$produto['qtd']}',
                Id_Local_Estoque = '$idLocalEstoque', Preco_Custo = '$infoProduto->Custo', Preco_Venda = '$infoProduto->Preco', Id_Cfop = '$idCfop',
                Bonificado = '$bonificado', Icms = '$aliquotaIcms', Valor_Icms = '$valorIcms', Icms_Sub = '$icmsSub', Mva = '$mva', Reducao = '$reducaoIcms',
                Origem_ST = '0', Ipi = '$infoProduto->Aliquota_Ipi', Origem = 'Venda', Concluido = 'No', Id_Externo = '$idVenda', Id_Unidade = '$unidade->Id',
                Id_Usuario = '{$_SESSION['Id']}', Id_Usuario_Upd = '{$_SESSION['Id']}', Data_Cadastro = '$dataHoraAtual', Data_Cadastro_Upd = '$dataHoraAtual'");
        }

        $totalVenda += $totalProduto;
    }

    $dataCadastro = new DateTime();
    $lancamento = $con->query("SHOW TABLE STATUS FROM $dbname LIKE 'venda'");
    $lancamento = $lancamento->fetch_object()->Auto_increment;

    $cadastrarVenda = $con->query("INSERT INTO venda SET Id = '$idVenda', Id_Usuario = '11111111111111111111111111111111', Id_Usuario_Upd = '11111111111111111111111111111111',
        Data_Cadastro = '{$dataCadastro->format('Y-m-d H:i:s')}', Data_Cadastro_Upd = '{$dataCadastro->format('Y-m-d H:i:s')}',
        Data_Venda = '{$dataCadastro->format('Y-m-d')}', Hora_Venda = '{$dataCadastro->format('H:i')}', Id_Funcionario = '$cliente->Id_Funcionario',
        Id_Cliente = '$cliente->Id', Status = 'Aberto', Valor_Original = '$totalVenda', Valor_Pago = '$totalVenda', Id_Unidade = '$unidade->Id',
        Id_Cfop = '$idCfopVenda', Id_Vendedor = '$cliente->Id_Vendedor1', Comissao_Av_1 = '$funcionario->Comissao_Avista',
        Comissao_Ap_1 = '$funcionario->Comissao_Aprazo', Financeiro = '$gerarFinanceiro', Fatura = '$lancamento'");

    echo json_encode([
        "status" => $cadastrarVenda ? "ok" : "erro",
        "mensagem" => $cadastrarVenda ? "Pedido registrado" : utf8_encode("No foi possvel registrar seu pedido")
    ]);
} else {
    header("HTTP/1.1 405 Method Not Allowed");
}
?>