<?php
include_once '../include/conecta.php'; //Conecta com a nosso banco de dados MySQL
include_once '../include/ver_sessao.php'; //Verifica se a sesso est ativa
include_once '../include/funcoesPhp.php';
include_once '../menu_movimento.php';
$modulo_lista = 'Transportadora';
include '../include/sessao_lista.php';
?>
<?php
$menu = mysqli_query($con,"select permissao.Relatorio,
                            permissao.Cadastrar,
                            permissao.Alterar,
                            permissao.Deletar
                            from permissao
                            inner join menu_usuario ON menu_usuario.Id_Menu = permissao.Id_Menu
                            where menu_usuario.Id_Responsavel='" . $_SESSION["Id"] . "'
                            and permissao.Id_Responsavel='" . $_SESSION["Id"] . "'
                            and permissao.Id_Menu = '204' ");
$menu = mysqli_fetch_assoc($menu);
?>
<?php
if (CLIENTE_RAZAO_SOCIAL == 'Sim') {
    $bus = 'Razao_Social';
} else {
    $bus = 'Titulo';
}

if ($_GET["Ordenar"]) {
    
    if($_GET["Ordenar"]=='fornecedor.Codigo'){
        $Ordenar1 = " ORDER BY abs(fornecedor.Codigo) ";
    }else{
        $Ordenar1 = " ORDER BY ".$_GET["Ordenar"]." ";
    }
    
} else {
    $Ordenar1 = " ORDER BY fornecedor.$bus ";
}
if ($_GET['Ordem_Lista'] == 'Desc') {
    $Ordem_Lista1 = ' DESC ';
} else {
    $Ordem_Lista1 = ' ASC ';
}

if ($_GET["Ativo"] == 'Ativos') {
    $ativo = " AND fornecedor.Ativo = 'Sim' ";
} else if ($_GET["Ativo"] == 'Inativos') {
    $ativo = " AND fornecedor.Ativo = 'No' ";
} else if ($_GET["Ativo"] == 'Todos') {
    $ativo = " ";
} else {
    $ativo = " AND fornecedor.Ativo = 'Sim' ";
}

if ($_GET['Pesq']) {
    $pesquisa = " AND " . $_GET['Ordenar'] . " like '%" . $_GET['Pesq'] . "%' ";
}

/* Inicio dos parmetros da Paginao */

/* varivel com o cdigo SQL da consulta ao banco de dados */
$_pagi_sql = "SELECT fornecedor.Id, fornecedor.Titulo,
                    fornecedor.Razao_Social,
                    fornecedor.Fone1,
                    fornecedor.Email,
                    fornecedor.Codigo,
                    fornecedor.Cidade,
                    fornecedor.Cpf_Cnpj,
                    status_historico.Titulo as Historico
                    FROM fornecedor
                    left join (SELECT Id, Titulo FROM cidade_ibge) as cidade_ibge ON fornecedor.Id_Cidade = cidade_ibge.Id
                    left join (SELECT Id,Titulo FROM status_historico) as status_historico ON fornecedor.Id_Status_Historico = status_historico.Id
                    WHERE Tipo = 'T'
                    AND Funcionario = 'No' $ativo
                    $pesquisa $Ordenar1 $Ordem_Lista1";

/* pagina fora que contem todas as opcoes do paginator */
include_once '../include/paginator_opcao.php';
include_once '../include/paginator.inc.php'; //incluindo o script de paginao PAGINATOR
/* Paginao na listagem dos clientes. Apenas nos arquivos listar.
 * Inclue-se depois que passa os parmetros da funo
 * seus resultados so aparentementes satisfatrio
 * */
?>
<html>
    <head>
        <title>Gw - Gesto Web</title>
        <link rel="stylesheet" type="text/css" href="../estilo/<?php echo SKIN; ?>/listless.css" />
        <script type="text/javascript" language="javascript" src="../js/jquery.js"></script>
        <?php include '../include/script_cabeca.php'; ?>
        <?php if (PAIS == "USA") { ?>
            <script type="text/javascript" language="javascript" src="../js/tradutor/transportadora.js"></script>
        <?php } ?>
        <script type="text/javascript" language="javascript" src="../js/script.js"></script>
        <script type="text/javascript" language="javascript" src="../js/blockUI/blockUI.js"></script>
        <script type="text/javascript" language="javascript">
            function submeteFiltro(valor) {
                document.forms['ordenar'].submit();
            }
        </script>
    </head>
    <body>
        <!-- Centro -->
        <div id="centro">
            <!-- Contedo -->
            <div id="conteudo" class="ajustar">

                <div class="titulo">
                    <span class="tr" key="Transportadora">Transportadora</span>
                    <form name="pesquisa" method="get" action="">
                        <span class="inputs">
                            <?php echo $_pagi_info; ?>
                            <!--
                                <label for="Pesq">Busca:</label>
                                <input type="text" name="Pesq" size="30" value="<?php echo $_GET['Pesq']; ?>" >
                                <input name="Pesquisar" type="image" value="Pesquisar" src="../imagem/seta-dir.png" alt="Ir" title="Ir" >
                            -->
                        </span>
                    </form>
                </div>
                <!-- Navegao -->
                <div class="botoes_cima">
                    <a href="javascript:void(0);" class="voltar tr" key="Voltar" alt="Voltar" title="Voltar" onclick="javascript:history.back(1);">Voltar</a>

                    <?php if ($menu["Relatorio"] == "Sim") { ?>
                        <a href="rel_fornecedor.php" alt="Relatrio" title="Relatrio" class="relatorio tr" key="Relatorio">Relatrio</a>
                    <?php } ?>

                    <?php if ($menu["Cadastrar"] == "Sim") { ?>
                        <a href="cad_fornecedor.php?acao=entrar" alt="Cadastrar" title="Cadastrar" class="incluir tr" key="Cadastrar">Cadastrar</a>
                    <?php } ?>


                    <form name="ordenar" method="get" action="">
                        <span class="ordenar_por">
                            <label for="Pesq" class="tr" key="Busca">Busca:</label>
                            <input type="text" name="Pesq" size="30" value="<?php echo $_GET['Pesq']; ?>" >
                            <label for="Pesq" class="tr" key="Ordenar">Ordenar Por:</label>
                            <?php
                            if (FORNECEDOR_RAZAO_SOCIAL == 'Sim') {
                                $vetor = array('fornecedor.Razao_Social' => 'Razo Social',
                                    'fornecedor.Titulo' => 'Ttulo',
                                    'fornecedor.Codigo' => 'Cdigo',
                                    'fornecedor.Fone1' => 'Fone',
                                    'fornecedor.Cpf_Cnpj' => 'Cpf/Cnpj',
                                    'fornecedor.Email' => 'E-mail',
                                    'cidade_ibge.Titulo' => 'Cidade',
                                    'status_historico.Titulo' => 'Status',
                                    'fornecedor.Data_Cadastro' => 'Data Cadastro');
                            } else {
                                $vetor = array('fornecedor.Titulo' => 'Ttulo',
                                    'fornecedor.Razao_Social' => 'Razo Social',
                                    'fornecedor.Codigo' => 'Cdigo',
                                    'fornecedor.Fone1' => 'Fone',
                                    'fornecedor.Cpf_Cnpj' => 'Cpf/Cnpj',
                                    'fornecedor.Email' => 'E-mail',
                                    'cidade_ibge.Titulo' => 'Cidade',
                                    'status_historico.Titulo' => 'Status',
                                    'fornecedor.Data_Cadastro' => 'Data Cadastro');
                            }

                            select_tela("Ordenar", "Ordenar", $_GET["Ordenar"], $vetor, "onchange='submeteFiltro(this.value)'");
                            ?>
                            <?php
                            $vetor = array('Ativos' => 'Ativos', 'Inativos' => 'Inativos', 'Todos' => 'Todos');
                            select_tela("Ativo", "Ativo", $_GET["Ativo"], $vetor, "onchange='submeteFiltro(this.value)'");
                            ?>
                            <?php
                            $vetor = array('Asc' => 'Crescente', 'Desc' => 'Decrescente');
                            select_tela("Ordem_Lista", "Ordem_Lista", $_GET["Ordem_Lista"], $vetor, "onchange='submeteFiltro(this.value)'");
                            ?>
                        </span>
                    </form>
                    <!-- Fim Navegao -->
                </div>

                <table id="lista">
                    <thead>
                        <tr>
                            <td class="tr" key="Codigo">Cdigo</td>
                            <td class="tr" key="Transportadora">Transportadora</td>
                            <td class="tr" key="Fone">Fone</td>
                            <td class="tr" key="Cpf_Cnpj">Cpf/Cnpj</td>
                            <td class="tr" key="Email">E-mail</td>
                            <td class="tr" key="Cidade">Cidade</td>
                            <td class="tr" key="Historico">Histrico</td>
                            <td class="tr" key="Opcao">Opes</td>
                        </tr>
                    </thead>
                    <tfoot>
                        <tr>
                            <td colspan="8"><div id="paginacao"><p><?php echo $_pagi_navegacion; ?></p></div></td>
                        </tr>
                    </tfoot>
                    <tbody>
                        <?php
                        $color = "#F5F5F5";
                        ;
                        while ($linha = mysqli_fetch_assoc($_pagi_result)) {
                            if ($color == "#F5F5F5") {
                                $color = "#E8E8E8";
                                $cass = "";
                            } else {
                                $color = "#F5F5F5";
                                $cass = "class='azul'";
                            }
                            ?>
                            <tr <?php echo "$cass"; ?> >
                                <td><?php echo $linha['Codigo']; ?></td>
                                <td><?php
                                    if (CLIENTE_RAZAO_SOCIAL == 'Sim') {
                                        echo $linha["Razao_Social"];
                                    } else {
                                        echo $linha["Titulo"];
                                    }
                                    ?>
                                </td>
                                <td><?php echo $linha['Fone1']; ?></td>
                                <td><?php echo $linha['Cpf_Cnpj']; ?></td>
                                <td><?php echo $linha['Email']; ?></td>
                                <td><?php echo $linha['Cidade']; ?></td>
                                <td><?php echo $linha['Historico']; ?></td>
                                <td>
                                    <a href='ver_fornecedor.php?id_fornecedor=<?php echo $linha['Id']; ?>'><img src="../imagem/bt_visualizar.png" alt="Visualizar" border="0" title="Visualizar"></a>

                                    <?php
                                    if ($menu["Alterar"] == "Sim") {
                                        $link3 = "cad_fornecedor.php?id_fornecedor=" . $linha['Id'] . "&acao=alterar";
                                        $figura3 = "../imagem/bt_editar.png";
                                        ?>
                                        <a href='<?php echo $link3; ?>'><img src="<?php echo $figura3; ?>" title="Alterar" alt="Alterar" border="0"></a>
                                    <?php } ?>

                                    <a href="javascript:void();"
                                       onclick="window.open('historico.php?id_fornecedor=<?php echo $linha['Id']; ?>', 'AbrirPopUP', 'width=800,height=800,top=0,left=0,scrollbars=yes')">
                                        <img src="../imagem/bt_historico.png" title="Histrico" alt="Histrico" border="0"/></a>

                                    <?php if (CLIENTE_EMAIL == 'compartilhar' || CLIENTE_EMAIL == 'gw') { ?>
                                        <a href="javascript:void();"
                                           onclick="window.open('contrato_fornecedor.php?id_fornecedor=<?php echo $linha['Id']; ?>', 'Contrato', 'width=800,height=800,top=0,left=0,scrollbars=yes')">
                                            <img border="0" src="../imagem/rel_fornecedor.png" title="Contrato do Cliente no Fornecedor" alt="Contrato do Cliente no Fornecedor" height="20px" width="24px"/></a>
                                    <?php } ?>

                                    <a href="javascript:void();"
                                       onclick="window.open('anexo.php?id_fornecedor=<?php echo $linha['Id']; ?>', 'Anexos', 'width=700,height=600,top=0,left=0,scrollbars=yes')">
                                        <img border="0" src="../imagem/anexo.png" title="Anexos" alt="Anexos" width="16" height="16"/></a>

                                    <?php if (NEGOCIACAO_PRODUTO == 'Sim') { ?>
                                        <a href="javascript:void();"
                                           onclick="window.open('negociacao.php?id_fornecedor=<?php echo $linha['Id']; ?>', 'AbrirFinanceiro', 'width=950,height=600,top=0,left=0,scrollbars=yes')">
                                            <img border="0" src="../imagem/cifrao.png" title="Negociaes de Produtos" alt="Negociaes de Produtos"/></a>
                                    <?php } ?>

                                    <?php
                                    if ($menu["Deletar"] == "Sim") {
                                        $link4 = "deletar('" . $linha["Id"] . "', 'del_fornecedor.php?id_fornecedor=');";
                                        $figura4 = "../imagem/bt_excluir.png";
                                        ?>
                                        <a href='javascript:void(0);'><img src="<?php echo $figura4; ?>" title="Excluir" alt="Excluir" border="0"
                                                                           onClick="<?php echo $link4; ?>"> </a>
                                        <?php } ?>
                                </td>
                            </tr>
                        <?php } ?>
                    </tbody>
                </table>
                <!-- Navegao Inferior -->
                <div class="botoes_baixo">
                    <a href="javascript:void(0);" class="voltar tr" key="Voltar" alt="Voltar" title="Voltar" onclick="javascript:history.back(1);">Voltar</a>

                    <?php if ($menu["Relatorio"] == "Sim") { ?>
                        <a href="rel_fornecedor.php" alt="Relatrio" title="Relatrio" class="relatorio tr" key="Relatorio">Relatrio</a>
                    <?php } ?>

                    <?php if ($menu["Cadastrar"] == "Sim") { ?>
                        <a href="cad_fornecedor.php?acao=entrar" alt="Cadastrar" title="Cadastrar" class="incluir tr" key="Cadastrar">Cadastrar</a>
                    <?php } ?>
                    <!-- Fim Navegao Inferior -->
                </div>

            </div>
            <!-- Fim do Contedo -->
        </div>
        <!-- Fim de Centro -->


        <!-- INICIO DA TELA MODAL ENVIO DE EMAIL-->
        <!-- No css existe um estilo para essas divs que as deixa invisivel - display:none; -->
        <div id="div_resposta"></div>
        <input type="hidden" name="Tabela" id="Tabela" value="fornecedor">
        <input type="hidden" name="hidden_id" id="hidden_id" value="">
        <?php include_once "../include/email_campos_listagem.php"; ?>
        <!-- FIM DA TELA MODAL ENVIO DE EMAIL-->

    </body>
</html>