<?php
include_once '../../include/conecta.php'; //Conecta com a nosso banco de dados MySQL
ini_set('session.gc_maxlifetime', 60*120); session_start();
/*include_once '../include/ver_sessao.php'; //Verifica se a sesso est ativa*/
include_once '../../include/funcoesPhp.php'; include_once '../../menu_movimento.php';

$os = mysqli_query($con,"Select treinamento.Id,
               treinamento.Data,
               treinamento.Hora_Inicio,
               treinamento.Hora_Fim,
               treinamento.Obs,
               treinamento.Modulo,
               treinamento.Coordenador,
               treinamento.Numero_Funcionario,
               cliente.Titulo as 'Cliente',
               cliente.Razao_Social,
               cliente.Email,
               cliente.Natureza,
               cliente.Cpf_Cnpj,
               cliente.Endereco,
               cliente.Cep,
               cliente.Bairro,
               cliente.Estado,
               cliente.Fone1,
               cliente.Cidade,
               tecnico.Titulo as Tecnico,
               tecnico.Sobrenome
               from treinamento
               left join (SELECT Id,Titulo,Razao_Social,Email,Natureza,Cpf_Cnpj,Endereco,Cep,Bairro,Estado,Fone1,Cidade FROM cliente) as cliente ON cliente.Id = treinamento.Id_Cliente
               left join (SELECT Id,Titulo,Sobrenome FROM funcionario) as tecnico ON tecnico.Id = treinamento.Id_Funcionario
               where treinamento.Id = '".$_GET["id_treinamento"]."' ");
$os = mysqli_fetch_assoc($os);

mysqli_query($con,"UPDATE treinamento SET Imp = (Imp+1) WHERE Id='".$_GET["id_treinamento"]."' ");
?>
<html>
<head>
<title>Gw - Gesto Web</title>
<link rel="stylesheet" type="text/css" href="../../estilo/tabela_imp.css" />
<script type="text/javascript" language="javascript" src="../../js/jquery.js"></script>
<?php include '../../include/script_cabeca.php'; ?>
<script type="text/javascript" language="javascript" src="../../js/script.js"></script>
<script type="text/javascript" language="javascript" src="../../js/editing/editing2.js"></script>
<script type="text/javascript" language="javascript">
  //window.onload = function(){
    //window.print();
  //}
</script>
<style type="text/css" media="print">

thead	{display: table-header-group;	}
tfoot	{display: table-footer-group;	}
thead th, thead td	{position: static; }

thead tr	{position: static; } /*prevent problem if print after scrolling table*/
table tfoot tr {     position: static;    }


</style>
</head>
<body>
<table width="98%" align="center"><!-- TABELA Q ENVOLVE TODO O CONTEUDO -->
<thead>
    <tr>
        <td>
            <table width="100%">
                <tr>
                    <td align="left" width="50%"><img src="logo_pontti.png"></td>
                    <td align="right" width="50%"><font size="2">Rua 75, n 85<br>
                    Maranguape 1 - Paulista - PE<br>20.755.929/0001-38</font></td>
                </tr>
            </table>
        </td>
    </tr>
</thead>
    <tr>
        <td>
            <table width="100%">
                <tr>
                    <td align="justify">
                        <span style="font-size: 14px">
                    <br/><br/><br/>
                    <b>
                        <center>
                            <font size="4">
                            CERTIFICADO DE DESENVOLVIMENTO E ENTREGA DO SITE
                            </font>
                        </center>
                    </b>
                    <br/><br/><br/>
                    A <b>Pontti Web LTDA - ME</b> representada aqui, neste ato, por seu Tcnico de Implantao, Sr(a) 
                    <b><?php echo $os["Tecnico"];?></b>, confirma a concluso do desenvolvimento do site:  
                    <br>
                    <b><?php echo nl2br($os["Obs"]);?></b>
                    <br/><br/>
                    Tendo assim desta forma cumprido com o contrato celebrado entre as partes.
                    <br/><br/>
                    Certificamos tambm que a Pontti Web Ltda ME capacitou o(s) seguinte(s) funcionrios escolhidos por nossa diretoria: 
                    <b><?php echo $os["Coordenador"];?></b> 
                    para manusear a ferramenta do painel administrativo do site com capacidade 
                    para trasmitir os ensinamentos para os demais funcionarios.
                    <br/>
                    Atestamos ento que o servio contratado foi devidamente concludo e que 
                    no h nada que desabone a empresa Pontti Web Ltda ME.
                    <br/><br/>
                    <b>CERTIFICADO - <?php echo $os["Cliente"]." - ".$os["Razao_Social"];?></b>
                    </td>
                </tr>
                <tr>
                    <td align="right">
                        <font size="2">
                        <br/><br/>Paulista, <?php echo data_extenso($os["Data"]) ?><br/>
                        </font>
                    </td>
                </tr>
            </table>
            <table width="100%">
                <tr>
                    <td align="center">
                        <font size="2"><br/><br/>
                        _______________________________________________________
                        <br/><?php echo $os["Coordenador"];?>
                        <br/><?php echo $os["Cliente"]." - ".$os["Razao_Social"];?>
                        <br>Coordenador da Implantao
                        </font>
                    </td>
                    <td align="center">
                        <font size="2"><br/><br/>
                        _______________________________________________________
                        <br/>Pontti Web LTDA - ME
                        <br/><?php echo $os["Tecnico"]." ".$os["Sobrenome"];?>
                        <br>Analista de implantao
                        </font>
                    </td>
                </tr>
            </table>
        </td>
    </tr>
</table>
</body>
</html>