<?php
include_once "../include/conecta.php"; //Conecta com a nosso banco de dados MySQL
ini_set('session.gc_maxlifetime', 60 * 120);
session_start();
/* include_once "../include/ver_sessao.php"; //Verifica se a sesso est ativa */
include_once "../include/funcoesPhp.php"; //Inclue a pgina con todas as funes a ser usada.
?>
<?php
$producao = listar("Select treinamento.Id,
                    treinamento.Data,
                    treinamento.Hora_Inicio,
                    treinamento.Hora_Fim,
                    treinamento.Obs,
                    treinamento.Modulo,
                    treinamento.Coordenador,
                    treinamento.Numero_Funcionario,
                    treinamento.Numero_Visita,
                    treinamento.Funcionarios,
                    treinamento.Titulo,
                    cliente.Titulo as 'Cliente',
                    cliente.Razao_Social,
                    cliente.Email,
                    cliente.Natureza,
                    cliente.Cpf_Cnpj,
                    cliente.Endereco,
                    cliente.Cep,
                    cliente.Bairro,
                    cliente.Estado,
                    cliente.Fone1,
                    cliente.Cidade,
                    tecnico.Titulo as Tecnico,
                    tecnico.Sobrenome
                    from treinamento
                    left join (SELECT Id,Titulo,Razao_Social,Email,Natureza,Cpf_Cnpj,Endereco,Cep,Bairro,Estado,Fone1,Cidade FROM cliente) as cliente ON cliente.Id = treinamento.Id_Cliente
                    left join (SELECT Id,Titulo,Sobrenome FROM funcionario) as tecnico ON tecnico.Id = treinamento.Id_Funcionario
                    where treinamento.Id = '".$_GET["id_treinamento"]."' ");

$_GET["Unidade"] = $producao[0]["Id_Unidade"];

function exibir_carga_horaria ($inicio,$fim){
    $carga_horaria = str_replace(':','',ltrim($fim,0))-str_replace(':','',ltrim($inicio,0));
    $carga_horaria = str_pad($carga_horaria, 4,"0", STR_PAD_LEFT);
    return substr($carga_horaria,0,2).':'.substr($carga_horaria,2,2);
}
?>
<html>
    <head>
        <title>Gw - Gesto Web</title>
        <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1" />
        <link rel="shortcut icon" href="../imagem/favi_gw.ico" type="image/x-icon" />
        <link rel="stylesheet" type="text/css" href="../estilo/<?php echo SKIN; ?>/tabela_imp.css" />
        <script type="text/javascript" language="javascript" src="../js/jquery.js"></script>
        <?php include '../include/script_cabeca.php'; ?>
        <script type="text/javascript" language="javascript" src="../js/script.js"></script>
        <script type="text/javascript" language="javascript" src="../js/meiomask/meiomask.js"></script>
        <script type="text/javascript" language="javascript" src="../js/meiomask/<?php
        if (PAIS == "USA") {
            echo "mascaras-usa";
        } else {
            echo "mascaras";
        }
        ?>.js"></script>
        <style>
        .footer {
            position:absolute;
            bottom:4%;
        }
        </style>
    </head>
    <body>
            <?php
                $producao_produ = mysqli_query($con,"Select produto.Titulo,
                        produto.Codigo,
                        produto.Preco1,
                        produto.Foto,
                        produto.Gtin,
                        produto.FQIT,
                        producao_produto.Id_Produto,
                        producao_produto.Qtd,
                        producao_produto.Lote,
                        producao_produto.Data_Validade,
                        producao_produto.Data_Fabricacao
                        from producao_produto
                        left join (SELECT Id,Titulo,Codigo,Preco1,Foto,Gtin,FQIT FROM produto) as produto ON produto.Id = producao_produto.Id_Produto
                        where producao_produto.Id_Producao = '".$_GET["id_producao"]."'
                        AND producao_produto.Tipo = 'Entrada' ");
                $producao_produ = mysqli_fetch_assoc($producao_produ);
                ?>
        <table width="98%" align="center"><!-- TABELA Q ENVOLVE TODO O CONTEUDO -->
            <tr>
                <td width="100%">
                    <table width="100%" border="1">
                        <tbody>
                            <?php
                                    if(!$_GET["Unidade"]){
                                            $_GET["Unidade"] = $_SESSION["Unidade"];
                                    }

                                    $empresa = listar("Select Logo,Titulo,Cnpj,Rua,Numero,
                                                        Bairro,Cidade,Estado,Cep,Fone1,Fone2,Email,Site
                                                        from unidade where Id = '".$_GET["Unidade"]."' ");
                            ?>
                        <tr>
                            <td width="20%" rowspan="2">
                                <?php
                                    if(file_exists("../unidade/foto/".$empresa[0]["Logo"]."")){
                                        $cam_arq = "../unidade/foto/".$empresa[0]["Logo"];
                                    }else{
                                        $cam_arq = "../../unidade/foto/".$empresa[0]["Logo"];
                                    }
                                ?>
                                <center>
                                    <img src="<?php echo $cam_arq; ?>" title="Logo" alt="Logo" border="0" width="140px" height="auto"/>
                                </center>
                            </td>
                            <td>
                                <center>Lista de presena em treinamento<br>
                            </td>
                            <td><center>FQ - 05<br>Rev. 04<br>Data: <?php echo data_exibir($producao[0]["Data"]) ?></center></td>
                        </tr>
                        </tbody>
                    </table>
                </td>
            </tr>
            <tr>
                <td>
                    <table width="100%" align="center" class="tabela" style="font-size: 12px">
                        <tr>
                            <td class="cinza">
                                (&nbsp;&nbsp;&nbsp;&nbsp;) Treinamento Interno
                                (&nbsp;&nbsp;&nbsp;&nbsp;) Treinamento Externo
                                (&nbsp;&nbsp;&nbsp;&nbsp;) Reunio
                                (&nbsp;&nbsp;&nbsp;&nbsp;) Integrao
                            </td>
                        </tr>
                    </table>
                </td>
            </tr>
            <tr>
                <td>
                    <table width="100%" align="center" class="tabela" style="font-size: 12px">
                        <tr>
                            <td colspan="2">Nome do Treinamento: <?php echo $producao[0]["Titulo"]; ?></td>
                        </tr>
                        <tr>
                            <td>Nome do Instrutor: <?php echo $producao[0]["Tecnico"] ?></td>
                            <td>Empresa: <?php echo $empresa[0]["Titulo"] ?></td>
                        </tr>
                        <tr>
                            <td>Data de Realizao: <?php echo data_exibir($producao[0]["Data"]) ?></td>
                            <td>Carga Horria: <?php echo exibir_carga_horaria($producao[0]["Hora_Inicio"],$producao[0]["Hora_Fim"]) ?></td>
                        </tr>
                    </table>
                </td>
            </tr>
            <tr>
                <td>
                    <table width="100%" align="center" class="tabela" style="font-size: 12px">
                        <tr>
                            <td colspan="4"><i><b><center>I - Dados dos Colaborador</center></b></i></td>
                            <td colspan="4" class="cinza"><i><b><center>Avaliao pelo Instrutor</center></b></i></td>
                        </tr>
                        <tr>
                            <td>Nome</td>
                            <td>Setor</td>
                            <td>Funo</td>
                            <td>Assinatura</td>
                            <td class="cinza">Iniciativa</td>
                            <td class="cinza">Participao Coletiva</td>
                            <td class="cinza">Frequncia</td>
                            <td class="cinza">Qualificao</td>
                        </tr>
                        <?php
                        $sql_compra = mysqli_query($con,"SELECT treinamento_funcionario.Id,
                                    funcionario.Titulo as Funcionario,
                                    cargo.Titulo as Cargo,
                                    departamento.Titulo as Departamento
                                    FROM treinamento_funcionario
                                    inner join (SELECT Id,Titulo,Id_Cargo,Id_Departamento FROM funcionario) as funcionario ON treinamento_funcionario.Id_Funcionario = funcionario.Id
                                    left join (SELECT Id,Titulo FROM cargo) as cargo ON cargo.Id = funcionario.Id_Cargo
                                    left join (SELECT Id,Titulo FROM departamento) as departamento ON departamento.Id = funcionario.Id_Departamento
                                    WHERE treinamento_funcionario.Id_Treinamento='".$_GET["id_treinamento"]."' ")
                                    or die("ERRO no comando SQL:".mysqli_error($con));
                        
                            while($linha = mysqli_fetch_assoc($sql_compra)){
                        ?>
                        <tr>
                            <td><?php echo $linha["Funcionario"]; ?></td>
                            <td><?php echo $linha["Departamento"]; ?></td>
                            <td><?php echo $linha["Cargo"]; ?></td>
                            <td></td>
                            <td class="cinza"></td>
                            <td class="cinza"></td>
                            <td class="cinza"></td>
                            <td class="cinza"></td>
                        </tr>
                        <?php } ?>
                    </table>
                </td>
            </tr>
            <tr>
                <td>
                    <table width="100%" align="center" class="tabela" style="font-size: 12px">
                        <tr>
                            <td>Legenda de avaliao do Instrutor: 
                                ( O ) timo
                                ( B ) Bom
                                ( R ) Regular
                            </td>
                        </tr>
                        <tr>
                            <td>II - Comentrios do Instrutor (quando aplicvel):<br><br></td>
                        </tr>
                        <tr>
                            <td>Treinamento Remoto para sanar dvidas referente a cadastros de clientes e pr-vendas.</td>
                        </tr>
                        <tr>
                            <td><br></td>
                        </tr>
                        <tr>
                            <td><br><br>Assinatura do Instrutor: _______________________________________________________</td>
                        </tr>
                    </table>
                </td>
            </tr>
            <tr>
                <td>
                    <table width="100%" align="center" class="tabela" style="font-size: 12px">
                        <tr>
                            <td  colspan="5" class="cinza">III - Avaliao de Eficcia do treinamento: 30 dias aps a aplicao do Treinamento</td>
                        </tr>
                        <tr>
                            <td colspan="5"><br><br>Data Prevista para Avaliao: ________/________/__________</td>
                        </tr>
                        <tr>
                            <td>Colaborador (Idem Item 1)</td>
                            <td>Houve melhora no desempenho?</td>
                            <td>Houve melhora no qualidade do processo?</td>
                            <td>Houve disseminao do conhecimento adquirido?</td>
                            <td>Precisa de novo treinamento?</td>
                        </tr>
                        <?php
                        $sql_compra = mysqli_query($con,"SELECT treinamento_funcionario.Id,
                                    funcionario.Titulo as Funcionario,
                                    cargo.Titulo as Cargo,
                                    departamento.Titulo as Departamento
                                    FROM treinamento_funcionario
                                    inner join (SELECT Id,Titulo,Id_Cargo,Id_Departamento FROM funcionario) as funcionario ON treinamento_funcionario.Id_Funcionario = funcionario.Id
                                    left join (SELECT Id,Titulo FROM cargo) as cargo ON cargo.Id = funcionario.Id_Cargo
                                    left join (SELECT Id,Titulo FROM departamento) as departamento ON departamento.Id = funcionario.Id_Departamento
                                    WHERE treinamento_funcionario.Id_Treinamento='".$_GET["id_treinamento"]."' ")
                                    or die("ERRO no comando SQL:".mysqli_error($con));
                        
                            while($linha = mysqli_fetch_assoc($sql_compra)){
                        ?>
                        <tr>
                            <td><?php echo $linha["Funcionario"]; ?></td>
                            <td>
                                (&nbsp;&nbsp;&nbsp;&nbsp;) S
                                (&nbsp;&nbsp;&nbsp;&nbsp;) N
                                (&nbsp;&nbsp;&nbsp;&nbsp;) R
                            </td>
                            <td>
                                (&nbsp;&nbsp;&nbsp;&nbsp;) S
                                (&nbsp;&nbsp;&nbsp;&nbsp;) N
                                (&nbsp;&nbsp;&nbsp;&nbsp;) R
                            </td>
                            <td>
                                (&nbsp;&nbsp;&nbsp;&nbsp;) S
                                (&nbsp;&nbsp;&nbsp;&nbsp;) N
                                (&nbsp;&nbsp;&nbsp;&nbsp;) R
                            </td>
                            <td>
                                (&nbsp;&nbsp;&nbsp;&nbsp;) S
                                (&nbsp;&nbsp;&nbsp;&nbsp;) N
                                (&nbsp;&nbsp;&nbsp;&nbsp;) R
                            </td>
                            <?php } ?>
                            <tr>
                                <td colspan="5" class="cinza">
                                    <center>
                                        Legenda:&nbsp;&nbsp;&nbsp;&nbsp;S = Sim &nbsp;&nbsp;&nbsp;&nbsp;N= No&nbsp;&nbsp;&nbsp;&nbsp;R= Regular
                                    </center>
                                </td>
                            </tr>
                        </tr>
                    </table>
                </td>
            </tr>

            <tr>
                <td>
                    <table width="100%" align="center" class="tabela" style="font-size: 12px">
                        <tr>
                            <td>
                                Observaes: <br><br><br><br>
                            </td>
                        </tr>
                    </table>
                </td>
            </tr>
            <tr>
                <td>
                    <table width="100%" align="center" class="tabela" style="font-size: 12px">
                        <tr>
                            <td colspan="3">IV - Responsvel pela avaliao:</td>
                        </tr>
                        <tr>
                            <td width="40%" class="cinza"><br><br><br>Nome:</td>
                            <td width="30%" class="cinza"><br><br><br>Visto:</td>
                            <td width="30%" class="cinza"><br><br>Data: ________/________/____________</td>
                        </tr>
                    </table>
                </td>
            </tr>
        </table>

    </body>
</html>
<?php include "../include/rodape.php"; ?>