<?php
include_once '../include/conecta.php'; //Conecta com a nosso banco de dados MySQL
include_once '../include/ver_sessao.php'; //Verifica se a sesso est ativa
include_once '../include/funcoesPhp.php';
include_once '../menu_movimento.php';

//error_reporting(E_ALL);
error_reporting(E_ALL ^ E_NOTICE); //todos os erros, exceto notices
ini_set('display_errors', 'On');
require_once '../nfephp/bootstrap.php';
require_once '../nfephp/config/config.php';
require_once '../nfephp/config/certificado.php';

use NFePHP\NFe\Tools;
use NFePHP\Common\Certificate;
use NFePHP\Common\Soap\SoapCurl;
use NFePHP\NFe\Common\Standardize;

if ($_SERVER['REQUEST_METHOD'] == "POST") {

    $valid = 'ok';
    $qtd_val = strlen($_POST["Senha_Site"]);
    if ($qtd_val >= '6') { //senha precisa ser maior que 6 digitos

        if (ctype_digit($_POST["Senha_Site"])) {
            $valid = "falha"; // so contem numero
        } else {
            //misturado

            if (ctype_alpha($_POST["Senha_Site"])) {
                $valid = "falha"; // so contem numero
            } else {
                //misturado
            }
        }
    } else {
        $valid = "falha";
    }

    if ($_POST["Natureza"] == "PF") {
        $_POST["Cnpj"] = $_POST["Cpf"];
    } else {
        $_POST["Cnpj"] = $_POST["Cnpj"];
    }

    if (($_POST["Titulo"]) && ($_POST["Fone1"]) && ($_POST["Email"]) && ($_POST["Cnpj"]) && ($valid == 'ok')) {

        $_POST["Csc_Id_Token"] = str_pad($_POST["Csc_Id_Token"], 6, "0", STR_PAD_LEFT);

        $_POST['Gasolina'] = valor_banco($_POST['Gasolina']);

        $_POST['Aliquota_Simples'] = valor_banco($_POST['Aliquota_Simples']);

        $_POST['Iss_Simples'] = valor_banco($_POST['Iss_Simples']);

        $_POST['Irpj_Simples'] = valor_banco($_POST['Irpj_Simples']);

        $_POST['Csll_Simples'] = valor_banco($_POST['Csll_Simples']);

        $_POST['Cofins_Simples'] =  valor_banco($_POST['Cofins_Simples']);

        $_POST['Pis_Simples'] = valor_banco($_POST['Pis_Simples']);;

        $_POST['Cpp_Simples'] = valor_banco($_POST['Cpp_Simples']);

        $_POST['Icms_Simples'] = valor_banco($_POST['Icms_Simples']);

        $_POST['Inss_Simples'] = valor_banco($_POST['Inss_Simples']);

        $_POST['Faturamento_Diario'] = valor_banco($_POST['Faturamento_Diario']);

        //alterando todos os itens da aliquota simples
        if ($_POST["Regime"] == '1') {
            if ($_POST['Aliquota_Simples'] > '0') {
                mysqli_query($con, "UPDATE produto SET Aliquota_Simples = '" . $_POST['Aliquota_Simples'] . "' 
                                WHERE Regime_ST = 'Simples' ");
            }
        }

        $cidade = mysqli_query($con, "Select Id,Titulo,Codigo from cidade_ibge WHERE Codigo='" . $_POST["Cidade"] . "'");
        $cidade = mysqli_fetch_assoc($cidade);
        $id_cidade = $cidade["Id"];
        $nome_cidade = $cidade["Titulo"];
        $codigo_cidade = $cidade["Codigo"];


        $_POST["Pais"] = "Brasil";
        if (($_POST["Rua"]) && ($_POST["Latitude"] == '') && ($_POST["Longitude"] == '')) {
            include "geolocalizacao.php";
        }


        if ($_POST["Cadastrar"]) {

            $sql = mysqli_query($con, "SELECT Id FROM unidade WHERE Titulo='" . limpaNome($_POST['Titulo']) . "' AND
				Fone1='" . limpaNome($_POST['Fone1']) . "'") or die("ERRO no comando SQL:" . mysqli_error($con));

            if (mysqli_num_rows($sql) == 0) {

                //$codUnidade = md5($_POST['Titulo'].microtime());

                $busca_codigo = mysqli_query($con, "SELECT Id FROM unidade order by Data_Cadastro desc limit 1");
                $busca_codigo = mysqli_fetch_assoc($busca_codigo);
                $codUnidade = ($busca_codigo['Id'] + 1);

                if ($_FILES['Logo']["name"]) {
                    include 'recorta_foto.php';
                }

                if ($_FILES['Logo_Home']["name"]) {
                    include 'recorta_foto1.php';
                }

                if ($_FILES['Certificado']["name"]) {

                    $extensaoCert = strtolower(end(explode(".", $_FILES['Certificado']['name'])));

                    $nome_certificado = CaracteresEspeciais($_POST["Cnpj"], "Sim") . '.' . $extensaoCert;

                    unlink('cert/' . $nome_certificado);
                    move_uploaded_file($_FILES['Certificado']['tmp_name'], 'cert/' . $nome_certificado);

                    //copiando tambem para a pasta dentro da lib
                    unlink('../nfephp/certs/' . $nome_certificado);
                    copy('cert/' . $nome_certificado, '../nfephp/certs/' . $nome_certificado);
                }

                mysqli_query($con, "INSERT INTO unidade (Titulo,
                                                Email,
                                                Natureza,
                                                Rua,
                                                Numero,
                                                Complemento,
                                                Cep,
                                                Bairro,
                                                Cidade,
                                                Id_Cidade,
                                                Codigo_Cidade,
                                                Estado,
                                                Fone1,
                                                Fone2,
                                                Obs,
                                                Razao_Social,
                                                Estadual,
                                                Iest,
                                                Iest_AL,
                                                Iest_PB,
                                                Iest_SE,
                                                Municipal,
                                                Cnpj,
                                                CRT,
                                                Logo,
                                                Logo_Home,
                                                Sede,
                                                Numero_Nota,
                                                Numero_Contigencia,
                                                Serie,
                                                CNAE,
                                                Info_Fisco,
                                                Info_Contribuinte,
                                                Ambiente,
                                                Site,
                                                Tabela_Preco,
                                                Serie_Compra,
                                                Numero_Compra,
                                                Serie_Contigencia,
                                                Ip_Net,
                                                Ip_Net2,
                                                Ip_Net3,
                                                Ip_Net4,
                                                Ip_Net5,
                                                Ip_Net6,
                                                Ip_Net7,
                                                Ip_Net8,
                                                Ip_Net9,
                                                Ip_Net10,
                                                Ip_Net11,
                                                Ip_Net12,
                                                Ip_Net13,
                                                Ip_Net14,
                                                Ip_Net15,
                                                Ip_Net16,
                                                Ip_Net17,
                                                Ip_Net18,
                                                Ip_Net19,
                                                Ip_Net20,
                                                Ip_Net21,
                                                Ip_Net22,
                                                Ip_Net23,
                                                Ip_Net24,
                                                Ip_Net25,
                                                Ip_Net26,
                                                Ip_Net27,
                                                Ip_Net28,
                                                Ip_Net29,
                                                Ip_Net30,
                                                Certificado,
                                                Senha_Certificado,
                                                Tipo_Impressao,
                                                Cont_Nome,
                                                Cont_Cpf,
                                                Cont_Crc,
                                                Cont_Cnpj,
                                                Cont_Cep,
                                                Cont_End,
                                                Cont_Num,
                                                Cont_Compl,
                                                Cont_Bairro,
                                                Cont_Fone,
                                                Cont_Fax,
                                                Cont_Email,
                                                Cont_Cod_Mun,
                                                Cont_Estado,
                                                Cont_Cidade,
                                                Gasolina,
                                                Aliquota_Simples,
                                                Iss_Simples,
                                                Irpj_Simples,
                                                Csll_Simples,
                                                Cofins_Simples,
                                                Pis_Simples,
                                                Cpp_Simples,
                                                Icms_Simples,
                                                Inss_Simples,
                                                Serie_Rps,
                                                Numero_Rps,
                                                Email_Copia,
                                                Senha_Site,
                                                Latitude,
                                                Longitude,
                                                Faturamento_Diario,
                                                IMS,
                                                Ativo,
                                                Csc,
                                                Csc_Id_Token,
                                                Csc_Homo,
                                                Csc_Id_Token_Homo,
                                                Serie_Nfce,
                                                Numero_Nfce,
                                                Nire,
                                                Responsavel,
                                                Responsavel_Cpf,
                                                Serie_Mdfe,
                                                Numero_Mdfe,
                                                Token_Producao,
                                                Token_Teste,
                                                Sped_Perfil,
                                                Caminho_Foto,
                                                Tef,
                                                Cappta_Key,
                                                Cappta_Senha_Adm,
                                                Obs_Laudo_Tecnico,
                                                Merchant_Id_Ifood,
                                                Sped_Ativ,
                                                ultNSU,
                                                Obs_Simples,
                                                " . $padraoCampos . ")
                                                values(
                                                '" . limpaNome(trim($_POST["Titulo"])) . "',
                                                '" . trim($_POST["Email"]) . "',
                                                '" . $_POST["Natureza"] . "',
                                                '" . limpaNome($_POST["Rua"]) . "',
                                                '" . limpaNome($_POST["Numero"]) . "',
                                                '" . limpaNome($_POST["Complemento"]) . "',
                                                '" . $_POST["Cep"] . "',
                                                '" . limpaNome($_POST["Bairro"]) . "',
                                                '" . $nome_cidade . "',
                                                '" . limpaNome($id_cidade) . "',
                                                '" . $codigo_cidade . "',
                                                '" . $_POST["Estado"] . "',
                                                '" . trim($_POST["Fone1"]) . "',
                                                '" . trim($_POST["Fone2"]) . "',
                                                '" . limpaNome($_POST["Obs"]) . "',
                                                '" . limpaNome($_POST["Razao_Social"]) . "',
                                                '" . $_POST["Estadual"] . "',
                                                '" . $_POST["Iest"] . "',
                                                '" . $_POST["Iest_AL"] . "',
                                                '" . $_POST["Iest_PB"] . "',
                                                '" . $_POST["Iest_SE"] . "',
                                                '" . $_POST["Municipal"] . "',
                                                '" . $_POST["Cnpj"] . "',
                                                '" . $_POST["Regime"] . "',
                                                '" . $nomeDaFoto . "',
                                                '" . $nomeDaFotoHome . "',
                                                '" . $_POST["Sede"] . "',
                                                '" . $_POST["Numero_Nota"] . "',
                                                '" . $_POST["Numero_Contigencia"] . "',
                                                '" . $_POST["Serie"] . "',
                                                '" . $_POST["CNAE"] . "',
                                                '" . limpaNome($_POST["Info_Fisco"]) . "',
                                                '" . limpaNome($_POST["Info_Contribuinte"]) . "',
                                                '" . $_POST["Ambiente"] . "',
                                                '" . limpaNome($_POST["Site"]) . "',
                                                '" . $_POST["Tabela_Preco"] . "',
                                                '" . $_POST["Serie_Compra"] . "',
                                                '" . $_POST["Numero_Compra"] . "',
                                                '" . $_POST["Serie_Contigencia"] . "',
                                                '" . $_POST["Ip_Net"] . "',
                                                '" . $_POST["Ip_Net2"] . "',
                                                '" . $_POST["Ip_Net3"] . "',
                                                '" . $_POST["Ip_Net4"] . "',
                                                '" . $_POST["Ip_Net5"] . "',
                                                '" . $_POST["Ip_Net6"] . "',
                                                '" . $_POST["Ip_Net7"] . "',
                                                '" . $_POST["Ip_Net8"] . "',
                                                '" . $_POST["Ip_Net9"] . "',
                                                '" . $_POST["Ip_Net10"] . "',
                                                '" . $_POST["Ip_Net11"] . "',
                                                '" . $_POST["Ip_Net12"] . "',
                                                '" . $_POST["Ip_Net13"] . "',
                                                '" . $_POST["Ip_Net14"] . "',
                                                '" . $_POST["Ip_Net15"] . "',
                                                '" . $_POST["Ip_Net16"] . "',
                                                '" . $_POST["Ip_Net17"] . "',
                                                '" . $_POST["Ip_Net18"] . "',
                                                '" . $_POST["Ip_Net19"] . "',
                                                '" . $_POST["Ip_Net20"] . "',
                                                '" . $_POST["Ip_Net21"] . "',
                                                '" . $_POST["Ip_Net22"] . "',
                                                '" . $_POST["Ip_Net23"] . "',
                                                '" . $_POST["Ip_Net24"] . "',
                                                '" . $_POST["Ip_Net25"] . "',
                                                '" . $_POST["Ip_Net26"] . "',
                                                '" . $_POST["Ip_Net27"] . "',
                                                '" . $_POST["Ip_Net28"] . "',
                                                '" . $_POST["Ip_Net29"] . "',
                                                '" . $_POST["Ip_Net30"] . "',
                                                '" . $nome_certificado . "',
                                                '" . $_POST["Senha_Certificado"] . "',
                                                '" . $_POST["Tipo_Impressao"] . "',
                                                '" . $_POST["Cont_Nome"] . "',
                                                '" . $_POST["Cont_Cpf"] . "',
                                                '" . $_POST["Cont_Crc"] . "',
                                                '" . $_POST["Cont_Cnpj"] . "',
                                                '" . $_POST["Cont_Cep"] . "',
                                                '" . $_POST["Cont_End"] . "',
                                                '" . $_POST["Cont_Num"] . "',
                                                '" . $_POST["Cont_Compl"] . "',
                                                '" . $_POST["Cont_Bairro"] . "',
                                                '" . $_POST["Cont_Fone"] . "',
                                                '" . $_POST["Cont_Fax"] . "',
                                                '" . $_POST["Cont_Email"] . "',
                                                '" . $codigo_cidade . "',
                                                '" . $_POST["Cont_Estado"] . "',
                                                '" . $_POST["Cont_Cidade"] . "',
                                                '" . $_POST["Gasolina"] . "',
                                                '" . $_POST["Aliquota_Simples"] . "',
                                                '" . $_POST["Iss_Simples"] . "',
                                                '" . $_POST["Irpj_Simples"] . "',
                                                '" . $_POST["Csll_Simples"] . "',
                                                '" . $_POST["Cofins_Simples"] . "',
                                                '" . $_POST["Pis_Simples"] . "',
                                                '" . $_POST["Cpp_Simples"] . "',
                                                '" . $_POST["Icms_Simples"] . "',
                                                '" . $_POST["Inss_Simples"] . "',
                                                '" . $_POST["Serie_Rps"] . "',
                                                '" . $_POST["Numero_Rps"] . "',
                                                '" . $_POST["Email_Copia"] . "',
                                                '" . $_POST["Senha_Site"] . "',
                                                '" . $latitude . "',
                                                '" . $longitude . "',
                                                '" . $_POST["Faturamento_Diario"] . "',
                                                '" . $_POST["IMS"] . "',
                                                '" . $_POST["Ativo"] . "',
                                                '" . $_POST["Csc"] . "',
                                                '" . $_POST["Csc_Id_Token"] . "',
                                                '" . $_POST["Csc_Homo"] . "',
                                                '" . $_POST["Csc_Id_Token_Homo"] . "',
                                                '" . $_POST["Serie_Nfce"] . "',
                                                '" . $_POST["Numero_Nfce"] . "',
                                                '" . $_POST["Nire"] . "',
                                                '" . $_POST["Responsavel"] . "',
                                                '" . $_POST["Responsavel_Cpf"] . "',
                                                '" . $_POST["Serie_Mdfe"] . "',
                                                '" . $_POST["Numero_Mdfe"] . "',
                                                '" . $_POST["Token_Producao"] . "',
                                                '" . $_POST["Token_Teste"] . "',
                                                '" . $_POST["Sped_Perfil"] . "',
                                                '" . SITE_SISTEMA . "/" . CLIENTE_EMAIL . "',
                                                '" . $_POST["Tef"] . "',
                                                '" . $_POST["Cappta_Key"] . "',
                                                '" . $_POST["Cappta_Senha_Adm"] . "',
                                                '" . limpaNome($_POST["Obs_Laudo_Tecnico"]) . "',
                                                '" . ($_POST["Merchant_Id_Ifood"]) . "',
                                                '" . $_POST["Sped_Ativ"] . "',
                                                '" . $_POST["ultNSU"] . "',
                                                '" . $_POST["Obs_Simples"] . "',
                                                " . $padraoPost . ")")
                    or die("Erro no comando SQL:" . mysqli_error($con));


                //$msg = 'Unidade cadastrada com sucesso!';
                $redirecionar = "list_unidade.php";
                logUsuario($_SERVER['REMOTE_ADDR'], $_SESSION['Login'], $_SESSION['Email'], $_SESSION['Unidade'], "Unidade", "Cadastro");
            } else {
                $msg = 'Unidade j cadastrada!';
            }
        } elseif ($_POST["Alterar"]) {

            $codUnidade = $_GET["id_unidade"];

            if ($_FILES['Logo']["name"]) {
                include 'recorta_foto.php';
                $logo_banco = " Logo = '" . $nomeDaFoto . "',";
            }

            if ($_FILES['Logo_Home']["name"]) {
                include 'recorta_foto1.php';
                $logo_home_banco = " Logo_Home = '" . $nomeDaFotoHome . "',";
            }

            if ($_FILES['Certificado']["name"]) {

                $extensaoCert = strtolower(end(explode(".", $_FILES['Certificado']['name'])));

                $nome_certificado = CaracteresEspeciais($_POST["Cnpj"], "Sim") . '.' . $extensaoCert;

                $cert = " Certificado = '" . $nome_certificado . "',";

                unlink('cert/' . $nome_certificado);
                move_uploaded_file($_FILES['Certificado']['tmp_name'], 'cert/' . $nome_certificado);

                //copiando tambem para a pasta dentro da lib
                unlink('../nfephp/certs/' . $nome_certificado);
                copy('cert/' . $nome_certificado, '../nfephp/certs/' . $nome_certificado);
            }

            if ($_SESSION['Id'] == '11111111111111111111111111111111') {
                $cnpj_editar = "Cnpj = '" . $_POST["Cnpj"] . "', ";
            }
            if ($_POST["Editar_Cnpj"] != 'Sim') {
                $cnpj_editar = "Cnpj = '" . $_POST["Cnpj"] . "', ";
            }

            mysqli_query($con, "UPDATE unidade SET
                                            Titulo = '" . limpaNome(trim($_POST["Titulo"])) . "',
                                            Email = '" . trim($_POST["Email"]) . "',
                                            Natureza = '" . trim($_POST["Natureza"]) . "',
                                            Cep = '" . limpaNome($_POST["Cep"]) . "',
                                            Rua= '" . limpaNome($_POST["Rua"]) . "',
                                            Numero= '" . limpaNome($_POST["Numero"]) . "',
                                            Complemento= '" . limpaNome($_POST["Complemento"]) . "',
                                            Bairro = '" . limpaNome($_POST["Bairro"]) . "',
                                            Cidade = '" . $nome_cidade . "',
                                            Id_Cidade = '" . limpaNome($id_cidade) . "',
                                            Codigo_Cidade = '" . $codigo_cidade . "',
                                            Estado = '" . $_POST["Estado"] . "',
                                            Fone1 = '" . trim($_POST["Fone1"]) . "',
                                            Fone2 = '" . trim($_POST["Fone2"]) . "',
                                            Obs = '" . limpaNome($_POST["Obs"]) . "',
                                            Razao_Social = '" . limpaNome($_POST["Razao_Social"]) . "',
                                            Estadual = '" . $_POST["Estadual"] . "',
                                            Iest = '" . $_POST["Iest"] . "',
                                            Iest_AL = '" . $_POST["Iest_AL"] . "',
                                            Iest_PB = '" . $_POST["Iest_PB"] . "',
                                            Iest_SE = '" . $_POST["Iest_SE"] . "',
                                            Municipal = '" . $_POST["Municipal"] . "',
                                            $cnpj_editar
                                            CRT = '" . $_POST["Regime"] . "',
                                            $logo_banco
                                            $logo_home_banco
                                            Sede = '" . $_POST["Sede"] . "',
                                            Numero_Nota = '" . $_POST["Numero_Nota"] . "',
                                            Numero_Contigencia = '" . $_POST["Numero_Contigencia"] . "',
                                            Serie = '" . $_POST["Serie"] . "',
                                            CNAE = '" . $_POST["CNAE"] . "',
                                            Site = '" . limpaNome($_POST["Site"]) . "',
                                            Info_Fisco = '" . limpaNome($_POST["Info_Fisco"]) . "',
                                            Info_Contribuinte = '" . limpaNome($_POST["Info_Contribuinte"]) . "',
                                            Ambiente = '" . $_POST["Ambiente"] . "',
                                            Tabela_Preco = '" . $_POST["Tabela_Preco"] . "',
                                            Serie_Compra = '" . $_POST["Serie_Compra"] . "',
                                            Numero_Compra = '" . $_POST["Numero_Compra"] . "',
                                            Serie_Contigencia = '" . $_POST["Serie_Contigencia"] . "',
                                            Ip_Net = '" . $_POST["Ip_Net"] . "',
                                            Ip_Net2 = '" . $_POST["Ip_Net2"] . "',
                                            Ip_Net3 = '" . $_POST["Ip_Net3"] . "',
                                            Ip_Net4 = '" . $_POST["Ip_Net4"] . "',
                                            Ip_Net5 = '" . $_POST["Ip_Net5"] . "',
                                            Ip_Net6 = '" . $_POST["Ip_Net6"] . "',
                                            Ip_Net7 = '" . $_POST["Ip_Net7"] . "',
                                            Ip_Net8 = '" . $_POST["Ip_Net8"] . "',
                                            Ip_Net9 = '" . $_POST["Ip_Net9"] . "',
                                            Ip_Net10 = '" . $_POST["Ip_Net10"] . "',
                                            Ip_Net11 = '" . $_POST["Ip_Net11"] . "',
                                            Ip_Net12 = '" . $_POST["Ip_Net12"] . "',
                                            Ip_Net13 = '" . $_POST["Ip_Net13"] . "',
                                            Ip_Net14 = '" . $_POST["Ip_Net14"] . "',
                                            Ip_Net15 = '" . $_POST["Ip_Net15"] . "',
                                            Ip_Net16 = '" . $_POST["Ip_Net16"] . "',
                                            Ip_Net17 = '" . $_POST["Ip_Net17"] . "',
                                            Ip_Net18 = '" . $_POST["Ip_Net18"] . "',
                                            Ip_Net19 = '" . $_POST["Ip_Net19"] . "',
                                            Ip_Net20 = '" . $_POST["Ip_Net20"] . "',
                                            Ip_Net21 = '" . $_POST["Ip_Net21"] . "',
                                            Ip_Net22 = '" . $_POST["Ip_Net22"] . "',
                                            Ip_Net23 = '" . $_POST["Ip_Net23"] . "',
                                            Ip_Net24 = '" . $_POST["Ip_Net24"] . "',
                                            Ip_Net25 = '" . $_POST["Ip_Net25"] . "',
                                            Ip_Net26 = '" . $_POST["Ip_Net26"] . "',
                                            Ip_Net27 = '" . $_POST["Ip_Net27"] . "',
                                            Ip_Net28 = '" . $_POST["Ip_Net28"] . "',
                                            Ip_Net29 = '" . $_POST["Ip_Net29"] . "',
                                            Ip_Net30 = '" . $_POST["Ip_Net30"] . "',
                                            $cert
                                            Senha_Certificado = '" . $_POST["Senha_Certificado"] . "',
                                            Tipo_Impressao = '" . $_POST["Tipo_Impressao"] . "',
                                            Cont_Nome = '" . $_POST["Cont_Nome"] . "',
                                            Cont_Cpf = '" . $_POST["Cont_Cpf"] . "',
                                            Cont_Crc = '" . $_POST["Cont_Crc"] . "',
                                            Cont_Cnpj = '" . $_POST["Cont_Cnpj"] . "',
                                            Cont_Cep = '" . $_POST["Cont_Cep"] . "',
                                            Cont_End = '" . $_POST["Cont_End"] . "',
                                            Cont_Num = '" . $_POST["Cont_Num"] . "',
                                            Cont_Compl = '" . $_POST["Cont_Compl"] . "',
                                            Cont_Bairro = '" . $_POST["Cont_Bairro"] . "',
                                            Cont_Fone = '" . $_POST["Cont_Fone"] . "',
                                            Cont_Fax = '" . $_POST["Cont_Fax"] . "',
                                            Cont_Email = '" . $_POST["Cont_Email"] . "',
                                            Cont_Cod_Mun = '" . $codigo_cidade . "',
                                            Cont_Estado = '" . $_POST["Cont_Estado"] . "',
                                            Cont_Cidade = '" . $_POST["Cont_Cidade"] . "',
                                            Gasolina = '" . $_POST["Gasolina"] . "',
                                            Aliquota_Simples = '" . $_POST["Aliquota_Simples"] . "',
                                            Iss_Simples = '" . $_POST["Iss_Simples"] . "',
                                            Irpj_Simples = '" . $_POST["Irpj_Simples"] . "',
                                            Csll_Simples = '" . $_POST["Csll_Simples"] . "',
                                            Cofins_Simples = '" . $_POST["Cofins_Simples"] . "',
                                            Pis_Simples = '" . $_POST["Pis_Simples"] . "',
                                            Cpp_Simples = '" . $_POST["Cpp_Simples"] . "',
                                            Icms_Simples = '" . $_POST["Icms_Simples"] . "',
                                            Inss_Simples = '" . $_POST["Inss_Simples"] . "',
                                            Serie_Rps = '" . $_POST["Serie_Rps"] . "',
                                            Numero_Rps = '" . $_POST["Numero_Rps"] . "',
                                            Email_Copia = '" . $_POST["Email_Copia"] . "',
                                            Senha_Site = '" . $_POST["Senha_Site"] . "',
                                            Latitude = '" . $latitude . "',
                                            Longitude = '" . $longitude . "',
                                            Faturamento_Diario = '" . $_POST["Faturamento_Diario"] . "',
                                            IMS = '" . $_POST["IMS"] . "',
                                            Ativo = '" . $_POST["Ativo"] . "',
                                            Csc = '" . $_POST["Csc"] . "',
                                            Csc_Id_Token = '" . $_POST["Csc_Id_Token"] . "',
                                            Csc_Homo = '" . $_POST["Csc_Homo"] . "',
                                            Csc_Id_Token_Homo = '" . $_POST["Csc_Id_Token_Homo"] . "',
                                            Serie_Nfce = '" . $_POST["Serie_Nfce"] . "',
                                            Numero_Nfce = '" . $_POST["Numero_Nfce"] . "',
                                            Nire = '" . $_POST["Nire"] . "',
                                            Responsavel = '" . $_POST["Responsavel"] . "',
                                            Responsavel_Cpf = '" . $_POST["Responsavel_Cpf"] . "',
                                            Serie_Mdfe = '" . $_POST["Serie_Mdfe"] . "',
                                            Numero_Mdfe = '" . $_POST["Numero_Mdfe"] . "',
                                            Token_Producao = '" . $_POST["Token_Producao"] . "',
                                            Token_Teste = '" . $_POST["Token_Teste"] . "',
                                            Sped_Perfil = '" . $_POST["Sped_Perfil"] . "',
                                            Caminho_Foto = '" . SITE_SISTEMA . "/" . CLIENTE_EMAIL . "',
                                            Tef = '" . $_POST["Tef"] . "',
                                            Cappta_Key ='" . $_POST["Cappta_Key"] . "',
                                            Cappta_Senha_Adm = '" . $_POST["Cappta_Senha_Adm"] . "',
                                            Obs_Laudo_Tecnico = '" . limpaNome($_POST["Obs_Laudo_Tecnico"]) . "',
                                            Merchant_Id_Ifood = '" . ($_POST["Merchant_Id_Ifood"]) . "',
                                            Sped_Ativ = '" . $_POST["Sped_Ativ"] . "',
                                            ultNSU = '" . $_POST["ultNSU"] . "',
                                            Obs_Simples = '" . $_POST["Obs_Simples"] . "',
                                            " . $padraoUpd . "
                                            WHERE Id='" . $_GET["id_unidade"] . "' ")
                or die("Erro no comando SQL:" . mysqli_error($con));



            $redirecionar = "list_unidade.php";
            logUsuario($_SERVER['REMOTE_ADDR'], $_SESSION['Login'], $_SESSION['Email'], $_SESSION['Unidade'], "Unidade", "Alterao");
        }
    } else {
        //alerta de campos obrigatrios
        if (!$_POST["Titulo"]) {
            $obrig .= 'Nome, ';
        }
        if (!$_POST["Fone1"]) {
            $obrig .= 'Telefone 1, ';
        }
        if (!$_POST["Cnpj"]) {
            $obrig .= 'Cnpj, ';
        }
        if (!$_POST["Email"]) {
            $obrig .= 'Email, ';
        }
        if ($valid == "falha") {
            $obrig .= 'Senha Fraca !, ';
        }

        $obrig = substr($obrig, 0, -2);

        $msg = "Faltou Preencher: " . $obrig;
    }

    ##<--- inserindo senha servidor --->##
    if (($_POST["Senha_Site"]) && (CLIENTE_EMAIL != 'gw')) {

        if (isset($_POST["Cnpj"]) && ($_POST["Cnpj"] != '00.000.000/0000-00')) {

            $menu2 = mysqli_query($con, "SELECT
        unidade.Id,
        unidade.Ambiente,
        unidade.Estado
        FROM unidade
        WHERE unidade.Cnpj = '" . $_POST["Cnpj"] . "' ");
            $dados_emitente_nfe = mysqli_fetch_assoc($menu2);

            try {
                $dados_cert = geraCertificado($dados_emitente_nfe["Id"]);
                //carrega o conteudo do certificado.
                $content = file_get_contents($dados_cert['pathCertsFiles'] . $dados_cert['certPfxName']);

                $certificate = Certificate::readPfx($content, $dados_cert['certPassword']);
                $nfe = new Tools(geraConfig($dados_emitente_nfe["Id"]), $certificate);
            } catch (\Exception $e) {
                echo $e->getMessage();
            }

            $TimeStamp = $certificate->publicKey->validTo;
            foreach ($TimeStamp as $name => $format) {
                if ($name == 'date') {
                    $data_cert = data_banco(data_exibir($format));
                }
            }
            //echo 'Valido at: '. data_exibir($data_cert);

            //conctando com o nosso servidor
            $hostO = "209.182.205.220";
            $dbnameO = "pontti5_pontti";
            $usuarioO = "pontti5_pontti";
            $passwordO = "pontti";

            $conO = mysqli_connect($hostO, $usuarioO, $passwordO, $dbnameO);

            if (mysqli_connect_errno()) {
                echo "Debugging errno: " . mysqli_connect_errno() . PHP_EOL;
                echo "Debugging error: " . mysqli_connect_error() . PHP_EOL;
            }

            //pegando os dados que ta logando
            mysqli_query($conO, "UPDATE cliente SET Senha_Site='" . $_POST["Senha_Site"] . "',
                        Validade_Anvisa='" . $data_cert . "'
                        WHERE Cpf_Cnpj = '" . CaracteresEspeciais($_POST["Cnpj"], "Sim") . "' AND Ativo='Sim' ");

            mysqli_close($conO);

            include '../include/conecta.php'; //Conecta com a nosso banco de dados MySQL
        }
    }
    ##<--- fim inserindo senha servidor --->##

}

if ($_GET["acao"] == "alterar") {
    $sql_unidade = mysqli_query($con, "SELECT Sede,
                            Titulo,
                            Email,
                            Natureza,
                            Fone1,
                            Fone2,
                            Rua,
                            Numero,
                            Complemento,
                            Cep,
                            Bairro,
                            Id_Cidade,
                            Estado,
                            Obs,
                            Razao_Social,
                            Estadual,
                            Iest,
                            Iest_AL,
                            Iest_PB,
                            Iest_SE,
                            Municipal,
                            Cnpj,
                            CRT,
                            Logo,
                            Logo_Home,
                            Numero_Nota,
                            Numero_Contigencia,
                            Serie,
                            CNAE,
                            Site,
                            Info_Fisco,
                            Info_Contribuinte,
                            Ambiente,
                            Tabela_Preco,
                            Serie_Compra,
                            Numero_Compra,
                            Serie_Contigencia,
                            Ip_Net,
                            Ip_Net2,
                            Ip_Net3,
                            Ip_Net4,
                            Ip_Net5,
                            Ip_Net6,
                            Ip_Net7,
                            Ip_Net8,
                            Ip_Net9,
                            Ip_Net10,
                            Ip_Net11,
                            Ip_Net12,
                            Ip_Net13,
                            Ip_Net14,
                            Ip_Net15,
                            Ip_Net16,
                            Ip_Net17,
                            Ip_Net18,
                            Ip_Net19,
                            Ip_Net20,
                            Ip_Net21,
                            Ip_Net22,
                            Ip_Net23,
                            Ip_Net24,
                            Ip_Net25,
                            Ip_Net26,
                            Ip_Net27,
                            Ip_Net28,
                            Ip_Net29,
                            Ip_Net30,
                            Certificado,
                            Senha_Certificado,
                            Tipo_Impressao,
                            Cont_Nome,
                            Cont_Cpf,
                            Cont_Crc,
                            Cont_Cnpj,
                            Cont_Cep,
                            Cont_End,
                            Cont_Num,
                            Cont_Compl,
                            Cont_Bairro,
                            Cont_Fone,
                            Cont_Fax,
                            Cont_Email,
                            Cont_Estado,
                            Cont_Cidade,
                            Gasolina,
                            Aliquota_Simples,
                            Iss_Simples,
                            Irpj_Simples,
                            Csll_Simples,
                            Cofins_Simples,
                            Pis_Simples,
                            Cpp_Simples,
                            Icms_Simples,
                            Inss_Simples,
                            Serie_Rps,
                            Numero_Rps,
                            Email_Copia,
                            Senha_Site,
                            Latitude,
                            Longitude,
                            Faturamento_Diario,
                            IMS,
                            Ativo,
                            Csc,
                            Csc_Id_Token,
                            Csc_Homo,
                            Csc_Id_Token_Homo,
                            Serie_Nfce,
                            Numero_Nfce,
                            Nire,
                            Responsavel,
                            Responsavel_Cpf,
                            Serie_Mdfe,
                            Numero_Mdfe,
                            Token_Producao,
                            Token_Teste,
                            Sped_Perfil,
                            Tef,
                            Cappta_Key,
                            Cappta_Senha_Adm,
                            Obs_Laudo_Tecnico,
                            Merchant_Id_Ifood,
                            Sped_Ativ,
                            ultNSU,
                            Obs_Simples
                            FROM unidade WHERE Id='" . $_GET["id_unidade"] . "'")
        or die("ERRO no comando SQL:" . mysqli_error($con));
    $array_unidade = mysqli_fetch_assoc($sql_unidade);

    $_POST["Sede"]                  = stripslashes($array_unidade["Sede"]);
    $_POST["Titulo"]                = stripslashes($array_unidade["Titulo"]);
    $_POST["Email"]                 = $array_unidade["Email"];
    $_POST["Natureza"]              = $array_unidade["Natureza"];
    $_POST["Fone1"]                 = $array_unidade["Fone1"];
    $_POST["Fone2"]                 = $array_unidade["Fone2"];
    $_POST["Rua"]                   = stripslashes($array_unidade["Rua"]);
    $_POST["Numero"]                = stripslashes($array_unidade["Numero"]);
    $_POST["Complemento"]           = stripslashes($array_unidade["Complemento"]);
    $_POST["Cep"]                   = $array_unidade["Cep"];
    $_POST["Bairro"]                = stripslashes($array_unidade["Bairro"]);
    $_POST["Cidade"]                = stripslashes($array_unidade["Id_Cidade"]);
    $_POST["Estado"]                = $array_unidade["Estado"];
    $_POST["Obs"]                   = stripslashes($array_unidade["Obs"]);
    $_POST["Razao_Social"]          = stripslashes($array_unidade["Razao_Social"]);
    $_POST["Estadual"]              = $array_unidade["Estadual"];
    $_POST["Iest"]                  = $array_unidade["Iest"];
    $_POST["Iest_AL"]                  = $array_unidade["Iest_AL"];
    $_POST["Iest_PB"]                  = $array_unidade["Iest_PB"];
    $_POST["Iest_SE"]                  = $array_unidade["Iest_SE"];
    $_POST["Municipal"]             = $array_unidade["Municipal"];
    $_POST["Cnpj"]                  = $array_unidade["Cnpj"];
    $_POST["Regime"]                = $array_unidade["CRT"];
    $_POST["Logo"]                  = $array_unidade["Logo"];
    $_POST["Logo_Home"]             = $array_unidade["Logo_Home"];
    $_POST["Numero_Nota"]           = $array_unidade["Numero_Nota"];
    $_POST["Numero_Contigencia"]    = $array_unidade["Numero_Contigencia"];
    $_POST["Serie"]                 = $array_unidade["Serie"];
    $_POST["CNAE"]                  = $array_unidade["CNAE"];
    $_POST["Site"]                  = stripslashes($array_unidade["Site"]);
    $_POST["Info_Fisco"]            = stripslashes($array_unidade["Info_Fisco"]);
    $_POST["Info_Contribuinte"]     = stripslashes($array_unidade["Info_Contribuinte"]);
    $_POST["Ambiente"]              = $array_unidade["Ambiente"];
    $_POST["Tabela_Preco"]          = $array_unidade["Tabela_Preco"];
    $_POST["Serie_Compra"]          = $array_unidade["Serie_Compra"];
    $_POST["Numero_Compra"]         = $array_unidade["Numero_Compra"];
    $_POST["Serie_Contigencia"]     = $array_unidade["Serie_Contigencia"];
    $_POST["Ip_Net"]                = $array_unidade["Ip_Net"];
    $_POST["Ip_Net2"]               = $array_unidade["Ip_Net2"];
    $_POST["Ip_Net3"]               = $array_unidade["Ip_Net3"];
    $_POST["Ip_Net4"]               = $array_unidade["Ip_Net4"];
    $_POST["Ip_Net5"]               = $array_unidade["Ip_Net5"];
    $_POST["Ip_Net6"]               = $array_unidade["Ip_Net6"];
    $_POST["Ip_Net7"]               = $array_unidade["Ip_Net7"];
    $_POST["Ip_Net8"]               = $array_unidade["Ip_Net8"];
    $_POST["Ip_Net9"]               = $array_unidade["Ip_Net9"];
    $_POST["Ip_Net10"]              = $array_unidade["Ip_Net10"];
    $_POST["Ip_Net11"]              = $array_unidade["Ip_Net11"];
    $_POST["Ip_Net12"]              = $array_unidade["Ip_Net12"];
    $_POST["Ip_Net13"]              = $array_unidade["Ip_Net13"];
    $_POST["Ip_Net14"]              = $array_unidade["Ip_Net14"];
    $_POST["Ip_Net15"]              = $array_unidade["Ip_Net15"];
    $_POST["Ip_Net16"]              = $array_unidade["Ip_Net16"];
    $_POST["Ip_Net17"]              = $array_unidade["Ip_Net17"];
    $_POST["Ip_Net18"]              = $array_unidade["Ip_Net18"];
    $_POST["Ip_Net19"]              = $array_unidade["Ip_Net19"];
    $_POST["Ip_Net20"]              = $array_unidade["Ip_Net20"];
    $_POST["Ip_Net21"]              = $array_unidade["Ip_Net21"];
    $_POST["Ip_Net22"]              = $array_unidade["Ip_Net22"];
    $_POST["Ip_Net23"]              = $array_unidade["Ip_Net23"];
    $_POST["Ip_Net24"]              = $array_unidade["Ip_Net24"];
    $_POST["Ip_Net25"]              = $array_unidade["Ip_Net25"];
    $_POST["Ip_Net26"]              = $array_unidade["Ip_Net26"];
    $_POST["Ip_Net27"]              = $array_unidade["Ip_Net27"];
    $_POST["Ip_Net28"]              = $array_unidade["Ip_Net28"];
    $_POST["Ip_Net29"]              = $array_unidade["Ip_Net29"];
    $_POST["Ip_Net30"]              = $array_unidade["Ip_Net30"];
    $_POST["Certificado"]           = $array_unidade["Certificado"];
    $_POST["Senha_Certificado"]     = $array_unidade["Senha_Certificado"];
    $_POST["Tipo_Impressao"]        = $array_unidade["Tipo_Impressao"];
    $_POST["Cont_Nome"]             = $array_unidade["Cont_Nome"];
    $_POST["Cont_Cpf"]              = $array_unidade["Cont_Cpf"];
    $_POST["Cont_Crc"]              = $array_unidade["Cont_Crc"];
    $_POST["Cont_Cnpj"]             = $array_unidade["Cont_Cnpj"];
    $_POST["Cont_Cep"]              = $array_unidade["Cont_Cep"];
    $_POST["Cont_End"]              = $array_unidade["Cont_End"];
    $_POST["Cont_Num"]              = $array_unidade["Cont_Num"];
    $_POST["Cont_Compl"]            = $array_unidade["Cont_Compl"];
    $_POST["Cont_Bairro"]           = $array_unidade["Cont_Bairro"];
    $_POST["Cont_Fone"]             = $array_unidade["Cont_Fone"];
    $_POST["Cont_Fax"]              = $array_unidade["Cont_Fax"];
    $_POST["Cont_Email"]            = $array_unidade["Cont_Email"];
    $_POST["Cont_Estado"]           = $array_unidade["Cont_Estado"];
    $_POST["Cont_Cidade"]           = $array_unidade["Cont_Cidade"];
    $_POST["Gasolina"]              = $array_unidade["Gasolina"];
    $_POST["Aliquota_Simples"]      = $array_unidade["Aliquota_Simples"];
    $_POST["Iss_Simples"]           = $array_unidade["Iss_Simples"];
    $_POST["Irpj_Simples"]          = $array_unidade["Irpj_Simples"];
    $_POST["Csll_Simples"]          = $array_unidade["Csll_Simples"];
    $_POST["Cofins_Simples"]        = $array_unidade["Cofins_Simples"];
    $_POST["Pis_Simples"]           = $array_unidade["Pis_Simples"];
    $_POST["Cpp_Simples"]           = $array_unidade["Cpp_Simples"];
    $_POST["Icms_Simples"]          = $array_unidade["Icms_Simples"];
    $_POST["Inss_Simples"]          = $array_unidade["Inss_Simples"];
    $_POST["Serie_Rps"]             = $array_unidade["Serie_Rps"];
    $_POST["Numero_Rps"]            = $array_unidade["Numero_Rps"];
    $_POST["Email_Copia"]           = $array_unidade["Email_Copia"];
    $_POST["Senha_Site"]            = $array_unidade["Senha_Site"];
    $_POST["Latitude"]              = $array_unidade["Latitude"];
    $_POST["Longitude"]             = $array_unidade["Longitude"];
    $_POST["Faturamento_Diario"]    = $array_unidade["Faturamento_Diario"];
    $_POST["IMS"]                   = $array_unidade["IMS"];
    $_POST["Ativo"]                 = $array_unidade["Ativo"];
    $_POST["Csc"]                   = $array_unidade["Csc"];
    $_POST["Csc_Id_Token"]          = $array_unidade["Csc_Id_Token"];
    $_POST["Csc_Homo"]              = $array_unidade["Csc_Homo"];
    $_POST["Csc_Id_Token_Homo"]     = $array_unidade["Csc_Id_Token_Homo"];
    $_POST["Serie_Nfce"]            = $array_unidade["Serie_Nfce"];
    $_POST["Numero_Nfce"]           = $array_unidade["Numero_Nfce"];
    $_POST["Nire"]                  = $array_unidade["Nire"];
    $_POST["Responsavel"]           = $array_unidade["Responsavel"];
    $_POST["Responsavel_Cpf"]       = $array_unidade["Responsavel_Cpf"];
    $_POST["Serie_Mdfe"]            = $array_unidade["Serie_Mdfe"];
    $_POST["Numero_Mdfe"]           = $array_unidade["Numero_Mdfe"];
    $_POST["Token_Producao"]        = $array_unidade["Token_Producao"];
    $_POST["Token_Teste"]           = $array_unidade["Token_Teste"];
    $_POST["Sped_Perfil"]           = $array_unidade["Sped_Perfil"];
    $_POST["Tef"]                   = $array_unidade["Tef"];
    $_POST["Cappta_Key"]            = $array_unidade["Cappta_Key"];
    $_POST["Cappta_Senha_Adm"]      = $array_unidade["Cappta_Senha_Adm"];
    $_POST["Obs_Laudo_Tecnico"]     = stripslashes($array_unidade["Obs_Laudo_Tecnico"]);
    $_POST["Merchant_Id_Ifood"]       =  $array_unidade["Merchant_Id_Ifood"];
    $_POST["Sped_Ativ"]             =  $array_unidade["Sped_Ativ"];
    $_POST["ultNSU"]                =  $array_unidade["ultNSU"];
    $_POST["Obs_Simples"]           =  $array_unidade["Obs_Simples"];

    if ($_POST["Natureza"] == "PF") {
        $_POST["Cpf"]  = $array_unidade["Cnpj"];
    } else {
        $_POST["Cnpj"]  = $array_unidade["Cnpj"];
    }
}

?>
<html>

<head>
    <title>Gw - Gesto Web</title>
    <?php include 'cabecalho.php'; ?>
</head>

<body>

    <form name="unidade" id="unidade" method="post" action="" enctype="multipart/form-data">

        <fieldset class="envolve">
            <legend key="Empresas" class="tr">Empresa</legend>

            <fieldset class="grupo">
                <div class="campo">
                    <label for="Sede">Sede</label>
                    <?php
                    $vetor = array('Matriz' => 'Matriz', 'Filial' => 'Filial');
                    select_tela("Sede", "Sede", $_POST["Sede"], $vetor, '', "");
                    ?>
                </div>
                <div class="campo" style="width: 30%">
                    <label for="Titulo" key="Titulo" class="tr">* Nome Fantasia</label>
                    <input type="text" name="Titulo" id="Titulo" value="<?php echo $_POST["Titulo"]; ?>">
                </div>
                <div class="campo">
                    <?php
                    if ($_POST["Natureza"] == "PF") {
                        $exibirPF = "block";
                        $exibirPJ = "none";
                        $marcPF = "checked";
                    } else if ($_POST["Natureza"] == "PJ") {
                        $exibirPJ = "block";
                        $exibirPF = "none";
                        $marcPJ = "checked";
                    } else {
                        $exibirPF = "none";
                        $exibirPJ = "block";
                        $marcPF = "checked";
                    }
                    ?>
                    <label for="Natureza" key="Natureza" class="tr">Natureza</label>
                    <?php
                    $vetor = array('PJ' => '&nbsp;&nbsp; PJ &nbsp;&nbsp;', 'PF' => '&nbsp;&nbsp; PF &nbsp;&nbsp;');
                    select_tela("Natureza", "Natureza", $_POST["Natureza"], $vetor, "onchange='PfPj(this.value);'", "");
                    ?>
                </div>

                <?php
                if ($_SESSION['Id'] != '11111111111111111111111111111111' && $_GET["acao"] == "alterar" && $_POST["Titulo"] != 'Nova Empresa') {
                    $readonly = 'readonly';
                ?>
                    <input type="hidden" name="Editar_Cnpj" id="Editar_Cnpj" value="Sim">
                <?php } ?>

                <div style="display:<?php echo $exibirPF; ?>;" id="P_F">

                    <div class="campo">
                        <label for="Cpf" key="Cpf" class="tr">* CPF</label>
                        <input type="text" <?php echo $readonly; ?> name="Cpf" id="Cpf"
                            value="<?php echo $_POST["Cpf"]; ?>">
                    </div>

                </div>


                <div style="display:<?php echo $exibirPJ; ?>;" id="P_J">

                    <div class="campo">
                        <label for="Cnpj" key="Cnpj" class="tr">* CNPJ</label>
                        <input type="text" <?php echo $readonly; ?> name="Cnpj" id="Cnpj"
                            value="<?php echo $_POST["Cnpj"]; ?>">
                    </div>

                </div>



                <div class="campo" style="width: 30%">
                    <label for="Razao_Social" key="Razao_Social" class="tr">Razo Social</label>
                    <input type="text" name="Razao_Social" id="Razao_Social"
                        value="<?php echo $_POST["Razao_Social"]; ?>">
                </div>
            </fieldset>

            <fieldset class="grupo">
                <div class="campo">
                    <label for="Estadual" key="Estadual" class="tr">Insc. Estadual</label>
                    <input type="text" name="Estadual" id="Estadual" value="<?php echo $_POST["Estadual"]; ?>">
                </div>
                <div class="campo">
                    <label for="Iest">Insc. Est. ST</label>
                    <input type="text" name="Iest" id="Iest" value="<?php echo $_POST["Iest"]; ?>">
                </div>
                <div class="campo">
                    <label for="Municipal" key="Municipal" class="tr">Insc. Municipal</label>
                    <input type="text" name="Municipal" id="Municipal" value="<?php echo $_POST["Municipal"]; ?>">
                </div>
                <div class="campo">
                    <label for="Ativo">Ativo</label>
                    <?php
                    $vetor = array('Sim' => 'Sim', 'No' => 'No');
                    select_tela("Ativo", "Ativo", $_POST["Ativo"], $vetor, '', "");
                    ?>
                </div>
            </fieldset>

            <fieldset class="grupo">
                <div class="campo">
                    <label for="Fone1" key="Fone1" class="tr">* Telefone 1</label>
                    <input type="text" name="Fone1" id="Fone1" value="<?php echo $_POST["Fone1"]; ?>">
                </div>
                <div class="campo">
                    <label for="Fone2" key="Fone2" class="tr">Telefone 2</label>
                    <input type="text" name="Fone2" id="Fone2" value="<?php echo $_POST["Fone2"]; ?>">
                </div>
                <div class="campo">
                    <label for="Email" key="Email" class="tr">* Email</label>
                    <input type="text" name="Email" id="Email" value="<?php echo $_POST["Email"]; ?>">
                </div>
                <div class="campo">
                    <label for="Site" key="Site" class="tr">Site</label>
                    <input type="text" name="Site" id="Site" value="<?php echo $_POST["Site"]; ?>">
                </div>
                <?php
                if (DELIVERY == 'Sim' && IFOOD == "Sim") { ?>
                    <div class="campo">
                        <label for="Merchant_Id_Ifood" key="Merchant_Id_Ifood" class="tr">Id Ifood</label>
                        <input type="text" name="Merchant_Id_Ifood" id="Merchant_Id_Ifood"
                            value="<?php echo $_POST["Merchant_Id_Ifood"]; ?>">
                    </div>
                <?php
                } else { ?>
                    <input type="hidden" name="Merchant_Id_Ifood" id="Merchant_Id_Ifood"
                        value="<?php echo $_POST["Merchant_Id_Ifood"]; ?>">
                <?php
                } ?>
            </fieldset>

            <fieldset class="grupo">
                <div class="campo">
                    <label for="Cep" key="Cep" class="tr">CEP</label>
                    <input type="text" name="Cep" id="Cep" value="<?php echo $_POST["Cep"]; ?>">
                </div>
                <div class="campo" style="width:30%;">
                    <label for="Rua" key="Rua" class="tr">Endereo</label>
                    <input type="text" name="Rua" id="Rua" value="<?php echo $_POST["Rua"]; ?>">
                </div>
                <div class="campo">
                    <label for="Numero" key="Numero" class="tr">Nmero</label>
                    <input type="text" name="Numero" id="Numero" value="<?php echo $_POST["Numero"]; ?>">
                </div>
                <div class="campo" style="width:25%;">
                    <label for="Complemento" key="Complemento" class="tr">Complemento</label>
                    <input type="text" name="Complemento" id="Complemento" value="<?php echo $_POST["Complemento"]; ?>">
                </div>
            </fieldset>

            <fieldset class="grupo">
                <div class="campo">
                    <label for="Bairro" key="Bairro" class="tr">Bairro</label>
                    <input type="text" name="Bairro" id="Bairro" value="<?php echo $_POST["Bairro"]; ?>">
                </div>
                <div class="campo">
                    <label for="Cidade" key="Cidade" class="tr">Cidade</label>
                    <div id="divCidade">
                        <?php
                        $cidade = mysqli_query($con, "SELECT Codigo FROM cidade_ibge WHERE Id = '" . $_POST['Cidade'] . "' ");
                        $nome_cidade = mysqli_fetch_assoc($cidade);
                        $_POST["Cidade"] = $nome_cidade["Codigo"];

                        //eu troco o ID do select para funcionar o WebService
                        $cidadeUf = (empty($_POST["Estado"]) ? null : "AND Uf='" . $_POST["Estado"] . "'");
                        echo select_banco(
                            "Select Codigo as Id,Titulo from cidade_ibge WHERE 1=1 $cidadeUf order by Titulo",
                            "Cidade",
                            "Ibge",
                            $_POST["Cidade"],
                            '',
                            ""
                        );
                        ?>
                    </div>
                </div>
                <div class="campo">
                    <label for="Estado" key="Estado" class="tr">Estado</label>
                    <?php
                    $vetor = array(
                        '' => 'Estados',
                        'AC' => 'Acre',
                        'AL' => 'Alagoas',
                        'AP' => 'Amap',
                        'AM' => 'Amazonas',
                        'BA' => 'Bahia',
                        'CE' => 'Cear',
                        'DF' => 'Distrito Federal',
                        'GO' => 'Gois',
                        'ES' => 'Esprito Santo',
                        'MA' => 'Maranho',
                        'MT' => 'Mato Grosso',
                        'MS' => 'Mato Grosso do Sul',
                        'MG' => 'Minas Gerais',
                        'PA' => 'Par',
                        'PB' => 'Paraba',
                        'PR' => 'Paran',
                        'PE' => 'Pernambuco',
                        'PI' => 'Piau',
                        'RJ' => 'Rio de Janeiro',
                        'RN' => 'Rio Grande do Norte',
                        'RS' => 'Rio Grande do Sul',
                        'RO' => 'Rondnia',
                        'RR' => 'Rorima',
                        'SP' => 'So Paulo',
                        'SC' => 'Santa Catarina',
                        'SE' => 'Sergipe',
                        'TO' => 'Tocantis',
                        'EX' => 'EX'
                    );
                    select_tela("Estado", "Estado", $_POST["Estado"], $vetor, 'onchange="comboEstado(this.value);"', "");
                    ?>
                    <input type="hidden" name="Id_Estado" id="Id_Estado" value="<?php echo $_POST["Estado"]; ?>">
                </div>
            </fieldset>

            <fieldset class="grupo">
                <div class="campo" style="width: 30%">
                    <label for="Obs" key="Obs" class="tr">Obs</label>
                    <input type="text" name="Obs" id="Obs" value="<?php echo $_POST["Obs"]; ?>">
                </div>
                <div class="campo">
                    <label for="Tabela" key="Tabela_Preco" class="tr">Tabela</label>
                    <?php
                    $tabela_pr = mysqli_query($con, "Select Id,Titulo,Valor from produto_tabela WHERE Ativo='Sim' ");

                    $vetor = '';
                    $vetor = array();
                    while ($reg = mysqli_fetch_assoc($tabela_pr)) {
                        $vetor[$reg["Valor"]] = $reg["Titulo"];
                    }

                    select_tela("Tabela_Preco", "Tabela_Preco", $_POST["Tabela_Preco"], $vetor, '', "");
                    ?>
                </div>
            </fieldset>

            <fieldset class="grupo">
                <div class="campo">
                    <label for="Gasolina" key="Gasolina" class="tr">Gasolina</label>
                    <input type="text" name="Gasolina" id="Gasolina"
                        value="<?php echo valor_exibir($_POST["Gasolina"]); ?>" class="money"
                        onblur="fazerValor(this.value,'Gasolina')">
                </div>
                <div class="campo">
                    <label for="Latitude" key="Latitude" class="tr">Latitude</label>
                    <input type="text" name="Latitude" id="Latitude" value="<?php echo $_POST["Latitude"]; ?>">
                </div>
                <div class="campo">
                    <label for="Longitude" key="Longitude" class="tr">Longitude</label>
                    <input type="text" name="Longitude" id="Longitude" value="<?php echo $_POST["Longitude"]; ?>">
                </div>
                <div class="campo">
                    <label for="Faturamento_Diario" key="Faturamento_Diario" class="tr">Faturamento Dirio</label>
                    <input type="text" name="Faturamento_Diario" id="Faturamento_Diario"
                        value="<?php echo valor_exibir($_POST["Faturamento_Diario"]); ?>" class="money"
                        onblur="fazerValor(this.value,'Faturamento_Diario')">
                </div>
                <div class="campo">
                    <label for="IMS" key="IMS" class="tr">
                        <?php
                        if (CLIENTE_EMAIL == 'facilpneus') {
                            echo 'Sigla';
                        } else {
                            echo 'IMS';
                        }
                        ?>
                    </label>
                    <input type="text" name="IMS" id="IMS" value="<?php echo $_POST["IMS"]; ?>">
                </div>
            </fieldset>

            <fieldset class="grupo">
                <div class="campo">
                    <label for="Iest_AL">Insc. Est. ST AL</label>
                    <input type="text" name="Iest_AL" id="Iest_AL" value="<?php echo $_POST["Iest_AL"]; ?>">
                </div>
                <div class="campo">
                    <label for="Iest_PB">Insc. Est. ST PB</label>
                    <input type="text" name="Iest_PB" id="Iest_PB" value="<?php echo $_POST["Iest_PB"]; ?>">
                </div>
                <div class="campo">
                    <label for="Iest_SE">Insc. Est. ST SE</label>
                    <input type="text" name="Iest_SE" id="Iest_SE" value="<?php echo $_POST["Iest_SE"]; ?>">
                </div>
            </fieldset>

            <fieldset class="grupo">
                <legend>Logo</legend>
                <div class="campo">
                    <label for="Foto">Logo</label>
                    <input type="file" name="Logo" id="Logo">
                    <font size="1" color="#CD2626" key="Obs_Logo" class="tr">Para alterar a imagem, selecione a nova
                        imagem e salve-a.</font>
                </div>
                <?php if ($_GET["acao"] == "alterar") { ?>
                    <label for="Logo">Logo</label>
                    <label for="Logo">
                        <?php
                        $chave = false;
                        if (file_exists("foto/" . $_POST["Logo"] . "")) {
                            $chave = true;
                            echo "<img src=\"foto/" . $_POST["Logo"] . "\"/>";
                        }

                        if (!$chave) {
                            echo 'No h imagem a ser exibida!';
                        }
                        ?>
                    </label>
                <?php } ?>
            </fieldset>

            <?php if (MULTI_EMPRESA2 == 'Sim') { ?>
                <fieldset class="grupo">
                    <legend>Logo Home Sistema</legend>
                    <div class="campo">
                        <label for="Foto">Logo Home Sistema</label>
                        <input type="file" name="Logo_Home" id="Logo_Home">
                        <font size="1" color="#CD2626" key="Obs_Logo_Home" class="tr">Para alterar a imagem, selecione a
                            nova imagem e salve-a.</font>
                    </div>
                    <?php if ($_GET["acao"] == "alterar") { ?>
                        <label for="Logo_Home">Logo Home Sistema</label>
                        <label for="Logo_Home">
                            <?php
                            $chave = false;
                            if (file_exists("foto/" . $_POST["Logo_Home"] . "")) {
                                $chave = true;
                                echo "<img src=\"foto/" . $_POST["Logo_Home"] . "\"/>";
                            }

                            if (!$chave) {
                                echo 'No h imagem a ser exibida!';
                            }
                            ?>
                        </label>
                    <?php } ?>
                </fieldset>
            <?php } ?>

            <fieldset class="grupo">
                <legend key="Senha_Pontti" class="tr">Senha Portal Pontti</legend>
                <div class="campo">
                    <label for="Senha_Site" key="Senha_Portal" class="tr">Senha Portal
                        <font size="1" color="#CD2626" id="obs" key="Obs_Senha" class="tr">Mnimo 6 caracteres. Letras e
                            Nmeros.</font>
                    </label>
                    <input type="text" name="Senha_Site" id="Senha_Site" value="<?php echo $_POST["Senha_Site"]; ?>">
                </div>
                <?php if ($_SESSION["Id"] == '11111111111111111111111111111111') { ?>
                    <div class="campo" style="width: 10%">
                        <label for="ultNSU">ultNSU
                            <font size="1" color="#CD2626" id="obs" key="Obs_Senha" class="tr">S mexer se entender.</font>
                        </label>
                        <input type="text" name="ultNSU" id="ultNSU" value="<?php echo $_POST["ultNSU"]; ?>"
                            onkeyup="somente_numero(this);">
                    </div>
                <?php } ?>
            </fieldset>

            <?php if (PAIS == 'BRA') { ?>
                <fieldset class="grupo">
                    <legend>Avanados</legend>

                    <div class="campo">
                        <label for="Ambiente">Ambiente</label>
                        <?php
                        $vetor = array('1' => 'Produo', '2' => 'Homologao');
                        select_tela("Ambiente", "Ambiente", $_POST["Ambiente"], $vetor, '', "");
                        ?>
                    </div>
                    <div class="campo">
                        <label for="Tipo_Impressao">Tipo Impresso</label>
                        <?php
                        $vetor = array('P' => '1 - Retrato', 'L' => '2 - Paisagem');
                        select_tela("Tipo_Impressao", "Tipo_Impressao", $_POST["Tipo_Impressao"], $vetor, '', "");
                        //1 - Retrato 2 - Paisagem
                        ?>
                    </div>
                    <div class="campo" style="width:30%;">
                        <label for="Email_Copia" key="Email_Copia" class="tr">Email Cpia NFe / Geral</label>
                        <input type="text" name="Email_Copia" id="Email_Copia" value="<?php echo $_POST["Email_Copia"]; ?>">
                    </div>
                </fieldset>

                <fieldset class="grupo">
                    <div class="campo">
                        <label for="Regime">Regime Tributrio</label>
                        <?php
                        $vetor = array('1' => 'Simples Nacional', '2' => 'Simples Nacional - Excesso de sublimite de receita bruta', '3' => 'Regime Normal');
                        select_tela("Regime", "Regime", $_POST["Regime"], $vetor, '', "");
                        ?>
                    </div>
                    <div class="campo">
                        <label for="CNAE">CNAE</label>
                        <input type="text" name="CNAE" id="CNAE" value="<?php echo $_POST["CNAE"]; ?>">
                    </div>
                    <div class="campo">
                        <label for="Aliquota_Simples">Aliquota Simples</label>
                        <input type="text" name="Aliquota_Simples" id="Aliquota_Simples"
                            value="<?php echo valor_exibir($_POST["Aliquota_Simples"]); ?>" class="money"
                            onblur="fazerValor(this.value,'Aliquota_Simples')">
                    </div>
                </fieldset>

                <fieldset class="grupo">
                    <div class="campo" style="width:10%">
                        <label for="Iss_Simples">ISS Simples</label>
                        <input type="text" name="Iss_Simples" id="Iss_Simples"
                            value="<?php echo valor_exibir($_POST["Iss_Simples"]); ?>" class="money"
                            onblur="fazerValor(this.value,'Iss_Simples')">
                    </div>
                    <div class="campo" style="width:10%">
                        <label for="Cofins_Simples">Cofins Simples</label>
                        <input type="text" name="Cofins_Simples" id="Cofins_Simples"
                            value="<?php echo valor_exibir($_POST["Cofins_Simples"]); ?>" class="money"
                            onblur="fazerValor(this.value,'Cofins_Simples')">
                    </div>
                    <div class="campo" style="width:10%">
                        <label for="Pis_Simples">Pis Simples</label>
                        <input type="text" name="Pis_Simples" id="Pis_Simples"
                            value="<?php echo valor_exibir($_POST["Pis_Simples"]); ?>" class="money"
                            onblur="fazerValor(this.value,'Pis_Simples')">
                    </div>
                    <div class="campo" style="width:10%">
                        <label for="Irpj_Simples">Irpj Simples</label>
                        <input type="text" name="Irpj_Simples" id="Irpj_Simples"
                            value="<?php echo valor_exibir($_POST["Irpj_Simples"]); ?>" class="money"
                            onblur="fazerValor(this.value,'Irpj_Simples')">
                    </div>
                    <div class="campo" style="width:10%">
                        <label for="Csll_Simples">Csll Simples</label>
                        <input type="text" name="Csll_Simples" id="Csll_Simples"
                            value="<?php echo valor_exibir($_POST["Csll_Simples"]); ?>" class="money"
                            onblur="fazerValor(this.value,'Csll_Simples')">
                    </div>
                </fieldset>

                <fieldset class="grupo">
                    <div class="campo" style="width:10%">
                        <label for="Inss_Simples">Inss Simples</label>
                        <input type="text" name="Inss_Simples" id="Inss_Simples"
                            value="<?php echo valor_exibir($_POST["Inss_Simples"]); ?>" class="money"
                            onblur="fazerValor(this.value,'Inss_Simples')">
                    </div>
                    <div class="campo" style="width:10%">
                        <label for="Cpp_Simples">Cpp Simples</label>
                        <input type="text" name="Cpp_Simples" id="Cpp_Simples"
                            value="<?php echo valor_exibir($_POST["Cpp_Simples"]); ?>" class="money"
                            onblur="fazerValor(this.value,'Cpp_Simples')">
                    </div>
                    <div class="campo" style="width:10%">
                        <label for="Icms_Simples">Icms Simples</label>
                        <input type="text" name="Icms_Simples" id="Icms_Simples"
                            value="<?php echo valor_exibir($_POST["Icms_Simples"]); ?>" class="money"
                            onblur="fazerValor(this.value,'Icms_Simples')">
                    </div>
                </fieldset>

                <fieldset class="grupo">
                    <div class="campo">
                        <?php if (($_POST["Serie"] == "")) $_POST["Serie"] = '1'; ?>
                        <label for="Serie">Srie Venda</label>
                        <input type="text" name="Serie" id="Serie" value="<?php echo $_POST["Serie"]; ?>"
                            onkeyup="somente_numero(this);">
                    </div>
                    <div class="campo">
                        <label for="Numero_Nota">N Nota Venda</label>
                        <input type="text" name="Numero_Nota" id="Numero_Nota" value="<?php echo $_POST["Numero_Nota"]; ?>"
                            onkeyup="somente_numero(this);">
                    </div>
                </fieldset>

                <fieldset class="grupo">
                    <div class="campo">
                        <?php if (($_POST["Serie"] == "")) $_POST["Serie"] = '2'; ?>
                        <label for="Serie_Compra">Srie Compra</label>
                        <input type="text" name="Serie_Compra" id="Serie_Compra"
                            value="<?php echo $_POST["Serie_Compra"]; ?>" onkeyup="somente_numero(this);">
                    </div>
                    <div class="campo">
                        <label for="Numero_Compra">N Nota Compra</label>
                        <input type="text" name="Numero_Compra" id="Numero_Compra"
                            value="<?php echo $_POST["Numero_Compra"]; ?>" onkeyup="somente_numero(this);">
                    </div>
                </fieldset>
                <!--
            <fieldset class="grupo">
                <div class="campo">
                    <?php if (($_POST["Serie"] == "")) $_POST["Serie"] = '999'; ?>
                    <label for="Serie_Contigencia">Srie Contigncia</label>
                    <input type="text" name="Serie_Contigencia" id="Serie_Contigencia" value="<?php echo $_POST["Serie_Contigencia"]; ?>" onkeyup="somente_numero(this);">
                </div>
                <div class="campo">
                    <label for="Numero_Contigencia">N Nota Contigncia</label>
                    <input type="text" name="Numero_Contigencia" id="Numero_Contigencia" value="<?php echo $_POST["Numero_Contigencia"]; ?>" onkeyup="somente_numero(this);">
                </div>
            </fieldset>
            -->
                <fieldset class="grupo">
                    <div class="campo">
                        <label for="Serie_Nfce">Srie NFCe</label>
                        <input type="text" name="Serie_Nfce" id="Serie_Nfce" value="<?php echo $_POST["Serie_Nfce"]; ?>"
                            onkeyup="somente_numero(this);">
                    </div>
                    <div class="campo">
                        <label for="Numero_Nfce">N Nota NFCe</label>
                        <input type="text" name="Numero_Nfce" id="Numero_Nfce" value="<?php echo $_POST["Numero_Nfce"]; ?>"
                            onkeyup="somente_numero(this);">
                    </div>
                </fieldset>

                <fieldset class="grupo">
                    <div class="campo">
                        <label for="Serie_Mdfe">Srie MDFe</label>
                        <input type="text" name="Serie_Mdfe" id="Serie_Mdfe" value="<?php echo $_POST["Serie_Mdfe"]; ?>"
                            onkeyup="somente_numero(this);">
                    </div>
                    <div class="campo">
                        <label for="Numero_Mdfe">N Nota MDFe</label>
                        <input type="text" name="Numero_Mdfe" id="Numero_Mdfe" value="<?php echo $_POST["Numero_Mdfe"]; ?>"
                            onkeyup="somente_numero(this);">
                    </div>
                </fieldset>

                <fieldset class="grupo">
                    <div class="campo">
                        <label for="Serie_Rps">Srie Rps</label>
                        <input type="text" name="Serie_Rps" id="Serie_Rps" value="<?php echo $_POST["Serie_Rps"]; ?>"
                            onkeyup="somente_numero(this);">
                    </div>
                    <div class="campo">
                        <label for="Numero_Rps">N Nota Rps</label>
                        <input type="text" name="Numero_Rps" id="Numero_Rps" value="<?php echo $_POST["Numero_Rps"]; ?>"
                            onkeyup="somente_numero(this);">
                    </div>
                </fieldset>

                <fieldset class="grupo">
                    <!--
                <div class="campo" style="width: 50%">
                    <label for="Info_Fisco">Info Fisco</label>
                    <input type="text" id="Info_Fisco" name="Info_Fisco" value="<?php echo $_POST["Info_Fisco"]; ?>" placeholder="No informar nada"/>
                </div>
                -->
                    <div class="campo" style="width: 50%">
                        <label for="Info_Contribuinte">Info Contribuinte</label>
                        <input type="text" id="Info_Contribuinte" name="Info_Contribuinte"
                            value="<?php echo $_POST["Info_Contribuinte"]; ?>" />
                    </div>
                </fieldset>

                <fieldset class="grupo">
                    <div class="campo" style="width: 50%">
                        <label for="Obs_Simples">Obs Simples</label>
                        <input type="text" id="Obs_Simples" name="Obs_Simples"
                            value="<?php echo $_POST["Obs_Simples"] ?: 'DOCUMENTO EMITIDO POR ME OU EPP OPTANTE PELO SIMPLES NACIONAL; ESTABELECIMENTO IMPEDIDO DE RECOLHER O ICMS/ISS PELO SIMPLES NACIONAL, NOS TERMOS DO ART. 20 DA LC 123/2006; NAO GERA DIREITO A CREDITO FISCAL DE IPI.'; ?>" />
                    </div>
                </fieldset>

                <fieldset class="grupo">
                    <font size="1" color="#CD2626" id="obs">
                        * Se o Ambiente for HOMOLOGAO. Deve ser Criado um Cliente da seguinte forma:<br />
                        Razo social: NF-E EMITIDA EM AMBIENTE DE HOMOLOGACAO - SEM VALOR FISCAL<br />
                        CNPJ: 99.999.999/0001-91<br />
                        IE: (deixar campo vazio)
                    </font>
                </fieldset>


                <fieldset class="grupo">
                    <legend>NFCe</legend>

                    <div class="campo" style="width: 40%">
                        <label for="Csc">CSC Produo</label>
                        <input type="text" name="Csc" id="Csc" value="<?php echo $_POST["Csc"]; ?>">
                    </div>
                    <div class="campo">
                        <label for="Csc_Id_Token" key="Csc_Id_Token" class="tr">Csc Id Token Produo</label>
                        <input type="text" name="Csc_Id_Token" id="Csc_Id_Token"
                            value="<?php echo $_POST["Csc_Id_Token"]; ?>">
                    </div>
                </fieldset>

                <fieldset class="grupo">
                    <div class="campo" style="width: 40%">
                        <label for="Csc_Homo">CSC Homologao</label>
                        <input type="text" name="Csc_Homo" id="Csc_Homo" value="<?php echo $_POST["Csc_Homo"]; ?>">
                    </div>
                    <div class="campo">
                        <label for="Csc_Id_Token_Homo" key="Csc_Id_Token_Homo" class="tr">Csc Id Token Homologao</label>
                        <input type="text" name="Csc_Id_Token_Homo" id="Csc_Id_Token_Homo"
                            value="<?php echo $_POST["Csc_Id_Token_Homo"]; ?>">
                    </div>
                </fieldset>

                <fieldset class="grupo">
                    <legend>TEF</legend>

                    <div <?php echo $_SESSION['Id'] != "11111111111111111111111111111111" ? "style='display:none'" : ''; ?>>
                        <div class="campo">
                            <label for="Tef">Tef</label>
                            <?php
                            $vetor = array('Sim' => 'Sim', 'No' => 'No');
                            select_tela("Tef", "Tef", $_POST["Tef"], $vetor);
                            ?>
                        </div>
                        <div class="campo">
                            <label for="Cappta_Key">Chave Tef</label>
                            <input type="text" name="Cappta_Key" id="Cappta_Key" value="<?= $_POST['Cappta_Key']; ?>"
                                maxlength="32">
                        </div>
                        <div class="campo">
                            <label for="Cappta_Senha_Adm">Senha Adm. Tef</label>
                            <input type="text" name="Cappta_Senha_Adm" id="Cappta_Senha_Adm"
                                value="<?= $_POST['Cappta_Senha_Adm']; ?>" maxlength="50">
                        </div>
                    </div>
                </fieldset>

            <?php } //fim do pais 
            ?>


            <fieldset class="grupo">
                <legend>Certificado Digital</legend>

                <div class="campo">
                    <label for="Certificado">Certificado</label>
                    <input type="file" name="Certificado" id="Certificado">
                </div>
                <?php
                if ($_GET["acao"] == "alterar") {

                    if ($_POST["Certificado"]) {
                        $cert = "J Existe Certificado";
                    } else {
                        $cert = "No Existe Certificado";
                    }
                ?>
                    <div class="campo">
                        <label for="Certificado"><?php echo $cert; ?></label>
                        <input type="text" name="Nome_Certificado" value="<?php echo $_POST["Certificado"]; ?>">
                    </div>
                <?php } ?>
                <?php
                if ($_SESSION["Id"] == '11111111111111111111111111111111') {
                    $tipo_type = 'text';
                } else {
                    $tipo_type = 'password';
                }
                ?>
                <div class="campo">
                    <label for="Senha_Certificado">Senha Certificado</label>
                    <input type="<?php echo $tipo_type; ?>" name="Senha_Certificado" id="Senha_Certificado"
                        value="<?php echo $_POST["Senha_Certificado"]; ?>">
                </div>
                <?php if ($_SESSION["Id"] == '11111111111111111111111111111111') { ?>
                    <div class="campo">
                        <label for="Baixar_Certificado">Baixar Certificado</label>
                        <button type="button" value="<?php echo $_POST["Certificado"] ?>" name="Baixar_Certificado"
                            class="botao_novo"
                            onclick="baixaCertificado('<?php echo $_POST["Certificado"] ?>');">Baixar</button>
                    </div>
                <?php } ?>
            </fieldset>

            <!--
            <fieldset class="grupo">
                <legend>Mercado Pago</legend>

                <div class="campo" style="width: 40%">
                    <label for="Token_Producao">Produo - Access Token</label>
                    <input type="text" name="Token_Producao" id="Token_Producao" value="<?php echo $_POST["Token_Producao"]; ?>">
                </div>
                <div class="campo" style="width: 40%">
                    <label for="Token_Teste">Teste - Access Token</label>
                    <input type="text" name="Token_Teste" id="Token_Teste" value="<?php echo $_POST["Token_Teste"]; ?>">
                </div>
            </fieldset>
            -->

            <fieldset class="grupo">
                <legend>Ip Internet</legend>

                <div class="campo">
                    <label for="Ip_Net">Ip Internet</label>
                    <input type="text" name="Ip_Net" id="Ip_Net" value="<?php echo $_POST["Ip_Net"]; ?>"
                        onkeyup="somente_numero(this);">
                </div>
                <div class="campo">
                    <label for="Ip_Net2">Ip Internet 2</label>
                    <input type="text" name="Ip_Net2" id="Ip_Net2" value="<?php echo $_POST["Ip_Net2"]; ?>"
                        onkeyup="somente_numero(this);">
                </div>
                <div class="campo">
                    <label for="Ip_Net3">Ip Internet 3</label>
                    <input type="text" name="Ip_Net3" id="Ip_Net3" value="<?php echo $_POST["Ip_Net3"]; ?>"
                        onkeyup="somente_numero(this);">
                </div>
                <div class="campo">
                    <label for="Ip_Net4">Ip Internet 4</label>
                    <input type="text" name="Ip_Net4" id="Ip_Net4" value="<?php echo $_POST["Ip_Net4"]; ?>"
                        onkeyup="somente_numero(this);">
                </div>
                <?php if (CLIENTE_EMAIL == 'brztech') { ?>
                    <div class="campo">
                        <label for="Ip_Net5">Ip Internet 5</label>
                        <input type="text" name="Ip_Net5" id="Ip_Net5" value="<?php echo $_POST["Ip_Net5"]; ?>"
                            onkeyup="somente_numero(this);">
                    </div>
                    <div class="campo">
                        <label for="Ip_Net6">Ip Internet 6</label>
                        <input type="text" name="Ip_Net6" id="Ip_Net6" value="<?php echo $_POST["Ip_Net6"]; ?>"
                            onkeyup="somente_numero(this);">
                    </div>
                    <div class="campo">
                        <label for="Ip_Net7">Ip Internet 7</label>
                        <input type="text" name="Ip_Net7" id="Ip_Net7" value="<?php echo $_POST["Ip_Net7"]; ?>"
                            onkeyup="somente_numero(this);">
                    </div>
                    <div class="campo">
                        <label for="Ip_Net8">Ip Internet 8</label>
                        <input type="text" name="Ip_Net8" id="Ip_Net8" value="<?php echo $_POST["Ip_Net8"]; ?>"
                            onkeyup="somente_numero(this);">
                    </div>
                    <div class="campo">
                        <label for="Ip_Net9">Ip Internet 9</label>
                        <input type="text" name="Ip_Net9" id="Ip_Net9" value="<?php echo $_POST["Ip_Net9"]; ?>"
                            onkeyup="somente_numero(this);">
                    </div>
                    <div class="campo">
                        <label for="Ip_Net10">Ip Internet 10</label>
                        <input type="text" name="Ip_Net10" id="Ip_Net10" value="<?php echo $_POST["Ip_Net10"]; ?>"
                            onkeyup="somente_numero(this);">
                    </div>
                    <div class="campo">
                        <label for="Ip_Net11">Ip Internet 11</label>
                        <input type="text" name="Ip_Net11" id="Ip_Net11" value="<?php echo $_POST["Ip_Net11"]; ?>"
                            onkeyup="somente_numero(this);">
                    </div>
                    <div class="campo">
                        <label for="Ip_Net12">Ip Internet 12</label>
                        <input type="text" name="Ip_Net12" id="Ip_Net12" value="<?php echo $_POST["Ip_Net12"]; ?>"
                            onkeyup="somente_numero(this);">
                    </div>
                    <div class="campo">
                        <label for="Ip_Net13">Ip Internet 13</label>
                        <input type="text" name="Ip_Net13" id="Ip_Net13" value="<?php echo $_POST["Ip_Net13"]; ?>"
                            onkeyup="somente_numero(this);">
                    </div>
                    <div class="campo">
                        <label for="Ip_Net14">Ip Internet 14</label>
                        <input type="text" name="Ip_Net14" id="Ip_Net14" value="<?php echo $_POST["Ip_Net14"]; ?>"
                            onkeyup="somente_numero(this);">
                    </div>
                    <div class="campo">
                        <label for="Ip_Net15">Ip Internet 15</label>
                        <input type="text" name="Ip_Net15" id="Ip_Net15" value="<?php echo $_POST["Ip_Net15"]; ?>"
                            onkeyup="somente_numero(this);">
                    </div>
                    <div class="campo">
                        <label for="Ip_Net16">Ip Internet 16</label>
                        <input type="text" name="Ip_Net16" id="Ip_Net16" value="<?php echo $_POST["Ip_Net16"]; ?>"
                            onkeyup="somente_numero(this);">
                    </div>
                    <div class="campo">
                        <label for="Ip_Net17">Ip Internet 17</label>
                        <input type="text" name="Ip_Net17" id="Ip_Net17" value="<?php echo $_POST["Ip_Net17"]; ?>"
                            onkeyup="somente_numero(this);">
                    </div>
                    <div class="campo">
                        <label for="Ip_Net18">Ip Internet 18</label>
                        <input type="text" name="Ip_Net18" id="Ip_Net18" value="<?php echo $_POST["Ip_Net18"]; ?>"
                            onkeyup="somente_numero(this);">
                    </div>
                    <div class="campo">
                        <label for="Ip_Net19">Ip Internet 19</label>
                        <input type="text" name="Ip_Net19" id="Ip_Net19" value="<?php echo $_POST["Ip_Net19"]; ?>"
                            onkeyup="somente_numero(this);">
                    </div>
                    <div class="campo">
                        <label for="Ip_Net20">Ip Internet 20</label>
                        <input type="text" name="Ip_Net20" id="Ip_Net20" value="<?php echo $_POST["Ip_Net20"]; ?>"
                            onkeyup="somente_numero(this);">
                    </div>
                    <div class="campo">
                        <label for="Ip_Net21">Ip Internet 21</label>
                        <input type="text" name="Ip_Net21" id="Ip_Net21" value="<?php echo $_POST["Ip_Net21"]; ?>"
                            onkeyup="somente_numero(this);">
                    </div>
                    <div class="campo">
                        <label for="Ip_Net22">Ip Internet 22</label>
                        <input type="text" name="Ip_Net22" id="Ip_Net22" value="<?php echo $_POST["Ip_Net22"]; ?>"
                            onkeyup="somente_numero(this);">
                    </div>
                    <div class="campo">
                        <label for="Ip_Net23">Ip Internet 23</label>
                        <input type="text" name="Ip_Net23" id="Ip_Net23" value="<?php echo $_POST["Ip_Net23"]; ?>"
                            onkeyup="somente_numero(this);">
                    </div>
                    <div class="campo">
                        <label for="Ip_Net24">Ip Internet 24</label>
                        <input type="text" name="Ip_Net24" id="Ip_Net24" value="<?php echo $_POST["Ip_Net24"]; ?>"
                            onkeyup="somente_numero(this);">
                    </div>
                    <div class="campo">
                        <label for="Ip_Net25">Ip Internet 25</label>
                        <input type="text" name="Ip_Net25" id="Ip_Net25" value="<?php echo $_POST["Ip_Net25"]; ?>"
                            onkeyup="somente_numero(this);">
                    </div>
                    <div class="campo">
                        <label for="Ip_Net26">Ip Internet 26</label>
                        <input type="text" name="Ip_Net26" id="Ip_Net26" value="<?php echo $_POST["Ip_Net26"]; ?>"
                            onkeyup="somente_numero(this);">
                    </div>
                    <div class="campo">
                        <label for="Ip_Net27">Ip Internet 27</label>
                        <input type="text" name="Ip_Net27" id="Ip_Net27" value="<?php echo $_POST["Ip_Net27"]; ?>"
                            onkeyup="somente_numero(this);">
                    </div>
                    <div class="campo">
                        <label for="Ip_Net28">Ip Internet 28</label>
                        <input type="text" name="Ip_Net28" id="Ip_Net28" value="<?php echo $_POST["Ip_Net28"]; ?>"
                            onkeyup="somente_numero(this);">
                    </div>
                    <div class="campo">
                        <label for="Ip_Net29">Ip Internet 29</label>
                        <input type="text" name="Ip_Net29" id="Ip_Net29" value="<?php echo $_POST["Ip_Net29"]; ?>"
                            onkeyup="somente_numero(this);">
                    </div>
                    <div class="campo">
                        <label for="Ip_Net30">Ip Internet 30</label>
                        <input type="text" name="Ip_Net30" id="Ip_Net30" value="<?php echo $_POST["Ip_Net30"]; ?>"
                            onkeyup="somente_numero(this);">
                    </div>
                <?php } ?>
            </fieldset>

            <?php if (PAIS == 'BRA') { ?>
                <fieldset class="grupo">
                    <legend>Dados</legend>

                    <div class="campo">
                        <label for="Nire">Nire</label>
                        <input type="text" name="Nire" id="Nire" value="<?php echo $_POST["Nire"]; ?>" />
                    </div>
                    <div class="campo">
                        <label for="Responsavel">Nome Responsvel</label>
                        <input type="text" name="Responsavel" id="Responsavel"
                            value="<?php echo $_POST["Responsavel"]; ?>" />
                    </div>
                    <div class="campo">
                        <label for="Responsavel_Cpf">Cpf Responsvel</label>
                        <input type="text" name="Responsavel_Cpf" id="Responsavel_Cpf"
                            value="<?php echo $_POST["Responsavel_Cpf"]; ?>" />
                    </div>
                </fieldset>

                <fieldset class="grupo">
                    <legend>Sped</legend>

                    <div class="campo">
                        <label for="Sped_Perfil">Perfil Sped</label>
                        <?php
                        $vetor = array('A' => 'A', 'B' => 'B', 'C' => 'C');
                        select_tela("Sped_Perfil", "Sped_Perfil", $_POST["Sped_Perfil"], $vetor);
                        ?>
                    </div>
                    <div class="campo">
                        <label for="Sped_Ativ">Tipo de Atividade Sped</label>
                        <?php
                        $vetor = array('1' => '1 - Outros', '0' => '0 - Industrial ou equiparado a industrial');
                        select_tela("Sped_Ativ", "Sped_Ativ", $_POST["Sped_Ativ"], $vetor);
                        ?>
                    </div>
                </fieldset>

                <fieldset class="grupo">
                    <legend>Contador</legend>

                    <div class="campo">
                        <label for="Cont_Nome">Nome</label>
                        <input type="text" name="Cont_Nome" id="Cont_Nome" value="<?php echo $_POST["Cont_Nome"]; ?>">
                    </div>
                    <div class="campo">
                        <label for="Cont_Cpf">Cpf</label>
                        <input type="text" name="Cont_Cpf" id="Cont_Cpf" value="<?php echo $_POST["Cont_Cpf"]; ?>">
                    </div>
                    <div class="campo">
                        <label for="Cont_Crc">CRC</label>
                        <input type="text" name="Cont_Crc" id="Cont_Crc" value="<?php echo $_POST["Cont_Crc"]; ?>">
                    </div>
                    <div class="campo">
                        <label for="Cont_Cnpj">Cnpj</label>
                        <input type="text" name="Cont_Cnpj" id="Cont_Cnpj" value="<?php echo $_POST["Cont_Cnpj"]; ?>">
                    </div>
                    <div class="campo">
                        <label for="Cont_Cep">Cep</label>
                        <input type="text" name="Cont_Cep" id="Cont_Cep" value="<?php echo $_POST["Cont_Cep"]; ?>">
                    </div>
                    <div class="campo">
                        <label for="Cont_End">Endereo</label>
                        <input type="text" name="Cont_End" id="Cont_End" value="<?php echo $_POST["Cont_End"]; ?>">
                    </div>
                    <div class="campo">
                        <label for="Cont_Num">Numero</label>
                        <input type="text" name="Cont_Num" id="Cont_Num" value="<?php echo $_POST["Cont_Num"]; ?>">
                    </div>
                    <div class="campo">
                        <label for="Cont_Compl">Complemento</label>
                        <input type="text" name="Cont_Compl" id="Cont_Compl" value="<?php echo $_POST["Cont_Compl"]; ?>">
                    </div>
                    <div class="campo">
                        <label for="Cont_Bairro">Bairro</label>
                        <input type="text" name="Cont_Bairro" id="Cont_Bairro" value="<?php echo $_POST["Cont_Bairro"]; ?>">
                    </div>
                    <div class="campo">
                        <label for="Cont_Fone">Fone</label>
                        <input type="text" name="Cont_Fone" id="Cont_Fone" value="<?php echo $_POST["Cont_Fone"]; ?>">
                    </div>
                    <div class="campo">
                        <label for="Cont_Fax">Fax</label>
                        <input type="text" name="Cont_Fax" id="Cont_Fax" value="<?php echo $_POST["Cont_Fax"]; ?>">
                    </div>
                    <div class="campo">
                        <label for="Cont_Email">Email</label>
                        <input type="text" name="Cont_Email" id="Cont_Email" value="<?php echo $_POST["Cont_Email"]; ?>">
                    </div>
                    <div class="campo">
                        <label for="Cont_Estado">Estado</label>
                        <?php
                        if ($_POST["Cont_Estado"] == "") {
                            $_POST["Cont_Estado"] = "PE";
                        }
                        $vetor = array(
                            '' => 'Estados',
                            'AC' => 'Acre',
                            'AL' => 'Alagoas',
                            'AP' => 'Amap',
                            'AM' => 'Amazonas',
                            'BA' => 'Bahia',
                            'CE' => 'Cear',
                            'DF' => 'Distrito Federal',
                            'GO' => 'Gois',
                            'ES' => 'Esprito Santo',
                            'MA' => 'Maranho',
                            'MT' => 'Mato Grosso',
                            'MS' => 'Mato Grosso do Sul',
                            'MG' => 'Minas Gerais',
                            'PA' => 'Par',
                            'PB' => 'Paraba',
                            'PR' => 'Paran',
                            'PE' => 'Pernambuco',
                            'PI' => 'Piau',
                            'RJ' => 'Rio de Janeiro',
                            'RN' => 'Rio Grande do Norte',
                            'RS' => 'Rio Grande do Sul',
                            'RO' => 'Rondnia',
                            'RR' => 'Rorima',
                            'SP' => 'So Paulo',
                            'SC' => 'Santa Catarina',
                            'SE' => 'Sergipe',
                            'TO' => 'Tocantis'
                        );
                        select_tela("Cont_Estado", "Cont_Estado", $_POST["Cont_Estado"], $vetor, 'onchange="comboEstado2(this.value);"', "");
                        ?>
                        <input type="hidden" name="Id_Estado" id="Id_Estado" value="<?php echo $_POST["Cont_Estado"]; ?>">
                    </div>
                    <div class="campo">
                        <label for="Cont_Cidade">Cidade</label>
                        <div id="divCidade2">
                            <?php
                            echo select_banco(
                                "Select Id,Titulo from cidade_ibge WHERE Uf='" . $_POST["Cont_Estado"] . "' order by Titulo",
                                "Cont_Cidade",
                                "Cont_Cidade",
                                $_POST["Cont_Cidade"],
                                '',
                                ""
                            );
                            ?>
                        </div>
                    </div>
                </fieldset>

                <fieldset class="grupo">
                    <legend>Laudo Tcnico</legend>
                    <div class="campo">
                        <label for="Obs_Laudo_Tecnico" key="Obs_Laudo_Tecnico" class="tr">Laudo Tcnico</label>
                        <textarea rows="3" cols="200" name="Obs_Laudo_Tecnico"
                            id="Obs_Laudo_Tecnico"><?php echo $_POST["Obs_Laudo_Tecnico"]; ?></textarea>
                    </div>
                </fieldset>

            <?php } ?>

            <?php
            if (!$_GET["status"]) {
                if ($_GET["acao"] == "alterar") { ?>
                    <button class="bt_cadastro tr" key="Salvar" type="submit" name="Alterar" value="Salvar"
                        id="btnSubmit">Salvar</button>
                <?php } else { ?>
                    <button class="bt_cadastro tr" key="Salvar" type="submit" name="Cadastrar" value="Salvar"
                        id="btnSubmit">Salvar</button>
            <?php }
            } ?>
            <button class="botao tr" key="Voltar" type="button" value="Voltar"
                onclick="location.href='list_unidade.php?acao=entrar'">Voltar</button>

        </fieldset>

    </form>

    <?php
    if ($_GET['id_unidade']) {
        $tabela_criacao = "unidade";
        $id_corrente = $_GET['id_unidade'];
        include "../include/script_criacao.php";
        /* ARQUIVO ONDE MOSTRA QUEM CRIOU E QUEM ATUALIZOU*/
    }
    ?>
    <div id="retorno"></div>
    <?php include "../include/rodape.php"; ?>