<?php
include_once '../include/conecta.php'; //Conecta com a nosso banco de dados MySQL
ini_set('session.gc_maxlifetime', 60 * 120);
session_start();
/* include_once '../include/ver_sessao.php'; //Verifica se a sesso est ativa */
include_once '../include/funcoesPhp.php';
include_once '../menu_movimento.php';

$pro_pdv = mysqli_query($con, "SELECT DISTINCT venda_produto.Id,
                            venda_produto.Id_Produto,
                            venda_produto.Preco,
                            venda_produto.Qtd,
                            venda_produto.Desconto,
                            venda_produto.Desconto_Real,
                            produto.Codigo,
                            produto.Titulo as 'Produto',
                            produto.Medida,                            
                            funcionario.Titulo as Vendedor
                            FROM venda_produto
                            LEFT JOIN (SELECT Id,Titulo,Codigo,Medida FROM produto) as produto ON produto.Id = venda_produto.Id_Produto
                            LEFT JOIN (SELECT Id,Titulo FROM funcionario) as funcionario ON funcionario.Id = venda_produto.Id_Funcionario
                            WHERE venda_produto.Id_Venda='" . $_GET["id_venda"] . "'
                            ORDER BY venda_produto.Data_Cadastro");

//ob_start();
?>
<html>
    <head>
        <title>Gw - Gesto Web</title>
        <style type="text/css">
            * {
                margin: 0px;
                padding: 0px;
            }
            body, table {
                font: 12px Arial, Arial, Helvetica, sans-serif;
                background-color: #fff;
            }
        </style>
        <script type="text/javascript" language="javascript" src="../js/jquery.js"></script>
<?php include '../include/script_cabeca.php'; ?>
        <script type="text/javascript" language="javascript" src="../js/script.js"></script>
        <script type="text/javascript" language="javascript" src="../js/meiomask/meiomask.js"></script>
        <script type="text/javascript" language="javascript" src="../js/meiomask/<?php if (PAIS == "USA") {
    echo "mascaras-usa";
} else {
    echo "mascaras";
} ?>.js"></script>
        <script type="text/javascript" language="javascript">
            window.onload = function () {
                //window.print();
            }
        </script>
    </head>
    <body>
        <table>
            <?php
            if (!$_GET["Id_Unidade_Usuario"]) {
                $_GET["Id_Unidade_Usuario"] = $_SESSION["Unidade"];
            }
            $empresa = listar("Select Titulo,Rua,Numero,Bairro,Cidade,Estado,Fone1,Fone2,Site,Cnpj from unidade where Id = '" . $_GET["Id_Unidade_Usuario"] . "' ");
            ?>
            <tr>
                <td align="left">
                    <?php echo strtoupper($empresa[0]["Titulo"]); ?><br>
                                        End: <?php echo $empresa[0]["Rua"] . ', ' . $empresa[0]["Numero"]; ?> <br>
                    <?php echo $empresa[0]["Bairro"]; ?> - <?php echo $empresa[0]["Cidade"]; ?> - <?php echo $empresa[0]["Estado"]; ?><br>
                                        Tel: <?php echo $empresa[0]["Fone1"]; ?> <br>
                    <?php echo $empresa[0]["Fone2"]; ?> <br>
                    CNPJ: <?php echo $empresa[0]["Cnpj"]; ?> <br>
                </td>
                <td align="left">&nbsp;</td>
            </tr>
            <tr>
                <td colspan="2">-----------------------------------------------</td>
            </tr>
            <tr>
                <td colspan="2" align="left">
                    <table>
                        <?php
                        if (CLIENTE_RAZAO_SOCIAL == 'Sim') {
                            $nome = 'Razao_Social';
                        } else {
                            $nome = 'Titulo';
                        }
                        $data_pdv = listar("Select venda.Lancamento,
                                                venda.Valor_Pago,
                                                venda.Obs,
                                                Desconto,
                                                Desconto_Real,
                                                venda.Data_Venda,
                                                tipo_pagamento.Titulo as Tipo_Pagamento,
                                                cliente.Titulo as Cliente,
                                                cliente.Fone1,
                                                cliente.Rua,
                                                cliente.Numero,
                                                cliente.Bairro,
                                                cliente.Cidade,
                                                cliente.Estado,
                                                cliente.Ponto_Referencia,
                                                funcionario.Titulo as Vendedor
                                                from venda
                                                LEFT JOIN (SELECT Id,Titulo FROM tipo_pagamento) as tipo_pagamento ON tipo_pagamento.Id = venda.Id_Tipo_Pagamento
                                                LEFT JOIN (SELECT Id,Titulo FROM funcionario) as funcionario ON funcionario.Id = venda.Id_Vendedor
                                                LEFT JOIN (SELECT Id,$nome as Titulo,Fone1,Rua,Numero,Bairro,Cidade,Estado,Ponto_Referencia FROM cliente) as cliente ON cliente.Id = venda.Id_Cliente
                                                where venda.Id = '" . $_GET["id_venda"] . "' ");
                        ?>
                        <tr>
                            <td align="left"><?php echo data_exibir($data_pdv[0]["Data_Venda"]) . " " . date("H:i:s"); ?></td>
                        </tr>
                        <tr>
                            <td align="left">Vendedor: <?php echo $data_pdv[0]["Vendedor"]; ?></td>
                        </tr>
                        <tr>
                            <td align="left"><b>COD. <?php echo sprintf("%06d", $data_pdv[0]["Lancamento"]); ?></b></td>
                        </tr>
                        <tr>
                            <td align="left"><b><?php echo $data_pdv[0]["Cliente"]; ?></b></td>
                        </tr>
                        <tr>
                            <td align="left"><?php echo $data_pdv[0]["Rua"] . ", " . $data_pdv[0]["Numero"]; ?></td>
                        </tr>
                        <tr>
                            <td align="left"><?php echo $data_pdv[0]["Bairro"] . " - " . $data_pdv[0]["Cidade"] . " - " . $data_pdv[0]["Estado"]; ?></td>
                        </tr>
                        <tr>
                            <td align="left"><?php echo $data_pdv[0]["Ponto_Referencia"]; ?></td>
                        </tr>
                        <tr>
                            <td align="left"><b><?php echo $data_pdv[0]["Fone1"]; ?></b></td>
                        </tr>
                    </table>
                </td>
            </tr>
            <tr>
                <td height="20" colspan="2">-----------------------------------------------</td>
            </tr>
            <tr>
                <td colspan="2">
                    <table class="razao">
                        <tr>
                            <td colspan="5">PRODUTOS</td>
                        </tr>
                        <tr>
                            <td height="5" colspan="5">-----------------------------------------------</td>
                        </tr>
                            <?php
                                $y = '0';
                                while ($chave = mysqli_fetch_assoc($pro_pdv)) {
                            ?>
                            <tr>
                                <td colspan="2"><?php echo $chave["Codigo"]; ?></td>
                                <td colspan="3"><?php echo SoPalavrasEspeciais(wordwrap($chave["Produto"], 30, "\n", 1)); ?></td>
                            </tr>
                            <tr>
                                <td><?php echo $chave["Qtd"]; ?></td>
                                <td><?php echo $chave["Medida"]; ?> x </td>
                                <td><?php echo number_format($chave["Preco"], 2, ",", "."); ?></td>
                                <td>(<?php echo number_format(( ($chave['Qtd'] * $chave['Preco']) * ($chave['Desconto'] / 100) ) + $chave['Desconto_Real'], 2, ",", "."); ?>) = </td>
                                <td><?php echo number_format(( ($chave['Qtd'] * $chave['Preco']) - ( ($chave['Qtd'] * $chave['Preco']) * ($chave['Desconto'] / 100) ) ) - $chave['Desconto_Real'], 2, ',', '.'); ?></td>
                            </tr>
                            <?php
                            $ValDesc += ( ($chave['Qtd'] * $chave['Preco']) * ($chave['Desconto'] / 100) ) + $chave['Desconto_Real'];
                            $ValItens += $chave['Qtd'] * $chave['Preco'];
                            $ValTotal += ( ($chave['Qtd'] * $chave['Preco']) - ( ($chave['Qtd'] * $chave['Preco']) * ($chave['Desconto'] / 100) ) ) - $chave['Desconto_Real'];
                            $y++;
                        }
                        ?>
                        <tr>
                            <td height="5" colspan="8">-----------------------------------------------</td>
                        </tr>
                        <tr>
                            <td colspan="3">Total <?php echo $y; ?></td>
                            <td colspan="2">Itens <?php echo number_format($ValItens, 2, ",", "."); ?></td>
                        </tr>
                        <tr>
                            <td colspan="3">Desc <?php echo number_format($ValDesc + $data_pdv[0]["Desconto_Real"], 2, ",", "."); ?></td>
                        <!--<td>Desc % <?php echo number_format(( ( $ValTotal - ( $ValTotal * (-$data_pdv[0]["Desconto"] / 100) ) - $ValTotal)), 2, ',', '.'); ?></td>-->
                            <td>Desc % <?php echo number_format($data_pdv[0]["Desconto"], 2, ',', '.'); ?></td>
                        </tr>
                        <tr>
                            <td>A Pagar <?php echo number_format(( ( $ValTotal - ( $ValTotal * ($data_pdv[0]["Desconto"] / 100) ) ) - $data_pdv[0]["Desconto_Real"]), 2, ',', '.'); ?></td>
                        </tr>
                        <tr>
                            <td height="5" colspan="8">-----------------------------------------------</td>
                        </tr>
                    </table>
                </td>
            </tr>
            <tr>
                <td height="30" colspan="2">
                    <?php
                    $venda_parcela = listar("Select venda.Id,
                                conta_receber.Lancamento,
                                conta_receber.Data_Vencimento,
                                conta_receber.Valor_Original, 
                                tipo_pagamento.Titulo as 'Tipo_Pagamento'
                                from venda
                                left join (SELECT Id,Lancamento,Data_Vencimento,Valor_Original,Id_Externo,Id_Tipo_Pagamento FROM conta_receber) as conta_receber ON conta_receber.Id_Externo = venda.Id
                                left join (SELECT Id,Titulo FROM tipo_pagamento) as tipo_pagamento ON tipo_pagamento.Id = conta_receber.Id_Tipo_Pagamento
                                where venda.Id = '" . $_GET["id_venda"] . "' 					
                                order by conta_receber.Data_Vencimento");


                    if (($venda[0]["Status"] == 'Finalizado') || ($venda[0]["Status"] == 'Fatura')) {
                        ?>
                        <table class="razao">
                            <tr>
                                <td colspan="4"><i>Parcelas</i></td>
                            </tr>
                            <tr class="azul-claro">
                                <td>N</td>
                                <td>Vencimento</td>
                                <td>Valor</td>
                                <td>Tipo</td>
                            </tr>
    <?php
    $x = 1;
    foreach ($venda_parcela as $chave) {
        ?>
                                <tr>
                                    <td><?php echo $x; ?></td>
                                    <td><?php echo data_exibir($chave["Data_Vencimento"]) ?></td>
                                    <td><?php echo number_format($chave["Valor_Original"], 2, ',', '.') ?></td>
                                    <td><?php echo $chave["Tipo_Pagamento"] ?></td>
                                </tr>
        <?php
        $x++;
    }
}
?>
                    </table>
                </td>
            </tr>
            <tr>
                <td height="20" colspan="2">--------------------------------------------------------------------------------<br></td>
            </tr>
            <tr>
                <td colspan="2" align="left" class="razao">
                    <?php
                    if ($data_pdv[0]["Obs"] != '') {
                        echo substr('OBS: ' . ($data_pdv[0]["Obs"]), 0, 50);
                        echo "<br/>";
                        echo substr(($data_pdv[0]["Obs"]), 45, 100);
                        echo "<br>--------------------------------------------------------------------------------";
                    }
                    if (CLIENTE_EMAIL == 'casanetoconstrucao') {
                        //echo "<BR>Obs: PRAZO PARA TROCA 3 DIAS;<BR>";
                        echo "Obs: NAO ACEITAMOS DEVOLUCOES;<BR>";
                        echo "CONFIRA O PRODUTO NO ATO DA ENTREGA;<BR>";
                        echo "NAO ACEITAMOS RECLAMACOES POSTERIORES;<BR>";
                    }
                    ?>
                </td>
            </tr>
            <tr>
                <td colspan="2" align="left" class="razao">
                    <br>Documento Sem valor Fiscal.
                </td>
            </tr>
        </table>

        <br>
    </body>
</html>