<?php
include_once '../include/conecta.php'; //Conecta com a nosso banco de dados MySQL
ini_set('session.gc_maxlifetime', 60 * 120);session_start();
/*include_once '../include/ver_sessao.php'; //Verifica se a sesso est ativa*/
include_once '../include/funcoesPhp.php';

$pro_pdv = mysqli_query($con, "SELECT DISTINCT venda_produto.Id,
                            venda_produto.Id_Produto,
                            venda_produto.Preco,
                            venda_produto.Qtd,
                            venda_produto.Desconto_Real,
                            produto.Codigo,
                            produto.Titulo as 'Produto',
                            produto.Medida,
                            funcionario.Titulo as Vendedor
                            FROM venda_produto
                            LEFT JOIN (SELECT Id,Titulo,Codigo,Medida FROM produto) as produto ON produto.Id = venda_produto.Id_Produto
                            LEFT JOIN (SELECT Id,Titulo FROM funcionario) as funcionario ON funcionario.Id = venda_produto.Id_Funcionario
                            WHERE venda_produto.Id_Venda='" . $_GET["id_venda"] . "'
                            ORDER BY venda_produto.Data_Cadastro");

//ob_start();
?>
<html>
<head>
    <style type="text/css">
        * {
            margin: 0px;
            padding: 0px;
        }

        table {
            font: 12px Arial, Arial, Helvetica, sans-serif;
            background-color: #fff;
        }
    </style>
    <script type="text/javascript" language="javascript" src="../js/jquery.js"></script>
    <?php include '../include/script_cabeca.php'; ?>
    <script type="text/javascript" language="javascript" src="../js/script.js"></script>
    <script type="text/javascript" language="javascript">
        //window.onload = function(){
        //window.print();
        //}
    </script>
</head>
<body>
    <table>
        <tr>
            <td width="100%">
                <table width="90%" align="center">
                    <?php
                    if (!$_GET["Unidade"]) {
                        $_GET["Unidade"] = $_SESSION["Unidade"];
                    }

                    $empresa = listar("SELECT Logo,Titulo,Cnpj,Rua,Numero,Complemento,
                                Bairro,Cidade,Estado,Cep,Fone1,Fone2,Email,Site
                                from unidade where Id = '" . $_GET["Unidade"] . "' ");
                    ?>
                    <tr>
                        <td width="40%">
                            <?php
                            if (file_exists("../unidade/foto/" . $empresa[0]["Logo"] . "")) {
                                $cam_arq = "../unidade/foto/" . $empresa[0]["Logo"];
                            } else {
                                $cam_arq = "../../unidade/foto/" . $empresa[0]["Logo"];
                            }
                            ?>
                            <img src="<?php echo $cam_arq; ?>" title="Logo" alt="Logo" border="0" width="140px" height="auto" />
                        </td>
                        <td width="60%" class="razao">
                            <b>
                                <font face="verdana" size="3">
                                    <?php echo $empresa[0]["Titulo"]; ?>
                                </font>
                            </b><br>
                            Fone: <?php echo $empresa[0]["Fone1"]; ?>
                            <br>
                        </td>
                    </tr>
                </table>
            </td>
        </tr>
        <tr>
            <td>-----------------------------------------------<br></td>
        </tr>
        <tr>
            <td>
                *** Romaneio - Via do Caixa ***<br>
            </td>
        </tr>
        <tr>
            <td>-----------------------------------------------<br></td>
        </tr>
        <tr>
            <td>

                <table>
                    <?php
                    $data_pdv = listar("SELECT venda.Lancamento,
                                        venda.Valor_Pago,
                                        venda.Obs,
                                        venda.Hora_Venda,
                                        venda.Data_Venda,
                                        tipo_pagamento.Titulo as Tipo_Pagamento,
                                        cliente.Titulo as Cliente
                                        from venda
                                        LEFT JOIN (SELECT Id,Titulo FROM tipo_pagamento) as tipo_pagamento ON tipo_pagamento.Id = venda.Id_Tipo_Pagamento
                                        LEFT JOIN (SELECT Id,Titulo FROM cliente) as cliente ON cliente.Id = venda.Id_Cliente
                                        where venda.Id = '" . $_GET["id_venda"] . "' ");
                    ?>
                    <tr>
                        <td colspan="2">Cliente: <?php echo $data_pdv[0]["Cliente"]; ?></td>
                    </tr>
                    <tr>
                        <td colspan="2">Data:
                            <?php echo data_exibir($data_pdv[0]["Data_Venda"]) . " " . $data_pdv[0]["Hora_Venda"] . ":00"; ?>
                        </td>
                    </tr>
                    <tr>
                        <td colspan="2"><b>Pedido: <?php echo sprintf("%06d", $data_pdv[0]["Lancamento"]); ?></b></td>
                    </tr>
                </table>

            </td>
        </tr>
        <tr>
            <td>-----------------------------------------------</td>
        </tr>
        <tr>
            <td>

                <table>
                    <?php
                    $data_pdv = listar("SELECT venda_produto.Qtd
                                        from venda_produto
                                        WHERE Id_Venda = '" . $_GET["id_venda"] . "'
                                        AND Id_Produto='24aac4949bf2bd4b67caf322d7d1a50f' ");

                    $data_pdv2 = listar("SELECT venda_produto.Qtd
                                        from venda_produto
                                        WHERE Id_Venda = '" . $_GET["id_venda"] . "'
                                        AND Id_Produto='20b347ff7e432083f9a02fcb65fe8f13' ");
                    ?>
                    <tr>
                        <td colspan="2"><b>Detalhamento Romaneio Atual</b></td>
                    </tr>
                    <tr>
                        <td>Declarados:</td>
                        <td><?php echo $data_pdv[0]["Qtd"]; ?></td>
                    </tr>
                    <tr>
                        <td>Conferidos:</td>
                        <td><?php echo $data_pdv2[0]["Qtd"]; ?></td>
                    </tr>
                </table>

            </td>
        </tr>
        <tr>
            <td>-----------------------------------------------</td>
        </tr>
        <tr>
            <td>

                <table>
                    <?php
                    $detalhamento = mysqli_query($con, "SELECT venda_produto.Qtd,
                                        venda_produto.Sf,
                                        venda_produto.Id_Produto,
                                        produto.Titulo
                                        FROM venda_produto
                                        INNER join (SELECT Id,Titulo FROM produto WHERE Tipo_Produto='S' AND Ativo='Sim') as produto ON produto.Id = venda_produto.Id_Produto
                                        WHERE Id_Venda = '" . $_GET["id_venda"] . "'
                                        AND
                                        (produto.Id='b6a70886979f5fd6af59c09fd5d5592e' OR
                                        produto.Id='3b8dd5fed49ef07419ffee19dbd07a76' OR
                                        produto.Id='c37a139e6e3ca64a5134ac99ee360ace' OR
                                        produto.Id='5819b3932b53a7845d3386b4b8103019' OR
                                        produto.Id='5819b3932b53a7845d3386b4b8103018' OR
                                        produto.Id='f5dbcbeefe801a669d560f0bd303b6b6' OR
                                        produto.Id='4116698d30dfced3d12ec0e310aab339' OR
                                        produto.Id='2a13144816f1eb7693e42b577a7a519c' OR
                                        produto.Id='1c6224f96e7189c63ba2593afd14f6ee' )
                                        ORDER BY venda_produto.Data_Cadastro ");

                    ?>
                    <tr>
                        <td colspan="2"><b>Detalhamento Romaneio Finalizado</b></td>
                    </tr>
                    <?php
                    $qtd_cortesia = '';
                    while ($chave = mysqli_fetch_assoc($detalhamento)) {
                        if ($chave["Sf"] == 0) {
                            $chave["Sf"] = $chave["Qtd"];
                        }

                        if (
                            $chave["Id_Produto"] == 'b6a70886979f5fd6af59c09fd5d5592e' || $chave["Id_Produto"] == '3b8dd5fed49ef07419ffee19dbd07a76' ||
                            $chave["Id_Produto"] == 'c37a139e6e3ca64a5134ac99ee360ace' //|| $chave["Id_Produto"] == '5819b3932b53a7845d3386b4b8103019'
                        ) {
                            $qtd_cortesia += $chave["Sf"] * MULTIPLO_AGUA;
                            $n_cortesia = $chave["Sf"] * MULTIPLO_AGUA;
                        } elseif ($chave["Id_Produto"] == 'f5dbcbeefe801a669d560f0bd303b6b6' || $chave["Id_Produto"] == '4116698d30dfced3d12ec0e310aab339') {
                            //$qtd_cortesia += $chave["Sf"];
                            $n_cortesia = $chave["Sf"];
                        } else {
                            $qtd_cortesia += $chave["Sf"];
                            $n_cortesia = $chave["Sf"];
                        }
                    ?>
                        <tr>
                            <td><?php echo $chave["Titulo"]; ?></td>
                            <td><?php echo $chave["Sf"]; ?></td>
                            <td>( <?php echo $n_cortesia; ?> )</td>
                        </tr>
                    <?php } ?>
                </table>

            </td>
        </tr>
        <tr>
            <td>-----------------------------------------------<br></td>
        </tr>
        <tr>
            <td>

                <table>
                    <?php
                    $data_pdv3 = listar("SELECT Qtd,Qtd_Faturado
                                    from venda_produto
                                    WHERE Id_Venda = '" . $_GET["id_venda"] . "'
                                    AND Id_Produto='14d37a67c8064f6866246bddad8aadd7' ");
                    ?>
                    <tr>
                        <td colspan="2"><b>Detalhamento Pr-Nota</b></td>
                    </tr>
                    <tr>
                        <td>Envasadas:</td>
                        <td><?php echo $data_pdv3[0]["Qtd_Faturado"]; ?></td>
                    </tr>
                    <tr>
                        <td>Cortesias:</td>
                        <td><?php echo $qtd_cortesia; ?></td>
                    </tr>
                    <tr>
                        <td>Faturadas:</td>
                        <td><?php echo $data_pdv3[0]["Qtd"]; ?></td>
                    </tr>
                </table>

            </td>
        </tr>
        <tr>
            <td>-----------------------------------------------<br></td>
        </tr>
        <tr>
            <td>-----------------------------------------------<br></td>
        </tr>
        <tr>
            <td>

                <table>
                    <?php
                    $detalhamento_fat = mysqli_query($con, "SELECT venda_produto.Qtd,
                                        venda_produto.Preco,
                                        venda_produto.Desconto,
                                        produto.Titulo
                                        FROM venda_produto
                                        INNER join (SELECT Id,Titulo FROM produto WHERE Tipo_Produto='P') as produto ON produto.Id = venda_produto.Id_Produto
                                        WHERE Id_Venda = '" . $_GET["id_venda"] . "'AND Id_Produto != '6dd9a15627fb6937e68a1d4a0652685a' ");
                    ?>
                    <tr>
                        <td colspan="2"><b>Detalhamento Pr-Nota</b></td>
                    </tr>
                    <tr>
                        <td>Envasadas:</td>
                        <td><?php echo $data_pdv3[0]["Qtd_Faturado"]; ?></td>
                    </tr>
                    <tr>
                        <td>Cortesias:</td>
                        <td><?php echo $qtd_cortesia; ?></td>
                    </tr>
                    <tr>
                        <td>Faturadas:</td>
                        <td><?php echo $data_pdv3[0]["Qtd"]; ?></td>
                    </tr>
                    <?php
                    $val_total = '';
                    while ($chave = mysqli_fetch_assoc($detalhamento_fat)) {
                        $valorItem = $chave["Preco"]  -  ($chave["Desconto"] / 100 * $chave["Preco"]);

                    ?>
                        <tr>
                            <td><?php echo $chave["Titulo"]; ?></td>
                            <td><?php echo valor_exibir($valorItem); ?></td>
                            <td>(<?php echo $chave["Qtd"]; ?>)</td>
                        </tr>
                    <?php
                        $val_total += $chave["Qtd"] * $chave["Preco"] - ($chave["Desconto"] / 100 * $chave["Qtd"] * $chave["Preco"]);
                    }
                    ?>
                    <tr>
                        <td>Valor Total</td>
                        <td><?php echo valor_exibir($val_total); ?></td>
                    </tr>
                </table>

            </td>
        </tr>
        <tr>
            <td>-----------------------------------------------<br></td>
        </tr>
        <tr>
            <td><b>Documento Sem Valor Fiscal</b><br><br><br><br><br><br></td>
        </tr>
        <tr>
            <td>-----------------------------------------------<br></td>
        </tr>
        <tr>
            <td>Assinatura do Cliente<br></td>
        </tr>
        <tr>
            <td>-----------------------------------------------<br></td>
        </tr>
        <tr>
            <td>Romaneio Pago<br></td>
        </tr>
        <tr>
            <td>-----------------------------------------------</td>
        </tr>
    </table>

    <div style='page-break-before:always;'></div>

    <table>
        <tr>
            <td width="100%">
                <table width="90%" align="center">
                    <?php
                    if (!$_GET["Unidade"]) {
                        $_GET["Unidade"] = $_SESSION["Unidade"];
                    }

                    $empresa = listar("SELECT Logo,Titulo,Cnpj,Rua,Numero,Complemento,
                                Bairro,Cidade,Estado,Cep,Fone1,Fone2,Email,Site
                                from unidade where Id = '" . $_GET["Unidade"] . "' ");
                    ?>
                    <tr>
                        <td width="40%">
                            <?php
                            if (file_exists("../unidade/foto/" . $empresa[0]["Logo"] . "")) {
                                $cam_arq = "../unidade/foto/" . $empresa[0]["Logo"];
                            } else {
                                $cam_arq = "../../unidade/foto/" . $empresa[0]["Logo"];
                            }
                            ?>
                            <img src="<?php echo $cam_arq; ?>" title="Logo" alt="Logo" border="0" width="140px" height="auto" />
                        </td>
                        <td width="60%" class="razao">
                            <b>
                                <font face="verdana" size="3">
                                    <?php echo $empresa[0]["Titulo"]; ?>
                                </font>
                            </b><br>
                            Fone: <?php echo $empresa[0]["Fone1"]; ?>
                            <br>
                        </td>
                    </tr>
                </table>
            </td>
        </tr>


        <tr>
            <td>-----------------------------------------------<br></td>
        </tr>
        <tr>
            <td>
                *** Romaneio - Via do Cliente *** <br>
            </td>
        </tr>
        <tr>
            <td>-----------------------------------------------</td>
        </tr>
        <tr>
            <td>
                <table>
                    <?php
                    $data_pdv = listar("SELECT venda.Lancamento,
                                        venda.Valor_Pago,
                                        venda.Obs,
                                        venda.Hora_Venda,
                                        venda.Data_Venda,
                                        tipo_pagamento.Titulo as Tipo_Pagamento,
                                        cliente.Titulo as Cliente
                                        from venda
                                        LEFT JOIN (SELECT Id,Titulo FROM tipo_pagamento) as tipo_pagamento ON tipo_pagamento.Id = venda.Id_Tipo_Pagamento
                                        LEFT JOIN (SELECT Id,Titulo FROM cliente) as cliente ON cliente.Id = venda.Id_Cliente
                                        where venda.Id = '" . $_GET["id_venda"] . "' ");
                    ?>
                    <tr>
                        <td colspan="2">Cliente: <?php echo $data_pdv[0]["Cliente"]; ?></td>
                    </tr>
                    <tr>
                        <td colspan="2">Data:
                            <?php echo data_exibir($data_pdv[0]["Data_Venda"]) . " " . $data_pdv[0]["Hora_Venda"] . ":00"; ?>
                        </td>
                    </tr>
                    <tr>
                        <td colspan="2"><b>Pedido: <?php echo sprintf("%06d", $data_pdv[0]["Lancamento"]); ?></b></td>
                    </tr>
                </table>
            </td>
        </tr>
        <tr>
            <td>-----------------------------------------------</td>
        </tr>
        <tr>
            <td>
                <table>
                    <?php
                    $data_pdv = listar("SELECT venda_produto.Qtd
                                        from venda_produto
                                        WHERE Id_Venda = '" . $_GET["id_venda"] . "'
                                        AND Id_Produto='24aac4949bf2bd4b67caf322d7d1a50f' ");

                    $data_pdv2 = listar("SELECT venda_produto.Qtd
                                        from venda_produto
                                        WHERE Id_Venda = '" . $_GET["id_venda"] . "'
                                        AND Id_Produto='20b347ff7e432083f9a02fcb65fe8f13' ");
                    ?>
                    <tr>
                        <td colspan="2"><b>Detalhamento Romaneio Atual</b></td>
                    </tr>
                    <tr>
                        <td>Declarados:</td>
                        <td><?php echo $data_pdv[0]["Qtd"]; ?></td>
                    </tr>
                    <tr>
                        <td>Conferidos:</td>
                        <td><?php echo $data_pdv2[0]["Qtd"]; ?></td>
                    </tr>
                </table>
            </td>
        </tr>
        <tr>
            <td>-----------------------------------------------<br></td>
        </tr>
        <tr>
            <td>
                <table>
                    <?php
                    $detalhamento = mysqli_query($con, "SELECT venda_produto.Qtd,
                                        venda_produto.Sf,
                                        venda_produto.Id_Produto,
                                        produto.Titulo
                                        FROM venda_produto
                                        INNER join (SELECT Id,Titulo FROM produto WHERE Tipo_Produto='S' AND Ativo='Sim') as produto ON produto.Id = venda_produto.Id_Produto
                                        WHERE Id_Venda = '" . $_GET["id_venda"] . "'
                                        AND
                                        (produto.Id='b6a70886979f5fd6af59c09fd5d5592e' OR
                                        produto.Id='3b8dd5fed49ef07419ffee19dbd07a76' OR
                                        produto.Id='c37a139e6e3ca64a5134ac99ee360ace' OR
                                        produto.Id='5819b3932b53a7845d3386b4b8103019' OR
                                        produto.Id='5819b3932b53a7845d3386b4b8103018' OR
                                        produto.Id='f5dbcbeefe801a669d560f0bd303b6b6' OR
                                        produto.Id='4116698d30dfced3d12ec0e310aab339' OR
                                        produto.Id='2a13144816f1eb7693e42b577a7a519c' OR
                                        produto.Id='1c6224f96e7189c63ba2593afd14f6ee' )
                                        ORDER BY venda_produto.Data_Cadastro ");

                    ?>
                    <tr>
                        <td colspan="2"><b>Detalhamento Romaneio Finalizado</b><br></td>
                    </tr>
                    <?php
                    $qtd_cortesia = '';
                    while ($chave = mysqli_fetch_assoc($detalhamento)) {
                        if ($chave["Sf"] == 0) {
                            $chave["Sf"] = $chave["Qtd"];
                        }

                        if (
                            $chave["Id_Produto"] == 'b6a70886979f5fd6af59c09fd5d5592e' || $chave["Id_Produto"] == '3b8dd5fed49ef07419ffee19dbd07a76' ||
                            $chave["Id_Produto"] == 'c37a139e6e3ca64a5134ac99ee360ace' //|| $chave["Id_Produto"] == '5819b3932b53a7845d3386b4b8103019'
                        ) {
                            $qtd_cortesia += $chave["Sf"] * MULTIPLO_AGUA;
                            $n_cortesia = $chave["Sf"] * MULTIPLO_AGUA;
                        } elseif ($chave["Id_Produto"] == 'f5dbcbeefe801a669d560f0bd303b6b6' || $chave["Id_Produto"] == '4116698d30dfced3d12ec0e310aab339') {
                            //$qtd_cortesia += $chave["Sf"];
                            $n_cortesia = $chave["Sf"];
                        } else {
                            $qtd_cortesia += $chave["Sf"];
                            $n_cortesia = $chave["Sf"];
                        }
                    ?>
                        <tr>
                            <td><?php echo $chave["Titulo"]; ?></td>
                            <td><?php echo $chave["Sf"]; ?></td>
                            <td>( <?php echo $n_cortesia; ?> )</td>
                        </tr>
                    <?php } ?>
                </table>
            </td>
        </tr>
        <tr>
            <td>-----------------------------------------------</td>
        </tr>
        <tr>
            <td>
                <table>
                    <?php
                    $data_pdv3 = listar("SELECT Qtd,Qtd_Faturado
                                    from venda_produto
                                    WHERE Id_Venda = '" . $_GET["id_venda"] . "'
                                    AND Id_Produto='14d37a67c8064f6866246bddad8aadd7' ");
                    ?>
                    <tr>
                        <td colspan="2"><b>Detalhamento Pr-Nota</b></td>
                    </tr>
                    <tr>
                        <td>Envasadas:</td>
                        <td><?php echo $data_pdv3[0]["Qtd_Faturado"]; ?></td>
                    </tr>
                    <tr>
                        <td>Cortesias:</td>
                        <td><?php echo $qtd_cortesia; ?></td>
                    </tr>
                    <tr>
                        <td>Faturadas:</td>
                        <td><?php echo $data_pdv3[0]["Qtd"]; ?></td>
                    </tr>
                </table>
            </td>
        </tr>
        <!-- <tr>
            <td>-----------------------------------------------<br></td>
        </tr>
        <tr>
            <td>-----------------------------------------------<br></td>
        </tr> -->
        <tr>
            <td>
                <table>
                    <?php
                    $detalhamento_fat = mysqli_query($con, "SELECT venda_produto.Id_Produto,venda_produto.Qtd,venda_produto.Preco,produto.Titulo
                                        FROM venda_produto
                                        INNER join (SELECT Id,Titulo FROM produto WHERE Tipo_Produto='P') as produto ON produto.Id = venda_produto.Id_Produto
                                        WHERE Id_Venda = '" . $_GET["id_venda"] . "'
                                        AND venda_produto.Id_Unidade != 'KIT' ");
                    ?>
                    <tr>
                        <td colspan="2"><b>Detalhamento Pr-Nota</b></td>
                    </tr>
                    <tr>
                        <td>Envasadas:</td>
                        <td><?php echo $data_pdv3[0]["Qtd_Faturado"]; ?></td>
                    </tr>
                    <tr>
                        <td>Cortesias:</td>
                        <td><?php echo $qtd_cortesia; ?></td>
                    </tr>
                    <tr>
                        <td>Faturadas:</td>
                        <td><?php echo $data_pdv3[0]["Qtd"]; ?></td>
                    </tr>
                    <?php
                    $val_total = '';
                    while ($chave = mysqli_fetch_assoc($detalhamento_fat)) { ?>
                        <tr>
                        <?php if ($chave["Id_Produto"] == '26a259a2c8fa130138109d53a9386d2f') { ?>
                            <td><?= CLIENTE_EMAIL=='terrasanta' ? 'GARRAFO TERRA SANTA 20L(V)' : 'VENDA GARRAFO 20L' ; ?></td>
                        <?php } elseif ($chave["Id_Produto"] == 'ab6e582ce3892683b08dfb278e659006') { ?>
                            <td><?= CLIENTE_EMAIL=='terrasanta' ? 'GARRAFO TERRA SANTA 20L(V PET)' : 'VENDA GARRAFO PET 20L' ; ?></td>
                        <?php } else if ($chave["Id_Produto"] == '9e4fab3331b6001980c8015dfbda1b62') { ?>
                            <td><?= CLIENTE_EMAIL=='terrasanta' ? 'GARRAFO TERRA SANTA 20L(T PET)' : 'TROCA GARRAFO PET 20L' ; ?></td>
                        <?php } else if ($chave["Id_Produto"] == '3b912d9bf4223ff152d122765d7ce698') { ?>
                            <td><?= CLIENTE_EMAIL=='terrasanta' ? 'TROCA 1 CARCAA 10LT' : 'TROCA GARRAFO PET 20L' ; ?></td>
                        <?php } else if ($chave["Id_Produto"] == 'c12400a9989d135d06767fe881fdf5ec') { ?>
                            <td><?= CLIENTE_EMAIL=='terrasanta' ? 'TROCA 4 CARCAAS' : 'TROCA GARRAFO PET 20L' ; ?></td>
                        <?php } elseif ($chave["Id_Produto"] == '4908b9f262b788b4251208ef1b5b2df0') { ?>
                            <td><?= CLIENTE_EMAIL=='terrasanta' ? 'GARRAFO TERRA SANTA 20L(T PET)' : 'TROCA GARRAFO PET 20L' ; ?></td>
                        <?php } elseif ($chave["Id_Produto"] == 'f0899805af266d0f96261ba32d13110d') { ?>
                            <td><?= CLIENTE_EMAIL=='terrasanta' ? 'GARRAFO TERRA SANTA 20L(T)' : 'TROCA GARRAFO 20L' ; ?></td>
                        <?php } else if ($chave["Id_Produto"] == '06aad38f892a2f4c9ffad3c2168300c0') { ?>
                            <td><?= CLIENTE_EMAIL=='terrasanta' ? 'GARRAFO TERRA SANTA 20L(T)' : 'TROCA GARRAFO 20L' ; ?></td>
                            <?php } else { ?>
                                <td><?php echo $chave["Titulo"]; ?></td>
                            <?php } ?>
                            <td><?php echo $chave["Qtd"]; ?></td>
                        </tr>
                    <?php
                        $val_total += $chave["Qtd"] * $chave["Preco"];
                    }
                    ?>
                    <!-- <tr>
                        <td>Valor Total</td>
                        <td><?php echo valor_exibir($val_total); ?></td>
                    </tr> -->
                </table>
            </td>
        </tr>
        <tr>
            <td>-----------------------------------------------<br></td>
        </tr>
        <tr>
            <td><b>Documento Sem Valor Fiscal</b><br><br><br><br><br><br></td>
        </tr>
        <tr>
            <td>-----------------------------------------------<br></td>
        </tr>
        <tr>
            <td>Assinatura do Cliente<br></td>
        </tr>
        <tr>
            <td>-----------------------------------------------<br></td>
        </tr>
        <tr>
            <td>Romaneio Pago<br></td>
        </tr>
        <tr>
            <td>-----------------------------------------------</td>
        </tr>
    </table>

    <div style='page-break-before:always;'></div>

    <table>
        <tr>
            <td width="100%">
                <table width="90%" align="center">
                    <?php
                    if (!$_GET["Unidade"]) {
                        $_GET["Unidade"] = $_SESSION["Unidade"];
                    }

                    $empresa = listar("SELECT Logo,Titulo,Cnpj,Rua,Numero,Complemento,
                                Bairro,Cidade,Estado,Cep,Fone1,Fone2,Email,Site
                                from unidade where Id = '" . $_GET["Unidade"] . "' ");
                    ?>
                    <tr>
                        <td width="40%">
                            <?php
                            if (file_exists("../unidade/foto/" . $empresa[0]["Logo"] . "")) {
                                $cam_arq = "../unidade/foto/" . $empresa[0]["Logo"];
                            } else {
                                $cam_arq = "../../unidade/foto/" . $empresa[0]["Logo"];
                            }
                            ?>
                            <img src="<?php echo $cam_arq; ?>" title="Logo" alt="Logo" border="0" width="140px" height="auto" />
                        </td>
                        <td width="60%" class="razao">
                            <b>
                                <font face="verdana" size="3">
                                    <?php echo $empresa[0]["Titulo"]; ?>
                                </font>
                            </b><br>
                            Fone: <?php echo $empresa[0]["Fone1"]; ?>
                            <br>
                        </td>
                    </tr>
                </table>
            </td>
        </tr>
        
        <tr>
            <td>-----------------------------------------------</td>
        </tr>
        <tr>
            <td>
                *** Romaneio - Via da Portaria ***
            </td>
        </tr>
        <tr>
            <td>-----------------------------------------------</td>
        </tr>
        <tr>
            <td>
                <table>
                    <?php
                    $data_pdv = listar("SELECT venda.Lancamento,
                                        venda.Valor_Pago,
                                        venda.Obs,
                                        venda.Hora_Venda,
                                        venda.Data_Venda,
                                        tipo_pagamento.Titulo as Tipo_Pagamento,
                                        cliente.Titulo as Cliente
                                        from venda
                                        LEFT JOIN (SELECT Id,Titulo FROM tipo_pagamento) as tipo_pagamento ON tipo_pagamento.Id = venda.Id_Tipo_Pagamento
                                        LEFT JOIN (SELECT Id,Titulo FROM cliente) as cliente ON cliente.Id = venda.Id_Cliente
                                        where venda.Id = '" . $_GET["id_venda"] . "' ");
                    ?>
                    <tr>
                        <td colspan="2">Cliente: <?php echo $data_pdv[0]["Cliente"]; ?></td>
                    </tr>
                    <tr>
                        <td colspan="2">Data:
                            <?php echo data_exibir($data_pdv[0]["Data_Venda"]) . " " . $data_pdv[0]["Hora_Venda"] . ":00"; ?>
                        </td>
                    </tr>
                    <tr>
                        <td colspan="2"><b>Pedido: <?php echo sprintf("%06d", $data_pdv[0]["Lancamento"]); ?></b></td>
                    </tr>
                </table>
            </td>
        </tr>
        <tr>
            <td>-----------------------------------------------</td>
        </tr>
        <tr>
            <td>
                <table>
                    <?php
                    $data_pdv = listar("SELECT venda_produto.Qtd
                                        from venda_produto
                                        WHERE Id_Venda = '" . $_GET["id_venda"] . "'
                                        AND Id_Produto='24aac4949bf2bd4b67caf322d7d1a50f' ");

                    $data_pdv2 = listar("SELECT venda_produto.Qtd
                                        from venda_produto
                                        WHERE Id_Venda = '" . $_GET["id_venda"] . "'
                                        AND Id_Produto='20b347ff7e432083f9a02fcb65fe8f13' ");
                    ?>
                    <tr>
                        <td colspan="2"><b>Detalhamento Romaneio Atual</b></td>
                    </tr>
                    <tr>
                        <td>Declarados:</td>
                        <td><?php echo $data_pdv[0]["Qtd"]; ?></td>
                    </tr>
                    <tr>
                        <td>Conferidos:</td>
                        <td><?php echo $data_pdv2[0]["Qtd"]; ?></td>
                    </tr>
                </table>
            </td>
        </tr>
        <tr>
            <td>-----------------------------------------------</td>
        </tr>
        <tr>
            <td>
                <table>
                    <?php
                    $detalhamento = mysqli_query($con, "SELECT venda_produto.Qtd,
                                        venda_produto.Sf,
                                        venda_produto.Id_Produto,
                                        produto.Titulo
                                        FROM venda_produto
                                        INNER join (SELECT Id,Titulo FROM produto WHERE Tipo_Produto='S' AND Ativo='Sim') as produto ON produto.Id = venda_produto.Id_Produto
                                        WHERE Id_Venda = '" . $_GET["id_venda"] . "'
                                        AND
                                        (produto.Id='b6a70886979f5fd6af59c09fd5d5592e' OR
                                        produto.Id='3b8dd5fed49ef07419ffee19dbd07a76' OR
                                        produto.Id='c37a139e6e3ca64a5134ac99ee360ace' OR
                                        produto.Id='5819b3932b53a7845d3386b4b8103019' OR
                                        produto.Id='5819b3932b53a7845d3386b4b8103018' OR
                                        produto.Id='f5dbcbeefe801a669d560f0bd303b6b6' OR
                                        produto.Id='4116698d30dfced3d12ec0e310aab339' OR
                                        produto.Id='2a13144816f1eb7693e42b577a7a519c' OR
                                        produto.Id='1c6224f96e7189c63ba2593afd14f6ee' )
                                        ORDER BY venda_produto.Data_Cadastro ");

                    ?>
                    <tr>
                        <td colspan="2"><b>Detalhamento Romaneio Finalizado</b></td>
                    </tr>
                    <?php
                    $qtd_cortesia = '';
                    while ($chave = mysqli_fetch_assoc($detalhamento)) {
                        if ($chave["Sf"] == 0) {
                            $chave["Sf"] = $chave["Qtd"];
                        }

                        if (
                            $chave["Id_Produto"] == 'b6a70886979f5fd6af59c09fd5d5592e' || $chave["Id_Produto"] == '3b8dd5fed49ef07419ffee19dbd07a76' ||
                            $chave["Id_Produto"] == 'c37a139e6e3ca64a5134ac99ee360ace' //|| $chave["Id_Produto"] == '5819b3932b53a7845d3386b4b8103019'
                        ) {
                            $qtd_cortesia += $chave["Sf"] * MULTIPLO_AGUA;
                            $n_cortesia = $chave["Sf"] * MULTIPLO_AGUA;
                        } elseif ($chave["Id_Produto"] == 'f5dbcbeefe801a669d560f0bd303b6b6' || $chave["Id_Produto"] == '4116698d30dfced3d12ec0e310aab339') {
                            //$qtd_cortesia += $chave["Sf"];
                            $n_cortesia = $chave["Sf"];
                        } else {
                            $qtd_cortesia += $chave["Sf"];
                            $n_cortesia = $chave["Sf"];
                        }
                    ?>
                        <tr>
                            <td><?php echo $chave["Titulo"]; ?></td>
                            <td><?php echo $chave["Sf"]; ?></td>
                            <td>( <?php echo $n_cortesia; ?> )</td>
                        </tr>
                    <?php } ?>
                </table>
            </td>
        </tr>
        <tr>
            <td>-----------------------------------------------</td>
        </tr>
        <tr>
            <td>
                <table>
                    <?php
                    $data_pdv3 = listar("SELECT Qtd,Qtd_Faturado
                                    from venda_produto
                                    WHERE Id_Venda = '" . $_GET["id_venda"] . "'
                                    AND Id_Produto='14d37a67c8064f6866246bddad8aadd7' ");
                    ?>
                    <tr>
                        <td colspan="2"><b>Detalhamento Pr-Nota</b></td>
                    </tr>
                    <tr>
                        <td>Envasadas:</td>
                        <td><?php echo $data_pdv3[0]["Qtd_Faturado"]; ?></td>
                    </tr>
                    <tr>
                        <td>Cortesias:</td>
                        <td><?php echo $qtd_cortesia; ?></td>
                    </tr>
                    <tr>
                        <td>Faturadas:</td>
                        <td><?php echo $data_pdv3[0]["Qtd"]; ?></td>
                    </tr>
                </table>
            </td>
        </tr>
        <tr>
            <td>-----------------------------------------------</td>
        </tr>
        <tr>
            <td>-----------------------------------------------</td>
        </tr>
        <tr>
            <td>
                <table>
                    <?php
                    $detalhamento_fat = mysqli_query($con, "SELECT venda_produto.Id_Produto,venda_produto.Qtd,venda_produto.Preco,produto.Titulo
                                        FROM venda_produto
                                        INNER join (SELECT Id,Titulo FROM produto WHERE Tipo_Produto='P') as produto ON produto.Id = venda_produto.Id_Produto
                                        WHERE Id_Venda = '" . $_GET["id_venda"] . "'
                                        AND venda_produto.Id_Unidade != 'KIT' ");
                    ?>
                    <tr>
                        <td colspan="2"><b>Detalhamento Pr-Nota</b></td>
                    </tr>
                    <tr>
                        <td>Envasadas:</td>
                        <td><?php echo $data_pdv3[0]["Qtd_Faturado"]; ?></td>
                    </tr>
                    <tr>
                        <td>Cortesias:</td>
                        <td><?php echo $qtd_cortesia; ?></td>
                    </tr>
                    <tr>
                        <td>Faturadas:</td>
                        <td><?php echo $data_pdv3[0]["Qtd"]; ?></td>
                    </tr>
                    <?php
                    $val_total = '';
                    while ($chave = mysqli_fetch_assoc($detalhamento_fat)) { ?>
                        <tr>
                        <?php if ($chave["Id_Produto"] == '26a259a2c8fa130138109d53a9386d2f') { ?>
                            <td><?= CLIENTE_EMAIL=='terrasanta' ? 'GARRAFO TERRA SANTA 20L(V)' : 'VENDA GARRAFO 20L' ; ?></td>
                        <?php } elseif ($chave["Id_Produto"] == 'ab6e582ce3892683b08dfb278e659006') { ?>
                            <td><?= CLIENTE_EMAIL=='terrasanta' ? 'GARRAFO TERRA SANTA 20L(V PET)' : 'VENDA GARRAFO PET 20L' ; ?></td>
                        <?php } else if ($chave["Id_Produto"] == '9e4fab3331b6001980c8015dfbda1b62') { ?>
                            <td><?= CLIENTE_EMAIL=='terrasanta' ? 'GARRAFO TERRA SANTA 20L(T PET)' : 'TROCA GARRAFO PET 20L' ; ?></td>
                        <?php } else if ($chave["Id_Produto"] == '3b912d9bf4223ff152d122765d7ce698') { ?>
                            <td><?= CLIENTE_EMAIL=='terrasanta' ? 'TROCA 1 CARCAA 10LT' : 'TROCA GARRAFO PET 20L' ; ?></td>
                        <?php } else if ($chave["Id_Produto"] == 'c12400a9989d135d06767fe881fdf5ec') { ?>
                            <td><?= CLIENTE_EMAIL=='terrasanta' ? 'TROCA 4 CARCAAS' : 'TROCA GARRAFO PET 20L' ; ?></td>
                        <?php } elseif ($chave["Id_Produto"] == '4908b9f262b788b4251208ef1b5b2df0') { ?>
                            <td><?= CLIENTE_EMAIL=='terrasanta' ? 'GARRAFO TERRA SANTA 20L(T PET)' : 'TROCA GARRAFO PET 20L' ; ?></td>
                        <?php } elseif ($chave["Id_Produto"] == 'f0899805af266d0f96261ba32d13110d') { ?>
                            <td><?= CLIENTE_EMAIL=='terrasanta' ? 'GARRAFO TERRA SANTA 20L(T)' : 'TROCA GARRAFO 20L' ; ?></td>
                        <?php } else if ($chave["Id_Produto"] == '06aad38f892a2f4c9ffad3c2168300c0') { ?>
                            <td><?= CLIENTE_EMAIL=='terrasanta' ? 'GARRAFO TERRA SANTA 20L(T)' : 'TROCA GARRAFO 20L' ; ?></td>
                            <?php } else { ?>
                                <td><?php echo $chave["Titulo"]; ?></td>
                            <?php } ?>
                            <td><?php echo $chave["Qtd"]; ?></td>
                        </tr>
                    <?php
                        $val_total += $chave["Qtd"] * $chave["Preco"];
                    }
                    ?>
                    <!-- <tr>
                        <td>Valor Total</td>
                        <td><?php echo valor_exibir($val_total); ?></td>
                    </tr> -->
                </table>
            </td>
        </tr>
        <tr>
            <td>-----------------------------------------------</td>
        </tr>
        <tr>
            <td><b>Documento Sem Valor Fiscal</b><br><br><br><br><br><br></td>
        </tr>
        <tr>
            <td>-----------------------------------------------</td>
        </tr>
        <tr>
            <td>Assinatura do Cliente</td>
        </tr>
        <tr>
            <td>-----------------------------------------------</td>
        </tr>
        <tr>
            <td>Romaneio Pago</td>
        </tr>
        <tr>
            <td>-----------------------------------------------</td>
        </tr>
    </table>
</body>
</html>
<?php
/*
	$pagina = ob_get_contents();
	ob_end_clean();
	echo utf8_encode($pagina);
 */
?>