<?php
include_once '../include/conecta.php'; //Conecta com a nosso banco de dados MySQL
ini_set('session.gc_maxlifetime', 60 * 120);
session_start();
/*include_once '../include/ver_sessao.php'; //Verifica se a sesso est ativa*/
include_once '../include/funcoesPhp.php';
include_once '../menu_movimento.php';

$pro_venda = mysqli_query($con, "SELECT DISTINCT venda_produto.Id,
                            venda_produto.Id_Produto,
                            venda_produto.Preco,
                            venda_produto.Qtd,
                            venda_produto.Desconto_Real,
                            venda_produto.Data_Cadastro,
                            produto.Codigo,
                            produto.Titulo as 'Produto',
                            produto.Medida,
                            funcionario.Titulo as Vendedor
                            FROM venda_produto
                            LEFT JOIN (SELECT Id,Titulo,Codigo,Medida FROM produto) as produto ON produto.Id = venda_produto.Id_Produto
                            LEFT JOIN (SELECT Id,Titulo FROM funcionario) as funcionario ON funcionario.Id = venda_produto.Id_Funcionario
                            WHERE venda_produto.Id_Venda='" . $_GET["id_venda"] . "'
                            AND Cancelado = 'No' ");

$data_venda1 = listar("SELECT venda.Lancamento,
                            venda.Valor_Pago,
                            venda.Obs,
                            venda.Desconto,
                            venda.Desconto_Real,
                            venda.Id_Unidade,
                            DATE_FORMAT(venda.Data_Cadastro, '%d/%m/%Y %H:%i:%s') as Data,
                            tipo_pagamento.Titulo as Tipo_Pagamento,
                            cliente.Titulo as Cliente,
                            cliente.Rua,
                            cliente.Numero,
                            cliente.Bairro,
                            cliente.Cidade,
                            cliente.Estado,
                            cliente.Fone1,
                            cliente.Fone2,
                            cliente.Ponto_Referencia,
                            cliente.Complemento
                            FROM venda
                            LEFT JOIN (SELECT Id,Titulo FROM tipo_pagamento) as tipo_pagamento ON tipo_pagamento.Id = venda.Id_Tipo_Pagamento
                            LEFT JOIN (SELECT Id,Titulo,Rua,Numero,Bairro,Cidade,Estado,Fone1,Fone2,Ponto_Referencia,Complemento FROM cliente) as cliente ON cliente.Id = venda.Id_Cliente
                            where venda.Id = '" . $_GET["id_venda"] . "' ");
$_GET["Unidade"] = $data_venda1[0]["Id_Unidade"];

?>
<?php ob_start(); /* Inicia o fluxo*/ ?>
<html>

<head>
    <meta content="text/html; charset=ISO-8859-1">
    <title>Gw - Gesto Web</title>
    <style type="text/css">
        * {
            margin: 0px;
            padding: 0px;
            font-weight: bolder;
        }

        body {
            font: 16px Arial, Arial, Helvetica, sans-serif;
            background-color: #fff;
            margin-left: 2.5%;
        }
    </style>
    <script type="text/javascript" language="javascript" src="../js/jquery.js"></script>
    <?php include '../include/script_cabeca.php'; ?>
    <script type="text/javascript" language="javascript" src="../js/script.js"></script>
    <script type="text/javascript" language="javascript" src="../js/meiomask/meiomask.js"></script>
    <script type="text/javascript" language="javascript" src="../js/meiomask/<?php
                                                                                if (PAIS == "USA") {
                                                                                    echo "mascaras-usa";
                                                                                } else {
                                                                                    echo "mascaras";
                                                                                }
                                                                                ?>.js"></script>
    <script type="text/javascript" language="javascript">
        window.onload = function() {
            window.print();
        }
    </script>
</head>

<body>

    <table width="302">
        <?php
        if (!$_GET["Id_Unidade_Usuario"]) {
            $_GET["Id_Unidade_Usuario"] = $_GET["Unidade"];
        }
        $empresa = listar("SELECT Titulo,
                                  Rua,
                                  Numero,
                                  Cnpj,
                                  Logo,
                                  Bairro,
                                  Cidade,
                                  Estado,
                                  Fone1,
                                  Fone2
                             FROM unidade
                            WHERE Id = '" . $_GET["Id_Unidade_Usuario"] . "' ");
        ?>
        <tr>
            <td align="right">
                <table width="100%">
                    <tr>
                        <td width="40%">
                            <?php
                            if (file_exists("../unidade/foto/" . $empresa[0]["Logo"] . "")) {
                                $cam_arq = "../unidade/foto/" . $empresa[0]["Logo"];
                            } else {
                                $cam_arq = "../../unidade/foto/" . $empresa[0]["Logo"];
                            }
                            ?>
                            <img src="<?php echo $cam_arq; ?>" title="Logo" alt="Logo" border="0" width="140px" height="auto" />
                        </td>
                        <td class="razao" align="center" style="font-size:16px;">
                            <?php echo strtoupper($empresa[0]["Titulo"]); ?><br>
                            <?php echo $empresa[0]["Cnpj"]; ?><br>
                            End: <?php echo $empresa[0]["Rua"] . ', ' . $empresa[0]["Numero"]; ?> <br>
                            <?php echo $empresa[0]["Bairro"]; ?> -
                            <?php echo $empresa[0]["Cidade"]; ?> - <?php echo $empresa[0]["Estado"]; ?><br>
                            Tel: <?php echo $empresa[0]["Fone1"] . ' | ' . $empresa[0]["Fone2"]; ?><br>
                        </td>
                    </tr>
                </table>
            </td>
        </tr>
        <tr>
            <td colspan="2">
                -----------------------------------------------------------------------------------------------------------
            </td>
        </tr>
        <tr>
            <td colspan="2" align="left">
                <table width="98%" class="razao" style="font-size:24px;">
                    <?php
                    if (CLIENTE_RAZAO_SOCIAL == 'Sim') {
                        $nome = 'Razao_Social';
                    } else {
                        $nome = 'Titulo';
                    }
                    $data_venda = listar("SELECT venda.Lancamento,
                                                venda.Valor_Pago,
                                                venda.Obs,
                                                venda.Desconto,
                                                venda.Desconto_Real,
                                                venda.Data_venda,
                                                tipo_pagamento.Titulo as Tipo_Pagamento,
                                                cliente.Titulo as Cliente,
                                                funcionario.Titulo as Vendedor,
                                                cliente.Fone1,
                                                cliente.Fone2,
                                                cliente.Rua,
                                                cliente.Numero,
                                                cliente.Bairro,
                                                cliente.Cidade,
                                                cliente.Estado,
                                                cliente.Complemento,
                                                cliente.Ponto_Referencia
                                                FROM venda
                                                LEFT JOIN (SELECT Id,Titulo FROM tipo_pagamento) as tipo_pagamento ON tipo_pagamento.Id = venda.Id_Tipo_Pagamento
                                                LEFT JOIN (SELECT Id,$nome as Titulo,Fone1,Fone2,Rua,Numero,Bairro,Cidade,Estado,Ponto_Referencia,Complemento FROM cliente) as cliente ON cliente.Id = venda.Id_Cliente
                                                LEFT JOIN (SELECT Id,Titulo FROM funcionario) as funcionario ON funcionario.Id = venda.Id_Vendedor
                                                where venda.Id = '" . $_GET["id_venda"] . "' ");
                    ?>
                    <tr>
                        <td align="left">Vend: <?php echo $data_venda[0]["Vendedor"]; ?></td>
                    </tr>
                    <tr>
                        <td align="left"><?php echo data_exibir($data_venda[0]["Data_venda"]) . " " . date("H:i:s"); ?></td>
                    </tr>
                    <tr>
                        <td align="left"><b>COD. <?php echo sprintf("%06d", $data_venda[0]["Lancamento"]); ?></b></td>
                    </tr>
                    <tr>
                        <td align="left">
                            <b><?php echo $data_venda[0]["Cliente"]; ?></b>
                        </td>
                    </tr>
                    <?php if (strtolower($data_venda[0]["Cliente"]) != 'avulso') { ?>
                        <tr>
                            <td align="left">
                                <?php echo substr($data_venda[0]["Rua"] . ", " . $data_venda[0]["Numero"], 0, 39) ?>
                                <?php echo substr($data_venda[0]["Rua"] . ", " . $data_venda[0]["Numero"], 40, 118) ?>
                            </td>
                        </tr>
                        <tr>
                            <td align="left">
                                <?php echo $data_venda[0]["Bairro"] . " - " . $data_venda[0]["Cidade"] . " - " . $data_venda[0]["Estado"]; ?>
                            </td>
                        </tr>
                        <tr>
                            <td align="left">
                                Compl. <?php echo $data_venda[0]["Complemento"]; ?>
                            </td>
                        </tr>
                        <tr>
                            <td align="left">
                                <?php echo $data_venda[0]["Ponto_Referencia"]; ?>
                            </td>
                        </tr>
                        <tr>
                            <td align="left">
                                <b><?php echo $data_venda[0]["Fone1"] . ' / ' . $data_venda[0]["Fone2"]; ?></b>
                            </td>
                        </tr>
                    <?php } ?>
                </table>
            </td>
        </tr>
        <tr>
            <td height="20" colspan="2">
                -----------------------------------------------------------------------------------------------------------
            </td>
        </tr>
        <tr>
            <td colspan="3">
                <table class="razao" style="font-size: 24px;">
                    <tr>
                        <td width="12%">
                            COD
                        </td>
                        <td colspan="5">
                            DESCRICAO
                        </td>
                    </tr>
                    <tr>
                        <td>
                            QTD
                        </td>
                        <td>
                            UNI
                        </td>
                        <td>
                            VL.UNIT
                        </td>
                        <td>
                            DESC.
                        </td>
                        <td>
                            VL.ITEM
                        </td>
                        <td>&nbsp;&nbsp;</td>
                    </tr>
                    <tr>
                        <td height="5" colspan="6">
                            -----------------------------------------------------------------------
                        </td>
                    </tr>
                    <?php
                    $y = '1';
                    while ($chave = mysqli_fetch_assoc($pro_venda)) {
                    ?>
                        <tr>
                            <td>
                                <?php echo $chave["Codigo"]; ?>
                            </td>
                            <td colspan="5">
                                <?php echo ($chave["Produto"]) ?>

                            </td>
                        </tr>
                        <tr>
                            <td>
                                <?php echo $chave["Qtd"]; ?>
                            </td>
                            <td>
                                <?php echo $chave["Medida"]; ?>
                            </td>
                            <td>
                                <?php echo number_format($chave["Preco"], 2, ",", "."); ?>
                            </td>
                            <td>
                                <?php echo number_format($chave["Desconto_Real"], 2, ",", "."); ?>
                            </td>
                            <td align="right">
                                <?php echo "R$ " . number_format(($chave["Qtd"] * $chave["Preco"]) - $chave["Desconto_Real"], 2, ",", "."); ?>
                            </td>
                            <td>&nbsp;</td>
                        </tr>
                    <?php
                        $QtdItens += $chave["Qtd"];
                        $ValTotal += ($chave["Qtd"] * $chave["Preco"]) - $chave["Desconto_Real"];
                        $y++;
                    }
                    ?>
                    <tr>
                        <td height="5" colspan="6">
                            -----------------------------------------------------------------------
                        </td>
                    </tr>
                    <tr>
                        <td colspan="4">
                            QTD ITENS
                        </td>
                        <td align="right">
                            <?php echo $QtdItens; ?>
                        </td>
                        <td>&nbsp;</td>
                    </tr>
                    <tr>
                        <td colspan="4">
                            VL.PEDIDO
                        </td>
                        <td align="right">
                            <?php echo "R$ " . number_format($ValTotal, 2, ",", "."); ?>
                        </td>
                        <td>&nbsp;</td>
                    </tr>
                    <tr>
                        <td colspan="4">
                            DESCONTOS
                        </td>
                        <td align="right">
                            <?php
                            if ($data_venda[0]["Tipo_Desconto"] == 'Real') {
                                echo "R$ ";
                            } else {
                                echo "% ";
                            }
                            echo number_format($data_venda[0]["Desconto_Total"], 2, ",", "."); ?>
                        </td>
                        <td>&nbsp;</td>
                    </tr>
                    <tr>
                        <td colspan="4">
                            TOTAL
                        </td>
                        <!-- <td align="right">
                            <?php echo "R$ " . number_format($data_venda[0]["Total_Pagar"], 2, ",", "."); ?>
                        </td> -->
                        <td>&nbsp;</td>
                    </tr>
                    <tr>
                        <td height="5" colspan="6">
                            -----------------------------------------------------------------------</td>
                    </tr>

        </tr>
    </table>
    </td>
    </tr>
    <tr>
        <td colspan="2">
            <table width="100%" class="razao">
                <tr>
                    <td>
                        FORMA DE PAGAMENTO
                    </td>
                    <td align="right">
                        VALOR
                    </td>
                    <td>&nbsp;&nbsp;</td>
                </tr>
                <?php
                //buscando todos os pagamentos do venda
                $venda_tp = mysqli_query($con, "Select tipo_pagamento.Titulo as Tipo_Pagamento,
                                IF( venda_tipo_pagamento.Troco > '0',
                                    venda_tipo_pagamento.Valor_Pago - venda_tipo_pagamento.Troco,
                                    venda_tipo_pagamento.Valor_Pago
                                ) as Valor_Pago
                                FROM venda_tipo_pagamento
                                LEFT JOIN (SELECT Id,Titulo FROM tipo_pagamento) as tipo_pagamento ON tipo_pagamento.Id = venda_tipo_pagamento.Id_Tipo_Pagamento
                                WHERE Id_Venda='" . $_GET["id_venda"] . "'
                                ORDER BY venda_tipo_pagamento.Data_Cadastro");

                //WHILE PAGAMENTOS venda
                while ($pg_venda = mysqli_fetch_assoc($venda_tp)) {
                ?>
                    <tr>
                        <td align="left" class="razao">
                            <?php echo utf8_encode($pg_venda["Tipo_Pagamento"]) ?>
                        </td>
                        <td align="right" class="razao">
                            <?php echo "R$ " . number_format($pg_venda["Valor_Pago"], 2, ",", "."); ?>
                        </td>
                        <td>&nbsp;&nbsp;</td>
                    </tr>
                <?php } ?>
                <tr>
                    <td>
                        TOTAL PAGO
                    </td>
                    <td align="right">
                        <?php echo "R$ " . number_format($data_venda[0]["Valor_Pago"], 2, ",", "."); ?>
                    </td>
                    <td>&nbsp;&nbsp;</td>
                </tr>
                <!-- <tr>
                    <td>
                        TROCO
                    </td>
                    <td align="right">
                        <?php echo "R$ " . number_format($data_venda[0]["Troco"], 2, ",", "."); ?>
                    </td>
                    <td>&nbsp;&nbsp;</td>
                </tr> -->
            </table>
        </td>
    </tr>
    <tr>
        <td height="5" colspan="6">
            -----------------------------------------------------------------------------------------------------------
        </td>
    </tr>
    <?php if (CLIENTE_EMAIL != 'levfortconstrucoes') { ?>
        <tr>
            <td align="left" class="razao" style="width:100%; font-size:24px;">
                <?php if ($data_venda[0]["Obs"] != '') echo 'Obs: ' . $data_venda[0]["Obs"] ?>
                <br>
                <br>
                <b>Cliente: </b> <?php echo $data_venda[0]["Cliente"]; ?><br>
                <b>Endereo: </b>
                <?php echo substr($data_venda[0]["Rua"] . ', ' . $data_venda[0]["Numero"] . ', ' . $data_venda[0]["Bairro"] . ', ' . $data_venda[0]["Cidade"] . ' - ' . $data_venda[0]["Estado"], 0, 58) ?>
                <?php echo substr($data_venda[0]["Rua"] . ', ' . $data_venda[0]["Numero"] . ', ' . $data_venda[0]["Bairro"] . ', ' . $data_venda[0]["Cidade"] . ' - ' . $data_venda[0]["Estado"], 59, 119) ?><br>
                <b>Complemento: </b> <?php echo $data_venda[0]["Complemento"]; ?><br>
                <b>Ponto de Referncia: </b><?php echo $data_venda[0]["Ponto_Referencia"]; ?><br>
                <b>Fone: </b> <?php echo $data_venda[0]["Fone1"]; ?><br>
            </td>
        </tr>
    <?php  } ?>
    <tr>
        <td colspan="2" align="left" class="razao">
            <?php
            if ($data_venda[0]["Obs"] != '') {
                echo substr('OBS: ' . SoPalavrasEspeciais($data_venda[0]["Obs"]), 0, 50);
                echo "<br/>";
                echo substr(SoPalavrasEspeciais($data_venda[0]["Obs"]), 48, 100);
            }
            if (CLIENTE_EMAIL == 'unigames') {
                echo "<br>";
                echo "Obrigado por ter nos escolhido.<br>";
                echo "7 dias para troca de produtos.<br>";
                echo "S trocamos jogos pelo mesmo ttulo.<br>";
                echo "No trocamos jogos arranhados.<br>";
            }
            if (CLIENTE_EMAIL == 'estilofeminino') {
                echo "<br>";
                echo "10 DIAS PARA TROCA,<br>";
                echo "COM APRESENTAAO DO CUPOM.";
            }
            if (CLIENTE_EMAIL == 'phoenix') {
                echo "Garantia de 90 Dias em loja com a nota<br>";
                echo "fiscal e caixa do produto, No trocamos por<br>";
                echo "danos de uso, Pelculas trincadas, Capas rasgadas<br>";
                echo "ou mau uso.";
            }
            ?>
            <br>-------------------------------------------------------------------------------------------------------------
        </td>
    </tr>
    <tr>
        <td colspan="2" align="left" class="razao">
            Documento Sem valor Fiscal.<br>

        </td>
    </tr>
    </table>

    <br>
</body>

</html>
<?php

$pagina = ob_get_contents();
ob_end_clean();
echo utf8_encode($pagina);

?>
<!-- <?php
/*
        $html = ob_get_contents();
        ob_end_clean();

        include_once "../include/pdf_opcao_visualizacao1.php";
        ?> -->
*/