<?php
include_once "../include/conecta.php"; //Conecta com a nosso banco de dados MySQL
ini_set('session.gc_maxlifetime', 60 * 120);
session_start();
/* include_once "../include/ver_sessao.php"; //Verifica se a sesso est ativa */
include_once "../include/funcoesPhp.php"; //Inclue a pgina con todas as funes a ser usada.
?>
<?php
$venda = listar("Select venda.Id,
                            venda.Lancamento,
                            venda.Status,
                            venda.Data_Venda,
                            venda.Data_Entrega,
                            venda.Obs as 'Obs_Venda',
                            venda.Valor_Original,
                            venda.Valor_Pago,
                            venda.Fatura,
                            venda.Desconto,
                            venda.Desconto_Real,
                            venda.Frete,
                            venda.Valor_Frete,
                            venda.Valor_Icms_Sub,
                            venda.Id_Unidade,
                            venda.Numero_Pedido as Romaneio,
                            venda.Placa,
                            cliente.Titulo as 'Cliente',
                            cliente.Razao_Social,
                            cliente.Email,
                            cliente.Natureza,
                            cliente.Cpf_Cnpj,
                            cliente.Rua,
                            cliente.Numero,
                            cliente.Cep,
                            cliente.Bairro,
                            cliente.Estado,
                            cliente.Fone1,
                            cliente.Contato,
                            cliente.Endereco,
                            cliente.Ponto_Referencia,
                            cliente.Obs as 'Obs_Cliente',
                            cliente.Codigo,
                            cliente.Suframa,
                            cidade_ibge.Titulo as Cidade,
                            funcionario.Titulo as 'Funcionario',
                            vendedor.Titulo as 'Vendedor',
                            tipo_pagamento.Titulo as 'Tipo_Pagamento'
                            from venda
                            left join 
                            (SELECT Id,Titulo,Email,Natureza,Cpf_Cnpj,Estadual,Rua,Numero,Cep,Bairro,Estado,Fone1,
                            Obs,Id_Cidade,Razao_Social,Contato,Endereco,Ponto_Referencia,Codigo,Suframa FROM cliente) as cliente 
                            ON cliente.Id = venda.Id_Cliente
                            left join (SELECT Id,Titulo FROM cidade_ibge) as cidade_ibge ON cidade_ibge.Id = cliente.Id_Cidade
 					        left join (SELECT Id,Titulo FROM funcionario) as funcionario ON funcionario.Id = venda.Id_Funcionario
                            left join (SELECT Id,Titulo FROM funcionario) as vendedor ON venda.Id_Vendedor = vendedor.Id
                            left join (SELECT Id,Titulo FROM tipo_pagamento) as tipo_pagamento ON tipo_pagamento.Id = venda.Id_Tipo_Pagamento
                            where venda.Id = '" . $_GET["id_venda"] . "'
                            order by venda.Lancamento DESC");

$_GET["Unidade"] = $venda[0]["Id_Unidade"];
?>
<html>

<head>
    <title>Gw - Gesto Web</title>
    <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1" />
    <link rel="shortcut icon" href="../imagem/favi_gw.ico" type="image/x-icon" />
    <link rel="stylesheet" type="text/css" href="../estilo/<?php echo SKIN; ?>/tabela_imp.css" />
    <script type="text/javascript" language="javascript" src="../js/jquery.js"></script>
    <?php include '../include/script_cabeca.php'; ?>
    <script type="text/javascript" language="javascript" src="../js/script.js"></script>
    <script type="text/javascript" language="javascript" src="../js/meiomask/meiomask.js"></script>
    <script type="text/javascript" language="javascript" src="../js/meiomask/<?php if (PAIS == "USA") {
                                                                                    echo "mascaras-usa";
                                                                                } else {
                                                                                    echo "mascaras";
                                                                                } ?>.js"></script>
</head>

<body>

    <table width="98%" align="center">
        <!-- TABELA Q ENVOLVE TODO O CONTEUDO -->
        <tr>
            <td>
                <?php include "../include/cabecalho_pedido.php"; ?>
            </td>
        </tr>
        <tr>
            <td>
                <table width="100%" align="center">
                    <tr>
                        <td colspan="2" align="center">
                            <font face="verdana" size="3">
                                <b>
                                    <i>
                                        <?php
                                        if ((CLIENTE_EMAIL == 'amendoneto')) {
                                            echo "Pedido - " . $venda[0]["Lancamento"];
                                        } else {
                                            echo "Venda - " . $venda[0]["Lancamento"] . ' (Fatura - ' . $venda[0]["Fatura"] . ')';
                                        }
                                        ?>
                                    </i>
                                </b>
                            </font>
                        </td>
                    </tr>
                </table>
            </td>
        </tr>
        <tr>
            <td>
                <table width="100%" align="center" class="tabela">
                    <tr>
                        <td width="70%">Cliente:
                            <?php
                            if (CLIENTE_RAZAO_SOCIAL == 'Sim') {
                                echo $venda[0]["Codigo"] . " - " . $venda[0]["Razao_Social"];
                            } else {
                                echo $venda[0]["Codigo"] . " - " . $venda[0]["Cliente"];
                            }
                            ?>
                        </td>
                        <td width="30%">Data: <?php echo data_exibir($venda[0]["Data_Venda"]); ?></td>
                    </tr>
                    <tr>
                        <td width="70%">End: <?php echo $venda[0]["Endereco"]; ?></td>
                        <td width="30%">Fone: <?php echo $venda[0]["Fone1"]; ?></td>
                    </tr>
                    <tr>
                        <td width="70%"><?php
                                        echo 'Bairro:' . $venda[0]["Bairro"] . ' Cidade:' .
                                            $venda[0]["Cidade"] . ' UF:' .
                                            $venda[0]["Estado"];
                                        ?>
                        </td>
                        <?php if ($venda[0]["Natureza"] == "PF") { ?>
                        <td width="30%">CPF: <?php echo $venda[0]["Cpf_Cnpj"]; ?></td>
                        <?php } else { ?>
                        <td width="30%">CNPJ: <?php echo $venda[0]["Cpf_Cnpj"]; ?></td>
                        <?php } ?>
                    </tr>
                    <tr>
                        <td width="70%">Referncia: <?php echo $venda[0]["Ponto_Referencia"]; ?></td>
                        <td width="30%">E-mail: <?php echo $venda[0]["Email"]; ?></td>
                    </tr>
                    <tr>
                        <td width="70%">Pagamento: <?php echo $venda[0]["Tipo_Pagamento"]; ?></td>
                        <td width="30%">CEP: <?php echo $venda[0]["Cep"]; ?></td>
                    </tr>
                    <tr>
                        <td width="70%">Contato: <?php echo $venda[0]["Contato"]; ?></td>
                        <td width="30%">Data Entrega: <?php echo data_exibir($venda[0]["Data_Entrega"]); ?></td>
                    </tr>
                    <tr>
                        <td width="70%">Obs: <?php echo $venda[0]["Obs_Venda"]; ?></td>
                        <td width="30%">Frete: <?php echo valor_exibir($venda[0]["Valor_Frete"]); ?></td>
                    </tr>
                </table>
            </td>
        </tr>
        <tr>
            <td>
                <table width="100%" align="center" class="tabela">
                    <tr>
                        <td colspan="16"><i>Produtos</i></td>
                    </tr>
                    <?php
                    $venda_pro = listar("Select DISTINCT venda_produto.Id,
                                        venda_produto.Preco,
 					venda_produto.Qtd,
                                        venda_produto.Ipi,
                                        venda_produto.CST_Ipi,
 					venda_produto.Desconto,
                                        venda_produto.Desconto_Real,
                                        venda_produto.Unificado,
                                        venda_produto.Lote,
                                        venda_produto.ST_Icms,
                                        venda_produto.Icms,
                                        venda_produto.Icms_Sub,
                                        venda_produto.Mva,
                                        venda_produto.Reducao,
                                        venda_produto.ReducaoBC,
                                        venda_produto.Data_Validade,
                                        venda_produto.Data_Fabricacao,
                                        venda_produto.Valor_Pauta,
                                        venda_produto.FCP,
 					                    produto.Titulo as 'Produto',
 					                    produto.Descricao,
                                        produto.Medida,
 					                    produto.Codigo,
                                        produto.Qtd_Caixa,
                                        produto.Medida as Medida2,
                                        
                                        produto.Cesta_Basica,
                                        produto.Peso_Bruto,
                                        produto.Peso_Liquido,
                                        cliente.Ipi as Ipi_Cliente,
                                        cliente.Consumidor_Final,
                                        cliente.Nao_Contribuinte_Icms,
                                        cliente.Estado as Estado_Cliente,
                                        cliente.Cliente_FCP,
                                        cfop.Cfop,
                                        cfop.Bonificacao,
                                        local_estoque.Titulo as Local_Estoque
                                        from venda_produto
                                        left join (SELECT Id,Titulo,Descricao,Codigo,Medida,Regime_ST,Qtd_Caixa,FCP,Valor_Pauta,Cesta_Basica,Peso_Liquido,Peso_Bruto FROM produto) as produto ON produto.Id = venda_produto.Id_Produto
                                        left join (SELECT Id,Cfop,Bonificacao FROM cfop) as cfop ON cfop.Id = venda_produto.Id_Cfop
                                        left join (SELECT Id,Titulo FROM local_estoque) as local_estoque ON local_estoque.Id = venda_produto.Id_Local_Estoque
 					                    left join (SELECT Id,Consumidor_Final,Nao_Contribuinte_Icms,Estado,Ipi,Cliente_FCP FROM cliente) as cliente ON cliente.Id = venda_produto.Id_Cliente
                                        where venda_produto.Id_Venda = '" . $_GET["id_venda"] . "'
                                        ORDER BY venda_produto.Data_Cadastro ");

                    $x = 1;
                    $VICMSST = '0';
                    $tVICMS = '0';
                    foreach ($venda_pro as $chave) {
                    ?>

                    <?php if ($x == 1) { ?>
                    <tr class="azul-claro">
                        <?php if ($chave["Unificado"]) { ?>
                        <td width="3%">Unificado</td>
                        <?php } ?>
                        <td width="3%">N</td>
                        <td width="6%">Cdigo</td>
                        <td width="25%">Produto</td>
                        <td width="8%">Peso Bruto</td>
                        <td width="8%">Peso Lquido</td>
                        <td width="5%">Qtd</td>
                        <td width="8%">Valor</td>
                        <td width="8%">Icms Sub</td>
                        <td width="8%">Ipi</td>
                        <td width="8%">Desc %</td>
                        <td width="8%">Desc $</td>
                        <td width="8%">Total</td>
                    </tr>
                    <?php
                        }

                        $desc_perc = valor_banco(valor_exibir((($linha['Qtd'] * $linha['Preco']) * ($linha['Desconto'] / 100)), 2));


                        ?>

                    <tr>
                        <?php if ($chave["Unificado"]) { ?>
                        <td><?php echo $chave["Unificado"]; ?></td>
                        <?php $ab = '1';
                            } ?>
                        <td><?php echo $x; ?></td>
                        <td><?php echo $chave["Codigo"]; ?></td>
                        <td><?php echo $chave["Produto"]; ?></td>
                        <td><?php echo valor_exibir($chave["Peso_Bruto"] * $chave["Qtd"]); ?></td>
                        <td><?php echo valor_exibir($chave["Peso_Liquido"] * $chave["Qtd"]); ?></td>
                        <td><?php echo $chave["Qtd"]; ?></td>
                        <td><?php echo number_format($chave["Preco"], 2, ',', '.'); ?></td>
                        <!--<td><?php echo number_format($VICMS, 2, ',', '.'); ?></td>-->
                        <td>
                            <?php
                                if ($vBCST >= '0') {
                                    echo number_format(($vBCST * ($chave['Icms_Sub'] / 100)) - ($VBC * ($chave['Icms'] / 100)), 2, ',', '.');
                                } else {
                                    echo '0,00';
                                }
                                ?>
                        </td>
                        <td><?php echo $vIpi; ?></td>
                        <td><?php echo number_format($chave["Desconto"], 2, ',', '.'); ?></td>
                        <td><?php echo number_format($chave["Desconto_Real"], 2, ',', '.'); ?></td>
                        <td><?php echo number_format((($chave['Qtd'] * $chave['Preco']) - (($chave['Qtd'] * $chave['Preco']) * ($chave['Desconto'] / 100))) - $chave['Desconto_Real'], 2, ',', '.'); ?>
                        </td>
                    </tr>

                    <?php
                        $Valor_Total += valor_banco(valor_exibir((($chave['Qtd'] * $chave['Preco']) - $desc_perc) - $chave['Desconto_Real'], 2));
                        $qtd_volume += $chave['Qtd'] / $chave['Qtd_Caixa'];
                        $total_bruto += $chave['Qtd'] * $chave['Peso_Bruto'];
                        $total_liquido += $chave['Qtd'] * $chave['Peso_Liquido'];

                        $Qtd_Venda += $chave["Qtd"];
                        $Preco_Venda += $chave["Preco"];
                        $Desconto_Venda += $chave["Desconto"];
                        $Desconto_Real += $chave["Desconto_Real"];
                        $Total += (($chave["Preco"] * $chave["Qtd"]) - ($desc_perc)) - $chave['Desconto_Real'];
                        $Sub_Total += ((($chave['Qtd'] * $chave['Preco']) - (($chave['Qtd'] * $chave['Preco']) * ($chave['Desconto'] / 100))) - $chave['Desconto_Real']);


                        $x++;




                        if($chave['Ipi']!='0' && 
                        (
                            ($chave['CST_Ipi'] === '00') || ($chave['CST_Ipi'] == '49') ||
                            ($chave['CST_Ipi'] == '50') || ($chave['CST_Ipi'] == '99')
                        )){
                            $VBC = (($chave['Qtd'] * $chave['Preco']) - ($desc_perc)) - $chave['Desconto_Real'];
                            $VBC = $VBC + $chave['Frete'] + $chave['Despesa'];

                            if ($chave['ReducaoBC'] > '0') {
                                $VBC = $VBC - ($VBC * ($chave['ReducaoBC'] / 100));
                            }
                            $vIpi = number_format(($VBC * ($chave['Ipi'] / 100)), 2, '.', '');
                            $VIPI += number_format(($VBC * ($chave['Ipi'] / 100)), 2, '.', '');
                        }

                        if (($chave["Consumidor_Final"] == 'Sim') && ($chave["Ipi_Cliente"] == 'Sim')) {
                            $bcIpi = $vIpi;
                        }
                        if ($chave["Ipi_Cliente"] == 'Sim') {
                            $bcstIpi = $vIpi;
                        }

                        $valor_st='0';
                        //calculando o valor do ICMS ST
                        if ($chave['ST_Icms'] == '10' || $chave['ST_Icms'] == '70' || $chave['ST_Icms'] == '90') {

                            if ($chave['Bonificacao'] == 'Sim') {
                                $desc_perc = '0';
                                $chave['Desconto_Real'] = '0';
                            }
                    
                            $VBC = number_format((($chave['Qtd'] * $chave['Preco']) - $desc_perc) - $chave['Desconto_Real'] + ($chave['Frete'] + $chave['Despesa']), 2, '.', '');
                    
                            if ($chave["ReducaoBC"] > '0') {
                                $VBCicms = $VBC - ($VBC * ($chave['ReducaoBC'] / 100));
                            } else {
                                $VBCicms = $VBC;
                            }
                    
                            $VICMS = ($VBCicms * ($chave['Icms'] / 100));
                    
                    
                            $vBCST = ($VBC + $bcstIpi) * (1 + (($chave['Mva'] / 100)));
                            $vBCST = $vBCST - ($vBCST * ($chave['Reducao'] / 100));
                            $valor_st = number_format($vBCST * ($chave['Icms_Sub'] / 100), 2, '.', '') - number_format($VICMS, 2, '.', '');
                    
                            //calculo com o valor de pauta
                            if ($chave['Preco'] < $chave['Valor_Pauta']) {
                                if ($chave['Estado_Cliente'] == 'RN' || $chave['Estado_Cliente'] == 'PB' || $chave['Estado_Cliente'] == 'AL') {
                    
                                    $chave['Preco'] = $chave['Valor_Pauta'];
                    
                                    $VBCp = (($chave['Qtd'] * $chave['Preco']) - $desc_perc) - $chave['Desconto_Real'] + ($chave['Frete'] + $chave['Despesa']);
                                    $VICMS = ($VBCp * ($chave['Icms'] / 100));
                                    $vBCST = ($VBCp + $bcstIpi) * (1 + (($chave['Mva'] / 100)));
                                    $vBCST = $vBCST - ($vBCST * ($chave['Reducao'] / 100));
                                    $valor_st = ($vBCST * ($chave['Icms_Sub'] / 100)) - ($VBC * ($chave['Icms'] / 100));
                                }
                            }
                    
                            if (($chave["Estado_Cliente"] == $chave["Estado_Empresa"]) && $chave["Cesta_Basica"] == 'Sim') {
                                $VBC = (($chave['Qtd'] * $chave['Preco']) - $desc_perc) - $chave['Desconto_Real'];
                                $VBC = $VBC + $chave['Frete'] + $chave['Despesa'];
                                if ($chave['ReducaoBC'] > '0') {
                                    $VBC = $VBC - ($VBC * ((100 - $chave['ReducaoBC']) / 100)); //reversa
                                }
                                $VICMS = ($VBC * ($chave['Icms'] / 100));
                    
                                $VBC = (($chave['Qtd'] * $chave['Preco']) - $desc_perc) - $chave['Desconto_Real'];
                                $VBC = $VBC + $chave['Frete'] + $chave['Despesa'];
                                $vBCST = ($VBC + $bcstIpi) * (1 + (($chave['Mva'] / 100)));
                                $vBCST = $vBCST - ($vBCST * ($chave['Reducao'] / 100));
                                $valor_st = ($vBCST * ($chave['Icms_Sub'] / 100));
                            }
                    
                            $VICMSST += number_format($valor_st, 2, ".", "");
                        }

                        //calculando o valor do ICMS ST - simples
                        if (($chave['ST_Icms'] == '201') || ($chave['ST_Icms'] == '202') || ($chave['ST_Icms'] == '900')) {

                            if ($chave['Bonificacao'] == 'Sim') {
                                $desc_perc = '0';
                                $chave['Desconto_Real'] = '0';
                            }

                            $VBC = (($chave['Qtd'] * $chave['Preco']) - (($chave['Qtd'] * $chave['Preco']) * ($chave['Desconto'] / 100))) - $chave['Desconto_Real'];
                            $VBC = $VBC + $chave['Frete'] + $chave['Despesa'];
                            $VICMS = ($VBC * ($chave['Icms'] / 100));
                            //$ValorICMSProprioparaST = $VBC * ($chave['Icms_Sub']/100);//calc diferente
                            $vBCST = ($VBC + $bcstIpi) * (1 + (($chave['Mva'] / 100)));
                            $vBCST = $vBCST - ($vBCST * ($chave['Reducao'] / 100));
                            $VICMSST+=number_format( $vBCST * ($chave['Icms_Sub']/100)  , 2, '.', '') - ( $VICMS );
                        }

                        //calculo FCPST
                        if (($chave['ST_Icms'] == '201') || ($chave['ST_Icms'] == '202') || ($chave['ST_Icms'] == '900') ||
                            $chave['ST_Icms'] == '10' || $chave['ST_Icms'] == '70' || $chave['ST_Icms'] == '90' ) {
                        if (($chave["Cliente_FCP"] == 'Sim') &&
                            ($chave["Estado_Cliente"] != $chave["Estado_Unidade"]) &&
                            ($chave["FCP"] > '0')
                        ) {
                            $vtFCPST = $vBCST;
                            $vtFCPST = str_replace('.', '', $vtFCPST);
                            $vtFCPST = str_replace(',', '.', $vtFCPST);

                            $vtFCPSTItem += number_format($vtFCPST * ($chave["FCP"] / 100), 2, ".", "");
                        }
                        }

                            if ($venda[0]["Suframa"] != '' && $chave['ST_Icms'] == '40') {
                                $suframa += $chave['Desconto_Real'];
                            }
                        }

                    $VICMSST = number_format($VICMSST, 2, ",", ".");
                    $VICMSST = str_replace('.', '', $VICMSST);
                    $VICMSST = str_replace(',', '.', $VICMSST);

                    $VIPI = number_format($VIPI, 2, ",", ".");
                    $VIPI = str_replace('.', '', $VIPI);
                    $VIPI = str_replace(',', '.', $VIPI);

                    $vtFCPSTItem = number_format($vtFCPSTItem, 2, ",", ".");
                    $vtFCPSTItem = str_replace('.', '', $vtFCPSTItem);
                    $vtFCPSTItem = str_replace(',', '.', $vtFCPSTItem);
                    ?>

                    <tr>
                        <td colspan="3">&nbsp;</td>
                        <td><?php echo valor_exibir($total_bruto); ?></td>
                        <td><?php echo valor_exibir($total_liquido); ?></td>
                        <td><?php echo $Qtd_Venda; ?></td>
                        <td colspan="2">&nbsp;</td>
                        <td colspan="2">Sub Total</td>
                        <td colspan="2"><?php echo number_format($Sub_Total, 2, ',', '.'); ?></td>
                    </tr>
                    <tr>
                        <td colspan="8">&nbsp;</td>
                        <td colspan="2">Icms Sub</td>
                        <td colspan="2"><?php echo valor_exibir($venda[0]["Valor_Icms_Sub"]) ?></td>
                    </tr>
                    <tr>
                        <td colspan="8">&nbsp;</td>
                        <td colspan="2">Ipi</td>
                        <td colspan="2"><?php echo number_format($VIPI, 2, ',', '.'); ?></td>
                    </tr>
                    <?php if ($suframa > 0) { ?>
                    <tr>
                        <td colspan="8">&nbsp;</td>
                        <td colspan="2">Desc Suframa</td>
                        <td colspan="2"><?php echo number_format($suframa, 2, ',', '.'); ?></td>
                    </tr>
                    <?php } ?>
                    <tr>
                        <td colspan="8">&nbsp;</td>
                        <td colspan="2">Desconto $</td>
                        <td colspan="2">
                            <?php echo number_format($Desconto_Real + ($Total * ($venda[0]["Desconto"] / 100)) + $venda[0]["Desconto_Real"], 2, ',', '.'); ?>
                        </td>
                    </tr>
                    <tr>
                        <td colspan="8">&nbsp;</td>
                        <td colspan="2">Total</td>
                        <td colspan="2">
                            <?php echo number_format((($Total - ($Total * ($venda[0]["Desconto"] / 100))) - $venda[0]["Desconto_Real"]) + $VIPI + $VICMSST + $suframa, 2, ',', '.'); ?>
                        </td>
                    </tr>
                </table>
            </td>
        </tr>
        <?php
        $venda_parcela = listar("SELECT financeiro_pedido.*,
                                            tipo_pagamento.Titulo as 'Tipo_Pagamento'
                                       FROM financeiro_pedido
                                  LEFT JOIN (SELECT Id,Titulo FROM tipo_pagamento) as tipo_pagamento ON tipo_pagamento.Id = financeiro_pedido.Id_Tipo_Pagamento
                                      WHERE financeiro_pedido.Id_Externo = '" . $_GET["id_venda"] . "' 
                                        AND financeiro_pedido.Id_Tipo_Pagamento <> '0'
                                   ORDER BY financeiro_pedido.Ordem ");
        ?>
        <tr>
            <td>
                <table width="100%" align="center" class="tabela">
                    <tr>
                        <td colspan="6"><i>Parcelas</i></td>
                    </tr>
                    <tr class="azul-claro">
                        <td>N</td>
                        <td>Vencimento</td>
                        <td>Valor</td>
                        <td>Tipo</td>
                    </tr>
                    <?php
                    for ($i = 1; $i <= PARCELA_PAGAMENTO; $i++) {
                        $campo_tp .= " Taxa" . str_pad($i, 2, "0", STR_PAD_LEFT) . ", Prazo" . str_pad($i, 2, "0", STR_PAD_LEFT) . ", ";
                    }
                    $campo_tp = substr($campo_tp, 0, -2);

                    foreach ($venda_parcela as $chave) {

                        $tip = mysqli_query($con, "SELECT $campo_tp
                                                           FROM tipo_pagamento
                                                          WHERE Id = '{$chave["Id_Tipo_Pagamento"]}'  ")
                            or die("ERRO no comando SQL:" . mysqli_error($con));
                        $array_tipo = mysqli_fetch_assoc($tip);


                        $z = 1;
                        for ($x = 1; $x <= PARCELA_PAGAMENTO; $x++) {

                            if ($x < 10) {
                                $z = '0' . $x;
                            }

                            if ($array_tipo["Prazo" . $z] == "") {
                                break;
                            }
                    ?>
                    <tr>
                        <td><?php echo $x; ?></td>
                        <td><?php echo data_exibir($chave["Data$z"]) ?></td>
                        <td><?php echo number_format($chave["Valor$z"], 2, ',', '.') ?></td>
                        <td><?php echo $chave["Tipo_Pagamento"] ?></td>
                    </tr>
                    <?php
                            $z++;
                        }
                    }
                    ?>
                </table>
            </td>
        </tr>
    </table>
    <br />
    <?php if (CLIENTE_EMAIL == 'icsogelados') { ?>
    <table width="98%" align="jutify">
        <tr>
            <td align="center">
                Recebi em perfeito estado as quantidades e sabores de picols descritos na lista acima em meu
                estabelecimento.
                O valor total da mercadoria ser pago  ICSO GELADOS conforme negociao entre as partes.
            </td>
        </tr>
    </table>
    <br><br>
    <?php } ?>
    <table width="98%" align="center">
        <tr>
            <td align="center">________________________</td>
            <td align="center">________________________</td>
        </tr>
        <tr>
            <td align="center">
                <font face="verdana" size="2">
                    <?php
                    if (CLIENTE_RAZAO_SOCIAL == 'Sim') {
                        echo $venda[0]["Razao_Social"];
                    } else {
                        echo $venda[0]["Cliente"];
                    }
                    ?>
                </font>
            </td>
            <td align="center">
                <font face="verdana" size="2">Representante: <?php echo $venda[0]["Vendedor"]; ?></font>
            </td>
        </tr>
    </table>

    <br>
</body>

</html>
<?php include "../include/rodape.php"; ?>