<?php
include_once '../include/conecta.php'; //Conecta com a nosso banco de dados MySQL
include_once '../include/ver_sessao.php'; //Verifica se a sesso est ativa
include_once '../include/funcoesPhp.php'; //Inclue a pgina con todas as funes a ser usada.

if ($_SERVER['REQUEST_METHOD'] == "POST") {

    if ($_POST["Valor_Total"] && ($_POST["Desconto_Real"] || $_POST["Desconto"])) {


        $_POST["Desconto_Real"] = valor_banco($_POST["Desconto_Real"]);
        $Desconto_Perc = valor_banco($_POST["Desconto"]);

        //verificando o desconto do vendedor
        $vend = mysqli_query($con, "SELECT Desconto_Pedido FROM funcionario WHERE Id='" . $_POST["Vendedor"] . "' ");
        $vend = mysqli_fetch_assoc($vend);
        $descProd = (isset($vend["Desconto_Pedido"]) ? $vend["Desconto_Pedido"] : '0');
        if ($descProd === '0') {
            $desc = 'OK';
        } else {
            //verificando o valor que foi pago. Achando o % sobre o desconto em real
            $percV = ($_POST["Valor_Total"] - $_POST["Desconto_Real"]) / $_POST["Valor_Total"]; //achamos quanto pagamos temos em percentual
            $percV = str_replace('.', '', $percV);
            $percV = str_replace(',', '.', $percV);
            $vPercentual = 100 - ($percV * 100); //achamos quanto em percentual foi descontado.
            $vPercentual = number_format($vPercentual, 2, ",", ".");
            $vPercentual = str_replace('.', '', $vPercentual);
            $vPercentual = str_replace(',', '.', $vPercentual);

            //valor total do desconto %
            $tDesc = $Desconto_Perc + $vPercentual;
            $tDesc = str_replace('.', '', $tDesc);
            $tDesc = str_replace(',', '.', $tDesc);

            if ($tDesc > $descProd) {
                if ($_POST["Valor_Total"] == '0.00') {
                    $desc = 'OK'; //se o preco de venda for zero
                } else {
                    $desc = 'Maior';
                }
            } else {
                $desc = 'OK';
            }
        }
        if ($desc == 'Maior' && empty($_POST["Senha"])) {
            //echo "<script>alert('Desconto maior que permitido');</script>";
            $desconto_maior = "Sim";
        } elseif ($desc == 'Maior' && !empty($_POST["Senha"])) {
            $desconto_maior = "Sim";
            $sql = mysqli_query($con, "SELECT usuario.Id,
                        usuario.Senha,
                        funcionario.Desconto_Produto,
                        funcionario.Desconto_Pedido
                        FROM usuario
                        LEFT JOIN (SELECT Id,Desconto_Produto,Desconto_Pedido FROM funcionario) as funcionario ON funcionario.Id = usuario.Id_Funcionario
                        WHERE Senha='" . md5($_POST['Senha']) . "'
                    AND Ativo='Sim' AND Id_Nivel<'20' ") or die("ERRO no comando SQL:" . mysqli_error($con));

            if (mysqli_num_rows($sql) != 0) {

                $sql = mysqli_fetch_assoc($sql);

                if (($_POST["Total_Desconto"] > $sql["Desconto_Pedido"]) && ($sql["Desconto_Pedido"] > '0')) {
                    echo "<script>alert('Desconto Maior que Permitido!');</script>";
                } else {
                    echo "<script>window.opener.desconto('Liberado'); window.close();</script>";
                }
            }
        } else {
            echo 'Aqui';
            die();

            if ($Desconto_Perc > '0') {
                $Desconto_Real = $_POST["Valor_Total"] * ($Desconto_Perc / 100);
                $Desconto_Real = valor_exibir($Desconto_Real, 2);
                $_POST["Desconto_Real"] = valor_banco($Desconto_Real);
            }
            // echo "<script>window.opener.CriarLinha2(); window.close();</script>";
        }
    } else {
        echo "<script>alert('Precisa escolher Item e Desconto!');</script>";
    }
}
?>
<html>

<head>
    <title>Gw - Gesto Web</title>
    <link rel="stylesheet" type="text/css" href="../estilo/<?php echo SKIN; ?>/tableless.css" />
    <link rel="stylesheet" type="text/css" href="../estilo/<?php echo SKIN; ?>/tabelas.css" />
    <script language="javascript" type="text/javascript" src="../js/jquery.js"></script>
    <?php include '../include/script_cabeca.php'; ?>
    <?php include '../include/script_campo.php'; ?>
    <script type='text/javascript'>

    </script>
    <script>
        $(document).ready(function() {
            $("#Desconto_Real").select();

            $("form").delegate("input", "focus", function() {
                var elem = $(this);
                //console.log(elem[0].id);
                if (elem[0].id == 'Desconto_Real') {
                    $("#Desconto_Real").select();
                }
            });
        });
    </script>
    <script language="javascript" type="text/javascript" src="../js/script.js"></script>
    <style type="text/css">
        input {
            margin: 0 5px;
            width: 150px;
            height: 40px;
            font: 25px Georgia, "Trebuchet MS", Tahoma, Times, serif;
            font-weight: bold;
        }

        .codigo {
            margin: 0 5px;
            width: 250px;
            height: 40px;
            font: 25px Georgia, "Trebuchet MS", Tahoma, Times, serif;
            font-weight: bold;
        }

        .descricao {
            margin: 0 5px;
            width: 250px;
            height: 40px;
            font: 25px Georgia, "Trebuchet MS", Tahoma, Times, serif;
            font-weight: bold;
        }

        .fornecedor {
            margin: 0 5px;
            width: 450px;
            height: 40px;
            font: 25px Georgia, "Trebuchet MS", Tahoma, Times, serif;
            font-weight: bold;
        }

        h1 {
            font: 30px "Trebuchet MS", Tahoma, Helvetica, sans-serif;
            color: #f4f4f4;
        }

        .buscarprodutos {
            font: 20px "Trebuchet MS", Tahoma, Helvetica, sans-serif;
            color: #f4f4f4;
            font-weight: bold;
        }

        strong {
            margin: 0 5px;
            font: 18px "Trebuchet MS", Tahoma, Geneva, sans-serif;
            color: #000000;
            font-weight: bold;
        }

        span {
            font: 14px "Trebuchet MS", Tahoma, Helvetica, sans-serif;
            font-weight: bold;
            color: #069;
        }

        .over {
            overflow: scroll;
            height: 300px;
            padding: 0;
            background-color: #FFFFFF;
        }

        .tr-1 {
            background-color: #999999;
            height: 45px;
        }

        .tr-2 {
            background-color: #225F93;
        }

        .tr-3 {
            background-color: #cccccc;
        }

        .destaque {
            background: #00C5CD !important;
        }
    </style>
</head>

<body>

    <form name="sangria" id="sangria" method="post" action="" autocomplete="off">
        <table width="100%" border="0" cellpadding="2" cellspacing="1" id="tabela_pdv">
            <input type="hidden" name="Codigo_Venda" id="Codigo_Venda" value="<?php echo $_GET["Codigo_Venda"] ?>">
            <input type="hidden" name="Valor_Total" id="Valor_Total" value="<?php echo $_GET["Valor_Total"] ?>">
            <input type="hidden" name="Vendedor" id="Vendedor" value="<?php echo $_GET["Vendedor"] ?>">
            <input type="hidden" name="Desconto" id="Desconto" value="<?php echo valor_exibir($_GET["Desconto"]); ?>">
            <input type="hidden" name="Desconto_Real" id="Desconto_Real" value="<?php echo valor_exibir($_GET["Desconto_Real"]); ?>">
            <input type="hidden" name="Total_Desconto" id="Total_Desconto" value="<?php echo $tDesc; ?>">
            <tr>
                <td colspan="2" class="tr-1" align="center">DESCONTO ACIMA DO PERMITIDO</td>
            </tr>
            <tr>
                <td class="tr-1" width="30%"></td>
                <td class="tr-1"><strong>Desconto % <?php echo empty($_GET["Desconto"]) ? '0,00' : $_GET["Desconto"]; ?></strong></td>
            </tr>
            <tr>
                <td class="tr-1" width="30%"></td>
                <td class="tr-1"><strong>Desconto R$ <?php echo empty($_GET["Desconto_Real"]) ? '0,00' : $_GET["Desconto_Real"]; ?></strong></td>
            </tr>
            <tr>
                <td class="tr-1" width="30%"></td>
                <td class="tr-1"><strong>Senha Master</strong></td>
            </tr>
            <tr>
                <td class="tr-1" width="30%"></td>
                <td class="tr-1">
                    <input type="password" name="Senha" id="Senha" value="" class="descricao" autofocus>
                </td>
            </tr>
            <tr>
                <td class="tr-1" colspan="2"><strong>&nbsp;</strong></td>
            </tr>
            <tr>
                <td colspan="4" align="center" bgcolor="#225F93">
                    <button type="submit" name="Liberar_Desconto" value="Liberar_Desconto" style="width: 200px; height: 40px"><span style="font-size: 20px;color: #000">Liberar</span></button>
                    <button type="button" name="Cancelar" value="Cancelar" style="width: 200px; height: 40px" onclick="window.close();"><span style="font-size: 20px;color: #000">Cancelar</span></button>
                </td>
            </tr>
        </table>
    </form>
    <?php include "../include/rodape.php"; ?>
</body>

</html>