<?php
include_once '../include/conecta.php'; //Conecta com a nosso banco de dados MySQL
include_once '../include/ver_sessao.php'; //Verifica se a sesso est ativa
include_once '../include/funcoesPhp.php';
include_once '../menu_movimento.php';
?>
<?php
if (($_GET["Finalizado"]) || ($_GET["Aberto"]) || ($_GET["Cancelado"]) ||
    ($_GET["Cotacao"]) || ($_GET["Cotacao_Aberto"]) || ($_GET["Cotacao_Aprovada"]) ||
    ($_GET["Cotacao_Nao_Aprovada"]) || ($_GET["Fatura"]) || ($_GET["Separacao"])
) {

    $status = "AND (";

    if ($_GET["Finalizado"]) {
        $status .= " venda.Status = 'Finalizado' OR";
    }
    if ($_GET["Aberto"]) {
        $status .= " venda.Status = 'Aberto' OR";
    }
    if ($_GET["Cancelado"]) {
        $status .= " venda.Status = 'Cancelado' OR";
    }
    if ($_GET["Cotacao"]) {
        $status .= " venda.Status = 'Cotao' OR";
    }

    $status = substr($status, 0, -2);
    $status .= ")";
}

if ($_GET['Data_Filtro'] == 'Data') {
    if ($_GET["De"])
        $data .= "AND venda.Data_Venda >= '" . data_banco($_GET["De"]) . " 00:00:00' ";
    if ($_GET["Ate"])
        $data .= "AND venda.Data_Venda <= '" . data_banco($_GET["Ate"]) . " 23:59:59' ";
}
if ($_GET['Data_Filtro'] == 'Conclusao') {
    if ($_GET["De"])
        $data .= "AND venda.Data_Conclusao >= '" . data_banco($_GET["De"]) . " 00:00:00' ";
    if ($_GET["Ate"])
        $data .= "AND venda.Data_Conclusao <= '" . data_banco($_GET["Ate"]) . " 23:59:59' ";
}

if ($_GET["Cliente"]) {

    $mystring = $_GET["Cliente"];
    $findme = " : ";

    $posicao = strpos($mystring, $findme);

    $cod_cli = substr($_GET["Cliente"], 0, $posicao);
    $nome_cli = substr($_GET["Cliente"], ($posicao + 3));


    if (CLIENTE_RAZAO_SOCIAL == 'Sim') {
        $nome = 'Razao_Social';
    } else {
        $nome = 'Titulo';
    }
    /* convertendo o nome do fornecedor, para o seu codigo */
    $Prodt = listar("SELECT Id FROM cliente WHERE " . $nome . " ='" . $nome_cli . "' AND Codigo = '" . $cod_cli . "' ");
    $_GET["Cliente"] = $Prodt[0]["Id"];

    $Cliente .= "AND venda.Id_Cliente = '" . $_GET["Cliente"] . "' ";
}

if ($_GET["Usuario"])
    $Usuario = "AND venda.Id_Usuario = '" . $_GET["Usuario"] . "' ";

if ($_GET["Funcionario"])
    $usuario_p .= "AND venda.Id_Funcionario = '" . $_GET["Funcionario"] . "' ";

if ($_GET["Vendedor"])
    $usuario_p .= "AND venda.Id_Vendedor = '" . $_GET["Vendedor"] . "' ";


if ($_GET["EF"])
    $usuario_p .= "AND venda.EF = '" . $_GET["EF"] . "' ";

if ($_GET["Centro_Custo"])
    $Centro_Custo .= "AND venda.Id_Centro_Custo = '" . $_GET["Centro_Custo"] . "' ";

if ($_GET["Produto"]) {

    $mystring = $_GET["Produto"];
    $findme = " : ";

    $posicao = strpos($mystring, $findme);

    $cod_cli = substr($_GET["Produto"], 0, $posicao);
    $nome_cli = substr($_GET["Produto"], ($posicao + 3));


    /* convertendo o nome do fornecedor, para o seu codigo */
    $Prodt = listar("SELECT Id FROM produto WHERE Titulo='" . $nome_cli . "' AND Codigo = '" . $cod_cli . "' ");
    $_GET["Produto"] = $Prodt[0]["Id"];

    $venda_produto = "AND venda_produto.Id_Produto = '" . $_GET["Produto"] . "' ";
}

if ($_GET["Unidade"]) {
    $Unidade = "AND venda.Id_Unidade = '" . $_GET["Unidade"] . "' ";
}
if ($_GET["Financeiro"]) {
    $faturamento = "AND venda.Financeiro = '" . $_GET["Financeiro"] . "' ";
}
if ($_GET["Cfop"]) {
    $cfop_v = "AND venda.Id_Cfop = '" . $_GET["Cfop"] . "' ";
    $cfop = "AND venda_produto.Id_Cfop = '" . $_GET["Cfop"] . "' ";
}

if ($_GET["Tipo_Pagamento"]) {
    $tipo_pagto .= "AND venda_tipo_pagamento.Id_Tipo_Pagamento = '" . $_GET["Tipo_Pagamento"] . "' ";
}

if ($_GET["Atividade"]) {
    $atividade = "AND venda.Id_Atividade = '" . $_GET["Atividade"] . "' ";
}
if ($_GET["Vendedor2"])
    $vendedor2 = "AND venda.Id_Vendedor2 = '" . $_GET["Vendedor2"] . "' ";

if ($_GET["Tipo_Cfop"]) {
    $tipoCfop = "AND cfop.Id_Tipo = '" . $_GET["Tipo_Cfop"] . "' ";
}


if ($_GET["Ok"]) {
    $venda = mysqli_query($con, "SELECT venda.Id, venda.Lancamento,
                               venda.Status,
                               venda.Frete,
                               venda.Valor_Frete,
                               venda.Despesa,
                               venda.Valor_Icms_Sub,
                               venda.Data_Venda,
                               venda.Data_Conclusao,
                               venda.Desconto,
                               venda.Fatura,
                               venda.Desconto_Real,
                               venda.Obs,
                               cliente.Codigo as Codigo_Cliente,
                               cliente.Titulo as Cliente,
                               cliente.Razao_Social,
                               venda.Numero_Pedido
                               from venda
                               LEFT JOIN (SELECT Id,Codigo,Titulo,Razao_Social FROM cliente) as cliente ON venda.Id_Cliente = cliente.Id
                               WHERE 1=1
                               $data $status $usuario_p $Cliente $venda_produto $Unidade $Usuario
                               $cfop_v $faturamento $tipo_pagto $Centro_Custo $atividade $vendedor2
                               group by venda.Lancamento
                               order by venda.Lancamento");
}
?>
<html>

<head>
    <title>Gw - Gesto Web</title>
    <link rel="stylesheet" type="text/css" href="../estilo/<?php echo SKIN; ?>/tabelas.css" />
    <link rel="stylesheet" type="text/css" href="../js/datePicker/datePicker.css" />
    <link rel="stylesheet" type="text/css" href="../js/autocomplete/jquery.autocomplete.css" />
    <link rel="stylesheet" type="text/css" href="../js/autocomplete/lib/thickbox.css" />
    <script type="text/javascript" language="javascript" src="../js/jquery.js"></script>
    <?php include '../include/script_cabeca.php'; ?>
    <script type="text/javascript" language="javascript" src="../js/script.js"></script>
    <script type="text/javascript" language="javascript" src="../js/meiomask/meiomask.js"></script>
    <script type="text/javascript" language="javascript" src="../js/meiomask/<?php
                                                                                if (PAIS == "USA") {
                                                                                    echo "mascaras-usa";
                                                                                } else {
                                                                                    echo "mascaras";
                                                                                }
                                                                                ?>.js"></script>
    <script type="text/javascript" language="javascript" src="../js/autocomplete/lib/jquery.bgiframe.min.js"></script>
    <script type="text/javascript" language="javascript" src="../js/autocomplete/lib/jquery.ajaxQueue.js"></script>
    <script type="text/javascript" language="javascript" src="../js/autocomplete/lib/thickbox-compressed.js"></script>
    <script type="text/javascript" language="javascript" src="../js/autocomplete/jquery.autocomplete.js"></script>
    <script language="javascript" type="text/javascript" src="../js/datePicker/<?php
                                                                                if (PAIS == "USA") {
                                                                                    echo "date";
                                                                                } else {
                                                                                    echo "date-pt";
                                                                                }
                                                                                ?>.js"></script>
    <script type="text/javascript" src="../js/datePicker/jquery.datePicker.js"></script>
    <script type="text/javascript" language="javascript">
    Date.firstDayOfWeek = 0;
    <?php
        if (PAIS == "USA") {
            echo "Date.format='mm/dd/yyyy';";
        } else {
            echo "Date.format='dd/mm/yyyy';";
        }
        ?>
    $(function() {
        $('.date-pick').datePicker({
            startDate: '01/01/1990'
        })
    });
    </script>
    <script type="text/javascript" language="javascript">
    $(document).ready(function() {
        $("#Cliente").autocomplete("venda/busca_cliente2.php", {
            width: 340,
            selectFirst: true,
            scroll: false,
            cacheLength: 100,
            max: 100
        });
        $("#Produto").autocomplete("../relatorio/busca_produto.php", {
            width: 340,
            selectFirst: true,
            scroll: false,
            cacheLength: 100,
            max: 100
        });
    });
    </script>
    <style type="text/css">
    thead {
        display: table-header-group;
    }

    tfoot {
        display: table-footer-group;
    }
    </style>
</head>

<body>
    <table width="100%" height="400px">
        <!-- TABELA Q ENVOLVE TODO O CONTEUDO -->
        <tr>
            <td>
                <table width="100%">
                    <tr>
                        <td align="left">
                            <font face="verdana" size="2"><i><b>Relatrio de Vendas</b></i></font>
                        </td>
                        <td align="center">
                            <a href='imp_pdf_venda_simples_terrasanta.php?<?php echo $_SERVER["QUERY_STRING"] ?>' title="Pdf"><img src="../imagem/pdfG.png" border="0" alt="Pdf" title="Pdf" /></a>
                            <br />
                            <font face="verdana" size="2"><i>Pdf</i></font>
                        </td>
                        <td align="center">
                            <a href='imp_excel_venda_simples_terrasanta.php?<?php echo $_SERVER["QUERY_STRING"] ?>' title="Excel"><img src="../imagem/excelG.png" border="0" alt="Excel" title="Excel" /></a>
                            <br />
                            <font face="verdana" size="2"><i>Excel</i></font>
                        </td>
                        <!--
                            <td align="center">
                                <a href='javascript:void(0);' id="bt_Enviar_Email" title="Email"><img src="../imagem/emailG.png" border="0" alt="E-mail" title="E-mail"/></a>
                                <br/><font face="verdana" size="2"><i>E-mail</i></font>
                            </td>
                            -->
                        <td align="center">
                            <a href="imp_rel_venda_simples_terrasanta.php?<?php echo $_SERVER["QUERY_STRING"] ?>" title="Imprimir" target="_blank"><img src="../imagem/imprimirG.png" border="0" alt="Imprimir" title="Imprimir" /></a>
                            <br />
                            <font face="verdana" size="2"><i>Imprimir</i></font>
                        </td>
                    </tr>
                </table>
            </td>
        </tr>
        <tr>
            <td>
                <form action="" method="get">
                    <table width="100%" class="busca_rel">
                        <tr class="azul">
                            <td>De<input type="text" name="De" id="De" class="date-pick" size="10"
                                    value="<?php echo $_GET["De"]; ?>"></td>
                            <td>At<input type="text" name="Ate" id="Ate" class="date-pick" size="10"
                                    value="<?php echo $_GET["Ate"]; ?>"></td>
                            <?php
                            if ($_GET['Data_Filtro'] == 'Data') {
                                $Data = 'checked';
                            } else if ($_GET['Data_Filtro'] == 'Conclusao') {
                                $Conclusao = 'checked';
                            } else {
                                $Data = 'checked';
                            }
                            ?>
                            <td>
                                <input type="radio" name="Data_Filtro" value='Data' id="Data"
                                    <?php echo $Data; ?>><label class="label_radio" for="Data">Data Abertura</label>
                                <input type="radio" name="Data_Filtro" value='Conclusao' id="Conclusao"
                                    <?php echo $Conclusao; ?>><label class="label_radio" for="Conclusao">Data
                                    Concluso</label>
                            </td>
                        </tr>
                        <tr class="azul">
                            <td>
                                <?php
                                if (CLIENTE_RAZAO_SOCIAL == 'Sim') {
                                    $nome = 'Razao_Social';
                                } else {
                                    $nome = 'Titulo';
                                }

                                $Produt = listar("SELECT CONCAT(Codigo,' : ', " . $nome . ") as Titulo FROM cliente WHERE Id='" . $_GET['Cliente'] . "'");
                                $_GET["Cliente"] = $Produt[0]["Titulo"];
                                ?>
                                <label for="Cliente"><b> * Cdigo / Cliente :</b></label>
                                <input style="width: 220px; height: 20px;" type="text" id="Cliente" name="Cliente"
                                    value="<?php echo $_GET['Cliente']; ?>" />
                            </td>
                            <td>
                                <?php
                                echo select_banco2(
                                    "SELECT Id, Titulo from tipo_pagamento WHERE Ativo='Sim' order by Titulo",
                                    "Tipo_Pagamento",
                                    "Tipo_Pagamento",
                                    "Tipo Pagamento",
                                    $_GET["Tipo_Pagamento"],
                                    'style="width:200px"'
                                );
                                ?>

                                &nbsp;&nbsp;&nbsp;&nbsp;
                                <?php
                                //se o sistema for Multi Empresa
                                if (MULTI_EMPRESA == "Sim") {

                                    //se o usuario master ele escolhe pra quem vai
                                    if (ESCOLHER_EMPRESA == 'Sim') {
                                ?>

                                <?php
                                        echo select_banco2(
                                            "SELECT Id,Titulo FROM unidade WHERE Ativo='Sim' ORDER BY Titulo",
                                            "Unidade",
                                            "Unidade",
                                            "Empresa",
                                            $_GET["Unidade"],
                                            'style="width:200px"',
                                            ""
                                        );
                                        ?>

                                <?php
                                        //se no for, a unidade sempre ser a sua
                                    } else {
                                        echo "<input type='hidden' name='Unidade' id='Unidade' value='" . $_SESSION["Unidade"] . "' >";
                                    }
                                } else {
                                    echo "<input type='hidden' name='Unidade' id='Unidade' value='" . $_SESSION["Unidade"] . "' >";
                                }
                                ?>
                            </td>
                            <td>
                                <?php 
                                    echo select_banco2(
                                        "SELECT Id, CONCAT(Cfop,' - ',Titulo) as Titulo from cfop WHERE Ativo = 'Sim' order by Titulo",
                                        "Cfop",
                                        "Cfop",
                                        "Cfop",
                                        $_GET["Cfop"],
                                        "style='width:200px'"
                                    );                                
                                ?>

                            </td>

                        </tr>
                        <tr class="azul">
                            <td>
                                <?php
                                /* convertendo o codigo do produto, para o seu nome */
                                $Produt = listar("SELECT CONCAT(Codigo,' : ', Titulo) as Titulo FROM produto WHERE Id='" . $_GET["Produto"] . "'");
                                $_GET["Produto"] = $Produt[0]["Titulo"];
                                ?>
                                <label for="Produto"><b> * Cdigo / Produto :</b></label>
                                <input style="width: 200px; height: 20px;" type="text" name="Produto" id="Produto"
                                    value="<?php echo $_GET["Produto"] ?>">

                            </td>
                            <td>
                                <input type="checkbox" name="Finalizado" value="Finalizado"
                                    <?php if ($_GET["Finalizado"]) echo "checked='checked' "; ?>>Finalizado
                                <input type="checkbox" name="Aberto" value="Aberto"
                                    <?php if ($_GET["Aberto"]) echo "checked='checked' "; ?>>Em Lanamento
                                <input type="checkbox" name="Cancelado" value="Cancelado"
                                    <?php if ($_GET["Cancelado"]) echo "checked='checked' "; ?>>Cancelado
                            </td>
                            <td>
                                <?php
                                if (VER_APENAS_SUAS_VENDAS == 'Sim') {
                                    $func = "AND Id = '" . $_SESSION["Id_Funcionario"] . "' ";
                                    $_GET["Vendedor"] = $_SESSION["Id_Funcionario"];
                                    $dis = "disabled";
                                    echo "<input type='hidden' name='Vendedor' id='Vendedor' value='" . $_GET["Vendedor"] . "'>";
                                }
                                echo select_banco2(
                                    "Select Id, Titulo from funcionario where Ativo = 'Sim' AND Vendedor = 'Sim' $func order by Titulo",
                                    "Vendedor",
                                    "Vendedor",
                                    "Vendedor",
                                    $_GET["Vendedor"],
                                    'style="width:200px" ' . $dis . ' '
                                );
                                ?>
                                &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
                                <input type="submit" value="Ok" name="Ok">
                            </td>
                        </tr>
                    </table>
                </form>
            </td>
        </tr>
        <tr>
            <td>
                <table width="100%" class="tabela">
                    <tr class="azul-claro">
                        <td>Lanc</td>
                        <td>Data</td>
                        <td>Cliente</td>
                        <td>Valor Unit</td>
                        <td>Qtd Confirmados</td>
                        <td>Qtd Faturado</td>
                        <td>Crditos</td>
                        <td>Qtd Envasado</td>
                        <td>Total</td>
                        <td>Valor Recebido</td>
                        <td>NF</td>
                    </tr>
                    <?php
                    if ($_GET["Ok"]) {
                        $y=1;
                        $color = "#F5F5F5";
                        while ($chave = mysqli_fetch_assoc($venda)) {
                            if ($color == "#F5F5F5") {
                                $color = "#E8E8E8";
                            } else {
                                $color = "#F5F5F5";
                            }

                            $produto = mysqli_query($con, "SELECT produto.Titulo,
                                    produto.Codigo,
                                    venda_produto.Preco,
                                    SUM(venda_produto.Qtd) as Qtd,
                                    venda_produto.Qtd_Faturado
                                    from venda_produto
                                    left join (SELECT Id,Titulo,Codigo FROM produto) as produto ON produto.Id = venda_produto.Id_Produto
                                    where venda_produto.Id_Venda = '" . $chave["Id"] . "'
                                    AND (venda_produto.Id_Produto = '14d37a67c8064f6866246bddad8aadd7' OR venda_produto.Id_Produto = '22684451cda9e26de97f25ade0bc0f40')
                                    $venda_produto
                                    GROUP BY venda_produto.Id_Produto
                                    ORDER BY venda_produto.Data_Cadastro");


                            
                            $vtotal = '0';
                            while ($valor = mysqli_fetch_assoc($produto)) {
                            ?>
                    <tr bgcolor=<?php echo "$color"; ?>>
                    <td><?php echo $chave["Lancamento"] ?></td>
                        <td><?php echo data_exibir($chave["Data_Venda"]) ?></td>
                        <td>
                            <?php
                            if (CLIENTE_RAZAO_SOCIAL == 'Sim') {
                                echo $chave["Codigo_Cliente"] . " : " . $chave["Razao_Social"];
                            } else {
                                echo $chave["Codigo_Cliente"] . " : " . $chave["Cliente"];
                            }
                            ?>
                        </td>
                        <td><?php echo valor_exibir($valor["Preco"]); ?></td><!-- Preo -->
                        <td><?php 
                        $conf = mysqli_query($con, "SELECT venda_produto.Qtd
                            from venda_produto
                            where venda_produto.Id_Venda = '" . $chave["Id"] . "'
                            AND (venda_produto.Id_Produto = '20b347ff7e432083f9a02fcb65fe8f13')
                            $venda_produto
                            ORDER BY venda_produto.Data_Cadastro");
                            $conf = mysqli_fetch_assoc($conf);

                            echo valor_exibir($conf["Qtd"]) ?></td><!-- Qtd Confirmada -->
                        <td><?php echo valor_exibir($valor["Qtd"]) ?></td><!-- Qtd Faturada -->
                        <td><?php
                                $produtoCredito = mysqli_query($con, "SELECT produto.Titulo,
                                    produto.Codigo,
                                    venda_produto.Preco,
                                    SUM(venda_produto.Qtd) as Qtd,
                                    venda_produto.Qtd_Faturado
                                    from venda_produto
                                    left join (SELECT Id,Titulo,Codigo FROM produto WHERE Ativo='Sim') as produto ON produto.Id = venda_produto.Id_Produto
                                    where venda_produto.Id_Venda = '" . $chave["Id"] . "'
                                    AND (venda_produto.Id_Produto = '2a13144816f1eb7693e42b577a7a519c' OR 
                                         venda_produto.Id_Produto = '1c6224f96e7189c63ba2593afd14f6ee' OR 
                                         venda_produto.Id_Produto = 'c37a139e6e3ca64a5134ac99ee360ace' OR 
                                         venda_produto.Id_Produto = 'b6a70886979f5fd6af59c09fd5d5592e' OR
                                         venda_produto.Id_Produto = '3b8dd5fed49ef07419ffee19dbd07a76' OR
                                         venda_produto.Id_Produto = '5819b3932b53a7845d3386b4b8103019' OR
                                         venda_produto.Id_Produto = 'f5dbcbeefe801a669d560f0bd303b6b6' OR
                                         venda_produto.Id_Produto = '4116698d30dfced3d12ec0e310aab339' OR
                                         venda_produto.Id_Produto = '5819b3932b53a7845d3386b4b8103018')
                                    $venda_produto
                                    GROUP BY venda_produto.Id_Produto
                                    ORDER BY venda_produto.Data_Cadastro");
                                    $creditos = mysqli_fetch_assoc($produtoCredito);

                                    echo valor_exibir($creditos["Qtd"]) ?></td><!-- Produto -->
                        <td><?php echo valor_exibir($valor["Qtd_Faturado"]) ?></td><!-- Qtd Envasado -->
                        <td><?php echo @valor_exibir((($valor["Preco"] * $valor["Qtd"]) - (($valor["Preco"] * $valor["Qtd"]) * ($valor["Desconto"] / 100))) - $valor["Desconto_Real"]); ?><!-- Total --></td>
                        <?php
                                $venda_parcela = listar("SELECT venda.Id,
                                                        conta_receber.Lancamento,
                                                        conta_receber.Data_Vencimento,
                                                        SUM(conta_receber.Valor_Pago) AS Valor_Pago, 
                                                        tipo_pagamento.Titulo as 'Tipo_Pagamento'
                                                        from venda
                                                        left join (SELECT Id,Lancamento,Data_Vencimento,Valor_Pago,Id_Externo,Id_Tipo_Pagamento,Status FROM conta_receber) as conta_receber ON conta_receber.Id_Externo = venda.Id
                                                        left join (SELECT Id,Titulo FROM tipo_pagamento) as tipo_pagamento ON tipo_pagamento.Id = conta_receber.Id_Tipo_Pagamento
                                                        where venda.Id = '" . $chave["Id"] . "'
                                                        AND conta_receber.Status = 'Liquidado'				
                                                        order by conta_receber.Data_Vencimento");
                                $x = 1;
                                foreach ($venda_parcela as $financeiro) {
                                    $tReceb+= $financeiro["Valor_Pago"];
                                    $Receb = $financeiro["Valor_Pago"];
                                }
                                ?>
                        <td><?php echo number_format($Receb, 2, ',', '.') ?></td>
                        <td><?php echo $chave["Fatura"] ?></td>
                    </tr>
                        <?php
                        $vtotal+= ((($valor["Preco"] * $valor["Qtd"]) - (($valor["Preco"] * $valor["Qtd"]) * ($valor["Desconto"] / 100))) - $valor["Desconto_Real"]);
                        $vtotalF+= ((($valor["Preco"] * $valor["Qtd"]) - (($valor["Preco"] * $valor["Qtd"]) * ($valor["Desconto"] / 100))) - $valor["Desconto_Real"]);
                        $tEnvasado+= $valor["Qtd_Faturado"];
                        $tConfirmados+= $conf["Qtd"];
                        $tFaturado+= $valor["Qtd"];
                        $tCreditos+= $creditos["Qtd"];
                        $vUnit+= $valor["Preco"];

                            $x++;
                        }
                        ?>
        </tr>
        <?php
                            if ($chave["Status"] == 'Cotao') {
                                $chave["Status"] = "Cotacao";
                            }

                            $vtotalacum[$chave["Status"]] += (($vtotal) + $chave["Despesa"] + $v_frete + $chave["Valor_Icms_Sub"] - ($vtotal * ($chave["Desconto"] / 100))) - $chave["Desconto_Real"];
                            $vtotalacumA += (($vtotal) + $chave["Despesa"] + $v_frete + $chave["Valor_Icms_Sub"] - ($vtotal * ($chave["Desconto"] / 100))) - $chave["Desconto_Real"];
        ?>
        <?php $y++; }
                    }
?>

        <tr>
            <td colspan="3">&nbsp;</td>
            <td><?php echo valor_exibir($vtotalacum["Aberto"] + $vtotalacum["Finalizado"]/$tFaturado); ?></td>
            <td><?php echo $tConfirmados; ?></td>
            <td><?php echo $tFaturado; ?></td>
            <td><?php echo valor_exibir($tCreditos); ?></td>
            <td><?php echo $tEnvasado; ?></td>
            <td><?php echo valor_exibir($vtotalF); ?></td>
            <td><?php echo valor_exibir($tReceb); ?></td>
            <td colspan="2">&nbsp;</td>
        </tr>
        <tr>
            <td colspan="3" align="right"><b>Valores Finais:</b> &nbsp;</td>
            <td colspan="8" align="right">
                Em Lanamento : <b><?php echo valor_exibir($vtotalacum["Aberto"]); ?></b>&nbsp;&nbsp;&nbsp;
                Finalizado : <b><?php echo valor_exibir($vtotalacum["Finalizado"]); ?></b>&nbsp;&nbsp;&nbsp;
                Cancelado : <b><?php echo valor_exibir($vtotalacum["Cancelado"]); ?></b>&nbsp;&nbsp;&nbsp;
                Total Geral :
                <b><?php echo valor_exibir($vtotalacum["Aberto"] + $vtotalacum["Finalizado"]); ?></b>
            </td>
        </tr>
        <tr>
            <td colspan="11">&nbsp;</td>
        </tr>
        <table width="100%" class="tabela" align="center">
            <tr align="center">
                <td colspan="7" align="center"><b>Resumo</b> &nbsp;</td>
            </tr>
            <tr align="center">
                <td>Qtd Total Confirmados: <?php echo $tConfirmados ?></td>
            </tr>
            <tr align="center">
                <td>Qtd Total Envasado: <?php echo $tEnvasado ?></td>
            </tr>
            <tr align="center">
                <td>Qtd Total Faturado: <?php echo $tFaturado ?></td>
            </tr>
            <tr align="center">
                <td>Total Recebido: <?php echo valor_exibir($tReceb) ?></td>
            </tr>
            <tr align="center">
                <td>Total Faturado: <?php echo valor_exibir($vtotalacum["Aberto"] + $vtotalacum["Finalizado"]); ?></td>
            </tr>
            <tr align="center">
                <td>Valor Mdio:
                    <?php echo valor_exibir(($vtotalacum["Aberto"] + $vtotalacum["Finalizado"]) / $tFaturado) ?></td>
            </tr>
        </table>
    </td>
    </tr>
    <tr>
        <td>
            <div id="div_resposta"></div>
        </td>
    </tr>
    </table>
</body>

</html>