<?php
include_once "../include/conecta.php"; //Conecta com a nosso banco de dados MySQL
ini_set('session.gc_maxlifetime', 60*120); session_start();
/* include_once "../include/ver_sessao.php"; //Verifica se a sesso est ativa */
include_once "../include/funcoesPhp.php"; //Inclue a pgina con todas as funes a ser usada.
?>
<?php 
               $venda = listar("Select venda.Id,
 					venda.Lancamento,
 					venda.Status,
 					venda.Data_Venda,
 					venda.Obs as 'Obs_Venda',
 					venda.Valor_Original,
 					venda.Valor_Pago,
                                        venda.Desconto,
                                        venda.Desconto_Real,
                                        venda.Frete,
                                        venda.Numero_Pedido_Fornecedor,
                                        venda.Numero_Pedido_Cliente,
                                        venda.Id_Unidade,
                                        venda.Data_Entrega,
                                        venda.Id_Fornecedor,
                                        cliente.Id as 'Id_Cliente',
 					cliente.Titulo as 'Cliente',
                                        cliente.Codigo as 'Codigo_Cliente',
                                        cliente.Razao_Social as 'Razao_Cliente',
 					cliente.Natureza,
 					cliente.Cpf_Cnpj,
                                        cliente.Estadual,
 					CONCAT(cliente.Rua,', ',cliente.Numero) as Endereco,
 					cliente.Cep,
 					cliente.Bairro,
 					cliente.Estado,
 					cliente.Fone1,
                                        cliente.Email,
 					cliente.Obs as 'Obs_Cliente',
                                        cliente.Cidade,
 					funcionario.Titulo as 'Funcionario',
                                        transportadora.Titulo as 'Transportadora',
                                        transportadora.Fone1 as 'Fone_Transportadora',
                                        tipo_pagamento.Titulo as 'Tipo_Pagamento',
                                        vendedor.Titulo as 'Vendedor'
 					from venda
 					left join 
                                        (SELECT Id,Titulo,Email,Natureza,Cpf_Cnpj,Estadual,Rua,Numero,Cep,Bairro,Estado,Fone1,Obs,Id_Cidade,
                                        Razao_Social,Codigo,Cidade
                                        FROM cliente) as cliente ON cliente.Id = venda.Id_Cliente
 					left join (SELECT Id,Titulo FROM funcionario) as funcionario ON funcionario.Id = venda.Id_Funcionario
                                        left join (SELECT Id,Titulo,Fone1 FROM transportadora) as transportadora ON transportadora.Id = venda.Id_Transportadora
                                        left join (SELECT Id,Titulo FROM tipo_pagamento) as tipo_pagamento ON tipo_pagamento.Id = venda.Id_Tipo_Pagamento
                                        left join (SELECT Id,Titulo FROM funcionario) as vendedor ON vendedor.Id = venda.Id_Vendedor
 					where venda.Id = '".$_GET["id_venda"]."'
					order by venda.Lancamento DESC");

$_GET["Unidade"] = $venda[0]["Id_Unidade"];

ob_start();
?>
<html>
<head>
<title>Gw - Gesto Web</title>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1" />
<link rel="shortcut icon" href="../imagem/favi_gw.ico" type="image/x-icon" />
<script type="text/javascript" language="javascript" src="../js/jquery.js"></script>
<?php include '../include/script_cabeca.php'; ?>
<script type="text/javascript" language="javascript" src="../js/script.js"></script>
<script type="text/javascript" language="javascript" src="../js/meiomask/meiomask.js"></script>
<script type="text/javascript" language="javascript" src="../js/meiomask/<?php if(PAIS=="USA"){ echo "mascaras-usa"; }else{ echo "mascaras"; }?>.js"></script>
<script type="text/javascript" language="javascript" src="../js/editing/editing.js"></script>
<style>
table.tabela{border-collapse: collapse;
		font-family: Verdana, Geneva, sans-serif;
		font-size:11px;
                border:1px #e8e8e8 solid;
                /*line-height:85%;*/
}

table.tabela tr td{
    border:1px #e8e8e8 solid;
}

.azul-claro{background:#87CEEB;}
.cinza{background:#CFCFCF;}

.razao{font-family: Verdana, Geneva, sans-serif; 
      font-size:11px;
}

thead { display: table-header-group; }
tfoot { display: table-footer-group; }

.botao_tableless{
    font-family: Verdana, Arial, sans-serif;
    font-size:11px;
    font-weight: bold;
    background-color:#0d90d7;
    /*letter-spacing:1px;
    margin:7px 0 20px 450px;
    padding: 3px 15px 3px 15px;*/
    color:#fff;
}
.botao_tableless2{
    font-family: Verdana, Arial, sans-serif;
    font-size:11px;
    font-weight: bold;
    background-color:#0d90d7;
    /*letter-spacing:1px;
    margin:7px 0 20px 60px;
    padding: 3px 15px 3px 15px;*/
    color:#fff;
}
</style>
</head>
<body>
<table width="80%" align="center" class="tabela2"><!-- TABELA Q ENVOLVE TODO O CONTEUDO -->
<tr>
	<td>
<table width="100%" align="center">
    <?php
        if(FORNECEDOR_RAZAO_SOCIAL=='Sim'){
            $nome_for = 'Titulo';
        }else{
            $nome_for = 'Razao_Social';
        }
        $cod_forn2 = mysqli_query($con,"SELECT $nome_for as Titulo,Foto FROM fornecedor WHERE Id = '".$venda[0]["Id_Fornecedor"]."' ");
        $cod_forn = mysqli_fetch_assoc($cod_forn2);
    ?>
        <tr>
            <td class="razao" style="font-size: 10px" colspan="3">
                <b>
                    <font face="verdana" size="2">
                            <?php echo $cod_forn["Titulo"];?>
                    </font>
                </b>
                <br>-<br>-<br>
            </td>
            <?php
                    if(!$_GET["Id_Unidade_Usuario"]){
                            $_GET["Id_Unidade_Usuario"] = $_SESSION["Unidade"];
                    }
                    $empresa = listar("Select * from unidade where Id = '".$_GET["Id_Unidade_Usuario"]."' ");
            ?>
            <td class="razao" style="font-size: 10px" colspan="4">
                        <b>
                        <font face="verdana" size="2">
                                <?php echo $empresa[0]["Titulo"];?>
                        </font>
                        </b><br>
                        Fone: <?php echo $empresa[0]["Fone1"];?>
                        <?php
                        if($empresa[0]["Fone2"]){
                            echo " - ".$empresa[0]["Fone2"];
                        }
                        ?>
                        <br>
                        E-mail: <?php echo $empresa[0]["Email"];?><br>
                </td>
        </tr>
</table>
	</td>
</tr>
<tr><td style="height: 4px"></td></tr>
<tr>
	<td>
		<table width="100%" align="center" class="tabela">
			<tr>
                                <td colspan="3">
                                    <b>Cliente...........: 
                                    <?php
                                    $cod_cli2 = mysqli_query($con,"Select Codigo_Cliente from cliente_codigo
                                                            WHERE Id_Cliente = '".$venda[0]["Id_Cliente"]."'
                                                            AND Id_Fornecedor = '".$venda[0]["Id_Fornecedor"]."' ");
                                    $cod_cli = mysqli_fetch_assoc($cod_cli2);
                                    
                                    if($cod_cli["Codigo_Cliente"]==''){
                                        echo $venda[0]["Codigo_Cliente"];
                                    }else{
                                        echo $cod_cli["Codigo_Cliente"];
                                    }
                                    ?>
                                        
                                    <?php
                                    if(CLIENTE_RAZAO_SOCIAL=='Sim'){
                                        echo $venda[0]["Razao_Cliente"];
                                    }else{
                                        echo $venda[0]["Cliente"];
                                    }
                                    ?>
                                    </b>
                                </td>
                                <td colspan="4">Emisso: <?php echo data_exibir($venda[0]["Data_Venda"]);?></td>
			</tr>
                        <tr>
                                <td colspan="3">N Pedido Fornecedor: <?php echo $venda[0]["Numero_Pedido_Fornecedor"];?></td>
                                <td colspan="4">N Pedido Cliente: <?php echo $venda[0]["Numero_Pedido_Cliente"];?></td>
			</tr>
                        <tr>
                                <td colspan="3">Vendedor: <?php echo $venda[0]["Vendedor"];?></td>
                                <td colspan="4"></td>
			</tr>
                        <?php if(CLIENTE_EMAIL=='mcrepresentacoes'){ ?>
                        <tr>
				<td colspan="3">Transportadora: <?php echo $venda[0]["Transportadora"];?></td>
                                <td colspan="4">Tipo Pagamento: <?php echo $venda[0]["Tipo_Pagamento"];?></td>
                        </tr>
                        <?php } ?>
                </table>
        </td>
</tr>
<tr><td style="height: 4px"></td></tr>
<tr>
	<td>
		<table width="100%" align="center" class="tabela">
			<tr>
				<td colspan="7"><i>Produtos</i></td>
			</tr>
			<tr class="azul-claro">
				<td width="3%"><b>N</b></td>
				<td width="10%"><b>Cd Fbrica</b></td>
                                <td width="10%"><b>Cd Cliente</b></td>
				<td width="56%"><b>Produto</b></td>
                                <td width="5%"><b>Qtd</b></td>
                                <td width="8%"><b>Valor</b></td>
				<td width="8%"><b>Total</b></td>
			</tr>
			<?php

               $venda_pro = listar("Select DISTINCT venda_produto.Id,
                                        venda_produto.Preco as 'Preco_Venda',
 					venda_produto.Qtd as 'Qtd_Venda',
 					venda_produto.Desconto as 'Desconto_Venda',
                                        venda_produto.Desconto_Real,
                                        venda_produto.Comissao,
                                        produto.Id as 'Id_Produto',
 					produto.Titulo as 'Produto',
 					produto.Descricao,
 					produto.Codigo
 					from venda_produto
 					left join (SELECT Id,Titulo,Descricao,Codigo FROM produto) as produto ON produto.Id = venda_produto.Id_Produto
 					where venda_produto.Id_Venda = '".$_GET["id_venda"]."'
                                        ORDER BY venda_produto.Data_Cadastro");

                        $x=1; foreach($venda_pro as $chave){?>

			<tr>
				<td><?php echo $x;?></td>
				<td align="center"><?php echo $chave["Codigo"];?></td>
                                <?php
                                $venda_pro = listar("SELECT Codigo_Cliente FROM cliente_negociacao 
                                                    WHERE Id_Cliente = '".$venda[0]["Id_Cliente"]."'
                                                    AND Id_Produto = '".$chave["Id_Produto"]."' ");
                                ?>
                                <td align="center"><?php echo $venda_pro[0]["Codigo_Cliente"];?></td>
				<td align="center"><?php echo $chave["Produto"];?></td>
                                <td align="center"><?php echo $chave["Qtd_Venda"];?></td>
                                <td align="center"><?php echo valor_exibir($chave["Preco_Venda"]);?></td>
				<td align="center">
                                    <?php echo valor_exibir( ( ($chave['Qtd_Venda']*$chave['Preco_Venda']) - ( ($chave['Qtd_Venda']*$chave['Preco_Venda']) * ($chave['Desconto_Venda']/100) ) ) - $chave['Desconto_Real']);?>
                                </td>
			</tr>
			<?php
			$Qtd_Venda+= $chave["Qtd_Venda"];
			$Preco_Venda+=$chave["Preco_Venda"];
			$Desconto_Venda+=$chave["Desconto_Venda"];
                        $Desconto_Real+=$chave["Desconto_Real"];
			$Total+= ( ($chave["Preco_Venda"]*$chave["Qtd_Venda"])-
					(($chave["Preco_Venda"]*$chave["Qtd_Venda"])*($chave["Desconto_Venda"]/100)) ) - $chave['Desconto_Real'];
                        $Total_Com+= (
                                        ( ($chave["Preco_Venda"]*$chave["Qtd_Venda"])-
                                        (($chave["Preco_Venda"]*$chave["Qtd_Venda"])*($chave["Desconto_Venda"]/100)) ) - $chave['Desconto_Real'] 
                                        ) *($chave['Comissao']/100);
			$x++; }
			?>
                        <tr>
				<td colspan="4"></td>
				<td colspan="2" align="right"><b>Valor Total</b></td>
				<td align="center"><?php echo valor_exibir(( ( $Total - ( $Total*($venda[0]["Desconto"]/100) ) ) - $venda[0]["Desconto_Real"]) + $Valor_Ipi);?></td>
                                
			</tr>
		</table>
	</td>
</tr>
</table>
</body>
</html>
<?php

$html = ob_get_contents();
ob_end_clean();


$name_arquivo = $venda[0]["Numero_Pedido_Cliente"]."-".$venda[0]["Codigo_Cliente"]."-".$venda[0]["Cliente"].'.xls';

// Configuraes header para forar o download
header ("Expires: Mon, 26 Jul 1997 05:00:00 GMT");
header ("Last-Modified: " . gmdate("D,d M YH:i:s") . " GMT");
header ("Cache-Control: no-cache, must-revalidate");
header ("Pragma: no-cache");
header ("Content-type: application/x-msexcel");
header ("Content-Disposition: attachment; filename=\"{$name_arquivo}\"" );
header ("Content-Description: PHP Generated Data" );

// Envia o contedo do arquivo
echo $html;
exit;

?>