<?php
include_once "../include/conecta.php"; //Conecta com a nosso banco de dados MySQL
ini_set('session.gc_maxlifetime', 60*120); session_start();
/* include_once "../include/ver_sessao.php"; //Verifica se a sesso est ativa */
include_once "../include/funcoesPhp.php"; //Inclue a pgina con todas as funes a ser usada.
?>
<?php 
               $venda = listar("Select venda.Id,
 					venda.Lancamento,
 					venda.Status,
 					venda.Data_Venda,
 					venda.Obs as 'Obs_Venda',
 					venda.Valor_Original,
 					venda.Valor_Pago,
                                        venda.Desconto,
                                        venda.Desconto_Real,
                                        venda.Frete,
                                        venda.Numero_Pedido_Fornecedor,
                                        venda.Numero_Pedido_Cliente,
                                        venda.Id_Unidade,
                                        venda.Data_Entrega,
                                        venda.Id_Fornecedor,
                                        cliente.Id as 'Id_Cliente',
 					cliente.Titulo as 'Cliente',
                                        cliente.Codigo as 'Codigo_Cliente',
                                        cliente.Razao_Social as 'Razao_Cliente',
 					cliente.Natureza,
 					cliente.Cpf_Cnpj,
                                        cliente.Estadual,
 					CONCAT(cliente.Rua,', ',cliente.Numero) as Endereco,
                                        cliente.Complemento,
 					cliente.Cep,
 					cliente.Bairro,
 					cliente.Estado,
 					cliente.Fone1,
                                        cliente.Fone2,
                                        cliente.Email,
 					cliente.Obs as 'Obs_Cliente',
                                        cliente.Cidade,
                                        cliente.Radio_Endereco_Entrega,
                                        cliente.Radio_Endereco_Cobranca,
 					funcionario.Titulo as 'Funcionario',
                                        transportadora.Titulo as 'Transportadora',
                                        transportadora.Fone1 as 'Fone_Transportadora',
                                        tipo_pagamento.Titulo as 'Tipo_Pagamento',
                                        vendedor.Titulo as 'Vendedor'
 					from venda
 					left join 
                                        (SELECT Id,Titulo,Email,Natureza,Cpf_Cnpj,Estadual,Rua,Numero,Cep,Bairro,Estado,Fone1,Obs,Id_Cidade,
                                        Razao_Social,Codigo,Cidade,Complemento,Radio_Endereco_Entrega,Radio_Endereco_Cobranca,Fone2
                                        FROM cliente) as cliente ON cliente.Id = venda.Id_Cliente
 					left join (SELECT Id,Titulo FROM funcionario) as funcionario ON funcionario.Id = venda.Id_Funcionario
                                        left join (SELECT Id,Titulo,Fone1 FROM transportadora) as transportadora ON transportadora.Id = venda.Id_Transportadora
                                        left join (SELECT Id,Titulo FROM tipo_pagamento) as tipo_pagamento ON tipo_pagamento.Id = venda.Id_Tipo_Pagamento
                                        left join (SELECT Id,Titulo FROM funcionario) as vendedor ON vendedor.Id = venda.Id_Vendedor
 					where venda.Id = '".$_GET["id_venda"]."'
					order by venda.Lancamento DESC");

$_GET["Unidade"] = $venda[0]["Id_Unidade"];

ob_start();
?>
<html>
<head>
<title>Gw - Gesto Web</title>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1" />
<link rel="shortcut icon" href="../imagem/favi_gw.ico" type="image/x-icon" />
<script type="text/javascript" language="javascript" src="../js/jquery.js"></script>
<?php include '../include/script_cabeca.php'; ?>
<script type="text/javascript" language="javascript" src="../js/script.js"></script>
<script type="text/javascript" language="javascript" src="../js/meiomask/meiomask.js"></script>
<script type="text/javascript" language="javascript" src="../js/meiomask/<?php if(PAIS=="USA"){ echo "mascaras-usa"; }else{ echo "mascaras"; }?>.js"></script>
<script type="text/javascript" language="javascript" src="../js/editing/editing.js"></script>
<style>
table.tabela{border-collapse: collapse;
		font-family: Verdana, Geneva, sans-serif;
		font-size:11px;
                border:1px #e8e8e8 solid;
                /*line-height:85%;*/
}

table.tabela tr td{
    /*border:1px #e8e8e8 solid;*/
    border:1px #000 solid;
}

.azul-claro{background:#87CEEB;}
.cinza{background:#CFCFCF;}

.razao{font-family: Verdana, Geneva, sans-serif; 
      font-size:11px;
}


thead { display: table-header-group; }
tfoot { display: table-footer-group; }

.botao_tableless{
    font-family: Verdana, Arial, sans-serif;
    font-size:11px;
    font-weight: bold;
    background-color:#0d90d7;
    /*letter-spacing:1px;
    margin:7px 0 20px 450px;
    padding: 3px 15px 3px 15px;*/
    color:#fff;
}
.botao_tableless2{
    font-family: Verdana, Arial, sans-serif;
    font-size:11px;
    font-weight: bold;
    background-color:#0d90d7;
    /*letter-spacing:1px;
    margin:7px 0 20px 60px;
    padding: 3px 15px 3px 15px;*/
    color:#fff;
}
</style>
</head>
<body>

<table width="100%" align="center">
    <?php
        if(FORNECEDOR_RAZAO_SOCIAL=='Sim'){
            $nome_for = 'Titulo';
        }else{
            $nome_for = 'Razao_Social';
        }
        $cod_forn2 = mysqli_query($con,"SELECT $nome_for as Titulo,
                                    Rua,
                                    Numero,
                                    Complemento,
                                    Bairro,
                                    Cidade,
                                    Estado,
                                    Cep,
                                    Fone1,
                                    Fone2,
                                    Foto
                                    FROM fornecedor WHERE Id = '".$venda[0]["Id_Fornecedor"]."' ");
        $cod_forn = mysqli_fetch_assoc($cod_forn2);
    ?>
        <tr>
            <td style="border:1px #000 solid;">
                <table width="100%" align="center" class="tabela">
                    <tr>
                        <td colspan="3" style="border:1px #000 solid;" align="center">
                            <img src="C:\/pontti\/tear.png">
                        </td>
                    </tr>
                </table>
            </td>
            <td style="border:1px #000 solid;">
                <table width="100%" align="center" class="tabela">
                    <tr><td colspan="6" style="border:1px #000 solid;"><?php echo $cod_forn["Titulo"];?></td></tr>
                    <tr><td colspan="6" style="border:1px #000 solid;"><?php echo $cod_forn["Rua"].", ".$cod_forn["Numero"]." - ".$cod_forn["Complemento"]." - ".$cod_forn["Bairro"];?></td></tr>
                    <tr><td colspan="6" style="border:1px #000 solid;"><?php echo $cod_forn["Cep"]." - ".$cod_forn["Cidade"]." - ".$cod_forn["Estado"];?></td></tr>
                    <tr><td colspan="6" style="border:1px #000 solid;"><?php echo $cod_forn["Fone1"]." | ".$cod_forn["Fone2"];?></td></tr>
                </table>
            </td>
            <td style="border:1px #000 solid;">
                <table width="100%" align="center" class="tabela">
                    <tr><td colspan="2" style="border:1px #000 solid;">PEDIDO DE</td></tr>
                    <tr><td colspan="2" style="border:1px #000 solid;">VENDA</td></tr>
                    <tr><td colspan="2" style="border:1px #000 solid;">&nbsp;</td></tr>
                    <tr><td colspan="2" style="border:1px #000 solid;">N <?php echo $venda[0]["Numero_Pedido_Fornecedor"];?></td></tr>
                </table>
            </td>
        </tr>
</table>

<table width="100%" align="center" class="tabela" style="border:1px #000 solid;">
        <?php
            $empresa = listar("Select Logo,Titulo from unidade where Id = '1' ");
        ?>
        <tr>
                <td colspan="7" style="border:1px #000 solid;">1) Representante: <?php echo $empresa[0]["Titulo"];?></td>
                <td colspan="4" style="border:1px #000 solid;">2) N Pedido repres : <b><?php echo $venda[0]["Numero_Pedido_Cliente"];?></b></td>
        </tr>
        <tr>
                <td colspan="11" style="border:1px #000 solid;">
                    3) Razo Social Cliente: 
                    <b>
                    <?php
                    if(CLIENTE_RAZAO_SOCIAL=='Sim'){
                        echo $venda[0]["Razao_Cliente"];
                    }else{
                        echo $venda[0]["Cliente"];
                    }
                    ?>
                    </b>
                </td>
        </tr>
        <tr>
                <td colspan="11" style="border:1px #000 solid;">4) Cliente j Cadastrado: ______ sim</td>
        </tr>
        <tr>
                <td colspan="6" style="border:1px #000 solid;">5) CNPJ: <?php echo cnpj_exibir($venda[0]["Cpf_Cnpj"]);?></td>
                <td colspan="5" style="border:1px #000 solid;">6) Insc. Estadual: <?php echo $venda[0]["Estadual"];?></td>
        </tr>
        <tr>
                <td colspan="11" style="border:1px #000 solid;">7) End Faturamento: <?php echo $venda[0]["Endereco"]." ".$venda[0]["Complemento"];?></td>
        </tr>
        <tr>
                <td colspan="6" style="border:1px #000 solid;">8) Bairro: <?php echo $venda[0]["Bairro"];?></td>
                <td colspan="5" style="border:1px #000 solid;">9) Cidade: <?php echo $venda[0]["Cidade"];?></td>
        </tr>
        <tr>
                <td colspan="3" style="border:1px #000 solid;">10) UF: <?php echo $venda[0]["Estado"];?></td>
                <td colspan="3" style="border:1px #000 solid;">11) Cep: <?php echo $venda[0]["Cep"];?></td>
                <td colspan="5" style="border:1px #000 solid;">12) Telefone: <?php echo $venda[0]["Fone1"];?></td>
        </tr>
        <?php
            $end_cob = listar("SELECT Endereco_Cobranca,
                                Cep_Cobranca,
                                Bairro_Cobranca,
                                Cidade_Cobranca,
                                Estado_Cobranca
                                FROM cliente WHERE Id = '".$venda[0]["Id_Cliente"]."' ");
        ?>
        <tr>
                <td colspan="11" style="border:1px #000 solid;">16) End Cobrana: <?php echo $end_ent[0]["Endereco_Cobranca"];?></td>
        </tr>
        <tr>
                <td colspan="6" style="border:1px #000 solid;">17) Bairro: <?php echo $end_cob[0]["Bairro_Cobranca"];?></td>
                <td colspan="5" style="border:1px #000 solid;">18) Cidade: <?php echo $end_cob[0]["Cidade_Cobranca"];?></td>
        </tr>
        <tr>
                <td colspan="3" style="border:1px #000 solid;">19) UF: <?php echo $end_cob[0]["Estado_Cobranca"];?></td>
                <td colspan="3" style="border:1px #000 solid;">20) Cep: <?php echo $end_cob[0]["Cep_Cobranca"];?></td>
                <td colspan="5" style="border:1px #000 solid;">21) Telefone: <?php echo $venda[0]["Fone2"];?></td>
        </tr>
        <?php
            $end_ent = listar("SELECT Endereco_Entrega,
                                Cep_Entrega,
                                Bairro_Entrega,
                                Cidade_Entrega,
                                Estado_Entrega
                                FROM cliente WHERE Id = '".$venda[0]["Id_Cliente"]."' ");
        ?>
        <tr>
                <td colspan="11" style="border:1px #000 solid;">26) End Entrega: <?php echo $end_ent[0]["Endereco_Entrega"];?></td>
        </tr>
        <tr>
                <td colspan="6" style="border:1px #000 solid;">27) Bairro: <?php echo $end_ent[0]["Bairro_Entrega"];?></td>
                <td colspan="5" style="border:1px #000 solid;">28) Cidade: <?php echo $end_ent[0]["Cidade_Entrega"];?></td>
        </tr>
        <tr>
                <td colspan="3" style="border:1px #000 solid;">29) UF: <?php echo $end_ent[0]["Estado_Entrega"];?></td>
                <td colspan="3" style="border:1px #000 solid;">30) Cep: <?php echo $end_ent[0]["Cep_Entrega"];?></td>
                <td colspan="5" style="border:1px #000 solid;">31) Telefone: <?php echo $venda[0]["Fone2"];?></td>
        </tr>
        <tr>
                <td colspan="6" style="border:1px #000 solid;">36) Data Emisso Pedido: <?php echo data_exibir($venda[0]["Data_Venda"]);?></td>
                <td colspan="5" style="border:1px #000 solid;">37) Ms Entrega: <?php echo mes_ano($venda[0]["Data_Entrega"]);?></td>
        </tr>
        <tr>
                <td colspan="11" style="border:1px #000 solid;">38) Condies de pagamento: <?php echo $venda[0]["Tipo_Pagamento"];?></td>
        </tr>
</table>

<table width="100%" align="center" style="border:1px #000 solid;">
    <tr>
    <td colspan="10" style="vertical-align: top;" style="border:1px #000 solid;">
        <table width="100%" align="center" class="tabela" style="border:1px #000 solid;">
                    <tr class="azul-claro">
                        <td width="10%" style="border:1px #000 solid;"><b>Seq</b></td>
                        <td width="25%" style="border:1px #000 solid;"><b>Artigo/<br>Cdigo</b></td>
                        <td width="15%" colspan="3" style="border:1px #000 solid;"><b>Des Cor</b></td>
                        <td width="10%" style="border:1px #000 solid;"><b>Var</b></td>
                        <td width="10%" style="border:1px #000 solid;"><b>Unidade</b></td>
                        <td width="10%" style="border:1px #000 solid;"><b>Tipo<br>Rolos</b></td>
                        <td width="10%" style="border:1px #000 solid;"><b>Met/Kg<br>Artigo</b></td>
                        <td width="10%" style="border:1px #000 solid;"><b>Preo<br>Unit.</b></td>
                    </tr>
                    <?php

           $venda_pro = mysqli_query($con,"Select DISTINCT venda_produto.Id,
                                    venda_produto.Preco as 'Preco_Venda',
                                    venda_produto.Qtd as 'Qtd_Venda',
                                    venda_produto.Desconto as 'Desconto_Venda',
                                    venda_produto.Desconto_Real,
                                    venda_produto.Comissao,
                                    produto.Id as 'Id_Produto',
                                    produto.Titulo as 'Produto',
                                    produto.Descricao,
                                    produto.Codigo,
                                    produto.Medida
                                    from venda_produto
                                    left join (SELECT Id,Titulo,Descricao,Codigo,Medida FROM produto) as produto ON produto.Id = venda_produto.Id_Produto
                                    where venda_produto.Id_Venda = '".$_GET["id_venda"]."'
                                    ORDER BY venda_produto.Data_Cadastro");

                    $x=1; while($chave = mysqli_fetch_assoc($venda_pro)){?>

                    <tr>
                            <td width="10%" style="border:1px #000 solid;"><?php echo $x;?></td>
                            <td width="25%" align="center" style="border:1px #000 solid;"><?php echo $chave["Codigo"];?></td>
                            <td width="15%" align="center" colspan="3" style="border:1px #000 solid;"><?php echo $chave["Produto"];?></td>
                            <td width="10%" align="center" style="border:1px #000 solid;"><?php echo $chave["Aplicacao"];?></td>
                            <td width="10%" align="center" style="border:1px #000 solid;">&nbsp;</td>
                            <td width="10%" align="center" style="border:1px #000 solid;"><?php echo $chave["Medida"];?></td>
                            <td width="10%" align="center" style="border:1px #000 solid;"><?php echo $chave["Qtd_Venda"];?></td>
                            <td width="10%" align="center" style="border:1px #000 solid;"><?php echo valor_exibir($chave["Preco_Venda"]);?></td>
                    </tr>
                    <?php
                    $Qtd_Venda+= $chave["Qtd_Venda"];
                    $Preco_Venda+=$chave["Preco_Venda"];
                    $Desconto_Venda+=$chave["Desconto_Venda"];
                    $Desconto_Real+=$chave["Desconto_Real"];
                    $Total+= ( ($chave["Preco_Venda"]*$chave["Qtd_Venda"])-
                                    (($chave["Preco_Venda"]*$chave["Qtd_Venda"])*($chave["Desconto_Venda"]/100)) ) - $chave['Desconto_Real'];
                    $Total_Com+= (
                                    ( ($chave["Preco_Venda"]*$chave["Qtd_Venda"])-
                                    (($chave["Preco_Venda"]*$chave["Qtd_Venda"])*($chave["Desconto_Venda"]/100)) ) - $chave['Desconto_Real'] 
                                    ) *($chave['Comissao']/100);
                    $x++; }
                    
                    
                    
                    //maretada das 18 linhas
                    $y = 18 - ($x-1);
                    
                    if($y <= 18){
                        
                        for ($i = 1; $i <= $y; $i++) {
                    ?>
                    <tr>
                            <td colspan="10" style="border:1px #000 solid;">&nbsp;</td>
                    </tr>
                    <?php
                        }
                        
                    }
                    
                    ?>
            </table>
    </td>
    <td>
        <table width="100%" align="center" class="tabela">
            <tr>
                <td style="border:1px #000 solid;">Segmento de Mercado</td>
            </tr>
            <tr>
                <td style="border:1px #000 solid;">___Confeccionista</td>
            </tr>
            <tr>
                <td style="border:1px #000 solid;">___Atacadista</td>
            </tr>
            <tr>
                <td style="border:1px #000 solid;">___Varejista</td>
            </tr>
            <tr>
                <td style="border:1px #000 solid;">___Indstria</td>
            </tr>
            <tr>
                <td style="border:1px #000 solid;">___Exportao</td>
            </tr>
            <tr>
                <td style="border:1px #000 solid;">Aceita Entrega</td>
            </tr>
            <tr>
                <td style="border:1px #000 solid;">Faturamento Parcial</td>
            </tr>
            <tr>
                <td style="border:1px #000 solid;">NO</td>
            </tr>
            <tr>
                <td style="border:1px #000 solid;">Frete</td>
            </tr>
            <tr>
                <td style="border:1px #000 solid;"><?php echo $venda[0]["Frete"]; ?></td>
            </tr>
            <tr>
                <td style="border:1px #000 solid;">Metragem Total</td>
            </tr>
            <tr>
                <td style="border:1px #000 solid;">do Pedido</td>
            </tr>
            <tr>
                <td style="border:1px #000 solid;"><?php echo $Qtd_Venda;?> MT</td>
            </tr>
            <tr>
                <td style="border:1px #000 solid;">Valor Total Pedido</td>
            </tr>
            <tr>
                <td style="border:1px #000 solid;">R$ <?php echo valor_exibir(( ( $Total - ( $Total*($venda[0]["Desconto"]/100) ) ) - $venda[0]["Desconto_Real"]) + $Valor_Ipi);?></td>
            </tr>
            <tr>
                <td style="border:1px #000 solid;">Cd Cliente</td>
            </tr>
            <tr>
                <td style="border:1px #000 solid;"></td>
            </tr>
            <tr>
                <td style="border:1px #000 solid;">Cd Representante</td>
            </tr>
            <tr>
                <td style="border:1px #000 solid;"></td>
            </tr>
        </table>
    </td>
    </tr>
</table>

<table width="100%" align="center" class="tabela" style="border:1px #000 solid;">
        <tr>
                <td colspan="4" style="border:1px #000 solid;">54) Transportadora: <?php echo $venda[0]["Transportadora"];?></td>
                <td colspan="4" style="border:1px #000 solid;">55) Endereo: </td>
                <td colspan="3" style="border:1px #000 solid;">56) Cidade/UF: </td>
        </tr>
        <tr>
                <td colspan="4" style="border:1px #000 solid;">57) Cep: </td>
                <td colspan="4" style="border:1px #000 solid;">58) Telefone: </td>
                <td colspan="3" style="border:1px #000 solid;">59) Contato: </td>
        </tr>
        <tr>
                <td colspan="6" style="border:1px #000 solid;">60) CNPJ: </td>
                <td colspan="5" style="border:1px #000 solid;">61) Insc Estadual: </td>
        </tr>
        <tr>
                <td colspan="4" style="border:1px #000 solid;">54) Transportadora Redespacho:</td>
                <td colspan="4" style="border:1px #000 solid;">55) Endereo: </td>
                <td colspan="3" style="border:1px #000 solid;">56) Cidade/UF: </td>
        </tr>
        <tr>
                <td colspan="4" style="border:1px #000 solid;">57) Cep: </td>
                <td colspan="4" style="border:1px #000 solid;">58) Telefone: </td>
                <td colspan="3" style="border:1px #000 solid;">59) Contato: </td>
        </tr>
        <tr>
                <td colspan="6" style="border:1px #000 solid;">65) CNPJ: </td>
                <td colspan="5" style="border:1px #000 solid;">66) Insc Estadual: </td>
        </tr>
        <tr>
                <td colspan="11" style="border:1px #000 solid;"><?php echo $venda[0]["Obs_Venda"];?></td>
        </tr>
</table>

</body>
</html>
<?php

$html = ob_get_contents();
ob_end_clean();


$name_arquivo = $venda[0]["Numero_Pedido_Cliente"]."-".$venda[0]["Codigo_Cliente"]."-".$venda[0]["Cliente"].'.xls';

// Configuraes header para forar o download
header ("Expires: Mon, 26 Jul 1997 05:00:00 GMT");
header ("Last-Modified: " . gmdate("D,d M YH:i:s") . " GMT");
header ("Cache-Control: no-cache, must-revalidate");
header ("Pragma: no-cache");
header ("Content-type: application/x-msexcel");
header ("Content-Disposition: attachment; filename=\"{$name_arquivo}\"" );
header ("Content-Description: PHP Generated Data" );

// Envia o contedo do arquivo
echo $html;
exit;

?>