<?php
include_once "../include/conecta.php"; //Conecta com a nosso banco de dados MySQL
ini_set('session.gc_maxlifetime', 60*120); session_start();
/* include_once "../include/ver_sessao.php"; //Verifica se a sesso est ativa */
include_once "../include/funcoesPhp.php"; //Inclue a pgina con todas as funes a ser usada.
?>
<?php 
            $venda = listar("Select venda.Id,
 					venda.Lancamento,
 					venda.Status,
 					venda.Data_Venda,
                    venda.Data_Chegada,
                    venda.Data_Conclusao,
                    venda.Tipo_Atendimento,
                    venda.Data_Retirada,
                    venda.Tempo_Conserto,
                    venda.Taxa_Visita,
 					venda.Obs as 'Obs_Venda',
 					venda.Valor_Original,
 					venda.Valor_Pago,
                    venda.Contato_Cliente,
                    venda.Id_Unidade,
 					cliente.Titulo as 'Cliente',
 					cliente.Email,
 					cliente.Natureza,
 					cliente.Cpf_Cnpj,
 					cliente.Endereco,
                    cliente.Complemento,
                    cliente.Ponto_Referencia,
 					cliente.Cep,
 					cliente.Bairro,
 					cliente.Cidade,
 					cliente.Estado,
 					cliente.Fone1,
                    cliente.Fone2,
 					cliente.Obs as 'Obs_Cliente',
 					funcionario.Titulo as 'Funcionario'
                    from venda
 					left join (SELECT Id,Titulo,Email,Natureza,Cpf_Cnpj,Endereco,Complemento,Ponto_Referencia,Cep,Bairro,Estado,Fone1,Fone2,Obs,Cidade FROM cliente) as cliente ON cliente.Id = venda.Id_Cliente
 					left join (SELECT Id,Titulo FROM funcionario) as funcionario ON funcionario.Id = venda.Id_Vendedor
                    where venda.Id = '".$_GET["id_venda"]."' ");

$_GET["Unidade"] = $venda[0]["Id_Unidade"];
?>
<html>
<head>
<title>Gw - Gesto Web</title>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1" />
<link rel="shortcut icon" href="../imagem/favi_gw.ico" type="image/x-icon" />
<link rel="stylesheet" type="text/css" href="../estilo/<?php echo SKIN ;?>/tabela_imp.css" />
<script type="text/javascript" language="javascript" src="../js/jquery.js"></script>
<?php include '../include/script_cabeca.php'; ?>
<script type="text/javascript" language="javascript" src="../js/script.js"></script>
<script type="text/javascript" language="javascript" src="../js/meiomask/meiomask.js"></script>
<script type="text/javascript" language="javascript" src="../js/meiomask/<?php if(PAIS=="USA"){ echo "mascaras-usa"; }else{ echo "mascaras"; }?>.js"></script>
<script type="text/javascript" language="javascript">
  window.onload = function(){
    //window.print();
  }
</script>
</head>
<body>

<table width="98%" align="center"><!-- TABELA Q ENVOLVE TODO O CONTEUDO -->
<tr>
	<td>
<table width="90%" align="center">
<?php
        
        //variavel $_GET["Unidade"], vem de todos os filtros de relatorios.
        if(!$_GET["Unidade"]){
                $_GET["Unidade"] = $_SESSION["Unidade"];
        }
        
        $empresa = listar("Select Logo,Titulo,Cnpj,Rua,Numero,
                                Bairro,Cidade,Estado,Cep,Fone1,Fone2,Email,Site
                                from unidade where Id = '".$_GET["Unidade"]."' ");
?>
        <tr>
            <td width="30%">
            <?php
                if(file_exists("../unidade/foto/".$empresa[0]["Logo"]."")){
                    $cam_arq = "../unidade/foto/".$empresa[0]["Logo"];
                }else{
                    $cam_arq = "../../unidade/foto/".$empresa[0]["Logo"];
                }
            ?>
                <img src="<?php echo $cam_arq; ?>" title="Logo" alt="Logo" border="0" width="140px" height="auto"/>
            </td>
                <td width="70%" class="razao">
                        <b><font face="verdana" size="3">
                                <?php echo $empresa[0]["Titulo"];?>
                        </font></b><br>
                        Cnpj: <?php echo $empresa[0]["Cnpj"];?><br>
                        End: <?php echo $empresa[0]["Rua"].", ".$empresa[0]["Numero"];?> | <?php echo $empresa[0]["Bairro"];?> |
                        <?php echo $empresa[0]["Cidade"];?> | <?php echo $empresa[0]["Estado"];?> - 
                        CEP <?php echo $empresa[0]["Cep"];?><br>
                        Fone: <?php echo $empresa[0]["Fone1"];?>
                        <?php
                        if($empresa[0]["Fone2"]){
                            echo " - ".$empresa[0]["Fone2"];
                        }
                        ?>
                        <br>
                        E-mail: <?php echo $empresa[0]["Email"];?><br>
                        <?php
                        if($empresa[0]["Site"]){
                            echo 'Site: '.$empresa[0]["Site"];
                        }
                        ?>
                </td>
        </tr>
</table>
	</td>
</tr>
<tr>
	<td>
		<table width="100%" align="center">
			<tr>
                            <td colspan="2" align="center">
                                <font face="verdana" size="3">
                                    <b>
                                        <i>
                                Oramento - <?php echo $venda[0]["Lancamento"];?>
                                        </i>
                                    </b>
                                </font></td>
			</tr>
		</table>
	</td>
</tr>
<tr>
	<td>
                <table width="100%" align="center" class="tabela" style="font-size: 12px">
                        <tr>
                                <td width="70%">Data: <?php echo data_exibir($venda[0]["Data_Venda"]);?></td>
                                <td width="30%">Data Atend: <?php echo data_exibir($venda[0]["Data_Chegada"]);?></td>
			</tr>
			<tr>
                                <td width="70%">Cliente: <?php echo $venda[0]["Cliente"];?></td>
                                <td width="30%">Data Liberao: <?php echo data_exibir($venda[0]["Data_Conclusao"]);?></td>
			</tr>
			<tr>
				<td width="70%">Solicitante: <?php echo $venda[0]["Contato_Cliente"];?></td>
				<td width="30%">Fone: 
                                    <?php
                                        echo $venda[0]["Fone1"];
                                        if($venda[0]["Fone2"]){
                                            echo " / ".$venda[0]["Fone2"];
                                        }
                                    ?>
                                </td>
			</tr>
			<tr>
				<td width="70%">End: <?php echo $venda[0]["Endereco"].", ".$venda[0]["Complemento"];?></td>
				<?php if($os[0]["Natureza"] == "PF"){?>
				<td width="30%">CPF: <?php echo cpf_exibir($venda[0]["Cpf_Cnpj"]);?></td>
				<?php }else{?>
				<td width="30%">CNPJ: <?php echo cnpj_exibir($venda[0]["Cpf_Cnpj"]);?></td>
				<?php }?>
			</tr>
			<tr>
				<td width="70%"><?php echo 'Bairro:'.$venda[0]["Bairro"].' &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
                                                            Cidade:'.$venda[0]["Cidade"].' &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
                                                            UF:'.$venda[0]["Estado"];?></td>
				<td width="30%">CEP: <?php echo cep_exibir($venda[0]["Cep"]);?></td>
			</tr>
                        <tr>
				<td colspan="2">Ponto Ref: <?php echo $venda[0]["Ponto_Referencia"];?></td>
			</tr>
		</table>
	</td>
</tr>

<tr>
	<td>
		<table width="100%" align="center" class="tabela" style="font-size: 12px">
			<tr>
				<td colspan="9"><i>Produtos em Reparo</i></td>
			</tr>
			<tr class="azul-claro">
				<td width="8%">N</td>
                                <td>Marca</td>
                                <td>Modelo</td>
                                <td>Num Srie</td>
                                <td>Cd Produto</td>
                                <td>Garantia</td>
                                <td>Num Nota</td>
				<td>Fornecedor</td>
			</tr>
                    <?php
                        if(FORNECEDOR_RAZAO_SOCIAL=='Sim'){
                            $nome = 'Razao_Social';
                        }else{
                            $nome = 'Titulo';
                        }
                        $venda_prod = listar("Select venda_produto_reparo.Id,
                                        venda_produto_reparo.Defeito_Informado,
                                        venda_produto_reparo.Defeito_Reparo,
                                        venda_produto_reparo.Solucao_Reparo,
                                        venda_produto_reparo.Produto_Reparo,
                                        venda_produto_reparo.Marca,
                                        venda_produto_reparo.Modelo,
                                        venda_produto_reparo.Numero_Serie,
                                        venda_produto_reparo.Codigo_Produto,
                                        venda_produto_reparo.Garantia,
                                        venda_produto_reparo.Nota_Fiscal,
                                        fornecedor.Titulo as Fornecedor
                                        from venda_produto_reparo
                                        left join (SELECT Id,$nome as Titulo FROM fornecedor) as fornecedor ON fornecedor.Id = venda_produto_reparo.Id_Fornecedor
                                        where venda_produto_reparo.Id_Venda = '".$_GET["id_venda"]."' ");

                    ?>
			<?php $x=1; foreach($venda_prod as $chave){?>
			<tr>
				<td><?php echo $x;?></td>
                                <td><?php echo $chave['Marca'];?></td>
                                <td><?php echo $chave['Modelo'];?></td>
                                <td><?php echo $chave['Numero_Serie'];?></td>
                                <td><?php echo $chave['Codigo_Produto'];?></td>
                                <td><?php echo $chave['Garantia'];?></td>
                                <td><?php echo $chave['Nota_Fiscal'];?></td>			
				<td><?php echo $chave["Fornecedor"];?></td>
			</tr>
                        <tr>
                            <td colspan="8">Defeito Informado: 
                                <?php
                                if($chave["Defeito_Informado"]){
                                    echo $chave["Defeito_Informado"];
                                }else{
                                    echo "<br/><br/>";
                                }
                                ?>
                            </td>
			</tr>
                        <tr>
                            <td colspan="8">Defeito Constatado: 
                                <?php
                                if($chave["Defeito_Reparo"]){
                                    echo $chave["Defeito_Reparo"];
                                }else{
                                    echo "<br/><br/>";
                                }
                                ?>
                            </td>
			</tr>
                        <tr>
                            <td colspan="8">Soluo:
                                <?php
                                if($chave["Solucao_Reparo"]){
                                    echo $chave["Solucao_Reparo"];
                                }else{
                                    echo "<br/><br/><br/><br/>";
                                }
                                ?>
                            </td>
			</tr>
			<?php
			$x++; }
			?>
		</table>
	</td>
</tr>
<tr>
	<td>
                <table width="100%" align="center" class="tabela" style="font-size: 12px">
                        <tr>
                                <td colspan="2">Retirado aparelho para assistncia em: <?php echo data_exibir($venda[0]["Data_Retirada"]);?></td>
			</tr>
			<tr>
        <?php

            $tp_pagamento = mysqli_query($con,"select  venda_tipo_pagamento.Id, 
                                            venda_tipo_pagamento.Id_Venda, 
                                            venda_tipo_pagamento.Id_Tipo_Pagamento, 
                                            venda_tipo_pagamento.Valor_Pago, 
                                            tipo_pagamento.Titulo as 'Tipo_Pagamento'       
                                    from venda_tipo_pagamento 
                                    left join (SELECT Id,Titulo FROM tipo_pagamento) as tipo_pagamento ON tipo_pagamento.Id = venda_tipo_pagamento.Id_Tipo_Pagamento
                                    where Id_Venda = '".$_GET["id_venda"]."' ");


            while ($valor = mysqli_fetch_assoc($tp_pagamento)) {
                $pagamento.=$valor["Tipo_Pagamento"]." , ";
            }

                $pagamento = substr($pagamento, 0, -3);

        ?>

                                <td width="50%">Forma Pagamento: <?php echo $pagamento;?></td>
                                <td width="50%">Atendimento: <?php echo $venda[0]["Tipo_Atendimento"];?></td>
			</tr>
			<tr>
                                <td width="50%">Taxa Visita: <?php echo valor_exibir($venda[0]["Taxa_Visita"]);?></td>
                                <td width="50%">Tempo para Conserto: <?php echo $venda[0]["Tempo_Conserto"];?></td>
			</tr>
			<tr>
				<td colspan="2">Ocorrncias Gerais: <?php echo $venda[0]["Obs_Os"];?></td>
			</tr>
		</table>
	</td>
</tr>
<?php if(CLIENTE_EMAIL=='brpneus'){ ?>
<tr>
    <td align="justify">
        <font size="2">
        Ligar antes de buscar o produto em servio!
        <br>
        Obs: Aps 60 dias, as mercadorias que no forem retiradas sero vendidas para cobrir as despesas.
        <br>    
        Prazo de entrega: 10 dias teis
        <br>
        Servios apenas a vista!
        </font>
    </td>
</tr>
<?php } 
     else if(CLIENTE_EMAIL!='remol'){ ?>
<tr>
    <td align="justify">
        <font size="2">
        O produto retirado para empresa, ter o prazo de 3 dias para fazer o oramento ao cliente que ter 15 dias para aprov-lo.
        Os produtos instalados tero os custos de retirada e reinstalao (ex. cooktop, coifas, depuradores) Os custos de retirada 
        e reinstalao ser o mesmo de uma instalao de um aparelho novo na tabela em vigor. No caso de aparelhos com mais de (02 anos) 
        de uso haver antes da retirada consulta a fbrica ou importadora para verificar a disponibilidade das peas, ser cobrada a taxa de visita.
        <br>Produtos em garantia s sero executados com apresentao da cpia da nota fiscal.
        </font>
    </td>
</tr>
<?php } ?>

<!--
<?php

    $venda_parcela = listar("Select os.Id,
                            conta_receber.Lancamento,
                            conta_receber.Data_Vencimento,
                            conta_receber.Valor_Original, 
                            tipo_pagamento.Titulo as 'Tipo_Pagamento'
                            from os
                            left join (SELECT Id,Titulo FROM tipo_pagamento) as tipo_pagamento ON tipo_pagamento.Id = os.Id_Tipo_Pagamento
                            left join (SELECT Id,Lancamento,Data_Vencimento,Valor_Original,Id_Externo FROM conta_receber) as conta_receber ON conta_receber.Id_Externo = os.Id
                            where os.Id = '".$_GET["id_os"]."' 					
                            order by conta_receber.Data_Vencimento");

if($venda_parcela[0]["Id"]){
?>
<tr>
	<td>
		<table width="100%" align="center" class="tabela">
			<tr>
				<td colspan="4"><i>Parcelas</i></td>
			</tr>
			<tr class="azul-claro">
				<td>N</td>
				<td>Vencimento</td>
				<td>Valor</td>
				<td>Tipo</td>
			</tr>
			<?php $x=1; foreach($venda_parcela as $chave){?>
			<tr>
				<td><?php echo $x;?></td>
				<td><?php echo data_exibir($chave["Data_Vencimento"])?></td>
				<td><?php echo number_format($chave["Valor_Original"],2,',','.')?></td>
				<td><?php echo $chave["Tipo_Pagamento"]?></td>
			</tr>
			<?php $x++; }?>
		</table>
	</td>
</tr>
<?php } ?>
</table>
-->

<table width="98%" align="center">
	<tr>
		<td align="center">
                    <br/>
                    ________________________
                </td>
		<td align="center">
                    <br/>
                    ________________________
                </td>
	</tr>
	<tr>
		<td align="center"><font face="verdana" size="2"><?php echo $os[0]["Cliente"];?></font></td>
		<td align="center"><font face="verdana" size="2">Tcnico: <?php echo $os[0]["Funcionario"];?></font></td>
	</tr>
</table>
</body>
</html>
<?php include "../include/rodape.php";?>