<?php
include_once '../../include/conecta.php'; //Conecta com a nosso banco de dados MySQL
include_once '../../include/ver_sessao.php'; //Verifica se a sesso est ativa
include_once '../../include/funcoesPhp.php';
include_once '../../menu_movimento.php';

/*BUSCA REALIZADA PARA MONTAR A TABELA DE CONSULTA DOS ITENS SO ATIVA QUANDO O BUTAO FOR CHAMADO*/
$sql_acompanhamento = mysqli_query($con, "SELECT DISTINCT venda_acompanhamento_produto.Id,
                                        venda_acompanhamento_produto.Projeto_Entregue,
                                        venda_acompanhamento_produto.Data_Entrega,
                                        venda_acompanhamento_produto.Hora_Entrega,
                                        venda_acompanhamento_produto.Id_Os,
                                        venda_acompanhamento_produto.Id_Os2,
                                        venda_acompanhamento_produto.Id_Responsavel_Liberacao,
                                        venda_acompanhamento_produto.Responsavel_Carregamento,
                                        venda_acompanhamento_produto.Responsavel_Recebimento,
                                        venda_acompanhamento_produto.Obs_Entrega,
                                        produto.Titulo as 'Produto',
                                        ambiente.Titulo as Ambiente,
                                        funcionario.Titulo as 'Funcionario'
                                        FROM venda_acompanhamento_produto
                                        left join (SELECT Id,Titulo,Regime_ST,Codigo FROM produto) as produto ON produto.Id = venda_acompanhamento_produto.Id_Produto
                                        left join (SELECT Id,Titulo FROM produto WHERE Tipo_Produto='J') as ambiente ON ambiente.Id = venda_acompanhamento_produto.Id_Ambiente
                                        left join (SELECT Id,Titulo FROM funcionario ) as funcionario ON funcionario.Id = venda_acompanhamento_produto.Id_Responsavel_Liberacao
                                        WHERE venda_acompanhamento_produto.Id_Acompanhamento='" . $_POST["idAcompanhamento"] . "'
                                        AND venda_acompanhamento_produto.Tipo = 'Entrega'
                                        ORDER BY venda_acompanhamento_produto.Data_Cadastro")
    or die("ERRO no comando SQL:" . mysqli_error($con));

ob_start();
?>
<?php
$color = "#F5F5F5";
$x = 0;
while ($linha = mysqli_fetch_assoc($sql_acompanhamento)) {
    if ($color == "#F5F5F5") {
        $color = "#E8E8E8";
    } else {
        $color = "#F5F5F5";
    }

?>

    <?php if ($x == 0) { ?>
        <table width="100%" align="center" border="0" cellpadding="2" cellspacing="2">
            <tr>
                <td class="table_prod_nome">&nbsp;</td>
                <td class="table_prod_nome">Ambiente</td>
                <td class="table_prod_nome">Item:</td>
                <td class="table_prod_nome">Data Entrega</td>
                <td class="table_prod_nome">Hora Entrega</td>
                <td class="table_prod_nome">N Os</td>
                <td class="table_prod_nome">N Os</td>
                <td colspan="2" class="table_prod_nome">Opes</td>
            </tr>
        <?php } ?>


        <tr bgcolor=<?php echo "$color"; ?>>
            <td>&nbsp;</td>
            <td class="table_prod_valor"><?php echo $linha['Ambiente']; ?></td>
            <td class="table_prod_valor"><?php echo $linha['Produto']; ?></td>
            <td class="table_prod_valor"><?php echo data_exibir($linha['Data_Entrega']); ?></td>
            <td class="table_prod_valor"><?php echo $linha['Hora_Entrega']; ?></td>
            <td class="table_prod_valor"><?php echo $linha['Id_Os']; ?></td>
            <td class="table_prod_valor"><?php echo $linha['Id_Os2']; ?></td>
            <?php if ($_POST["Opcao_Ver"] != 'ver') { ?>
                <!-- <td class="table_prod_valor">
                    <?php if (VENDA12_ALTERAR == 'Sim') { ?>
                        <input class="botao_novo" type="button" value="Alterar" onclick="window.open('tabela_alterar.php?id_linha=<?php echo $linha['Id']; ?>','Alterar','width=600,height=550,top=0,left=0,scrollbars=yes')">
                    <?php } ?>
                </td> -->
                <td class="table_prod_valor">
                    <?php if (VENDA12_REMOVER == 'Sim') { ?>
                        <input class="botao_novo" type="button" value="Remover" onclick="ApagarLinha('<?php echo $linha['Id']; ?>');">
                    <?php } ?>
                <?php } ?>
                </td>
        </tr>
        <?php if ($x == 0) { ?>
            <tr>
                <td class="table_prod_nome">&nbsp;</td>
                <td colspan="2" class="table_prod_nome">Responsvel Liberao:</td>
                <td colspan="2" class="table_prod_nome">Responsvel Carregamento:</td>
                <td colspan="2" class="table_prod_nome">Responsvel Recebimento:</td>
                <td class="table_prod_nome">&nbsp;</td>
            </tr>
        <?php } ?>
        <tr bgcolor=<?php echo "$color"; ?>>
            <td class="table_prod_valor">&nbsp;</td>
            <td colspan="2" class="table_prod_valor"><?php echo $linha['Funcionario']; ?></td>
            <td colspan="2" class="table_prod_valor"><?php echo $linha['Responsavel_Carregamento']; ?></td>
            <td colspan="3" class="table_prod_valor"><?php echo $linha['Responsavel_Recebimento']; ?></td>

        </tr>
        <tr>
            <td>&nbsp;</td>
            <td colspan="7" class="table_prod_valor"><b>Obs.: </b><?php echo utf8_decode($linha['Obs_Entrega']); ?></td>
        </tr>

    <?php

    $x++;
} ?>

        </table>

        <?php
        $pagina = ob_get_contents();
        ob_end_clean();
        echo utf8_encode($pagina);
        ?>