<?php
include_once '../include/conecta.php'; //Conecta com a nosso banco de dados MySQL
include_once '../include/ver_sessao.php'; //Verifica se a sesso est ativa
include_once '../include/funcoesPhp.php';
include_once '../menu_movimento.php';
?>
<?php
if ($_GET["De"])
    $data .= "AND venda.Data_Venda >= '" . data_banco($_GET["De"]) . " 00:00:00' ";
if ($_GET["Ate"])
    $data .= "AND venda.Data_Venda <= '" . data_banco($_GET["Ate"]) . " 23:59:59' ";


if ($_GET["Vendedor"]) {
    $consulta .= "and venda.Id_Vendedor = '" . $_GET["Vendedor"] . "' ";
}

if ($_GET['Tipo_Experiencia']) {
    $experiencia = " AND venda.Tipo_Experiencia='" . $_GET['Tipo_Experiencia'] . "' ";
}

if ($_GET["Ok"]) {
    $funcionario = mysqli_query($con, "SELECT DISTINCT vendedor.Id as Id_Vendedor,
                           vendedor.Titulo as Vendedor,
                           COUNT(vendedor.Id) as Qtd
                           FROM (SELECT Id,Data_Venda,Id_Vendedor,Tipo_Movimentacao,Tipo_Experiencia FROM venda WHERE Tipo_Movimentacao='Registro_Ativacao' $data $consulta) as venda
                           left join (SELECT Id,Titulo FROM funcionario) as vendedor ON vendedor.Id = venda.Id_Vendedor
                           where 1=1 $experiencia
                           GROUP BY Id_Vendedor
                           order by Qtd DESC, vendedor.Titulo ");


    $qtd_mes = mysqli_query($con, "SELECT COUNT(Id) as Qtd,
                           Id_Vendedor
                           FROM (SELECT Id,Data_Venda,Id_Vendedor,Tipo_Experiencia
                           FROM venda
                           WHERE Tipo_Movimentacao='Registro_Ativacao'
                           $data $consulta) as venda
                           where 1=1 $experiencia
                           GROUP BY Id_Vendedor
                           order by Qtd DESC LIMIT 3 ");
    $i = '1';
    while ($chave = mysqli_fetch_assoc($qtd_mes)) {
        $vencedor[$i] = $chave["Id_Vendedor"];
        $i++;
    }
}
?>
<html>

<head>
    <title>Gw - Gesto Web</title>
    <link rel="stylesheet" type="text/css" href="../estilo/<?php echo SKIN; ?>/tabelas.css" />
    <link rel="stylesheet" type="text/css" href="../js/datePicker/datePicker.css" />
    <script type="text/javascript" language="javascript" src="../js/jquery.js"></script>
    <?php include '../include/script_cabeca.php'; ?>
    <script type="text/javascript" language="javascript" src="../js/script.js"></script>
    <script type="text/javascript" language="javascript" src="../js/meiomask/meiomask.js"></script>
    <script type="text/javascript" language="javascript" src="../js/meiomask/<?php
                                                                                if (PAIS == "USA") {
                                                                                    echo "mascaras-usa";
                                                                                } else {
                                                                                    echo "mascaras";
                                                                                }
                                                                                ?>.js"></script>
    <!-- required plugins -->
    <script language="javascript" type="text/javascript" src="../js/datePicker/<?php
                                                                                if (PAIS == "USA") {
                                                                                    echo "date";
                                                                                } else {
                                                                                    echo "date-pt";
                                                                                }
                                                                                ?>.js"></script>
    <!--[if IE]>
                <script type="text/javascript" src="../js/datePicker/jquery.bgiframe.js"></script>
                <![endif]-->
    <!-- jquery.datePicker.js -->
    <script type="text/javascript" src="../js/datePicker/jquery.datePicker.js"></script>
    <script type="text/javascript" language="javascript">
        Date.firstDayOfWeek = 0;
        <?php
        if (PAIS == "USA") {
            echo "Date.format='mm/dd/yyyy';";
        } else {
            echo "Date.format='dd/mm/yyyy';";
        }
        ?>
        $(function() {
            $('.date-pick').datePicker({
                startDate: '01/01/1990'
            })
        });
    </script>
    <script type="text/javascript" language="javascript">
        $(document).ready(function() {

            $('#bt_Enviar_Email').click(function() {
                $.blockUI({
                    message: $('#Tela_Email'),
                    css: {
                        width: '350px'
                    }
                });
                //setTimeout($.unblockUI, 6000);
            });


            $('#Enviar_Email').click(function() {
                $.blockUI({
                    message: "<h2>Enviando E-mail...</h2>"
                });

                var nomeDestinatario = $("#Nome_Destinatario").val();
                var emailDestinatario = $("#Email_Destinatario").val();
                //var nomeCopia = $("#Nome_Copia").val();
                //var emailCopia = $("#Email_Copia").val();
                var de = $("#De").val();
                var ate = $("#Ate").val();
                var Ativo_Rel = $("#Ativo_Rel").val();
                var unidade = $("#Unidade").val();
                $.get("email_rel_comissao_mes.php", {
                        Nome_Destinatario: nomeDestinatario,
                        Email_Destinatario: emailDestinatario,
                        De: de,
                        Ate: ate,
                        Unidade: unidade,
                        Ativo: Ativo_Rel
                    },
                    function(data) {
                        $("#div_resposta").html(data);
                        $.unblockUI();
                        $("#Nome_Destinatario").val('');
                        $("#Email_Destinatario").val('');
                        $("#Nome_Copia").val('');
                        $("#Email_Copia").val('');
                    });

            });


            $('#Cancelar_Email').click(function() {
                $.unblockUI();
                return false;
            });


        });
    </script>
    <style type="text/css">
        thead {
            display: table-header-group;
        }

        tfoot {
            display: table-footer-group;
        }
    </style>
</head>

<body>
    <table width="100%" height="400px"><!-- TABELA Q ENVOLVE TODO O CONTEUDO -->
        <tr>
            <td>
                <table width="100%">
                    <tr>
                        <td align="left">
                            <font face="verdana" size="2"><i><b>Relatrio de Gratificao Mensal</b></i></font>
                        </td>
                        <td align="center">
                            <a href='imp_pdf_comissao_mes.php?<?php echo $_SERVER["QUERY_STRING"] ?>' title="Pdf"><img src="../imagem/pdfG.png" border="0" alt="Pdf" title="Pdf" /></a>
                            <br />
                            <font face="verdana" size="2"><i>Pdf</i></font>
                        </td>
                        <td align="center">
                            <a href='imp_excel_comissao_mes.php?<?php echo $_SERVER["QUERY_STRING"] ?>' title="Excel"><img src="../imagem/excelG.png" border="0" alt="Excel" title="Excel" /></a>
                            <br />
                            <font face="verdana" size="2"><i>Excel</i></font>
                        </td>
                        <td align="center">
                            <a href='javascript:void(0);' id="bt_Enviar_Email" title="Email"><img src="../imagem/emailG.png" border="0" alt="E-mail" title="E-mail" /></a>
                            <br />
                            <font face="verdana" size="2"><i>E-mail</i></font>
                        </td>
                        <td align="center">
                            <a href="imp_rel_comissao_mes.php?<?php echo $_SERVER["QUERY_STRING"] ?>" title="Imprimir" target="_blank"><img src="../imagem/imprimirG.png" border="0" alt="Imprimir" title="Imprimir"></a>
                            <br />
                            <font face="verdana" size="2"><i>Imprimir</i></font>
                        </td>
                    </tr>
                </table>
            </td>
        </tr>
        <tr>
            <td>
                <form action="" method="get">
                    <table width="100%" class="busca_rel">
                        <tr class="azul">
                            <!--
                                <td width="3%">Data de Cadastro:</td>
                                -->
                            <td>De:<input type="text" name="De" id="De" class="date-pick" size="10" value="<?php echo $_GET["De"]; ?>"></td>
                            <td>At:<input type="text" name="Ate" id="Ate" class="date-pick" size="10" value="<?php echo $_GET["Ate"]; ?>"></td>
                            <td>
                                <?php
                                echo select_banco2("Select Id, Titulo from funcionario order by Titulo", "Vendedor", "Vendedor", "Agente", $_GET["Vendedor"]);
                                ?>
                            </td>
                            <td>
                                <?php
                                $vetor = array('' => 'Experincia', 'Sim' => 'Sim', 'No' => 'No');
                                select_tela("Tipo_Experiencia", "Tipo_Experiencia", $_GET["Tipo_Experiencia"], $vetor);
                                ?>
                            </td>
                            <td>
                                <input type="submit" value="Ok" name="Ok">
                            </td>
                        </tr>
                    </table>
                </form>
            </td>
        </tr>
        <tr>
            <td>
                <table width="100%" class="tabela">

                    <tr class="azul-claro">
                        <td>Agente</td>
                        <td>Qtd</td>
                        <td>Gratificao</td>
                        <td>Bnus Dirio</td>
                        <td>Bnus Semanal</td>
                        <td>Bnus Mensal</td>
                        <td>Bnus Rei</td>
                        <td>Total</td>
                    </tr>
                    <?php
                    $mes = substr($_GET["De"], 3, 2);
                    $ano = substr($_GET["De"], -4);

                    if ($_GET["Ok"]) {


                        $i = '1';
                        while ($chave = mysqli_fetch_assoc($funcionario)) {



                            $qtd_venda = mysqli_query($con, "Select COUNT(Id) as Qtd
                           FROM (SELECT Id,Data_Venda,Id_Vendedor
                           FROM venda
                           WHERE Id_Vendedor='" . $chave["Id_Vendedor"] . "' AND Tipo_Movimentacao='Registro_Ativacao'
                           $data $consulta) as venda
                           where 1=1
                           order by venda.Data_Venda");
                            $reg = mysqli_fetch_assoc($qtd_venda);

                            $Valor_Comissao = '50';
                    ?>
                            <tr>
                                <td><?php echo $chave["Vendedor"] ?></td>
                                <td><?php echo $reg["Qtd"] ?></td>
                                <td>
                                    <?php
                                    $Valor_Comissao_Func = $reg["Qtd"] * $Valor_Comissao;
                                    echo valor_exibir($Valor_Comissao_Func);
                                    ?>
                                </td>
                                <td>
                                    <?php
                                    //Buscando o bonus diario acumulado
                                    $bonus_dia = mysqli_query($con, "Select SUM(Comissao_Diaria) as Comissao_Diaria
                                        FROM (SELECT Comissao_Diaria
                                        FROM venda_comissao
                                        WHERE Id_Funcionario='" . $chave["Id_Vendedor"] . "'
                                        AND YEAR(Data_Pagamento) = '" . $ano . "'
                                        AND MONTH(Data_Pagamento) = '" . $mes . "' ) as venda ");
                                    $bonus_dia = mysqli_fetch_assoc($bonus_dia);

                                    echo valor_exibir($bonus_dia["Comissao_Diaria"]);
                                    ?>
                                </td>
                                <td>
                                    <?php
                                    //Buscando o bonus semanal acumulado
                                    $bonus_semana = mysqli_query($con, "Select SUM(Comissao_Semanal) as Comissao_Semanal
                                        FROM (SELECT Comissao_Semanal
                                        FROM venda_comissao
                                        WHERE Id_Funcionario='" . $chave["Id_Vendedor"] . "'
                                        AND YEAR(Data_Pagamento) = '" . $ano . "'
                                        AND MONTH(Data_Pagamento) = '" . $mes . "' ) as venda ");
                                    $bonus_semana = mysqli_fetch_assoc($bonus_semana);

                                    echo valor_exibir($bonus_semana["Comissao_Semanal"]);
                                    ?>
                                </td>
                                <td>
                                    <?php
                                    $Valor_Bonus_Mes = '0';
                                    if (($reg["Qtd"] == 10) && ($reg["Qtd"] <= 13)) {
                                        $Valor_Bonus_Mes = '150';
                                    } else if (($reg["Qtd"] >= 14) && ($reg["Qtd"] <= 17)) {
                                        $Valor_Bonus_Mes = '250';
                                    } else if (($reg["Qtd"] >= 18) && ($reg["Qtd"] <= 20)) {
                                        $Valor_Bonus_Mes = '350';
                                    } else if (($reg["Qtd"] >= 21) && ($reg["Qtd"] <= 25)) {
                                        $Valor_Bonus_Mes = '500';
                                    } else if (($reg["Qtd"] >= 25) && ($reg["Qtd"] <= 9999)) {
                                        $Valor_Bonus_Mes = '800';
                                    }

                                    echo valor_exibir($Valor_Bonus_Mes);
                                    ?>
                                </td>
                                <td>
                                    <?php
                                    $Valor_Bonus_Rei = '0';
                                    if ($i == '1') {
                                        $Valor_Bonus_Rei = '500';
                                    }
                                    if ($i == '2') {
                                        $Valor_Bonus_Rei = '300';
                                    }
                                    if ($i == '3') {
                                        $Valor_Bonus_Rei = '200';
                                    }

                                    echo valor_exibir($Valor_Bonus_Rei);
                                    ?>
                                </td>
                                <td><?php echo valor_exibir($Valor_Comissao_Func + $Valor_Bonus_Mes + $Valor_Bonus_Diario + $Valor_Bonus_Rei); ?></td>
                            </tr>
                    <?php
                            $Valor_Comissao_FuncG += $Valor_Comissao_Func;
                            $Valor_Bonus_DiarioG += $Valor_Bonus_Diario;
                            $Valor_Bonus_ReiG += $Valor_Bonus_Rei;
                            $Valor_Bonus_MesG += $Valor_Bonus_Mes;

                            $i++;
                        }
                    }
                    ?>
                    <tr>
                        <td colspan="3" align="right"><b>Total: &nbsp;&nbsp;</b></td>
                        <td><b><?php echo valor_exibir($Valor_Comissao_FuncG) ?></b></td>
                        <td><b><?php echo valor_exibir($Valor_Bonus_MesG) ?></b></td>
                        <td><b><?php echo valor_exibir($Valor_Bonus_DiarioG) ?></b></td>
                        <td><b><?php echo valor_exibir($Valor_Bonus_ReiG) ?></b></td>
                        <td><b><?php echo valor_exibir($Valor_Comissao_FuncG + $Valor_Bonus_MesG + $Valor_Bonus_DiarioG + $Valor_Bonus_ReiG) ?></b></td>
                    </tr>
                </table>
            </td>
        </tr>
        <tr>
            <td>
                <div id="div_resposta"></div>
            </td>
        </tr>
    </table>
    <br>
    <!-- INICIO DA TELA MODAL ENVIO DE EMAIL-->
    <!-- No css existe um estilo para essas divs que as deixa invisivel - display:none; -->
    <?php include_once "../include/email_tabela.php"; ?>
    <!-- FIM DA TELA MODAL ENVIO DE EMAIL-->
</body>

</html>