<?php
include_once '../include/conecta.php'; //Conecta com a nosso banco de dados MySQL
include_once '../include/ver_sessao.php'; //Verifica se a sesso est ativa
include_once '../include/funcoesPhp.php';
include_once '../menu_movimento.php';

if (($_GET["Finalizado"]) ||
    ($_GET["Aberto"]) ||
    ($_GET["Recebido"]) ||
    ($_GET["Em_Orcamento"]) ||
    ($_GET["Em_Servio"]) ||
    ($_GET["Em_Teste"]) ||
    ($_GET["Entregue_Pendente"]) ||
    ($_GET["Entregue"]) ||
    ($_GET["Concluido"]) ||
    ($_GET["Aguardando_Aprovacao"]) ||
    ($_GET["Cancelado"])
) {

    $status = "AND (";

    if ($_GET["Finalizado"]) {
        $status .= " venda.Status = 'Finalizado' OR";
    }
    if ($_GET["Aberto"]) {
        $status .= " venda.Status = 'Aberto' OR";
    }
    if ($_GET["Recebido"]) {
        $status .= " venda.Status = 'Recebido' OR";
    }
    if ($_GET["Em_Orcamento"]) {
        $status .= " venda.Status = 'Em_Orcamento' OR";
    }
    if ($_GET["Em_Servico"]) {
        $status .= " venda.Status = 'Em_Servico' OR";
    }
    if ($_GET["Em_Teste"]) {
        $status .= " venda.Status = 'Em_Teste' OR";
    }
    if ($_GET["Entregue_Pendente"]) {
        $status .= " venda.Status = 'Entregue_Pendente' OR";
    }
    if ($_GET["Entregue"]) {
        $status .= " venda.Status = 'Entregue' OR";
    }
    if ($_GET["Concluido"]) {
        $status .= " venda.Status = 'Concluido' OR";
    }
    if ($_GET["Aguardando_Aprovacao"]) {
        $status .= " venda.Status = 'Aguardando_Aprovacao' OR";
    }
    if ($_GET["Cancelado"]) {
        $status .= " venda.Status = 'Cancelado' OR";
    }
    $status = substr($status, 0, -2);
    $status .= ")";
}

if ($_GET['Data_Filtro'] == 'Data') {
    if ($_GET["De"])
        $data .= "AND venda.Data_Venda >= '" . data_banco($_GET["De"]) . " 00:00:00' ";
    if ($_GET["Ate"])
        $data .= "AND venda.Data_Venda <= '" . data_banco($_GET["Ate"]) . " 23:59:59' ";
}
if ($_GET['Data_Filtro'] == 'Conclusao') {

    if ($_GET["Aberto"]) {
        if ($_GET["De"]) {
            $data .= "AND (venda.Data_Conclusao >= '" . data_banco($_GET["De"]) . " 00:00:00' OR
                          venda.Data_Venda >= '" . data_banco($_GET["De"]) . " 00:00:00' ) ";
        }
        if ($_GET["Ate"]) {
            $data .= "AND (venda.Data_Conclusao <= '" . data_banco($_GET["Ate"]) . " 23:59:59' OR
                         venda.Data_Venda <= '" . data_banco($_GET["Ate"]) . " 23:59:59' ) ";
        }
    } else {
        if ($_GET["De"])
            $data .= "AND venda.Data_Conclusao >= '" . data_banco($_GET["De"]) . " 00:00:00' ";
        if ($_GET["Ate"])
            $data .= "AND venda.Data_Conclusao <= '" . data_banco($_GET["Ate"]) . " 23:59:59' ";
    }
}

if ($_GET["Cliente"]) {

    $mystring = $_GET["Cliente"];
    $findme = " : ";

    $posicao = strpos($mystring, $findme);

    $cod_cli = substr($_GET["Cliente"], 0, $posicao);
    $nome_cli = substr($_GET["Cliente"], ($posicao + 3));


    if (CLIENTE_RAZAO_SOCIAL == 'Sim') {
        $nome = 'Razao_Social';
    } else {
        $nome = 'Titulo';
    }
    /* convertendo o nome do fornecedor, para o seu codigo */
    $Prodt = listar("SELECT Id FROM cliente WHERE " . $nome . " ='" . $nome_cli . "' AND Codigo = '" . $cod_cli . "' ");
    $_GET["Cliente"] = $Prodt[0]["Id"];

    $Cliente .= "AND venda.Id_Cliente = '" . $_GET["Cliente"] . "' ";
}

if ($_GET["Produto"]) {

    $mystring = $_GET["Produto"];
    $findme = " : ";

    $posicao = strpos($mystring, $findme);

    $cod_cli = substr($_GET["Produto"], 0, $posicao);
    $nome_cli = substr($_GET["Produto"], ($posicao + 3));


    /* convertendo o nome do fornecedor, para o seu codigo */
    $Prodt = listar("SELECT Id FROM produto WHERE Titulo='" . $nome_cli . "' AND Codigo = '" . $cod_cli . "' ");
    $_GET["Produto"] = $Prodt[0]["Id"];

    $venda_produto = "AND venda_produto.Id_Produto = '" . $_GET["Produto"] . "' ";
}

if ($_GET["Usuario"])
    $Usuario = "AND venda.Id_Usuario = '" . $_GET["Usuario"] . "' ";

if ($_GET["Funcionario"])
    $usuario_p .= "AND venda.Id_Funcionario = '" . $_GET["Funcionario"] . "' ";

if ($_GET["Vendedor"])
    $usuario_p .= "AND venda.Id_Vendedor = '" . $_GET["Vendedor"] . "' ";

if ($_GET["EF"])
    $usuario_p .= "AND venda.EF = '" . $_GET["EF"] . "' ";

if ($_GET["Unidade"]) {
    $Unidade = "AND venda.Id_Unidade = '" . $_GET["Unidade"] . "' ";
}
if($_GET["Centro_Custo"]){
	$centro = "and venda.Id_Centro_Custo = '".$_GET["Centro_Custo"]."' ";
}

if ($_GET["Ok"]) {
    $venda = mysqli_query($con, "SELECT venda.Id, venda.Lancamento,
                                venda.Status,
                                venda.Frete,
                                venda.Data_Venda,
                                venda.Valor_Pago,
                                venda.Desconto,
                                venda.Desconto_Real,
                                venda.Banco,
                                cliente.Titulo as Cliente,
                                cliente.Razao_Social,
                                centro_custo.Titulo as 'Centro_Custo',
                                vendedor.Titulo as 'Vendedor',
                                venda.Fatura
                                from venda
                                LEFT JOIN (SELECT Id,Id_Produto,Id_Venda FROM venda_produto) as venda_produto ON venda_produto.Id_Venda = venda.Id
                                LEFT JOIN (SELECT Id,Titulo FROM funcionario) as vendedor ON vendedor.Id = venda.Id_Vendedor
                                LEFT JOIN (SELECT Id,Titulo,Razao_Social FROM cliente) as cliente ON venda.Id_Cliente = cliente.Id
                                LEFT JOIN (SELECT Id,Titulo FROM centro_custo) as centro_custo ON venda.Id_Centro_Custo = centro_custo.Id
                                WHERE 1=1
                                $data $status $usuario_p $Cliente $venda_produto $Unidade $Usuario $centro
                                group by venda.Lancamento
                                order by venda.Lancamento");
}

?>
<html>

<head>
    <title>Gw - Gesto Web</title>
    <link rel="stylesheet" type="text/css" href="../estilo/<?php echo SKIN; ?>/tabelas.css" />
    <link rel="stylesheet" type="text/css" href="../js/datePicker/datePicker.css" />
    <link rel="stylesheet" type="text/css" href="../js/autocomplete/jquery.autocomplete.css" />
    <link rel="stylesheet" type="text/css" href="../js/autocomplete/lib/thickbox.css" />
    <script type="text/javascript" language="javascript" src="../js/jquery.js"></script>
    <?php include '../include/script_cabeca.php'; ?>
    <script type="text/javascript" language="javascript" src="../js/script.js"></script>
    <script type="text/javascript" language="javascript" src="../js/meiomask/meiomask.js"></script>
    <script type="text/javascript" language="javascript" src="../js/meiomask/<?php if (PAIS == "USA") {
                                                                                    echo "mascaras-usa";
                                                                                } else {
                                                                                    echo "mascaras";
                                                                                } ?>.js"></script>
    <script type="text/javascript" language="javascript" src="../js/autocomplete/lib/jquery.bgiframe.min.js"></script>
    <script type="text/javascript" language="javascript" src="../js/autocomplete/lib/jquery.ajaxQueue.js"></script>
    <script type="text/javascript" language="javascript" src="../js/autocomplete/lib/thickbox-compressed.js"></script>
    <script type="text/javascript" language="javascript" src="../js/autocomplete/jquery.autocomplete.js"></script>
    <!-- required plugins -->
    <script language="javascript" type="text/javascript" src="../js/datePicker/<?php if (PAIS == "USA") {
                                                                                    echo "date";
                                                                                } else {
                                                                                    echo "date-pt";
                                                                                } ?>.js"></script>
    <!--[if IE]>
	<script type="text/javascript" src="../js/datePicker/jquery.bgiframe.js"></script>
	<![endif]-->
    <!-- jquery.datePicker.js -->
    <script type="text/javascript" src="../js/datePicker/jquery.datePicker.js"></script>
    <script type="text/javascript" language="javascript">
        Date.firstDayOfWeek = 0;
        <?php if (PAIS == "USA") {
            echo "Date.format='mm/dd/yyyy';";
        } else {
            echo "Date.format='dd/mm/yyyy';";
        } ?>
        $(function() {
            $('.date-pick').datePicker({
                startDate: '01/01/1990'
            })
        });
    </script>
    <script type="text/javascript" language="javascript">
        $(document).ready(function() {
            $("#Cliente").autocomplete("venda/busca_cliente3.php", {
                width: 340,
                selectFirst: true,
                scroll: false,
                cacheLength: 100,
                max: 100
            });
            $("#Produto").autocomplete("venda/busca_produto.php", {
                width: 340,
                selectFirst: true,
                scroll: false,
                cacheLength: 100,
                max: 100
            });
        });
    </script>
    <script type="text/javascript" language="javascript">
        $(document).ready(function() {

            $('#bt_Enviar_Email').click(function() {
                $.blockUI({
                    message: $('#Tela_Email'),
                    css: {
                        width: '350px'
                    }
                });
                //setTimeout($.unblockUI, 6000);
            });


            $('#Enviar_Email').click(function() {
                $.blockUI({
                    message: "<h2>Enviando E-mail...</h2>"
                });

                var nomeDestinatario = $("#Nome_Destinatario").val();
                var emailDestinatario = $("#Email_Destinatario").val();
                //var nomeCopia = $("#Nome_Copia").val();
                //var emailCopia = $("#Email_Copia").val();
                var de = $("#De").val();
                var ate = $("#Ate").val();
                var Funcionario = $("#Funcionario").val();
                var Cliente = $("#Cliente").val();
                var Produto = $("#Produto").val();
                var Finalizado_rel = $("#Finalizado_Rel").val();
                var cancelado_rel = $("#Cancelado_Rel").val();
                var aberto_rel = $("#Aberto_Rel").val();
                var cotacao_rel = $("#Cotacao_Rel").val();
                $.get("email_rel_venda_simples.php", {
                        Nome_Destinatario: nomeDestinatario,
                        Email_Destinatario: emailDestinatario,
                        De: de,
                        Ate: ate,
                        Funcionario: Funcionario,
                        Produto: Produto,
                        Finalizado: Finalizado_rel,
                        Cancelado: cancelado_rel,
                        Aberto: aberto_rel,
                        Cotacao: cotacao_rel,
                        Cliente: Cliente
                    },
                    function(data) {
                        $("#div_resposta").html(data);
                        $.unblockUI();
                        $("#Nome_Destinatario").val('');
                        $("#Email_Destinatario").val('');
                        $("#Nome_Copia").val('');
                        $("#Email_Copia").val('');
                    });

            });


            $('#Cancelar_Email').click(function() {
                $.unblockUI();
                return false;
            });


        });
    </script>
    <style type="text/css">
        thead {
            display: table-header-group;
        }

        tfoot {
            display: table-footer-group;
        }
    </style>
</head>

<body>
    <table width="100%" height="400px">
        <!-- TABELA Q ENVOLVE TODO O CONTEUDO -->
        <tr>
            <td>
                <table width="100%">
                    <tr>
                        <td align="left">
                            <font face="verdana" size="2"><i><b>Relatrio de Vendas</b></i></font>
                        </td>
                        <td align="center">
                            <a href='imp_pdf_venda_simples_autobox.php?<?php echo $_SERVER["QUERY_STRING"] ?>' title="Pdf"><img src="../imagem/pdfG.png" border="0" alt="Pdf" title="Pdf" /></a>
                            <br />
                            <font face="verdana" size="2"><i>Pdf</i></font>
                        </td>
                        <td align="center">
                            <a href='imp_excel_venda_simples_autobox.php?<?php echo $_SERVER["QUERY_STRING"] ?>' title="Excel"><img src="../imagem/excelG.png" border="0" alt="Excel" title="Excel" /></a>
                            <br />
                            <font face="verdana" size="2"><i>Excel</i></font>
                        </td>
                        <!--		<td align="center">
                    <a href='javascript:void(0);' id="bt_Enviar_Email" title="Email"><img src="../imagem/emailG.png" border="0" alt="E-mail" title="E-mail"/></a>
			<br/><font face="verdana" size="2"><i>E-mail</i></font>
		</td>-->
                        <td align="center">
                            <a href="imp_rel_venda_simples_autobox.php?<?php echo $_SERVER["QUERY_STRING"] ?>" title="Imprimir" target="_blank"><img src="../imagem/imprimirG.png" border="0" alt="Imprimir" title="Imprimir" /></a>
                            <br />
                            <font face="verdana" size="2"><i>Imprimir</i></font>
                        </td>
                    </tr>
                </table>
            </td>
        </tr>
        <tr>
            <td>
                <form action="" method="get">
                    <table width="100%" class="busca_rel">
                        <tr class="azul">
                            <td>De<input type="text" name="De" id="De" class="date-pick" size="10" value="<?php echo $_GET["De"]; ?>"></td>
                            <td>At<input type="text" name="Ate" id="Ate" class="date-pick" size="10" value="<?php echo $_GET["Ate"]; ?>"></td>
                            <?php
                            if ($_GET['Data_Filtro'] == 'Data') {
                                $Data = 'checked';
                            } else if ($_GET['Data_Filtro'] == 'Conclusao') {
                                $Conclusao = 'checked';
                            } else {
                                $Data  = 'checked';
                            }
                            ?>
                            <td>
                                <input type="radio" name="Data_Filtro" value='Data' id="Data" <?php echo $Data; ?>><label class="label_radio" for="Data">Data Abertura</label>
                                <input type="radio" name="Data_Filtro" value='Conclusao' id="Conclusao" <?php echo $Conclusao; ?>><label class="label_radio" for="Conclusao">Data
                                    Concluso</label>
                            </td>
                        </tr>
                        <tr class="azul">
                            <td>
                                <?php
                                if (CLIENTE_RAZAO_SOCIAL == 'Sim') {
                                    $nome = 'Razao_Social';
                                } else {
                                    $nome = 'Titulo';
                                }

                                $Produt = listar("SELECT CONCAT(Codigo,' : ', " . $nome . ") as Titulo FROM cliente WHERE Id='" . $_GET['Cliente'] . "'");
                                $_GET["Cliente"] = $Produt[0]["Titulo"];
                                ?>
                                <label for="Cliente"><b> * Cdigo / Cliente :</b></label>
                                <input style="width: 220px; height: 20px;" type="text" id="Cliente" name="Cliente" value="<?php echo $_GET['Cliente']; ?>" />
                            </td>
                            <td>
                                <label for="EF"><b>EF :</b></label>
                                <?php
                                $vetor = array('' => 'EF', 'Sim' => 'Sim', 'No' => 'No');
                                select_tela("EF", "EF", $_GET["EF"], $vetor);
                                ?>
                                <input type="hidden" value="<?php echo $_GET["EF"]; ?>" name="EF_Rel" id="EF_Rel">
                                <?php
                                    echo select_banco2("SELECT Id, Titulo FROM centro_custo WHERE Id_Pai = '' AND Ativo='Sim'  order by Titulo",
                                        "Centro_Custo","Centro_Custo","Centro Custo",$_GET["Centro_Custo"],'"');
                                ?>                            
                                &nbsp;&nbsp;&nbsp;&nbsp;
                                <?php
                                //se o sistema for Multi Empresa
                                if (MULTI_EMPRESA == "Sim") {

                                    //se o usuario master ele escolhe pra quem vai
                                    if (ESCOLHER_EMPRESA == 'Sim') {
                                ?>

                                        <?php echo select_banco2(
                                            "SELECT Id,Titulo FROM unidade WHERE Ativo='Sim' ORDER BY Titulo",
                                            "Unidade",
                                            "Unidade",
                                            "Empresa",
                                            $_GET["Unidade"],
                                            'style="width:200px"',
                                            ""
                                        );
                                        ?>

                                <?php
                                        //se no for, a unidade sempre ser a sua
                                    } else {
                                        echo "<input type='hidden' name='Unidade' id='Unidade' value='" . $_SESSION["Unidade"] . "' >";
                                    }
                                } else {
                                    echo "<input type='hidden' name='Unidade' id='Unidade' value='" . $_SESSION["Unidade"] . "' >";
                                }
                                ?>
                            </td>

                            <td>
                                <?php
                                echo select_banco2(
                                    "Select distinct Id, Titulo from funcionario where Ativo = 'Sim' AND Vendedor = 'Sim' order by Titulo",
                                    "Funcionario",
                                    "Funcionario",
                                    "Responsvel",
                                    $_GET["Funcionario"],
                                    'style="width:200px"'
                                );
                                ?>
                            </td>
                        </tr>
                        <tr class="azul">
                            <td>
                                <?php
                                /* convertendo o codigo do produto, para o seu nome */
                                $Produt = listar("SELECT CONCAT(Codigo,' : ', Titulo) as Titulo FROM produto WHERE Id='" . $_GET["Produto"] . "'");
                                $_GET["Produto"] = $Produt[0]["Titulo"];
                                ?>
                                <label for="Produto"><b> * Cdigo / Produto :</b></label>
                                <input style="width: 200px; height: 20px;" type="text" name="Produto" id="Produto" value="<?php echo $_GET["Produto"] ?>">
                            </td>
                            <td>
                                <?php if (CLIENTE_EMAIL == 'retificadiesel' || CLIENTE_EMAIL == 'gw') { ?>

                                    <input type="checkbox" name="Em_Orcamento" value="Em_Orcamento" <?php if ($_GET["Em_Orcamento"]) echo "checked='checked' "; ?>>Em Oramento
                                    <input type="checkbox" name="Aguardando_Aprovacao" value="Aguardando_Aprovacao" <?php if ($_GET["Aguardando_Aprovacao"]) echo "checked='checked' "; ?>>Aguardando
                                    Aprovao
                                    <input type="checkbox" name="Aberto" value="Aberto" <?php if ($_GET["Aberto"]) echo "checked='checked' "; ?>>Autorizado
                                    <input type="checkbox" name="Entregue" value="Entregue" <?php if ($_GET["Entregue"]) echo "checked='checked' "; ?>>Entregue
                                    <input type="checkbox" name="Finalizado" value="Finalizado" <?php if ($_GET["Finalizado"]) echo "checked='checked' "; ?>>Finalizado
                                    <input type="checkbox" name="Cancelado" value="Cancelado" <?php if ($_GET["Cancelado"]) echo "checked='checked' "; ?>>Cancelado

                                <?php } elseif (CLIENTE_EMAIL == 'rsservicos' || CLIENTE_EMAIL == 'gw') { ?>
                                    <input type="checkbox" name="Recebido" value="Recebido" <?php if ($_GET["Recebido"]) echo "checked='checked' "; ?>>Recebido
                                    <input type="checkbox" name="Em_Orcamento" value="Em_Orcamento" <?php if ($_GET["Em_Oramento"]) echo "checked='checked' "; ?>>Em Oramento
                                    <input type="checkbox" name="Aguardando_Aprovacao" value="Aguardando_Aprovacaoo" <?php if ($_GET["Aguardando_Aprovacao"]) echo "checked='checked' "; ?>>Aguardando
                                    Aprovao
                                    <input type="checkbox" name="Em_Servico" value="Em_Servico" <?php if ($_GET["Em_Servio"]) echo "checked='checked' "; ?>>Em Servio
                                    <input type="checkbox" name="Em_Teste" value="Em_Teste" <?php if ($_GET["Em_Teste"]) echo "checked='checked' "; ?>>Em Teste
                                    <input type="checkbox" name="Entregue_Pendente" value="Entregue_Pendente" <?php if ($_GET["Entregue_Pendente"]) echo "checked='checked' "; ?>>Entregue
                                    Pendente
                                    <input type="checkbox" name="Finalizado" value="Finalizado" <?php if ($_GET["Finalizado"]) echo "checked='checked' "; ?>>Finalizado
                                    <input type="checkbox" name="Concluido" value="Concluido" <?php if ($_GET["Concluido"]) echo "checked='checked' "; ?>>Concluido
                                    <input type="checkbox" name="Cancelado" value="Cancelado" <?php if ($_GET["Cancelado"]) echo "checked='checked' "; ?>>Cancelado

                                <?php } else { ?>

                                    <input type="checkbox" name="Finalizado" value="Finalizado" <?php if ($_GET["Finalizado"]) echo "checked='checked' "; ?>>Finalizado
                                    <input type="checkbox" name="Aberto" value="Aberto" <?php if ($_GET["Aberto"]) echo "checked='checked' "; ?>>Em Lanamento
                                    <input type="checkbox" name="Cancelado" value="Cancelado" <?php if ($_GET["Cancelado"]) echo "checked='checked' "; ?>>Cancelado

                                    <input type="hidden" value="<?php echo $_GET["Finalizado"]; ?>" name="Finalizado_Rel" id="Finalizado_Rel">
                                    <input type="hidden" value="<?php echo $_GET["Aberto"]; ?>" name="Aberto_Rel" id="Aberto_Rel">
                                    <input type="hidden" value="<?php echo $_GET["Cancelado"]; ?>" name="Cancelado_Rel" id="Cancelado_Rel">

                                <?php } ?>
                            </td>
                            <td>
                                <?php
                                if (VER_APENAS_SUAS_VENDAS == 'Sim') {
                                    $func = "AND Id = '" . $_SESSION["Id_Funcionario"] . "' ";
                                    $_GET["Vendedor"] = $_SESSION["Id_Funcionario"];
                                    $dis = "disabled";
                                    echo "<input type='hidden' name='Vendedor' id='Vendedor' value='" . $_GET["Vendedor"] . "'>";
                                }
                                echo select_banco2(
                                    "SELECT Id, Titulo from funcionario where Ativo = 'Sim' AND Vendedor = 'Sim' $func order by Titulo",
                                    "Vendedor",
                                    "Vendedor",
                                    "Vendedor",
                                    $_GET["Vendedor"],
                                    'style="width:200px" ' . $dis . ' '
                                );
                                ?>
                                &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
                                <input type="submit" value="Ok" name="Ok">
                            </td>
                        </tr>
                    </table>
                </form>
            </td>
        </tr>
        <tr>
            <td>
                <table width="100%" class="tabela">
                    <tr class="azul-claro">
                        <td>N</td>
                        <td>NF</td>
                        <td>Data</td>
                        <td>Cliente</td>
                        <td>Placa</td>
                        <td>Vendedor</td>
                        <td>Pgto</td>
                        <td width="25%">Itens</td>
                        <td>Qtd Itens</td>
                        <td>Valor</td>
                        <td>Frete</td>
                        <td>Centro de Custo</td>
                        <td>Status</td>
                    </tr>
                    <tfoot>
                        <tr class="cinza">
                            <td colspan="21">Relatrio de Vendas</td>
                        </tr>
                    </tfoot>
                    <?php
                    if ($_GET["Ok"]) {

                        $color = "#F5F5F5";
                        while ($chave = mysqli_fetch_assoc($venda)) {

                            if ($color == "#F5F5F5") {
                                $color = "#E8E8E8";
                            } else {
                                $color = "#F5F5F5";
                            }


                            $produto_v = mysqli_query($con, "SELECT produto.Peso_Liquido,
                                produto.Peso_Bruto,
                                produto.Titulo as 'nomeprod',
                                produto.Codigo as 'codprod',
                                venda_produto.Preco,
                                venda_produto.Qtd,
                                venda_produto.Desconto,
                                venda_produto.Desconto_Real
                                from venda_produto
                                LEFT JOIN (SELECT Id,Titulo,Codigo,Peso_Liquido,Peso_Bruto FROM produto) as produto ON produto.Id = venda_produto.Id_Produto
                                WHERE venda_produto.Id_Venda = '" . $chave["Id"] . "'
                                $venda_produto $categoria $lista_categoria
                                ORDER BY venda_produto.Data_Cadastro");
                    ?>
                            <tr bgcolor=<?php echo "$color"; ?>>
                                <td><?php echo $chave["Lancamento"]; ?></td>
                                <td><?php echo $chave["Fatura"]; ?></td>
                                <td><?php echo data_exibir($chave["Data_Venda"]); ?></td>
                                <td>
                                    <?php
                                    if (CLIENTE_RAZAO_SOCIAL == 'Sim') {
                                        echo $chave["Razao_Social"];
                                    } else {
                                        echo $chave["Cliente"];
                                    }
                                    ?>
                                </td>
                                <td><?php echo $chave["Banco"]; ?></td>
                                <td><?php echo $chave["Vendedor"]; ?></td>
                                <?php
                                $cod_auto2 = mysqli_query($con, "SELECT tipo_pagamento.Titulo
                                            FROM venda_tipo_pagamento
                                            LEFT JOIN (SELECT Id,Titulo FROM tipo_pagamento) as tipo_pagamento ON tipo_pagamento.Id = venda_tipo_pagamento.Id_Tipo_Pagamento
                                            WHERE venda_tipo_pagamento.Id_Venda = '" . $chave['Id'] . "'
                                            ORDER BY Ordem");
                                $ex_tip = '';
                                while ($valor1 = mysqli_fetch_assoc($cod_auto2)) {
                                    $ex_tip .= $valor1["Titulo"] . " ,";
                                }
                                $ex_tip = substr($ex_tip, 0, -2);
                                ?>
                                <td><?php echo $ex_tip; ?></td>
                                <td width="60%">
                                    <?php
                                    $nomeprod = '';
                                    $vtotal = '';
                                    $codProd = '';
                                    $x = '';
                                    $itens = '';
                                    while ($valor = mysqli_fetch_assoc($produto_v)) {
                                        $vtotal += ((($valor["Preco"] * $valor["Qtd"]) - (($valor["Preco"] * $valor["Qtd"]) * ($valor["Desconto"] / 100))) - $valor["Desconto_Real"]);
                                        
                                        $itens .= $valor["codprod"] ." : ". $valor["nomeprod"]. '; ';
                                        


                                        $x++;
                                        $vtotal = ($vtotal - (($vtotal) * ($chave["Desconto"] / 100))) - $chave["Desconto_Real"];                                     
                                    }
                                    echo substr($itens,0,-2);
                                    ?>
                                </td>
                                <td>
                                    <?php 
                                        echo valor_exibir($x);
                                    ?>
                                </td>
                                <td><?php echo valor_exibir($vtotal); ?></td>
                                <td><?php echo $chave["Frete"]; ?></td>
                                <td><?php echo $chave["Centro_Custo"]; ?></td>
                                <?php
                                $corStatus = "";
                                if ($chave['Status'] == 'Finalizado') {
                                    $corStatus = "color = '#228B22' ";
                                }
                                if ($chave['Status'] == 'Aberto') {
                                    $corStatus = "color = '#3A5FCD' ";
                                }
                                if ($chave['Status'] == 'Cancelado') {
                                    $corStatus = "color = '#CD2626' ";
                                }
                                ?>
                                <td><font <?php echo $corStatus ?>>
                                        <b><?php if ($chave["Status"] == 'Aberto') {
                                                if (CLIENTE_EMAIL == 'retificadiesel' || CLIENTE_EMAIL == 'gw') {
                                                    echo 'Autorizado';
                                                } else {
                                                    echo 'Em Aberto';
                                                }
                                            } elseif ($chave["Status"] == 'Cotacao') {
                                                echo 'Cotao';
                                            } elseif ($chave["Status"] == 'Em_Orcamento') {
                                                echo 'Em Oramento';
                                            } elseif ($chave["Status"] == 'Aguardando_Aprovacao') {
                                                echo 'Aguardando  Aprovao';
                                            } else {
                                                echo $chave["Status"];
                                            }
                                            ?>
                                        </b>
                                    </font>
                                </td>
                            </tr>
                            <?php
                            $vtotalacum[$chave["Status"]] += $vtotal;
                            $vtotalacumA += $vtotal;
                            ?>
                    <?php }
                    } ?>
                    <tr>
                        <td colspan="13">&nbsp;</td>
                    </tr>
                    <tr>
                        <td align="right"><b>Valores Finais:</b> &nbsp;</td>
                        <td colspan="12" align="right">
                            Em Orcamento :
                            <b><?php echo valor_exibir($vtotalacum["Em_Orcamento"]); ?></b>&nbsp;&nbsp;&nbsp;
                            Aguardando Aprovao :
                            <b><?php echo valor_exibir($vtotalacum["Aguardando Aprovao"]); ?></b>&nbsp;&nbsp;&nbsp;
                            Em Lanamento : <b><?php echo valor_exibir($vtotalacum["Aberto"]); ?></b>&nbsp;&nbsp;&nbsp;
                            Entregue : <b><?php echo valor_exibir($vtotalacum["Entregue"]); ?></b>&nbsp;&nbsp;&nbsp;
                            Finalizado : <b><?php echo valor_exibir($vtotalacum["Finalizado"]); ?></b>&nbsp;&nbsp;&nbsp;
                            Cancelado : <b><?php echo valor_exibir($vtotalacum["Cancelado"]); ?></b>&nbsp;&nbsp;&nbsp;
                            Total Geral :
                            <b><?php echo valor_exibir($vtotalacum["Aberto"] + $vtotalacum["Finalizado"] + $vtotalacum["Em_Orcamento"] + $vtotalacum["Aguardando Aprovao"] + $vtotalacum["Entregue"]); ?></b>
                        </td>
                    </tr>
                </table>
            </td>
        </tr>
        <tr>
            <td>
                <div id="div_resposta"></div>
            </td>
        </tr>
    </table>
    <!-- INICIO DA TELA MODAL ENVIO DE EMAIL-->
    <!-- No css existe um estilo para essas divs que as deixa invisivel - display:none; -->
    <?php include_once "../include/email_tabela.php"; ?>
    <!-- FIM DA TELA MODAL ENVIO DE EMAIL-->
    <br>
</body>

</html>