<?php
include_once '../include/conecta.php'; //Conecta com a nosso banco de dados MySQL
include_once '../include/ver_sessao.php'; //Verifica se a sesso est ativa
include_once '../include/funcoesPhp.php'; include_once '../menu_movimento.php';
?>
<?php
	$sql_produto = mysqli_query($con,"SELECT venda.Lancamento,
                            venda.Data_Venda,
                            cliente.Titulo as Cliente,
                            cliente.Razao_Social,
                            funcionario.Titulo as Funcionario,
                            vendedor.Titulo as Vendedor,
                            vendedor.Titulo as Vendedor2,
                            cfop.Titulo as Cfop,
                            venda.Frete,
                            transportadora.Titulo as Transportadora,
                            venda.Valor_Frete,
                            venda.Despesa,
                            venda.Obs,
                            venda.Desconto_Real,
                            venda.Desconto,
                            venda.Valor_Pago,
                            tipo_pagamento.Titulo as Tipo_Pagamento,
                            venda.Data_Conclusao
                            FROM venda
                            LEFT JOIN (SELECT Id,Titulo,Razao_Social FROM cliente) as cliente ON venda.Id_Cliente = cliente.Id
                            LEFT JOIN (SELECT Id,Titulo FROM funcionario) as funcionario ON venda.Id_Funcionario = funcionario.Id
                            LEFT JOIN (SELECT Id,Titulo FROM funcionario) as vendedor ON venda.Id_Vendedor = vendedor.Id
                            LEFT JOIN (SELECT Id,Titulo FROM funcionario) as vendedor2 ON venda.Id_Vendedor2 = vendedor2.Id
                            LEFT JOIN (SELECT Id,Titulo FROM cfop) as cfop ON venda.Id_Cfop = cfop.Id
                            LEFT JOIN (SELECT Id,Titulo FROM fornecedor WHERE Tipo = 'T') as transportadora ON venda.Id_Transportadora = transportadora.Id
                            LEFT JOIN (SELECT Id,Titulo FROM tipo_pagamento) as tipo_pagamento ON venda.Id_Tipo_Pagamento = tipo_pagamento.Id
                            WHERE venda.Id='".$_GET["id_venda"]."'")
	or die("ERRO no comando SQL:".mysqli_error($con));
	$array_produto = mysqli_fetch_assoc($sql_produto);

	$_POST["Lancamento"] 	= $array_produto["Lancamento"];
	$_POST["Data_Venda"]  	= $array_produto["Data_Venda"];
	$_POST["Obs"]           = stripslashes($array_produto["Obs"]);
	$_POST["Cliente"]       = $array_produto["Cliente"];
        $_POST["Razao_Social"]  = $array_produto["Razao_Social"];
	$_POST["Funcionario"]  	= $array_produto["Funcionario"];
	$_POST["Vendedor"] 	= $array_produto["Vendedor"];
        $_POST["Vendedor2"] 	= $array_produto["Vendedor2"];
        $_POST["Cfop"]          = $array_produto["Cfop"];
        $_POST["Frete"]         = $array_produto["Frete"];
        $_POST["Transportadora"]= $array_produto["Transportadora"];
	$_POST["Valor_Frete"]   = valor_exibir($array_produto["Valor_Frete"]);
        $_POST["Despesa"] = valor_exibir($array_produto["Despesa"]);
        $_POST["Desconto_Real"] = valor_exibir($array_produto["Desconto_Real"]);
        $_POST["Desconto"]      = valor_exibir($array_produto["Desconto"]);
        $_POST["Valor_Pago"]    = valor_exibir($array_produto["Valor_Pago"]);
	$_POST["Tipo_Pagamento"]= $array_produto["Tipo_Pagamento"];
	$_POST["Data_Conclusao"]= $array_produto["Data_Conclusao"];
        

?>
<html>
<head>
<title>Gw - Gesto Web</title>
<link rel="stylesheet" type="text/css" href="../estilo/<?php echo SKIN ;?>/tableless.css" />
<link rel="stylesheet" type="text/css" href="../estilo/<?php echo SKIN ;?>/tabela_imp.css" />
</head>
<body>
    
        <fieldset class="envolve">
            
 <table width="100%" align="center" border="0" cellpadding="2" cellspacing="2">
     <tr>
         <td class="azul-claro" width="20%">Lanamento</td>
         <td class="cinza"><?php echo $_POST["Lancamento"];?></td>
     </tr>
     <tr>
         <td class="azul-claro" width="20%">Data</td>
         <td class="cinza"><?php echo data_exibir($_POST["Data_Venda"]);?></td>
     </tr>
     <tr>
         <td class="azul-claro" width="20%">Responsvel</td>
         <td class="cinza"><?php echo $_POST["Funcionario"];?></td>
     </tr>
     <tr>
         <td class="azul-claro" width="20%">Cliente</td>
         <td class="cinza">
             <?php
             if(CLIENTE_RAZAO_SOCIAL=='Sim')
                echo $_POST["Razao_Social"];
             else
                echo $_POST["Cliente"];
             ?>
         </td>
     </tr>
     <tr>
         <td class="azul-claro" width="20%">Vendedor</td>
         <td class="cinza"><?php echo $_POST["Vendedor"];?></td>
     </tr>
     <tr>
         <td class="azul-claro" width="20%">Vendedor 2</td>
         <td class="cinza"><?php echo $_POST["Vendedor2"];?></td>
     </tr>
     <tr>
         <td class="azul-claro" width="20%">Cfop</td>
         <td class="cinza"><?php echo $_POST["Cfop"];?></td>
     </tr>
     <tr>
         <td class="azul-claro" width="20%">Frete</td>
         <td class="cinza"><?php echo $_POST["Frete"];?></td>
     </tr>
     <tr>
         <td class="azul-claro" width="20%">Transportadora</td>
         <td class="cinza"><?php echo $_POST["Transportadora"];?></td>
     </tr>
     <tr>
         <td class="azul-claro" width="20%">Valor Frete</td>
         <td class="cinza"><?php echo $_POST["Valor_Frete"];?></td>
     </tr>
     <tr>
         <td class="azul-claro" width="20%">Despesa</td>
         <td class="cinza"><?php echo $_POST["Despesa"];?></td>
     </tr>
     <tr>
         <td class="azul-claro" width="20%">Obs</td>
         <td class="cinza"><?php echo $_POST["Obs"];?></td>
     </tr>
     <tr>
         <td class="azul-claro" width="20%">Tipo Pagamento</td>
         <td class="cinza"><?php echo $_POST["Tipo_Pagamento"];?></td>
     </tr>
     <tr>
         <td class="azul-claro" width="20%">Desconto</td>
         <td class="cinza"><?php echo $_POST["Desconto"];?></td>
     </tr>
     <tr>
         <td class="azul-claro" width="20%">Desconto</td>
         <td class="cinza"><?php echo $_POST["Desconto_Real"];?></td>
     </tr>
     <tr>
         <td class="azul-claro" width="20%">Valor</td>
         <td class="cinza"><?php echo $_POST["Valor_Pago"];?></td>
     </tr>
     <tr>
         <td class="azul-claro" width="20%">Data Concluso</td>
         <td class="cinza"><?php echo data_exibir($_POST["Data_Conclusao"]);?></td>
     </tr>
 </table>

 <table width="100%" align="center" border="0" cellpadding="2" cellspacing="2">
     <tr>
         <td colspan="2">&nbsp;&nbsp;&nbsp;</td>
     </tr>
     <tr>
         <td class="azul-claro" width="2%">x</td>
         <td class="azul-claro" width="20%">Cdigo</td>
         <td class="azul-claro" width="30%">Produto</td>
         <td class="azul-claro" width="10%">Preo</td>
         <td class="azul-claro" width="10%">Qtd</td>
         <td class="azul-claro" width="10%">Total</td>
     </tr>
<?php
    
$usuario = mysqli_query($con,"Select produto.Titulo as Produto,
                            produto.Codigo,
                            venda_produto.Preco,
                            venda_produto.Qtd,
                            venda_produto.Desconto,
                            venda_produto.Desconto_Real
                            from venda_produto
                            INNER JOIN (SELECT Id,Titulo,Codigo FROM produto) as produto ON produto.Id = venda_produto.Id_Produto
                            where 1=1
                            AND venda_produto.Id_Venda = '".$_GET["id_venda"]."'
                            ORDER by venda_produto.Data_Cadastro ");
$x='1';
while ($chave = mysqli_fetch_assoc($usuario)) {
?>

     <tr>
         <td class="cinza"><?php echo $x;?></td>
         <td class="cinza"><?php echo $chave["Codigo"];?></td>
         <td class="cinza"><?php echo $chave["Produto"];?></td>
         <td class="cinza"><?php echo @valor_exibir( ( ($chave["Preco"]) - ($chave["Preco"] * ($chave["Desconto"]/100)) ) - $chave["Desconto_Real"]);?></td>
         <td class="cinza"><?php echo valor_exibir($chave["Qtd"]);?></td>
         <td class="cinza"><?php echo @valor_exibir( ( ($chave["Preco"]*$chave["Qtd"]) - ( ($chave["Preco"]*$chave["Qtd"])*($chave["Desconto"]/100) ) ) - $chave["Desconto_Real"]);?></td>
     </tr>
     
<?php $x++; } ?>
     
 </table>
            
        <br/>
        <button class="botao_novo" type="button" value="Voltar" onclick="window.history.back()">Voltar</button>
            
        </fieldset>