<?php
include_once "../include/conecta.php"; //Conecta com a nosso banco de dados MySQL
ini_set('session.gc_maxlifetime', 60 * 120);
session_start();
/* include_once "../include/ver_sessao.php"; //Verifica se a sesso est ativa */
include_once "../include/funcoesPhp.php"; //Inclue a pgina con todas as funes a ser usada.
?>
<?php
                $venda = listar("Select venda.Id,
 					venda.Lancamento,
 					venda.Status,
 					venda.Data_Venda,
                                        venda.Data_Entrega,
 					venda.Obs,
 					venda.Valor_Original,
 					venda.Valor_Pago,
                                        venda.Desconto,
                                        venda.Desconto_Real,
                                        venda.Frete,
                                        venda.Valor_Frete,
                                        venda.Id_Unidade,
                                        venda.Numero_Pedido as Romaneio,
                                        venda.Placa,
                                        venda.Data_Retirada,
                                        venda.Fatura,
 					cliente.Titulo as 'Cliente',
                                        cliente.Razao_Social,
 					cliente.Email,
 					cliente.Natureza,
 					cliente.Cpf_Cnpj,
 					cliente.Rua,
                                        cliente.Numero,
 					cliente.Cep,
 					cliente.Bairro,
 					cliente.Estado,
 					cliente.Fone1,
                                        cliente.Fone2,
                                        cliente.Contato,
                                        cliente.Endereco,
 					cliente.Obs as 'Obs_Cliente',
                                        cliente.Codigo,
                                        cliente.Cidade,
                                        cliente.Ponto_Referencia,
 					funcionario.Titulo as 'Funcionario',
                                        vendedor.Titulo as 'Vendedor'
 					from venda
 					left join (SELECT Id,Titulo,Email,Natureza,Cpf_Cnpj,Estadual,Rua,Numero,Cep,Ponto_Referencia,
                                        Bairro,Estado,Fone1,Fone2,Obs,Cidade,Razao_Social,Contato,Endereco,Codigo FROM cliente) as cliente ON cliente.Id = venda.Id_Cliente
 					left join (SELECT Id,Titulo FROM funcionario) as funcionario ON funcionario.Id = venda.Id_Funcionario
                                        left join (SELECT Id,Titulo FROM funcionario) as vendedor ON venda.Id_Vendedor = vendedor.Id
 					where venda.Id = '" . $_GET["id_venda"] . "'
					order by venda.Lancamento DESC");

$_GET["Unidade"] = $venda[0]["Id_Unidade"];
?>
<html>
    <head>
        <title>Gw - Gesto Web</title>
        <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1" />
        <link rel="shortcut icon" href="../imagem/favi_gw.ico" type="image/x-icon" />
        <link rel="stylesheet" type="text/css" href="../estilo/<?php echo SKIN; ?>/tabela_imp.css" />
        <script type="text/javascript" language="javascript" src="../js/jquery.js"></script>
        <?php include '../include/script_cabeca.php'; ?>
        <script type="text/javascript" language="javascript" src="../js/script.js"></script>
        <script type="text/javascript" language="javascript" src="../js/meiomask/meiomask.js"></script>
        <script type="text/javascript" language="javascript" src="../js/meiomask/<?php
            if (PAIS == "USA") {
                echo "mascaras-usa";
            } else {
                echo "mascaras";
            }
            ?>.js">
        </script>
        <script type="text/javascript" language="javascript">
            $(document).ready(function () {
            function slideout() {
               setTimeout(function () {
                $("#response").slideUp("slow", function () {});
               },
               6000);
            }
            $(".inlineEdit").bind("click", updateText);
            var OrigText, NewText;
            $(".save").live("click", function () {
              $("#loading").fadeIn('slow');
              NewText = $(this).siblings("form").children(".edit").val();
               var id = $(this).parent().attr("id");
               //var data = '?id=' + id + '&text=' + NewText;
               var data = 'id=' + id + '&text=' + NewText;
              $.post("edit.php", data, function (response) {
                 $("#response").html(response);
                 $("#response").slideDown('slow');
                 slideout();
                 $("#loading").fadeOut('slow');
                 //$("#retorno").html(response);
              });
              $(this).parent().html(NewText).removeClass("selected").bind("click", updateText);
            });
            $(".revert").live("click", function () {
              $(this).parent().html(OrigText).removeClass("selected").bind("click", updateText);
            });
            function updateText() {
              $('li').removeClass("inlineEdit");
              OrigText = $(this).html();
              $(this).addClass("selected").html('<form><textarea class="edit" rows="1" cols="40">' + OrigText + '</textarea></form><a href="#" class="save"><img src="../js/editing/images/save.png" border="0" width="48" height="15"/></a> <a href="#" class="revert"><img src="../js/editing/images/cancel.png" border="0" width="58" height="15"/></a>').unbind('click', updateText);
            }
            });
        </script>
    </head>
    <body>

        <table width="98%" align="center"><!-- TABELA Q ENVOLVE TODO O CONTEUDO -->
            <tr>
                <td>
<?php include "../include/cabecalho_pedido.php"; ?>
                </td>
            </tr>
            <tr>
                <td>
                    <table width="100%" align="center" class="tabela">
                        <tr>
                            <td align="center">
                                <b>
                                    <i>
                                        <?php
                                        if ($venda[0]["Fatura"]) {
                                            $fat = " (" . $venda[0]["Fatura"] . ")";
                                        }

                                        echo "Ordem de Fabricao: " . $venda[0]["Lancamento"] . $fat;
                                        ?>
                                    </i>
                                </b>
                            </td>
                            <td align="center">
                                <b>
                                    Data: <?php echo data_exibir($venda[0]["Data_Venda"]); ?>
                                </b>
                            </td>
                        </tr>
                    </table>
                </td>
            </tr>
            <tr>
                <td>
                    <table width="100%" align="center" class="tabela">
                        <tr>
                            <td width="70%">Cliente: 
                                <?php
                                if (CLIENTE_RAZAO_SOCIAL == 'Sim') {
                                    echo $venda[0]["Codigo"] . " - " . $venda[0]["Razao_Social"];
                                } else {
                                    echo $venda[0]["Codigo"] . " - " . $venda[0]["Cliente"];
                                }
                                ?>
                            </td>
                            <td width="30%">Ref Tampa:</td>
                        </tr>
                        <tr>
                            <td width="70%">End: <?php echo $venda[0]["Endereco"]; ?></td>
                            <td width="30%">CPF/CNPJ: <?php echo cnpj_exibir($venda[0]["Cpf_Cnpj"]); ?></td>
                        </tr>
                        <tr>
                            <td width="70%"><?php
                                echo 'Bairro:' . $venda[0]["Bairro"] . ' Cidade:' .
                                $venda[0]["Cidade"] . ' UF:' .
                                $venda[0]["Estado"];
                                ?> &nbsp;&nbsp;&nbsp;
                                CEP: <?php echo $venda[0]["Cep"]; ?>
                            </td>
                            <td width="30%">
                                Fone: 
                                <?php
                                echo $venda[0]["Fone1"];
                                if ($venda[0]["Fone2"]) {
                                    echo "/" . $venda[0]["Fone2"];
                                }
                                ?>
                            </td>
                        </tr>
                    </table>
                </td>
            </tr>
            <tr>
                <td>
                    <table width="100%" align="center" class="tabela">
                        <tr>
                            <td colspan="10" align="center"><i>Especificaes</i></td>
                        </tr>
                        <?php
                        $venda_pro = listar("Select DISTINCT venda_produto.Id,
                                        venda_produto.Preco,
 					venda_produto.Qtd,
 					venda_produto.Desconto as 'Desconto_Venda',
                                        venda_produto.Desconto_Real,
                                        venda_produto.Comprimento,
                                        venda_produto.Altura,
                                        venda_produto.Largura,
                                        venda_produto.Tipo,
                                        venda_produto.Tipo_Onda,
 					produto.Titulo as 'Produto',
 					produto.Descricao,
 					produto.Codigo,
                                        produto.Medida,
                                        produto.Peso_Liquido,
                                        produto.Codigo_Fornecedor,
                                        local_estoque.Titulo as Local_Estoque
 					from venda_produto
 					left join (SELECT Id,Titulo,Descricao,Codigo,Codigo_Fornecedor,Medida,Peso_Liquido FROM produto) as produto ON produto.Id = venda_produto.Id_Produto
                                        left join (SELECT Id,Titulo FROM local_estoque) as local_estoque ON local_estoque.Id = venda_produto.Id_Local_Estoque
 					where venda_produto.Id_Venda = '" . $_GET["id_venda"] . "'
                                        ORDER BY venda_produto.Data_Cadastro ");

                        $x = 1;
                        $tQtd = 0;
                        foreach ($venda_pro as $chave) {
                            ?>
                        <tr>
                            <td>Medidas Internas: <?php echo $chave["Comprimento"]." x ".$chave["Largura"]." x ".$chave["Altura"]?></td>
                            <td>Tipo de Onda: <?php echo $chave["Tipo_Onda"]?></td>
                            <td>Gramatura: 380 g/m2</td>
                        </tr>
                        <tr>
                            <td>Tipo: <?php echo $chave["Tipo"]?></td>
                            <td class="inlineEdit" id="C<?php echo $linha["Id"]."-Composicao"?>" style="cursor: pointer;" alt="Composio" title="Composio" align="jutify">
                                Composio: <?php echo $linha['Composicao'];?>
                            </td>
<!--                            <td>
                                
                                <span class="inlineEdit" id="1" style="cursor: pointer;" alt="Clique para Editar !" title="Clique para Editar !">
                                    <?php echo 'PR0038';?>
                                </span>
                                
                            </td>-->
                            <td>Peso Total: <?php echo $chave["Peso_Liquido"]?> kg</td>
                        </tr>
                        <tr>
                            <td>Quantidade: <?php echo $chave["Qtd"]?></td>
                            <td class="inlineEdit" id="C<?php echo $linha["Id"]."-"?>" style="cursor: pointer;" alt="Impresso Cor" title="Impresso Cor" align="jutify">
                                Impresso Cor: 
                            </td>
<!--                            <td>Impresso Cor: </td>-->
<!--                            <td class="inlineEdit" id="C<?php echo $linha["Id"]."-"?>" style="cursor: pointer;" alt="Fator" title="Fator" align="jutify">
                                Fator: 0,239 kg
                            </td>-->
                            <td>Fator: 0,239 kg</td>
                        </tr>
                    </table>
                </td>
            </tr>
            <?php
            $lingueta='30';
            
            //calculo tipo onda
            if($chave["Tipo_Onda"]=='B'){
            $tipo_comp_comp=($chave["Comprimento"]>'0' ? $chave["Comprimento"]+3 : "0");
            $tipo_comp_lar=$chave["Largura"];
            $tipo_comp_alt=($chave["Comprimento"]>'0' ? $chave["Comprimento"]+3 : "0");
            $tipo_comp_vazio=($chave["Largura"]>'0' ? $chave["Largura"]+2 : "0");
            $tipo_comp_total=($chave["Comprimento"]>'0' ? $tipo_comp_comp+$tipo_comp_lar+$tipo_comp_alt+$tipo_comp_vazio+$lingueta : "0");
            
            $tipo_larg_comp=($chave["Largura"]>'0' ? floor($chave["Largura"]/2)+2 : "0");
            $tipo_larg_lar=($chave["Altura"]>'0' ? $chave["Altura"]+6 : "0");
            $tipo_larg_alt=($chave["Largura"]>'0' ? floor($chave["Largura"]/2)+2 : "0");
            $tipo_larg_total=($chave["Largura"]>'0' ? $tipo_larg_comp+$tipo_larg_lar+$tipo_larg_alt : "0");
            }
            
            if($chave["Tipo_Onda"]=='C'){
            $tipo_comp_comp=($chave["Comprimento"]>'0' ? $chave["Comprimento"]+4 : "0");
            $tipo_comp_lar=($chave["Largura"]>'0' ? $chave["Largura"]+2 : "0");
            $tipo_comp_alt=($chave["Comprimento"]>'0' ? $chave["Comprimento"]+4 : "0");
            $tipo_comp_vazio=($chave["Largura"]>'0' ? $chave["Largura"]+3 : "0");
            $tipo_comp_total=($chave["Comprimento"]>'0' ? $tipo_comp_comp+$tipo_comp_lar+$tipo_comp_alt+$tipo_comp_vazio+$lingueta : "0");
            
            $tipo_larg_comp=($chave["Largura"]>'0' ? floor($chave["Largura"]/2)+3 : "0");
            $tipo_larg_lar=($chave["Altura"]>'0' ? $chave["Altura"]+7 : "0");
            $tipo_larg_alt=($chave["Largura"]>'0' ? floor($chave["Largura"]/2)+3 : "0");
            $tipo_larg_total=($chave["Largura"]>'0' ? $tipo_larg_comp+$tipo_larg_lar+$tipo_larg_alt : "0");
            }
            
            if($chave["Tipo_Onda"]=='BC' || $chave["Tipo_Onda"]=='EC'){
            $tipo_comp_comp=($chave["Comprimento"]>'0' ? $chave["Comprimento"]+7 : "0");
            $tipo_comp_lar=($chave["Largura"]>'0' ? $chave["Largura"]+4 : "0");
            $tipo_comp_alt=($chave["Comprimento"]>'0' ? $chave["Comprimento"]+7 : "0");
            $tipo_comp_vazio=($chave["Largura"]>'0' ? $chave["Largura"]+6 : "0");
            $tipo_comp_total=($chave["Comprimento"]>'0' ? $tipo_comp_comp+$tipo_comp_lar+$tipo_comp_alt+$tipo_comp_vazio+$lingueta : "0");
            
            $tipo_larg_comp=($chave["Largura"]>'0' ? floor($chave["Largura"]/2)+6 : "0");
            $tipo_larg_lar=($chave["Altura"]>'0' ? $chave["Altura"]+14 : "0");
            $tipo_larg_alt=($chave["Largura"]>'0' ? floor($chave["Largura"]/2)+6 : "0");
            $tipo_larg_total=($chave["Largura"]>'0' ? $tipo_larg_comp+$tipo_larg_lar+$tipo_larg_alt : "0");
            }
            ?>
            <tr>
                <td>
                    <table width="100%" align="center" class="tabela">
                        <tr>
                            <td align="center">Largura (mm)</td>
                            <td align="center">Comprimento (mm)</td>
                        </tr>
                        <tr>
                            <td align="center">1/2 Largura: <?php echo $tipo_larg_comp?></td>
                            <td align="center">Largura: <?php echo $tipo_comp_lar?></td>
                        </tr>
                        <tr>
                            <td align="center">Altura: <?php echo $tipo_larg_lar?></td>
                            <td align="center">Comprimento: <?php echo $tipo_comp_comp?></td>
                        </tr>
                        <tr>
                            <td align="center">1/2 Largura: <?php echo $tipo_larg_alt?></td>
                            <td align="center">Largura: <?php echo $tipo_comp_vazio?></td>
                        </tr>
                        <tr>
                            <td align="center">Total: <?php echo $tipo_larg_total?></td>
                            <td align="center">Comprimento: <?php echo $tipo_comp_comp?></td>
                        </tr>
                        <tr>
                            <td align="center"></td>
                            <td align="center">Flange: <?php echo $lingueta?></td>
                        </tr>
                        <tr>
                            <td align="center"></td>
                            <td align="center">Total: <?php echo $tipo_comp_total?></td>
                        </tr>
                    </table>
                </td>
            </tr>
            <tr>
                <td>
                    <table width="100%" align="center" class="tabela">
                        <tr>
                            <td>Diviso G: </td>
<!--                            <td>Clich: </td>-->
                            <td class="inlineEdit" id="C<?php echo $linha["Id"]."-"?>" style="cursor: pointer;" alt="Clich" title="Clich" align="jutify">
                                Clich: 
                            </td>
                        </tr>
                        <tr>
                            <td>Diviso P: </td>
                            <td></td>
                        </tr>
                        <tr>
                            <td>Tabuleiro: </td>
                            <!--<td>N Forma: </td>-->
                            <td class="inlineEdit" id="C<?php echo $linha["Id"]."-"?>" style="cursor: pointer;" alt="N Forma:" title="N Forma:" align="jutify">
                                N Forma: 
                            </td>
                        </tr>
                        <tr>
                            <td>Separador: </td>
                            <td></td>
                        </tr>
                    </table>
                </td>
            </tr>
                        <?php
                            $Qtd_Venda += $chave["Qtd_Venda"];
                            $Preco_Venda += $chave["Preco_Venda"];
                            $Desconto_Venda += $chave["Desconto_Venda"];
                            $Desconto_Real += $chave["Desconto_Real"];
                            $tQtd += $chave["Qtd_Venda"];
                            $Total+= ( ($chave["Preco_Venda"]*$chave["Qtd_Venda"])-
					(($chave["Preco_Venda"]*$chave["Qtd_Venda"])*($chave["Desconto_Venda"]/100)) ) - $chave['Desconto_Real'];
                            $x++;
                        }
                        ?>
            <tr>
                <td>
                    <table width="100%" align="center" class="tabela">
                        <tr>
                            <td>Obs: <?php echo $venda[0]["Obs"]; ?></td>
                            <td>Entrega: <?php echo data_exibir($venda[0]["Data_Entrega"]); ?></td>
                        </tr>
                    </table>
                </td>
            </tr>
            <tr>
                <td>
                    <table width="100%" align="center" class="tabela">
                        <tr>
                            <td><br><br><br><br><br><br></td>
                        </tr>
                    </table>
                </td>
            </tr>
            <tr>
                <td>
                    <table width="100%" align="center" class="tabela">
                        <tr>
                            <td colspan="10" align="center"><i>Produo</i></td>
                        </tr>
                        <tr>
                            <td>Incio Set-up: </td>
                            <td>Perdas: </td>
                        </tr>
                        <tr>
                            <td>Final Set-up: </td>
                            <td>Percentual Perdas: </td>
                        </tr>
                        <tr>
                            <td>Incio Produo: </td>
                            <td>Ocorrncia de Problemas: </td>
                        </tr>
                        <tr>
                            <td>Final Produo: </td>
                            <td></td>
                        </tr>
                    </table>
                </td>
            </tr>
            <!--
            <tr>
                <td>
                    <table width="100%" align="center" class="tabela">
                        <tr>
                            <td colspan="10"><i>Produtos</i></td>
                        </tr>
                        <tr class="azul-claro">
                            <td width="3%">N</td>
                            <td width="10%">Cdigo</td>
                            <td>Produto</td>
                            <td>NCM</td>
                            <td width="5%">Un</td>
                            <td width="5%">Qtd</td>
                            <td width="8%">Valor</td>
                            <td width="8%">Desc %</td>
                            <td width="8%">Desc $</td>
                            <td width="8%">Total</td>
                        </tr>
                        <?php
                        if ((CLIENTE_EMAIL == 'amendonel') || (CLIENTE_EMAIL == 'powervida') ) {
                            $amen = " produto.Titulo, ";
                        }
                        $venda_pro = listar("Select DISTINCT venda_produto.Id,
                                        venda_produto.Preco as 'Preco_Venda',
 					venda_produto.Qtd as 'Qtd_Venda',
 					venda_produto.Desconto as 'Desconto_Venda',
                                        venda_produto.Desconto_Real,
 					produto.Titulo as 'Produto',
 					produto.Descricao,
 					produto.Codigo,
                                        produto.Medida,
                                        produto.Ncm,
                                        produto.Codigo_Fornecedor,
                                        local_estoque.Titulo as Local_Estoque
 					from venda_produto
 					left join (SELECT Id,Titulo,Descricao,Codigo,Codigo_Fornecedor,Medida,Ncm FROM produto) as produto ON produto.Id = venda_produto.Id_Produto
                                        left join (SELECT Id,Titulo FROM local_estoque) as local_estoque ON local_estoque.Id = venda_produto.Id_Local_Estoque
 					where venda_produto.Id_Venda = '" . $_GET["id_venda"] . "'
                                        ORDER BY $amen venda_produto.Data_Cadastro ");

                        $x = 1;
                        $tQtd = 0;
                        foreach ($venda_pro as $chave) {
                            if (CLIENTE_EMAIL == 'refriauto') {
                                $cod_for = " / " . $chave["Codigo_Fornecedor"];
                            }
                            ?>

                            <tr>
                                <td><?php echo $x; ?></td>
                                <td><?php echo $chave["Codigo"] . $cod_for; ?></td>
                                <td><?php echo $chave["Produto"]; ?></td>
                                <td><?php echo $chave["Ncm"]; ?></td>
                                <td><?php echo $chave["Medida"]; ?></td>
                                <td><?php echo $chave["Qtd_Venda"]; ?></td>
                                <td><?php echo number_format($chave["Preco_Venda"], 2, ',', '.'); ?></td>
                                <td><?php echo number_format($chave["Desconto_Venda"], 2, ',', '.'); ?></td>
                                <td><?php echo number_format($chave["Desconto_Real"], 2, ',', '.'); ?></td>
                                <td>
                            <?php echo number_format(( ($chave['Qtd_Venda'] * $chave['Preco_Venda']) - ( ($chave['Qtd_Venda'] * $chave['Preco_Venda']) * ($chave['Desconto_Venda'] / 100) ) ) - $chave['Desconto_Real'], 2, ',', '.'); ?></td>
                                </td>
                            </tr>
                            <?php
                            $Qtd_Venda += $chave["Qtd_Venda"];
                            $Preco_Venda += $chave["Preco_Venda"];
                            $Desconto_Venda += $chave["Desconto_Venda"];
                            $Desconto_Real += $chave["Desconto_Real"];
                            $tQtd += $chave["Qtd_Venda"];
                            $Total+= ( ($chave["Preco_Venda"]*$chave["Qtd_Venda"])-
					(($chave["Preco_Venda"]*$chave["Qtd_Venda"])*($chave["Desconto_Venda"]/100)) ) - $chave['Desconto_Real'];
                            $x++;
                        }
                        ?>
                            <tr>
                                <td colspan="6">&nbsp;</td>
                                <td><?php echo $tQtd; ?></td>
                                 <td align="center" colspan="2"><?php echo "Sub Total:" ;?></td>
                                <td><?php echo valor_exibir($Total);?></td>
                            </tr>
                            <tr>
                                <td colspan="5">&nbsp;</td>
                                <td colspan="2">Total Geral:</td>
                                <td><?php echo number_format($venda[0]["Desconto"], 2, ',', '.'); ?></td>
                                <td><?php echo number_format($venda[0]["Desconto_Real"], 2, ',', '.'); ?></td>
                                <td><?php echo number_format(( ( $Total - ( $Total * ($venda[0]["Desconto"] / 100) ) ) - $venda[0]["Desconto_Real"]), 2, ',', '.'); ?></td>

                            </tr>
                    </table>
                </td>
            </tr>
            -->
            
        </table>
        <br/>
         <table width="98%" align="center">
            <tr>
                <td align="center">________________________</td>
            </tr>
            <tr>
                <td align="center">
                    <font face="verdana" size="2">
                        Operador: 
                    </font>
                </td>
            </tr>
         </table>
<!--        <table width="98%" align="center">
            <tr>
                <td align="center">________________________</td>
                <td align="center">________________________</td>
            </tr>
            <tr>
                <td align="center">
                    <font face="verdana" size="2">
                    <?php
                    if (CLIENTE_RAZAO_SOCIAL == 'Sim') {
                        echo $venda[0]["Razao_Social"];
                    } else {
                        echo $venda[0]["Cliente"];
                    }
                    ?>
                    </font>
                </td>
                <td align="center"><font face="verdana" size="2">Representante: <?php echo $venda[0]["Vendedor"]; ?></font></td>
            </tr>
        </table>-->

        <br>
    </body>
</html>

<?php include "../include/rodape.php"; ?>

