<?php
include_once "../include/conecta.php"; //Conecta com a nosso banco de dados MySQL
ini_set('session.gc_maxlifetime', 60 * 120);
session_start();
/* include_once "../include/ver_sessao.php"; //Verifica se a sesso est ativa */
include_once "../include/funcoesPhp.php"; //Inclue a pgina con todas as funes a ser usada.
?>
<?php
                $venda = listar("Select venda.Id,
 					venda.Lancamento,
 					venda.Status,
 					venda.Data_Venda,
 					venda.Obs as 'Obs_Venda',
 					venda.Valor_Original,
 					venda.Valor_Pago,
                                        venda.Desconto,
                                        venda.Desconto_Real,
                                        venda.Frete,
                                        venda.Valor_Frete,
                                        venda.Id_Unidade,
                                        venda.Numero_Pedido as Romaneio,
                                        venda.Placa,
                                        venda.Data_Retirada,
                                        venda.Fatura,
 					cliente.Titulo as 'Cliente',
                                        cliente.Razao_Social,
 					cliente.Email,
 					cliente.Natureza,
 					cliente.Cpf_Cnpj,
 					cliente.Rua,
                                        cliente.Numero,
 					cliente.Cep,
 					cliente.Bairro,
 					cliente.Estado,
 					cliente.Fone1,
                                        cliente.Fone2,
                                        cliente.Contato,
                                        cliente.Endereco,
 					cliente.Obs as 'Obs_Cliente',
                                        cliente.Codigo,
                                        cliente.Cidade,
                                        cliente.Ponto_Referencia,
 					funcionario.Titulo as 'Funcionario',
                                        vendedor.Titulo as 'Vendedor'
 					from venda
 					left join (SELECT Id,Titulo,Email,Natureza,Cpf_Cnpj,Estadual,Rua,Numero,Cep,Ponto_Referencia,
                                        Bairro,Estado,Fone1,Fone2,Obs,Cidade,Razao_Social,Contato,Endereco,Codigo FROM cliente) as cliente ON cliente.Id = venda.Id_Cliente
 					left join (SELECT Id,Titulo FROM funcionario) as funcionario ON funcionario.Id = venda.Id_Funcionario
                                        left join (SELECT Id,Titulo FROM funcionario) as vendedor ON venda.Id_Vendedor = vendedor.Id
 					where venda.Id = '" . $_GET["id_venda"] . "'
					order by venda.Lancamento DESC");

$_GET["Unidade"] = $venda[0]["Id_Unidade"];
?>
<html>
    <head>
        <title>Gw - Gesto Web</title>
        <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1" />
        <link rel="shortcut icon" href="../imagem/favi_gw.ico" type="image/x-icon" />
        <link rel="stylesheet" type="text/css" href="../estilo/<?php echo SKIN; ?>/tabela_imp.css" />
        <script type="text/javascript" language="javascript" src="../js/jquery.js"></script>
        <?php include '../include/script_cabeca.php'; ?>
        <script type="text/javascript" language="javascript" src="../js/script.js"></script>
        <script type="text/javascript" language="javascript" src="../js/meiomask/meiomask.js"></script>
        <script type="text/javascript" language="javascript" src="../js/meiomask/<?php
        if (PAIS == "USA") {
            echo "mascaras-usa";
        } else {
            echo "mascaras";
        }
        ?>.js"></script>
    </head>
    <body>

        <table width="98%" align="center"><!-- TABELA Q ENVOLVE TODO O CONTEUDO -->
            <table width="90%" align="center" >
                <?php
                if (!$_GET["Unidade"]) {
                    $_GET["Unidade"] = $_SESSION["Unidade"];
                }


                $empresa = listar("Select Logo,Titulo,Cnpj,Rua,Numero,Complemento,
                                Bairro,Cidade,Estado,Cep,Fone1,Fone2,Email,Site
                                from unidade where Id = '" . $_GET["Unidade"] . "' ");
                ?>
                <tr>
                    <td width="40%">
                        <?php
                        if (file_exists("../unidade/foto/" . $empresa[0]["Logo"] . "")) {
                            $cam_arq = "../unidade/foto/" . $empresa[0]["Logo"];
                        } else {
                            $cam_arq = "../../unidade/foto/" . $empresa[0]["Logo"];
                        }
                        ?>
                        <img src="<?php echo $cam_arq; ?>" title="Logo" alt="Logo" border="0" width="250px" height="auto"/>
                    </td>
                    <td width="60%" class="razao">
                        <b>
                            <font face="verdana" size="4">
                            <?php echo $empresa[0]["Titulo"]; ?>
                            </font>
                        </b>
                        <br>
                        <font face="verdana" size="2">
                        <?php
                        if ($empresa[0]["Complemento"]) {
                            $compl = " - " . $empresa[0]["Complemento"];
                        }
                        ?>
                        Cnpj: <?php echo $empresa[0]["Cnpj"]; ?><br>
                        End: <?php echo $empresa[0]["Rua"] . ", " . $empresa[0]["Numero"] . $compl; ?> | <?php echo $empresa[0]["Bairro"]; ?> |
                        <?php echo $empresa[0]["Cidade"]; ?> | <?php echo $empresa[0]["Estado"]; ?> - 
                        CEP <?php echo $empresa[0]["Cep"]; ?><br>
                        Fone: <?php echo $empresa[0]["Fone1"]; ?>
                        <?php
                        if ($empresa[0]["Fone2"]) {
                            echo " - " . $empresa[0]["Fone2"];
                        }
                        ?>
                        <br>
                        E-mail: <?php echo $empresa[0]["Email"]; ?><br>
                        <?php
                        if ($empresa[0]["Site"]) {
                            echo 'Site: ' . $empresa[0]["Site"];
                        }
                        ?>
                        </font>
                    </td>
                </tr>
            </table>
            <br>
            <tr>
                <td>
                    <table width="100%" align="center">
                        <tr>
                            <td colspan="2" align="center">
                                <font face="verdana" style="font-size: 20px;">
                                <b>
                                    <i>
                                        <?php
                                        if ($venda[0]["Fatura"]) {
                                            $fat = " (" . $venda[0]["Fatura"] . ")";
                                        }
                                        
                                            if ($venda[0]["Status"] == 'Cotao') {
                                                echo "Cotao - " . $venda[0]["Lancamento"];
                                            } else {
                                                echo "Venda - " . $venda[0]["Lancamento"] . $fat;
                                            }
                                        ?>
                                    </i>
                                </b>
                                </font>
                            </td>
                        </tr>
                    </table>
                </td>
            </tr>
            <br><br>
            <tr>
                <td>
                    <table width="100%" align="center" class="tabela"  style="font-size: 14px;">
                        <tr>
                            <td width="70%" style="font-size: 22px;">Cliente: 
                                <b>
                                    <?php
                                    if (CLIENTE_RAZAO_SOCIAL == 'Sim') {
                                        echo $venda[0]["Codigo"] . " - " . $venda[0]["Razao_Social"];
                                    } else {
                                        echo $venda[0]["Codigo"] . " - " . $venda[0]["Cliente"];
                                    }
                                    ?>
                                </b>
                            </td>
                            <td width="30%" style="font-size: 18px;">Data: 
                                <b>
                                    <?php echo data_exibir($venda[0]["Data_Venda"]); ?>
                                </b>
                            </td>
                        </tr>
                        <tr>
                            <td width="70%" style="font-size: 18px;">End: <?php echo $venda[0]["Endereco"]; ?></td>
                            <td width="30%" style="font-size: 18px;">
                                Fone: 
                                <?php
                                echo $venda[0]["Fone1"];
                                if ($venda[0]["Fone2"]) {
                                    echo "/" . $venda[0]["Fone2"];
                                }
                                ?>
                            </td>
                        </tr>
                        <tr>
                            <td width="70%" style="font-size: 18px;"><?php
                                echo 'Bairro:' . $venda[0]["Bairro"] . ' Cidade:' .
                                $venda[0]["Cidade"] . ' UF:' .
                                $venda[0]["Estado"];
                                ?>
                            </td>
                            <?php if ($venda[0]["Natureza"] == "PF") { ?>
                                <td width="30%" style="font-size: 18px;">CPF: <?php echo $venda[0]["Cpf_Cnpj"]; ?></td>
                            <?php } else { ?>
                                <td width="30%" style="font-size: 18px;">CNPJ: <?php echo $venda[0]["Cpf_Cnpj"]; ?></td>
                            <?php } ?>
                        </tr>
                        <tr>
                            <?php
                            $cod_auto2 = mysqli_query($con, "SELECT tipo_pagamento.Titulo
                                                            FROM venda_tipo_pagamento
                                                            LEFT JOIN (SELECT Id,Titulo FROM tipo_pagamento) as tipo_pagamento ON tipo_pagamento.Id = venda_tipo_pagamento.Id_Tipo_Pagamento
                                                            WHERE venda_tipo_pagamento.Id_Venda = '" . $_GET["id_venda"] . "'
                                                            ORDER BY Ordem");
                            $ex_tip = '';
                            while ($valor1 = mysqli_fetch_assoc($cod_auto2)) {
                                $ex_tip .= $valor1["Titulo"] . " ,";
                            }
                            $ex_tip = substr($ex_tip, 0, -2);
                            ?>
                            <td width="70%" style="font-size: 18px;">Pagamento: <?php echo $ex_tip; ?></td>
                            <td width="30%" style="font-size: 18px;">CEP: <?php echo $venda[0]["Cep"]; ?></td>
                        </tr>
                        <tr>
                            <td width="70%" style="font-size: 18px;">Contato: <?php echo $venda[0]["Contato"]; ?></td>
                            <td width="30%" style="font-size: 18px;">Frete: <?php echo $venda[0]["Frete"]; ?></td>
                        </tr>
                        <tr>
                            <td width="70%" style="font-size: 18px;">Obs: 
                                <b>
                                    <?php echo $venda[0]["Obs_Venda"]; ?>
                                </b>
                            </td>
                            <td width="30%" style="font-size: 18px;">Frete: <?php echo valor_exibir($venda[0]["Valor_Frete"]); ?></td>
                        </tr>
                        <tr>
                            <td colspan="2" style="font-size: 18px;">Ref: <?php echo $venda[0]["Ponto_Referencia"]; ?></td>
                        </tr>
                    </table>
                </td>
            </tr>
            <tr>
                <td>
                    <table width="100%" align="center" class="tabela" style="font-size: 18px;">
                        <tr>
                            <td colspan="10"style="font-size: 22px;"><b><i>Descrio dos Produtos</i></b></td>
                        </tr>
                        <tr class="azul-claro">
                            <td width="3%">N</td>
                            <td colspan="4" width="10%">Cdigo</td>
                            <td>Produto</td>
                            <!--<td>NCM</td>-->
                            <td width="5%">Un</td>
                            <td width="5%">Qtd</td>
                            <td width="8%">Valor</td>
<!--                            <td width="8%">Desc %</td>
                            <td width="8%">Desc $</td>-->
                            <td width="8%">Total</td>
                        </tr>
                        <?php
                        if ((CLIENTE_EMAIL == 'amendonel') || (CLIENTE_EMAIL == 'powervida') ) {
                            $amen = " produto.Titulo, ";
                        }
                        $venda_pro = listar("Select DISTINCT venda_produto.Id,
                                        venda_produto.Preco as 'Preco_Venda',
 					venda_produto.Qtd as 'Qtd_Venda',
 					venda_produto.Desconto as 'Desconto_Venda',
                                        venda_produto.Desconto_Real,
 					produto.Titulo as 'Produto',
 					produto.Descricao,
 					produto.Codigo,
                                        produto.Medida,
                                        produto.Ncm,
                                        produto.Codigo_Fornecedor,
                                        local_estoque.Titulo as Local_Estoque
 					from venda_produto
 					left join (SELECT Id,Titulo,Descricao,Codigo,Codigo_Fornecedor,Medida,Ncm FROM produto) as produto ON produto.Id = venda_produto.Id_Produto
                                        left join (SELECT Id,Titulo FROM local_estoque) as local_estoque ON local_estoque.Id = venda_produto.Id_Local_Estoque
 					where venda_produto.Id_Venda = '" . $_GET["id_venda"] . "'
                                        ORDER BY $amen venda_produto.Data_Cadastro ");

                        $x = 1;
                        $tQtd = 0;
                        foreach ($venda_pro as $chave) {
                            if (CLIENTE_EMAIL == 'refriauto') {
                                $cod_for = " / " . $chave["Codigo_Fornecedor"];
                            }
                            ?>

                            <tr>
                                <td><?php echo $x; ?></td>
                                <td><?php echo $chave["Codigo"] . $cod_for; ?></td>
                                <td colspan="4"><b><?php echo $chave["Produto"]; ?></b></td>
                                <!--<td><?php echo $chave["Ncm"]; ?></td>-->
                                <td><?php echo $chave["Medida"]; ?></td>
                                <td><b><?php echo $chave["Qtd_Venda"]; ?></b></td>
                                <td><?php echo number_format($chave["Preco_Venda"], 2, ',', '.'); ?></td>
<!--                                <td><?php echo number_format($chave["Desconto_Venda"], 2, ',', '.'); ?></td>
                                <td><?php echo number_format($chave["Desconto_Real"], 2, ',', '.'); ?></td>-->
                                <td>
                                    <b>
                                        <?php echo number_format(( ($chave['Qtd_Venda'] * $chave['Preco_Venda']) - ( ($chave['Qtd_Venda'] * $chave['Preco_Venda']) * ($chave['Desconto_Venda'] / 100) ) ) - $chave['Desconto_Real'], 2, ',', '.'); ?>
                                    </b>
                                </td>
                                </td>
                            </tr>
                            <?php
                            $Qtd_Venda += $chave["Qtd_Venda"];
                            $Preco_Venda += $chave["Preco_Venda"];
                            $Desconto_Venda += $chave["Desconto_Venda"];
                            $Desconto_Real += $chave["Desconto_Real"];
                            $tQtd += $chave["Qtd_Venda"];
                            $Total += ( ($chave["Preco_Venda"] * $chave["Qtd_Venda"]) -
                                    (($chave["Preco_Venda"] * $chave["Qtd_Venda"]) * ($chave["Desconto_Venda"] / 100)) ) - $chave['Desconto_Real'];
                            $x++;
                        }
                        ?>
<!--                        <tr>
                            <td colspan="7">&nbsp;</td>
                            <td><b><?php echo $tQtd; ?></b></td>
                            <td align="center"><?php// echo "Sub Total:"; ?></td>
                            <td>
                                <b>
                                    <?php //echo valor_exibir($Total); ?>
                                </b>
                            </td>
                        </tr>-->
                        <tr>
                            <td colspan="7">&nbsp;</td>
                            <td colspan="2" style="font-size: 18px;"><b>Valor Total:</b></td>
<!--                            <td style="font-size: 18px;"><?php echo number_format($venda[0]["Desconto"], 2, ',', '.'); ?></td>
                            <td style="font-size: 18px;"><?php echo number_format($venda[0]["Desconto_Real"], 2, ',', '.'); ?></td>-->
                            <td style="font-size: 18px;">
                                <b>
                                    <?php echo number_format(( ( $Total - ( $Total * ($venda[0]["Desconto"] / 100) ) ) - $venda[0]["Desconto_Real"]), 2, ',', '.'); ?>
                                </b>
                            </td>
                        </tr>
                    </table>
                </td>
            </tr>
            <?php if (($venda[0]["Status"] != 'Finalizado') || ($venda[0]["Status"] != 'Fatura')) { ?>
                <table width="98%" align="center" class="tabela"  style="font-size: 14px;">
                    <tr>
                        <td colspan="2">
                    <center>
                        <b>Condies de Gerais</b>
                    </center>
                    </td>
                    </tr>
                    <tr>
                        <?php
                        $VendaPag = listar("SELECT Id_Venda,
                                                              Valor_Pago,
                                                              Data_Cadastro,
                                                           tipo_pagamento.Titulo as Tipo_Pagamento
                                                      FROM venda_tipo_pagamento 
                                                LEFT JOIN (SELECT Id,Titulo FROM tipo_pagamento) as tipo_pagamento ON tipo_pagamento.Id = venda_tipo_pagamento.Id_Tipo_Pagamento
                                                     WHERE Id_Venda = '" . $_GET["id_venda"] . "' ")
                        ?>
                        <td><b>Tipo de Pagamento:</b> <?php echo $VendaPag[0]["Tipo_Pagamento"]; ?></td>
                        <td><b>Data Entrega:</b> <?php echo data_exibir($venda[0]["Data_Retirada"]); ?></td>
                    </tr>
                </table>
            <?php //}  ?>

                <?php
                $venda_parcela = listar("Select venda.Id,
                                conta_receber.Lancamento,
                                conta_receber.Data_Vencimento,
                                conta_receber.Valor_Original, 
                                tipo_pagamento.Titulo as 'Tipo_Pagamento'
                                from venda
                                left join (SELECT Id,Lancamento,Data_Vencimento,Valor_Original,Id_Externo,Id_Tipo_Pagamento FROM conta_receber) as conta_receber ON conta_receber.Id_Externo = venda.Id
                                left join (SELECT Id,Titulo FROM tipo_pagamento) as tipo_pagamento ON tipo_pagamento.Id = conta_receber.Id_Tipo_Pagamento
                                where venda.Id = '" . $_GET["id_venda"] . "' 					
                                order by conta_receber.Data_Vencimento");


                if (($venda[0]["Status"] == 'Finalizado') || ($venda[0]["Status"] == 'Fatura')) {
                    ?>
                    <tr>
                        <td>
                            <table width="100%" align="center" class="tabela"  style="font-size: 14px;">
                                <tr>
                                    <td colspan="5"><i>Parcelas</i></td>
                                </tr>
                                <tr class="azul-claro">
                                    <td>N</td>
                                    <td>Vencimento</td>
                                    <td>Valor</td>
                                    <td>Tipo</td>
                                </tr>
                                <?php
                                    $x = 1;
                                    foreach ($venda_parcela as $chave) {
                                ?>
                                    <tr>
                                        <td><?php echo $x; ?></td>
                                        <td><?php echo data_exibir($chave["Data_Vencimento"]) ?></td>
                                        <td><?php echo number_format($chave["Valor_Original"], 2, ',', '.') ?></td>
                                        <td><?php echo $chave["Tipo_Pagamento"] ?></td>
                                    </tr>
                                <?php
                                    $x++;
                                        }
                                    }
                                ?>
                        </table>
                    </td>
                </tr>
            <?php } ?>
        </table>
        <br/><br/><br/><br/>
        <table width="100%" align="center"  style="font-size: 14px;">
            <tr>
                <td align="center">____________________________________________________</td>
                <td align="center">____________________________________________________</td>
            </tr>
            <tr>
                <td align="center">
                    <font face="verdana" size="3">
                    <?php
                    if (CLIENTE_RAZAO_SOCIAL == 'Sim') {
                        echo $venda[0]["Razao_Social"];
                    } else {
                        echo $venda[0]["Cliente"];
                    }
                    ?>
                    </font>
                </td>
                <td align="center"><font face="verdana" size="3">Representante: <?php echo $venda[0]["Vendedor"]; ?></font></td>
            </tr>
        </table>

        <br>
    </body>
</html>

<?php include "../include/rodape.php"; ?>

