<?php
include_once "../include/conecta.php"; //Conecta com a nosso banco de dados MySQL
ini_set('session.gc_maxlifetime', 60*120); session_start();
/* include_once "../include/ver_sessao.php"; //Verifica se a sesso est ativa */
include_once "../include/funcoesPhp.php"; //Inclue a pgina con todas as funes a ser usada.
?>
<?php 
                        $Venda = listar("Select venda.Id,
                                        venda.Lancamento,
                                        venda.Status,
                                        venda.Tipo_Movimentacao,
                                        venda.Data_Venda,
                                        venda.Obs as 'Obs_Venda',
                                        venda.Valor_Original,
                                        venda.Valor_Pago,
                                        venda.Contato_Cliente,
                                        venda.Id_Unidade,
                                        venda.Modelo,
                                        venda.Ano,
                                        venda.Chassis,
                                        venda.Cor,
                                        venda.Banco as Placa,
                                        cliente.Titulo as 'Cliente',
                                        cliente.Email,
                                        cliente.Natureza,
                                        cliente.Cpf_Cnpj,
                                        cliente.Endereco,
                                        cliente.Cep,
                                        cliente.Bairro,
                                        cidade_ibge.Titulo as 'Cidade',
                                        cliente.Estado,
                                        cliente.Fone1,
                                        cliente.Obs as 'Obs_Cliente',
                                        funcionario.Titulo as 'Funcionario',
                                        tipo_pagamento.Titulo as Pagamento,
                                        usuario.Login
                                        from venda
                                        left join (SELECT Id,Titulo,Email,Natureza,Cpf_Cnpj,Endereco,Cep,Bairro,Estado,Fone1,Obs,Id_Cidade FROM cliente) as cliente ON cliente.Id = venda.Id_Cliente
                                        left join (SELECT Id,Titulo FROM cidade_ibge) as cidade_ibge ON cidade_ibge.Id = cliente.Id_Cidade
                                        left join (SELECT Id,Titulo FROM funcionario) as funcionario ON funcionario.Id = venda.Id_Vendedor
                                        left join (SELECT Id,Login FROM usuario) as usuario ON usuario.Id = venda.Id_Usuario
                                        left join (SELECT Id,Titulo FROM tipo_pagamento) as tipo_pagamento ON tipo_pagamento.Id = venda.Id_Tipo_Pagamento
                                        where venda.Id = '".$_GET["id_venda"]."'
                                        order by venda.Lancamento DESC");

$_GET["Unidade"] = $Venda[0]["Id_Unidade"];
?>
<html>
<head>
<title>Gw - Gesto Web</title>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1" />
<link rel="shortcut icon" href="../imagem/favi_gw.ico" type="image/x-icon" />
<link rel="stylesheet" type="text/css" href="../estilo/<?php echo SKIN ;?>/tabela_imp.css" />
<script type="text/javascript" language="javascript" src="../js/jquery.js"></script>
<?php include '../include/script_cabeca.php'; ?>
<script type="text/javascript" language="javascript" src="../js/script.js"></script>
<script type="text/javascript" language="javascript" src="../js/meiomask/meiomask.js"></script>
<script type="text/javascript" language="javascript" src="../js/meiomask/<?php if(PAIS=="USA"){ echo "mascaras-usa"; }else{ echo "mascaras"; }?>.js"></script>
</head>
<body text="#000000">
<br>

<table width="98%" align="center"><!-- TABELA Q ENVOLVE TODO O CONTEUDO -->
<tr>
	<td>
		<?php include "../include/cabecalho_pedido.php"; ?>
	</td>
</tr>
<tr>
	<td>
		<table width="100%" align="center">
			<tr>
                            <td colspan="2" align="center">
                                <font face="verdana" size="3">
                                    <b>
                                        <i>
                                            Oramento - <?php echo $Venda[0]["Lancamento"];?>
                                        </i>
                                    </b>
                                </font></td>
			</tr>
		</table>
	</td>
</tr>
<tr>
	<td>
		<table width="100%" align="center" class="tabela">
			<tr>
				<td width="70%">Contato Cliente: <?php echo $Venda[0]["Contato_Cliente"];?></td>
                                <td width="30%">Emisso: <?php echo data_exibir($Venda[0]["Data_Venda"]);?></td>
			</tr>
			<tr>
				<td width="70%">Cliente: <?php echo $Venda[0]["Cliente"];?></td>
				<td width="30%">Fone: <?php echo fone_exibir($Venda[0]["Fone1"]);?></td>
			</tr>
			<tr>
				<td width="70%">End: <?php echo $Venda[0]["Endereco"];?></td>
				<?php if($Venda[0]["Natureza"] == "PF"){?>
				<td width="30%">CPF: <?php echo cpf_exibir($Venda[0]["Cpf_Cnpj"]);?></td>
				<?php }else{?>
				<td width="30%">CNPJ: <?php echo cnpj_exibir($Venda[0]["Cpf_Cnpj"]);?></td>
				<?php }?>
			</tr>
			<tr>
				<td width="70%"><?php echo 'Bairro:'.$Venda[0]["Bairro"].' Cidade:'.$Venda[0]["Cidade"].' UF:'.
												$Venda[0]["Estado"];?></td>
				<td width="30%">CEP: <?php echo cep_exibir($Venda[0]["Cep"]);?></td>
			</tr>
			<tr>
				<td colspan="2">Obs: <?php echo $Venda[0]["Obs_Venda"];?></td>
			</tr>
		</table>
                <table width="100%" align="center" class="tabela">
			<tr>
				<td width="70%">Placa / Modelo: <?php echo $Venda[0]["Placa"].' / '.$Venda[0]["Modelo"];?></td>
                                <td width="30%">Cor: <?php echo ($Venda[0]["Cor"]);?></td>
			</tr>
			<tr>
				<td width="70%">Motor: <?php echo $Venda[0]["Chassis"];?></td>
				<td width="30%">Ano: <?php echo ($Venda[0]["Ano"]);?></td>
			</tr>
		</table>
	</td>
</tr>

<tr>
	<td>
		<table width="100%" align="center" class="tabela">
			<tr>
				<td colspan="9"><i>Produtos</i></td>
			</tr>
			<tr class="azul-claro">
				<td width="3%">N</td>
				<td width="10%">Cdigo</td>
				<td width="22%">Produto</td>
				<td width="5%">Qtd</td>
				<td width="8%">Valor</td>
				<td width="8%">Desc %</td>
                                <td width="8%">Desc $</td>
				<td width="8%">Total</td>
			</tr>
			<?php
               $Venda_pro = listar("Select DISTINCT venda_produto.Id,
                                        venda_produto.Preco as 'Preco_Venda',
 					venda_produto.Qtd as 'Qtd_Venda',
 					venda_produto.Desconto as 'Desconto_Venda',
                                        venda_produto.Desconto_Real,
 					produto.Titulo as 'Produto',
 					produto.Descricao,
 					produto.Codigo,
                                        produto.Tipo_Produto
 					from venda_produto
 					INNER join (SELECT Id,Titulo,Descricao,Codigo,Tipo_Produto FROM produto WHERE Tipo_Produto = 'P') as produto ON produto.Id = venda_produto.Id_Produto
 					where venda_produto.Id_Venda = '".$_GET["id_venda"]."'
                                        ORDER BY venda_produto.Data_Cadastro");

                        $x=1;
                        $Qtd_Venda = '0';
                        foreach($Venda_pro as $chave){?>

			<tr>
				<td><?php echo $x;?></td>
				<td><?php echo $chave["Codigo"];?></td>
				<td><?php echo $chave["Produto"];?></td>
				<td><?php echo $chave["Qtd_Venda"];?></td>
				<td><?php echo number_format($chave["Preco_Venda"],2,',','.');?></td>
				<td><?php echo number_format($chave["Desconto_Venda"],2,',','.');?></td>
                                <td><?php echo number_format($chave["Desconto_Real"],2,',','.');?></td>
				<td>
                                    <?php echo number_format( ( ($chave['Qtd_Venda']*$chave['Preco_Venda']) - ( ($chave['Qtd_Venda']*$chave['Preco_Venda']) * ($chave['Desconto_Venda']/100) ) ) - $chave['Desconto_Real'],2,',','.');?></td>
                                </td>
			</tr>
			<?php
			$Qtd_Venda+= $chave["Qtd_Venda"];
			$Preco_Venda+=$chave["Preco_Venda"];
			$Desconto_Venda+=$chave["Desconto_Venda"];
                        $Desconto_Real+=$chave["Desconto_Real"];
			$Total2+=( ($chave["Preco_Venda"]*$chave["Qtd_Venda"])-
					(($chave["Preco_Venda"]*$chave["Qtd_Venda"])*($chave["Desconto_Venda"]/100)) ) - $chave['Desconto_Real'];
			$x++; }
			?>
			<tr>
				<td colspan="4"></td>
				<td colspan="3">Totais Produto:</td>
                                <!--
				<td><?php echo $Qtd_Venda;?></td>
				<td><?php echo number_format($Preco_Venda,2,',','.');?></td>
				<td><?php echo number_format($Desconto_Venda/($x-1),2,',','.');?></td>
                                <td><?php echo number_format($Desconto_Real/($x-1),2,',','.');?></td>
                                -->
				<td><?php echo number_format($Total2,2,',','.');?></td>
			</tr>
		</table>
	</td>
</tr>
<tr>
	<td>
		<table width="100%" align="center" class="tabela">
			<tr>
				<td colspan="9"><i>Servios</i></td>
			</tr>
			<tr class="azul-claro">
				<td width="3%">N</td>
				<td width="10%">Cdigo</td>
				<td width="22%">Produto</td>
				<td width="5%">Qtd</td>
				<td width="8%">Valor</td>
				<td width="8%">Desc %</td>
                                <td width="8%">Desc $</td>
				<td width="8%">Total</td>
			</tr>
			<?php
                        $Venda_pro = listar("Select DISTINCT venda_produto.Id,
                                                 venda_produto.Preco as 'Preco_Venda',
                                                 venda_produto.Qtd as 'Qtd_Venda',
                                                 venda_produto.Desconto as 'Desconto_Venda',
                                                 venda_produto.Desconto_Real,
                                                 produto.Titulo as 'Produto',
                                                 produto.Descricao,
                                                 produto.Codigo,
                                                 produto.Tipo_Produto
                                                 from venda_produto
                                                 INNER join (SELECT Id,Titulo,Descricao,Codigo,Tipo_Produto FROM produto WHERE Tipo_Produto = 'S') as produto ON produto.Id = venda_produto.Id_Produto
                                                 where venda_produto.Id_Venda = '".$_GET["id_venda"]."'
                                                 ORDER BY venda_produto.Data_Cadastro");

                        $x=1;
                        $Qtd_Venda = '0';
                        foreach($Venda_pro as $chave){?>

			<tr>
				<td><?php echo $x;?></td>
				<td><?php echo $chave["Codigo"];?></td>
				<td><?php echo $chave["Produto"];?></td>
				<td><?php echo $chave["Qtd_Venda"];?></td>
				<td><?php echo number_format($chave["Preco_Venda"],2,',','.');?></td>
				<td><?php echo number_format($chave["Desconto_Venda"],2,',','.');?></td>
                                <td><?php echo number_format($chave["Desconto_Real"],2,',','.');?></td>
				<td>
                                    <?php echo number_format( ( ($chave['Qtd_Venda']*$chave['Preco_Venda']) - ( ($chave['Qtd_Venda']*$chave['Preco_Venda']) * ($chave['Desconto_Venda']/100) ) ) - $chave['Desconto_Real'],2,',','.');?></td>
                                </td>
			</tr>
                        <?php if( ($chave["Descricao"]) && ($chave["Tipo_Produto"]=='S') ){ ?>
                        <tr>
                            <td colspan="8"><?php echo $chave["Descricao"];?></td>
			</tr>
                        <?php } ?>
			<?php
			$Qtd_Venda+= $chave["Qtd_Venda"];
			$Preco_Venda+=$chave["Preco_Venda"];
			$Desconto_Venda+=$chave["Desconto_Venda"];
                        $Desconto_Real+=$chave["Desconto_Real"];
			$Total+=( ($chave["Preco_Venda"]*$chave["Qtd_Venda"])-
					(($chave["Preco_Venda"]*$chave["Qtd_Venda"])*($chave["Desconto_Venda"]/100)) ) - $chave['Desconto_Real'];
			$x++; }
			?>
			<tr>
				<td colspan="4"></td>
				<td colspan="3">Totais Servios:</td>
				<td><?php echo number_format($Total,2,',','.');?></td>
			</tr>
		</table>
	</td>
</tr>
<tr>
    <td>
        <br>
        <table width="100%" align="center" class="tabela">
            <tr>
                    <td colspan="3"><b>Servios + Produtos</b></td>
                    <td colspan="3"><b>Total Geral:</b></td>
                    <td><b><?php echo number_format($Total + $Total2,2,',','.');?></b></td>
            </tr>
        </table>
    </td>
</tr>


</table>
<br>
<table width="100%" align="center" class="tabela">
	<tr>
            <td width="5%" style="border:0px">&nbsp;</td>
            <td style="border:0px">
                
                - Os materiais no autorizados dentro do prazo de 30 DIAS, a contar da data de emisso deste documento, devero ser retirados do estabelecimento imediatamente. A empresa Retfica So Jorge no se responsabilizar por perdas e/ou danos ocorridos nos materiais recebidos acima do prazo determinado.<br>
                - O prazo de garantia deste servio  de 90 dias. A garantia no cobre superaquecimento do motor.<br>
                Prezado cliente, apresente este comprovante para retirada do veculo.<br>
                Recebido em___/__/___s_____hs.
                
<!--                "Os materiais no autorizados dentro do prazo de 30 DIAS, a contar da data de emisso deste documento deveram ser retirados do estabelecimento imediatamente. A empresa Retifica So Jorge no se responsabilizar por perdas, danos dos materiais recebidos acima do prazo determinado."<br>
                Prezado cliente, apresente este comprovante para retirada do veiculo.<br>
                Recebido em _____ / _____ / _______ s _______ hs.-->
            </td>
	</tr>
</table>
<br/>
<table width="98%" align="center">
	<tr>
		<td align="center">________________________</td>
		<td align="center">________________________</td>
	</tr>
	<tr>
		<td align="center"><font face="verdana" size="2"><?php echo $Venda[0]["Cliente"];?></font></td>
		<td align="center"><font face="verdana" size="2">Representante: <?php echo $Venda[0]["Funcionario"];?></font></td>
	</tr>
</table>

<br>
</body>
</html>
<?php include "../include/rodape.php";?>