<?php

function formatarValor(string $para, float $valor, int $qtdCasasDecimais = 2) {
    if($para == 'Exibir') {
        if(QTD_CASA_DECIMAL == 'Livre') {
            return number_format($valor, $qtdCasasDecimais, ',', '.');
        }
        switch (QTD_CASA_DECIMAL) {
            case "2":
                $casa = 100;
                break;
            case "3":
                $casa = 1000;
                break;
            case "4":
                $casa = 10000;
                break;
            case "5":
                $casa = 100000;
                break;
            default:
                $casa = 100;
        }
        $valor = round($valor * $casa) / $casa;
        return number_format($valor, QTD_CASA_DECIMAL, ',', '.');
    }
    return str_replace(['.', ','], ['', '.'], $valor);
}
?>