<?php
include_once "../include/conecta.php"; //Conecta com a nosso banco de dados MySQL
ini_set('session.gc_maxlifetime', 60 * 120);
session_start();
/* include_once "../include/ver_sessao.php"; //Verifica se a sesso est ativa */
include_once "../include/funcoesPhp.php"; //Inclue a pgina con todas as funes a ser usada.
?>
<?php
                $venda = listar("Select venda.Id,
 					venda.Lancamento,
 					venda.Status,
 					venda.Data_Venda,
 					venda.Obs as 'Obs_Venda',
 					venda.Valor_Original,
 					venda.Valor_Pago,
                                        venda.Desconto,
                                        venda.Desconto_Real,
                                        venda.Frete,
                                        venda.Valor_Frete,
                                        venda.Id_Unidade,
 					cliente.Titulo as 'Cliente',
                                        cliente.Razao_Social,
 					cliente.Email,
 					cliente.Natureza,
 					cliente.Cpf_Cnpj,
 					cliente.Rua,
                                        cliente.Numero,
 					cliente.Cep,
 					cliente.Bairro,
 					cliente.Estado,
 					cliente.Fone1,
                                        cliente.Contato,
                                        cliente.Endereco,
                                        cliente.Ponto_Referencia,
 					cliente.Obs as 'Obs_Cliente',
                                        cliente.Codigo,
                                        cidade_ibge.Titulo as Cidade,
 					funcionario.Titulo as 'Funcionario',
                                        vendedor.Titulo as 'Vendedor',
                                        tipo_pagamento.Titulo as 'Tipo_Pagamento'
 					from venda
 					left join 
                                        (SELECT Id,Titulo,Email,Natureza,Cpf_Cnpj,Estadual,Rua,Numero,Cep,Bairro,Estado,Fone1,
                                        Obs,Id_Cidade,Razao_Social,Contato,Endereco,Ponto_Referencia,Codigo FROM cliente) as cliente 
                                        ON cliente.Id = venda.Id_Cliente
                                        left join (SELECT Id,Titulo FROM cidade_ibge) as cidade_ibge ON cidade_ibge.Id = cliente.Id_Cidade
 					left join (SELECT Id,Titulo FROM funcionario) as funcionario ON funcionario.Id = venda.Id_Funcionario
                                        left join (SELECT Id,Titulo FROM funcionario) as vendedor ON venda.Id_Vendedor = vendedor.Id
                                        left join (SELECT Id,Titulo FROM tipo_pagamento) as tipo_pagamento ON tipo_pagamento.Id = venda.Id_Tipo_Pagamento
 					where venda.Id = '" . $_GET["id_venda"] . "'
					order by venda.Lancamento DESC");


$_GET["Unidade"] = $venda[0]["Id_Unidade"];
?>
<html>
    <head>
        <title>Gw - Gesto Web</title>
        <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1" />
        <link rel="shortcut icon" href="../imagem/favi_gw.ico" type="image/x-icon" />
        <link rel="stylesheet" type="text/css" href="../estilo/<?php echo SKIN; ?>/tabela_imp.css" />
        <script type="text/javascript" language="javascript" src="../js/jquery.js"></script>
        <?php include '../include/script_cabeca.php'; ?>
        <script type="text/javascript" language="javascript" src="../js/script.js"></script>
    </head>
    <body>
        <table width="98%" align="center"><!-- TABELA Q ENVOLVE TODO O CONTEUDO -->
            <tr>
                <td>
                    <?php include "../include/cabecalho_pedido.php"; ?>
                </td>
            </tr>
            <tr>
                <td>
                    <table width="100%" align="center">
                        <tr>
                            <td colspan="2" align="center">
                                <span style='font-variant:small-caps;font-size: 18px'>
                                    <b>Venda - <?php echo $venda[0]["Lancamento"]; ?>
                                        <?php if (CLIENTE_EMAIL == 'saolucas') { ?>
                                            <?php if ($venda[0]["Status"] == 'Finalizado') {
                                                echo " - Pago";
                                            } ?>
        <?php } ?></b>
                                </span>
                            </td>
                        </tr>
                    </table>
                </td>
            </tr>
            <tr>
                <td>
                    <table width="100%" align="center" style="font-family: verdana">
                        <tr>
                            <td colspan="3" style='font-variant:small-caps; border-bottom: 2px solid #363636;font-size: 12px'>
                                Cliente
                                <!--
                                <span style="float: right">Vendedor : <?php echo $venda[0]["Vendedor"]; ?></span>
                                -->
                            </td>
                        </tr>
                        <tr>
                            <td style='border-bottom: 1px solid #737373;border-right: 1px solid #737373;font-size: 12px'>
                                <span style='font-variant:small-caps;font-size: 10px'>Fantasia / Razo Social <br/></span>
<?php echo $venda[0]["Codigo"] . " - " . $venda[0]["Cliente"]; ?>
                            </td>
                            <td style='border-bottom: 1px solid #737373;border-right: 1px solid #737373;font-size: 12px'>
                                <span style='font-variant:small-caps;font-size: 10px'>Contato <br/></span>
<?php echo ($venda[0]["Contato_Cliente"] != '') ? $venda[0]["Contato_Cliente"] : "-"; ?>
                            </td>
                            <td style='border-bottom: 1px solid #737373;font-size: 12px'>
                                <span style='font-variant:small-caps;font-size: 10px'>Emisso <br/></span>
<?php echo data_exibir($venda[0]["Data_Venda"]); ?>
                            </td>
                        </tr>
                        <tr>
                            <td style='border-bottom: 1px solid #737373;border-right: 1px solid #737373;font-size: 12px'>
                                <span style='font-variant:small-caps;font-size: 10px'>Endereo <br/></span>
<?php echo $venda[0]["Endereco"] . ", " . $venda[0]["Complemento"]; ?>
                            </td>
                            <td style='border-bottom: 1px solid #737373;border-right: 1px solid #737373;font-size: 12px'>
                                <span style='font-variant:small-caps;font-size: 10px'>Bairro / Cidade / UF <br/></span>
<?php echo $venda[0]["Bairro"] . " / " . $venda[0]["Cidade"] . " / " . $venda[0]["Estado"]; ?>
                            </td>
                            <td style='border-bottom: 1px solid #737373;font-size: 12px'>
                                <span style='font-variant:small-caps;font-size: 10px'>CEP <br/></span>
<?php echo cep_exibir($venda[0]["Cep"]); ?>
                            </td>
                        </tr>
                        <tr>
                            <td colspan="3" style='border-bottom: 1px solid #737373;font-size: 12px'>
                                <span style='font-variant:small-caps;font-size: 10px'>Ponto Referncia <br/></span>
<?php echo ($venda[0]["Ponto_Referencia"] != '') ? $venda[0]["Ponto_Referencia"] : "-"; ?>
                            </td>
                        </tr>
                        <tr>
                            <td style='border-bottom: 1px solid #737373;font-size: 12px'>
                                <span style='font-variant:small-caps;font-size: 10px'>Fone <br/></span>
                                <?php
                                echo $venda[0]["Fone1"];
                                if ($venda[0]["Fone2"]) {
                                    echo " / " . $venda[0]["Fone2"];
                                }
                                ?>
                            </td>
                                <?php if ($venda[0]["Natureza"] == "PF") { ?>
                                <td style='border-bottom: 1px solid #737373;font-size: 12px'>
                                    <span style='font-variant:small-caps;font-size: 10px'>CPF <br/></span>
                                <?php echo cpf_exibir($venda[0]["Cpf_Cnpj"]); ?>
                                </td>
                                <?php } else { ?>
                                <td style='border-bottom: 1px solid #737373;font-size: 12px'>
                                    <span style='font-variant:small-caps;font-size: 10px'>CNPJ <br/></span>
                                <?php echo cnpj_exibir($venda[0]["Cpf_Cnpj"]); ?>
                                </td>
                                <?php } ?>
                            <td style='border-bottom: 1px solid #737373;font-size: 12px'>
                                <span style='font-variant:small-caps;font-size: 10px'>Vendedor <br/></span>
<?php echo $venda[0]["Vendedor"]; ?>
                            </td>
                        </tr>
                        <tr>
                            <td colspan="3" style='border-bottom: 1px solid #737373;font-size: 12px'>
                                <span style='font-variant:small-caps;font-size: 10px'>Obs Venda <br/></span>
<?php echo ($venda[0]["Obs_Venda"] != '') ? $venda[0]["Obs_Venda"] : "-"; ?>
                            </td>
                        </tr>
                    </table>
                </td>
            </tr>
            <tr>
                <td>
                    <table width="100%" align="center" style="font-family: verdana">
                        <tr>
                            <td colspan="9" style='font-variant:small-caps; border-bottom: 2px solid #363636;font-size: 12px'>
                                Produtos
                            </td>
                        </tr>
                        <tr>
                            <td style='border-bottom: 1px solid #737373;border-right: 1px solid #737373;font-size: 12px'>
                                <span style='font-variant:small-caps;font-size: 10px'>N</span>
                            </td>
                            <td style='border-bottom: 1px solid #737373;border-right: 1px solid #737373;font-size: 12px'>
                                <span style='font-variant:small-caps;font-size: 10px'>Cdigo</span>
                            </td>
                            <td style='border-bottom: 1px solid #737373;border-right: 1px solid #737373;font-size: 12px'>
                                <span style='font-variant:small-caps;font-size: 10px'>Produto</span>
                            </td>
                            <td style='border-bottom: 1px solid #737373;border-right: 1px solid #737373;font-size: 12px'>
                                <span style='font-variant:small-caps;font-size: 10px'>UN</span>
                            </td>
                            <td style='border-bottom: 1px solid #737373;border-right: 1px solid #737373;font-size: 12px'>
                                <span style='font-variant:small-caps;font-size: 10px'>Qtd</span>
                            </td>
                            <td style='border-bottom: 1px solid #737373;border-right: 1px solid #737373;font-size: 12px'>
                                <span style='font-variant:small-caps;font-size: 10px'>Valor</span>
                            </td>
                            <td style='border-bottom: 1px solid #737373;border-right: 1px solid #737373;font-size: 12px'>
                                <span style='font-variant:small-caps;font-size: 10px'>Desc %</span>
                            </td>
                            <td style='border-bottom: 1px solid #737373;border-right: 1px solid #737373;font-size: 12px'>
                                <span style='font-variant:small-caps;font-size: 10px'>Desc $</span>
                            </td>
                            <td style='border-bottom: 1px solid #737373;border-right: 1px solid #737373;font-size: 12px'>
                                <span style='font-variant:small-caps;font-size: 10px'>Total</span>
                            </td>
                        </tr>
                        <?php
                        $venda_pro = listar("Select DISTINCT venda_produto.Id,
                                        venda_produto.Preco as 'Preco_Venda',
 					venda_produto.Qtd as 'Qtd_Venda',
 					venda_produto.Desconto as 'Desconto_Venda',
                                        venda_produto.Desconto_Real,
 					produto.Titulo as 'Produto',
 					produto.Descricao,
                                        produto.Medida,
 					produto.Codigo,
                                        local_estoque.Titulo as Local_Estoque
 					from venda_produto
 					left join (SELECT Id,Titulo,Descricao,Codigo,Medida FROM produto) as produto ON produto.Id = venda_produto.Id_Produto
                                        left join (SELECT Id,Titulo FROM local_estoque) as local_estoque ON local_estoque.Id = venda_produto.Id_Local_Estoque
 					where venda_produto.Id_Venda = '" . $_GET["id_venda"] . "'
                                        ORDER BY venda_produto.Data_Cadastro ");
                        ?>
<?php $x = 1;
foreach ($venda_pro as $chave) {
    ?>

                            <tr>
                                <td style='border-bottom: 1px solid #737373;font-size: 12px'>
                                    <span style='font-variant:small-caps;font-size: 10px'><?php echo $x; ?></span>
                                </td>
                                <td style='border-bottom: 1px solid #737373;font-size: 12px'>
                                    <span style='font-variant:small-caps;font-size: 10px'><?php echo $chave["Codigo"]; ?></span>
                                </td>
                                <td style='border-bottom: 1px solid #737373;font-size: 12px'>
                                    <span style='font-variant:small-caps;font-size: 10px'><?php echo $chave["Produto"]; ?></span>
                                </td>
                                <td style='border-bottom: 1px solid #737373;font-size: 12px'>
                                    <span style='font-variant:small-caps;font-size: 10px'><?php echo $chave["Medida"]; ?></span>
                                </td>
                                <td style='border-bottom: 1px solid #737373;font-size: 12px'>
                                    <span style='font-variant:small-caps;font-size: 10px'><?php echo $chave["Qtd_Venda"]; ?></span>
                                </td>
                                <td style='border-bottom: 1px solid #737373;font-size: 12px'>
                                    <span style='font-variant:small-caps;font-size: 10px'><?php echo number_format($chave["Preco_Venda"], 2, ',', '.'); ?></span>
                                </td>
                                <td style='border-bottom: 1px solid #737373;font-size: 12px'>
                                    <span style='font-variant:small-caps;font-size: 10px'><?php echo number_format($chave["Desconto_Venda"], 2, ',', '.'); ?></span>
                                </td>
                                <td style='border-bottom: 1px solid #737373;font-size: 12px'>
                                    <span style='font-variant:small-caps;font-size: 10px'><?php echo number_format($chave["Desconto_Real"], 2, ',', '.'); ?></span>
                                </td>
                                <td style='border-bottom: 1px solid #737373;font-size: 12px'>
                                    <span style='font-variant:small-caps;font-size: 10px'>
                            <?php echo number_format(( ($chave['Qtd_Venda'] * $chave['Preco_Venda']) - ( ($chave['Qtd_Venda'] * $chave['Preco_Venda']) * ($chave['Desconto_Venda'] / 100) ) ) - $chave['Desconto_Real'], 2, ',', '.'); ?></span>
                                </td>
                            </tr>
                            <?php
                            $Qtd_Venda += $chave["Qtd_Venda"];
                            $Preco_Venda += $chave["Preco_Venda"];
                            $Desconto_Venda += $chave["Desconto_Venda"];
                            $Desconto_Real += $chave["Desconto_Real"];
                            $Total += ( ($chave["Preco_Venda"] * $chave["Qtd_Venda"]) -
                                    (($chave["Preco_Venda"] * $chave["Qtd_Venda"]) * ($chave["Desconto_Venda"] / 100)) ) - $chave['Desconto_Real'];
                            $x++;
                        }
                        ?>
                        <tr>
                            <?php
                            $cod_auto2 = mysqli_query($con, "SELECT tipo_pagamento.Titulo
                                                        FROM (SELECT Id,Id_Venda,Id_Tipo_Pagamento,Ordem FROM venda_tipo_pagamento) as venda_tipo_pagamento
                                                        LEFT JOIN (SELECT Id,Titulo FROM tipo_pagamento) as tipo_pagamento ON tipo_pagamento.Id = venda_tipo_pagamento.Id_Tipo_Pagamento
                                                        WHERE venda_tipo_pagamento.Id_Venda = '" . $_GET["id_venda"] . "'
                                                        ORDER BY venda_tipo_pagamento.Ordem");
                            $ex_tip = '';
                            while ($valor1 = mysqli_fetch_assoc($cod_auto2)) {
                                $ex_tip .= $valor1["Titulo"] . " ,";
                            }
                            $ex_tip = substr($ex_tip, 0, -2);
                            ?>
                            <td style='border-bottom: 1px solid #737373;border-right: 1px solid #737373;font-size: 12px' colspan="3">
                                <span style='font-variant:small-caps;font-size: 10px'><b>Forma de Pagamento:</b> <?php echo $ex_tip; ?></span>
                            </td>
                            <td style='border-bottom: 1px solid #737373;border-right: 1px solid #737373;font-size: 12px' colspan="3">
                                <span style='font-variant:small-caps;font-size: 10px'><b>Totais da Venda</b></span>
                            </td>
                            <td style='border-bottom: 1px solid #737373;border-right: 1px solid #737373;font-size: 12px'>
                                <span style='font-variant:small-caps;font-size: 10px'><?php echo number_format($venda[0]["Desconto"], 2, ',', '.'); ?></span>
                            </td>
                            <td style='border-bottom: 1px solid #737373;border-right: 1px solid #737373;font-size: 12px'>
                                <span style='font-variant:small-caps;font-size: 10px'><?php echo number_format($venda[0]["Desconto_Real"], 2, ',', '.'); ?></span>
                            </td>
                            <td style='border-bottom: 1px solid #737373;border-right: 1px solid #737373;font-size: 12px'>
                                <span style='font-variant:small-caps;font-size: 10px'><?php echo number_format(( ( $Total - ( $Total * ($venda[0]["Desconto"] / 100) ) ) - $venda[0]["Desconto_Real"]), 2, ',', '.'); ?></span>
                            </td>
                        </tr>
                    </table>
                </td>
            </tr>
        </table>
    </body>
</html>
<?php include "../include/rodape.php"; ?>