<?php
include_once '../../include/conecta.php'; //Conecta com a nosso banco de dados MySQL
ini_set('session.gc_maxlifetime', 60 * 120);
session_start();
/*include_once '../include/ver_sessao.php'; //Verifica se a sesso est ativa*/
include_once '../../include/funcoesPhp.php';
include_once '../../menu_movimento.php';


$cliente = listar("Select venda.Id,
                        cliente.Titulo,
                        cliente.Razao_Social,
                        cliente.Natureza,
                        cliente.Cpf_Cnpj,
                        cliente.Rua,
                        cliente.Numero,
                        cliente.Bairro,
                        cliente.Cidade,
                        cliente.Estado,
                        cliente.Cep,
                        cliente.Nome_Responsavel,
                        cliente.Cpf_Responsavel,
                        venda.Lancamento,
                        venda.Parcela,
                        venda.Valor_Pago,
                        venda.Data_Venda,
                        venda.Id_Tipo_Pagamento,
                        venda_tipo_pagamento.Id_Tipo_Pagamento as 'IdPagamento',
                        tipo_pagamento.Titulo as 'Tipo_Pagamento'
                        from venda
                        left join (SELECT Id,Titulo,Razao_Social,Natureza,Cpf_Cnpj,Rua,Numero,Bairro,Cidade,Estado,Cep,
                        Nome_Responsavel,Cpf_Responsavel FROM cliente) as cliente on cliente.Id = venda.Id_Cliente
                        LEFT JOIN (SELECT Id,Id_Venda,Id_Tipo_Pagamento FROM venda_tipo_pagamento) as venda_tipo_pagamento on venda_tipo_pagamento.Id_Venda = venda.Id
                        LEFT JOIN(SELECT Id,Codigo,Titulo FROM tipo_pagamento) as tipo_pagamento on tipo_pagamento.Id = venda_tipo_pagamento.Id_Tipo_Pagamento
 			            WHERE venda.Id = '" . $_GET["id_venda"] . "' ");
?>
<html>

<head>
    <title>Gw - Gesto Web</title>
    <link rel="stylesheet" type="text/css" href="../../estilo/tabela_imp.css" />
    <script type="text/javascript" language="javascript" src="../../js/jquery.js"></script>
    <?php include '../../include/script_cabeca.php'; ?>
    <script type="text/javascript" language="javascript" src="../../js/script.js"></script>
    <script type="text/javascript" language="javascript">
        $(document).ready(function() {
            function slideout() {
                setTimeout(function() {
                        $("#response").slideUp("slow", function() {});
                    },
                    2000);
            }
            $(".inlineEdit").bind("click", updateText);
            var OrigText, NewText;
            $(".save").live("click", function() {
                $("#loading").fadeIn('slow');
                NewText = $(this).siblings("form").children(".edit").val();
                var id = $(this).parent().attr("id");
                //var data = '?id=' + id + '&text=' + NewText;
                var data = 'id=' + id + '&text=' + NewText;
                $.post("edit.php", data, function(response) {
                    $("#retorno").html(response);
                    $("#response").slideDown('slow');
                    slideout();
                    $("#loading").fadeOut('slow');
                });
                $(this).parent().html(NewText).removeClass("selected").bind("click", updateText);
                recarregar();
            });
            $(".revert").live("click", function() {
                $(this).parent().html(OrigText).removeClass("selected").bind("click", updateText);
            });

            function updateText() {
                $('li').removeClass("inlineEdit");
                OrigText = $(this).html();
                $(this).addClass("selected").html('<form><textarea class="edit" rows="8" cols="140">' + OrigText + '</textarea></form><a href="#" class="save"><img src="../../js/editing/images/save.png" border="0" width="48" height="15"/></a> <a href="#" class="revert"><img src="../../js/editing/images/cancel.png" border="0" width="58" height="15"/></a>').unbind('click', updateText);
            }

            function recarregar() {
                setTimeout(function() {
                    location.reload();
                }, 1000);
            }

        });
    </script>
    <style type="text/css" media="print">
        thead {
            display: table-header-group;
        }

        tfoot {
            display: table-footer-group;
        }

        thead th,
        thead td {
            position: static;
        }

        thead tr {
            position: static;
        }

        /*prevent problem if print after scrolling table*/
        table tfoot tr {
            position: static;
        }
    </style>
    <style>
        table.tabela {
            border-collapse: collapse;
            font-family: Verdana, Geneva, sans-serif;
            font-size: 11px;
            border: 1px #e8e8e8 solid;
            /*line-height:85%;*/
        }
    </style>
</head>

<body>
    <table width="98%" align="center">
        <!-- TABELA Q ENVOLVE TODO O CONTEUDO -->
        <thead>
            <tr>
                <td>
                    <table width="100%">
                        <tr>
                            <td align="left" width="50%"><img src="logo_city.jpeg" width="40%" height="auto"></td>
                            <td align="right" width="50%">
                                <font size="2">AV ENGENHEIRO DOMINGOS FERREIRA,<br> 4280, Loja 02
                                    Boa Viagem, Recife - PE. Cep: 51021-040</font>
                            </td>
                        </tr>
                    </table>
                </td>
            </tr>
        </thead>
        <tr>
            <td>
                <table width="100%">
                    <tr>
                        <td align="justify">
                            <span style="font-size: 14px">
                                <b>
                                    <center>
                                        <font size="4">
                                            <span class="inlineEdit" id="1" style="cursor: pointer;" alt="Clique para Editar !" title="Clique para Editar !">
                                                ADITIVO CONTRATUAL
                                                <br>
                                            </span>
                                        </font>
                                    </center>
                                </b><br /><br />
                                Com base no nmero da proposta comercial n <b><?php echo $cliente[0]["Lancamento"] ?></b> entre as partes, <b>LEGNA REPRESENTAO COMERCIAL LTDA</b>,
                                CNPJ/MF sob o n <b>41.063.019/0001-64</b> e o(a) Sr(a). <b><?php echo $cliente[0]["Razao_Social"] . " (" . $cliente[0]["Titulo"] . ")"; ?></b> CPF/CNPJ <b><?php echo cnpj_exibir($cliente[0]['Cpf_Cnpj']); ?></b>
                                emitimos o referido Aditivo Contratual, contendo informaes e compromissos assumidos mediante a
                                assinatura do contrato que devem ser observadas e cumpridas para que ambas as partes concluam
                                suas obrigaes com profundo xito.
                                <br>
                                <br />
                                Alm das informaes descritas no <b></b>Termo de Garantia</b>, seguem outras informaes que devero ser observadas para
                                no comprometer o prazo e a qualidade da instalao e dos nossos produtos:
                                <br>
                                <br /><br>
                                <b>1 - </b> Os produtos sero entregues diretamente em nosso galpo para verificao da mercadoria;
                                <br /><br />
                                <b>2 - </b> Nosso setor de agendamento entrar em contato para programar a entrega dos produtos adquiridos;
                                <br /><br />
                                <b>3 - </b> Autorizando a entrega dos produtos, o comprador atesta que os ambientes esto aptos a receber as
                                mercadorias e se responsabiliza por danos causados por terceiros aps o recebimento das mesmas;
                                <br /><br />
                                <b>4 - </b> <b>IAMENTO:</b> Em caso de peas que no possam ser entregues por vias normais (elevador e escada), fica sob responsabilidade do contratante a contratao de empresa especializada para realizar o iamento;
                                <br /><br />
                                <b>5 - </b> Aps o envio do pedido para a Fbrica, no  mais possvel efetuar alteraes nos produtos solicitados pelo contratante;
                                <br /><br />
                                <b>6 - </b> As vendas realizadas com base em medidas fornecidas pelo cliente ou arquiteto so de inteira responsabilidade dos mesmos. Havendo necessidade de ajustes ou solicitao de produtos para substituio, o contratante assumir os custos devidos;
                                <br /><br />
                                <b>7 - </b> Caso haja necessidade de troca de peas (avarias e outros causadores), a substituio levar at 60 dias teis para ser efetuada;
                                <br /><br />
                                <b>8 - </b> <b>Nosso prazo de entrega aps a assinatura deste aditivo  de:</b><br />
                                CADEIRAS ESCRITRIO E MOBILIRIO INTERNO: 50 Dias Corridos;<br />
                                CADEIRAS VERSTEIS: 65 dias corridos;<br />
                                MOBILIRIO URBANO: 80 dias corridos;<br />
                                MOBILIRIO ESPECIAL: 125 dias corridos.
                                <br /><br />
                                <b>9 - </b> <b>Nosso prazo de entrega aps a assinatura deste aditivo para produtos que constam em estoque so de 05 dias teis.</b>
                                <br /><br />
                                <b>10 - </b> FATURAMENTO LEGNA: Produtos que constam em estoque de loja pela City Desgn Recife, ser faturado totalmente pela Legna Representao Comrcio Ltda, gerando uma nota nica de produto.
                                <br /><br />
                                <b>11 - </b> FATURAMENTO MISTO: Produtos que sero transmitidos para a Indstria ser faturado pela Legna Representaes Ltda como nota de servio e pela OMP do Brasil como nota de produto.
                                <br /><br />
                                <b>12 - </b> <b>FORMA DE PAGAMENTO: Faturamento Legna</b>
                                - Valor Total da Venda: R$ <?php echo valor_exibir($cliente[0]["Valor_Pago"]) ?><br />
                                - Valor Total da Nota de Produto: R$ <?php echo valor_exibir($cliente[0]["Valor_Pago"]) ?> Fornecida pela Legna Representaes<br />
                                - Forma de Pagamento: <?php echo $cliente[0]["Tipo_Pagamento"] ?> <br />
                                <?php
                                $venda_parcela = listar("SELECT financeiro_pedido.*,
                                            tipo_pagamento.Titulo as 'Tipo_Pagamento'
                                       FROM financeiro_pedido
                                        LEFT JOIN (SELECT Id,Titulo FROM tipo_pagamento) as tipo_pagamento ON tipo_pagamento.Id = financeiro_pedido.Id_Tipo_Pagamento
                                        WHERE financeiro_pedido.Id_Externo = '" . $_GET["id_venda"] . "'
                                        AND financeiro_pedido.Id_Tipo_Pagamento <> '0'
                                        ORDER BY financeiro_pedido.Ordem ");
                                ?>
                                <?php
                                for ($i = 1; $i <= PARCELA_PAGAMENTO; $i++) {
                                    $campo_tp .= " Taxa" . str_pad($i, 2, "0", STR_PAD_LEFT) . ", Prazo" . str_pad($i, 2, "0", STR_PAD_LEFT) . ", ";
                                }
                                $campo_tp = substr($campo_tp, 0, -2);

                                foreach ($venda_parcela as $chave) {

                                    $tip = mysqli_query($con, "SELECT $campo_tp
                                                           FROM tipo_pagamento
                                                          WHERE Id = '{$chave["Id_Tipo_Pagamento"]}'  ")
                                        or die("ERRO no comando SQL:" . mysqli_error($con));
                                    $array_tipo = mysqli_fetch_assoc($tip);

                                    $z = 1;
                                    for ($x = 1; $x <= PARCELA_PAGAMENTO; $x++) {

                                        if ($x < 10) {
                                            $z = '0' . $x;
                                        }

                                        if ($array_tipo["Prazo" . $z] == "") {
                                            break;
                                        }
                                ?>
                                        - Parcelamento: <?php echo  data_exibir($chave["Data$z"]) . '   -  R$ ' . number_format($chave["Valor$z"], 2, ',', '.') ?><br />
                                <?php
                                        $z++;
                                    }
                                }
                                ?>
                                <!-- - Data do primeiro vencimento:<br /> -->
                                <br /><br />
                        </td>
                    </tr>
                    <tr>
                        <td style="border: 1px solid #000;">
                            Dados Bancrios Legna Representao LTDA.<br>
                            CNPJ: 41.063.019/0001-64<br>
                            <b>Banco: Santander (033)</b><br>
                            Agncia: 3686<br>
                            Conta Corrente: 130097054
                        </td>
                    </tr>
                    <tr>
                        <td>
                            <br />
                            Por as partes estarem em comum acordo dos deveres e obrigaes,
                        </td>
                    </tr>
                    <tr>
                        <td align="right">
                            <br><br>
                            <font size="2">
                                <?php
                                switch (date('F')) {
                                    case 'January':
                                        $Mes_Maiusculo = ' Janeiro';
                                        break;
                                    case 'February':
                                        $Mes_Maiusculo = ' Fevereiro';
                                        break;
                                    case 'March':
                                        $Mes_Maiusculo = ' Maro';
                                        break;
                                    case 'April':
                                        $Mes_Maiusculo = ' Abril';
                                        break;
                                    case 'May':
                                        $Mes_Maiusculo = ' Maio';
                                        break;
                                    case 'June':
                                        $Mes_Maiusculo = ' Junho';
                                        break;
                                    case 'July':
                                        $Mes_Maiusculo = ' Julho';
                                        break;
                                    case 'August':
                                        $Mes_Maiusculo = ' Agosto';
                                        break;
                                    case 'September':
                                        $Mes_Maiusculo = ' Setembro';
                                        break;
                                    case 'October':
                                        $Mes_Maiusculo = ' Outubro';
                                        break;
                                    case 'November':
                                        $Mes_Maiusculo = ' Novembro';
                                        break;
                                    case 'December':
                                        $Mes_Maiusculo = ' Dezembro';
                                        break;
                                }
                                ?>
                                <br /><br />Recife, <?php echo data_extenso($cliente[0]['Data_Venda']) ?><br />
                            </font>
                        </td>
                    </tr>
                    <tr>
                        <td align="center">
                            <font size="2"><br /><br />
                                _______________________________________________________
                                <br />LEGNA REPRESENTAO COMERCIAL LTDA<br>
                            </font>
                        </td>
                    </tr>
                    <tr>
                        <td align="center">
                            <font size="2"><br /><br />
                                _______________________________________________________
                                <br /><?php echo $cliente[0]["Razao_Social"] . "(" . $cliente[0]["Titulo"] . ")"; ?><br>
                                <?php echo cnpj_exibir($cliente[0]['Cpf_Cnpj']); ?>
                            </font>
                        </td>
                    </tr>
                </table>
            </td>
        </tr>
    </table>
    <div style='page-break-before:always;'></div>
    </td>
    </tr>
    </table>
</body>

</html>