<?php
include_once '../include/conecta.php'; //Conecta com a nosso banco de dados MySQL
include_once '../include/ver_sessao.php'; //Verifica se a sesso est ativa
include_once '../include/funcoesPhp.php';
include_once '../menu_movimento.php';


$condicoes = [];

if (!empty($_GET["De"])) {
    $de = data_banco($_GET["De"]) . " 00:00:00";
    $condicoes[] = "venda.Data_Venda >= '$de'";
}

if (!empty($_GET["Ate"])) {
    $ate = data_banco($_GET["Ate"]) . " 23:59:59";
    $condicoes[] = "venda.Data_Venda <= '$ate'";
}

$data = '';
if (!empty($condicoes)) {
    $data = "AND " . implode(' AND ', $condicoes);
}

?>
<html>

<head>
    <title>Gw - Gesto Web</title>
    <link rel="stylesheet" type="text/css" href="../estilo/<?php echo SKIN; ?>/tabelas.css" />
    <link rel="stylesheet" type="text/css" href="../js/datePicker/datePicker.css" />
    <link rel="stylesheet" type="text/css" href="../js/autocomplete/jquery.autocomplete.css" />
    <link rel="stylesheet" type="text/css" href="../js/autocomplete/lib/thickbox.css" />
    <script type="text/javascript" language="javascript" src="../js/jquery.js"></script>
    <?php include '../include/script_cabeca.php'; ?>
    <script type="text/javascript" language="javascript" src="../js/script.js"></script>
    <script type="text/javascript" language="javascript" src="../js/meiomask/meiomask.js"></script>
    <script type="text/javascript" language="javascript" src="../js/meiomask/mascaras.js"></script>
    <script type="text/javascript" language="javascript" src="../js/autocomplete/lib/jquery.bgiframe.min.js"></script>
    <script type="text/javascript" language="javascript" src="../js/autocomplete/lib/jquery.ajaxQueue.js"></script>
    <script type="text/javascript" language="javascript" src="../js/autocomplete/lib/thickbox-compressed.js"></script>
    <script type="text/javascript" language="javascript" src="../js/autocomplete/jquery.autocomplete.js"></script>
    <script language="javascript" type="text/javascript" src="../js/datePicker/date-pt.js"></script>
    <script type="text/javascript" src="../js/datePicker/jquery.datePicker.js"></script>
    <script type="text/javascript" language="javascript">
        Date.firstDayOfWeek = 0;
        <?php if (PAIS == "USA") {
            echo "Date.format='mm/dd/yyyy';";
        } else {
            echo "Date.format='dd/mm/yyyy';";
        } ?>
        $(function () {
            $('.date-pick').datePicker({
                startDate: '01/01/1990'
            });
        });
    </script>
    <style type="text/css">
        thead {
            display: table-header-group;
        }

        tfoot {
            display: table-footer-group;
        }
    </style>
</head>

<body>
    <table width="100%" height="400px">
        <tr>
            <td>
                <table width="100%">
                    <tr>
                        <td align="left">
                            <font face="verdana" size="2"><i><b>Painel de Acompanhamento</b></i></font>
                        </td>
                        <td align="center">
                            <a href="imp_rel_painel_venda.php?<?php echo $_SERVER["QUERY_STRING"] ?>" title="Imprimir"
                                target="_blank"><img src="../imagem/imprimirG.png" border="0" alt="Imprimir"
                                    title="Imprimir" /></a>
                            <br />
                            <font face="verdana" size="2"><i>Imprimir</i></font>
                        </td>
                    </tr>
                </table>
            </td>
        </tr>
        <tr>
            <td>
                <form action="" method="get">
                    <table width="100%" class="busca_rel">
                        <tr class="azul">
                            <td>De<input type="text" name="De" id="De" class="date-pick" size="10"
                                    value="<?php echo $_GET["De"]; ?>"></td>
                            <td>At<input type="text" name="Ate" id="Ate" class="date-pick" size="10"
                                    value="<?php echo $_GET["Ate"]; ?>"></td>
                            <td>
                                <input type="submit" value="Ok" name="Ok">
                            </td>
                        </tr>
                    </table>
                </form>
            </td>
        </tr>
        <tr>
            <td>
                <table width="100%" style="margin-top: 1px;" class="tabela">
                    <tr class="azul-claro">
                        <td>Total Ordens Abertas</td>
                        <td>Total Peas Abertas</td>
                        <td>Total Servios Abertos</td>
                    </tr>
                    <?php
                    $color = ($color == "#F5F5F5") ? "#E8E8E8" : "#F5F5F5";
                    ?>
                    <tr bgcolor="<?php echo $color; ?>">
                        <td>
                            <?php
                            $pedidoAberto = mysqli_query($con, "SELECT COUNT(Id) AS Total_Pedidos FROM venda WHERE Status = 'Aberto' $data");
                            $retornoCaltuloPedido = mysqli_fetch_assoc($pedidoAberto);
                            echo $retornoCaltuloPedido['Total_Pedidos'];
                            ?>
                        </td>
                        <td>
                            <?php
                            $calculaPedido = mysqli_query($con, "SELECT SUM(venda_produto.Qtd) AS Total_Pedidos FROM venda_produto 
                            INNER JOIN (SELECT Id FROM venda WHERE venda.Status = 'Aberto' $data ) as venda ON venda.Id = venda_produto.Id_Venda");
                            $calculaPedido = mysqli_fetch_assoc($calculaPedido);
                            echo $calculaPedido['Total_Pedidos'];
                            ?>
                        </td>
                        <td>
                            <?php
                            $calculaProdutos1 = mysqli_query($con, "SELECT SUM(Total) AS Total_Pedidos FROM (
                                                            SELECT COUNT(venda_produto.Id) AS Total 
                                                            FROM (SELECT Id,Id_Venda FROM venda_produto WHERE Id_Produto<>'') as venda_produto 
                                                            INNER JOIN (SELECT Id FROM venda WHERE venda.Status = 'Aberto' $data ) as venda ON venda.Id = venda_produto.Id_Venda
                                                        ) AS resultado");
                            $calculaProdutos1 = mysqli_fetch_assoc($calculaProdutos1);

                            $calculaProdutos2 = mysqli_query($con, "SELECT SUM(Total) AS Total_Pedidos FROM (
                                                            SELECT COUNT(venda_produto.Id) AS Total 
                                                            FROM (SELECT Id,Id_Venda FROM venda_produto WHERE Id_Produto2<>'') as venda_produto 
                                                            INNER JOIN (SELECT Id FROM venda WHERE venda.Status = 'Aberto' $data ) as venda ON venda.Id = venda_produto.Id_Venda
                                                        ) AS resultado");
                            $calculaProdutos2 = mysqli_fetch_assoc($calculaProdutos2);

                            $calculaProdutos3 = mysqli_query($con, "SELECT SUM(Total) AS Total_Pedidos FROM (
                                                        SELECT COUNT(venda_produto.Id) AS Total 
                                                        FROM (SELECT Id,Id_Venda FROM venda_produto WHERE Id_Produto3<>'') as venda_produto 
                                                        INNER JOIN (SELECT Id FROM venda WHERE venda.Status = 'Aberto' $data ) as venda ON venda.Id = venda_produto.Id_Venda
                                                    ) AS resultado");
                            $calculaProdutos3 = mysqli_fetch_assoc($calculaProdutos3);

                            $calculaProdutos4 = mysqli_query($con, "SELECT SUM(Total) AS Total_Pedidos FROM (
                                                        SELECT COUNT(venda_produto.Id) AS Total 
                                                        FROM (SELECT Id,Id_Venda FROM venda_produto WHERE Id_Produto4<>'') as venda_produto 
                                                        INNER JOIN (SELECT Id FROM venda WHERE venda.Status = 'Aberto' $data ) as venda ON venda.Id = venda_produto.Id_Venda
                                                    ) AS resultado");
                            $calculaProdutos4 = mysqli_fetch_assoc($calculaProdutos4);

                            $calculaProdutos5 = mysqli_query($con, "SELECT SUM(Total) AS Total_Pedidos FROM (
                                                        SELECT COUNT(venda_produto.Id) AS Total 
                                                        FROM (SELECT Id,Id_Venda FROM venda_produto WHERE Id_Produto5<>'') as venda_produto 
                                                        INNER JOIN (SELECT Id FROM venda WHERE venda.Status = 'Aberto' $data ) as venda ON venda.Id = venda_produto.Id_Venda
                                                    ) AS resultado");
                            $calculaProdutos5 = mysqli_fetch_assoc($calculaProdutos5);

                            echo ($calculaProdutos1['Total_Pedidos']+$calculaProdutos2['Total_Pedidos']+
                            $calculaProdutos3['Total_Pedidos']+$calculaProdutos4['Total_Pedidos']+$calculaProdutos5['Total_Pedidos'])
                             * $calculaPedido['Total_Pedidos'];
                            ?>
                        </td>
                    </tr>
                </table>
            </td>
        </tr>
        <tr>
            <td>
                <table width="100%" class="tabela">
                <tr class="azul-claro">
                    <td>OS</td>
                    <td>Data</td>
                    <td>Cliente</td>
                    <td>Marcador</td>
                    <td>Pea</td>
                    <td>Servio</td>
                    <td>Descr</td>
                    <td>Qtd</td>
                    <td>Entrega</td>
                </tr>
                    <?php
                    if ($_GET["Ok"]) {
                        $venda = mysqli_query($con, "SELECT venda.Id, 
                            venda.Lancamento,
                            venda.Status,
                            venda.Data_Venda,
                            venda.Data_Conclusao,
                            cliente.Codigo as Codigo_Cliente,
                            cliente.Titulo as Cliente,
                            cliente.Razao_Social,
                            funcionario.Titulo as 'Funcionario',
                            vendedor.Titulo as 'Marcador'
                            FROM venda
                            LEFT JOIN (SELECT Id,Id_Produto,Id_Venda FROM venda_produto WHERE 1=1 $cfop) as venda_produto ON venda_produto.Id_Venda = venda.Id
                            LEFT JOIN (SELECT Id,Titulo FROM funcionario) as vendedor ON vendedor.Id = venda.Id_Vendedor
                            LEFT JOIN (SELECT Id,Titulo FROM funcionario) as funcionario ON funcionario.Id = venda.Id_Funcionario
                            LEFT JOIN (SELECT Id,Codigo,Titulo,Razao_Social FROM cliente) as cliente ON venda.Id_Cliente = cliente.Id
                            WHERE 1=1
                            $data 
                            $usuario_p 
                            $Cliente 
                            $venda_produto 
                            $Usuario
                            group by venda.Lancamento
                            order by venda.Lancamento");
                        while ($chave = mysqli_fetch_assoc($venda)) {

                            $produto = mysqli_query($con, "SELECT venda_produto.Qtd,
                            venda_produto.Descricao_Servico,
                            venda_produto.Descricao_Servico2,
                            venda_produto.Descricao_Servico3,
                            venda_produto.Descricao_Servico4,
                            venda_produto.Descricao_Servico5,
                            venda_produto.Data_Previsao_Entrega,
                            peca.Titulo as Peca,
                            produto.Titulo as 'Produto',
                            produto2.Titulo as 'Produto2',
                            produto3.Titulo as 'Produto3',
                            produto4.Titulo as 'Produto4',
                            produto5.Titulo as 'Produto5'
                            from venda_produto
                            LEFT JOIN (SELECT Id,Titulo FROM produto) as produto ON produto.Id = venda_produto.Id_Produto
                            LEFT JOIN (SELECT Id,Titulo FROM produto) as produto2 ON produto2.Id = venda_produto.Id_Produto2
                            LEFT JOIN (SELECT Id,Titulo FROM produto) as produto3 ON produto3.Id = venda_produto.Id_Produto3
                            LEFT JOIN (SELECT Id,Titulo FROM produto) as produto4 ON produto4.Id = venda_produto.Id_Produto4
                            LEFT JOIN (SELECT Id,Titulo FROM produto) as produto5 ON produto5.Id = venda_produto.Id_Produto5
                            LEFT JOIN (SELECT Id,Titulo FROM produto) as peca ON peca.Id = venda_produto.Peca
                            where venda_produto.Id_Venda = '" . $chave["Id"] . "'
                            $venda_produto
                            ORDER BY venda_produto.Data_Cadastro");

                            while ($valor = mysqli_fetch_assoc($produto)) {
                            ?>
                                <tr bgcolor="<?php echo $color; ?>">
                                    <td><?php echo $chave["Lancamento"] ?></td>
                                    <td><?php echo data_exibir($chave["Data_Venda"]) ?></td>
                                    <td>
                                        <?php
                                        if (CLIENTE_RAZAO_SOCIAL == 'Sim') {
                                            echo $chave["Razao_Social"];
                                        } else {
                                            echo $chave["Cliente"];
                                        }
                                        ?>
                                    </td>
                                    <td><?php echo htmlspecialchars($chave["Marcador"]) ?></td>
                                    <td><?php echo $valor["Peca"] ?></td>
                                    <td>
                                        <?php
                                        echo $valor['Produto'];

                                        if ($valor['Produto2'] != '') {
                                            echo ', ' . $valor['Produto2'];
                                        }
                                        if ($valor['Produto3'] != '') {
                                            echo ', ' . $valor['Produto3'];
                                        }
                                        if ($valor['Produto4'] != '') {
                                            echo ', ' . $valor['Produto4'];
                                        }
                                        if ($valor['Produto5'] != '') {
                                            echo ', ' . $valor['Produto5'];
                                        }
                                        ?>
                                    </td>
                                    <td>
                                        <?php
                                        echo $valor['Descricao_Servico'];

                                        if ($valor['Descricao_Servico2'] != '') {
                                            echo ', ' . $valor['Descricao_Servico2'];
                                        }
                                        if ($valor['Descricao_Servico3'] != '') {
                                            echo ', ' . $valor['Descricao_Servico3'];
                                        }
                                        if ($valor['Descricao_Servico4'] != '') {
                                            echo ', ' . $valor['Descricao_Servico4'];
                                        }
                                        if ($valor['Descricao_Servico5'] != '') {
                                            echo ', ' . $valor['Descricao_Servico5'];
                                        }
                                        ?>
                                    </td>
                                    <td><?php echo valor_exibir($valor["Qtd"]) ?></td>
                                    <td><?php echo data_exibir($valor["Data_Previsao_Entrega"]) ?></td>
                                </tr>
                                <?php
                            }
                        }
                    }
                    ?>
                </table>
            </td>
        </tr>

    </table>
    </td>
    </tr>
    <tr>
        <td>
            <div id="div_resposta"></div>
        </td>
    </tr>
    </table>
</body>

</html>