<?php
include_once '../../include/conecta.php'; //Conecta com a nosso banco de dados MySQL
include_once '../../include/ver_sessao.php'; //Verifica se a sesso est ativa
include_once '../../include/funcoesPhp.php';
include_once '../../menu_movimento.php';

$sql_venda = mysqli_query($con, "SELECT DISTINCT venda_produto.Id,
                                        venda_produto.Id_Produto,
                                        venda_produto.C_Produto,
                                        venda_produto.Volume,
                                        venda_produto.Peso_Bruto_Etiqueta,
                                        venda_produto.Peso_Liquido_Etiqueta,
                                        produto.Titulo as 'Produto',
                                        produto.Codigo
                                        FROM venda_produto
                                        left join (SELECT Id,Titulo,Regime_ST,Codigo,Qtd_Caixa,Peso_Bruto,Peso_Liquido,FCP,Valor_Pauta,Cesta_Basica FROM produto) as produto ON produto.Id = venda_produto.Id_Produto
                                        WHERE venda_produto.Id_Venda='" . $_GET["id_venda"] . "'
                                        ORDER BY venda_produto.Data_Cadastro ")
    or die("ERRO no comando SQL:" . mysqli_error($con));


if (PAIS == 'USA') {
    $codigo = 'Code';
    $item = 'Item';
    $valor = 'Value';
    $qtd = 'Qty';
    $local = 'Location';
    $total = 'Total';
    $alterar = 'Alter';
    $remover = 'Delete';
    $total_v = 'Total Invice';
} else {
    $codigo = 'Codigo';
    $item = 'Item';
    $valor = 'Valor';
    $qtd = 'Qtd';
    $local = 'Local';
    $total = 'Valor Total';
    $alterar = 'Alterar';
    $remover = 'Remover';
    $total_v = 'Total Venda';
}
?>
<title>Gw - Gesto Web</title>
<link rel="stylesheet" type="text/css" href="../../estilo/<?php echo SKIN; ?>/tableless.css" />
<link rel="stylesheet" type="text/css" href="../../js/datePicker/datePicker.css" />
<script language="javascript" type="text/javascript" src="../../js/jquery.js"></script>
<script language="javascript" type="text/javascript" src="../../js/script.js"></script>
<?php include '../../include/script_cabeca.php'; ?>
<?php include '../../include/script_campo.php'; ?>
<!-- required plugins -->
<script language="javascript" type="text/javascript" src="../../js/datePicker/<?php if (PAIS == "USA") {
                                                                                    echo "date";
                                                                                } else {
                                                                                    echo "date-pt";
                                                                                } ?>.js"></script>
<script type="text/javascript" src="../../js/datePicker/jquery.datePicker.js"></script>
<?php include 'cabecalho.php'; ?>
<script language="javascript" type="text/javascript">
    function idProduto(Id, Id_Linha) {
        window.open('produto_descricao.php?id_produto=' + Id + '&id_linha=' + Id_Linha, 'Descricao',
            'width=600,height=400,top=0,left=0,scrollbars=yes');
    }

    function loteManual(Id, Id_Linha) {
        window.open('produto_lote_manual.php?id_produto=' + Id + '&id_linha=' + Id_Linha, 'Descricao',
            'width=600,height=400,top=0,left=0,scrollbars=yes');
    }
</script>
<?php


$color = "#F5F5F5";
$x = 0;
$y = 1;
$qtdVol = 0;

while ($linha = mysqli_fetch_assoc($sql_venda)) {
    if ($color == "#F5F5F5") {
        $color = "#E8E8E8";
    } else {
        $color = "#F5F5F5";
    }

    $desc_perc = valor_banco(valor_exibir((($linha['Qtd'] * $linha['Preco']) * ($linha['Desconto'] / 100)), 2));
?>

    <?php if ($x == 0) { ?>
        <table width="100%" align="center" border="0" cellpadding="2" cellspacing="2">
            <tr>
                <td class="table_prod_nome">X</td>
                <td class="table_prod_nome"><?php echo $codigo; ?></td>
                <td class="table_prod_nome"><?php echo $item; ?></td>
                <td class="table_prod_nome">Volume</td>
                <td class="table_prod_nome">Peso Bruto</td>
                <td class="table_prod_nome">Peso Lquido</td>
                <td class="table_prod_nome">&nbsp;</td>
            </tr>
        <?php } ?>
        <tr bgcolor=<?php echo "$color"; ?>>
            <td class="table_prod_valor"><?php echo $y; ?></td>
            <td class="table_prod_valor"><?php echo $linha['Codigo']; ?></td>
            <td class="table_prod_valor" title="<?php echo $linha['C_Produto']; ?>" style="cursor: pointer;" ondblclick="idProduto('<?php echo $linha["Id_Produto"]; ?>','<?php echo $linha["Id"]; ?>')">
                <?php echo $linha['Produto']; ?>
            </td>
            <td class="table_prod_valor"><?php echo $linha['Volume']; ?></td>
            <td class="table_prod_valor"><?php echo valor_exibir($linha['Peso_Bruto_Etiqueta']); ?></td>
            <td class="table_prod_valor"><?php echo valor_exibir($linha['Peso_Liquido_Etiqueta']); ?></td>
            <?php if ($_POST["Opcao_Ver"] != 'ver') { ?>
                <td class="table_prod_valor">
                    <?php if (VENDA1_ALTERAR == 'Sim') { ?>
                        <button class="botao_novo" type="button" value="Alterar" onclick="window.open('tabela_alterar_etiqueta.php?id_linha=<?php echo $linha['Id']; ?>','Alterar','width=800,height=600,top=0,left=0,scrollbars=yes')">
                            <?php echo $alterar; ?>
                        </button>
                <?php }
                } ?>
        </tr>
    <?php
    $x++;
    $y++;
}
    ?>
        </table>