<?php
include_once "../include/conecta.php"; //Conecta com a nosso banco de dados MySQL
ini_set('session.gc_maxlifetime', 60 * 120);
session_start();
/* include_once "../include/ver_sessao.php"; //Verifica se a sesso est ativa */
include_once "../include/funcoesPhp.php"; //Inclue a pgina con todas as funes a ser usada.
?>
<?php
$venda = listar("SELECT venda.Id,
                            venda.Lancamento,
                            venda.Status,
                            venda.Data_Venda,
                            venda.Data_Entrega,
                            venda.Obs as 'Obs_Venda',
                            venda.Valor_Original,
                            venda.Valor_Pago,
                            venda.Desconto,
                            venda.Desconto_Real,
                            venda.Frete,
                            venda.Valor_Frete,
                            venda.Id_Unidade,
                            venda.Numero_Pedido as Romaneio,
                            venda.Placa,
                            cliente.Titulo as 'Cliente',
                            cliente.Razao_Social,
                            cliente.Email,
                            cliente.Natureza,
                            cliente.Cpf_Cnpj,
                            cliente.Rua,
                            cliente.Numero,
                            cliente.Cep,
                            cliente.Bairro,
                            cliente.Estado,
                            cliente.Fone1,
                            cliente.Contato,
                            cliente.Endereco,
                            cliente.Ponto_Referencia,
                            cliente.Obs as 'Obs_Cliente',
                            cliente.Codigo,
                            cliente.Suframa,
                            cidade_ibge.Titulo as Cidade,
                            funcionario.Titulo as 'Funcionario',
                            vendedor.Titulo as 'Vendedor',
                            tipo_pagamento.Titulo as 'Tipo_Pagamento'
                            from venda
                            left join 
                            (SELECT Id,Titulo,Email,Natureza,Cpf_Cnpj,Estadual,Rua,Numero,Cep,Bairro,Estado,Fone1,
                            Obs,Id_Cidade,Razao_Social,Contato,Endereco,Ponto_Referencia,Codigo,Suframa FROM cliente) as cliente 
                            ON cliente.Id = venda.Id_Cliente
                            left join (SELECT Id,Titulo FROM cidade_ibge) as cidade_ibge ON cidade_ibge.Id = cliente.Id_Cidade
 					        left join (SELECT Id,Titulo FROM funcionario) as funcionario ON funcionario.Id = venda.Id_Funcionario
                            left join (SELECT Id,Titulo FROM funcionario) as vendedor ON venda.Id_Vendedor = vendedor.Id
                            left join (SELECT Id,Titulo FROM tipo_pagamento) as tipo_pagamento ON tipo_pagamento.Id = venda.Id_Tipo_Pagamento
                            where venda.Id = '" . $_GET["id_venda"] . "'
                            order by venda.Lancamento DESC");

$_GET["Unidade"] = $venda[0]["Id_Unidade"];
?>
<html>

<head>
    <title>Gw - Gesto Web</title>
    <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1" />
    <link rel="shortcut icon" href="../imagem/favi_gw.ico" type="image/x-icon" />
    <link rel="stylesheet" type="text/css" href="../estilo/<?php echo SKIN; ?>/tabela_imp.css" />
    <script type="text/javascript" language="javascript" src="../js/jquery.js"></script>
    <?php include '../include/script_cabeca.php'; ?>
    <script type="text/javascript" language="javascript" src="../js/script.js"></script>
    <script type="text/javascript" language="javascript" src="../js/meiomask/meiomask.js"></script>
    <script type="text/javascript" language="javascript" src="../js/meiomask/<?php if (PAIS == "USA") {
                                                                                    echo "mascaras-usa";
                                                                                } else {
                                                                                    echo "mascaras";
                                                                                } ?>.js"></script>
</head>

<body>

    <table width="98%" align="center">
        <!-- TABELA Q ENVOLVE TODO O CONTEUDO -->
        <tr>
            <td>
                <?php include "../include/cabecalho_pedido.php"; ?>
            </td>
        </tr>
        <tr>
            <td>
                <table width="100%" align="center">
                    <tr>
                        <td colspan="2" align="center">
                            <font face="verdana" size="3">
                                <b>
                                    <i>
                                        <?php
                                            echo "Lanamento - " . $venda[0]["Lancamento"];
                                        ?>
                                    </i>
                                </b>
                            </font>
                        </td>
                    </tr>
                </table>
            </td>
        </tr>
        <tr>
            <td>
                <table width="100%" align="center" class="tabela">
                    <tr>
                        <td width="70%">Cliente:
                            <?php
                            if (CLIENTE_RAZAO_SOCIAL == 'Sim') {
                                echo $venda[0]["Codigo"] . " - " . $venda[0]["Razao_Social"];
                            } else {
                                echo $venda[0]["Codigo"] . " - " . $venda[0]["Cliente"];
                            }
                            ?>
                        </td>
                        <td width="30%">Data: <?php echo data_exibir($venda[0]["Data_Venda"]); ?></td>
                    </tr>
                    <tr>
                        <td width="70%">End: <?php echo $venda[0]["Endereco"]; ?></td>
                        <td width="30%">Fone: <?php echo $venda[0]["Fone1"]; ?></td>
                    </tr>
                    <tr>
                        <td width="70%"><?php
                                        echo 'Bairro:' . $venda[0]["Bairro"] . ' Cidade:' .
                                            $venda[0]["Cidade"] . ' UF:' .
                                            $venda[0]["Estado"];
                                        ?>
                        </td>
                        <?php if ($venda[0]["Natureza"] == "PF") { ?>
                        <td width="30%">CPF: <?php echo $venda[0]["Cpf_Cnpj"]; ?></td>
                        <?php } else { ?>
                        <td width="30%">CNPJ: <?php echo $venda[0]["Cpf_Cnpj"]; ?></td>
                        <?php } ?>
                    </tr>
                    <tr>
                        <td width="70%">Referncia: <?php echo $venda[0]["Ponto_Referencia"]; ?></td>
                        <td width="30%">E-mail: <?php echo $venda[0]["Email"]; ?></td>
                    </tr>
                    <tr>
                        <td width="70%">Pagamento: <?php echo $venda[0]["Tipo_Pagamento"]; ?></td>
                        <td width="30%">CEP: <?php echo $venda[0]["Cep"]; ?></td>
                    </tr>
                    <tr>
                        <td colspan="2">Obs: <?php echo $venda[0]["Obs_Venda"]; ?></td>
                    </tr>
                </table>
            </td>
        </tr>
        <tr>
            <td>
                <table width="100%" align="center" class="tabela">
                    <tr>
                        <td colspan="14"><i>Funionrios</i></td>
                    </tr>
                    <?php
                    $venda_pro = listar("SELECT DISTINCT venda_ponto_funcionario.Id,
                                                         funcionario.Titulo as Funcionario,
                                                         funcionario.Codigo
                                                    FROM venda_ponto_funcionario
                                                    LEFT JOIN funcionario ON venda_ponto_funcionario.Id_Funcionario
                                                   WHERE venda_ponto_funcionario.Id_Venda = '" . $_GET["id_venda"] . "'
                                                   GROUP BY venda_ponto_funcionario.Id_Funcionario
                                                ORDER BY venda_ponto_funcionario.Data_Cadastro ");

                    $x = 1;
                    foreach ($venda_pro as $chave) {
                    ?>

                    <?php if ($x == 1) { ?>
                    <tr class="azul-claro">
                        <td width="3%">N</td>
                        <td width="6%">Cdigo</td>
                        <td width="25%">Funcionrio</td>
                        <td width="8%">Total</td>
                    </tr>
                    <?php
                        }
                        ?>

                    <tr>
                        <td><?php echo $x; ?></td>
                        <td><?php echo $chave["Codigo"]; ?></td>
                        <td><?php echo $chave["Funcionario"]; ?></td>
                        <td><?php echo $chave[""]; ?></td>
                    </tr>

                    <?php
                            
                        $x++;
                    }

                    ?>

                    <!-- <tr>
                        <td colspan="6">&nbsp;</td>
                        <td colspan="2">Sub Total</td>
                        <td colspan="2">
                            <?php echo number_format($Total, 2, ',', '.'); ?>
                        </td>
                    </tr>
                    <tr>
                        <td colspan="6">&nbsp;</td>
                        <td colspan="2">Desconto <?php echo $venda[0]["Desconto"] ?>%</td>
                        <td colspan="2">
                            <?php echo number_format($Total * ($venda[0]["Desconto"] / 100), 2, ',', '.'); ?>
                        </td>
                    </tr>
                    <tr>
                        <td colspan="6">&nbsp;</td>
                        <td colspan="2">Desconto $</td>
                        <td colspan="2">
                            <?php echo number_format($venda[0]["Desconto_Real"], 2, ',', '.'); ?>
                        </td>
                    </tr>
                    <tr>
                        <td colspan="6">&nbsp;</td>
                        <td colspan="2">Icms Sub</td>
                        <td colspan="2"><?php echo number_format($VICMSST, 2, ',', '.'); ?></td>
                    </tr>
                    <tr>
                        <td colspan="6">&nbsp;</td>
                        <td colspan="2">Ipi</td>
                        <td colspan="2"><?php echo number_format($VIPI, 2, ',', '.'); ?></td>
                    </tr>
                    <?php if ($suframa > 0) { ?>
                    <tr>
                        <td colspan="6">&nbsp;</td>
                        <td colspan="2">Desc Suframa</td>
                        <td colspan="2"><?php echo number_format($suframa, 2, ',', '.'); ?></td>
                    </tr>
                    <?php } ?>
                    <tr>
                        <td colspan="6">&nbsp;</td>
                        <td colspan="2">Total</td>
                        <td colspan="2">
                            <?php echo number_format((($Total - ($Total * ($venda[0]["Desconto"] / 100))) - $venda[0]["Desconto_Real"]) + $VIPI + $VICMSST, 2, ',', '.'); ?>
                        </td>
                    </tr> -->
                    <!--                        <tr>
                                <td colspan="2"></td>
                                <td colspan="<?php echo "4" + $ab + $abc ?>">Totais da Venda:</td>
                                <td><?php echo $Qtd_Venda; ?></td>
                                <td><?php echo ''; ?></td>
                                <td><?php echo ''; ?></td>
                                <td></td>
                                <td></td>
                                <td><?php echo number_format($venda[0]["Desconto"], 2, ',', '.'); ?></td>
                                <td><?php echo number_format($venda[0]["Desconto_Real"], 2, ',', '.'); ?></td>
                                <td><?php echo number_format((($Total - ($Total * ($venda[0]["Desconto"] / 100))) - $venda[0]["Desconto_Real"]), 2, ',', '.'); ?></td>
                                
                        </tr>-->
                </table>
            </td>
        </tr>
        <tr>
            <td>
                <table width="100%" align="center" class="tabela">
                    <tr>
                        <td colspan="14"><i>Despesas</i></td>
                    </tr>
                    <?php
                   $vendaDespesa = listar("SELECT DISTINCT venda_despesa.Id,
                                                         funcionario.Titulo as Funcionario,
                                                         funcionario.Codigo
                                                    FROM venda_despesa
                                                    LEFT JOIN funcionario ON venda_despesa.Funcionario_Despesa
                                                   WHERE venda_despesa.Id_Venda = '" . $_GET["id_venda"] . "'
                                                   GROUP BY venda_despesa.Funcionario_Despesa
                                                ORDER BY venda_despesa.Data_Cadastro ");

                    $x = 1;
                    foreach ($vendaDespesa as $retornoVendaDespesa) {
                    ?>

                    <?php if ($x == 1) { ?>
                    <tr class="azul-claro">
                        <td width="3%">N</td>
                        <td width="6%">Cdigo</td>
                        <td width="25%">Funcionrio</td>
                        <td width="8%">Total</td>
                    </tr>
                    <?php
                        }
                        ?>

                    <tr>
                        <td><?php echo $x; ?></td>
                        <td><?php echo $retornoVendaDespesa["Codigo"]; ?></td>
                        <td><?php echo $retornoVendaDespesa["Funcionario"]; ?></td>
                        <td><?php echo $retornoVendaDespesa[""]; ?></td>
                    </tr>

                    <?php
                            
                        $x++;
                    }

                    ?>

                    <!-- <tr>
                        <td colspan="6">&nbsp;</td>
                        <td colspan="2">Sub Total</td>
                        <td colspan="2">
                            <?php echo number_format($Total, 2, ',', '.'); ?>
                        </td>
                    </tr>
                    <tr>
                        <td colspan="6">&nbsp;</td>
                        <td colspan="2">Desconto <?php echo $venda[0]["Desconto"] ?>%</td>
                        <td colspan="2">
                            <?php echo number_format($Total * ($venda[0]["Desconto"] / 100), 2, ',', '.'); ?>
                        </td>
                    </tr>
                    <tr>
                        <td colspan="6">&nbsp;</td>
                        <td colspan="2">Desconto $</td>
                        <td colspan="2">
                            <?php echo number_format($venda[0]["Desconto_Real"], 2, ',', '.'); ?>
                        </td>
                    </tr>
                    <tr>
                        <td colspan="6">&nbsp;</td>
                        <td colspan="2">Icms Sub</td>
                        <td colspan="2"><?php echo number_format($VICMSST, 2, ',', '.'); ?></td>
                    </tr>
                    <tr>
                        <td colspan="6">&nbsp;</td>
                        <td colspan="2">Ipi</td>
                        <td colspan="2"><?php echo number_format($VIPI, 2, ',', '.'); ?></td>
                    </tr>
                    <?php if ($suframa > 0) { ?>
                    <tr>
                        <td colspan="6">&nbsp;</td>
                        <td colspan="2">Desc Suframa</td>
                        <td colspan="2"><?php echo number_format($suframa, 2, ',', '.'); ?></td>
                    </tr>
                    <?php } ?>
                    <tr>
                        <td colspan="6">&nbsp;</td>
                        <td colspan="2">Total</td>
                        <td colspan="2">
                            <?php echo number_format((($Total - ($Total * ($venda[0]["Desconto"] / 100))) - $venda[0]["Desconto_Real"]) + $VIPI + $VICMSST, 2, ',', '.'); ?>
                        </td>
                    </tr> -->
                    <!--                        <tr>
                                <td colspan="2"></td>
                                <td colspan="<?php echo "4" + $ab + $abc ?>">Totais da Venda:</td>
                                <td><?php echo $Qtd_Venda; ?></td>
                                <td><?php echo ''; ?></td>
                                <td><?php echo ''; ?></td>
                                <td></td>
                                <td></td>
                                <td><?php echo number_format($venda[0]["Desconto"], 2, ',', '.'); ?></td>
                                <td><?php echo number_format($venda[0]["Desconto_Real"], 2, ',', '.'); ?></td>
                                <td><?php echo number_format((($Total - ($Total * ($venda[0]["Desconto"] / 100))) - $venda[0]["Desconto_Real"]), 2, ',', '.'); ?></td>
                                
                        </tr>-->
                </table>
            </td>
        </tr>
       
    <br><br>
    
    <table width="98%" align="center">
        <tr>
            <td align="center">________________________</td>
            <td align="center">________________________</td>
        </tr>
        <tr>
            <td align="center">
                <font face="verdana" size="2">
                    <?php
                    if (CLIENTE_RAZAO_SOCIAL == 'Sim') {
                        echo $venda[0]["Razao_Social"];
                    } else {
                        echo $venda[0]["Cliente"];
                    }
                    ?>
                </font>
            </td>
            <td align="center">
                <font face="verdana" size="2">Representante: <?php echo $venda[0]["Vendedor"]; ?></font>
            </td>
        </tr>
    </table>

    <br>
</body>

</html>
<?php include "../include/rodape.php"; ?>