<?php

include_once '../../include/conecta.php'; //Conecta com a nosso banco de dados MySQL
include_once '../../include/ver_sessao.php'; //Verifica se a sesso est ativa
include_once '../../include/funcoesPhp.php';
include_once '../../menu_movimento.php';

$codigoProjeto = md5($_POST['Codigo_Venda'] . microtime());

$nomeCliente = $_POST["Cliente"] = mb_convert_encoding($_POST["Cliente"], "ISO-8859-1", "UTF-8");
$mystring = $nomeCliente;
$findme = " : ";

$posicao = strpos($mystring, $findme);

$cod_cli = substr($nomeCliente, 0, $posicao);
$nome_cli = substr($nomeCliente, ($posicao + 3));

$mystring = $nome_cli;
$findme = " --";

$posicao = strpos($mystring, $findme);

$nome_cli = substr($mystring, 0, $posicao);
$cnpj_cli = substr($mystring, ($posicao + 2));

$tratamentoCpfCnpj = " AND cliente.Cpf_Cnpj = '" . CaracteresEspeciais($cnpj_cli, "Sim", "Sim") . "' ";

if (CLIENTE_RAZAO_SOCIAL == 'Sim') {
    $nome = 'cliente.Razao_Social';
} else {
    $nome = 'cliente.Titulo';
}
$cliente = mysqli_query($con, "SELECT cliente.Id 
                                 FROM cliente 
                                WHERE " . $nome . " ='" . $nome_cli . "' 
                                  AND cliente.Codigo = '" . $cod_cli . "' 
                                  $tratamentoCpfCnpj ");
$cliente = mysqli_fetch_assoc($cliente);

$_POST["Cliente"] = $cliente['Id'];

$_POST["Feriado"] = mb_convert_encoding($_POST["Feriado"], "ISO-8859-1", "UTF-8");
$_POST["Adicional_Noturno"] = mb_convert_encoding($_POST["Adicional_Noturno"], "ISO-8859-1", "UTF-8");

$dataEntrada = data_banco($_POST['Data_Ponto']);
$data = new DateTime($dataEntrada);
setlocale(LC_TIME, 'pt_BR.utf8');
$diaSemana = strftime('%A', $data->getTimestamp());

$diaSemana = mb_convert_encoding($diaSemana, "ISO-8859-1", "UTF-8");


list($horas1, $minutos1, $segundos1) = explode(":", $_POST['Hora1']);
$calc_hora1 = $horas1 * 3600 + $minutos1 * 60 + $segundos1;

list($horas2, $minutos2, $segundos2) = explode(":", $_POST['Hora2']);
$calc_hora2 = $horas2 * 3600 + $minutos2 * 60 + $segundos2;

list($horas3, $minutos3, $segundos3) = explode(":", $_POST['Hora3']);
$calc_hora3 = $horas3 * 3600 + $minutos3 * 60 + $segundos3;

list($horas4, $minutos4, $segundos4) = explode(":", $_POST['Hora4']);
$calc_hora4 = $horas4 * 3600 + $minutos4 * 60 + $segundos4;

$form1 = '0';
$form2 = '0';
if ($calc_hora1 > '0' && $calc_hora2 > '0') {
    $form1 = ($calc_hora2 - $calc_hora1);
}
if ($calc_hora3 > '0' && $calc_hora4 > '0') {
    $form2 = ($calc_hora4 - $calc_hora3);
}

$horas += $form1 + $form2;

$totalHoras = segundos_em_tempo($form1 + $form2);


$formulaCusto = mysqli_query($con, "SELECT funcionario.Valor_Hora,
                                                        funcionario.Valor_Hora_Extra,
                                                        funcionario.Valor_Hora_Extra_Especial,
                                                        funcionario.Tipo_Contrato,
                                                        funcionario.Insalubridade,
                                                        funcionario.Periculosidade,
                                                        funcionario.Adicional_Noturno,
                                                        funcionario.Valor_Adicional_Noturno
                                                   FROM funcionario 
                                                  WHERE funcionario.Id = '{$_POST["Id_Funcionario"]}'");
$retornoFormulaCusto = mysqli_fetch_array($formulaCusto);


function horaParaMinutos($totalHoras)
{
    list($horas, $minutos) = explode(":", $totalHoras);
    return ($horas * 60) + $minutos;
}

$validaMinutos = horaParaMinutos($totalHoras);

if ($_POST['Cliente'] == '80282b221a9e2a90988d7046e373b742') { //Cliente Vivix tem horrio de trabalho diferente
    if ($retornoFormulaCusto['Tipo_Contrato'] == 'Fixo' || $retornoFormulaCusto['Tipo_Contrato'] == 'Temporario') { //Funcionrio de Contrato fixo/CLT
        if ($validaMinutos >= 600 && ($diaSemana == 'segunda' || $diaSemana == 'tera' || $diaSemana == 'quarta' || $diaSemana == 'quinta') && $_POST['Feriado'] == 'No') {
            $minutos = horaParaMinutos($totalHoras);
            $minutosExtras = $validaMinutos - 600;
            $horaTrabalhadasExtras = $minutosExtras / 60;
        } elseif ($validaMinutos >= 240 && $diaSemana == 'sexta' && $_POST['Feriado'] == 'No') {
            $minutos = horaParaMinutos($totalHoras);
            if ($minutos >= 240) {
                $minutos = 240;
            }
            $minutosExtrasSexta = $validaMinutos - 240;
            $horaTrabalhadasExtras = $minutosExtrasSexta / 60;
        }
    } elseif ($retornoFormulaCusto['Tipo_Contrato'] == 'Intermitente') { //Funcionrio sempre contratados quando necessita de mais mo de obra
        if ($validaMinutos >= 540 && ($diaSemana == 'segunda' || $diaSemana == 'tera' || $diaSemana == 'quarta' || $diaSemana == 'quinta') && $_POST['Feriado'] == 'No') {
            $minutos = horaParaMinutos($totalHoras);
            $minutosExtras = $validaMinutos - 540;
            $horaTrabalhadasExtras = $minutosExtras / 60;
        } elseif ($validaMinutos >= 480 && $diaSemana == 'sexta' && $_POST['Feriado'] == 'No') {
            $minutos = horaParaMinutos($totalHoras);
            if ($minutos >= 480) {
                $minutos = 480;
            }
            $minutosExtrasSexta = $validaMinutos - 480;
            $horaTrabalhadasExtras = $minutosExtrasSexta / 60;
        }
    }

} else {

    if ($validaMinutos >= 540 && ($diaSemana == 'segunda' || $diaSemana == 'tera' || $diaSemana == 'quarta' || $diaSemana == 'quinta') && $_POST['Feriado'] == 'No') {
        $minutos = horaParaMinutos($totalHoras);
        $minutosExtras = $validaMinutos - 540;
        $horaTrabalhadasExtras = $minutosExtras / 60;

    } elseif ($validaMinutos >= 480 && $diaSemana == 'sexta' && $_POST['Feriado'] == 'No') {
        $minutos = horaParaMinutos($totalHoras);
        if ($minutos >= 480) {
            $minutos = 480;
        }
        $minutosExtrasSexta = $validaMinutos - 480;
        $horaTrabalhadasExtras = $minutosExtrasSexta / 60;
    }
}
if ($validaMinutos > 0 && $diaSemana == 'sbado' && $_POST['Feriado'] == 'No') {
    $minutos = horaParaMinutos($totalHoras);
    $minutosExtrasSabado = $validaMinutos;
    $horaTrabalhadasExtras = $minutosExtrasSabado / 60;

} elseif ($validaMinutos > 0 && ($diaSemana == 'domingo' || $_POST['Feriado'] == 'Sim')) {
    $minutos = horaParaMinutos($totalHoras);
    $minutosExtrasDomingo = $validaMinutos;
    $horaTrabalhadasExtrasEspeciais = $minutosExtrasDomingo / 60;
}

$valorMinuto = ($retornoFormulaCusto["Valor_Hora"] / 60);
$valorTotalHora = (valor_banco($valorMinuto) * $minutos);

$valorMinutoExtra1 = ($valorMinuto + ($valorMinuto * ($retornoFormulaCusto["Valor_Hora_Extra"]) / 100));
$valorMinutoExtra = valor_banco(valor_exibir($valorMinutoExtra1));
$valorTotalHoraExtra = ($valorMinutoExtra * $minutosExtra);

if ($diaSemana == 'Domingo' || $_POST["Feriado"] == 'Sim') {
    $minutosExtraEspecial = $minutos - 540;
} else {
    $minutosExtraEspecial = 0;
}

$horaTrabalhadas = $minutos / 60;

$valorMinutoExtraEspecial1 = ($valorMinuto + ($valorMinuto * ($retornoFormulaCusto["Valor_Hora_Extra_Especial"]) / 100));
$valorMinutoExtraEspecial = valor_banco(valor_exibir($valorMinutoExtraEspecial1));
$valorMinutoExtraEspecial = ($valorMinutoExtraEspecial * $minutosExtraEspecial);

mysqli_query($con, "INSERT INTO venda_ponto_funcionario 
                                    (Id,
                                    Id_Funcionario,
                                    Id_Venda,
                                    Data_Ponto,
                                    Feriado,
                                    Hora1,
                                    Hora2,
                                    Hora3,
                                    Hora4,
                                    Dia_Semana,
                                    Valor_Hora,
                                    Valor_hora_Extra,
                                    Valor_hora_Extra_Especial,
                                    Total_Minutos_Trabalhados,
                                    Total_Minutos_Trabalhados_Extra,
                                    Total_Minutos_Trabalhados_Extra_Especial,
                                    Total_Hora_Trabalhada,
                                    Total_Hora_Extra_Trabalhada,
                                    Total_Hora_Extra_Especial_Trabalhada,
                                    Id_Unidade,
                                    Id_Cliente,
                                    Insalubridade,
                                    Periculosidade,
                                    Adicional_Noturno,
                                    Valor_Adicional_Noturno,
                                    Tipo_Contrato,
                                    " . $padraoCampos . ")
VALUES ('$codigoProjeto',
        '" . $_POST['Id_Funcionario'] . "',
        '" . $_POST["Codigo_Venda"] . "',
        '" . data_banco($_POST["Data_Ponto"]) . "',
        '" . $_POST["Feriado"] . "',
        '" . $_POST["Hora1"] . "',
        '" . $_POST["Hora2"] . "',
        '" . $_POST["Hora3"] . "',
        '" . $_POST["Hora4"] . "',
        ' $diaSemana',
        '" . $retornoFormulaCusto["Valor_Hora"] . "',
        '" . $retornoFormulaCusto["Valor_Hora_Extra"] . "',
        '" . $retornoFormulaCusto["Valor_Hora_Extra_Especial"] . "',
        ' $minutos',
        ' $minutosExtra',
        ' $minutosExtraEspecial',
        ' $horaTrabalhadas ',
        ' $horaTrabalhadasExtras ',
        ' $horaTrabalhadasExtrasEspeciais ',
        '" . $_POST["Unidade"] . "',
        '" . $_POST["Cliente"] . "',
        '" . $_POST["Insalubridade"] . "',
        '" . $_POST["Periculosidade"] . "',
        '" . $_POST["Adicional_Noturno"] . "',
        '" . $_POST["Valor_Adicional_Noturno"] . "',
        '" . $_POST["Tipo_Contrato"] . "',
        " . $padraoPost . ")")
    or die("Erro no comando SQL:" . mysqli_error($con));

sleep(0.5);
$buscaLinhaProjeto = mysqli_query($con, "SELECT SUM(venda_ponto_funcionario.Total_Hora_Trabalhada) as Total_Hora_Trabalhada,
                                                             SUM(venda_ponto_funcionario.Total_Hora_Extra_Trabalhada) as Total_Hora_Extra_Trabalhada,
                                                             SUM(venda_ponto_funcionario.Total_Hora_Extra_Especial_Trabalhada) as Total_Hora_Extra_Especial_Trabalhada
                                                        FROM venda_ponto_funcionario
                                                       WHERE venda_ponto_funcionario.Id_Venda = '{$_POST["Codigo_Venda"]}'
                                                         AND venda_ponto_funcionario.Id_Funcionario = '{$_POST["Id_Funcionario"]}' ");
$retornoLinhaProjeto = mysqli_fetch_assoc($buscaLinhaProjeto);


sleep(0.5);

$totalHoraProjeto = valor_banco(($retornoLinhaProjeto['Total_Hora_Trabalhada'] - $retornoLinhaProjeto['Total_Hora_Extra_Trabalhada'] - $retornoLinhaProjeto['Total_Hora_Extra_Especial_Trabalhada']) * $retornoFormulaCusto["Valor_Hora"]);
$totalHora_Funcionario_Projeto = valor_banco($retornoLinhaProjeto['Total_Hora_Trabalhada'] - $retornoLinhaProjeto['Total_Hora_Extra_Trabalhada'] - $retornoLinhaProjeto['Total_Hora_Extra_Especial_Trabalhada']);

$totalHoraExtraProjeto = valor_banco(
    ($retornoFormulaCusto["Valor_Hora"] +
        ($retornoFormulaCusto["Valor_Hora"] * ($retornoFormulaCusto["Valor_Hora_Extra"] / 100))) *
    $retornoLinhaProjeto['Total_Hora_Extra_Trabalhada']
);

sleep(0.5);

mysqli_query($con, "UPDATE venda_projeto SET Hora_Funcionario_Projeto = '{$totalHora_Funcionario_Projeto}',
                                                           Hora_Extra_Funcionario_Projeto = '{$retornoLinhaProjeto['Total_Hora_Extra_Trabalhada']}',
                                                           Hora_Extra_Especial_Funcionario_Projeto = '{$retornoLinhaProjeto['Total_Hora_Extra_Especial_Trabalhada']}',
                                                           Total_Hora = '{$totalHoraProjeto}',
                                                           Total_Hora_Extra = '{$totalHoraExtraProjeto}'
    WHERE Id_Venda = '{$_POST["Codigo_Venda"]}'
    AND Funcionario_Projeto = '{$_POST["Id_Funcionario"]}' ");

sleep(0.5);

"<script>window.opener.MontarTabelaProjeto();window.close();</script>";

?>