<?php
include_once '../../include/conecta.php'; //Conecta com a nosso banco de dados MySQL
include_once '../../include/ver_sessao.php'; //Verifica se a sesso est ativa
include_once '../../include/funcoesPhp.php';
include_once '../../menu_movimento.php';

$buscaDespesa = mysqli_query($con, "SELECT DISTINCT venda_despesa.Id,
                                                    venda_despesa.Id_Venda,
                                                    venda_despesa.Data_Despesa,
                                                    venda_despesa.Documento_Despesa,
                                                    venda_despesa.Valor_Despesa,
                                                    venda_despesa.Descricao_Despesa,
                                                    funcionario.Titulo as Funcionario
                                                FROM venda_despesa
                                                LEFT JOIN (SELECT Id, Titulo FROM funcionario) AS funcionario ON funcionario.Id = venda_despesa.Funcionario_Despesa
                                                WHERE venda_despesa.Id_Venda = '" . $_POST["Codigo_Venda"] . "'
                                            ORDER BY venda_despesa.Data_Despesa")
    or die("ERRO no comando SQL:" . mysqli_error($con));

ob_start();

$color = "#F5F5F5";
$x = 0;
$y = 1;
$totalProjeto = 0;
while ($linha = mysqli_fetch_assoc($buscaDespesa)) {
    if ($color == "#F5F5F5") {
        $color = "#E8E8E8";
    } else {
        $color = "#F5F5F5";
    }
    ?>

    <?php if ($x == 0) { ?>
        <table width="100%" align="center" border="0" cellpadding="2" cellspacing="2">
            <tr>
                <td class="table_prod_nome">&nbsp;</td>
                <td class="table_prod_nome">Data</td>
                <td class="table_prod_nome">Funcionrio</td>
                <td class="table_prod_nome">Documento</td>
                <td class="table_prod_nome">Valor</td>                
                <td class="table_prod_nome" colspan="2" style="text-align:center" >Opes</td>
            </tr>
        <?php }

    ?>
        <tr bgcolor=<?php echo "$color"; ?>>
            <td class="table_prod_valor"><?php echo $y; ?></td>
            <td class="table_prod_valor"><?php echo data_exibir($linha['Data_Despesa']); ?></td>
            <td class="table_prod_valor"><?php echo $linha['Funcionario']; ?></td>
            <td class="table_prod_valor"><?php echo $linha['Documento_Despesa']; ?></td>
            <td class="table_prod_valor"><?php echo valor_exibir($linha['Valor_Despesa']); ?></td>
            <td class="table_prod_valor">
                <button class="botao_novo" type="button" value="Alterar"
                    onclick="window.open('tabela_alterar_projeto.php?id_linha=<?php echo $linha['Id']; ?>','Alterar','width=600,height=550,top=0,left=0,scrollbars=yes')">
                    Alterar
                </button>
            </td>
            <td class="table_prod_valor">
                <button class="botao_novo" type="button" value="Remover"
                    onclick="ApagarLinhaDespesa('<?php echo $linha['Id']; ?>');">
                    Remover
                </button>
            </td>
        </tr>
        <tr>
            <td class="table_prod_valor" colspan="7"><b>Descrio: </b><?php echo $linha['Descricao_Despesa']; ?></td>
        </tr>
        <tr>
            <td height="2"></td>
        </tr>
        <?php
        $x++;
        $y++;
        $totalDespesa += valor_banco(valor_exibir($linha['Valor_Despesa']));
}
?>

</table>
<table width="100%">
    <tr>
        <td colspan="3"></td>
        <td width="30%" colspan="3" align="center">
            <font face="verdana" size="2"><?php echo $total_v; ?>Total Despesa
                <input type="text" name="Total_Despesa" id="Total_Despesa" readonly="readonly"
                    value="<?php echo valor_exibir($totalDespesa); ?>" size="10">
            </font>
        </td>
    </tr>
    <input type="hidden" name="Voltas" value="<?php echo $x++ ?>">
    <input type="hidden" name="Total_Despesa_S" id="Total_Despesa_S" value="<?php echo valor_exibir($Total_Despesa_S); ?>">
    <!-- coloca o valor total dos itens no valor pago jogarVolume();-->
    <script type="text/javascript">
        jogarValorCusto();
    </script>
</table>
<?php
$pagina = ob_get_contents();
ob_end_clean();
echo utf8_encode($pagina);
?>