<?php
include_once '../../include/conecta.php'; //Conecta com a nosso banco de dados MySQL
include_once '../../include/ver_sessao.php'; //Verifica se a sesso est ativa
include_once '../../include/funcoesPhp.php';
include_once '../../menu_movimento.php';


$sql_venda = mysqli_query($con, "SELECT DISTINCT venda_produto.Id,
                                        venda_produto.Id_Produto,
                                        venda_produto.Preco,
                                        venda_produto.Qtd,
                                        venda_produto.Desconto,
                                        venda_produto.Desconto_Real,
                                        venda_produto.Desconto_Real_Pe_Nota,
                                        venda_produto.ST_Icms,
                                        venda_produto.Icms,
                                        venda_produto.Icms_Sub,
                                        venda_produto.Mva,
                                        venda_produto.Reducao,
                                        venda_produto.ReducaoBC,
                                        venda_produto.CST_Ipi,
                                        venda_produto.Ipi,
                                        venda_produto.Frete,
                                        venda_produto.Despesa,
                                        venda_produto.C_Produto,
                                        venda_produto.Id_Cor,
                                        venda_produto.Valor_Pauta,
                                        venda_produto.FCP,
                                        venda_produto.Volume,
                                        venda_produto.Lucro,
                                        venda_produto.Preco_Custo,
                                        venda_produto.Iss,
                                        venda_produto.Retencao_Pis,
                                        venda_produto.Retencao_Cofins,
                                        venda_produto.Irpj,
                                        venda_produto.Csll,
                                        venda_produto.Cprb,
                                        venda_produto.Fgts,
                                        venda_produto.Irrf,
                                        produto.Titulo as 'Produto',
                                        produto.Codigo,
                                        produto.Qtd_Caixa,
                                        produto.Peso_Bruto,
                                        produto.Peso_Liquido,
                                        produto.Cesta_Basica,
                                        local_estoque.Titulo as Local_Estoque,
                                        cfop.Cfop,
                                        cliente.Ipi as Ipi_Cliente,
                                        cliente.Consumidor_Final,
                                        cliente.Nao_Contribuinte_Icms,
                                        cliente.Estado as Estado_Cliente,
                                        cliente.Cliente_FCP,
                                        unidade.Estado as Estado_Empresa,
                                        unidade.Id as Id_Unidade
                                        FROM venda_produto
                                        LEFT JOIN (SELECT Id,Titulo,Regime_ST,Codigo,Qtd_Caixa,Peso_Bruto,Peso_Liquido,FCP,Valor_Pauta,Cesta_Basica FROM produto) as produto ON produto.Id = venda_produto.Id_Produto
                                        LEFT JOIN (SELECT Id,Titulo FROM local_estoque) as local_estoque ON local_estoque.Id = venda_produto.Id_Local_Estoque
                                        LEFT JOIN (SELECT Id,Cfop FROM cfop) as cfop ON cfop.Id = venda_produto.Id_Cfop
                                        LEFT JOIN (SELECT Id,Estado FROM unidade) as unidade ON unidade.Id = venda_produto.Id_Unidade
                                        LEFT JOIN (SELECT Id,Consumidor_Final,Nao_Contribuinte_Icms,Estado,Ipi,Cliente_FCP FROM cliente) as cliente ON cliente.Id = venda_produto.Id_Cliente
                                        WHERE venda_produto.Id_Venda='" . $_POST["Codigo_Venda"] . "'
                                        ORDER BY $amen venda_produto.Data_Cadastro $orde ")
    or die("ERRO no comando SQL:" . mysqli_error($con));


if (PAIS == 'USA') {
    $codigo = 'Code';
    $item = 'Item';
    $valor = 'Value';
    $qtd = 'Qty';
    $local = 'Location';
    $total = 'Total';
    $alterar = 'Alter';
    $remover = 'Delete';
    $total_v = 'Total Invice';
} else {
    $codigo = 'Codigo';
    $item = 'Item';
    $valor = 'Valor';
    $qtd = 'Qtd';
    $local = 'Local';
    $total = 'Valor Total';
    $alterar = 'Alterar';
    $remover = 'Remover';
    $total_v = 'Total Venda';
}
?>
<script language="javascript" type="text/javascript">
    function idProduto(Id, Id_Linha) {
        window.open('produto_descricao.php?id_produto=' + Id + '&id_linha=' + Id_Linha, 'Descricao', 'width=600,height=400,top=0,left=0,scrollbars=yes');
    }
</script>
<?php

ob_start();

$color = "#F5F5F5";
$x = 0;
$y = 1;
$qtdVol = 0;

while ($linha = mysqli_fetch_assoc($sql_venda)) {
    if ($color == "#F5F5F5") {
        $color = "#E8E8E8";
    } else {
        $color = "#F5F5F5";
    }

    $desc_perc = valor_banco(valor_exibir((($linha['Qtd'] * $linha['Preco']) * ($linha['Desconto'] / 100)), 2));
    $id_unidade = $linha['Id_Unidade'];
?>

    <?php if ($x == 0) { ?>
        <table width="100%" align="center" border="0" cellpadding="2" cellspacing="2">
            <tr>
                <td class="table_prod_nome">X</td>
                <td class="table_prod_nome"><?php echo $codigo; ?></td>
                <td class="table_prod_nome"><?php echo $item; ?></td>
                <td class="table_prod_nome"><?php echo $valor; ?></td>
                <td class="table_prod_nome"><?php echo $qtd; ?></td>
                <td class="table_prod_nome">ISS %</td>
                <td class="table_prod_nome">ISS $</td>
                <td class="table_prod_nome">PIS %</td>
                <td class="table_prod_nome">PIS $</td>
                <td class="table_prod_nome">COFINS %</td>
                <td class="table_prod_nome">COFINS $</td>
                <td class="table_prod_nome">CSLL %</td>
                <td class="table_prod_nome">CSLL $</td>
                <td class="table_prod_nome">INSS %</td>
                <td class="table_prod_nome">INSS $</td>
                <td class="table_prod_nome">IRPF %</td>
                <td class="table_prod_nome">IRPF $</td>
                <td class="table_prod_nome">FGTS %</td>
                <td class="table_prod_nome">FGTS $</td>
                <td class="table_prod_nome">IRRF %</td>
                <td class="table_prod_nome">IRRF $</td>
                <td class="table_prod_nome"><?php echo $total; ?></td>
                <td class="table_prod_nome"><?php echo $alterar; ?></td>
                <td class="table_prod_nome"><?php echo $remover; ?></td>
            </tr>
        <?php } ?>




        <?php
        $totalItem = (($linha['Qtd'] * $linha['Preco']) - $desc_perc);
        $Valor_Total_S += valor_banco(valor_exibir((($linha['Qtd'] * $linha['Preco']) - $desc_perc) - $linha['Desconto_Real'], 2));
        $Valor_Total += valor_banco(valor_exibir($totalItem - 
        ($totalItem * ($linha['Iss']/100))-
        ($totalItem * ($linha['Retencao_Pis']/100))-
        ($totalItem * ($linha['Retencao_Cofins']/100))-
        ($totalItem * ($linha['Csll']/100))-
        ($totalItem * ($linha['Cprb']/100))-
        ($totalItem * ($linha['Irpj']/100)) -
        ($totalItem * ($linha['Irrf']/100)) -
        ($totalItem * ($linha['Fgts']/100))
                ));
        $qtd_volume += $linha['Volume'];
        $total_bruto += $linha['Qtd'] * $linha['Peso_Bruto'];
        $total_liquido += $linha['Qtd'] * $linha['Peso_Liquido'];
        $qtdVol +=  $linha['Volume'];
        $Custo_Total += valor_banco(valor_exibir($linha['Qtd'] * $linha['Preco_Custo']));
        $margemLucro = ((valor_banco($linha['Preco']/$linha['Preco_Custo']) -1) * 100);


        if (
            $linha['Ipi'] != '0' &&
            (
                ($linha['CST_Ipi'] === '00') || ($linha['CST_Ipi'] == '49') ||
                ($linha['CST_Ipi'] == '50') || ($linha['CST_Ipi'] == '99')
            )
        ) {
            $VBC = number_format((($linha['Qtd'] * $linha['Preco']) - $desc_perc) - $linha['Desconto_Real'] - $linha['Desconto_Real_Pe_Nota'], 2, '.', '');
            $VBC = $VBC + $linha['Frete'] + $linha['Despesa'];
            if ($linha['ReducaoBC'] > '0') {
                $VBC = $VBC - ($VBC * ($linha['ReducaoBC'] / 100));
            }
            $vIpi = number_format(($VBC * ($linha['Ipi'] / 100)), 2, '.', '');
            $VIPI += number_format(($VBC * ($linha['Ipi'] / 100)), 2, '.', '');
        } else {
            $vIpi = 0;
        }

        if (($linha["Consumidor_Final"] == 'Sim') && ($linha["Ipi_Cliente"] == 'Sim')) {
            $bcIpi = $vIpi;
        }
        if ($linha["Ipi_Cliente"] == 'Sim') {
            $bcstIpi = $vIpi;
        }

        $valor_st = '0';
        //calculando o valor do ICMS ST
        if ($linha['ST_Icms'] == '10' || $linha['ST_Icms'] == '70' || $linha['ST_Icms'] == '90') {

            if ($linha['Bonificacao'] == 'Sim') {
                $desc_perc = '0';
                $linha['Desconto_Real'] = '0';
            }

            $VBC = number_format((($linha['Qtd'] * $linha['Preco']) - $desc_perc) - $linha['Desconto_Real'] - $linha['Desconto_Real_Pe_Nota'] + ($linha['Frete'] + $linha['Despesa']), 2, '.', '');

            if ($linha["ReducaoBC"] > '0') {
                $VBCicms = $VBC - ($VBC * ($linha['ReducaoBC'] / 100));
            } else {
                $VBCicms = $VBC;
            }

            $VICMS = ($VBCicms * ($linha['Icms'] / 100));

            $vBCST = ($VBC + $bcstIpi) * (1 + (($linha['Mva'] / 100)));
            $vBCST = $vBCST - ($vBCST * ($linha['Reducao'] / 100));
            $valor_st = number_format($vBCST * ($linha['Icms_Sub'] / 100), 2, '.', '') - number_format($VICMS, 2, '.', '');

            //calculo com o valor de pauta
            if ($linha['Preco'] < $linha['Valor_Pauta']) {
                if ($linha['Estado_Cliente'] == 'RN' || $linha['Estado_Cliente'] == 'PB' || $linha['Estado_Cliente'] == 'AL') {

                    $preco_pauta = $linha['Valor_Pauta'];

                    $VBCp = (($linha['Qtd'] * $preco_pauta) - $desc_perc) - $linha['Desconto_Real'] - $linha['Desconto_Real_Pe_Nota'] + ($linha['Frete'] + $linha['Despesa']);
                    $VICMS = ($VBCp * ($linha['Icms'] / 100));
                    $vBCST = ($VBCp + $bcstIpi) * (1 + (($linha['Mva'] / 100)));
                    $vBCST = $vBCST - ($vBCST * ($linha['Reducao'] / 100));
                    $valor_st = ($vBCST * ($linha['Icms_Sub'] / 100)) - ($VBC * ($linha['Icms'] / 100));
                }
            }

            if (($linha["Estado_Cliente"] == $linha["Estado_Empresa"]) && $linha["Cesta_Basica"] == 'Sim') {
                $VBC = (($linha['Qtd'] * $linha['Preco']) - $desc_perc) - $linha['Desconto_Real'] - $linha['Desconto_Real_Pe_Nota'];
                $VBC = $VBC + $linha['Frete'] + $linha['Despesa'];
                if ($linha['ReducaoBC'] > '0') {
                    $VBC = $VBC - ($VBC * ((100 - $linha['ReducaoBC']) / 100)); //reversa
                }
                $VICMS = ($VBC * ($linha['Icms'] / 100));

                $VBC = (($linha['Qtd'] * $linha['Preco']) - $desc_perc) - $linha['Desconto_Real'] - $linha['Desconto_Real_Pe_Nota'];
                $VBC = $VBC + $linha['Frete'] + $linha['Despesa'];
                $vBCST = ($VBC + $bcstIpi) * (1 + (($linha['Mva'] / 100)));
                $vBCST = $vBCST - ($vBCST * ($linha['Reducao'] / 100));
                $valor_st = ($vBCST * ($linha['Icms_Sub'] / 100));
            }

            $VICMSST += number_format($valor_st, 2, ".", "");
        }

        //calculando o valor do ICMS ST - simples
        if (($linha['ST_Icms'] == '201') || ($linha['ST_Icms'] == '202') || ($linha['ST_Icms'] == '900')) {
            $VBC = (($linha['Qtd'] * $linha['Preco']) - $desc_perc) - $linha['Desconto_Real'] - $linha['Desconto_Real_Pe_Nota'];
            $VBC = $VBC + $linha['Frete'] + $linha['Despesa'];
            $VICMS = number_format($VBC * ($linha['Icms'] / 100), 2, '.', '');
            //$ValorICMSProprioparaST = $VBC * ($linha['Icms_Sub']/100);//calc diferente
            $vBCST = ($VBC + $bcstIpi) * (1 + (($linha['Mva'] / 100)));
            $vBCST = $vBCST - ($vBCST * ($linha['Reducao'] / 100));
            $valor_st = number_format($vBCST * ($linha['Icms_Sub'] / 100), 2, '.', '') - ($VICMS);
            $VICMSST += number_format($valor_st, 2, ".", "");
        }

        //calculo FCPST
        if (($linha['ST_Icms'] == '201') || ($linha['ST_Icms'] == '202') || ($linha['ST_Icms'] == '900') ||
            $linha['ST_Icms'] == '10' || $linha['ST_Icms'] == '70' || $linha['ST_Icms'] == '90'
        ) {
            if (($linha["Cliente_FCP"] == 'Sim') &&
                ($linha["Estado_Cliente"] != $linha["Estado_Unidade"]) &&
                ($linha["FCP"] > '0')
            ) {
                $vtFCPST = $vBCST;
                $vtFCPST = str_replace('.', '', $vtFCPST);
                $vtFCPST = str_replace(',', '.', $vtFCPST);

                $vtFCPItem = number_format($VBC * ($linha["FCP"] / 100), 2, ".", "");
                $vtFCPSTItem += number_format(($vBCST * ($linha["FCP"] / 100)), 2, ".", "");
            }
        }
        $totalItem = (($linha['Qtd'] * $linha['Preco']) - $desc_perc);
        ?>
        <tr bgcolor=<?php echo "$color"; ?>>
            <td class="table_prod_valor"><?php echo $y; ?></td>
            <td class="table_prod_valor"><?php echo $linha['Codigo']; ?></td>
            <td class="table_prod_valor" title="<?php echo $linha['C_Produto']; ?>" style="cursor: pointer;" ondblclick="idProduto('<?php echo $linha["Id_Produto"]; ?>','<?php echo $linha["Id"]; ?>')">
                <?php echo $linha['Produto']; ?>
            </td>
            <td class="table_prod_valor"><?php echo valor_exibir($linha['Preco']); ?></td>
            <td class="table_prod_valor"><?php echo $linha['Qtd']; ?></td>
            <td class="table_prod_valor"><?php echo valor_exibir($linha['Iss']); ?></td>
            <td class="table_prod_valor"><?php echo valor_exibir($totalItem * ($linha['Iss']/100)); ?></td>
            <td class="table_prod_valor"><?php echo valor_exibir($linha['Retencao_Pis']); ?></td>
            <td class="table_prod_valor"><?php echo valor_exibir($totalItem * ($linha['Retencao_Pis']/100)); ?></td>
            <td class="table_prod_valor"><?php echo valor_exibir($linha['Retencao_Cofins']); ?></td>
            <td class="table_prod_valor"><?php echo valor_exibir($totalItem * ($linha['Retencao_Cofins']/100)); ?></td>
            <td class="table_prod_valor"><?php echo valor_exibir($linha['Csll']); ?></td>
            <td class="table_prod_valor"><?php echo valor_exibir($totalItem * ($linha['Csll']/100)); ?></td>
            <td class="table_prod_valor"><?php echo valor_exibir($linha['Cprb']); ?></td>
            <td class="table_prod_valor"><?php echo valor_exibir($totalItem * ($linha['Cprb']/100)); ?></td>
            <td class="table_prod_valor"><?php echo valor_exibir($linha['Irpj']); ?></td>
            <td class="table_prod_valor"><?php echo valor_exibir($totalItem * ($linha['Irpj']/100)); ?></td>
            <td class="table_prod_valor"><?php echo valor_exibir($linha['Fgts']); ?></td>
            <td class="table_prod_valor"><?php echo valor_exibir($totalItem * ($linha['Fgts']/100)); ?></td>
            <td class="table_prod_valor"><?php echo valor_exibir($linha['Irrf']); ?></td>
            <td class="table_prod_valor"><?php echo valor_exibir($totalItem * ($linha['Irrf']/100)); ?></td>
            <td class="table_prod_valor"><?php echo valor_exibir($totalItem - 
                                                                ($totalItem * ($linha['Iss']/100))-
                                                                ($totalItem * ($linha['Retencao_Pis']/100))-
                                                                ($totalItem * ($linha['Retencao_Cofins']/100))-
                                                                ($totalItem * ($linha['Csll']/100))-
                                                                ($totalItem * ($linha['Cprb']/100))-
                                                                ($totalItem * ($linha['Irpj']/100)) -
                                                                ($totalItem * ($linha['Irrf']/100)) -
                                                                ($totalItem * ($linha['Fgts']/100))
                                                                ) ; 
                                            ?>
            </td>
            <?php if ($_POST["Opcao_Ver"] != 'ver') { ?>
                <td class="table_prod_valor">
                    <?php if (VENDA_ALTERAR == 'Sim') { ?>
                        <button class="botao_novo" type="button" value="Alterar" onclick="window.open('tabela_alterar.php?id_linha=<?php echo $linha['Id']; ?>','Alterar','width=600,height=550,top=0,left=0,scrollbars=yes')">
                            <?php echo $alterar; ?>
                        </button>
                    <?php } ?>
                </td>
                <td class="table_prod_valor">
                    <?php if (VENDA_REMOVER == 'Sim') { ?>
                        <button class="botao_novo" type="button" value="Remover" onclick="ApagarLinha('<?php echo $linha['Id']; ?>');">
                            <?php echo $remover; ?>
                        </button>
                    <?php } ?>
                <?php } ?>
                </td>
        </tr>
        <tr>
            <td height="2"></td>
        </tr>
    <?php
    $x++;
    $y++;
}

$VICMSST = number_format($VICMSST, 2, ",", ".");
$VICMSST = str_replace('.', '', $VICMSST);
$VICMSST = str_replace(',', '.', $VICMSST);

$VIPI = number_format($VIPI, 2, ",", ".");
$VIPI = str_replace('.', '', $VIPI);
$VIPI = str_replace(',', '.', $VIPI);

$vtFCPSTItem = number_format($vtFCPSTItem, 2, ",", ".");
$vtFCPSTItem = str_replace('.', '', $vtFCPSTItem);
$vtFCPSTItem = str_replace(',', '.', $vtFCPSTItem);
    ?>

        </table>
        <table width="100%">
            <tr>
                <td colspan="3"></td>
                <td width="30%" colspan="3" align="center">
                    <?php if ($vtFCPSTItem != '0') { ?>
                        <font face="verdana" size="2">FCP ST
                            <input type="text" name="FCPST" id="FCPST" readonly="readonly" value="<?php echo $vtFCPSTItem; ?>" size="10">
                        </font>
                    <?php } ?>
                    <?php if ($VIPI != '0') { ?>
                        <font face="verdana" size="2">IPI
                            <input type="text" name="Valor_Ipi" id="Valor_Ipi" readonly="readonly" value="<?php echo $VIPI; ?>" size="10">
                        </font>
                    <?php } ?>
                    <?php if ($VICMSST != '0') { ?>
                        <font face="verdana" size="2">ICMS ST
                            <input type="text" name="Valor_Icms_ST" id="Valor_Icms_ST" readonly="readonly" value="<?php echo $VICMSST; ?>" size="10">
                        </font>
                    <?php } ?>
                    <font face="verdana" size="2"><?php echo $total_v; ?>:
                        <input type="text" name="Valor_Total" id="Valor_Total" readonly="readonly" value="<?php echo valor_exibir($Valor_Total); ?>" size="10">
                    </font>
                </td>
            </tr>
            <input type="hidden" name="Voltas" value="<?php echo $x++ ?>">
            <input type="hidden" name="Qtd_Volume" id="Qtd_Volume" value="<?php echo valor_exibir($qtd_volume); ?>">
            <input type="hidden" name="Total_Bruto" id="Total_Bruto" value="<?php echo valor_exibir($total_bruto); ?>">
            <input type="hidden" name="Total_Liquido" id="Total_Liquido" value="<?php echo valor_exibir($total_liquido); ?>">
            <input type="hidden" name="Valor_Total_S" id="Valor_Total_S" value="<?php echo valor_exibir($Valor_Total_S); ?>">
            <script type="text/javascript">
                jogarValor();
            </script>
        </table>
        <?php
        $pagina = ob_get_contents();
        ob_end_clean();
        echo utf8_encode($pagina);
        ?>