<?php
include_once '../../include/conecta.php'; //Conecta com a nosso banco de dados MySQL
include_once '../../include/ver_sessao.php'; //Verifica se a sesso est ativa
include_once '../../include/funcoesPhp.php';
include_once '../../menu_movimento.php';
//Inclue a pgina con todas as funes a ser usada.


$Codigo_Venda = $_POST["Codigo_Venda"];
$Opcao_Ver = $_POST["Opcao_Ver"];

/*BUSCA REALIZADA PARA MONTAR A TABELA DE CONSULTA DOS ITENS SO ATIVA QUANDO O BUTAO FOR CHAMADO*/
$sql_venda = mysqli_query($con, "SELECT DISTINCT venda_produto.Id,
                                        venda_produto.Id_Venda,
                                        venda_produto.Id_Produto,
                                        venda_produto.Preco,
                                        venda_produto.Qtd,
                                        venda_produto.Desconto,
                                        venda_produto.Desconto_Real,
                                        venda_produto.Icms,
                                        venda_produto.ST_Icms,
                                        venda_produto.Ipi,
                                        venda_produto.Volume,
                                        produto.Titulo as 'Produto',
                                        produto.Codigo,
                                        local_estoque.Titulo as Local_Estoque
                                        FROM venda_produto
                                        left join (SELECT Id,Titulo,Regime_ST,Codigo FROM produto) as produto ON produto.Id = venda_produto.Id_Produto
                                        left join (SELECT Id,Titulo FROM local_estoque) as local_estoque ON local_estoque.Id = venda_produto.Id_Local_Estoque
                                        WHERE venda_produto.Id_Venda='" . $Codigo_Venda . "'
                                        ORDER BY venda_produto.Data_Cadastro")
    or die("ERRO no comando SQL:" . mysqli_error($con));

ob_start();
?>
<?php
$color = "#F5F5F5";
$x = 0;
$qtdVol = 0;
while ($linha = mysqli_fetch_assoc($sql_venda)) {
    if ($color == "#F5F5F5") {
        $color = "#E8E8E8";
    } else {
        $color = "#F5F5F5";
    }

?>

    <?php if ($x == 0) { ?>
        <table width="100%" align="center" border="0" cellpadding="2" cellspacing="2">
            <tr>
                <td class="table_prod_nome">Cd:</td>
                <td class="table_prod_nome">Item:</td>
                <td class="table_prod_nome">Valor Unit:</td>
                <td class="table_prod_nome">Qtd:</td>
                <td class="table_prod_nome">Desc %:</td>
                <td class="table_prod_nome">Desc:</td>
                <td class="table_prod_nome">Local:</td>
                <td class="table_prod_nome">Icms:</td>
                <td class="table_prod_nome">ST Icms:</td>
                <td class="table_prod_nome">Ipi:</td>
                <td class="table_prod_nome">Valor Total:</td>
                <td class="table_prod_nome">Produo:</td>
                <td class="table_prod_nome">Alterar:</td>
                <td class="table_prod_nome">Remover:</td>
            </tr>
        <?php } ?>


        <tr bgcolor=<?php echo "$color"; ?>>
            <td class="table_prod_valor"><?php echo $linha['Codigo']; ?></td>
            <td class="table_prod_valor"><?php echo $linha['Produto']; ?></td>
            <td class="table_prod_valor"><?php echo valor_exibir($linha['Preco']); ?></td>
            <td class="table_prod_valor"><?php echo $linha['Qtd']; ?></td>
            <td class="table_prod_valor"><?php echo valor_exibir($linha['Desconto']); ?></td>
            <td class="table_prod_valor"><?php echo valor_exibir($linha['Desconto_Real']); ?></td>
            <td class="table_prod_valor"><?php echo $linha['Local_Estoque']; ?></td>
            <td class="table_prod_valor"><?php echo valor_exibir($linha['Icms']); ?></td>
            <td class="table_prod_valor"><?php echo $linha['ST_Icms']; ?></td>
            <td class="table_prod_valor"><?php echo valor_exibir($linha['Ipi']); ?></td>
            <td class="table_prod_valor"><?php echo valor_exibir((($linha['Qtd'] * $linha['Preco']) - (($linha['Qtd'] * $linha['Preco']) * ($linha['Desconto'] / 100))) - $linha['Desconto_Real']); ?></td>
            <td class="table_prod_valor">
                <?php
                //pegando os produtos da producao
                $cod_auto1 = mysqli_query($con, "SELECT produto.Titulo as Produto,
                                                        venda_producao.Qtd,
                                                        produto.Codigo
                                                        FROM venda_producao
                                                        LEFT JOIN (SELECT Id,Titulo,Codigo FROM produto) as produto ON produto.Id = venda_producao.Id_Produto
                                                        WHERE venda_producao.Id_Venda = '" . $linha['Id_Venda'] . "'
                                                        AND venda_producao.Id_Produto_Pai = '" . $linha['Id_Produto'] . "' ");
                $ex_fun = 'Produtos da Produo:' . "\n";
                while ($valor = mysqli_fetch_assoc($cod_auto1)) {
                    $ex_fun .= $valor["Codigo"] . ' : ' . $valor["Produto"] . ' (' . $valor["Qtd"] . ")\n";
                }
                ?>
                <input class="botao_novo" type="button" value="Produo" title="<?php echo $ex_fun; ?>" onclick="window.open('tabela_producao.php?id_linha=<?php echo $linha['Id']; ?>','Produo','width=700,height=600,top=0,left=0,scrollbars=yes')">
            </td>
            <?php if ($_POST["Opcao_Ver"] != 'ver') { ?>
                <td class="table_prod_valor">
                    <?php if (VENDA3_ALTERAR == 'Sim') { ?>
                        <input class="botao_novo" type="button" value="Alterar" onclick="window.open('tabela_alterar.php?id_linha=<?php echo $linha['Id']; ?>','Alterar','width=600,height=550,top=0,left=0,scrollbars=yes')">
                    <?php } ?>
                </td>
                <td class="table_prod_valor">
                    <?php if (VENDA3_REMOVER == 'Sim') { ?>
                        <input class="botao_novo" type="button" value="Remover" onclick="ApagarLinha('<?php echo $linha['Id']; ?>');">
                    <?php } ?>
                <?php } ?>
                </td>
        </tr>
        <tr>
            <td height="2"></td>
        </tr>

    <?php
    $Valor_Total += (($linha['Qtd'] * $linha['Preco']) - (($linha['Qtd'] * $linha['Preco']) * ($linha['Desconto'] / 100))) - $linha['Desconto_Real'];
    $qtd_volume += $linha['Volume'];
    $qtdVol +=  $linha['Volume'];

    $x++;
} ?>

        </table>
        <table width="100%">
            <tr>
                <td colspan="3"></td>
                <td width="30%" colspan="3" align="center">
                    <font face="verdana" size="2">Total Venda:
                        <input type="text" name="Valor_Total" id="Valor_Total" readonly="readonly" value="<?php echo  valor_exibir($Valor_Total); ?>" size="10">
                    </font>
                </td>
            </tr>
            <input type="hidden" name="Voltas" value="<?php echo $x++ ?>">
            <input type="hidden" name="Qtd_Volume" id="Qtd_Volume" value="<?php echo $qtd_volume; ?>">
            <!-- coloca o valor total dos itens no valor pago jogarVolume();-->
            <script type="text/javascript">jogarValor();</script>
        </table>
        <?php
        $pagina = ob_get_contents();
        ob_end_clean();
        echo utf8_encode($pagina);
        ?>