<?php
include_once '../include/conecta.php'; //Conecta com a nosso banco de dados MySQL
include_once '../include/ver_sessao.php'; //Verifica se a sesso est ativa
include_once '../include/funcoesPhp.php';
include_once '../menu_movimento.php';
?>
<?php
if (($_GET["Finalizado"]) || ($_GET["Aberto"]) || ($_GET["Cancelado"])) {

    $status = "AND (";

    if ($_GET["Finalizado"]) {
        $status .= " venda.Status = 'Finalizado' OR";
    }
    if ($_GET["Aberto"]) {
        $status .= " venda.Status = 'Aberto' OR";
    }
    if ($_GET["Cancelado"]) {
        $status .= " venda.Status = 'Cancelado' OR";
    }

    $status = substr($status, 0, -2);
    $status .= ")";
}

if ($_GET['Data_Filtro'] == 'Data') {
    if ($_GET["De"])
        $data .= "AND venda.Data_Venda >= '" . data_banco($_GET["De"]) . " 00:00:00' ";
    if ($_GET["Ate"])
        $data .= "AND venda.Data_Venda <= '" . data_banco($_GET["Ate"]) . " 23:59:59' ";
}
if ($_GET['Data_Filtro'] == 'Conclusao') {

    if ($_GET["Aberto"]) {
        if ($_GET["De"]) {
            $data .= "AND (venda.Data_Conclusao >= '" . data_banco($_GET["De"]) . " 00:00:00' OR
                          venda.Data_Venda >= '" . data_banco($_GET["De"]) . " 00:00:00' ) ";
        }
        if ($_GET["Ate"]) {
            $data .= "AND (venda.Data_Conclusao <= '" . data_banco($_GET["Ate"]) . " 23:59:59' OR
                         venda.Data_Venda <= '" . data_banco($_GET["Ate"]) . " 23:59:59' ) ";
        }
    } else {
        if ($_GET["De"])
            $data .= "AND venda.Data_Conclusao >= '" . data_banco($_GET["De"]) . " 00:00:00' ";
        if ($_GET["Ate"])
            $data .= "AND venda.Data_Conclusao <= '" . data_banco($_GET["Ate"]) . " 23:59:59' ";
    }
}

if ($_GET["Cliente"]) {

    $mystring = $_GET["Cliente"];
    $findme = " : ";

    $posicao = strpos($mystring, $findme);

    $cod_cli = substr($_GET["Cliente"], 0, $posicao);
    $nome_cli = substr($_GET["Cliente"], ($posicao + 3));


    if (CLIENTE_RAZAO_SOCIAL == 'Sim') {
        $nome = 'Razao_Social';
    } else {
        $nome = 'Titulo';
    }
    /* convertendo o nome do fornecedor, para o seu codigo */
    $Prodt = listar("SELECT Id FROM cliente WHERE " . $nome . " ='" . $nome_cli . "' AND Codigo = '" . $cod_cli . "' ");
    $_GET["Cliente"] = $Prodt[0]["Id"];

    $Cliente .= "AND venda.Id_Cliente = '" . $_GET["Cliente"] . "' ";
}

if ($_GET["Produto"]) {

    $mystring = $_GET["Produto"];
    $findme = " : ";

    $posicao = strpos($mystring, $findme);

    $cod_cli = substr($_GET["Produto"], 0, $posicao);
    $nome_cli = substr($_GET["Produto"], ($posicao + 3));


    /* convertendo o nome do fornecedor, para o seu codigo */
    $Prodt = listar("SELECT Id FROM produto WHERE Titulo='" . $nome_cli . "' AND Codigo = '" . $cod_cli . "' ");
    $_GET["Produto"] = $Prodt[0]["Id"];

    $venda_produto = "AND venda_produto.Id_Produto = '" . $_GET["Produto"] . "' ";
}

if ($_GET["Usuario"])
    $Usuario = "AND venda.Id_Usuario = '" . $_GET["Usuario"] . "' ";

if ($_GET["Funcionario"])
    $usuario_p .= "AND venda.Id_Funcionario = '" . $_GET["Funcionario"] . "' ";

if ($_GET["Vendedor"])
    $usuario_p .= "AND venda.Id_Vendedor = '" . $_GET["Vendedor"] . "' ";

if ($_GET["EF"])
    $usuario_p .= "AND venda.EF = '" . $_GET["EF"] . "' ";

if ($_GET["DV"])
    $usuario_p .= "AND venda.DV = '" . $_GET["DV"] . "' ";

if ($_GET["Unidade"]) {
    $Unidade = "AND venda.Id_Unidade = '" . $_GET["Unidade"] . "' ";
}

if ($_GET["Financeiro"]) {
    $faturamento = "AND venda.Financeiro = '" . $_GET["Financeiro"] . "' ";
}

if ($_GET["Categoria_Cliente"]) {
    $categoriaCliente .= "AND cliente.Id_Categoria_Cliente = '" . $_GET["Categoria_Cliente"] . "' ";
}

if ($_GET["Ok"]) {
    $venda = mysqli_query($con, "SELECT venda.Id, venda.Lancamento,
                                venda.Status,
                                venda.Frete,
                                venda.Data_Venda,
                                venda.Valor_Pago,
                                venda.Desconto,
                                venda.Desconto_Real,
                                cliente.Titulo as Cliente,
                                cliente.Razao_Social,
                                tipo_pagamento.Titulo as Tipo_Pagamento,
                                vendedor.Titulo as 'Vendedor',
                                venda.Fatura,
                                venda.Numero_Pedido
                                from venda
                                left join (SELECT Id,Id_Produto,Id_Venda FROM venda_produto) as venda_produto ON venda_produto.Id_Venda = venda.Id
                                LEFT JOIN (SELECT Id,Titulo FROM funcionario) as vendedor ON vendedor.Id = venda.Id_Vendedor
                                LEFT JOIN (SELECT Id,Titulo,Razao_Social,Id_Categoria_Cliente FROM cliente) as cliente ON venda.Id_Cliente = cliente.Id
                                LEFT JOIN (SELECT Id,Titulo FROM categoria_cliente) as categoria_cliente ON categoria_cliente.Id = cliente.Id_Categoria_Cliente
                                LEFT JOIN (SELECT Id,Titulo FROM tipo_pagamento) as tipo_pagamento ON venda.Id_Tipo_Pagamento = tipo_pagamento.Id
                                WHERE 1=1
                                $data $status $usuario_p $Cliente $venda_produto $Unidade $Usuario $faturamento $categoriaCliente
                                group by venda.Lancamento
                                order by venda.Lancamento");
}

?>
<html>

<head>
    <title>Gw - Gesto Web</title>
    <link rel="stylesheet" type="text/css" href="../estilo/<?php echo SKIN; ?>/tabela_imp.css" />
    <script type="text/javascript" language="javascript" src="../js/jquery.js"></script>
    <?php include '../include/script_cabeca.php'; ?>
    <script type="text/javascript" language="javascript" src="../js/script.js"></script>
    <script type="text/javascript" language="javascript" src="../js/meiomask/meiomask.js"></script>
    <script type="text/javascript" language="javascript" src="../js/meiomask/<?php if (PAIS == "USA") {
                                                                                    echo "mascaras-usa";
                                                                                } else {
                                                                                    echo "mascaras";
                                                                                } ?>.js"></script>
    <script type="text/javascript" language="javascript">
        window.onload = function() {
            window.print();
        }
    </script>
</head>

<body>
    <table width="98%" align="center"><!-- TABELA Q ENVOLVE TODO O CONTEUDO -->
        <tr>
            <td>
                <?php include "../include/cabecalho_relatorio.php"; ?>
            </td>
        </tr>
        <tr>
            <td>
                <font face="verdana" size="2"><i>Relatrio de Vendas</i></font>
            </td>
        </tr>
        <tr>
            <td>
                <font face="verdana" size="2">
                    <?php
                    if ($_GET["De"]) {
                        echo "Perodo: " . $_GET["De"];
                    }
                    if ($_GET["Ate"]) {
                        echo "  " . $_GET["Ate"];
                    }
                    if ($_GET["Funcionario"]) {
                        $achar = listar("Select Titulo from funcionario
			where Id = '" . $_GET["Funcionario"] . "' ");
                        echo " - " . $achar[0]["Titulo"];
                    }
                    if ($_GET["Cliente"]) {
                        if (CLIENTE_RAZAO_SOCIAL == 'Sim') {
                            $nome = 'Razao_Social';
                        } else {
                            $nome = 'Titulo';
                        }
                        $achar = listar("Select " . $nome . " as Titulo from cliente
			where Id = '" . $_GET["Cliente"] . "' ");
                        echo " - " . $achar[0]["Titulo"];
                    }
                    if ($_GET["Produto"]) {
                        $achar = listar("Select Titulo from produto
			where Id = '" . $_GET["Produto"] . "' ");
                        echo " - " . $achar[0]["Titulo"];
                    }
                    if ($_GET["Cancelado"]) {
                        echo " - " . $_GET["Cancelado"];
                    }
                    if ($_GET["Finalizado"]) {
                        echo " - " . $_GET["Finalizado"];
                    }
                    if ($_GET["Aberto"]) {
                        echo " - " . $_GET["Aberto"];
                    }
                    //se o sistema for Multi Empresa
                    if ((MULTI_EMPRESA == "Sim") && ($_SESSION["Id_Nivel"] == '1')) {

                        if ($_GET["Unidade"]) {
                            $achar = listar("Select Titulo from unidade
						where Id = '" . $_GET["Unidade"] . "' ");
                            echo " - " . $achar[0]["Titulo"];
                        }
                    }
                    ?>
                </font>
            </td>
        </tr>
        <tr>
            <td>
            <table width="100%" class="tabela">
                    <tr class="azul-claro">
                        <td>N</td>
                        <td>NF</td>
                        <td>Data</td>
                        <td>Cliente</td>
                        <td>Vendedor</td>
                        <td>Pgto</td>
                        <td>Valor</td>
                        <?php if ((CLIENTE_EMAIL == 'naturezaviva') || (CLIENTE_EMAIL == 'ciclovital')) { ?>
                            <td>Romaneio</td>
                        <?php } else { ?>
                            <td>Frete</td>
                        <?php } ?>
                        <td>Status</td>
                    </tr>
                    <tfoot>
                        <tr class="cinza">
                            <td colspan="20">Relatrio de Vendas</td>
                        </tr>
                    </tfoot>
                    <?php
                    if ($_GET["Ok"]) {

                        $color = "#F5F5F5";
                        while ($chave = mysqli_fetch_assoc($venda)) {

                            if ($color == "#F5F5F5") {
                                $color = "#E8E8E8";
                            } else {
                                $color = "#F5F5F5";
                            }


                            $produto_v = mysqli_query($con, "Select produto.Peso_Liquido,
                                produto.Peso_Bruto,
                                venda_produto.Preco,
                                venda_produto.Qtd,
                                venda_produto.Desconto,
                                venda_produto.Desconto_Real
                                from venda_produto
                                left join (SELECT Id,Peso_Liquido,Peso_Bruto FROM produto) as produto ON produto.Id = venda_produto.Id_Produto
                                where venda_produto.Id_Venda = '" . $chave["Id"] . "'
                                $venda_produto $categoria $lista_categoria
                                ORDER BY venda_produto.Data_Cadastro");

                            $vtotal = '';
                            while ($valor = mysqli_fetch_assoc($produto_v)) {
                                $vtotal += ((($valor["Preco"] * $valor["Qtd"]) - (($valor["Preco"] * $valor["Qtd"]) * ($valor["Desconto"] / 100))) - $valor["Desconto_Real"]);
                            }

                            $vtotal = ($vtotal - (($vtotal) * ($chave["Desconto"] / 100))) - $chave["Desconto_Real"]
                    ?>
                            <tr bgcolor=<?php echo "$color"; ?>>
                                <td><?php echo $chave["Lancamento"] ?></td>
                                <td><?php echo $chave["Fatura"] ?></td>
                                <td><?php echo data_exibir($chave["Data_Venda"]) ?></td>
                                <td>
                                    <?php
                                    if (CLIENTE_RAZAO_SOCIAL == 'Sim') {
                                        echo $chave["Razao_Social"];
                                    } else {
                                        echo $chave["Cliente"];
                                    }
                                    ?>
                                </td>
                                <td><?php echo $chave["Vendedor"] ?></td>
                                <td><?php echo $chave["Tipo_Pagamento"] ?></td>
                                <td><?php echo valor_exibir($vtotal) ?></td>
                                <?php if ((CLIENTE_EMAIL == 'naturezaviva') || (CLIENTE_EMAIL == 'ciclovital')) { ?>
                                    <td><?php echo $chave["Numero_Pedido"] ?></td>
                                <?php } else { ?>
                                    <td><?php echo $chave["Frete"] ?></td>
                                <?php } ?>
                                <?php
                                $corStatus = "";
                                if ($chave['Status'] == 'Finalizado') {
                                    $corStatus = "color = '#228B22' ";
                                }
                                if ($chave['Status'] == 'Aberto') {
                                    $corStatus = "color = '#3A5FCD' ";
                                }
                                if ($chave['Status'] == 'Cancelado') {
                                    $corStatus = "color = '#CD2626' ";
                                }
                                ?>
                                <td>
                                    <font <?php echo $corStatus ?>><?php echo $chave["Status"] ?></font>
                                </td>
                            </tr>
                            <?php
                            $vtotalacum[$chave["Status"]] += $vtotal;
                            $vtotalacumA += $vtotal;
                            ?>
                    <?php }
                    } ?>
                    <tr>
                        <td colspan="9">&nbsp;</td>
                    </tr>
                    <tr>
                        <td align="right"><b>Valores Finais:</b> &nbsp;</td>
                        <td colspan="8" align="right">
                            Em Lanamento : <b><?php echo valor_exibir($vtotalacum["Aberto"]); ?></b>&nbsp;&nbsp;&nbsp;
                            Finalizado : <b><?php echo valor_exibir($vtotalacum["Finalizado"]); ?></b>&nbsp;&nbsp;&nbsp;
                            Cancelado : <b><?php echo valor_exibir($vtotalacum["Cancelado"]); ?></b>&nbsp;&nbsp;&nbsp;
                            Total Geral :
                            <b><?php echo valor_exibir($vtotalacum["Aberto"] + $vtotalacum["Finalizado"]); ?></b>
                        </td>
                    </tr>
                </table>
            </td>
        </tr>
        <tr>
            <td>
                <div id="div_resposta"></div>
            </td>
        </tr>
    </table>
    <br>
</body>

</html>