<?php
include_once "../include/conecta.php"; //Conecta com a nosso banco de dados MySQL
ini_set('session.gc_maxlifetime', 60*120); session_start();
/* include_once "../include/ver_sessao.php"; //Verifica se a sesso est ativa */
include_once "../include/funcoesPhp.php"; //Inclue a pgina con todas as funes a ser usada.
?>
<?php 
               $venda = listar("Select venda.Id,
 					venda.Lancamento,
 					venda.Status,
 					venda.Data_Venda,
                                        venda.Data_Entrega,
 					venda.Obs as 'Obs_Venda',
 					venda.Valor_Original,
 					venda.Valor_Pago,
                                        venda.Desconto,
                                        venda.Desconto_Real,
                                        venda.Frete,
                                        venda.Valor_Frete,
                                        venda.Id_Unidade,
                                        venda.Numero_Pedido as Romaneio,
                                        venda.Placa,
 					cliente.Titulo as 'Cliente',
                                        cliente.Razao_Social,
 					cliente.Email,
 					cliente.Natureza,
 					cliente.Cpf_Cnpj,
 					cliente.Rua,
                                        cliente.Numero,
 					cliente.Cep,
 					cliente.Bairro,
 					cliente.Estado,
 					cliente.Fone1,
                                        cliente.Contato,
                                        cliente.Endereco,
                                        cliente.Ponto_Referencia,
 					cliente.Obs as 'Obs_Cliente',
                                        cliente.Codigo,
                                        cliente.Cidade,
                                        vendedor.Titulo as 'Vendedor',
                                        tipo_pagamento.Titulo as 'Tipo_Pagamento'
 					from venda
 					left join 
                                        (SELECT Id,Titulo,Email,Natureza,Cpf_Cnpj,Estadual,Rua,Numero,Cep,Bairro,Estado,Fone1,
                                        Obs,Id_Cidade,Razao_Social,Contato,Endereco,Ponto_Referencia,Codigo,Cidade FROM cliente) as cliente 
                                        ON cliente.Id = venda.Id_Cliente
                                        left join (SELECT Id,Titulo FROM funcionario) as vendedor ON venda.Id_Vendedor = vendedor.Id
                                        left join (SELECT Id,Titulo FROM tipo_pagamento) as tipo_pagamento ON tipo_pagamento.Id = venda.Id_Tipo_Pagamento
 					where venda.Id = '".$_GET["id_venda"]."'
					order by venda.Lancamento DESC");


$_GET["Unidade"] = $venda[0]["Id_Unidade"];
               
?>
<html>
<head>
<title>Gw - Gesto Web</title>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1" />
<link rel="shortcut icon" href="../imagem/favi_gw.ico" type="image/x-icon" />
<link rel="stylesheet" type="text/css" href="../estilo/<?php echo SKIN ;?>/tabela_imp.css" />
<script type="text/javascript" language="javascript" src="../js/jquery.js"></script>
<?php include '../include/script_cabeca.php'; ?>
<script type="text/javascript" language="javascript" src="../js/script.js"></script>
<script type="text/javascript" language="javascript" src="../js/meiomask/meiomask.js"></script>
<script type="text/javascript" language="javascript" src="../js/meiomask/<?php if(PAIS=="USA"){ echo "mascaras-usa"; }else{ echo "mascaras"; }?>.js"></script>
</head>
<body>

<table width="98%" align="center"><!-- TABELA Q ENVOLVE TODO O CONTEUDO -->
<tr>
	<td>
		<?php include "../include/cabecalho_pedido.php"; ?>
	</td>
</tr>
<tr>
	<td>
		<table width="100%" align="center">
			<tr>
                            <td width="50%" align="center">
                                <font face="verdana" size="3">
                                    <b>
                                        <i>
                                            <?php echo "Venda - ".$venda[0]["Lancamento"]."/".substr(data_exibir($venda[0]["Data_Venda"]),-2); ?> (Liberados)
                                        </i>
                                    </b>
                                </font>
                            </td>
                            <td width="50%" align="center">
                                <font face="verdana" size="3">
                                    <b>
                                        <i>
                                            <?php echo "Entrega - ".data_exibir($venda[0]["Data_Entrega"]); ?>
                                        </i>
                                    </b>
                                </font>
                            </td>
			</tr>
		</table>
	</td>
</tr>
<tr>
	<td>
		<table width="100%" align="center" class="tabela">
			<tr>
                                <td width="70%">Cliente: 
                                    <?php
                                    if(CLIENTE_RAZAO_SOCIAL=='Sim'){
                                        echo $venda[0]["Codigo"]." - ".$venda[0]["Razao_Social"];
                                    }else{
                                        echo $venda[0]["Codigo"]." - ".$venda[0]["Cliente"];
                                    }
                                    ?>
                                </td>
				<td width="30%">Data: <b><?php echo data_exibir($venda[0]["Data_Venda"]);?></b></td>
			</tr>
			<tr>
				<td width="70%">End: <?php echo $venda[0]["Endereco"];?></td>
				<td width="30%">Fone: <?php echo $venda[0]["Fone1"];?></td>
			</tr>
			<tr>
				<td width="70%"><?php echo 'Bairro:'.$venda[0]["Bairro"].' Cidade:'.
                                                                        $venda[0]["Cidade"].' UF:'.
                                                                        $venda[0]["Estado"];?>
                                </td>
				<?php if($venda[0]["Natureza"] == "PF"){?>
				<td width="30%">CPF: <?php echo $venda[0]["Cpf_Cnpj"];?></td>
				<?php }else{?>
				<td width="30%">CNPJ: <?php echo $venda[0]["Cpf_Cnpj"];?></td>
				<?php }?>
			</tr>
                        <tr>
				<td width="70%">Vendedor: <?php echo $venda[0]["Vendedor"];?></td>
				<td width="30%">E-mail: <?php echo $venda[0]["Email"];?></td>
			</tr>
			<tr>
				<td width="70%">Pagamento: <?php echo $venda[0]["Tipo_Pagamento"];?></td>
				<td width="30%">CEP: <?php echo $venda[0]["Cep"];?></td>
			</tr>
                        <tr>
				<td width="70%">Contato: <?php echo $venda[0]["Contato"];?></td>
				<td width="30%">Frete: <?php echo $venda[0]["Frete"];?></td>
			</tr>
			<tr>
                            <td colspan="2">Obs: <?php echo $venda[0]["Obs_Venda"];?></td>
			</tr>
		</table>
	</td>
</tr>
<tr>
	<td>
		<table width="100%" align="center" class="tabela">
			<tr>
				<td colspan="12"><i>Produtos Liberados</i></td>
			</tr>
			<?php

               $venda_pro = mysqli_query($con,"Select DISTINCT venda_produto.Id,
                                        venda_produto.Id_Produto,
                                        venda_produto.Preco as 'Preco_Venda',
 					venda_produto.Qtd as 'Qtd_Venda',
 					venda_produto.Desconto as 'Desconto_Venda',
                                        venda_produto.Foto,
 					produto.Titulo as 'Produto',
 					produto.Descricao,
                                        produto.Medida,
 					produto.Codigo
 					from venda_produto
 					left join (SELECT Id,Titulo,Descricao,Codigo,Medida FROM produto) as produto ON produto.Id = venda_produto.Id_Produto
 					where venda_produto.Id_Venda = '".$_GET["id_venda"]."'
                                        ORDER BY venda_produto.Data_Cadastro ");

                        $x=1;
                        while($chave = mysqli_fetch_assoc($venda_pro)){ ?>

                        <?php if($x==1){ ?>
			<tr class="azul-claro">
				<td width="3%">N</td>
				<td width="10%">Cdigo</td>
				<td>Produto</td>
                                <td width="5%">Qtd</td>
				<td width="8%">Valor</td>
				<td width="8%">Desc %</td>
                                <td width="8%">Desc $</td>
				<td width="8%">Total</td>
			</tr>
                        <?php } ?>
                        
			<tr>
				<td><?php echo $x;?></td>
				<td><?php echo $chave["Codigo"];?></td>
				<td>
                                    <?php
                                    if(file_exists("arquivo/".$chave["Foto"])){
                                        echo '<img src="arquivo/'.$chave["Foto"].'" width="20%" heigth="auto"/>';
                                    }
                                    ?>
                                    &nbsp;&nbsp;
                                    <?php echo $chave["Produto"];?>
                                </td>
                                <td><b><?php echo $chave["Qtd_Venda"];?></b></td>
				<td><?php echo number_format($chave["Preco_Venda"],2,',','.');?></td>
				<td><?php echo number_format($chave["Desconto_Venda"],2,',','.');?></td>
                                <td><?php echo number_format($chave["Desconto_Real"],2,',','.');?></td>
				<td>
                                    <b><?php echo number_format( ( ($chave['Qtd_Venda']*$chave['Preco_Venda']) - ( ($chave['Qtd_Venda']*$chave['Preco_Venda']) * ($chave['Desconto_Venda']/100) ) ) - $chave['Desconto_Real'],2,',','.');?></b>
                                </td>
			</tr>
                        <tr>
                            <td colspan="8">
                                
                        <!-- Montando a grade -->
                        <?php

	
$sql_cor = mysqli_query($con,"SELECT DISTINCT cor.Titulo as Cor,
                            cor.Id as Id_Cor
                            FROM venda_producao
                            left join (SELECT Id,Titulo FROM produto_tamanho) as cor ON cor.Id = venda_producao.Id_Usuario
                            WHERE venda_producao.Id_Venda='".$_GET["id_venda"]."'
                            AND venda_producao.Id_Produto_Pai='".$chave["Id_Produto"]."'
                            ORDER BY cor.Titulo ")
or die("ERRO no comando SQL:".mysqli_error($con));


$sql_numero = mysqli_query($con,"SELECT DISTINCT numero.Titulo as Numero
                            FROM venda_producao
                            left join (SELECT Id,Titulo FROM produto_tamanho) as numero ON numero.Id = venda_producao.Id_Usuario_Upd
                            WHERE venda_producao.Id_Venda='".$_GET["id_venda"]."'
                            AND venda_producao.Id_Produto_Pai='".$chave["Id_Produto"]."'
                            ORDER BY numero.Titulo ")
or die("ERRO no comando SQL:".mysqli_error($con));
                        ?>
                        
                        
                        
                        <?php
                        
                            $color = "#F5F5F5";
                            $xb=0;
                            $yb=1;
                            while($vetor = mysqli_fetch_assoc($sql_cor)){
                                if ($color == "#F5F5F5") {
                                    $color = "#E8E8E8";
                                } else {
                                    $color = "#F5F5F5";
                                }
                        ?>

                        <?php if($xb==0){ ?>
                        <table class="tabela">
			<tr class="azul-claro">
                            <td>Cor/Nmero</td>
                            <?php
                            while($linha2 = mysqli_fetch_assoc($sql_numero)){
                                echo "<td class='table_prod_nome' align=center>&nbsp;&nbsp;".$linha2["Numero"]."&nbsp;&nbsp;</td>";
                            }
                            ?>
                        </tr>
                        <?php } ?>
		

			<tr bgcolor=<?php echo "$color"; ?> >
                            <td><?php echo $vetor['Cor'];?></td>
                            <?php
                            $grade_numero2 = mysqli_query($con,"SELECT DISTINCT numero.Titulo as Numero,
                                                    numero.Id as Id_Numero
                                                    FROM venda_producao
                                                    left join (SELECT Id,Titulo FROM produto_tamanho) as numero ON numero.Id = venda_producao.Id_Usuario_Upd
                                                    WHERE venda_producao.Id_Venda='".$_GET["id_venda"]."'
                                                    AND venda_producao.Id_Produto_Pai='".$chave["Id_Produto"]."'
                                                    ORDER BY numero.Titulo ")
                            or die("ERRO no comando SQL:".mysqli_error($con));
                            
                            while($linha3 = mysqli_fetch_assoc($grade_numero2)){
                                
                            $qtd_numero = mysqli_query($con,"SELECT DISTINCT venda_producao.Liberado
                                        FROM venda_producao
                                        WHERE venda_producao.Id_Venda='".$_GET["id_venda"]."'
                                        AND venda_producao.Id_Produto_Pai='".$chave["Id_Produto"]."'
                                        AND venda_producao.Id_Usuario = '".$vetor["Id_Cor"]."'
                                        AND venda_producao.Id_Usuario_Upd = '".$linha3["Id_Numero"]."' ");
                            $qtd = mysqli_fetch_assoc($qtd_numero);
                            
                            if(!$qtd['Liberado']) $qtd['Liberado'] = '0';
                            
                            $Qtd_Lib+= $qtd['Liberado'];
                            ?>
                                <td align="center">
                                    <span><b><?php echo $qtd['Liberado'];?></b></span>
                                </td>
                            <?php } ?>
                        </tr>
                        
			<?php
			$xb++;$yb++; }
                        ?>
                        
                        </table>
                        
                        
                        <!-- Montando a grade -->
                                
                            </td>
			</tr>
			<?php
			$Qtd_Venda+= $chave["Qtd_Venda"];
			$Preco_Venda+=$chave["Preco_Venda"];
			$Desconto_Venda+=$chave["Desconto_Venda"];
                        $Desconto_Real+=$chave["Desconto_Real"];
			$Total+= ( ($chave["Preco_Venda"]*$chave["Qtd_Venda"])-
					(($chave["Preco_Venda"]*$chave["Qtd_Venda"])*($chave["Desconto_Venda"]/100)) ) - $chave['Desconto_Real'];
			$x++; }
			?>
		</table>
            <tr>
            <center>
                <td colspan="2"></td>
                <td>Totais da Venda:</td>
                <td><b><?php echo $Qtd_Venda;?></b></td>
                <td colspan="2">Liberados</td>
                <td><b><?php echo $Qtd_Lib;?></b></td>
                <td><?php //echo number_format(( ( $Total - ( $Total*($venda[0]["Desconto"]/100) ) ) - $venda[0]["Desconto_Real"]),2,',','.');?></td>
            </center>
            </tr>
        </td>
</tr>
<?php

        $venda_parcela = mysqli_query($con,"Select venda.Id,
					conta_receber.Lancamento,
					conta_receber.Data_Vencimento,
					conta_receber.Valor_Original, 
 					tipo_pagamento.Titulo as 'Tipo_Pagamento'
 					from venda
 					left join (SELECT Id,Titulo FROM tipo_pagamento) as tipo_pagamento ON tipo_pagamento.Id = venda.Id_Tipo_Pagamento
 					left join (SELECT Id,Lancamento,Data_Vencimento,Valor_Original,Id_Externo FROM conta_receber) as conta_receber ON conta_receber.Id_Externo = venda.Id
 					where venda.Id = '".$_GET["id_venda"]."' 					
					order by conta_receber.Data_Vencimento");

if($venda[0]["Status"]=='Finalizado'){
?>
<tr>
	<td>
		<table width="100%" align="center" class="tabela">
			<tr>
				<td colspan="4"><i>Parcelas</i></td>
			</tr>
			<tr class="azul-claro">
				<td>N</td>
				<td>Vencimento</td>
				<td>Valor</td>
				<td>Tipo</td>
			</tr>
			<?php
                            $x=1;
                            while($chave = mysqli_fetch_assoc($venda_parcela)){
                        ?>
			<tr>
				<td><?php echo $x;?></td>
				<td><?php echo data_exibir($chave["Data_Vencimento"])?></td>
				<td><?php echo number_format($chave["Valor_Original"],2,',','.')?></td>
				<td><?php echo $chave["Tipo_Pagamento"]?></td>
			</tr>
			<?php $x++; }?>
		</table>
	</td>
</tr>
<?php } ?>
</table>
<br/>
<table width="98%" align="center">
	<tr>
		<td align="center">________________________</td>
		<td align="center">________________________</td>
	</tr>
	<tr>
		<td align="center">
                    <font face="verdana" size="2">
                    <?php
                    if(CLIENTE_RAZAO_SOCIAL=='Sim'){
                        echo $venda[0]["Razao_Social"];
                    }else{
                        echo $venda[0]["Cliente"];
                    }
                    ?>
                    </font>
                </td>
		<td align="center"><font face="verdana" size="2">Representante: <?php echo $venda[0]["Vendedor"];?></font></td>
	</tr>
</table>

<br>
</body>
</html>
<?php include "../include/rodape.php";?>