<?php
include_once "../include/conecta.php"; //Conecta com a nosso banco de dados MySQL
ini_set('session.gc_maxlifetime', 60 * 120);
session_start();
/* include_once "../include/ver_sessao.php"; //Verifica se a sesso est ativa */
include_once "../include/funcoesPhp.php"; //Inclue a pgina con todas as funes a ser usada.
?>
<?php
if (!function_exists('arr')) {
    function arr($valor) {
        $float_arredondar=round($valor * 100) / 100;
        return $float_arredondar;
    }
}

$venda = listar("SELECT venda.Id,
                        venda.Lancamento,
                        venda.Status,
                        venda.Data_Venda,
                        venda.Obs as 'Obs_Venda',
                        venda.Valor_Original,
                        venda.Valor_Pago,
                        venda.Desconto,
                        venda.Desconto_CR,
                        venda.Desconto_CR_Real,
                        venda.Desconto_Real,
                        venda.Frete,
                        venda.Valor_Frete,
                        venda.Id_Unidade,
                        venda.Peso_Liquido,
                        venda.Peso_Bruto,
                        venda.Placa,
                        cliente.Titulo as 'Cliente',
                        cliente.Razao_Social,
                        cliente.Email,
                        cliente.Natureza,
                        cliente.Cpf_Cnpj,
                        cliente.Rua,
                        cliente.Numero,
                        cliente.Cep,
                        cliente.Bairro,
                        cliente.Estado,
                        cliente.Fone1,
                        cliente.Contato,
                        cliente.Endereco,
                        cliente.Ponto_Referencia,
                        cliente.Obs as 'Obs_Cliente',
                        cliente.Codigo,
                        cliente.Cidade,
                        funcionario.Titulo as 'Funcionario',
                        vendedor.Titulo as 'Vendedor'
                   FROM venda
             LEFT JOIN (SELECT Id,Titulo,Email,Natureza,Cpf_Cnpj,Estadual,Rua,Numero,Cep,Cidade,Bairro,Estado,Fone1,Obs,Id_Cidade,Razao_Social,Contato,Endereco,Codigo,Ponto_Referencia FROM cliente) as cliente ON cliente.Id = venda.Id_Cliente
             LEFT JOIN (SELECT Id,Titulo FROM funcionario) as funcionario ON funcionario.Id = venda.Id_Funcionario
             LEFT JOIN (SELECT Id,Titulo FROM funcionario) as vendedor ON venda.Id_Vendedor = vendedor.Id
                  WHERE venda.Id = '" . $_GET["id_venda"] . "'
               ORDER BY venda.Lancamento DESC");

$_GET["Unidade"] = $venda[0]["Id_Unidade"];
?>
<html>

<head>
    <title>Gw - Gesto Web</title>
    <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1" />
    <link rel="shortcut icon" href="../imagem/favi_gw.ico" type="image/x-icon" />
    <link rel="stylesheet" type="text/css" href="../estilo/<?php echo SKIN; ?>/tabela_imp.css" />
    <script type="text/javascript" language="javascript" src="../js/jquery.js"></script>
    <?php include '../include/script_cabeca.php'; ?>
    <script type="text/javascript" language="javascript" src="../js/script.js"></script>
    <script type="text/javascript" language="javascript" src="../js/meiomask/meiomask.js"></script>
    <script type="text/javascript" language="javascript" src="../js/meiomask/<?php
                                                                                if (PAIS == "USA") {
                                                                                    echo "mascaras-usa";
                                                                                } else {
                                                                                    echo "mascaras";
                                                                                }
                                                                                ?>.js"></script>
</head>

<body>

    <table width="98%" align="center">
        <!-- TABELA Q ENVOLVE TODO O CONTEUDO -->
        <tr>
            <td>
                <table width="90%" align="center">
                    <?php
                    //if(!$_GET["Id_Unidade_Usuario"]){
                    //$_GET["Id_Unidade_Usuario"] = $_SESSION["Unidade"];
                    //}

                    //variavel $_GET["Unidade"], vem de todos os filtros de relatorios.
                    if (!$_GET["Unidade"]) {
                        $_GET["Unidade"] = $_SESSION["Unidade"];
                    }

                    //if(CLIENTE_EMAIL=='coffeebar') $_GET["Unidade"] = '3';

                    $empresa = listar("Select Logo,Titulo,Cnpj,Rua,Numero,Complemento,
                                Bairro,Cidade,Estado,Cep,Fone1,Fone2,Email,Site
                                from unidade where Id = '" . $_GET["Unidade"] . "' ");
                    ?>
                    <tr>
                        <td align="center">
                            <?php
                            if (file_exists("../unidade/foto/" . $empresa[0]["Logo"] . "")) {
                                $cam_arq = "../unidade/foto/" . $empresa[0]["Logo"];
                            } else {
                                $cam_arq = "../../unidade/foto/" . $empresa[0]["Logo"];
                            }
                            ?>
                            <img src="<?php echo $cam_arq; ?>" title="Logo" alt="Logo" border="0" width="250px" height="auto" />
                        </td>

                    </tr>
                    <tr>
                        <td class="razao">
                            <!--        <center>
                        <b>
                            <font face="verdana" size="4">
                                <?php echo $empresa[0]["Titulo"]; ?>
                            </font>
                        </b><br>
        </center>-->
                            <?php
                            if ($empresa[0]["Complemento"]) {
                                $compl = " - " . $empresa[0]["Complemento"];
                            }
                            ?>
                            Cnpj: <?php echo $empresa[0]["Cnpj"]; ?><br>
                            End: <?php echo $empresa[0]["Rua"] . ", " . $empresa[0]["Numero"] . $compl; ?> |
                            <?php echo $empresa[0]["Bairro"]; ?> |
                            <?php echo $empresa[0]["Cidade"]; ?> | <?php echo $empresa[0]["Estado"]; ?> -
                            CEP <?php echo $empresa[0]["Cep"]; ?><br>
                            Fone: <?php echo $empresa[0]["Fone1"]; ?>
                            <?php
                            if ($empresa[0]["Fone2"]) {
                                echo " - " . $empresa[0]["Fone2"];
                            }
                            ?>
                            <br>
                            E-mail: <?php echo $empresa[0]["Email"]; ?><br>
                            <?php
                            if ($empresa[0]["Site"]) {
                                echo 'Site: ' . $empresa[0]["Site"];
                            }
                            ?>
                        </td>
                    </tr>
                </table>
            </td>
        </tr>
        <tr>
            <td>
                <table width="100%" align="center">
                    <tr>
                        <td colspan="2" align="center">
                            <font face="verdana" size="4">
                                <?php if ($venda[0]['Status'] == 'Aberto') { ?>
                                    <b><i>Lanamento - <?php echo $venda[0]["Lancamento"]; ?></i></b>
                                <?php } else { ?>
                                    <b><i>Venda - <?php echo $venda[0]["Lancamento"]; ?></i></b>
                                <?php } ?>
                            </font>
                        </td>
                    </tr>
                </table>
            </td>
        </tr>
        <tr>
            <td>
                <table style="font-size:12px" width="100%" align="center" class="tabela">
                    <tr>
                        <td width="70%">Cliente:
                            <?php echo $venda[0]["Codigo"] . " - " . $venda[0]["Cliente"] . " - " . $venda[0]["Razao_Social"]; ?>
                        </td>
                        <td width="30%">Data: <?php echo data_exibir($venda[0]["Data_Venda"]); ?></td>
                    </tr>
                    <tr>
                        <td width="70%">End: <?php echo $venda[0]["Endereco"]; ?></td>
                        <td width="30%">Fone: <?php echo $venda[0]["Fone1"]; ?></td>
                    </tr>

                    <tr>
                        <td width="70%"><?php
                                        echo 'Bairro:' . $venda[0]["Bairro"] . ' Cidade:' .
                                            $venda[0]["Cidade"] . ' UF:' .
                                            $venda[0]["Estado"];
                                        ?>
                        </td>
                        <?php if ($venda[0]["Natureza"] == "PF") { ?>
                            <td width="30%">CPF: <?php echo $venda[0]["Cpf_Cnpj"]; ?></td>
                        <?php } else { ?>
                            <td width="30%">CNPJ: <?php echo $venda[0]["Cpf_Cnpj"]; ?></td>
                        <?php } ?>
                    </tr>
                    <tr>
                        <?php
                        $cod_auto2 = mysqli_query($con, "SELECT tipo_pagamento.Titulo
                                                            FROM venda_tipo_pagamento
                                                            LEFT JOIN (SELECT Id,Titulo FROM tipo_pagamento) as tipo_pagamento ON tipo_pagamento.Id = venda_tipo_pagamento.Id_Tipo_Pagamento
                                                            WHERE venda_tipo_pagamento.Id_Venda = '" . $_GET["id_venda"] . "'
                                                            ORDER BY Ordem");
                        $ex_tip = '';
                        while ($valor1 = mysqli_fetch_assoc($cod_auto2)) {
                            $ex_tip .= $valor1["Titulo"] . " ,";
                        }
                        $ex_tip = substr($ex_tip, 0, -2);
                        ?>
                        <!--<td width="70%">Pagamento: <?php echo $ex_tip; ?></td>-->
                        <td colspan="2">CEP: <?php echo $venda[0]["Cep"]; ?></td>
                    </tr>

                    <tr>
                        <td width="70%">Obs: <?php echo $venda[0]["Obs_Venda"]; ?></td>
                        <td width="30%">Frete: <?php echo valor_exibir($venda[0]["Valor_Frete"]); ?></td>
                    </tr>
                    <tr>
                        <td width="70%">
                            Peso Bruto: <?php echo $venda[0]["Peso_Bruto"]; ?>
                            &nbsp;&nbsp;&nbsp;&nbsp;
                            Peso Liquido: <?php echo $venda[0]["Peso_Liquido"]; ?>
                        </td>
                        <td width="30%">Vendedor: <?php echo $venda[0]["Vendedor"]; ?></td>
                    </tr>
                </table>
            </td>
        </tr>
        <tr>
            <td>
                <table style="font-size:12px" width="100%" align="center" class="tabela">
                    <tr>
                        <td colspan="12"><i>Produtos</i></td>
                    </tr>
                    <tr class="azul-claro">
                        <td width="3%">N</td>
                        <td width="10%">Cdigo</td>
                        <td>Produto</td>
                        <td width="5%">Qtd</td>
                        <td width="5%">Un</td>
                        <td width="8%">Preo</td>
                        <td width="8%">Desc %</td>
                        <td width="8%">Desc $</td>
                        <td width="8%" style="color: #CD2626;"><b>Valor Unit</b></td>
                        <td width="8%">Total</td>
                    </tr>
                    <?php
                    $venda_pro = listar("SELECT DISTINCT venda_produto.Id,
                                                                venda_produto.Preco as 'Preco_Venda',
                                                                venda_produto.Qtd as 'Qtd_Venda',
                                                                venda_produto.Desconto as 'Desconto_Venda',
                                                                venda_produto.Desconto_Real,
                                                                produto.Titulo as 'Produto',
                                                                produto.Descricao,
                                                                produto.Codigo,
                                                                produto.Medida,
                                                                produto.Peso_Bruto,
                                                                produto.Ncm,
                                                                fabricante.Titulo as Fabricante,
                                                                produto.Codigo_Fornecedor,
                                                                local_estoque.Titulo as Local_Estoque
                                                                from venda_produto
                                                                left join (SELECT Id,Titulo,Descricao,Codigo,Ncm,Codigo_Fornecedor,Medida,Peso_Bruto,Id_Fabricante FROM produto) as produto ON produto.Id = venda_produto.Id_Produto
                                                                left join (SELECT Id,Titulo FROM local_estoque) as local_estoque ON local_estoque.Id = venda_produto.Id_Local_Estoque
                                                                left join (SELECT Id,Titulo FROM fabricante) as fabricante ON fabricante.Id = produto.Id_Fabricante
                                                                where venda_produto.Id_Venda = '" . $_GET["id_venda"] . "'
                                                                ORDER BY venda_produto.Data_Cadastro ");

                    $x = 1;
                    foreach ($venda_pro as $chave) {
                    ?>

                        <tr>
                            <td><?php echo $x; ?></td>
                            <td><?php echo $chave["Codigo"] . $cod_for; ?></td>
                            <td><?php echo $chave["Produto"]; ?></td>
                            <td><?php echo $chave["Qtd_Venda"]; ?></td>
                            <td><?php echo $chave["Medida"]; ?></td>
                            <td><?php echo number_format($chave["Preco_Venda"], 2, ',', '.'); ?></td>
                            <td><?php echo number_format($chave["Desconto_Venda"], 2, ',', '.'); ?></td>
                            <td><?php echo number_format($chave["Desconto_Real"], 2, ',', '.'); ?></td>
                            <td style="color: #CD2626;"><b><?php echo number_format($chave["Preco_Venda"] - (1 * $chave["Preco_Venda"] * $chave["Desconto_Venda"] / 100),2,',','.'); ?></b></td>
                            <td>
                                <?php echo valor_exibir((($chave['Qtd_Venda'] * $chave['Preco_Venda']) - (($chave['Qtd_Venda'] * $chave['Preco_Venda']) * ($chave['Desconto_Venda'] / 100))) - $chave['Desconto_Real']); ?>
                            </td>
            </td>
        </tr>
    <?php
                        $Qtd_Venda += $chave["Qtd_Venda"];
                        $Preco_Venda += $chave["Preco_Venda"];
                        $Desconto_Venda += $chave["Desconto_Venda"];
                        $Desconto_Real += $chave["Desconto_Real"];
                        $Total += (($chave["Preco_Venda"] * $chave["Qtd_Venda"]) -
                            (($chave["Preco_Venda"] * $chave["Qtd_Venda"]) * ($chave["Desconto_Venda"] / 100))) - $chave['Desconto_Real'];
                        $x++;
                    }
    ?>

    <tr>
        <td colspan="7">&nbsp;</td>
        <td colspan="2">Sub Total: </td>
        <td><?php echo number_format($Total, 2, ',', '.'); ?></td>
    </tr>
    <tr>
        <?php $tGeral = ((($Total - ($Total * ($venda[0]["Desconto"] / 100))) - $venda[0]["Desconto_Real"])) ?>
        <td colspan="4">&nbsp;</td>
        <td colspan="2">Total Geral:</td>
        <!--<td><?php echo number_format($Total - $tGeral, 2, ',', '.')  ?></td>-->
        <td><?php echo number_format($venda[0]["Desconto"], 2, ',', '.'); ?></td>
        <td><?php //echo number_format($venda[0]["Desconto"], 2, ',', '.'); 
            ?></td>
        <td><?php echo number_format($venda[0]["Desconto_Real"], 2, ',', '.'); ?></td>
        <td><?php echo number_format($tGeral, 2, ',', '.') ?></td>
    </tr>

    <!--                            <tr>
                                <td colspan="4">Totais da Venda:</td>
                                <td></td>
                                <td><?php echo $tQtd; ?></td>
                                <td></td>
                                <td><?php echo number_format($venda[0]["Desconto"], 2, ',', '.'); ?></td>
                                <td><?php echo number_format($venda[0]["Desconto_Real"], 2, ',', '.'); ?></td>
                                <td><?php echo number_format((($Total - ($Total * ($venda[0]["Desconto"] / 100))) - $venda[0]["Desconto_Real"]), 2, ',', '.'); ?></td>

                            </tr>-->
    </table>
    </td>
    </tr>
    <?php
    $venda_parcela = listar("SELECT financeiro_pedido.*,
                                tipo_pagamento.Titulo as 'Tipo_Pagamento'
                                FROM financeiro_pedido
                                LEFT JOIN (SELECT Id,Titulo FROM tipo_pagamento) as tipo_pagamento ON tipo_pagamento.Id = financeiro_pedido.Id_Tipo_Pagamento
                                WHERE financeiro_pedido.Id_Externo = '" . $_GET["id_venda"] . "' 
                                AND financeiro_pedido.Id_Tipo_Pagamento <> '0'
                                ORDER BY financeiro_pedido.Ordem ");
    ?>
    <tr>
        <td>
            <table style="font-size:12px" width="100%" align="center" class="tabela">
                <tr>
                    <td colspan="7"><i>Parcelas Financeiro</i></td>
                </tr>
                <tr class="azul-claro">
                    <td>N</td>
                    <td>Vencimento</td>
                    <td>Valor</td>
                    <td>Desc CR %</td>
                    <td>Desc CR R$</td>
                    <td style="color:rgb(7, 118, 14);">Valor  Pagar</td>
                    <td>Tipo</td>
                </tr>
                <?php

                for ($i = 1; $i <= PARCELA_PAGAMENTO; $i++) {
                    $campo_tp .= " Taxa" . str_pad($i, 2, "0", STR_PAD_LEFT) . ", Prazo" . str_pad($i, 2, "0", STR_PAD_LEFT) . ", ";
                }
                $campo_tp = substr($campo_tp, 0, -2);

                foreach ($venda_parcela as $chave) {

                    $tip = mysqli_query($con, "SELECT $campo_tp
                                                    FROM tipo_pagamento
                                                    WHERE Id = '{$chave["Id_Tipo_Pagamento"]}'  ")
                        or die("ERRO no comando SQL:" . mysqli_error($con));
                    $array_tipo = mysqli_fetch_assoc($tip);


                    $y = 1;
                    $k = 0;
                    for ($i = 1; $i <= PARCELA_PAGAMENTO; $i++) {

                        if ($i < 10) {
                            $y = '0' . $i;
                        }

                        // se o prazo for vazio entao sai do loop
                        if ($array_tipo["Prazo" . $y] == "") {
                            break;
                        }

                        $y++;
                        // $k  q qtd de parcelas
                        $k++;
                    }


                    $z = 1;
                    for ($x = 1; $x <= PARCELA_PAGAMENTO; $x++) {

                        if ($x < 10) {
                            $z = '0' . $x;
                        }

                        if ($array_tipo["Prazo" . $z] == "") {
                            break;
                        }

                        $valor_de_parc_desconto = 0;
                        if($chave["Ordem"]=='1'){
                            //saber quanto  cada parcela fixa
                            $valor_por_parc_desconto =  arr($venda[0]['Desconto_CR_Real'] / ltrim($k, '0'));
                            //saber quanto ficar o valor, para a ultima ser com o restante da operao
                            $montante_desconto = arr($valor_por_parc_desconto * (ltrim($k, '0') - 1));
                            //valor final, com o a mais ou o a menos. para as parcelas ficarem divididas
                            $resto_desconto = ($venda[0]['Desconto_CR_Real'] - $montante_desconto);

                            //saber qual o valor correto colocar nas parcelas
                            if($z < $k){
                                $valor_de_parc_desconto = valor_banco($valor_por_parc_desconto);
                            }else{
                                $valor_de_parc_desconto = valor_banco($resto_desconto);
                            }
                        }
                ?>
                        <tr>
                            <td><?php echo $x; ?></td>
                            <td><?php echo data_exibir($chave["Data$z"]) ?></td>
                            <td><?php echo number_format($chave["Valor$z"], 2, ',', '.') ?>
                            <td><?php echo number_format($venda[0]['Desconto_CR'], 2, ',', '.') ?>
                            <td><?php echo number_format($valor_de_parc_desconto, 2, ',', '.') ?>
                            <td style="color:rgb(7, 118, 14);">
                                <b><?php echo number_format(($chave["Valor$z"] - ($chave["Valor$z"] * ($venda[0]['Desconto_CR'] / 100))) - $valor_de_parc_desconto, 2, ',', '.') ?></b>
                            </td>
                            <td><?php echo $chave["Tipo_Pagamento"] ?></td>
                        </tr>
                <?php
                        $z++;
                    }
                }
                ?>
            </table>
        </td>
    </tr>

    </table>
    <br />
    <table style="font-size:12px" width="98%" align="center">
        <tr>
            <td align="center">________________________</td>
            <td align="center">________________________</td>
        </tr>
        <tr>
            <td align="center">
                <font face="verdana" size="2">
                    <?php
                    if (CLIENTE_RAZAO_SOCIAL == 'Sim') {
                        echo $venda[0]["Razao_Social"];
                    } else {
                        echo $venda[0]["Cliente"];
                    }


                    $cod_auto2 = mysqli_query($con, "SELECT Titulo FROM unidade WHERE Id = '" . $_GET["Unidade"] . "' ");
                    $valor1 = mysqli_fetch_assoc($cod_auto2);
                    ?>
                </font>
            </td>
            <td align="center">
                <font face="verdana" size="2"><?php echo $valor1["Titulo"] ?></font>
            </td>
        </tr>
    </table>

    <br>
</body>

</html>
<?php include "../include/rodape.php"; ?>