<?php
include_once '../include/conecta.php'; //Conecta com a nosso banco de dados MySQL
include_once '../include/ver_sessao.php'; //Verifica se a sesso est ativa
include_once '../include/funcoesPhp.php';
include_once '../menu_movimento.php';
$modulo_lista = 'Venda';
include '../include/sessao_lista.php';

//se no houver nada na pesquisa da listagem
if (!$_GET['Pesq']) {
    //listagem padro
    if (!isset($_GET['Status_Lista']))
        $_GET['Status_Lista'] = 'Aberto';
}
?>
<?php
$menu = mysqli_query($con, "SELECT permissao.Relatorio,
                                    permissao.Cadastrar,
                                    permissao.Alterar,
                                    permissao.Deletar
                                    from permissao
                                    inner join menu_usuario ON menu_usuario.Id_Menu = permissao.Id_Menu
                                    where menu_usuario.Id_Responsavel='" . $_SESSION["Id"] . "'
                                    and permissao.Id_Responsavel='" . $_SESSION["Id"] . "'
                                    and permissao.Id_Menu = '3114' ");
$menu = mysqli_fetch_assoc($menu);
?>
<?php
if (CLIENTE_RAZAO_SOCIAL == 'Sim') {
    $nome = 'Razao_Social';
} else {
    $nome = 'Titulo';
}

if (!$_GET['Pesq']) {
    if ($_GET["Status_Lista"]) {
        $Status_Lista1 = " and venda.Status = '" . $_GET["Status_Lista"] . "' ";
    }
}
if ($_GET["Ordenar"]) {

    if (($_GET["Ordenar"] == 'cliente.Titulo') || ($_GET["Ordenar"] == 'cliente.Razao_Social') || ($_GET["Ordenar"] == 'cliente.Cidade') || ($_GET["Ordenar"] == 'cliente.Codigo')) {
        $join_table = " LEFT JOIN (SELECT Id,Titulo,Codigo,Razao_Social,Cidade,Estado FROM cliente) as cliente ON venda.Id_Cliente = cliente.Id ";
    }
    if ($_GET["Ordenar"] == 'vendedor.Titulo') {
        $join_table = " LEFT JOIN (SELECT Id,Titulo FROM funcionario) as vendedor ON venda.Id_Vendedor = vendedor.Id ";
    }

    if ($_GET["Status_Lista"]) {
        $Status_Lista1 = " and venda.Status = '" . $_GET["Status_Lista"] . "' ";
    }

    if (($_GET["De"]) && ($_GET["Ate"])) {
        $Ordenar1 = " ORDER BY " . $_GET["Data_Busca"] . " ";
    } else {
        $Ordenar1 = " ORDER BY " . $_GET["Ordenar"] . " ";
    }
} else {
    $Ordenar1 = " ORDER BY venda.Data_Venda ";
}
if ($_GET['Ordem_Lista'] == 'Asc') {
    $Ordem_Lista1 = ' ASC ';
} else {
    $Ordem_Lista1 = ' DESC ';
}

if ($_GET["De"])
    $data .= "AND venda." . $_GET["Data_Busca"] . " >= '" . data_banco($_GET["De"]) . "' ";
if ($_GET["Ate"])
    $data .= "AND venda." . $_GET["Data_Busca"] . " <= '" . data_banco($_GET["Ate"]) . "' ";

//se o sistema for Multi Empresa
if (MULTI_EMPRESA == "Sim") {

    //se o usuario no for master ele vai para sua empresa
    if (ESCOLHER_EMPRESA == 'Sim') {

        if ($_GET["Unidade"])
            $unidade = "AND venda.Id_Unidade = '" . $_GET["Unidade"] . "' ";
    } else {
        $unidade = "AND venda.Id_Unidade = '" . $_SESSION["Unidade"] . "' ";
    }
} else {
    $unidade = "AND venda.Id_Unidade = '" . $_SESSION["Unidade"] . "' ";
}

if (VER_APENAS_SUAS_VENDAS == 'Sim') {
    $vendedor = "AND venda.Id_Vendedor = '" . $_SESSION["Id_Funcionario"] . "' ";
}

if ($_GET['Pesq']) {
    $pesquisa = " AND " . $_GET['Ordenar'] . " LIKE '%" . $_GET['Pesq'] . "%' ";
}
if ($_GET['Situacao']) {
    $situacao = " AND venda.Situacao = '" . $_GET['Situacao'] . "' ";
}


/* Inicio dos parmetros da Paginao*/

/*varivel com o cdigo SQL da consulta ao banco de dados*/
$_pagi_sql = "SELECT venda.Id,
                    venda.Lancamento,
                    venda.Data_Venda,
                    venda.Data_Entrega,
                    venda.Valor_Pago,
                    venda.Valor_Original,
                    venda.Status,
                    venda.Pedido_Liberado,
                    venda.Coo_Ecf,
                    venda.Id_Cliente,
                    venda.Id_Vendedor,
                    venda.Id_Tipo_Pagamento,
                    venda.Numero_Pedido,
                    venda.EF,
                    venda.NF,
                    venda.Paf,
                    venda.Chave_Nfe,
                    venda.Motivo,
                    venda.Fatura,
                    venda.Empenho,
                    venda.Id_Usuario_Instalacao,
                    venda.Data_Instalacao,
                    venda.Id_Loja_Virtual,
                    venda.Id_Projeto,
                    venda.Placa,
                    venda.Uf_Placa,
                    venda.Data_Nfe,
                    venda.Protocolo,
                    venda.Cc,
                    venda.Terminal,
                    venda.Id_Vendedor3,
                    venda.DV,
                    situacao.Titulo as Situacao,
                    unidade.Titulo as Unidade
                    FROM (SELECT Id,Lancamento,Data_Venda,Valor_Pago,Valor_Original,Status,Motivo,Fatura,NF,Situacao,
                    Pedido_Liberado,Id_Cliente,Id_Vendedor,Id_Tipo_Pagamento,Id_Unidade,EF,Numero_Pedido,
                    Chave_Nfe,Empenho,Coo_Ecf,Paf,DV,Data_Entrega,Id_Usuario_Instalacao,Data_Instalacao,Id_Loja_Virtual,
                    Id_Projeto,Placa,Uf_Placa,Data_Nfe,Protocolo,Cc,Terminal,Id_Vendedor3
                    FROM venda) as venda
                    $join_table
                    inner join (SELECT Id, Titulo FROM unidade) as unidade ON unidade.Id = venda.Id_Unidade
                    left join (SELECT Id, Titulo FROM situacao) as situacao ON situacao.Id = venda.Situacao
                    where 1=1 $Status_Lista1 $unidade $vendedor $data
                    $pesquisa $Ordenar1 $Ordem_Lista1 $situacao
                    , venda.Lancamento DESC ";

/* pagina fora que contem todas as opcoes do paginator */
include_once '../include/paginator_opcao.php';
include_once '../include/paginator.inc.php'; //incluindo o script de paginao PAGINATOR
/*Paginao na listagem dos clientes. Apenas nos arquivos listar.
 * Inclue-se depois que passa os parmetros da funo
 * seus resultados so aparentementes satisfatrio
 * */
?>
<html>

<head>
    <title>Gw - Gesto Web</title>
    <link rel="stylesheet" type="text/css" href="../estilo/<?php echo SKIN; ?>/listless.css" />
    <script type="text/javascript" language="javascript" src="../js/jquery.js"></script>
    <?php include '../include/script_cabeca.php'; ?>
    <script type="text/javascript" language="javascript" src="../js/script.js"></script>
    <script type="text/javascript" language="javascript" src="../js/meiomask/meiomask.js"></script>
    <?php if (PAIS == "USA") { ?>
    <script type="text/javascript" language="javascript" src="../js/tradutor/conta_receber.js"></script>
    <script type="text/javascript" language="javascript">
    $(document).ready(function() {
        $('input[name="De"]').setMask('date-us'); // data
        $('input[name="Ate"]').setMask('date-us'); // data
    });
    </script>
    <?php } else { ?>
    <script type="text/javascript" language="javascript">
    $(document).ready(function() {
        $('input[name="De"]').setMask('date'); // data
        $('input[name="Ate"]').setMask('date'); // data
    });
    </script>
    <?php } ?>
    <?php if (PAIS == "USA") { ?>
    <script type="text/javascript" language="javascript" src="../js/tradutor/venda.js"></script>
    <?php } ?>
    <script type="text/javascript" language="javascript">
    function submeteFiltro(valor) {
        document.forms['ordenar'].submit();
    }
    </script>
    <script type="text/javascript" language="javascript">
    $(document).ready(function() {
        function slideout() {
            setTimeout(function() {
                    $("#response").slideUp("slow", function() {});
                },
                2000);
        }
        $(".inlineEdit").bind("click", updateText);
        var OrigText, NewText;
        $(".save").live("click", function() {
            $("#loading").fadeIn('slow');
            NewText = $(this).siblings("form").children(".edit").val();
            var id = $(this).parent().attr("id");
            //var data = '?id=' + id + '&text=' + NewText;
            var data = 'id=' + id + '&text=' + NewText;
            $.post("edit.php", data, function(response) {
                $("#response").html(response);
                $("#response").slideDown('slow');
                slideout();
                $("#loading").fadeOut('slow');
                //$("#retorno").html(response);
            });
            $(this).parent().html(NewText).removeClass("selected").bind("click", updateText);
        });
        $(".revert").live("click", function() {
            $(this).parent().html(OrigText).removeClass("selected").bind("click", updateText);
        });

        function updateText() {
            $('li').removeClass("inlineEdit");
            OrigText = $(this).html();
            $(this).addClass("selected").html('<form><textarea class="edit" rows="1" cols="12">' + OrigText +
                '</textarea></form><a href="#" class="save"><img src="../js/editing/images/save.png" border="0" width="48" height="15"/></a> <a href="#" class="revert"><img src="../js/editing/images/cancel.png" border="0" width="58" height="15"/></a>'
            ).unbind('click', updateText);
        }
    });
    </script>
</head>

<body>
    <!-- Centro -->
    <div id="centro">
        <!-- Contedo -->
        <div id="conteudo" class="ajustar">

            <div class="titulo">
                <span class="tr" key="Vendas">Vendas</span>
                <form name="pesquisa" method="get" action="">
                    <span class="inputs">
                        <?php echo $_pagi_info; ?>
                    </span>
                </form>
            </div>
            <!-- Navegao -->
            <div class="botoes_cima">
                <a href="javascript:void(0);" class="voltar tr" key="Voltar" alt="Voltar" title="Voltar"
                    onclick="javascript:history.back(1);">Voltar</a>

                <?php if ($menu["Relatorio"] == "Sim") { ?>
                <a href="list_relatorio.php" alt="Relatrio" title="Relatrio" class="relatorio tr"
                    key="Relatorio">Relatrio</a>
                <?php } ?>

                <?php if ($menu["Cadastrar"] == "Sim") { ?>
                <a href="venda/cad_venda.php?acao=entrar" alt="Cadastrar" title="Cadastrar" class="incluir tr"
                    key="Cadastrar">Cadastrar</a>
                <?php } ?>

                <?php if (CLIENTE_EMAIL == 'plastmaster') {
                    if ($_SESSION["Id_Nivel"] != '60') {
                ?>
                <a href="javascript:void();" alt="Unificar" title="Unificar"
                    onclick="window.open('unificar.php','Unificar','width=900,height=800,top=0,left=0,scrollbars=yes');">
                    &nbsp;&nbsp;&nbsp;&nbsp;Unificar</a>
                <?php
                    }
                } else {
                    ?>
                <a href="javascript:void();" alt="Unificar" title="Unificar"
                    onclick="window.open('unificar.php','Unificar','width=900,height=800,top=0,left=0,scrollbars=yes');">
                    &nbsp;&nbsp;&nbsp;&nbsp;Unificar</a>
                <?php } ?>

                <?php if (PAF == 'Sim') { ?>
                <a href="javascript:void();" alt="Importar" title="Importar"
                    onclick="window.open('importar_pdv.php', 'Importar', 'width=700,height=600,top=0,left=0,scrollbars=yes');">
                    Importar PDV</a>
                <?php } ?>
                <?php if ((CLIENTE_EMAIL == 'medvasf') || (CLIENTE_EMAIL == 'pnzmed') || (CLIENTE_EMAIL == 'inovamed') || (CLIENTE_EMAIL == 'gw')) { ?>
                <a href="javascript:void();" alt="Importar" title="Sorteio"
                    onclick="window.open('venda/sorteio.php?acao=alterar', 'Sorteio', 'width=700,height=600,top=0,left=0,scrollbars=yes');">
                    Sorteio
                </a>
                <?php } ?>
                <form name="ordenar" method="get" action="">

                    <span style="float: right;">
                        <span style="float: left">
                            &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
                            <font class="tr" key="Buscar_Por">
                                Buscar por :
                            </font>
                            &nbsp;&nbsp;
                            <?php
                            $vetor = array('Data_Venda' => 'Venda', 'Data_Entrega' => 'Entrega');
                            select_tela("Data_Busca", "Data_Busca", $_GET["Data_Busca"], $vetor, "");
                            ?>
                            &nbsp;&nbsp;
                        </span>
                        <input type="text" name="De" id="De" value="<?php echo $_GET["De"]; ?>"
                            style="width: 80px;">&nbsp;De
                        <input type="text" name="Ate" id="Ate" value="<?php echo $_GET["Ate"]; ?>"
                            style="width: 80px;">&nbsp;At
                        <input type="submit" name="Ok" value="Ok" style="margin-left: 10px" alt="Ok" title="Ok">
                    </span>

                    <span class="ordenar_por">

                        <?php
                        if (MULTI_EMPRESA == "Sim") {
                            if (ESCOLHER_EMPRESA == 'Sim') {
                        ?>
                        <label for="Pesq" class="tr" key="Empresa">Empresa:</label>
                        <?php echo select_banco(
                                    "SELECT Id,Titulo FROM unidade WHERE Ativo='Sim' ORDER BY Titulo",
                                    "Unidade",
                                    "Unidade",
                                    $_GET["Unidade"],
                                    "onchange='submeteFiltro(this.value)'",
                                    ""
                                );
                                ?>
                        <?php
                            } else {
                                echo "<input type='hidden' name='Unidade' id='Unidade' value='" . $_SESSION["Unidade"] . "' >";
                            }
                        } else {
                            echo "<input type='hidden' name='Unidade' id='Unidade' value='" . $_SESSION["Unidade"] . "' >";
                        }
                        ?>
                        <label for="Pesq" class="tr" key="Busca">Busca:</label>
                        <input type="text" name="Pesq" size="30" value="<?php echo $_GET['Pesq']; ?>">
                        <label for="Pesq" class="tr" key="Ordenar">Ordenar Por:</label>
                        <?php

                        if (CLIENTE_EMAIL == 'trevosolucoes') {

                            if ($_SESSION["Cnpj"] == '08311943000147') {
                                $vetor = array(
                                    '' => 'Status',
                                    'Aberto' => 'Em Lanamento',
                                    'Separao' => 'Separao',
                                    'Fracionamento' => 'Fracionamento',
                                    'Finalizado' => 'Finalizado',
                                    'Cancelado' => 'Cancelado'
                                );
                            } else {
                                $vetor = array(
                                    '' => 'Status',
                                    'Aberto' => 'Em Lanamento',
                                    'Cotacao' => 'Cotao',
                                    'Fracionamento' => 'Fracionamento',
                                    'Finalizado' => 'Finalizado',
                                    'Cancelado' => 'Cancelado'
                                );
                            }
                        } else {
                            $vetor = array(
                                '' => 'Status',
                                'Cotacao' => 'Cotao',
                                'Aberto' => 'Em Lanamento',
                                'Finalizado' => 'Finalizado',
                                'Cancelado' => 'Cancelado'
                            );
                        }
                        select_tela("Status_Lista", "Status_Lista", $_GET["Status_Lista"], $vetor, "onchange='submeteFiltro(this.value)'");

                        if (CLIENTE_EMAIL == 'panforno' || CLIENTE_EMAIL == 'grupolisboa') {
                            echo select_banco2(
                                "SELECT Id,Titulo FROM situacao WHERE Ativo='Sim' ORDER BY Titulo",
                                "Situacao",
                                "Situacao",
                                "Situao",
                                $_GET["Situacao"],
                                "onchange='submeteFiltro(this.value)'",
                                ""
                            );
                        }
                        ?>
                        <?php
                        $vetor = array(
                            'venda.Lancamento' => 'Lancamento',
                            'cliente.Codigo' => 'Cod Cliente',
                            'cliente.' . $nome . '' => 'Cliente',
                            'venda.Fatura' => 'NFe',
                            'venda.Numero_Pedido' => CLIENTE_EMAIL == 'cjrcabines' || CLIENTE_EMAIL == 'gw' ? 'Fatura': 'Pr-Venda',
                            'vendedor.Titulo' => 'Vendedor',
                            'venda.Valor_Original' => 'Valor Original',
                            'venda.Valor_Pago' => 'Valor Pago',
                            'venda.Data_Venda' => 'Data Venda'
                        );
                        select_tela("Ordenar", "Ordenar", $_GET["Ordenar"], $vetor, "onchange='submeteFiltro(this.value)'");
                        ?>
                        <?php
                        $vetor = array('Desc' => 'Decrescente', 'Asc' => 'Crescente');
                        select_tela("Ordem_Lista", "Ordem_Lista", $_GET["Ordem_Lista"], $vetor, "onchange='submeteFiltro(this.value)'");
                        ?>
                    </span>
                </form>
                <!-- Fim Navegao -->
            </div>

            <table id="lista">
                <thead>
                    <tr>
                        <td class="tr" key="1">Id</td>
                        <td class="tr">Fatura</td>
                        <?php if (CATALOGO == 'Sim') { ?>
                        <td class="tr" key="Numero_Loja">N Pedido Loja</td>
                        <?php } ?>
                        <td class="tr" key="2">Data Venda</td>
                        <td class="tr" key="2">Entrega</td>
                        <td class="tr" key="4">Cliente</td>
                        <?php if (CLIENTE_EMAIL == 'panforno') { ?>
                        <td>Estado</td>
                        <?php } ?>
                        <td class="tr" key="5">Vendedor</td>
                        <td class="tr" key="6">Pagamento</td>
                        <td class="tr" key="7">Valor</td>
                        <td class="tr" key="8">Status</td>
                        <?php if ((CLIENTE_EMAIL == 'grupolisboa' || CLIENTE_EMAIL == 'panforno') && ALTERAR_SITUACAO == 'Sim') { ?>
                        <td>Situao</td>
                        <?php } ?>
                        <?php if (($_SESSION["Id_Nivel"] == '1') && (MULTI_EMPRESA == "Sim")) { ?>
                        <td class="tr" key="9">Unidade</td>
                        <?php } ?>
                        <?php if (PAF == 'Sim') { ?>
                        <td>Cupom</td>
                        <?php } ?>
                        <td class="tr" key="Opcao">Opes</td>
                    </tr>
                </thead>
                <tfoot>
                    <tr>
                        <td colspan="15">
                            <div id="paginacao">
                                <p><?php echo $_pagi_navegacion; ?></p>
                            </div>
                        </td>
                    </tr>
                </tfoot>
                <tbody>
                    <?php $color = "#F5F5F5";
                    while ($linha = mysqli_fetch_assoc($_pagi_result)) {
                        if ($color == "#F5F5F5") {
                            $color = "#E8E8E8";
                            $cass = "";
                        } else {
                            $color = "#F5F5F5";
                            $cass = "class='azul'";
                        }
                        $corStatus = "";
                        if ($linha['Status'] == 'Finalizado') {
                            $corStatus = "color = '#228B22' ";
                        }
                        if ($linha['Status'] == 'Fracionamento') {
                            $corStatus = "color = '#FF4500' ";
                        }
                        if ($linha['Status'] == 'Aberto') {
                            $corStatus = "color = '#3A5FCD' ";
                        }
                        if ($linha['Status'] == 'Cancelado') {
                            $corStatus = "color = '#CD2626' ";
                        }

                        $corAnalise = '';
                        if ($linha['Status'] == 'Aberto') {
                            //se a data do Pedido passar da Data de Entrega/dias fica vermelho
                            $Time1 = strtotime(date("Y-m-d H:i:s"));
                            $Time2 = strtotime($linha['Data_Entrega']);

                            //vendo os dias que falta
                            $dias = date("d", $Time2 - $Time1);

                            if ($Time1 > $Time2) {
                                $corAnalise = "color = '#CD2626' ";
                            }
                        }
                    ?>
                    <tr <?php echo "$cass"; ?>>
                        <td>
                            <?php echo $linha['Lancamento']; ?>
                            <?php
                                if ($linha['DV'] == 'Sim') {
                                    echo '<img src="../imagem/obrigatorio.gif" alt="Devoluo" border="0" title="Devoluo" class="img_farol">';
                                }
                                ?>
                        </td>
                        <td>
                            <?php
                            if (CLIENTE_EMAIL == 'cjrcabines' || CLIENTE_EMAIL == 'gw') {
                                echo $linha['Numero_Pedido'];
                            }else{
                                echo $linha['Fatura'];
                            }
                            ?>
                            <?php
                                if ($linha['Id_Projeto'] == 'Sim') {
                                    echo '<img src="../imagem/obrigatorio.gif" alt="Devoluo" border="0" title="Devoluo" class="img_farol">';

                                    echo $linha['Uf_Placa'];
                                }
                                ?>
                        </td>
                        <?php if (CATALOGO == 'Sim') { ?>
                        <td><?php echo $linha['Id_Loja_Virtual']; ?></td>
                        <?php } ?>
                        <td><?php echo data_exibir($linha['Data_Venda']); ?></td>
                        <td>
                            <font <?php echo $corAnalise ?>><?php echo data_exibir($linha['Data_Entrega']); ?></font>
                        </td>
                        <?php
                            $cliente = mysqli_query($con, "SELECT Id,Titulo as Cliente,Razao_Social,Cidade,Codigo,Estado FROM cliente WHERE Id = '" . $linha['Id_Cliente'] . "' ");
                            $nome_cliente = mysqli_fetch_assoc($cliente);

                            $vend1 = mysqli_query($con, "SELECT Id,Titulo as Vendedor FROM funcionario WHERE Id = '" . $linha['Id_Vendedor'] . "' ");
                            $nome_vend1 = mysqli_fetch_assoc($vend1);

                            ?>
                        <td><?php
                                if (CLIENTE_RAZAO_SOCIAL == 'Sim') {
                                    echo $nome_cliente["Codigo"] . ' : ' . $nome_cliente["Razao_Social"];
                                } else {
                                    echo $nome_cliente["Codigo"] . ' : ' . $nome_cliente["Cliente"];
                                }
                                ?>
                        </td>
                        <?php if (CLIENTE_EMAIL == 'panforno') { ?>
                        <td><?php echo $nome_cliente['Estado']; ?></td>
                        <?php } ?>
                        <td><?php echo $nome_vend1['Vendedor']; ?></td>
                        <?php
                            $cod_auto2 = mysqli_query($con, "SELECT tipo_pagamento.Titulo
                                    FROM (SELECT Id,Id_Venda,Id_Tipo_Pagamento,Ordem FROM venda_tipo_pagamento) as venda_tipo_pagamento
                                    LEFT JOIN (SELECT Id,Titulo FROM tipo_pagamento) as tipo_pagamento ON tipo_pagamento.Id = venda_tipo_pagamento.Id_Tipo_Pagamento
                                    WHERE venda_tipo_pagamento.Id_Venda = '" . $linha['Id'] . "'
                                    ORDER BY venda_tipo_pagamento.Ordem");
                            $ex_tip = '';
                            while ($valor1 = mysqli_fetch_assoc($cod_auto2)) {
                                $ex_tip .= $valor1["Titulo"] . " ,";
                            }
                            $ex_tip = substr($ex_tip, 0, -2);
                            ?>
                        <td><?php echo $ex_tip; ?></td>
                        <td><?php echo valor_exibir($linha['Valor_Pago']); ?></td>
                        <td>
                            <font <?php echo $corStatus ?>>
                                <b>
                                    <?php
                                        if ($linha['Status'] == "Aberto") {
                                            echo "Em Lanamento";
                                        }
                                        if ($linha['Status'] == "Cotacao") {
                                            echo "Cotao";
                                        } elseif ($linha['Status'] != "Aberto") {
                                            echo $linha['Status'];
                                        }
                                        ?>
                                </b>

                                <?php
                                    if (($linha['EF'] == 'Sim') && ($linha['Chave_Nfe']) && ($linha['Paf'] == 'Sim')) {
                                        echo " - NFCe " . $linha['Fatura'];
                                    } else
                                    if (($linha['EF'] == 'Sim') && ($linha['Chave_Nfe'])) {
                                        echo " - NFe " . $linha['Fatura'];
                                    }
                                    ?>
                                <?php
                                    if ((strpos($linha['Motivo'], 'Unificado') !== false) && ($linha['Status'] == 'Cancelado')) {
                                        echo " - Unificado";
                                    }
                                    ?>
                            </font>
                        </td>

                        <?php if ((CLIENTE_EMAIL == 'grupolisboa' || CLIENTE_EMAIL == 'panforno') && ALTERAR_SITUACAO == 'Sim') { ?>
                        <td>
                            <a href="javascript:void();" style="cursor: pointer;"
                                onclick="window.open('venda/alterar_situacao.php?id_venda=<?php echo $linha['Id']; ?>&acao=alterar','Atualizar Situao','width=900,height=700,top=0,left=0,scrollbars=yes')">
                            </a>

                            <?php if ($linha['Situacao'] == '') {
                                        echo 'No Informada';
                                    } else {
                                        echo $linha['Situacao'];
                                    } ?>
                        </td>
                        <?php } ?>

                        <?php if (($_SESSION["Id_Nivel"] == '1') && (MULTI_EMPRESA == "Sim")) { ?>
                        <td><?php echo $linha['Unidade']; ?></td>
                        <?php } ?>
                        <?php if (PAF == 'Sim') { ?>
                        <td class="inlineEdit" id="<?php echo $linha["Id"]; ?>" style="cursor: pointer;"
                            alt="Inserir Cupom" title="Inserir Cupom" align="center">
                            <?php echo $linha['Coo_Ecf']; ?>
                        </td>
                        <?php } ?>
                        <td>
                            <?php if ($_SESSION["Id"] == '11111111111111111111111111111111') { ?>
                            <?php if ($linha['Id_Projeto'] == 'Sim') { ?>
                            <?php if ($linha['Uf_Placa'] == 'N') { ?>
                            <a
                                href='gera_nfe_coff.php?id_venda=<?php echo $linha['Id']; ?>&numero_nota=<?php echo $linha['Placa']; ?>&serie=<?php echo $linha['Cc']; ?>&protocolo=<?php echo $linha['Id_Vendedor3']; ?>&data_emissao=<?php echo $linha['Data_Nfe']; ?>&hora_emissao=<?php echo $linha['Terminal']; ?>&chave_nfe=<?php echo $linha['Chave_Nfe']; ?>'><img
                                    src="../imagem/bt_cupom.png" alt="NFe" title="NFe" border="0"></a>
                            <?php } else { ?>
                            <a
                                href='gera_nfce_coff.php?id_venda=<?php echo $linha['Id']; ?>&numero_nota=<?php echo $linha['Placa']; ?>&serie=<?php echo $linha['Cc']; ?>&protocolo=<?php echo $linha['Id_Vendedor3']; ?>&data_emissao=<?php echo $linha['Data_Nfe']; ?>&hora_emissao=<?php echo $linha['Terminal']; ?>&chave_nfe=<?php echo $linha['Chave_Nfe']; ?>'><img
                                    src="../imagem/bt_cupom.png" alt="NFCe" title="NFCe" border="0"></a>
                            <?php }
                                    }
                                } ?>

                            <?php if (EMITIR_NFCE == 'Sim') { ?>
                            <?php
                                    if ((PAF == 'Sim') && ($linha['Status'] == 'Finalizado')) {
                                        if (TIPO_PAF == 'Cupom') {
                                    ?>
                            <a href='paf/gerar_txt_venda.php?id_venda=<?php echo $linha['Id']; ?>'><img
                                    src="../imagem/bt_cupom.png" alt="Cupom PAF" title="Cupom PAF" border="0"></a>
                            <?php } else { ?>
                            <a href='gera_nfce.php?id_venda=<?php echo $linha['Id']; ?>'><img
                                    src="../imagem/bt_cupom.png" alt="NFCe" title="NFCe" border="0"></a>
                            <?php }
                                    }
                                } ?>

                            <?php
                                if ($linha['Pedido_Liberado'] == 'Sim') {
                                    $figura03 = "../imagem/flag_liberada.png";
                                    $status03 = "Liberado";
                                } else {
                                    $figura03 = "../imagem/flag_negada.png";
                                    $status03 = "Pendente";
                                }

                                if (LIBERAR_VENDA == 'Sim') {
                                    $lib_venda = "libera_venda.php?id_venda=" . $linha['Id'] . "&tipo=" . $linha['Pedido_Liberado'];
                                } else {
                                    $lib_venda = "javascript:void();";
                                }
                                ?>
                            <a href="<?php echo $lib_venda; ?>">
                                <img src="<?php echo $figura03; ?>" alt="<?php echo $status03; ?>" border="0"
                                    title="<?php echo $status03; ?>" width="18px" height="auto">
                            </a>

                            <?php if ($linha['Status'] == 'Finalizado') { ?>
                            <a href='recibo.php?id_venda=<?php echo $linha['Id']; ?>' target="_blank"><img
                                    src="../imagem/bt_pedido.png" alt="Recibo" border="0" title="Recibo"></a>

                            <!-- <a href='duplicata.php?id_venda=<?php echo $linha['Id']; ?>' target="_blank"><img src="../imagem/duplicata.png" alt="Duplicata" border="0" title="Duplicata" width="18px" height="auto"></a> -->
                            <?php if (CLIENTE_EMAIL == 'fertil') { ?>
                            <a href='duplicata_bioadubos.php?id_venda=<?php echo $linha['Id']; ?>' target="_blank"><img
                                    src="../imagem/duplicata.png" alt="Duplicata" border="0" title="Duplicata"
                                    width="18px" height="auto"></a>

                            <!-- <a href='duplicata_fertil.php?id_venda=<?php echo $linha['Id']; ?>' target="_blank"><img
                                    src="../imagem/duplicata.png" alt="Promissria" border="0" title="Promissria"
                                    width="18px" height="auto"></a> -->
                            <?php } else { ?>
                            <a href='duplicata.php?id_venda=<?php echo $linha['Id']; ?>' target="_blank"><img
                                    src="../imagem/duplicata.png" alt="Duplicata" border="0" title="Duplicata"
                                    width="18px" height="auto"></a>

                            <?php } ?>
                            <?php } ?>

                            <?php
                                $cod_auto1 = mysqli_query($con, "SELECT produto.Titulo as Produto,
                                            venda_produto.Qtd,
                                            produto.Codigo
                                            FROM (SELECT Id,Id_Venda,Id_Produto,Qtd FROM venda_produto) as venda_produto
                                            LEFT JOIN (SELECT Id,Titulo,Codigo FROM produto) as produto ON produto.Id = venda_produto.Id_Produto
                                            WHERE venda_produto.Id_Venda = '" . $linha['Id'] . "' ");
                                $ex_fun = 'Produtos:' . "\n";
                                while ($valor = mysqli_fetch_assoc($cod_auto1)) {
                                    $ex_fun .= $valor["Codigo"] . ' : ' . $valor["Produto"] . ' (' . $valor["Qtd"] . ")\n";
                                }
                                ?>
                            <?php if (CLIENTE_EMAIL == 'panforno' || CLIENTE_EMAIL == 'gw') { ?>
                            <a href="javascript:void();"
                                onclick="window.open('venda/tabela_obs.php?id_venda=<?php echo $linha['Id']; ?>&acao=alterarObs','Atualizar Situao','width=900,height=700,top=0,left=0,scrollbars=yes')">
                                <img src="../imagem/estoque.png" alt="Atualizar Situao" border="0"
                                    title="<?php echo $ex_fun; ?>">
                            </a>
                            <?php } else { ?>
                            <a href="javascript:void();">
                                <img src="../imagem/estoque.png" alt="Atualizar Situao" border="0"
                                    title="<?php echo $ex_fun; ?>">
                            </a>
                            <?php } ?>

                            <a href='ver_venda.php?id_venda=<?php echo $linha['Id']; ?>&acao=alterar&status=ver'><img
                                    src="../imagem/bt_visualizar.png" alt="Visualizar" border="0"
                                    title="Visualizar"></a>

                            <?php
                                if ($menu["Alterar"] == "Sim") {
                                    $link3 = "venda/cad_venda.php?id_venda=" . $linha['Id'] . "&acao=alterar";
                                    $figura3 = "../imagem/bt_editar.png";

                                    //verificando se o usuario pode reabrir venda ja finalizada
                                    if ($linha['Status'] == 'Finalizado') {
                                        if (REABRIR_VENDA == 'Sim') {
                                            $reabrir = 'Sim';
                                        } else {
                                            $reabrir = 'No';
                                        }
                                    } else {
                                        $reabrir = 'Sim';
                                    }

                                    if (ALTERAR_VENDA_NFE == 'Sim' && $linha['NF'] == 'Sim') {
                                ?>
                            <a href='<?php echo $link3; ?>'><img src="<?php echo $figura3; ?>" title="Alterar"
                                    alt="Alterar" border="0" /></a>
                            <?php } elseif ($reabrir == 'Sim' && $linha['NF'] != 'Sim') { ?>
                            <a href='<?php echo $link3; ?>'><img src="<?php echo $figura3; ?>" title="Alterar"
                                    alt="Alterar" border="0" /></a>

                            <?php }
                                }
                                ?>

                            <?php
                                if ($linha['Status'] == 'Aberto') {
                                    if (IMPRIMIR_ABERTO == 'Sim') {
                                        $reabrir2 = 'Sim';
                                    } else {
                                        $reabrir2 = 'No';
                                    }
                                } else {
                                    $reabrir2 = 'Sim';
                                }

                                if ($reabrir2 == 'Sim') {
                                ?>



                            <?php if (VENDA_MEIA_FOLHA == 'Sim Matricial') { ?>

                            <a href="javascript:void();"
                                onclick="window.open('imp_venda_meia.php?id_venda=<?php echo $linha['Id']; ?>','Imprimir','width=800,height=800,top=0,left=0,scrollbars=yes')">
                                <img border="0" src="../imagem/bt_pedido.png" title="Imprimir Venda"
                                    alt="Imprimir Venda" /></a>

                            <?php } else if (VENDA_MEIA_FOLHA == 'Sim Jato') { ?>
                            <a href="javascript:void();"
                                onclick="window.open('imp_venda_meia_2.php?id_venda=<?php echo $linha['Id']; ?>','Imprimir','width=800,height=800,top=0,left=0,scrollbars=yes')">
                                <img border="0" src="../imagem/bt_pedido.png" title="Imprimir Venda"
                                    alt="Imprimir Venda" /></a>
                            <?php } elseif ((CLIENTE_EMAIL == 'medvasf') || (CLIENTE_EMAIL == 'pnzmed') || (CLIENTE_EMAIL == 'inovamed') || (CLIENTE_EMAIL == 'gw')) { ?>
                            <a href="javascript:void();"
                                onclick="window.open('imp_venda_medvasf.php?id_venda=<?php echo $linha['Id']; ?>','Imprimir','width=800,height=800,top=0,left=0,scrollbars=yes')">
                                <img border="0" src="../imagem/bt_pedido.png" title="Imprimir Venda"
                                    alt="Imprimir Venda" />
                            </a>
                            <a href="javascript:void();"
                                onclick="window.open('imp_sorteio_medvasf.php?id_venda=<?php echo $linha['Id']; ?>','Imprimir','width=800,height=800,top=0,left=0,scrollbars=yes')">
                                <img border="0" src="../imagem/bt_pedido.png" title="Sorteio" alt="Sorteio" />
                            </a>
                            <?php } elseif ((CLIENTE_EMAIL == 'a3pet')) { ?>
                            <a href="javascript:void();"
                                onclick="window.open('imp_venda_a3.php?id_venda=<?php echo $linha['Id']; ?>','Imprimir','width=800,height=800,top=0,left=0,scrollbars=yes')">
                                <img border="0" src="../imagem/bt_pedido.png" title="Imprimir Venda"
                                    alt="Imprimir Venda" /></a>
                            <?php } elseif (CLIENTE_EMAIL == 'fertil') { ?>
                            <a href="javascript:void();"
                                onclick="window.open('imp_venda_fertil.php?id_venda=<?php echo $linha['Id']; ?>', 'Imprimir', 'width=700,height=800,top=0,left=0,scrollbars=yes')">
                                <img border="0" src="../imagem/bt_pedido.png" title="Imprimir Venda"
                                    alt="Imprimir Venda" />
                            </a>
                            <?php } elseif (CLIENTE_EMAIL == 'plastmaster') { ?>
                            <a href="javascript:void();"
                                onclick="window.open('imp_venda_plastmaster.php?id_venda=<?php echo $linha['Id']; ?>', 'Imprimir', 'width=800,height=800,top=0,left=0,scrollbars=yes')">
                                <img border="0" src="../imagem/bt_pedido.png" title="Imprimir Venda"
                                    alt="Imprimir Venda" /></a>
                            <?php } elseif (CLIENTE_EMAIL == 'naturalgold' || CLIENTE_EMAIL == 'gw2') { ?>
                            <a href="javascript:void();"
                                onclick="window.open('imp_venda_naturalgold.php?id_venda=<?php echo $linha['Id']; ?>', 'Imprimir', 'width=800,height=800,top=0,left=0,scrollbars=yes')">
                                <img border="0" src="../imagem/bt_pedido.png" title="Imprimir Venda"
                                    alt="Imprimir Venda" /></a>
                            <?php } else { ?>
                            <a href="javascript:void();"
                                onclick="window.open('imp_venda.php?id_venda=<?php echo $linha['Id']; ?>','Imprimir','width=700,height=800,top=0,left=0,scrollbars=yes')">
                                <img border="0" src="../imagem/bt_pedido.png" title="Imprimir Venda"
                                    alt="Imprimir Venda" /></a>
                            <?php } ?>


                            <?php if (CLIENTE_EMAIL == 'plastmaster') {
                                        if ($_SESSION["Id_Nivel"] != '60') {
                                    ?>
                            <a href="javascript:void();"
                                onclick="window.open('enviar_email.php?id_venda=<?php echo $linha['Id']; ?>','Email','width=700,height=700,top=0,left=0,scrollbars=yes')">
                                <img border="0" src="../imagem/enviar-email.png" title="Venda Email"
                                    alt="Venda Email" /></a>
                            <?php
                                        }
                                    } else {
                                        ?>
                            <a href="javascript:void();"
                                onclick="window.open('enviar_email.php?id_venda=<?php echo $linha['Id']; ?>','Email','width=700,height=700,top=0,left=0,scrollbars=yes')">
                                <img border="0" src="../imagem/enviar-email.png" title="Venda Email"
                                    alt="Venda Email" />
                            </a>
                            <?php } ?>



                            <?php } ?>

                            <a href="javascript:void();"
                                onclick="window.open('imp_mapa_separacao.php?id_venda=<?php echo $linha['Id']; ?>','Mapa','width=700,height=800,top=0,left=0,scrollbars=yes')">
                                <img border="0" src="../imagem/bt_pedido.png" title="Mapa Separao"
                                    alt="Mapa Separao" /></a>

                            <?php if ((CLIENTE_EMAIL == 'gw' || CLIENTE_EMAIL == 'reiquimica')) { ?>
                            <a href="javascript:void();"
                                onclick="window.open('imp_pdv_termica_reiquimica.php?id_venda=<?php echo $linha['Id']; ?>','Imprimir','width=450,height=700,top=0,left=0,scrollbars=yes')">
                                <img border="0" src="../imagem/bt_pedido.png" title="Imprimir Cupom Venda"
                                    alt="Imprimir Cupom Venda" />
                            </a>
                            <?php } else { ?>
                            <a href="javascript:void();"
                                onclick="window.open('imp_pdv_termica_1.php?id_venda=<?php echo $linha['Id']; ?>','Imprimir','width=450,height=700,top=0,left=0,scrollbars=yes')">
                                <img border="0" src="../imagem/bt_pedido.png" title="Imprimir Cupom Venda"
                                    alt="Imprimir Cupom Venda" />
                            </a>
                            <?php } ?>

                            <?php
                                $usuario_conf = mysqli_query($con, "SELECT Id,Titulo FROM funcionario WHERE Id = '" . $linha['Id_Usuario_Instalacao'] . "' ");
                                $usuario_conf = mysqli_fetch_assoc($usuario_conf);

                                if ($linha['Id_Usuario_Instalacao'] != '') {

                                    $ex_fun = 'Conferido:' . "\n";
                                    $ex_fun .= $usuario_conf["Titulo"] . ' - ' . data_hora($linha["Data_Instalacao"]);
                                    echo '<img border="0" src="../imagem/list_produtos.png" title="' . $ex_fun . '" alt="' . $ex_fun . '"/>';
                                }
                                ?>

                            <?php if ($linha['Status'] == 'Finalizado') { ?>
                            <?php if (CLIENTE_EMAIL == 'plastmaster') {
                                        if ($_SESSION["Id_Nivel"] != '60') {
                                    ?>
                            <a href="javascript:void();"
                                onclick="window.open('escolha_boleto.php?id_venda=<?php echo $linha['Id']; ?>','Boleto','width=700,height=600,top=0,left=0,scrollbars=yes')">
                                <img border="0" src="../imagem/bt_boleto.png" title="Boleto" alt="Boleto" /></a>
                            <?php }
                                    } else {
                                        ?>
                            <a href="javascript:void();"
                                onclick="window.open('escolha_boleto.php?id_venda=<?php echo $linha['Id']; ?>','Boleto','width=700,height=600,top=0,left=0,scrollbars=yes')">
                                <img border="0" src="../imagem/bt_boleto.png" title="Boleto" alt="Boleto" /></a>
                            <?php } ?>
                            <?php if (($linha['EF'] == 'Sim') && ($linha['Chave_Nfe'])) { ?>
                            <a href="javascript:void();" alt="Reimprimir" title="Reimprimir"
                                onclick="window.open('../nfe/reimprimir.php?id_pedido=<?php echo $linha["Id"]; ?>&chave=<?php echo $linha['Chave_Nfe']; ?>', 'Reimprimir', 'width=800,height=800,top=0,left=0,scrollbars=yes');">
                                <img src="../imagem/bt_pedido2.png" alt="NFe Reimprimir" border="0"
                                    title="NFe Reimprimir">
                            </a>
                            <?php } ?>

                            <?php } ?>

                            <?php if (CLIENTE_EMAIL == 'plastmaster') {
                                    if ($_SESSION["Id_Nivel"] != '60') {
                                ?>
                            <a href="javascript:void();"
                                onclick="window.open('devolucao_item.php?id_venda=<?php echo $linha['Id']; ?>','Devoluo','width=700,height=700,top=0,left=0,scrollbars=yes')">
                                <img src="../imagem/bt_atualizar.png" alt="Devoluo Venda" border="0"
                                    title="Devoluo Venda">
                            </a>
                            <?php }
                                } else {
                                    ?>
                            <a href="javascript:void();"
                                onclick="window.open('devolucao_item.php?id_venda=<?php echo $linha['Id']; ?>','Devoluo','width=700,height=700,top=0,left=0,scrollbars=yes')">
                                <img src="../imagem/bt_atualizar.png" alt="Devoluo Venda" border="0"
                                    title="Devoluo Venda">
                            </a>
                            <?php } ?>
                            <a href="javascript:void();"
                                onclick="window.open('importar_nota.php?id_venda=<?php echo $linha['Id']; ?>&cod=<?php echo $linha['Lancamento']; ?>','Anexos','width=700,height=600,top=0,left=0,scrollbars=yes')">
                                <img border="0" src="../imagem/anexo.png" title="Anexos" alt="Anexos" width="16"
                                    height="16" />
                            </a>
                            <?php if (($linha['EF'] != 'Sim') && ($linha['Chave_Nfe'] == '')) { ?>
                            <a href="javascript:void();"
                                onclick="window.open('venda/alterar_carga.php?id_venda=<?php echo $linha['Id']; ?>','Atualizar Carga','width=900,height=700,top=0,left=0,scrollbars=yes')">
                                <img src="../imagem/icone-entrega.png" alt="Atualizar Carga" border="0"
                                    title="Atualizar Carga">
                            </a>
                            <?php }
                                if (CLIENTE_EMAIL == 'panforno' || CLIENTE_EMAIL == 'restaurante') { ?>
                            <a href="javascript:void();"
                                onclick="window.open('venda/alterar_despesa.php?id_venda=<?php echo $linha['Id']; ?>','Atualizar Despesa','width=1024,height=700,top=0,left=0,scrollbars=yes')">
                                <img src="../imagem/cifrao_red.png" alt="Atualizar Despesa" border="0"
                                    title="Atualizar Despesa">
                            </a>
                            <?php  }
                                if (CLONAR_VENDA == 'Sim') { ?>
                            <a href='clonar_venda.php?id_venda=<?php echo $linha['Id']; ?>'><img
                                    src="../imagem/clone.png" alt="Clonar Venda" border="0" title="Clonar Venda"></a>
                            <?php } ?>
                            <?php if ($_SESSION["Id"] == '11111111111111111111111111111111') { ?>
                            <a href="javascript:void();" alt="Ajuste" title="Ajuste"
                                onclick="window.open('venda_ef.php?id_venda=<?php echo $linha["Id"]; ?>', 'Ajuste', 'width=700,height=300,top=0,left=0,scrollbars=yes');">
                                <img src="../imagem/catraca.png" alt="Ajuste" border="0" title="Ajuste" width="20px"
                                    height="auto"></a>
                            <?php } ?>
                            <?php
                                if ($menu["Deletar"] == "Sim") {
                                    $link4 = "deletar('" . $linha["Id"] . "', 'del_venda.php?id_venda=');";
                                    $figura4 = "../imagem/bt_excluir.png";
                                ?>
                            <a href='javascript:void(0);'><img src="<?php echo $figura4; ?>" alt="Excluir" border="0"
                                    title="Excluir" onclick="<?php echo $link4; ?>" /></a>
                            <?php } ?>
                        </td>
                    </tr>
                    <?php } ?>
                </tbody>
            </table>
            <!-- Navegao Inferior -->
            <div class="botoes_baixo">
                <a href="javascript:void(0);" class="voltar tr" key="Voltar" alt="Voltar" title="Voltar"
                    onclick="javascript:history.back(1);">Voltar</a>

                <?php if ($menu["Relatorio"] == "Sim") { ?>
                <a href="list_relatorio.php" alt="Relatrio" title="Relatrio" class="relatorio tr"
                    key="Relatorio">Relatrio</a>
                <?php } ?>

                <?php if ($menu["Cadastrar"] == "Sim") { ?>
                <a href="venda/cad_venda.php?acao=entrar" alt="Cadastrar" title="Cadastrar" class="incluir tr"
                    key="Cadastrar">Cadastrar</a>
                <?php } ?>
                <!-- Fim Navegao Inferior -->
            </div>

        </div>
        <!-- Fim do Contedo -->
    </div>
    <!-- Fim de Centro -->

</body>

</html>