<?php
include_once "../include/conecta.php"; //Conecta com a nosso banco de dados MySQL
ini_set('session.gc_maxlifetime', 60 * 120);
session_start();
/* include_once "../include/ver_sessao.php"; //Verifica se a sesso est ativa */
include_once "../include/funcoesPhp.php"; //Inclue a pgina con todas as funes a ser usada.
?>
<?php
$pedido = listar("Select venda.Id, 					
            venda.Status,
            venda.Lancamento,
            venda.Data_Venda,
            venda.Obs as 'Obs_Venda',
            venda.Valor_Original,
            venda.Valor_Pago,
            venda.Id_Unidade,
            venda.Frete,
            venda.Tipo_Embalagem,
            venda.Valor_Icms_Sub,
            venda.Fatura,
            cliente.Titulo as 'Cliente',
            cliente.Razao_Social as 'Razao',
            cliente.Codigo,
            cliente.Email,
            cliente.Natureza,
            cliente.Cpf_Cnpj,
            cliente.Rua,
            cliente.Numero,
            cliente.Cep,
            cliente.Bairro,
            cliente.Estado,
            cliente.Fone1,
            cliente.Ponto_Referencia,
            cliente.Obs as 'Obs_Cliente',
            cliente.Cidade,
            funcionario.Titulo as 'Funcionario',
            transportadora.Titulo as 'Transportadora',
            transportadora.Razao_Social as 'Transportador',
            transportadora.Fone1 as 'Fone1T',
            transportadora.Rua as RuaT,
            transportadora.Numero as NumeroT,
            transportadora.Cep as CepT,
            transportadora.Bairro as BairroT,
            transportadora.Estado as EstadoT,
            transportadora.Cpf_Cnpj as Cpf_CnpjT,
            transportadora.Estadual as EstadualT
            from (SELECT Id,Status,Data_Venda,Obs,Valor_Original,Valor_Pago,Id_Vendedor,Frete,Valor_Icms_Sub,Id_Cliente,Lancamento,Id_Transportadora,Id_Unidade,Tipo_Embalagem,Fatura FROM venda) as venda
            left join (SELECT Id,Codigo,Titulo,Razao_Social,Email,Natureza,Cpf_Cnpj,Rua,Numero,Cep,Bairro,Estado,Fone1,Ponto_Referencia,Obs,Cidade FROM cliente) as cliente ON cliente.Id = venda.Id_Cliente
            left join (SELECT Id,Titulo FROM funcionario) as funcionario ON funcionario.Id = venda.Id_Vendedor
            left join (SELECT Id,Titulo,Rua,Bairro,Cidade,Estado,Fone1,Razao_Social,Cpf_Cnpj,Numero,Cep,Estadual FROM fornecedor) as transportadora ON transportadora.Id = venda.Id_Transportadora
            where venda.Id = '" . $_GET["id_venda"] . "' ");

$_GET["Unidade"] = $pedido[0]["Id_Unidade"];
?>
<html>

<head>
    <title>Gw - Gesto Web</title>
    <link rel="stylesheet" type="text/css" href="../estilo/<?php echo SKIN; ?>/tabela_imp.css" />
    <script type="text/javascript" language="javascript" src="../js/jquery.js"></script>
    <?php include '../include/script_cabeca.php'; ?>
    <script type="text/javascript" language="javascript" src="../js/script.js"></script>
    <script type="text/javascript" language="javascript" src="../js/meiomask/meiomask.js"></script>
    <script type="text/javascript" language="javascript" src="../js/meiomask/<?php if (PAIS == "USA") {
                                                                                    echo "mascaras-usa";
                                                                                } else {
                                                                                    echo "mascaras";
                                                                                } ?>.js"></script>
</head>

<body>

    <table width="98%" align="center">
        <!-- TABELA Q ENVOLVE TODO O CONTEUDO -->
        <tr>
            <td>
                <?php include "../include/cabecalho_pedido.php"; ?>
            </td>
        </tr>
        <tr>
            <td>
                <br />
                <table width="100%" align="center">
                    <tr>
                        <td colspan="3" align="center">
                            <font face="verdana" size="3">
                                <b><i>Mapa Separao</i></b>
                            </font>
                        </td>
                    </tr>
                    <tr>
                        <td colspan="3" align="center">
                            <?php geraCodigoBarra(str_pad($pedido[0]["Lancamento"], 12, "0", STR_PAD_LEFT)); ?>
                        </td>
                    </tr>
                    <tr>
                        <td width="34%">
                            <font face="verdana" size="2">
                                Pedido:
                            </font>
                            <b>
                                <font face="verdana" size="3">
                                    <?php echo $pedido[0]["Lancamento"]; ?>
                                </font>
                            </b>
                        </td>
                        <td width="33%">
                            <font face="verdana" size="2">
                                NF: <?php echo $pedido[0]["Fatura"]; ?>
                            </font>
                        </td>
                        <td width="33%">
                            <font face="verdana" size="2">
                                Vendedor: <?php echo $pedido[0]["Funcionario"]; ?>
                            </font>
                        </td>
                    </tr>
                </table>
            </td>
        </tr>
        <tr>
            <td>
                <table width="100%" align="center" class="tabela">
                    <tr>
                        <td width="70%">Razo: <?php echo $pedido[0]["Codigo"] . " - " . $pedido[0]["Razao"]; ?></td>
                        <td width="30%">Emisso: <?php echo data_exibir($pedido[0]["Data_Venda"]); ?></td>
                    </tr>
                    <tr>
                        <td width="70%">Fantasia: <?php echo $pedido[0]["Cliente"]; ?></td>
                        <td width="30%">Fone: <?php echo $pedido[0]["Fone1"]; ?></td>
                    </tr>
                    <tr>
                        <td width="70%">End: <?php echo $pedido[0]["Rua"] . ', ' . $pedido[0]["Numero"]; ?></td>
                        <?php if ($pedido[0]["Natureza"] == "PF") { ?>
                        <td width="30%">CPF: <?php echo $pedido[0]["Cpf_Cnpj"]; ?></td>
                        <?php } else { ?>
                        <td width="30%">CNPJ: <?php echo $pedido[0]["Cpf_Cnpj"]; ?></td>
                        <?php } ?>
                    </tr>
                    <tr>
                        <td width="70%"><?php echo 'Bairro:' . $pedido[0]["Bairro"] . ' Cidade:' . $pedido[0]["Cidade"] . ' UF:' .
                                            $pedido[0]["Estado"]; ?></td>
                        <td width="30%">CEP: <?php echo $pedido[0]["Cep"]; ?></td>
                    </tr>
                    <?php if (CLIENTE_EMAIL == 'ersind') { ?>
                    <tr>
                        <td colspan="2">Paletizado: <?php echo $pedido[0]["Tipo_Embalagem"]; ?></td>
                    </tr>
                    <?php } ?>
                </table>
            </td>
        </tr>
        <?php if (CLIENTE_EMAIL == 'gardenquimica' || CLIENTE_EMAIL == 'igq' || CLIENTE_EMAIL == 'biowash' || CLIENTE_EMAIL == 'gw') { ?>
        <tr>
            <td>
                <table width="100%" align="center" class="tabela">
                    <tr>
                        <td>Transportadora</td>
                    </tr>
                </table>
            </td>
        </tr>
        <tr>
            <td>
                <table width="100%" align="center" class="tabela">
                    <tr>
                        <td width="70%">Razo: <?php echo $pedido[0]["Transportadora"]; ?></td>
                        <td width="30%">Frete: <?php echo ($pedido[0]["Frete"]); ?></td>
                    </tr>
                    <tr>
                        <td width="70%">Fantasia: <?php echo $pedido[0]["Transportador"]; ?></td>
                        <td width="30%">Fone: <?php echo $pedido[0]["Fone1T"]; ?></td>
                    </tr>
                    <tr>
                        <td width="70%">End: <?php echo $pedido[0]["RuaT"] . ', ' . $pedido[0]["NumeroT"]; ?></td>
                        <?php if ($pedido[0]["Natureza"] == "PF") { ?>
                        <td width="30%">CPF: <?php echo cpf_exibir($pedido[0]["Cpf_Cnpj"]); ?></td>
                        <?php } else { ?>
                        <td width="30%">CNPJ: <?php echo cnpj_exibir($pedido[0]["Cpf_CnpjT"]); ?></td>
                        <?php } ?>
                    </tr>
                    <tr>
                        <td width="70%"><?php echo '<b>Bairro:</b>' . $pedido[0]["BairroT"] . ' <b>Cidade: </b>' . $pedido[0]["CidadeT"] . ' <b>UF: </b>' .
                                                $pedido[0]["EstadoT"] . ' <b>CEP: </b>' . $pedido[0]["CepT"]; ?></td>
                        <td width="30%">Estaudal: <?php echo $pedido[0]["EstadualT"]; ?></td>
                    </tr>
                </table>
            </td>
        </tr>
        <?php } ?>
        <tr>
            <td>
                <table width="100%" align="center" class="tabela">
                    <tr>
                        <td colspan="11"><i>Produtos</i></td>
                    </tr>
                    <tr class="azul-claro">
                        <td width="3%">N</td>
                        <td width="10%">Cdigo</td>
                        <td width="22%">Produto</td>
                        <td width="5%">UN</td>
                        <td width="5%">Qtd</td>
                        <td width="10%">Armazenagem</td>
                        <td width="5%">Vol</td>
                        <td width="10%">Lote</td>
                        <td width="10%">Data Fabricao</td>
                        <td width="10%">Data Validade</td>
                        <td width="35%">Obs</td>
                    </tr>
                    <?php

                    $pedido_pro = listar("Select venda_produto.Preco as 'Preco_Venda',
                                        venda_produto.Qtd as 'Qtd_Venda',
                                        venda_produto.Desconto as 'Desconto_Venda',
                                        venda_produto.Volume,
                                        venda_produto.Medida_Faturado,
                                        venda_produto.Lote as Lote,
                                        venda_produto.Data_Validade,
                                        venda_produto.Data_Fabricacao,
                                        produto.Titulo as 'Produto',
                                        produto.Descricao,
                                        produto.Codigo,
                                        produto.Qtd_Caixa,
                                        produto.Medida,
                                        produto.Armazenagem,
                                        produto.Peso_Bruto
                                        from venda_produto
                                        left join (SELECT Id,Titulo,Descricao,Codigo,Qtd_Caixa,Medida,Peso_Bruto,Armazenagem FROM produto) as produto ON produto.Id = venda_produto.Id_Produto
                                        where venda_produto.Id_Venda = '" . $pedido[0]["Id"] . "'
                                        ORDER BY Data_Cadastro ");

                    //order by Qtd_Venda DESC, produto.Titulo,produto.Codigo
                    $x = 1;
                    foreach ($pedido_pro as $chave) { ?>

                    <tr>
                        <td><?php echo $x; ?></td>
                        <td><?php echo $chave["Codigo"]; ?></td>
                        <td><?php echo $chave["Produto"]; ?></td>
                        <td><?php echo $chave["Medida_Faturado"]; ?></td>
                        <td><?php echo $chave["Qtd_Venda"]; ?></td>
                        <td><?php echo $chave["Armazenagem"]; ?></td>
                        <td><?php echo $chave["Volume"]; ?></td>
                        <td><?php echo $chave["Lote"]; ?></td>
                        <td><?php echo data_exibir($chave["Data_Fabricacao"]); ?></td>
                        <td><?php echo data_exibir($chave["Data_Validade"]); ?></td>
                        <td><?php if ((CLIENTE_EMAIL == 'bioseiva') || (CLIENTE_EMAIL == 'gw')) {
                                    if ($chave["Desconto_Venda"] == '100') {
                                        echo  "<i>Compe Kit</i>";
                                    } else {
                                        echo "<b>Produto Principal</b>";
                                    }
                                }; ?>
                        </td>

                    </tr>
                    <?php
                        $qtdTotal += $chave["Qtd_Venda"];
                        $volTotal += $chave["Volume"];
                        $pesoBruto += $chave["Qtd_Venda"] * $chave["Peso_Bruto"];
                        $unid[$chave["Medida_Faturado"]] += $chave["Qtd_Venda"];

                        $x++;
                    }
                    ?>
                    <tr>
                        <td colspan="4"></td>
                        <td><?php echo $qtdTotal; ?></td>
                        <td>&nbsp;</td>
                        <td><?php echo $volTotal; ?></td>
                        <td colspan=4"></td>
                    </tr>
                    <tr>
                        <td colspan="11" align="center">Resumo da Carga: 
                            <?php echo valor_exibir($pesoBruto);
                            echo "<br>";
                            foreach ($unid as $reg => $valor) {
                                echo $reg . " - " . $valor . " UN<br>";
                            }
                            if ($pedido[0]['Valor_Icms_Sub'] > 0)
                                echo "<b>Verificar pagamento da GRNE.</b>";
                            ?>
                        </td>
                    </tr>
                </table>
            </td>
        </tr>
        <tr>
            <td>
                <table width="100%" align="center" class="tabela">
                    <tr>
                        <td><b>Obs:</b> <?php echo $pedido[0]["Obs_Venda"];?></td>
                    </tr>
                </table>
            </td>
        </tr>
    </table>
    <br /><br />
    <table width="98%" align="center">
        <tr>
            <td align="center"></td>
            <td align="center"><br><br>_______/_______/___________<br><br><br></td>
        </tr>
        <tr>
            <td align="center">________________________</td>
            <td align="center">________________________</td>
        </tr>
        <tr>
            <td align="center"><font face="verdana" size="2">Transportador</font></td>
            <td align="center"><font face="verdana" size="2">Conferente</font></td>
        </tr>
    </table>

    <br>
</body>

</html>
<?php include "../include/rodape.php"; ?>