<?php
include_once '../../include/conecta.php'; //Conecta com a nosso banco de dados MySQL
include_once '../../include/ver_sessao.php'; //Verifica se a sesso est ativa
include_once '../../include/funcoesPhp.php';
include_once '../../menu_movimento.php';

if ($_SERVER['REQUEST_METHOD'] == "POST") {

    $_POST['Qtd_Vol'] = str_replace('.', '', $_POST['Qtd_Vol']);
    $_POST['Qtd_Vol'] = str_replace(',', '.', $_POST['Qtd_Vol']);

    $_POST['Peso_Bruto'] = str_replace('.', '', $_POST['Peso_Bruto']);
    $_POST['Peso_Bruto'] = str_replace(',', '.', $_POST['Peso_Bruto']);

    $_POST['Peso_Liquido'] = str_replace('.', '', $_POST['Peso_Liquido']);
    $_POST['Peso_Liquido'] = str_replace(',', '.', $_POST['Peso_Liquido']);

    $_POST['Volume_Automatico'] = !isset($_POST['Volume_Automatico']) ? 'No' : $_POST['Volume_Automatico'];

    mysqli_query($con, "UPDATE venda SET Qtd_Vol = '" . $_POST["Qtd_Vol"] . "',
                                         Volume_Automatico = '" . $_POST["Volume_Automatico"] . "',
                                         Peso_Bruto = '" . $_POST["Peso_Bruto"] . "',
                                         Peso_Liquido = '" . $_POST["Peso_Liquido"] . "',
                                         Especie_Vol = '" . $_POST["Especie_Vol"] . "',
                                         Marca_Vol = '" . $_POST["Marca_Vol"] . "',
                                         Numero_Vol = '" . $_POST["Numero_Vol"] . "',
                                         UFSaidaPais = '" . $_POST["UFSaidaPais"] . "',
                                         xLocEmbarq = '" . $_POST["xLocEmbarq"] . "',
                                         xLocDespacho = '" . $_POST["xLocDespacho"] . "',
                                         Id_Transportadora = '" . $_POST["Transportadora"] . "',
                                         Frete = '" . $_POST["Frete"] . "',
                                         Uf_Placa = '" . $_POST["Uf_Placa"] . "',
                                         Placa = '" . $_POST["Placa"] . "'
                                         WHERE Id = '" . $_GET["id_venda"] . "'
                                        ");

    logUsuario($_SERVER['REMOTE_ADDR'], $_SESSION['Login'], $_SESSION['Email'], $_SESSION['Unidade'], "Vendas", "Alterao Carga", $_POST["Lancamento"]);

    echo "<script>window.close();</script>";
}

?>
<html>

<head>
    <title>Gw - Gesto Web</title>
    <?php include 'cabecalho.php'; ?>
</head>

<body>
    <?php
    $item = mysqli_query($con, "SELECT venda.Id,
                                cliente.Razao_Social as Cliente,
                                cliente.Codigo,
                                venda.Lancamento,
                                venda.Status,
                                venda.Qtd_Vol,
                                venda.Volume_Automatico,
                                venda.Especie_Vol,
                                venda.Marca_Vol,
                                venda.Numero_Vol,
                                venda.Peso_Bruto,
                                venda.Peso_Liquido,
                                venda.UFSaidaPais,
                                venda.xLocEmbarq,
                                venda.xLocDespacho,
                                venda.Frete,
                                venda.Id_Transportadora AS Transportadora,
                                venda.Placa,
                                venda.Uf_Placa
                                FROM venda
                                LEFT JOIN (SELECT Id,Razao_Social,Codigo FROM cliente) as cliente ON cliente.Id = venda.Id_Cliente
                                WHERE venda.Id = '" . $_GET["id_venda"] . "' ");
    $item_linha = mysqli_fetch_assoc($item);
    ?>
    <form action="" method="post" name="historico">

        <fieldset class="envolve">
            <legend>Atualizar Carga</legend>
            <div class="linhas_historico"> <b>Venda :</b>
                <?php echo $item_linha["Lancamento"] . ' <b>Cliente </b> ' . ($item_linha["Codigo"] . ' : ' . $item_linha["Cliente"])  ?>
            </div>
            <br />
            <fieldset class="grupo">
                <div class="campo" style="width: 15%">
                    <label for="Frete" key="Frete" class="tr">Frete</label>
                    <?php
                    $vetor = array(
                        '' => '',
                        '0=Contratao do Frete por conta do Remetente (CIF)' => '0=Contratao do Frete por conta do Remetente (CIF)',
                        '1=Contratao do Frete por conta do Destinatrio (FOB)' => '1=Contratao do Frete por conta do Destinatrio (FOB)',
                        '2=Contratao do Frete por conta de Terceiros' => '2=Contratao do Frete por conta de Terceiros',
                        '3=Transporte Prprio por conta do Remetente' => '3=Transporte Prprio por conta do Remetente',
                        '4=Transporte Prprio por conta do Destinatrio' => '4=Transporte Prprio por conta do Destinatrio',
                        '9=Sem Ocorrncia de Transporte' => '9=Sem Ocorrncia de Transporte'
                    );
                    select_tela("Frete", "Frete", $item_linha["Frete"], $vetor, '', "");
                    ?>
                </div>
                <div class="campo" style="width: 200px">
                    <label for="Transportadora" key="Transportadora" class="tr">Transportadora</label>
                    <?php
                    if (FORNECEDOR_RAZAO_SOCIAL == 'Sim') {
                        $nome = 'Razao_Social';
                    } else {
                        $nome = 'Titulo';
                    }
                    echo select_banco(
                        "SELECT Id,$nome as Titulo FROM fornecedor WHERE Tipo = 'T' ORDER BY Titulo",
                        "Transportadora",
                        "Transportadora",
                        $item_linha["Transportadora"],
                        '',
                        ""
                    );
                    ?>
                </div>
                <div class="campo" style="width: 15%">
                    <label for="Placa" key="Placa" class="tr">Placa</label>
                    <input type="text" name="Placa" id="Placa" value="<?php echo $item_linha["Placa"]; ?>">
                </div>
                <div class="campo">
                    <label for="Uf_Placa" key="Uf_Placa" class="tr">UF Placa</label>
                    <?php
                    $vetor = array(
                        '' => 'Estados', 'AC' => 'Acre', 'AL' => 'Alagoas', 'AP' => 'Amap', 'AM' => 'Amazonas', 'BA' => 'Bahia',
                        'CE' => 'Cear', 'DF' => 'Distrito Federal', 'GO' => 'Gois', 'ES' => 'Esprito Santo',
                        'MA' => 'Maranho', 'MT' => 'Mato Grosso', 'MS' => 'Mato Grosso do Sul',
                        'MG' => 'Minas Gerais', 'PA' => 'Par', 'PB' => 'Paraba', 'PR' => 'Paran',
                        'PE' => 'Pernambuco', 'PI' => 'Piau', 'RJ' => 'Rio de Janeiro',
                        'RN' => 'Rio Grande do Norte', 'RS' => 'Rio Grande do Sul',
                        'RO' => 'Rondnia', 'RR' => 'Rorima', 'SP' => 'So Paulo',
                        'SC' => 'Santa Catarina', 'SE' => 'Sergipe', 'TO' => 'Tocantis',
                        'EX' => 'EX'
                    );
                    select_tela("Uf_Placa", "Uf_Placa", $item_linha["Uf_Placa"], $vetor, 'style="width: 160px"', "");
                    ?>
                </div>
            </fieldset>
            <fieldset class="grupo">
                <div class="campo">
                    <label for="Qtd_Vol" key="Qtd_Vol" class="tr">Quantidade Volume</label>
                    <input type="text" name="Qtd_Vol" id="Qtd_Vol" value="<?php echo valor_exibir($item_linha["Qtd_Vol"]); ?>" onkeyup="somente_numero(this);">
                </div>
                <div class="campo" style="display: flex;flex-direction:column;">
                    <label for="Volume_Automatico">Vol / Peso Auto.</label>
                    <input type="checkbox" name="Volume_Automatico" id="Volume_Automatico" onchange="quantidadeVolume()" <?php echo $item_linha["Volume_Automatico"] == 'Sim' ? 'checked' : ''; ?> value="<?php echo $item_linha["Volume_Automatico"] ?? 'Sim'; ?>">
                </div>
                <div class="campo">
                    <label for="Especie_Vol" key="Especie_Vol" class="tr">Espcie Volume</label>
                    <input type="text" name="Especie_Vol" id="Especie_Vol" value="<?php echo $item_linha["Especie_Vol"]; ?>">
                </div>
                <div class="campo">
                    <label for="Marca_Vol" key="Marca_Vol" class="tr">Marca Volume</label>
                    <input type="text" name="Marca_Vol" id="Marca_Vol" value="<?php echo $item_linha["Marca_Vol"]; ?>">
                </div>
                <div class="campo">
                    <label for="Numero_Vol" key="Numero_Vol" class="tr">Numerao Volume</label>
                    <input type="text" name="Numero_Vol" id="Numero_Vol" value="<?php echo $item_linha["Numero_Vol"]; ?>">
                </div>
            </fieldset>

            <fieldset class="grupo">
                <div class="campo" style="width: 8%">
                    <label for="Peso_Bruto" key="Peso_Bruto" class="tr">Peso Bruto</label>
                    <input type="text" name="Peso_Bruto" id="Peso_Bruto" value="<?php echo valor_exibir($item_linha["Peso_Bruto"]); ?>" class="money" onblur="fazerValor(this.value,'Peso_Bruto');">
                </div>
                <div class="campo" style="width: 9%">
                    <label for="Peso_Liquido" key="Peso_Liquido" class="tr">Peso Liquido</label>
                    <input type="text" name="Peso_Liquido" id="Peso_Liquido" value="<?php echo valor_exibir($item_linha["Peso_Liquido"]); ?>" class="money" onblur="fazerValor(this.value,'Peso_Liquido');">
                </div>
                <div class="campo">
                    <label for="UFSaidaPais">Sigla UF Embarque</label>
                    <input type="text" name="UFSaidaPais" id="UFSaidaPais" value="<?php echo $item_linha["UFSaidaPais"]; ?>">
                </div>
                <div class="campo">
                    <label for="xLocEmbarq">Local Embarque</label>
                    <input type="text" name="xLocEmbarq" id="xLocEmbarq" value="<?php echo $item_linha["xLocEmbarq"]; ?>">
                </div>
                <div class="campo">
                    <label for="xLocDespacho">Local Despacho</label>
                    <input type="text" name="xLocDespacho" id="xLocDespacho" value="<?php echo $item_linha["xLocDespacho"]; ?>">
                </div>
            </fieldset>

            <fieldset class="grupo">
                <input type="hidden" name="Codigo_Venda" id="Codigo_Venda" value="<?php echo $_GET["id_venda"]; ?>">
                <input type="hidden" name="Lancamento" id="Lancamento" value="<?php echo $item_linha["Lancamento"]; ?>">

                <button class="bt_cadastro" type="submit" name="Cadastrar" value="Salvar">Salvar</button>
                <button class="botao" type="button" value="Cancelar" name="Cancelar" onclick="window.close();">Cancelar</button>
            </fieldset>

        </fieldset>

    </form>

    <script type="text/javascript" language="javascript">
        document.getElementById('Qtd').focus();
    </script>

</body>

</html>