<?php
include_once "../include/conecta.php"; //Conecta com a nosso banco de dados MySQL
ini_set('session.gc_maxlifetime', 60*120); session_start();
/* include_once "../include/ver_sessao.php"; //Verifica se a sesso est ativa */
include_once "../include/funcoesPhp.php"; //Inclue a pgina con todas as funes a ser usada.
?>
<?php 
               $venda = listar("Select venda.Id,
 					venda.Lancamento,
 					venda.Status,
 					venda.Data_Venda,
                                        venda.Data_Entrega,
                                        venda.Data_Pagamento,
 					venda.Obs as 'Obs_Venda',
 					venda.Valor_Original,
 					venda.Valor_Pago,
                                        venda.Desconto,
                                        venda.Desconto_Real,
                                        venda.Frete,
                                        venda.Valor_Frete,
                                        venda.Id_Unidade,
                                        venda.Numero_Pedido,
                                        venda.Peso_Bruto,
                                        venda.Peso_Liquido,
                                        venda.Placa,
 					cliente.Titulo as 'Cliente',
                                        cliente.Razao_Social,
 					cliente.Email,
 					cliente.Natureza,
 					cliente.Cpf_Cnpj,
 					cliente.Rua,
                                        cliente.Numero,
 					cliente.Cep,
 					cliente.Bairro,
 					cliente.Estado,
 					cliente.Fone1,
                                        cliente.Contato,
                                        cliente.Endereco,
                                        cliente.Ponto_Referencia,
 					cliente.Obs as 'Obs_Cliente',
                                        cliente.Codigo,
                                        cidade_ibge.Titulo as Cidade,
 					funcionario.Titulo as 'Funcionario',
                                        vendedor.Titulo as 'Vendedor',
                                        vendedor2.Titulo as 'Vendedor2',
                                        tipo_pagamento.Titulo as 'Tipo_Pagamento'
 					from venda
 					left join 
                                        (SELECT Id,Titulo,Email,Natureza,Cpf_Cnpj,Estadual,Rua,Numero,Cep,Bairro,Estado,Fone1,
                                        Obs,Id_Cidade,Razao_Social,Contato,Endereco,Ponto_Referencia,Codigo FROM cliente) as cliente 
                                        ON cliente.Id = venda.Id_Cliente
                                        left join (SELECT Id,Titulo FROM cidade_ibge) as cidade_ibge ON cidade_ibge.Id = cliente.Id_Cidade
 					left join (SELECT Id,Titulo FROM funcionario) as funcionario ON funcionario.Id = venda.Id_Funcionario
                                        left join (SELECT Id,Titulo FROM funcionario) as vendedor ON venda.Id_Vendedor = vendedor.Id
                                        left join (SELECT Id,Titulo FROM funcionario) as vendedor2 ON venda.Id_Vendedor2 = vendedor2.Id
                                        left join (SELECT Id,Titulo FROM tipo_pagamento) as tipo_pagamento ON tipo_pagamento.Id = venda.Id_Tipo_Pagamento
 					where venda.Id = '".$_GET["id_venda"]."'
					order by venda.Lancamento DESC");


$_GET["Unidade"] = $venda[0]["Id_Unidade"];
               
?>
<html>
<head>
<title>Gw - Gesto Web</title>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1" />
<link rel="shortcut icon" href="../imagem/favi_gw.ico" type="image/x-icon" />
<link rel="stylesheet" type="text/css" href="../estilo/<?php echo SKIN ;?>/tabela_imp.css" />
<script type="text/javascript" language="javascript" src="../js/jquery.js"></script>
<?php include '../include/script_cabeca.php'; ?>
<script type="text/javascript" language="javascript" src="../js/script.js"></script>
<script type="text/javascript" language="javascript" src="../js/meiomask/meiomask.js"></script>
<script type="text/javascript" language="javascript" src="../js/meiomask/<?php if(PAIS=="USA"){ echo "mascaras-usa"; }else{ echo "mascaras"; }?>.js"></script>
<style>
.direita{
    float: right;
}
</style>
</head>
<body>

<table width="98%" align="center"><!-- TABELA Q ENVOLVE TODO O CONTEUDO -->
<tr>
	<td>
		<?php include "../include/cabecalho_pedido.php"; ?>
	</td>
</tr>
<tr>
	<td>
		<table width="100%" align="center">
                    <tr>
                        <td width="50%">
                            <font face="verdana" size="3">
                                <b>
                                    <i>
                                        PV_<?php echo str_pad($venda[0]["Lancamento"], 4,"0", STR_PAD_LEFT); ?>
                                    </i>
                                </b>
                            </font>
                        </td>
                        <td width="50%">Data: <?php echo data_exibir($venda[0]["Data_Venda"]);?></td>
                    </tr>
                    <tr>
                        <td width="50%">PV_Cliente: <?php echo $venda[0]["Numero_Pedido"]; ?></td>
                        <td width="50%">Vendedor: <?php echo $venda[0]["Vendedor"];?><br>
                                        Vendedor 2: <?php echo $venda[0]["Vendedor2"];?></td>
                    </tr>
		</table>
	</td>
</tr>
<tr>
	<td>
		<table width="100%" align="center" class="tabela">
			<tr>
                                <td width="70%">Cliente: 
                                    <?php echo $venda[0]["Codigo"]." : ".$venda[0]["Razao_Social"]; ?>
                                </td>
				<td width="30%">Fone: <?php echo $venda[0]["Fone1"];?></td>
			</tr>
			<tr>
				<td width="70%">Fantasia: <?php echo $venda[0]["Cliente"];?></td>
				<td width="30%">CEP: <?php echo $venda[0]["Cep"];?></td>
			</tr>
			<tr>
				<td width="70%">End: <?php echo $venda[0]["Endereco"];?>. 
                                    <?php echo $venda[0]["Bairro"].', '.$venda[0]["Cidade"].' - '.$venda[0]["Estado"];?>
                                </td>
				<?php if($venda[0]["Natureza"] == "PF"){?>
				<td width="30%">CPF: <?php echo $venda[0]["Cpf_Cnpj"];?></td>
				<?php }else{?>
				<td width="30%">CNPJ: <?php echo $venda[0]["Cpf_Cnpj"];?></td>
				<?php }?>
			</tr>
                        <tr>
				<td width="70%">Obs: <?php echo $venda[0]["Obs_Venda"];?></td>
				<td width="30%">E-mail: <?php echo $venda[0]["Email"];?></td>
			</tr>
		</table>
	</td>
</tr>
<tr>
	<td>
		<table width="100%" align="center" class="tabela">
			<tr>
				<td colspan="12"><i>Produtos</i></td>
			</tr>
			<?php
               $venda_pro = listar("Select DISTINCT venda_produto.Id,
                                        venda_produto.Id_Produto,
                                        venda_produto.Preco,
                                        venda_produto.Qtd,
                                        venda_produto.Desconto,
                                        venda_produto.Desconto_Real,
                                        venda_produto.ST_Icms,
                                        venda_produto.Icms,
                                        venda_produto.Icms_Sub,
                                        venda_produto.Mva,
                                        venda_produto.Reducao,
                                        venda_produto.ReducaoBC,
                                        venda_produto.CST_Ipi,
                                        venda_produto.Ipi,
                                        venda_produto.Frete,
                                        venda_produto.Despesa,
                                        venda_produto.C_Produto,
                                        venda_produto.Comissao,
                                        venda_produto.Id_Cliente,
                                        venda_produto.Preco_Dolar,
                                        venda_produto.Unificado,
                                        venda_produto.Lote,
                                        venda_produto.Data_Validade,
                                        venda_produto.Data_Fabricacao,
                                        venda_produto.Valor_Pauta,
                                        venda_produto.FCP,
 					produto.Titulo as 'Produto',
                                        produto.Medida,
 					produto.Codigo,
                                        
                                        local_estoque.Titulo as Local_Estoque,
                                        cfop.Cfop,
                                        cliente.Ipi as Ipi_Cliente,
                                        cliente.Consumidor_Final,
                                        cliente.Nao_Contribuinte_Icms,
                                        cliente.Estado as Estado_Cliente,
                                        cliente.Cliente_FCP,
                                        unidade.Estado as Estado_Empresa
 					FROM venda_produto
 					left join (SELECT Id,Titulo,Regime_ST,Codigo,Qtd_Caixa,Peso_Bruto,Peso_Liquido,FCP,Valor_Pauta,Medida FROM produto) as produto ON produto.Id = venda_produto.Id_Produto
                                        left join (SELECT Id,Titulo FROM local_estoque) as local_estoque ON local_estoque.Id = venda_produto.Id_Local_Estoque
                                        left join (SELECT Id,Cfop FROM cfop) as cfop ON cfop.Id = venda_produto.Id_Cfop
                                        left join (SELECT Id,Estado FROM unidade) as unidade ON unidade.Id = venda_produto.Id_Unidade
                                        left join (SELECT Id,Consumidor_Final,Nao_Contribuinte_Icms,Estado,Ipi,Cliente_FCP FROM cliente) as cliente ON cliente.Id = venda_produto.Id_Cliente
 					WHERE venda_produto.Id_Venda = '".$_GET["id_venda"]."'
                                        ORDER BY venda_produto.Data_Cadastro ");

                        $x=1;
    foreach($venda_pro as $chave){
                            
    
    //cauculo tributacao
    $Valor_Total+= valor_banco(valor_exibir((($chave['Qtd']*$chave['Preco'])-( ($chave['Qtd']*$chave['Preco'])*($chave['Desconto']/100) ) ) -$chave['Desconto_Real']));

    if($chave['Ipi']!='0' && 
    (
        ($chave['CST_Ipi'] === '00') || ($chave['CST_Ipi'] == '49') ||
        ($chave['CST_Ipi'] == '50') || ($chave['CST_Ipi'] == '99')
    )){
    $VBC = (($chave['Qtd']*$chave['Preco'])-( ($chave['Qtd']*$chave['Preco'])*($chave['Desconto']/100) ) ) -$chave['Desconto_Real'];
    $VBC = $VBC + $chave['Frete'] + $chave['Despesa'];
    if($chave['ReducaoBC']>'0'){
        $VBC = $VBC - ($VBC * ($chave['ReducaoBC'] / 100));
    }
    $VICMS = ( $VBC * ($chave['Icms']/100) );
    $vIpi = number_format(( $VBC * ($chave['Ipi']/100) ),2, '.', '');
    $VIPI+= number_format(( $VBC * ($chave['Ipi']/100) ),2, '.', '');
    }

    if (($chave["Consumidor_Final"] == 'Sim') && ($chave["Ipi_Cliente"] == 'Sim')) {
        $bcIpi = $vIpi;
    }
    if ($chave["Ipi_Cliente"] == 'Sim') {
        $bcstIpi = $vIpi;
    }
    
    $valor_st='0';
    //calculando o valor do ICMS ST
    if ($chave['ST_Icms'] == '10' || $chave['ST_Icms'] == '70' || $chave['ST_Icms'] == '90') {

        if ($chave['Bonificacao'] == 'Sim') {
            $desc_perc = '0';
            $chave['Desconto_Real'] = '0';
        }

        $VBC = number_format((($chave['Qtd'] * $chave['Preco']) - $desc_perc) - $chave['Desconto_Real'] + ($chave['Frete'] + $chave['Despesa']), 2, '.', '');

        if ($chave["ReducaoBC"] > '0') {
            $VBCicms = $VBC - ($VBC * ($chave['ReducaoBC'] / 100));
        } else {
            $VBCicms = $VBC;
        }

        $VICMS = ($VBCicms * ($chave['Icms'] / 100));


        $vBCST = ($VBC + $bcstIpi) * (1 + (($chave['Mva'] / 100)));
        $vBCST = $vBCST - ($vBCST * ($chave['Reducao'] / 100));
        $valor_st = number_format($vBCST * ($chave['Icms_Sub'] / 100), 2, '.', '') - number_format($VICMS, 2, '.', '');

        //calculo com o valor de pauta
        if ($chave['Preco'] < $chave['Valor_Pauta']) {
            if ($chave['Estado_Cliente'] == 'RN' || $chave['Estado_Cliente'] == 'PB' || $chave['Estado_Cliente'] == 'AL') {

                $chave['Preco'] = $chave['Valor_Pauta'];

                $VBCp = (($chave['Qtd'] * $chave['Preco']) - $desc_perc) - $chave['Desconto_Real'] + ($chave['Frete'] + $chave['Despesa']);
                $VICMS = ($VBCp * ($chave['Icms'] / 100));
                $vBCST = ($VBCp + $bcstIpi) * (1 + (($chave['Mva'] / 100)));
                $vBCST = $vBCST - ($vBCST * ($chave['Reducao'] / 100));
                $valor_st = ($vBCST * ($chave['Icms_Sub'] / 100)) - ($VBC * ($chave['Icms'] / 100));
            }
        }

        if (($chave["Estado_Cliente"] == $chave["Estado_Empresa"]) && $chave["Cesta_Basica"] == 'Sim') {
            $VBC = (($chave['Qtd'] * $chave['Preco']) - $desc_perc) - $chave['Desconto_Real'];
            $VBC = $VBC + $chave['Frete'] + $chave['Despesa'];
            if ($chave['ReducaoBC'] > '0') {
                $VBC = $VBC - ($VBC * ((100 - $chave['ReducaoBC']) / 100)); //reversa
            }
            $VICMS = ($VBC * ($chave['Icms'] / 100));

            $VBC = (($chave['Qtd'] * $chave['Preco']) - $desc_perc) - $chave['Desconto_Real'];
            $VBC = $VBC + $chave['Frete'] + $chave['Despesa'];
            $vBCST = ($VBC + $bcstIpi) * (1 + (($chave['Mva'] / 100)));
            $vBCST = $vBCST - ($vBCST * ($chave['Reducao'] / 100));
            $valor_st = ($vBCST * ($chave['Icms_Sub'] / 100));
        }

        $VICMSST += number_format($valor_st, 2, ".", "");
    }

    //calculando o valor do ICMS ST - simples
    if( ($chave['ST_Icms']=='201') || ($chave['ST_Icms']=='202') || ($chave['ST_Icms']=='900')  ){
    $VBC = (($chave['Qtd']*$chave['Preco'])-( ($chave['Qtd']*$chave['Preco'])*($chave['Desconto']/100) ) ) -$chave['Desconto_Real'];
    $VBC = $VBC + $chave['Frete'] + $chave['Despesa'];
    $VICMS = ( $VBC * ($chave['Icms']/100) );
    //$ValorICMSProprioparaST = $VBC * ($chave['Icms_Sub']/100);//calc diferente
    $vBCST = ($VBC + $bcstIpi) * (1+(($chave['Mva'] / 100)));
    $vBCST = $vBCST - ($vBCST * ($chave['Reducao']/100));
    $VICMSST+=number_format( $vBCST * ($chave['Icms_Sub']/100)  , 2, '.', '') - ( $VICMS );
    }

//calculo FCPST
if (($chave['ST_Icms'] == '201') || ($chave['ST_Icms'] == '202') || ($chave['ST_Icms'] == '900') ||
$chave['ST_Icms'] == '10' || $chave['ST_Icms'] == '70' || $chave['ST_Icms'] == '90' ) {
if (($chave["Cliente_FCP"] == 'Sim') &&
($chave["Estado_Cliente"] != $chave["Estado_Unidade"]) &&
($chave["FCP"] > '0')
) {
$vtFCPST = $vBCST;
$vtFCPST = str_replace('.', '', $vtFCPST);
$vtFCPST = str_replace(',', '.', $vtFCPST);

$vtFCPSTItem += number_format($vtFCPST * ($chave["FCP"] / 100), 2, ".", "");
}
}



    //cauculo tributacao
                        
                            
                        ?>

                        <?php if($x==1){ ?>
			<tr class="azul-claro">
                                <?php if($chave["Unificado"]){ ?>
                                <td width="3%">Unificado</td>
                                <?php } ?>
				<td width="3%">N</td>
				<td width="10%">Cdigo</td>
				<td>Produto</td>
				<td width="5%">Qtd</td>
				<td width="8%">Valor</td>
				<td width="8%">Desc %</td>
                                <td width="8%">V Unit</td>
				<td width="8%">Total</td>
			</tr>
                        <?php } ?>
                        
			<tr>
                                <?php if($chave["Unificado"]){ ?>
                                <td><?php echo $chave["Unificado"];?></td>
                                <?php $ab='1'; } ?>
				<td><?php echo $x;?></td>
				<td><?php echo $chave["Codigo"];?></td>
				<td><?php echo $chave["Produto"];?></td>
				<td><?php echo $chave["Qtd"];?></td>
				<td><?php echo number_format($chave["Preco"],2,',','.');?></td>
				<td><?php echo number_format($chave["Desconto"],2,',','.');?></td>
                                <td>
                                    <?php echo number_format( ($chave['Preco'] - ($chave['Preco'] * ($chave['Desconto']/100) ) ),2,',','.');?>
                                </td>
				<td>
                                    <?php echo number_format( ( ($chave['Qtd']*$chave['Preco']) - ( ($chave['Qtd']*$chave['Preco']) * ($chave['Desconto']/100) ) ) - $chave['Desconto_Real'],2,',','.');?>
                                </td>
			</tr>
			<?php
			$Qtd_Venda+= $chave["Qtd"];
			$Preco_Venda+=$chave["Preco"]*$chave["Qtd"];
			$Desconto_Venda+=$chave["Desconto"];
                        $Desconto_Real+=$chave["Desconto_Real"];
                        $Total_Desc_Real+=(($chave["Preco"]*$chave["Qtd"])*($chave["Desconto"]/100) ) - $chave['Desconto_Real'];
			$Total+= ( ($chave["Preco"]*$chave["Qtd"])-(($chave["Preco"]*$chave["Qtd"])*($chave["Desconto"]/100)) ) - $chave['Desconto_Real'];
			$x++; 
        
            

    $VICMSST = number_format($VICMSST,2,",",".");
    $VICMSST=str_replace('.','',$VICMSST);
    $VICMSST=str_replace(',','.',$VICMSST);

    $VIPI = number_format($VIPI,2,",",".");
    $VIPI=str_replace('.','',$VIPI);
    $VIPI=str_replace(',','.',$VIPI);

    $vtFCPSTItem = number_format($vtFCPSTItem,2,",",".");
    $vtFCPSTItem=str_replace('.','',$vtFCPSTItem);
    $vtFCPSTItem=str_replace(',','.',$vtFCPSTItem);
        }
			?>
		</table>
	</td>
</tr>
<tr>
    <td>
        <table width="100%" align="center" class="tabela">
            <tr>
                <td width="25%">
                    N Item <span class="direita"><?php echo $x-1;?></span><br>
                    Qtd Item <span class="direita"><?php echo $Qtd_Venda;?></span><br>
                    P. Liquido <span class="direita"><?php echo valor_exibir($venda[0]["Peso_Liquido"]);?></span><br>
                    P. Bruto <span class="direita"><?php echo valor_exibir($venda[0]["Peso_Bruto"]);?></span>
                </td>
                <td width="25%">
                    <br>
                    Base ICMS <span class="direita"><?php echo valor_exibir($VBC);?></span><br>
                    ICMS <span class="direita"><?php echo valor_exibir($VICMS);?></span><br>
                    IPI <span class="direita"><?php echo valor_exibir($VIPI);?></span>
                </td>
                <td width="25%">
                    <br>
                    Base Subst <span class="direita"><?php echo valor_exibir($vBCST);?></span><br>
                    ICMS Subst <span class="direita"><?php echo valor_exibir($VICMSST);?></span><br>
                    Frete <span class="direita"><?php echo valor_exibir($venda[0]["Valor_Frete"]);?></span>
                </td>
                <td width="25%">
                    Itens <span class="direita"><?php echo number_format($Total,2,',','.');//Intes com desconto dos itens?></span><br>
                    Servio <span class="direita"><?php echo valor_exibir(0);?></span><br>
                    Desconto <span class="direita"><?php echo number_format( ( $Total*($venda[0]["Desconto"]/100) ) - $venda[0]["Desconto_Real"],2,',','.');?></span><br>
                    Total <span class="direita"><?php echo number_format(( ( ($Total+$VICMSST) - ( ($Total+$VICMSST) * ($venda[0]["Desconto"]/100) ) ) - $venda[0]["Desconto_Real"]),2,',','.');?></span>
                </td>
            </tr>
        </table>
    </td>
</tr>
            <?php
            $venda_parcela = listar("SELECT financeiro_pedido.*,
                                            tipo_pagamento.Titulo as 'Tipo_Pagamento'
                                       FROM financeiro_pedido
                                  LEFT JOIN (SELECT Id,Titulo FROM tipo_pagamento) as tipo_pagamento ON tipo_pagamento.Id = financeiro_pedido.Id_Tipo_Pagamento
                                      WHERE financeiro_pedido.Id_Externo = '" . $_GET["id_venda"] . "' 
                                        AND financeiro_pedido.Id_Tipo_Pagamento <> '0'
                                   ORDER BY financeiro_pedido.Ordem ");
            ?>
            <tr>
                <td>
                    <table width="100%" align="center" class="tabela">
                        <tr>
                            <td>Parcelas</td>
                            <td>Prazo: <?php echo $venda[0]["Tipo_Pagamento"]; ?></td>
                            <td>Data Base: <?php echo data_exibir($venda[0]["Data_Pagamento"]); ?></td>
                        </tr>
                        <tr class="azul-claro">
                            <td>N</td>
                            <td>Vencimento</td>
                            <td>Valor</td>
                        </tr>
                        <?php

                        for ($i=1; $i<=PARCELA_PAGAMENTO; $i++) {
                            $campo_tp.=" Taxa".str_pad($i, 2,"0", STR_PAD_LEFT).", Prazo".str_pad($i, 2,"0", STR_PAD_LEFT).", ";
                        }
                        $campo_tp = substr($campo_tp,0,-2);

                        foreach ($venda_parcela as $chave) {

                              $tip = mysqli_query($con, "SELECT $campo_tp
                                                           FROM tipo_pagamento
                                                          WHERE Id = '{$chave["Id_Tipo_Pagamento"]}'  ")
                                    or die("ERRO no comando SQL:" . mysqli_error($con));
                            $array_tipo = mysqli_fetch_assoc($tip);


                            $z = 1;
                            for ($x = 1; $x<=PARCELA_PAGAMENTO; $x++) {

                                if ($x < 10) {
                                    $z = '0' . $x;
                                }

                                if ($array_tipo["Prazo" . $z] == "") {
                                    break;
                                }
                                ?>
                                <tr>
                                    <td><?php echo $x; ?></td>
                                    <td><?php echo data_exibir($chave["Data$z"]) ?></td>
                                    <td><?php echo number_format($chave["Valor$z"], 2, ',', '.') ?></td>
                                </tr>
                                <?php
                                $z++;
                            }
                        }
                        ?>
            <tr>
                <td colspan="2">Entrega: <?php echo data_exibir($venda[0]["Data_Entrega"]);?> - <?php echo calcula_dia(data_exibir($venda[0]["Data_Venda"]),data_exibir($venda[0]["Data_Entrega"])); ?> Dias</td>
                <td>Frete: <?php echo $venda[0]["Frete"];?></td>
            </tr>
                    </table>
                </td>
            </tr>
</table>
<br/>
<table width="98%" align="center">
	<tr>
		<td align="center">________________________</td>
		<td align="center">________________________</td>
	</tr>
	<tr>
		<td align="center">
                    <font face="verdana" size="2">
                    <?php
                    if(CLIENTE_RAZAO_SOCIAL=='Sim'){
                        echo $venda[0]["Razao_Social"];
                    }else{
                        echo $venda[0]["Cliente"];
                    }
                    ?>
                    </font>
                </td>
		<td align="center"><font face="verdana" size="2"><?php echo $venda[0]["Vendedor"];?></font></td>
	</tr>
</table>

<br>
</body>
</html>
<?php include "../include/rodape.php";?>