<?php
include_once '../include/conecta.php'; //Conecta com a nosso banco de dados MySQL
ini_set('session.gc_maxlifetime', 60 * 120);
session_start();
include_once '../include/ver_sessao.php';
include_once '../include/funcoesPhp.php';
include_once '../menu_movimento.php';
?>
<html>
<head>
    <title>Gw - Gesto Web</title>
    <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1" />
    <link rel="shortcut icon" href="imagem/favi_gw.ico" type="image/x-icon" />
    <link rel="stylesheet" type="text/css" href="../estilo/<?php echo SKIN; ?>/tableless.css" />
    <link rel="stylesheet" type="text/css" href="../estilo/<?php echo SKIN; ?>/tabelas.css" />
    <link rel="stylesheet" type="text/css" href="../js/datePicker/datePicker.css" />
    <script language="javascript" type="text/javascript" src="../js/jquery.js"></script>
    <?php include '../include/script_cabeca.php'; ?>
    <?php include '../include/script_campo.php'; ?>
    <script language="javascript" type="text/javascript" src="../js/script.js"></script>
    <!-- required plugins -->
    <script language="javascript" type="text/javascript" src="../js/datePicker/<?php if (PAIS == "USA") {
                                                                                    echo "date";
                                                                                } else {
                                                                                    echo "date-pt";
                                                                                } ?>.js"></script>
    <!--[if IE]>
	<script type="text/javascript" src="../js/datePicker/jquery.bgiframe.js"></script>
	<![endif]-->
    <!-- jquery.datePicker.js -->
    <script type="text/javascript" src="../js/datePicker/jquery.datePicker.js"></script>
    <script type="text/javascript" language="javascript">
        Date.firstDayOfWeek = 0;
        <?php if (PAIS == "USA") {
            echo "Date.format='mm/dd/yyyy';";
        } else {
            echo "Date.format='dd/mm/yyyy';";
        } ?>
        $(function() {
            $('.date-pick').datePicker({
                startDate: "01/01/2005"
            })
        });
    </script>
    <script type='text/javascript'>
        var pressedCtrl = false;
        $(document).keyup(function(e) {
            if (e.which == 17)
                pressedCtrl = false;
        })

        $(document).keydown(function(e) {
            if (e.which == 17)
                pressedCtrl = true;

            //CTRL + J (teclado) Bloqueado, erro com leitor de codigo de barras
            if (pressedCtrl == true && e.which == 74) {
                return false;
            }
        });
    </script>
    <style type="text/css">
        .input {
            margin: 0 5px;
            width: 150px;
            height: 40px;
            font: 25px Georgia, "Trebuchet MS", Tahoma, Times, serif;
            font-weight: bold;
        }

        .codigo {
            width: 250px;
            height: 40px;
            font: 25px Georgia, "Trebuchet MS", Tahoma, Times, serif;
            font-weight: bold;
        }

        .descricao {
            margin: 0 5px;
            width: 250px;
            height: 40px;
            font: 25px Georgia, "Trebuchet MS", Tahoma, Times, serif;
            font-weight: bold;
        }

        .fornecedor {
            margin: 0 5px;
            width: 80%;
            height: 40px;
            font: 25px Georgia, "Trebuchet MS", Tahoma, Times, serif;
            font-weight: bold;
        }

        h1 {
            font: 30px "Trebuchet MS", Tahoma, Helvetica, sans-serif;
            color: #f4f4f4;
        }

        .buscarprodutos {
            font: 20px "Trebuchet MS", Tahoma, Helvetica, sans-serif;
            color: #f4f4f4;
            font-weight: bold;
        }

        strong {
            margin: 0 5px;
            font: 18px "Trebuchet MS", Tahoma, Geneva, sans-serif;
            color: #000000;
            font-weight: bold;
        }

        span {
            font: 14px "Trebuchet MS", Tahoma, Helvetica, sans-serif;
            font-weight: bold;
            color: #069;
        }

        .over {
            overflow: scroll;
            height: 300px;
            padding: 0;
            background-color: #FFFFFF;
        }

        .tr-1 {
            background-color: #E8E8E8;
        }

        .tr-2 {
            background-color: #225F93;
        }

        .tr-3 {
            background-color: #cccccc;
        }

        .destaque {
            background: #00C5CD !important;
        }
    </style>
    <script type="text/javascript" language="javascript">
        //funcao de trocar a cor da TR no listar
        $(function() {
            $('table tr').hover(
                function() {
                    $(this).addClass('destaque');
                },
                function() {
                    $(this).removeClass('destaque');
                }
            );
        });
    </script>
    <script type="text/javascript">
        $(document).ready(function() {
            $('#selectAll').click(function() {
                if (this.checked == true) {
                    $("input[type=checkbox]").each(function() {
                        this.checked = true;
                    });
                } else {
                    $("input[type=checkbox]").each(function() {
                        this.checked = false;
                    });
                }
            });
        });
    </script>
    <style>
        form#tabela_preco {
            display: flex;
            flex-direction: column;
            background: #e8e8e8;
            padding: 10px 7px;
            gap: 1rem;
        }
        form button[type="submit"] {
            cursor: pointer;
        }
        form#tabela_preco .d-flex .dp-choose-date {
            position: absolute;
            right: 10px;
            top: 30px;
        }
        form#tabela_preco input[type="text"] {
            padding-right: 25px!important;
        }
        form input[type="text"], form select {
            height: 40px;
            padding: 5px;
        }
        .d-flex {
            display: flex;
        }
        .row {
            display: flex;
        }
        .flex-column {
            flex-direction: column;
        }
        .justify-content-center {
            justify-content: center;
        }
    </style>
</head>
<body>
    <div class="row justify-content-center" style="background: #225F93;">
        <span id="Caixa_Livre" class="buscarprodutos">
            Exportar Vendas
        </span>
    </div>
    <form name="tabela_preco" id="tabela_preco" method="post" action="">
        <div class="row" style="gap:1rem;flex-wrap:wrap;padding:7px">
            <div class="d-flex flex-column">
                <b>Tipo Data</b>
                <select name="TipoData" id="" style="width: 120px;">
                    <option value="Venda" <?php echo $_POST['TipoData'] && $_POST['TipoData'] == "Venda" ? "selected" : "";?>>Venda</option>
                    <option value="Nfe" <?php echo $_POST['TipoData'] && $_POST['TipoData'] == "Nfe" ? "selected" : "";?>>Nfe</option>
                </select>
            </div>
            <div class="d-flex flex-column" style="position: relative;">
                <b>Data</b>
                <input type="text" name="Data" id="Data" class="date-pick codigo" value="<?php echo $_POST["Data"]; ?>">
            </div>
            <div class="d-flex flex-column">
                <b>Status</b>
                <select name="Status" id="Status">
                    <option value="Aberto" <?php echo $_POST['Status'] && $_POST['Status'] == "Aberto" ? "selected" : "";?>>Em Lanamento</option>
                    <option value="Finalizado" <?php echo $_POST['Status'] && $_POST['Status'] == "Finalizado" ? "selected" : "";?>>Finalizado</option>
                    <option value="Cancelado" <?php echo $_POST['Status'] && $_POST['Status'] == "Cancelado" ? "selected" : "";?>>Cancelado</option>
                </select>
            </div>
            <?php
            if (MULTI_EMPRESA == "Sim" && ESCOLHER_EMPRESA == 'Sim') {
                $unidades = mysqli_query($con, "SELECT Id,Titulo FROM unidade WHERE Ativo = 'Sim' ORDER BY Titulo")?>
                <div class="d-flex flex-column">
                    <b>Empresa</b>
                    <select name="Unidade" id="Unidade">
                        <?php
                        while($unidade = mysqli_fetch_assoc($unidades)) {?>
                            <option value="<?php echo $unidade['Id'];?>"><?php echo $unidade['Titulo'];?></option>
                            <?php
                        }?>
                    </select>
                </div>
                <?php
            }?>
        </div>
        <div class="row flex-column" style="padding: 6px;">
            <b>Transportadora</b>
            <select name="Transportadora" id="Transportadora">
                <option value="">Selecione</option>
                <?php
                $transportadoras = mysqli_query($con, "SELECT Id, Razao_Social FROM fornecedor WHERE Ativo = 'Sim' AND Tipo = 'T'");
                while($transportadora = mysqli_fetch_assoc($transportadoras)) {?>
                    <option value="<?php echo $transportadora['Id'];?>" <?php echo $_POST['Transportadora'] == $transportadora['Id'] ? 'selected' : ''?>>
                        <?php echo $transportadora['Razao_Social'];?>
                    </option>
                    <?php
                }?>
            </select>
        </div>
        <div class="row flex-column">
            <div class="d-flex">
                <strong>Pedido</strong>
                <span>Separar os lanamentos por Virgulas.</span>
            </div>
            <input style="width: -moz-available;" type="text" name="Pedido" id="Pedido" class="Descricao" value="<?php echo $_POST["Pedido"]; ?>">
        </div>
        <div class="d-flex justify-content-center">
            <button type="submit" name="Buscar" value="Buscar Ttulos" style="width: 400px; height: 40px">
                <span style="font-size: 20px;color: #000">Buscar Ttulos</span>
            </button>
        </div>
    </form>
    <?php
    if ($_SERVER['REQUEST_METHOD'] == "POST") {
        if ($_POST["Buscar"] && $_POST["Data"]) {
            $campoData = $_POST['TipoData'] == 'Venda' ? "Data_Venda" : "Data_Nfe";
            $idUnidade = MULTI_EMPRESA == "Sim" && ESCOLHER_EMPRESA == 'Sim' ? addslashes($_POST['Unidade']) : $_SESSION['Unidade'];
            $dataFiltro = data_banco($_POST["Data"]);
            $filtroPedido = "";
            $filtroTransportadora = "";

            if ($_POST["Pedido"]) {
                $filtroPedido .= " AND venda.Lancamento IN({$_POST["Pedido"]})";
            }
            if($_POST['Transportadora']) {
                $filtroTransportadora .= " AND venda.Id_Transportadora = '{$_POST['Transportadora']}'";
            }

            $vendas = mysqli_query($con, "SELECT venda.Id, venda.Lancamento, venda.Data_Venda, venda.Valor_Pago, vendedor.Titulo as Vendedor
                FROM venda LEFT JOIN (SELECT Id,Titulo FROM funcionario) as vendedor ON vendedor.Id = venda.Id_Vendedor
                WHERE venda.Id != '' AND venda.Status = '{$_POST['Status']}' AND venda.Id_Unidade = '$idUnidade' 
                AND (venda.$campoData BETWEEN '$dataFiltro 00:00:00' AND '$dataFiltro 23:59:59') $filtroPedido $filtroTransportadora
                ORDER BY Data_Venda, Lancamento");

        }
        else {
            if (!$_POST["Data"]) {
                echo "<script>alert('Faltou Preencher: Data');</script>";
            }
        }
    }
    ?>
    <form name="exportar" id="exportar" method="post" action="./gerar_txt_vendas.php">
        <table width="100%" border="0" cellpadding="2" cellspacing="1" id="tabela_pdv">
            <tr bgcolor="#225F93">
                <td align="center"><input type="checkbox" id="selectAll" name="todos" value="todos"><strong>Marcar Todos</strong></td>
                <td><strong>Cd</strong></td>
                <td><strong>Data</strong></td>
                <td><strong>Valor</strong></td>
                <td><strong>Vendedor</strong></td>
            </tr>
            <?php
            $x = 0;
            while ($venda = mysqli_fetch_assoc($vendas)) {?>
                <tr class="tr-1">
                    <td align="center">
                        <b>
                            <input type="checkbox" name="venda[<?php echo $x;?>]" value="<?php echo $venda["Id"]; ?>">
                        </b>
                    </td>
                    <td><b><?php echo $venda["Lancamento"]; ?></b></td>
                    <td><b><?php echo data_exibir($venda["Data_Venda"]); ?></b></td>
                    <td><b><?php echo valor_exibir($venda["Valor_Pago"]); ?></b></td>
                    <td><b><?php echo $venda["Vendedor"]; ?></b></td>
                </tr>
                <?php
                $x++;
            }
            ?>
            <tr>
                <td colspan="5" align="center" bgcolor="#225F93">
                    <input type="hidden" name="Status" value="<?php echo $_POST["Status"]; ?>">
                    <button type="submit" name="Exportar" value="Exportar" style="width: 400px; height: 40px">
                        <span style="font-size: 20px;color: #000">Gerar</span>
                    </button>
                </td>
            </tr>
        </table>
    </form>
    <script>
        $(document).ready(function() {
            $("form#exportar").submit(function(e) {
                e.preventDefault();
                $(this).find("button[type=submit]").attr("disabled", true).html('Aguarde...');
                
                let url = $(this).attr("action");
                let vendas = [];
                Array.from($(this).find("input[name*=venda]")).forEach(venda => {
                    if($(venda).attr("checked")) {
                        vendas.push($(venda).val());
                    }
                });
                let dados = JSON.stringify({
                    vendas: vendas,
                });
                let abrirTelaTxt = window.open(`${url}?token=${btoa(dados)}`, '_blank','width=300,height=300,top=0,left=0,scrollbars=yes')
                let verificarTelaTxt = setInterval(function() {
                    if (abrirTelaTxt != null && abrirTelaTxt.closed) {
                        clearInterval(abrirTelaTxt);
                        window.close();
                    }
                }, 1000);
            })
        });
        </script>
</body>
</html>