<?php
include_once '../../include/conecta.php'; //Conecta com a nosso banco de dados MySQL
include_once '../../include/ver_sessao.php'; //Verifica se a sesso est ativa
include_once '../../include/funcoesPhp.php';
include_once '../../menu_movimento.php';


/*BUSCA REALIZADA PARA MONTAR A TABELA DE CONSULTA DOS ITENS SO ATIVA QUANDO O BUTAO FOR CHAMADO*/
$sql_venda = mysqli_query($con, "SELECT DISTINCT venda_produto.Id,
                                        venda_produto.Id_Produto,
                                        venda_produto.Preco,
                                        venda_produto.Qtd,
                                        venda_produto.Qtd_Estoque,
                                        venda_produto.Desconto,
                                        venda_produto.Desconto_Real,
                                        venda_produto.Desconto_Real_Pe_Nota,
                                        venda_produto.ST_Icms,
                                        venda_produto.Icms,
                                        venda_produto.Icms_Sub,
                                        venda_produto.Mva,
                                        venda_produto.Reducao,
                                        venda_produto.ReducaoBC,
                                        venda_produto.CST_Ipi,
                                        venda_produto.Ipi,
                                        venda_produto.Frete,
                                        venda_produto.Despesa,
                                        venda_produto.C_Produto,
                                        venda_produto.Lote,
                                        venda_produto.Data_Validade,
                                        venda_produto.Data_Fabricacao,
                                        venda_produto.Medida,
                                        venda_produto.Medida_Faturado,
                                        venda_produto.Qtd_Faturado,
                                        venda_produto.Valor_Faturado,
                                        venda_produto.Valor_Pauta,
                                        venda_produto.FCP,
                                        venda_produto.Volume,
                                        venda_produto.vICMSDeson,
                                        venda_produto.Lucro,
                                        venda_produto.Preco_Custo,
                                        produto.Titulo as 'Produto',
                                        produto.Codigo,
                                        produto.Qtd_Caixa,
                                        produto.Qtd_Caixa as Qtd_Caixa_Calc,
                                        produto.Qtd_Caixa2,
                                        produto.Peso_Bruto,
                                        produto.Peso_Liquido,
                                        produto.Medida,
                                        produto.Cesta_Basica,
                                        local_estoque.Titulo as Local_Estoque,
                                        cfop.Cfop,
                                        cliente.Ipi as Ipi_Cliente,
                                        cliente.Consumidor_Final,
                                        cliente.Nao_Contribuinte_Icms,
                                        cliente.Estado as Estado_Cliente,
                                        cliente.Cliente_FCP,
                                        unidade.Estado as Estado_Empresa,
                                        unidade.Id as Id_Unidade
                                        FROM venda_produto
                                        left join (SELECT Id,Titulo,Regime_ST,Codigo,Qtd_Caixa,Qtd_Caixa2,Peso_Bruto,Peso_Liquido,Medida,Medida2,FCP,Valor_Pauta,Cesta_Basica FROM produto) as produto ON produto.Id = venda_produto.Id_Produto
                                        left join (SELECT Id,Titulo FROM local_estoque) as local_estoque ON local_estoque.Id = venda_produto.Id_Local_Estoque
                                        left join (SELECT Id,Cfop FROM cfop) as cfop ON cfop.Id = venda_produto.Id_Cfop
                                        left join (SELECT Id,Estado FROM unidade) as unidade ON unidade.Id = venda_produto.Id_Unidade
                                        left join (SELECT Id,Consumidor_Final,Nao_Contribuinte_Icms,Estado,Ipi,Cliente_FCP FROM cliente) as cliente ON cliente.Id = venda_produto.Id_Cliente
                                        WHERE venda_produto.Id_Venda='" . $_POST["Codigo_Venda"] . "'
                                        ORDER BY venda_produto.Data_Cadastro $orde ")
    or die("ERRO no comando SQL:" . mysqli_error($con));


?>
<script language="javascript" type="text/javascript">
    function idProduto(Id, Id_Linha) {
        window.open('produto_descricao.php?id_produto=' + Id + '&id_linha=' + Id_Linha, 'Descricao',
            'width=600,height=400,top=0,left=0,scrollbars=yes');
    }
</script>
<?php

ob_start();

$_POST["Valor_Frete"] = str_replace('.', '', $_POST["Valor_Frete"]);
$_POST["Valor_Frete"] = str_replace(',', '.', $_POST["Valor_Frete"]);

$color = "#F5F5F5";
$x = 0;
$y = 1;
$qtdVol = 0;
while ($linha = mysqli_fetch_assoc($sql_venda)) {
    if ($color == "#F5F5F5") {
        $color = "#E8E8E8";
    } else {
        $color = "#F5F5F5";
    }

    $desc_perc = valor_banco(valor_exibir((($linha['Qtd'] * $linha['Preco']) * ($linha['Desconto'] / 100)), 2));
    $id_unidade = $linha['Id_Unidade'];
?>

    <?php if ($x == 0) { ?>
        <table width="100%" align="center" border="0" cellpadding="2" cellspacing="2">
            <tr>
                <?php if (!empty(MENU_INDICADOR_VENDA) && INDICADOR_LUCRO == 'Sim') { ?>
                    <td class="table_prod_nome">&nbsp;</td>
                <?php } ?>
                <td class="table_prod_nome">X</td>
                <td class="table_prod_nome">Cd</td>
                <td class="table_prod_nome">Item</td>
                <?php if (!empty(MENU_INDICADOR_VENDA) && VER_CUSTO_VENDA == 'Sim') { ?>
                    <td class="table_prod_nome">Custo</td>
                <?php } ?>
                <td class="table_prod_nome">Valor</td>
                <?php if (!empty(MENU_INDICADOR_VENDA) && VER_LUCRO_VENDA == 'Sim') { ?>
                    <td class="table_prod_nome">Lucro</td>
                <?php } ?>
                <td class="table_prod_nome">Vol</td>
                <td class="table_prod_nome">Qtd</td>
                <td class="table_prod_nome">Med Fat</td>
                <?php //if($linha['Medida_Faturado']!=$linha['Medida']){
                ?>
                <td class="table_prod_nome">Qtd Fat</td>
                <td class="table_prod_nome">Val Fat</td>
                <?php //}
                ?>
                <td class="table_prod_nome">Desc %</td>
                <td class="table_prod_nome">Desc</td>
                <td class="table_prod_nome">Desc Rat</td>
                <td class="table_prod_nome">Deson</td>
                <td class="table_prod_nome">Local</td>
                <td class="table_prod_nome">Lote</td>
                <td class="table_prod_nome">Validade</td>
                <td class="table_prod_nome">Fabricao</td>
                <td class="table_prod_nome">Icms %</td>
                <td class="table_prod_nome">CST</td>
                <td class="table_prod_nome">Sub R$</td>
                <td class="table_prod_nome">Ipi %</td>
                <td class="table_prod_nome">Cfop</td>
                <td class="table_prod_nome">Total Venda</td>
                <td class="table_prod_nome">Alterar</td>
                <td class="table_prod_nome">Remover</td>
            </tr>
        <?php
    } ?>




        <?php
        //comparacao dos impostos
        $v_unit_normal = valor_banco(valor_exibir($linha['Qtd'] * $linha['Preco'], 2));
        $v_unit_fat = $linha['Valor_Faturado'];

        if (($v_unit_normal != $v_unit_fat) && ($linha['Valor_Faturado'] > 0)) {
            $v_unit_calculo = $linha['Valor_Faturado'];
        } else {
            $v_unit_calculo = valor_banco(valor_exibir((($linha['Qtd'] * $linha['Preco']) - $desc_perc) - $linha['Desconto_Real'] - $linha['Desconto_Real_Pe_Nota'], 2));
        }
        $Valor_Total_S += valor_banco(valor_exibir((($linha['Qtd'] * $linha['Preco']) - $desc_perc) - $linha['Desconto_Real'], 2));
        $Valor_Total += valor_banco(valor_exibir((($linha['Qtd'] * $linha['Preco']) - $desc_perc) - $linha['Desconto_Real'] - $linha['Desconto_Real_Pe_Nota'], 2));
        $qtd_volume += $linha['Volume'];
        $total_bruto += $linha['Qtd'] * $linha['Peso_Bruto'];
        $total_liquido += $linha['Qtd'] * $linha['Peso_Liquido'];
        $qtdVol +=  $linha['Volume'];
        $VICMSDESON += $linha['vICMSDeson'];
        $Custo_Total += valor_banco(valor_exibir($linha['Qtd'] * $linha['Preco_Custo']));

        //$lucroItem = valor_banco($linha['Preco'] - $linha['Preco_Custo']);
        $margemLucro = ((valor_banco($linha['Preco']/$linha['Preco_Custo']) -1) * 100);

        if (
            $linha['Ipi'] != '0' &&
            (
                ($linha['CST_Ipi'] === '00') || ($linha['CST_Ipi'] == '49') ||
                ($linha['CST_Ipi'] == '50') || ($linha['CST_Ipi'] == '99')
            )
        ) {
            $VBC = $v_unit_calculo;
            $VBC = $VBC + $linha['Frete'] + $linha['Despesa'];
            if ($linha['ReducaoBC'] > '0') {
                $VBC = $VBC - ($VBC * ($linha['ReducaoBC'] / 100));
            }
            $vIpi = number_format(($VBC * ($linha['Ipi'] / 100)), 2, '.', '');
            $VIPI += number_format(($VBC * ($linha['Ipi'] / 100)), 2, '.', '');
        }

        if (($linha["Consumidor_Final"] == 'Sim') && ($linha["Ipi_Cliente"] == 'Sim')) {
            $bcIpi = $vIpi;
        }
        if ($linha["Ipi_Cliente"] == 'Sim') {
            $bcstIpi = $vIpi;
        }

        $valor_st = '0';
        //calculando o valor do ICMS ST
        if ($linha['ST_Icms'] == '10' || $linha['ST_Icms'] == '70' || $linha['ST_Icms'] == '90') {

            if ($linha['Bonificacao'] == 'Sim') {
                $desc_perc = '0';
                $linha['Desconto_Real'] = '0';
            }

            $VBC = number_format(($v_unit_calculo) + ($linha['Frete'] + $linha['Despesa']), 2, '.', '');

            if ($linha["ReducaoBC"] > '0') {
                $VBCicms = $VBC - ($VBC * ($linha['ReducaoBC'] / 100));
            } else {
                $VBCicms = $VBC;
            }

            $VICMS = ($VBCicms * ($linha['Icms'] / 100));


            $vBCST = ($VBC + $bcstIpi) * (1 + (($linha['Mva'] / 100)));
            $vBCST = $vBCST - ($vBCST * ($linha['Reducao'] / 100));
            $valor_st = number_format($vBCST * ($linha['Icms_Sub'] / 100), 2, '.', '') - number_format($VICMS, 2, '.', '');

            //calculo com o valor de pauta
            if ($linha['Preco'] < $linha['Valor_Pauta']) {
                if ($linha['Estado_Cliente'] == 'RN' || $linha['Estado_Cliente'] == 'PB' || $linha['Estado_Cliente'] == 'AL') {

                    $preco_pauta = $linha['Valor_Pauta'];

                    $VBCp = (($linha['Qtd'] * $preco_pauta) - $desc_perc) - $linha['Desconto_Real'] - $linha['Desconto_Real_Pe_Nota'] + ($linha['Frete'] + $linha['Despesa']);
                    $VICMS = ($VBCp * ($linha['Icms'] / 100));
                    $vBCST = ($VBCp + $bcstIpi) * (1 + (($linha['Mva'] / 100)));
                    $vBCST = $vBCST - ($vBCST * ($linha['Reducao'] / 100));
                    $valor_st = ($vBCST * ($linha['Icms_Sub'] / 100)) - ($VBC * ($linha['Icms'] / 100));
                }
            }

            if (($linha["Estado_Cliente"] == $linha["Estado_Empresa"]) && $linha["Cesta_Basica"] == 'Sim') {
                $VBC = (($linha['Qtd'] * $linha['Preco']) - $desc_perc) - $linha['Desconto_Real'] - $linha['Desconto_Real_Pe_Nota'];
                $VBC = $VBC + $linha['Frete'] + $linha['Despesa'];
                if ($linha['ReducaoBC'] > '0') {
                    $VBC = $VBC - ($VBC * ((100 - $linha['ReducaoBC']) / 100)); //reversa
                }
                $VICMS = ($VBC * ($linha['Icms'] / 100));

                $VBC = (($linha['Qtd'] * $linha['Preco']) - $desc_perc) - $linha['Desconto_Real'] - $linha['Desconto_Real_Pe_Nota'];
                $VBC = $VBC + $linha['Frete'] + $linha['Despesa'];
                $vBCST = ($VBC + $bcstIpi) * (1 + (($linha['Mva'] / 100)));
                $vBCST = $vBCST - ($vBCST * ($linha['Reducao'] / 100));
                $valor_st = ($vBCST * ($linha['Icms_Sub'] / 100));
            }

            //difal st - biowash
            if ($linha["Consumidor_Final"] == 'Sim' && $linha["Nao_Contribuinte_Icms"] == 'Sim') {
                $VBCp = (($linha['Qtd'] * $linha['Preco']) - $desc_perc) - $linha['Desconto_Real'] - $linha['Desconto_Real_Pe_Nota'] + ($linha['Frete'] + $linha['Despesa']);
                $VBCp = $VBCp + $bcstIpi;
                $VICMS_sem_op_inter = ($VBCp * ($linha['Icms'] / 100));

                $VBC_sem_op_inter = $VBCp - $VICMS_sem_op_inter;
                $VBC_sem_op_inter = ($VBC_sem_op_inter / (1 - ($linha['Icms_Sub'] / 100)));

                $VICMS = ($VBC_sem_op_inter * ($linha['Icms_Sub'] / 100));

                $Difal = $VICMS - $VICMS_sem_op_inter;

                $valor_st = $Difal;
            }

            $VICMSST += number_format($valor_st, 2, ".", "");
        }

        //calculando o valor do ICMS ST - simples
        if (($linha['ST_Icms'] == '201') || ($linha['ST_Icms'] == '202') || ($linha['ST_Icms'] == '900')) {

            if ($linha['ReducaoBC'] > '0') {
                $VBC = $VBC - ($VBC * ($linha['ReducaoBC'] / 100));
            }

            if ($linha['Bonificacao'] == 'Sim') {
                $desc_perc = '0';
                $linha['Desconto_Real'] = '0';
            }



            $VBC = number_format((($linha['Qtd'] * $linha['Preco']) - $desc_perc) - $linha['Desconto_Real'] - $linha['Desconto_Real_Pe_Nota'] + ($linha['Frete'] + $linha['Despesa']), 2, '.', '');
            // $VBC = number_format(($v_unit_calculo) + ($linha['Frete'] + $linha['Despesa']), 2, '.', '');
            $VICMS = number_format($VBC * ($linha['Icms'] / 100), 2, '.', '');
            //$ValorICMSProprioparaST = $VBC * ($linha['Icms_Sub']/100);//calc diferente
            $vBCST = ($VBC + $bcstIpi) * (1 + (($linha['Mva'] / 100)));
            $valor_st = number_format($vBCST * ($linha['Icms_Sub'] / 100), 2, '.', '') - ($VICMS);
            $VICMSST += number_format($valor_st, 2, ".", "");
        }

        //calculo FCPST
        if (($linha['ST_Icms'] == '201') || ($linha['ST_Icms'] == '202') || ($linha['ST_Icms'] == '900') ||
            $linha['ST_Icms'] == '10' || $linha['ST_Icms'] == '70' || $linha['ST_Icms'] == '90'
        ) {
            if (($linha["Cliente_FCP"] == 'Sim') &&
                ($linha["Estado_Cliente"] != $linha["Estado_Unidade"]) &&
                ($linha["FCP"] > '0')
            ) {
                // $vFCP = $VBC;
                // $vFCP = str_replace('.', '', $vFCP);
                // $vFCP = str_replace(',', '.', $vFCP);

                $vtFCPItem = number_format($VBC * ($linha["FCP"] / 100), 2, ".", "");
                $vtFCPSTItem += number_format(($vBCST * ($linha["FCP"] / 100)), 2, ".", "");
            }
        }
        ?>
        <tr bgcolor=<?php echo "$color"; ?>>
            <?php
            if (!empty(MENU_INDICADOR_VENDA) && INDICADOR_LUCRO == 'Sim') {

                $buscaCorLucro = mysqli_query($con, "SELECT Cor FROM indicador_registro WHERE Fim >= '" . $margemLucro . "' AND Id_Unidade='".$id_unidade."' ORDER BY Fim ASC ");
                $retornoCorLucro = mysqli_fetch_array($buscaCorLucro);
            ?>
                <td style="background-color:<?php echo $retornoCorLucro["Cor"] ?>"></td>
            <?php } ?>
            <td class="table_prod_valor"><?php echo $y; ?></td>
            <td class="table_prod_valor"><?php echo $linha['Codigo']; ?></td>
            <td class="table_prod_valor" title="<?php echo $linha['C_Produto']; ?>" ondblclick="idProduto('<?php echo $linha["Id_Produto"]; ?>','<?php echo $linha["Id"]; ?>')">
                <?php echo $linha['Produto']; ?>
            </td>
            <?php if (!empty(MENU_INDICADOR_VENDA) && VER_CUSTO_VENDA == 'Sim') { ?>
                <td class="table_prod_valor"><?php echo valor_exibir($linha['Preco_Custo']); ?></td>
            <?php } ?>
            <td class="table_prod_valor"><?php echo valor_exibir($linha['Preco']); ?></td>
            <?php if (!empty(MENU_INDICADOR_VENDA) && VER_LUCRO_VENDA == 'Sim') { ?>
                <td class="table_prod_valor"><?php echo valor_exibir($margemLucro); ?>%</td>
            <?php } ?>
            <td class="table_prod_valor"><?php echo $linha['Volume']; ?></td>
            <td class="table_prod_valor"><?php echo $linha['Qtd']; ?></td>
            <td class="table_prod_valor"><?php echo $linha['Medida_Faturado']; ?></td>
            <?php //if($linha['Medida_Faturado']!=$linha['Medida']){
            ?>
            <td class="table_prod_valor"><?php echo valor_exibir($linha['Qtd_Faturado']); ?></td>
            <td class="table_prod_valor"><?php echo valor_exibir($linha['Valor_Faturado']); ?></td>
            <?php //}
            ?>
            <td class="table_prod_valor"><?php echo valor_exibir($linha['Desconto']); ?></td>
            <td class="table_prod_valor"><?php echo valor_exibir($linha['Desconto_Real']); ?></td>
            <td class="table_prod_valor"><?php echo valor_exibir($linha['Desconto_Real_Pe_Nota']); ?></td>
            <td class="table_prod_valor"><?php echo valor_exibir($linha['vICMSDeson']); ?></td>
            <td class="table_prod_valor"><?php echo $linha['Local_Estoque']; ?></td>
            <td class="table_prod_valor"><?php echo $linha['Lote']; ?></td>
            <td class="table_prod_valor"><?php echo data_exibir($linha['Data_Validade']); ?></td>
            <td class="table_prod_valor"><?php echo data_exibir($linha['Data_Fabricacao']); ?></td>
            <td class="table_prod_valor"><?php echo valor_exibir($linha['Icms'], 2); ?></td>
            <td class="table_prod_valor"><?php echo $linha['ST_Icms']; ?></td>
            <td class="table_prod_valor"><?php echo valor_exibir($valor_st, 2); ?></td>
            <td class="table_prod_valor"><?php echo valor_exibir($linha['Ipi'], 2); ?></td>
            <td class="table_prod_valor"><?php echo $linha['Cfop']; ?></td>
            <td class="table_prod_valor">
                <?php echo valor_exibir((($linha['Qtd'] * $linha['Preco']) - $desc_perc) - $linha['Desconto_Real'] - $linha['Desconto_Real_Pe_Nota'], 2); ?>
            </td>
            <?php if ($_POST["Opcao_Ver"] != 'ver') { ?>
                <td class="table_prod_valor">
                    <?php if (VENDAL8_ALTERAR == 'Sim') { ?>
                        <button class="botao_novo" type="button" value="Alterar" onclick="window.open('tabela_alterar.php?id_linha=<?php echo $linha['Id']; ?>','Alterar','width=600,height=550,top=0,left=0,scrollbars=yes')">
                            Alterar
                        </button>
                    <?php } ?>
                </td>
                <td class="table_prod_valor">
                    <?php if (VENDAL8_REMOVER == 'Sim') { ?>
                        <button class="botao_novo" type="button" value="Remover" onclick="ApagarLinha('<?php echo $linha['Id']; ?>');">
                            Remover
                        </button>
                    <?php } ?>
                <?php } ?>
                </td>
        </tr>
        <tr>
            <td height="2"></td>
        </tr>
    <?php
    $x++;
    $y++;
}


$VICMSST = number_format($VICMSST, 2, ",", ".");
$VICMSST = str_replace('.', '', $VICMSST);
$VICMSST = str_replace(',', '.', $VICMSST);

$VIPI = number_format($VIPI, 2, ",", ".");
$VIPI = str_replace('.', '', $VIPI);
$VIPI = str_replace(',', '.', $VIPI);

$VICMSDESON = number_format($VICMSDESON, 2, ",", ".");
$VICMSDESON = str_replace('.', '', $VICMSDESON);
$VICMSDESON = str_replace(',', '.', $VICMSDESON);

$vtFCPSTItem = number_format($vtFCPSTItem, 2, ",", ".");
$vtFCPSTItem = str_replace('.', '', $vtFCPSTItem);
$vtFCPSTItem = str_replace(',', '.', $vtFCPSTItem);
    ?>

        </table>
        <table width="100%">
            <tr>
                <!-- <td colspan="1"></td> -->
                <td width="30%" colspan="3" align="right">
                    <?php if ($VICMSDESON != '0') { ?>
                        <font face="verdana" size="2">Icms Deson
                            <input type="text" name="Valor_Icms_Deson" id="Valor_Icms_Deson" readonly="readonly" value="<?php echo $VICMSDESON; ?>" size="10">
                        </font>
                    <?php } ?>
                    <?php if ($vtFCPSTItem != '0') { ?>
                        <font face="verdana" size="2">FCP ST
                            <input type="text" name="FCPST" id="FCPST" readonly="readonly" value="<?php echo $vtFCPSTItem; ?>" size="10">
                        </font>
                    <?php } ?>
                    <?php if ($VIPI != '0') { ?>
                        <font face="verdana" size="2">IPI
                            <input type="text" name="Valor_Ipi" id="Valor_Ipi" readonly="readonly" value="<?php echo $VIPI; ?>" size="10">
                        </font>
                    <?php } ?>
                    <?php if ($VICMSST != '0') { ?>
                        <font face="verdana" size="2">ICMS ST
                            <input type="text" name="Valor_Icms_ST" id="Valor_Icms_ST" readonly="readonly" value="<?php echo $VICMSST; ?>" size="10">
                        </font>
                    <?php } ?>
                    <font face="verdana" size="2">Total Venda:
                        <input type="text" name="Valor_Total" id="Valor_Total" readonly="readonly" value="<?php echo  valor_exibir($Valor_Total, 2); ?>" size="10">
                    </font>
                </td>
            </tr>

            <input type="hidden" name="Voltas" value="<?php echo $x++ ?>">
            <input type="hidden" name="Qtd_Volume" id="Qtd_Volume" value="<?php echo valor_exibir($qtd_volume); ?>">
            <input type="hidden" name="Total_Bruto" id="Total_Bruto" value="<?php echo valor_exibir($total_bruto); ?>">
            <input type="hidden" name="Total_Liquido" id="Total_Liquido" value="<?php echo valor_exibir($total_liquido); ?>">
            <input type="hidden" name="Valor_Total_S" id="Valor_Total_S" value="<?php echo valor_exibir($Valor_Total_S); ?>">
            <!-- coloca o valor total dos itens no valor pago jogarVolume();-->
            <script type="text/javascript">
                jogarValor();
            </script>
        </table>
        <?php if (!empty(MENU_INDICADOR_VENDA) && $Valor_Total>0) { ?>
        <table width="100%">
            <tr>
                <?php
                //$lucroVenda = valor_banco($Valor_Total - $Custo_Total);
                $margemLucro = ((valor_banco($Valor_Total / $Custo_Total) -1) * 100);
                
                $buscaCorLucro = mysqli_query($con, "SELECT Cor FROM indicador_registro WHERE Fim >= '" . $margemLucro . "' AND Id_Unidade='".$id_unidade."' ORDER BY Fim ASC ");
                $retornoCorLucro = mysqli_fetch_array($buscaCorLucro);
                ?>
                <td style="background-color:<?php echo $retornoCorLucro["Cor"] ?>">
                    Indicador Venda
                    <?php
                    if (!empty(MENU_INDICADOR_VENDA) && VER_CUSTO_VENDA == 'Sim') {
                        echo valor_exibir($margemLucro)." %";
                    }
                    ?>
                </td>
            </tr>
        </table>
        <?php } ?>
        <?php
        $pagina = ob_get_contents();
        ob_end_clean();
        echo utf8_encode($pagina);
        ?>