<?php
include_once '../include/conecta.php'; //Conecta com a nosso banco de dados MySQL
include_once '../include/ver_sessao.php'; //Verifica se a sesso est ativa
include "validar_desconto.php";

$idVenda = addslashes($_POST['idVenda']);
$descontoPercentual = !empty($_POST["descontoPercentual"]) ? str_replace(['.', ','], ['', '.'], $_POST["descontoPercentual"]) : 0;
$descontoReal = !empty($_POST["descontoReal"]) ? str_replace(['.', ','], ['', '.'], $_POST["descontoReal"]) : 0;
// $descontoReal = $_POST["descontoReal"];
$venda = $con->query("SELECT Aplicar_Taxa_Servico_Restaurante, Taxa_Couvert_Artistico, Id_Vendedor FROM venda WHERE Id='$idVenda'");
$venda = $venda->fetch_assoc();
$descontoVendedor = $con->query("SELECT Desconto_Produto, Desconto_Pedido FROM funcionario WHERE Id = '{$venda["Id_Vendedor"]}'");
$descontoVendedor = $descontoVendedor->fetch_assoc();
$produtosVenda = $con->query("SELECT Id, Preco, Qtd FROM venda_produto WHERE Id_Venda = '$idVenda' AND Cancelado = 'No'");
$produtosVenda = $produtosVenda->fetch_all(MYSQLI_ASSOC);
$totalVenda = 0;
$valorTaxa = 0;
$totalProduto = 0;
$descontoPermitido = validarDesconto($descontoVendedor, $descontoPercentual, $descontoReal, $produtosVenda);
// $descontoReal = $_POST["descontoReal"];

if ($descontoPermitido) {
    foreach ($produtosVenda as $produto) {
        $totalProduto += $produto['Preco'] * $produto['Qtd'];
    }


    $totalDescontoReal = $totalProduto - (($totalProduto - ($totalProduto * ($descontoPercentual / 100))) - $descontoReal);
    $totalDescontoReal = number_format($totalDescontoReal, 2, ".", "");
    $totalDescontoReal = $totalDescontoReal < 0 ? $totalDescontoReal * -1 : $totalDescontoReal;
    $descontoRateado = number_format($totalDescontoReal / $totalProduto, 4, '.', '');



    foreach ($produtosVenda as $indice => $produto) {
        $preco = $produto['Preco'] * $produto['Qtd'];
        if ($preco > 0.01) {
            $sql = "UPDATE venda_produto SET ";
            if ($descontoPercentual > 0 && $descontoReal <= 0) {
                $sql .= "Desconto='$descontoPercentual'";
                $preco -= ($preco * $descontoPercentual) / 100;
            } else {
                $sql .= "Desconto='0'";
            }

            if ($descontoReal > 0) {
                $descontoRealProduto = number_format($preco * $descontoRateado, 2, ".", "");
                $sql .= ",Desconto_Real='$descontoRealProduto'";

            } else {
                $sql .= ",Desconto_Real='0'";
            }
            $sql .= " WHERE Id='{$produto['Id']}'";
            $con->query($sql);
            $totalVenda += $preco;
        }
    }

    if ($descontoReal > 0) {
        $ultimoItem = $con->query("SELECT Id FROM venda_produto WHERE Id_Venda = '$idVenda' AND Cancelado = 'No' ORDER BY (Qtd * Preco) DESC");
        $ultimoItem = $ultimoItem->fetch_assoc();

        $totalDescontoAplicado = $con->query("SELECT SUM(Desconto_Real) as Valor_Total_Desconto FROM venda_produto
            WHERE Id_Venda = '$idVenda' AND Cancelado = 'No' AND Id != '{$ultimoItem["Id"]}'");
        $totalDescontoAplicado = $totalDescontoAplicado->fetch_assoc()['Valor_Total_Desconto'];

        $descontoUltimoItem = number_format($totalDescontoReal - $totalDescontoAplicado, 2, '.', '');
        $con->query("UPDATE venda_produto SET Desconto_Real = '$descontoUltimoItem' WHERE Id = '{$ultimoItem["Id"]}'");
    }

    if ($venda['Taxa_Couvert_Artistico'] > 0) {
        $totalVenda += $venda['Taxa_Couvert_Artistico'];
    }
    if ($venda['Aplicar_Taxa_Servico_Restaurante'] == "Sim") {
        $taxaRestaurante = $con->query("SELECT Taxa_Servico_Restaurante FROM opcao");
        $taxaRestaurante = $taxaRestaurante->fetch_assoc()['Taxa_Servico_Restaurante'];
        if ($taxaRestaurante > 0) {
            $valorTaxa = $totalVenda / $taxaRestaurante;
            $totalVenda += $valorTaxa;
            $valorTaxa = str_replace(['.', ','], ['', '.'], $valorTaxa);
            $valorTaxa = number_format($valorTaxa, 2);
        }
    }
    $totalVenda = str_replace(['.', ','], ['', '.'], $totalVenda);
    $totalVenda = number_format($totalVenda, 2);
    $_POST['descontoReal'] = number_format($_POST['descontoReal'], 2);
    $con->query("UPDATE venda SET Valor_Original='$totalVenda', Desconto='$descontoPercentual', Desconto_Real='{$_POST['descontoReal']}',
    Taxa_Servico_Restaurante='$valorTaxa' WHERE Id='$idVenda'");


    echo json_encode([
        "status" => "ok",
        "valorTotal" => number_format($totalVenda, 2, ',', '.'),
        "taxaServico" => number_format($valorTaxa, 2, ',', '.') ?? 0
    ]);
} else {
    echo json_encode(["status" => "erro", "mensagem" => "Desconto maior que o permitido"]);
}
