<?php
include_once '../include/conecta.php'; //Conecta com a nosso banco de dados MySQL
include_once '../include/ver_sessao.php'; //Verifica se a sesso est ativa
include_once '../include/funcoesPhp.php';
include_once '../menu_movimento.php';
?>
<?php
if (($_GET["Finalizado"]) || ($_GET["Aberto"]) || ($_GET["Cancelado"]) ||
    ($_GET["Cotacao"]) || ($_GET["Cotacao_Aberto"]) || ($_GET["Cotacao_Aprovada"]) ||
    ($_GET["Cotacao_Nao_Aprovada"]) || ($_GET["Fatura"]) || ($_GET["Separacao"])
) {

    $status = "AND (";

    if ($_GET["Finalizado"]) {
        $status .= " venda.Status = 'Finalizado' OR";
    }
    if ($_GET["Aberto"]) {
        $status .= " venda.Status = 'Aberto' OR";
    }
    if ($_GET["Cancelado"]) {
        $status .= " venda.Status = 'Cancelado' OR";
    }
    if ($_GET["Cotacao"]) {
        $status .= " venda.Status = 'Cotao' OR";
    }
    if ($_GET["Cotacao_Aberto"]) {
        $status .= " venda.Status = 'Cotao em Aberto' OR";
    }
    if ($_GET["Cotacao_Aprovada"]) {
        $status .= " venda.Status = 'Cotao Aprovada' OR";
    }
    if ($_GET["Cotacao_Nao_Aprovada"]) {
        $status .= " venda.Status = 'Cotao no Aprovada' OR";
    }
    if ($_GET["Fatura"]) {
        $status .= " venda.Status = 'Fatura' OR";
    }
    if ($_GET["Separacao"]) {
        $status .= " venda.Status = 'Separacao' OR";
    }

    $status = substr($status, 0, -2);
    $status .= ")";
}

if ($_GET['Data_Filtro'] == 'Data') {
    if ($_GET["De"])
        $data .= "AND venda.Data_Venda >= '" . data_banco($_GET["De"]) . " 00:00:00' ";
    if ($_GET["Ate"])
        $data .= "AND venda.Data_Venda <= '" . data_banco($_GET["Ate"]) . " 23:59:59' ";
}
if ($_GET['Data_Filtro'] == 'Conclusao') {
    if ($_GET["De"])
        $data .= "AND venda.Data_Conclusao >= '" . data_banco($_GET["De"]) . " 00:00:00' ";
    if ($_GET["Ate"])
        $data .= "AND venda.Data_Conclusao <= '" . data_banco($_GET["Ate"]) . " 23:59:59' ";
}

if ($_GET["Cliente"]) {

    $mystring = $_GET["Cliente"];
    $findme = " : ";

    $posicao = strpos($mystring, $findme);

    $cod_cli = substr($_GET["Cliente"], 0, $posicao);
    $nome_cli = substr($_GET["Cliente"], ($posicao + 3));


    if (CLIENTE_RAZAO_SOCIAL == 'Sim') {
        $nome = 'Razao_Social';
    } else {
        $nome = 'Titulo';
    }
    /* convertendo o nome do fornecedor, para o seu codigo */
    $Prodt = listar("SELECT Id FROM cliente WHERE " . $nome . " ='" . $nome_cli . "' AND Codigo = '" . $cod_cli . "' ");
    $_GET["Cliente"] = $Prodt[0]["Id"];

    $Cliente .= "AND venda.Id_Cliente = '" . $_GET["Cliente"] . "' ";
}

if ($_GET["Usuario"])
    $Usuario = "AND venda.Id_Usuario = '" . $_GET["Usuario"] . "' ";

if ($_GET["Funcionario"])
    $usuario_p .= "AND venda.Id_Funcionario = '" . $_GET["Funcionario"] . "' ";

if ($_GET["Vendedor"])
    $usuario_p .= "AND venda.Id_Vendedor = '" . $_GET["Vendedor"] . "' ";


if ($_GET["EF"])
    $usuario_p .= "AND venda.EF = '" . $_GET["EF"] . "' ";

if ($_GET["Origem"])
    $OrigemPedido .= "AND venda.Origem = '" . $_GET["Origem"] . "' ";

if ($_GET["Produto"]) {

    $mystring = $_GET["Produto"];
    $findme = " : ";

    $posicao = strpos($mystring, $findme);

    $cod_cli = substr($_GET["Produto"], 0, $posicao);
    $nome_cli = substr($_GET["Produto"], ($posicao + 3));


    /* convertendo o nome do fornecedor, para o seu codigo */
    $Prodt = listar("SELECT Id FROM produto WHERE Titulo='" . $nome_cli . "' AND Codigo = '" . $cod_cli . "' ");
    $_GET["Produto"] = $Prodt[0]["Id"];

    $venda_produto = "AND venda_produto.Id_Produto = '" . $_GET["Produto"] . "' ";
}

if ($_GET["Unidade"]) {
    $Unidade = "AND venda.Id_Unidade = '" . $_GET["Unidade"] . "' ";
}

if ($_GET["Tipo_Pagamento"]) {
    $tipo_pagto .= "AND venda_tipo_pagamento.Id_Tipo_Pagamento = '" . $_GET["Tipo_Pagamento"] . "' ";
}
if ($_GET["Exibir_Itens"]) {
    if ($_GET["Exibir_Itens"] == 'Sim') {
        $exibirItens = "AND venda_produto.Cancelado = 'Sim' ";
    } elseif ($_GET["Exibir_Itens"] == 'Todos') {
        $exibirItens = "AND (venda_produto.Cancelado = 'Sim' OR venda_produto.Cancelado = 'No') ";
    }
}


if (CLIENTE_RAZAO_SOCIAL == 'Sim') {
    $nome = 'Razao_Social';
} else {
    $nome = 'Titulo';
}


if ($_GET["Ok"]) {
    $venda = mysqli_query($con, "SELECT venda.Id, venda.Lancamento,
                               venda.Status,
                               venda.Frete,
                               venda.Valor_Frete,
                               venda.Despesa,
                               venda.Valor_Icms_Sub,
                               venda.Data_Venda,
                               venda.Data_Conclusao,
                               venda.Desconto,
                               venda.Desconto_Real,
                               venda.Obs,
                               venda.Id_Mesa,
                               venda.Origem,
                               venda.Numero_Comanda,
                               venda.Status,
                               cliente.Codigo as Codigo_Cliente,
                               cliente.$nome as Cliente,
                               tipo_pagamento.Titulo as Tipo_Pagamento,
                               funcionario.Titulo as 'Funcionario',
                               vendedor.Titulo as 'Vendedor',
                               cfop.Cfop,
                               cfop.Id_Tipo,
                               venda.Numero_Pedido
                               FROM venda
                               LEFT JOIN (SELECT Id,Id_Produto,Id_Venda,Cancelado FROM venda_produto WHERE 1=1 $cfop) as venda_produto ON venda_produto.Id_Venda = venda.Id
                               LEFT JOIN (SELECT Id,Titulo FROM funcionario) as vendedor ON vendedor.Id = venda.Id_Vendedor
                               LEFT JOIN (SELECT Id,Titulo FROM funcionario) as funcionario ON funcionario.Id = venda.Id_Funcionario
                               LEFT JOIN (SELECT Id,Codigo,$nome FROM cliente) as cliente ON venda.Id_Cliente = cliente.Id
                               LEFT JOIN (SELECT Id,Titulo FROM tipo_pagamento) as tipo_pagamento ON venda.Id_Tipo_Pagamento = tipo_pagamento.Id
                               LEFT JOIN (SELECT Id,Cfop,Id_Tipo FROM cfop) as cfop ON venda.Id_Cfop = cfop.Id
                               LEFT JOIN (SELECT Id,Id_Venda,Id_Tipo_Pagamento,Valor FROM venda_tipo_pagamento) as venda_tipo_pagamento ON venda_tipo_pagamento.Id_Venda = venda.Id
                               WHERE 1=1 $OrigemPedido
                               AND venda_produto.Cancelado = 'Sim'
                               $data $status $usuario_p $Cliente $venda_produto $Unidade $Usuario
                               $cfop_v $faturamento $tipo_pagto $Centro_Custo $atividade $vendedor2 $tipoCfop
                               GROUP BY venda.Lancamento
                               ORDER BY venda.Lancamento");
}
?>
<?php ob_start(); /* Inicia o fluxo */ ?>
<html>

<head>
    <link rel="stylesheet" type="text/css" href="../estilo/<?php echo SKIN; ?>/tabela_imp.css" />
    <script type="text/javascript" language="javascript" src="../js/jquery.js"></script>
    <?php include '../include/script_cabeca.php'; ?>
    <script type="text/javascript" language="javascript" src="../js/script.js"></script>
    <script type="text/javascript" language="javascript" src="../js/meiomask/meiomask.js"></script>
    <script type="text/javascript" language="javascript" src="../js/meiomask/<?php
                                                                                if (PAIS == "USA") {
                                                                                    echo "mascaras-usa";
                                                                                } else {
                                                                                    echo "mascaras";
                                                                                }
                                                                                ?>.js"></script>
</head>

<body>
    <?php include "../include/cabecalho_relatorio.php"; ?>
    <table width="100%">
        <tr>
            <td>
                <font face="verdana" size="2"><i>Relatrio de Vendas</i></font>
            </td>
        </tr>
        <tr>
            <td>
                <font face="verdana" size="2">
                    <?php
                    if ($_GET["De"]) {
                        echo "Perodo: " . $_GET["De"];
                    }
                    if ($_GET["Ate"]) {
                        echo "  " . $_GET["Ate"];
                    }
                    if ($_GET["Funcionario"]) {
                        $achar = listar("Select Titulo from funcionario
			where Id = '" . $_GET["Funcionario"] . "' ");
                        echo " - " . $achar[0]["Titulo"];
                    }
                    if ($_GET["Cliente"]) {
                        if (CLIENTE_RAZAO_SOCIAL == 'Sim') {
                            $nome = 'Razao_Social';
                        } else {
                            $nome = 'Titulo';
                        }
                        $achar = listar("Select " . $nome . " as Titulo from cliente
			where Id = '" . $_GET["Cliente"] . "' ");
                        echo " - " . $achar[0]["Titulo"];
                    }
                    if ($_GET["Produto"]) {
                        $achar = listar("Select Titulo from produto
			where Id = '" . $_GET["Produto"] . "' ");
                        echo " - " . $achar[0]["Titulo"];
                    }
                    if ($_GET["Cancelado"]) {
                        echo " - " . $_GET["Cancelado"];
                    }
                    if ($_GET["Finalizado"]) {
                        echo " - " . $_GET["Finalizado"];
                    }
                    if ($_GET["Aberto"]) {
                        echo " - " . $_GET["Aberto"];
                    }
                    //se o sistema for Multi Empresa
                    if ((MULTI_EMPRESA == "Sim") && ($_SESSION["Id_Nivel"] == '1')) {

                        if ($_GET["Unidade"]) {
                            $achar = listar("Select Titulo from unidade
						where Id = '" . $_GET["Unidade"] . "' ");
                            echo " - " . $achar[0]["Titulo"];
                        }
                    }
                    ?>
                </font>
            </td>
        </tr>
    </table>
    <table width="100%" class="tabela">
        <?php
        if ($_GET["Ok"]) {

            while ($chave = mysqli_fetch_assoc($venda)) {
        ?>
        <tr class="azul-claro">
            <td>Venda N: <b><?php echo $chave["Lancamento"] ?></b></td>
            <td colspan="5">Cliente:
                <b>
                    <?php echo $chave["Codigo_Cliente"] . " : " . $chave["Cliente"]; ?>
                </b>
            </td>
            <td colspan="3">
                Status: <?php
                                $corStatus = "";
                                if ($chave['Status'] == 'Finalizado') {
                                    $corStatus = "color = '#228B22' ";
                                }
                                if ($chave['Status'] == 'Aberto') {
                                    $corStatus = "color = '#3A5FCD' ";
                                }
                                if ($chave['Status'] == 'Cancelado') {
                                    $corStatus = "color = '#CD2626' ";
                                }
                                ?>
                <font <?php echo $corStatus ?>>
                    <?php echo $chave['Status']; ?>
                </font>
            </td>
            <?php
                    if ($chave["Id_Mesa"] == '') {
                        $Pedido = 'Pedido:';
                        $nPedido = $chave["Numero_Comanda"];
                    } else {
                        $Pedido = 'Mesa:';
                        $nPedido = $chave["Id_Mesa"];
                    }
                    ?>
            <td><?= $Pedido ?><b><?php echo $nPedido ?></b></td>
            <!--<td>Cfop: <b><?php echo $chave["Cfop"] ?></b></td>-->
            <td>Data: <b><?php echo data_exibir($chave["Data_Venda"]) ?></b></td>
        </tr>
        <tr>
            <td>Cdigo</td>
            <td>Produto</td>
            <td>Medida</td>
            <td>Valor</td>
            <td>Qtd</td>
            <td>Total</td>
            <td>Usurio Cadastro</td>
            <td>Data Cadastro</td>
            <td>Usurio Cancelamento</td>
            <td>Data Cancelamento</td>
            <td>Cliente Cancelamento</td>
        </tr>
        <?php
                $produto = mysqli_query($con, "SELECT produto.Titulo,
                                    produto.Codigo,
                                    produto.Medida,
                                    venda_produto.Preco,
                                    venda_produto.Qtd,
                                    venda_produto.Desconto,
                                    venda_produto.Cancelado,
                                    venda_produto.Desconto_Real,
                                    usuario.Login as UsuarioC,
                                    venda_produto.Data_Cadastro_Upd as DataCancelado,
                                    usuarioCad.Login as UsuarioCad,
                                    venda_produto.Data_Cadastro as DataCad,
                                    venda_produto.Desconto_Real,
                                    cliente.$nome as Cliente
                                    FROM venda_produto
                                    LEFT JOIN (SELECT Id,Titulo,Codigo,Medida FROM produto) as produto ON produto.Id = venda_produto.Id_Produto
                                    LEFT JOIN (SELECT Id,Login FROM usuario) as usuario ON venda_produto.Id_Usuario_Upd = usuario.Id
                                    LEFT JOIN (SELECT Id,Login FROM usuario) as usuarioCad ON venda_produto.Id_Usuario = usuarioCad.Id
                                    LEFT JOIN (SELECT Id,$nome FROM cliente) as cliente ON venda_produto.Id_Cliente = cliente.Id
                                    where venda_produto.Id_Venda = '" . $chave["Id"] . "'
                                    $exibirItens
                                    $venda_produto $cfop
                                    ORDER BY venda_produto.Data_Cadastro");
                ?>
        <?php
                $color = "#F5F5F5";
                $vtotal = '0';
                while ($valor = mysqli_fetch_assoc($produto)) {

                    if ($color == "#F5F5F5") {
                        $color = "#E8E8E8";
                    } else {
                        $color = "#F5F5F5";
                    }
                ?>
        <tr bgcolor=<?php echo "$color"; ?>>
            <td><?php echo $valor["Codigo"] ?></td>
            <td><?php echo $valor["Titulo"] ?></td>
            <td><?php echo $valor["Medida"] ?></td>
            <td><?php echo valor_exibir($valor["Preco"]); ?></td>
            <td><?php echo valor_exibir($valor["Qtd"]) ?></td>
            <td><?php echo @valor_exibir((($valor["Preco"] * $valor["Qtd"]) - (($valor["Preco"] * $valor["Qtd"]) * ($valor["Desconto"] / 100))) - $valor["Desconto_Real"]); ?>
            </td>
            <td><?php echo ($valor["UsuarioCad"]); ?></td>
            <td><?php echo data_hora($valor["DataCad"]); ?></td>
            <td><?php if ($valor['Cancelado'] == 'Sim') {
                                echo ($valor["UsuarioC"]);
                            } ?></td>
            <td><?php if ($valor['Cancelado'] == 'Sim') {
                                echo data_hora($valor["DataCancelado"]);
                            } ?></td>
            <td><?php echo $valor["Cliente"] ?></td>
        </tr>
        <?php
                    $vtotal += ((($valor["Preco"] * $valor["Qtd"]) - (($valor["Preco"] * $valor["Qtd"]) * ($valor["Desconto"] / 100))) - $valor["Desconto_Real"]);
                }

                if ($chave["Status"] == 'Cotao') {
                    $chave["Status"] = "Cotacao";
                }
                if ($chave["Status"] == 'Cotao em Aberto') {
                    $chave["Status"] = "Cotacao_Aberto";
                }
                if ($chave["Status"] == 'Cotao Aprovada') {
                    $chave["Status"] = "Cotacao_Aprovada";
                }
                if ($chave["Status"] == 'Cotao no Aprovada') {
                    $chave["Status"] = "Cotacao_Nao_Aprovada";
                }
                if ($chave["Status"] == 'Separacao') {
                    $chave["Status"] = "Separacao";
                }

                $vtotalacum[$chave["Status"]] += (($vtotal) + $chave["Despesa"] + $v_frete + $chave["Valor_Icms_Sub"] - ($vtotal * ($chave["Desconto"] / 100))) - $chave["Desconto_Real"];
                $vtotalacumA += (($vtotal) + $chave["Despesa"] + $v_frete + $chave["Valor_Icms_Sub"] - ($vtotal * ($chave["Desconto"] / 100))) - $chave["Desconto_Real"];

                $corStatus = "";
                if ($chave['Status'] == 'Finalizado') {
                    $corStatus = "color = '#228B22' ";
                }
                if ($chave['Status'] == 'Aberto') {
                    $corStatus = "color = '#3A5FCD' ";
                }
                if ($chave['Status'] == 'Cancelado') {
                    $corStatus = "color = '#CD2626' ";
                }
                ?>
        <tr>
            <td colspan="11">&nbsp;</td>
        </tr>
        <?php }
        }
        ?>

        <tr>
            <td colspan="7" align="right"><b>Valores Finais:</b> &nbsp;</td>

            <td colspan="4" align="right">
                Total Cancelado :
                <b><?php echo valor_exibir($vtotalacum["Aberto"] + $vtotalacum["Finalizado"]); ?></b>
            </td>
        </tr>
    </table>
    </td>
    </tr>
    <tr>
        <td>
            <div id="div_resposta"></div>
        </td>
    </tr>
    </table>
</body>

</html>
<?php
$html = ob_get_contents();
ob_end_clean();

include_once "../include/pdf_opcao.php";
?>