<?php
include_once '../include/conecta.php'; //Conecta com a nosso banco de dados MySQL
ini_set('session.gc_maxlifetime', 60 * 120);
session_start();
/*include_once '../include/ver_sessao.php'; //Verifica se a sesso est ativa*/
include_once '../include/funcoesPhp.php';
include_once '../menu_movimento.php';
$idVenda = addslashes($_GET['id_venda']);

$venda = $con->query("SELECT DATE_FORMAT(venda.Data_Cadastro,'%d/%m/%Y %H:%i:%s') as Data_Cadastro,venda.Lancamento, venda.Status, venda.Data_Venda,venda.Id_Unidade,
venda.Valor_Original, venda.Valor_Pago, venda.Desconto,venda.Imprimir_Cancelado, venda.Desconto_Real, venda.Obs, venda.Id_Cliente, venda.Tipo_Entrega,venda.Responsavel_Retirada,
venda.Aplicar_Taxa_Servico_Restaurante,venda.Taxa_Servico_Restaurante, venda.Aplicar_Taxa_Couvert_Artistico, venda.Taxa_Couvert_Artistico,venda.Numero_Comanda,
venda.Status_Comanda,venda.Local_Pedido,venda.Data_Entrega,venda.Entrega_Comanda,venda.Hora_Entrega,venda.Obs, cliente.Titulo Cliente, cliente.Email,
cliente.Natureza, cliente.Cpf_Cnpj, cliente.Endereco, cliente.Cep,cliente.Bairro, cliente.Cidade, cliente.Estado, cliente.Fone1,cliente.Fone2, cliente.Obs Obs_Cliente,
cliente.Complemento,cliente.Ponto_Referencia,funcionario.Titulo Funcionario,funcionario.Titulo Entregador,vendedor.Titulo Vendedor
FROM venda
LEFT JOIN cliente ON cliente.Id = venda.Id_Cliente
LEFT JOIN funcionario ON funcionario.Id = venda.Id_Entregador
LEFT JOIN funcionario as vendedor ON vendedor.Id = venda.Id_Vendedor
WHERE venda.Id = '$idVenda'");
$venda = mysqli_fetch_assoc($venda);
$dataVenda = explode("-", $venda['Data_Venda']);
$venda['Data_Venda'] = $dataVenda[2] . "/" . $dataVenda[1] . "/" . $dataVenda[0];
$subtotal = 0;
$total = 0;
?>
<html>

<head>
    <title>Order</title>
    <link rel="stylesheet" type="text/css" href="../estilo/<?php echo SKIN; ?>/tabela_imp.css" />
    <script type="text/javascript" language="javascript" src="../js/jquery.js"></script>
    <?php include '../include/script_cabeca.php'; ?>
    <script type="text/javascript" language="javascript" src="../js/script.js"></script>
    <style type="text/css">
        .razao {
            font-size: 12px;
        }
    </style>
</head>

<body>
    <input type="hidden" name="VendaId" id="VendaId" value="<?= $idVenda ?>">
    <table width="100%">
        <?php
        $empresa = $con->query("SELECT * FROM unidade WHERE Id = '" . $venda["Id_Unidade"] . "'");
        $empresa = mysqli_fetch_assoc($empresa);
        ?>
        <tr>
            <td align="right">
                <table width="100%">
                    <tr>
                        <td width="40%">
                            <?php
                            $cam_arq = file_exists("../unidade/foto/" . $empresa["Logo"] . "") ? "../unidade/foto/" . $empresa["Logo"] :
                                "../../unidade/foto/" . $empresa["Logo"]
                            ?>
                            <img src="<?= $cam_arq; ?>" title="Logo" alt="Logo" border="0" width="140px" height="auto" />
                        </td>
                        <td width="50%" class="razao" align="left">
                            <?= strtoupper($empresa["Titulo"]); ?><br>
                            <?= $empresa["Rua"] . ", " . $empresa["Numero"] . ', ' . $empresa["Bairro"]; ?><br>
                            <?= $empresa["Cidade"] . ", " . $empresa["Estado"] . " - " . $empresa["Cep"]; ?><br>
                            Fone: <?= $empresa["Fone1"]; ?><br>
                            <?php
                            if ($empresa["Fone2"]) {
                                echo "Fax: " . $empresa["Fone2"];
                            }
                            ?>
                        </td>
                    </tr>
                </table>
            </td>
        </tr>
        <tr>
            <td align="center" style="background-color:#000000;">
                <font color="#FFFFFF">
                    Identificao do Documento
                </font>
            </td>
        </tr>
        <tr>
            <td align="">
                <table width="100%" class="razao">
                    <tr>
                        <td align="left"><b>N Pedido</b></td>
                        <td aling="rigth"><?= ($venda["Numero_Comanda"]) ?></td>
                    </tr>
                    <tr>
                        <td aling="left"><b>Data</b></td>
                        <td aling="rigth"><?= $venda["Data_Cadastro"] ?></td>
                    </tr>
                    <tr>
                        <td aling="left"><b>Vendedor</b></td>
                        <td aling="rigth"><?= $venda["Vendedor"] ?></td>
                    </tr>
                    <?php if (CLIENTE_EMAIL == 'piattigastronomia' || CLIENTE_EMAIL == 'thevillefit' || CLIENTE_EMAIL == 'transamerica' || CLIENTE_EMAIL == 'gw') { ?>
                        <tr>
                            <td><b>Local Pedido</b></td>
                            <td aling="rigth"><?= $venda["Local_Pedido"] ?></td>
                        </tr>
                    <?php
                    }
                    if ($venda['Tipo_Entrega']) { ?>
                        <tr>
                            <td aling="left"><b>Tipo Entrega</b></td>
                            <td aling="rigth"><?= $venda["Tipo_Entrega"] ?></td>
                        </tr>
                    <?php } ?>
                </table>
            </td>
        </tr>
    </table>
    <tr>
        <td align="">
            <table width="100%" class="razao">
                <tr>
                    <td colspan="3" align="center" style="background-color:#000000;">
                        <font color="#FFFFFF">
                            Identificao do Cliente
                        </font>
                    </td>
                </tr>
                <tr>
                    <td><b>Cliente:</b> <?= $venda["Cliente"]; ?></td>
                </tr>
                <tr>
                    <td><b>Fone:</b> <?= $venda["Fone1"]; ?></td>
                    <?php if ($venda["Fone2"] != '') { ?>
                        <td><b>Fone:</b> <?= $venda["Fone2"]; ?></td>
                    <?php } ?>
                </tr>
                <tr>
                    <td><b>Endereo:</b> <?= $venda["Endereco"] . ',' . $venda["Complemento"] . ', ' . $venda["Bairro"] . ', ' . $venda["Cidade"] . ' - ' . $venda["Estado"] ?></td>
                </tr>
                <?php if ($venda["Ponto_Referencia"] != '') { ?>

                    <tr>
                        <td><b>Ponto de Referencia:</b> <?= $venda["Ponto_Referencia"]; ?></td>
                    </tr>
                <?php } ?>

            </table>
        </td>
    </tr>
    <tr>
        <td>
            <table width="100%" class="razao">
                <tr>
                    <td colspan="8" width="100%" align="left" style="background-color:#000000;">
                        <font color="#FFFFFF">
                            Produtos
                        </font>
                    </td>
                </tr>
                <tr>
                    <td colspan="2"><b>Item</b></td>
                    <td><b>Qtd</b></td>
                    <td colspan="2"><b>Preo</b></td>
                    <!-- <td><b>Desconto</b></td> -->
                    <td><b>Total</b></td>
                </tr>
                <?php
                if (CLIENTE_EMAIL == 'deliciascaxanga') {
                    $ordenar = 'ORDER BY venda_produto.Data_Cadastro DESC';
                }

                $venda_produto = $con->query("SELECT venda_produto.Id, venda_produto.Preco, venda_produto.Qtd, venda_produto.Desconto_Real,
                venda_produto.Desconto,venda_produto.Obs_Produto, produto.Titulo Produto, produto.Descricao, produto.Codigo, produto.Medida
                FROM venda_produto
                LEFT JOIN produto ON produto.Id = venda_produto.Id_Produto WHERE venda_produto.Id_Venda = '$idVenda' AND Cancelado = 'No'
                $ordenar
                ");
                $x = 0;
                while ($produto = mysqli_fetch_assoc($venda_produto)) { ?>
                    <tr>
                        <td colspan="2"><?= $produto["Codigo"] . '-' . $produto["Produto"]; ?></td>
                        <td><?= $produto["Qtd"]; ?></td>
                        <td colspan="2"><?= number_format($produto["Preco"], 2, ',', '.'); ?></td>
                        <!-- <td><?= number_format($produto["Desconto_Real"], 2, ',', '.'); ?></td> -->
                        <td>
                            <?= number_format(($produto["Qtd"] * ($produto["Preco"]) - ($produto["Desconto_Real"] + (($produto["Qtd"] * $produto["Preco"]) * ($produto["Desconto"] / 100)))), 2, ",", "."); ?>
                        </td>
                    </tr>
                    <?php if ($produto["Obs_Produto"] != '') { ?>
                        <tr>
                            <td colspan="6"><b>Obs.:</b> <?= $produto["Obs_Produto"]; ?> </td>
                        </tr>
                    <?php } ?>
                <?php
                    $x++;
                    $Qtd_Venda += $produto["Qtd"];
                    $subtotal += $produto["Preco"] * $produto["Qtd"];
                    $Desconto_Real += $produto["Desconto_Real"];
                    $total += (($produto["Qtd"] * ($produto["Preco"]) - ($produto["Desconto_Real"] + (($produto["Qtd"] * $produto["Preco"]) * ($produto["Desconto"] / 100)))));
                    // CALCULAR DESCONTO DE HAPPY HOUR DO PRODUTO
                }
                ?>

                <tr>
                    <td colspan="8" width="100%" align="left" style="background-color:#000000;">
                        <font color="#FFFFFF">
                            <?php if ($venda['Status'] <> 'Finalizado') {
                                echo 'Parcial';
                            } else {
                                echo 'Totais';
                            } ?>
                        </font>
                    </td>
                </tr>

                <tr>
                    <td colspan="5">Volumes:</td>
                    <td align="right"><?= $Qtd_Venda; ?></td>
                </tr>
                <tr>
                    <td colspan="5">Sub Total:</td>
                    <td align="right"><?= number_format($subtotal, 2, ',', '.'); ?></td>
                </tr>
                <tr>
                    <td colspan="5">Desconto:</td>
                    <td align="right">
                        <?php
                        $descontoPercentualVenda = ($subtotal * $venda['Desconto']) / 100;
                        $descontoVenda = $descontoPercentualVenda + $venda['Desconto_Real'];
                        echo number_format($descontoVenda, 2, ',', '.');
                        ?>
                    </td>
                </tr>
                <?php
                if ($venda["Taxa_Servico_Restaurante"] > 0) { ?>
                    <tr>
                        <td colspan="5">Taxa:</td>
                        <td align="right">
                            <?php echo number_format($venda["Taxa_Servico_Restaurante"], 2, ',', '.'); ?>
                        </td>
                    </tr>
                <?php }
                if ($venda['Taxa_Couvert_Artistico'] > 0) { ?>
                    <tr>
                        <td colspan="5">Couvert artstico:</td>
                        <td align="right"><?= number_format($venda['Taxa_Couvert_Artistico'], 2, ',', '.'); ?></td>
                    </tr>
                <?php } ?>
                <tr>
                    <?php
                    if ($venda['Aplicar_Taxa_Servico_Restaurante'] == "Sim" && $venda["Taxa_Servico_Restaurante"] > 0) {
                        $total += $venda["Taxa_Servico_Restaurante"];
                    }
                    if ($venda['Aplicar_Taxa_Couvert_Artistico'] == "Sim" && $taxas['Couvert_Restaurante'] > 0) {
                        $total += str_replace(",", ".", $taxas['Couvert_Restaurante']);
                    } ?>
                    <td colspan="5">Total (R$):</td>
                    <td align="right"><?= number_format($total, 2, ',', '.'); ?></td>
                </tr>
                <?php if ($venda["Obs"] != '') { ?>
                    <tr>
                        <td colspan="8" width="100%" align="left" style="background-color:#000000;">
                            <font color="#FFFFFF">
                                Observao Pedido
                            </font>
                        </td>
                    </tr>
                    <tr>
                        <td colspan="8"><?= $venda["Obs"] ?></td>
                    </tr>
                <?php } ?>
                <tr>
                    <td colspan="3" width="100%" align="left" style="background-color:#000000;">
                        <font color="#FFFFFF">
                            Pagamento
                        </font>
                    </td>

                    <td colspan="3" width="100%" align="left" style="background-color:#000000;">
                        <font color="#FFFFFF">
                            Valor:
                        </font>
                    </td>
                </tr>
                <?php
                //buscando todos os pagamentos da Comanda
                $Comanda_Pag = mysqli_query($con, "SELECT tipo_pagamento.Titulo as Tipo_Pagamento,
                    tipo_pagamento.Pix,venda_tipo_pagamento.Valor_Troco,
                                    venda_tipo_pagamento.Valor_Pago
                                FROM venda_tipo_pagamento
                                LEFT JOIN (SELECT Id,Titulo,Pix FROM tipo_pagamento) as tipo_pagamento ON tipo_pagamento.Id = venda_tipo_pagamento.Id_Tipo_Pagamento
                                WHERE Id_Venda='$idVenda'
                                ORDER BY venda_tipo_pagamento.Data_Cadastro");
                $totalTroco = 0;
                //WHILE PAGAMENTOS COMANDA
                while ($Pag_Comanda = mysqli_fetch_assoc($Comanda_Pag)) {
                    $totalPago = $Pag_Comanda["Valor_Pago"];
                    // $totalTroco += $Pag_Comanda["Valor_Troco"];
                ?>
                    <tr>
                        <td colspan="3"><?php echo $Pag_Comanda["Tipo_Pagamento"] ?></td>
                        <td colspan="3" align="right"><?php echo number_format($Pag_Comanda["Valor_Pago"], 2, ',', '.'); ?><br></td>
                    </tr>
                <?php }
                if ($totalPago > $venda["Valor_Original"]) {
                    $totalTroco = $totalPago - $venda["Valor_Original"];
                ?>
                    <tr>
                        <td colspan="3"><b><?php echo 'Troco' ?></b></td>
                        <td colspan="3" align="right"><?php echo number_format($totalTroco, 2, ',', '.'); ?><br></td>
                    </tr>
                <?php }

                ?>
                <?php if ($venda["Status_Comanda"] == "Entrega") { ?>
                    <tr>
                        <td colspan="8" width="100%" align="left" style="background-color:#000000;">
                            <font color="#FFFFFF">
                                Entrega
                            </font>
                        </td>
                    </tr>
                    <tr>
                        <td colspan="2"><b>Data Entrega:</b></td>
                        <td><?php echo data_exibir($venda["Data_Entrega"]); ?></td>
                        <td colspan="2"><b>Hora Entrega:</b></td>
                        <td><?php echo $venda["Hora_Entrega"]; ?></td>
                    </tr>
                    <?php if ($venda["Tipo_Entrega"] == "Delivery") { ?>
                        <tr>
                            <td style="width: 100px;"><b>Entregador:</b></td>
                            <td colspan="7"><b><?php echo $venda["Entregador"]; ?></b></td>
                        </tr>
                        <tr>
                            <td width="100%"><b>Endereco:</b></td>
                            <td colspan="7"><?php echo $venda["Entrega_Comanda"]; ?></td>
                        </tr>
                    <?php } else { ?>
                        <tr>
                            <td style="width: 120px;"><b>Retirada por:</b></td>
                            <td colspan="7"><b><?php echo $venda["Responsavel_Retirada"]; ?></b></td>
                        </tr>
                    <?php } ?>

                <?php } ?>
                <tr>
                    <td>
                        &nbsp;
                    </td>
                </tr>
                <tr>
                    <td colspan="8" width="100%" align="justify">
                        <font color="#000">
                            <b><i>Este documento no  um comprovante fiscal!</i></b>
                        </font>
                    </td>
                </tr>
                <tr>
                    <td>
                        &nbsp;
                    </td>
                </tr>
            </table>
        </td>
    </tr>
    <script>
        window.print();
    </script>
</body>

</html>