<?php
include_once '../include/conecta.php'; //Conecta com a nosso banco de dados MySQL
ini_set('session.gc_maxlifetime', 60 * 120);
session_start();
/*include_once '../include/ver_sessao.php'; //Verifica se a sesso est ativa*/
include_once '../include/funcoesPhp.php';
include_once '../menu_movimento.php';
$idVenda = addslashes($_GET['id_venda']);

$venda = $con->query("SELECT DATE_FORMAT(venda.Data_Cadastro,'%d/%m/%Y %H:%i:%s') as Data_Cadastro,venda.Lancamento, venda.Status, venda.Data_Venda,venda.Id_Unidade,
venda.Valor_Original, venda.Valor_Pago, venda.Desconto,venda.Imprimir_Cancelado, venda.Desconto_Real, venda.Obs, venda.Id_Cliente, venda.Tipo_Entrega,venda.Responsavel_Retirada,
venda.Aplicar_Taxa_Servico_Restaurante,venda.Taxa_Servico_Restaurante, venda.Aplicar_Taxa_Couvert_Artistico, venda.Taxa_Couvert_Artistico,venda.Numero_Comanda,
venda.Status_Comanda,venda.Local_Pedido,venda.Data_Entrega,venda.Entrega_Comanda,venda.Hora_Entrega,venda.Obs, cliente.Titulo Cliente, cliente.Email,
cliente.Natureza, cliente.Cpf_Cnpj, cliente.Endereco, cliente.Cep,cliente.Bairro, cliente.Cidade, cliente.Estado, cliente.Fone1,cliente.Fone2, cliente.Obs Obs_Cliente,
cliente.Complemento,cliente.Ponto_Referencia,funcionario.Titulo Funcionario,funcionario.Titulo Entregador,vendedor.Titulo Vendedor
FROM venda
LEFT JOIN cliente ON cliente.Id = venda.Id_Cliente
LEFT JOIN funcionario ON funcionario.Id = venda.Id_Entregador
LEFT JOIN funcionario as vendedor ON vendedor.Id = venda.Id_Vendedor
WHERE venda.Id = '$idVenda'");
$venda = mysqli_fetch_assoc($venda);
$dataVenda = explode("-", $venda['Data_Venda']);
$venda['Data_Venda'] = $dataVenda[2] . "/" . $dataVenda[1] . "/" . $dataVenda[0];
$subtotal = 0;
$total = 0;
?>
<html>

<head>
    <title><b>Pedido: </b><?php echo $venda['Lancamento'] ?></title>
    <link rel="stylesheet" type="text/css" href="../estilo/<?php echo SKIN; ?>/tabela_imp.css" />
    <script type="text/javascript" language="javascript" src="../js/jquery.js"></script>
    <?php include '../include/script_cabeca.php'; ?>
    <script type="text/javascript" language="javascript" src="../js/script.js"></script>
    <style type="text/css">
    .razao {
        font-size: 12px;
    }
    </style>
</head>

<body>
    <input type="hidden" name="VendaId" id="VendaId" value="<?php echo $idVenda ?>">
    <table width="100%">
        <?php
        $empresa = $con->query("SELECT * FROM unidade WHERE Id = '" . $venda["Id_Unidade"] . "'");
        $empresa = mysqli_fetch_assoc($empresa);
        ?>
        <tr>
            <td align="right">
                <table width="100%">
                    <tr>
                        <td width="40%">
                            <?php
                            $cam_arq = file_exists("../unidade/foto/" . $empresa["Logo"] . "") ? "../unidade/foto/" . $empresa["Logo"] :
                                "../../unidade/foto/" . $empresa["Logo"]
                            ?>
                            <img src="<?php echo $cam_arq; ?>" title="Logo" alt="Logo" border="0" width="140px"
                                height="auto" />
                        </td>
                        <td width="50%" class="razao" align="left">
                            <?php echo strtoupper($empresa["Titulo"]); ?><br>
                            <?php echo $empresa["Rua"] . ", " . $empresa["Numero"] . ', ' . $empresa["Bairro"]; ?><br>
                            <?php echo $empresa["Cidade"] . ", " . $empresa["Estado"] . " - " . $empresa["Cep"]; ?><br>
                            Fone: <?php echo $empresa["Fone1"]; ?><br>
                            <?php
                            if ($empresa["Fone2"]) {
                                echo "Fax: " . $empresa["Fone2"];
                            }
                            ?>
                        </td>
                    </tr>
                </table>
            </td>
        </tr>
        <tr>
            <td align="center" style="background-color:#000000;">
                <font color="#FFFFFF">
                    Identificao do Documento
                </font>
            </td>
        </tr>
        <tr>
            <td align="">
                <table width="100%" class="razao">
                    <tr>
                        <td align="left"><b>N Pedido</b></td>
                        <td aling="rigth"><?php echo ($venda["Numero_Comanda"]) ?></td>
                    </tr>
                    <tr>
                        <td aling="left"><b>Data</b></td>
                        <td aling="rigth"><?php echo $venda["Data_Cadastro"] ?></td>
                    </tr>
                    <tr>
                        <td aling="left"><b>Vendedor</b></td>
                        <td aling="rigth"><?php echo $venda["Vendedor"] ?></td>
                    </tr>
                    <?php if (CLIENTE_EMAIL == 'piattigastronomia' || CLIENTE_EMAIL == 'thevillefit' || CLIENTE_EMAIL == 'transamerica' || CLIENTE_EMAIL == 'gw') { ?>
                    <tr>
                        <td><b>Local Pedido</b></td>
                        <td aling="rigth"><?php echo $venda["Local_Pedido"] ?></td>
                    </tr>
                    <?php
                    }
                    if ($venda['Tipo_Entrega']) { ?>
                    <tr>
                        <td aling="left"><b>Tipo Entrega</b></td>
                        <td aling="rigth"><?php echo $venda["Tipo_Entrega"] ?></td>
                    </tr>
                    <?php } ?>
                </table>
            </td>
        </tr>
    </table>
    <tr>
        <td align="">
            <table width="100%" class="razao">
                <tr>
                    <td colspan="3" align="center" style="background-color:#000000;">
                        <font color="#FFFFFF">
                            Identificao do Cliente
                        </font>
                    </td>
                </tr>
                <tr>
                    <td><b>Cliente:</b> <?php echo $venda["Cliente"]; ?></td>
                </tr>
                <tr>
                    <td><b>Fone:</b> <?php echo $venda["Fone1"]; ?></td>
                    <?php if ($venda["Fone2"] != '') { ?>
                    <td><b>Fone:</b> <?php echo $venda["Fone2"]; ?></td>
                    <?php } ?>
                </tr>
                <tr>
                    <td><b>Endereo:</b>
                        <?php echo $venda["Endereco"] . ',' . $venda["Complemento"] . ', ' . $venda["Bairro"] . ', ' . $venda["Cidade"] . ' - ' . $venda["Estado"] ?>
                    </td>
                </tr>
                <?php if ($venda["Ponto_Referencia"] != '') { ?>

                <tr>
                    <td><b>Ponto de Referencia:</b> <?php echo $venda["Ponto_Referencia"]; ?></td>
                </tr>
                <?php } ?>

            </table>
        </td>
    </tr>
    <tr>
        <td>
            <table width="100%" class="razao">
                <tr>
                    <td colspan="8" width="100%" align="left" style="background-color:#000000;">
                        <font color="#FFFFFF">
                            Produtos
                        </font>
                    </td>
                </tr>
                <tr>
                    <td colspan="2"><b>Item</b></td>
                    <td><b>Qtd</b></td>
                    <td><b>Responsvel</b></td>
                    <td><b>Data/Hora</b></td>
                </tr>
                <?php
                $venda_produto = $con->query("SELECT venda_produto.Id, 
                                                     venda_produto.Preco, 
                                                     venda_produto.Qtd, 
                                                     venda_produto.Data_Cadastro_Upd,
                                                     venda_produto.Desconto,
                                                     venda_produto.Obs_Produto, 
                                                     produto.Titulo Produto, 
                                                     produto.Descricao, 
                                                     produto.Codigo, 
                                                     produto.Medida,
                                                     usuario.Login as Responsavel
                                                FROM venda_produto
                                            LEFT JOIN produto ON produto.Id = venda_produto.Id_Produto 
                                            LEFT JOIN usuario ON usuario.Id = venda_produto.Id_Usuario_Upd
                                            WHERE venda_produto.Id_Venda = '$idVenda' 
                                            ");
                $x = 0;
                while ($produto = mysqli_fetch_assoc($venda_produto)) { ?>
                <tr>
                    <td colspan="2"><?php echo $produto["Codigo"] . '-' . $produto["Produto"]; ?></td>
                    <td><?php echo $produto["Qtd"]; ?></td>
                    <td><?php echo $produto["Responsavel"]; ?></td>
                    <td><?php echo data_hora($produto["Data_Cadastro_Upd"]); ?></td>
                </tr>

                <?php
                    $x++;
                }
                ?>
                <tr>
                    <td>
                        &nbsp;
                    </td>
                </tr>
                <tr>
                    <td colspan="8" width="100%" align="justify">
                        <font color="#000">
                            <b><i>Documento de uso administrativo, no tem valor fiscal e no pode ser usado como
                                    comprovante de venda.</i></b>
                        </font>
                    </td>
                </tr>
                <tr>
                    <td>
                        &nbsp;
                    </td>
                </tr>
            </table>
        </td>
    </tr>
    <script>
    window.print();
    </script>
</body>

</html>