<?php

include_once '../include/conecta.php'; //Conecta com a nosso banco de dados MySQL
include_once '../include/ver_sessao.php'; //Verifica se a sesso est ativa
include_once '../include/funcoesPhp.php';
include_once '../menu_movimento.php';
$modulo_lista = 'Venda';
include '../include/sessao_lista.php';

if (!$_GET['Pesq']) {
    //listagem padro
    if (!isset($_GET['Status_Lista']))
        if (CLIENTE_EMAIL == 'armazemcuradense') {
            $_GET['Status_Lista'] = 'Finalizado';
        } else {
            $_GET['Status_Lista'] = 'Aberto';
        }
}

$menu = mysqli_query($con, "SELECT permissao.Relatorio,
                                    permissao.Cadastrar,
                                    permissao.Alterar,
                                    permissao.Deletar
                                    FROM permissao
                                    INNER JOIN menu_usuario ON menu_usuario.Id_Menu = permissao.Id_Menu
                                    WHERE menu_usuario.Id_Responsavel='" . $_SESSION["Id"] . "'
                                    AND permissao.Id_Responsavel='" . $_SESSION["Id"] . "'
                                    AND permissao.Id_Menu = '3183' ");
$menu = mysqli_fetch_assoc($menu);

if (CLIENTE_RAZAO_SOCIAL == 'Sim') {
    $nome = 'Razao_Social';
} else {
    $nome = 'Titulo';
}

if (!$_GET['Pesq']) {

    if ($_GET["Status_Lista"]) {
        $Status_Lista1 = " AND venda.Status = '" . $_GET["Status_Lista"] . "' ";
    }
}

if ($_GET["Ordenar"]) {

    if (($_GET["Ordenar"] == 'cliente.Titulo') || ($_GET["Ordenar"] == 'cliente.Razao_Social') || ($_GET["Ordenar"] == 'cliente.Cpf_Cnpj') || ($_GET["Ordenar"] == 'cliente.Codigo')) {
        $join_table = " LEFT JOIN (SELECT Id,Titulo,Codigo,Razao_Social,Cpf_Cnpj FROM cliente) as cliente ON venda.Id_Cliente = cliente.Id ";
    }
    if ($_GET["Ordenar"] == 'cliente.Razao_Social') {
        $join_table = " LEFT JOIN (SELECT Id,Titulo,Razao_Social FROM cliente) as cliente ON venda.Id_Cliente = cliente.Id ";
    }
    if ($_GET["Ordenar"] == 'vendedor.Titulo') {
        $join_table = " LEFT JOIN (SELECT Id,Titulo FROM funcionario) as vendedor ON venda.Id_Vendedor = vendedor.Id ";
    }

    if ($_GET["Ordenar"] == 'cliente.Titulo') {
        if (CLIENTE_RAZAO_SOCIAL == 'Sim') {
            $_GET["Ordenar"] = 'cliente.Razao_Social';
        }
    }

    if (($_GET["De"]) && ($_GET["Ate"])) {
        $Ordenar1 = " ORDER BY " . $_GET["Data_Busca"] . " ";
    } else {
        $Ordenar1 = " ORDER BY " . $_GET["Ordenar"] . " ";
    }
} else {
    $Ordenar1 = " ORDER BY venda.Data_Venda ";
}
if ($_GET['Ordem_Lista'] == 'Asc') {
    $Ordem_Lista1 = ' ASC ';
} else {
    $Ordem_Lista1 = ' DESC ';
}

if ($_GET["De"])
    $data .= "AND venda." . $_GET["Data_Busca"] . " >= '" . data_banco($_GET["De"]) . "' ";
if ($_GET["Ate"])
    $data .= "AND venda." . $_GET["Data_Busca"] . " <= '" . data_banco($_GET["Ate"]) . "' ";

//se o sistema for Multi Empresa
if (MULTI_EMPRESA == "Sim") {

    //se o usuario no for master ele vai para sua empresa
    if (ESCOLHER_EMPRESA == 'Sim') {

        if ($_GET["Unidade"])
            $unidade = "AND venda.Id_Unidade = '" . $_GET["Unidade"] . "' ";
    } else {
        $unidade = "AND venda.Id_Unidade = '" . $_SESSION["Unidade"] . "' ";
    }
} else {
    $unidade = "AND venda.Id_Unidade = '" . $_SESSION["Unidade"] . "' ";
}

if (VER_APENAS_SUAS_VENDAS == 'Sim') {
    $vendedor = "AND venda.Id_Vendedor = '" . $_SESSION["Id_Funcionario"] . "' ";
}

if ($_GET['Pesq']) {
    $pesquisa = " AND " . $_GET['Ordenar'] . " like '%" . $_GET['Pesq'] . "%' ";
}


/* Inicio dos parmetros da Paginao*/

/*varivel com o cdigo SQL da consulta ao banco de dados*/
$_pagi_sql = "SELECT venda.Id,
                    venda.Lancamento,
                    venda.Data_Venda,
                    venda.Data_Cadastro_Upd,
                    venda.Data_Entrega,
                    venda.Valor_Pago,
                    venda.Valor_Original,
                    venda.Status,
                    venda.Pedido_Liberado,
                    venda.Coo_Ecf,
                    venda.Id_Cliente,
                    venda.Id_Vendedor,
                    venda.Empenho,
                    venda.EF,
                    venda.NF,
                    venda.Paf,
                    venda.Chave_Nfe,
                    venda.Motivo,
                    venda.Fatura,
                    venda.Id_Usuario_Instalacao,
                    venda.Data_Instalacao,
                    venda.Origem,
                    venda.DV,
                    venda.Id_Mesa,
                    venda.Numero_Comanda,
                    unidade.Titulo as Unidade
                    FROM (SELECT Id,Lancamento,Data_Venda,Valor_Pago,Valor_Original,Status,Empenho,Fatura,Data_Cadastro_Upd,
                    Pedido_Liberado,Coo_Ecf,Id_Cliente,Id_Vendedor,Id_Unidade,Numero_Pedido,Motivo,Id_Mesa,
                    Chave_Nfe,EF,NF,Paf,DV,Data_Entrega,Id_Usuario_Instalacao,Data_Instalacao,Origem,Numero_Comanda FROM venda) as venda
                    $join_table
                    INNER JOIN (SELECT Id, Titulo FROM unidade) as unidade ON unidade.Id = venda.Id_Unidade
                    WHERE 1=1
                    AND (venda.Origem = 'Mesa' OR venda.Origem = 'Comanda')
                    $Status_Lista1 $unidade $vendedor $data $pesquisa $Ordenar1 $Ordem_Lista1
                    , venda.Lancamento DESC ";

include_once '../include/paginator_opcao.php';
include_once '../include/paginator.inc.php'; //incluindo o script de paginao PAGINATOR
?>
<html>

<head>
    <title>Gw - Gesto Web</title>
    <link rel="stylesheet" type="text/css" href="../estilo/<?php echo SKIN; ?>/listless.css" />
    <script type="text/javascript" language="javascript" src="../js/jquery.js"></script>
    <?php include '../include/script_cabeca.php'; ?>
    <script type="text/javascript" language="javascript" src="../js/script.js"></script>
    <script type="text/javascript" language="javascript" src="../js/meiomask/meiomask.js"></script>
    <?php if (PAIS == "USA") { ?>
        <script type="text/javascript" language="javascript" src="../js/tradutor/conta_receber.js"></script>
        <script type="text/javascript" language="javascript">
            $(document).ready(function() {
                $('input[name="De"]').setMask('date-us'); // data
                $('input[name="Ate"]').setMask('date-us'); // data
            });
        </script>
    <?php } else { ?>
        <script type="text/javascript" language="javascript">
            $(document).ready(function() {
                $('input[name="De"]').setMask('date'); // data
                $('input[name="Ate"]').setMask('date'); // data
            });
        </script>
    <?php } ?>
    <script type="text/javascript" language="javascript">
        function submeteFiltro(valor) {
            document.forms['ordenar'].submit();
        }

        function submeteFiltroTime(valor) {
            setTimeout(function() {
                document.forms['ordenar'].submit();
            }, 7000);
        }
    </script>
    <script type="text/javascript" language="javascript">
        $(document).ready(function() {
            function slideout() {
                setTimeout(function() {
                        $("#response").slideUp("slow", function() {});
                    },
                    2000);
            }
            $(".inlineEdit").bind("click", updateText);
            var OrigText, NewText;
            $(".save").live("click", function() {
                $("#loading").fadeIn('slow');
                NewText = $(this).siblings("form").children(".edit").val();
                var id = $(this).parent().attr("id");
                //var data = '?id=' + id + '&text=' + NewText;
                var data = 'id=' + id + '&text=' + NewText;
                $.post("edit.php", data, function(response) {
                    $("#response").html(response);
                    $("#response").slideDown('slow');
                    slideout();
                    $("#loading").fadeOut('slow');
                    //$("#retorno").html(response);
                });
                $(this).parent().html(NewText).removeClass("selected").bind("click", updateText);
            });
            $(".revert").live("click", function() {
                $(this).parent().html(OrigText).removeClass("selected").bind("click", updateText);
            });

            function updateText() {
                $('li').removeClass("inlineEdit");
                OrigText = $(this).html();
                $(this).addClass("selected").html('<form><textarea class="edit" rows="1" cols="12">' + OrigText +
                    '</textarea></form><a href="#" class="save"><img src="../js/editing/images/save.png" border="0" width="48" height="15"/></a> <a href="#" class="revert"><img src="../js/editing/images/cancel.png" border="0" width="58" height="15"/></a>'
                ).unbind('click', updateText);
            }
        });
    </script>
</head>

<body>
    <!-- Centro -->
    <div id="centro">
        <!-- Contedo -->
        <div id="conteudo" class="ajustar">

            <div class="titulo">
                <span>Restaurante</span>
                <form name="pesquisa" method="get" action="">
                    <span class="inputs">
                        <?php echo $_pagi_info; ?>
                    </span>
                </form>
            </div>
            <!-- Navegao -->
            <div class="botoes_cima">
                <a href="javascript:void(0);" class="voltar" alt="Voltar" title="Voltar" onclick="javascript:history.back(1);">Voltar</a>

                <?php if ($menu["Relatorio"] == "Sim") { ?>
                    <a href="list_relatorio.php" alt="Relatrio" title="Relatrio" class="relatorio">Relatrio</a>
                <?php } ?>

                <?php if ($menu["Cadastrar"] == "Sim") { ?>
                    <a href="venda/cad_venda.php?acao=entrar" alt="Cadastrar" title="Cadastrar" class="incluir">Cadastrar</a>
                <?php } ?>
                <a href="javascript:void();" alt="Unificar" title="Unificar" onclick="window.open('unificar.php','Unificar','width=900,height=800,top=0,left=0,scrollbars=yes');">
                    &nbsp;&nbsp;&nbsp;&nbsp;Unificar</a>

                <form name="ordenar" method="get" action="">

                    <span style="float: right;">
                        <span style="float: left">
                            &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
                            <font class="tr" key="Buscar_Por">
                                Buscar por :
                            </font>
                            &nbsp;&nbsp;
                            <?php
                            $vetor = array('Data_Venda' => 'Pedido', 'Data_Entrega' => 'Entrega');
                            select_tela("Data_Busca", "Data_Busca", $_GET["Data_Busca"], $vetor, "");
                            ?>
                            &nbsp;&nbsp;
                        </span>
                        <input type="text" name="De" id="De" value="<?php echo $_GET["De"]; ?>" style="width: 80px;">&nbsp;De
                        <input type="text" name="Ate" id="Ate" value="<?php echo $_GET["Ate"]; ?>" style="width: 80px;">&nbsp;At
                        <input type="submit" name="Ok" value="Ok" style="margin-left: 10px" alt="Ok" title="Ok">
                    </span>

                    <span class="ordenar_por">

                        <?php
                        if (MULTI_EMPRESA == "Sim") {
                            if (ESCOLHER_EMPRESA == 'Sim') {
                        ?>
                                <label for="Pesq">Empresa:</label>
                                <?php echo select_banco(
                                    "SELECT Id,Titulo FROM unidade WHERE Ativo='Sim' ORDER BY Titulo",
                                    "Unidade",
                                    "Unidade",
                                    $_GET["Unidade"],
                                    "onchange='submeteFiltro(this.value)'",
                                    ""
                                );
                                ?>
                        <?php
                            } else {
                                echo "<input type='hidden' name='Unidade' id='Unidade' value='" . $_SESSION["Unidade"] . "' >";
                            }
                        } else {
                            echo "<input type='hidden' name='Unidade' id='Unidade' value='" . $_SESSION["Unidade"] . "' >";
                        }
                        ?>
                        <label for="Pesq">Busca:</label>
                        <input type="text" name="Pesq" size="30" value="<?php echo $_GET['Pesq']; ?>">
                        <label for="Pesq">Ordenar Por:</label>
                        <?php

                        $vetor = array(
                            '' => 'Status',
                            'Aberto' => 'Em Lanamento',
                            'Finalizado' => 'Finalizado',
                            'Cancelado' => 'Cancelado'
                        );

                        select_tela("Status_Lista", "Status_Lista", $_GET["Status_Lista"], $vetor, "onchange='submeteFiltro(this.value)'");
                        ?>
                        <?php

                        $vetor = array(
                            'venda.Lancamento' => 'Cod Interno',
                            'venda.Id_Mesa' => 'Mesa',
                            'venda.Numero_Comanda' => 'Pedido',
                            'cliente.Codigo' => 'Cod Cliente',
                            'cliente.' . $nome . '' => 'Cliente',
                            'cliente.Cpf_Cnpj' => 'CNPJ',
                            'venda.Fatura' => 'NFe',
                            'vendedor.Titulo' => 'Vendedor',
                            'venda.Valor_Original' => 'Valor Original',
                            'venda.Valor_Pago' => 'Valor Pago',
                            'venda.Data_Venda' => 'Data Pedido'
                        );
                        select_tela("Ordenar", "Ordenar", $_GET["Ordenar"], $vetor, "onchange='submeteFiltro(this.value)'");
                        ?>
                        <?php
                        $vetor = array('Desc' => 'Decrescente', 'Asc' => 'Crescente');
                        select_tela("Ordem_Lista", "Ordem_Lista", $_GET["Ordem_Lista"], $vetor, "onchange='submeteFiltro(this.value)'");
                        ?>
                    </span>
                </form>
                <!-- Fim Navegao -->
            </div>


            <table id="lista">
                <thead>
                    <tr>
                        <td>Cd Interno</td>
                        <td>Mesa / Pedido</td>
                        <td>Data Movimento</td>
                        <td class="tr" key="2">Entrega</td>
                        <td>Cliente</td>
                        <td>Pagamento</td>
                        <td>Valor</td>
                        <td>Status</td>
                        <?php if (($_SESSION["Id_Nivel"] == '1') && (MULTI_EMPRESA == "Sim")) { ?>
                            <td>Unidade</td>
                        <?php } ?>
                        <td>NFCe</td>
                        <td>Opes</td>
                    </tr>
                </thead>
                <tfoot>
                    <tr>
                        <td colspan="15">
                            <div id="paginacao">
                                <p><?php echo $_pagi_navegacion; ?></p>
                            </div>
                        </td>
                    </tr>
                </tfoot>
                <tbody>
                    <?php $color = "#F5F5F5";
                    while ($linha = mysqli_fetch_assoc($_pagi_result)) {
                        if ($color == "#F5F5F5") {
                            $color = "#E8E8E8";
                            $cass = "";
                        } else {
                            $color = "#F5F5F5";
                            $cass = "class='azul'";
                        }
                        $corStatus = "";
                        if ($linha['Status'] == 'Finalizado') {
                            $corStatus = "color = '#228B22' ";
                        }
                        if ($linha['Status'] == 'Aberto') {
                            $corStatus = "color = '#3A5FCD' ";
                        }
                        if ($linha['Status'] == 'Cancelado') {
                            $corStatus = "color = '#CD2626' ";
                        }

                        $corAnalise = '';
                        if ($linha['Status'] == 'Aberto') {
                            //se a data do Pedido passar da Data de Entrega/dias fica vermelho
                            $Time1 = strtotime(date("Y-m-d H:i:s"));
                            $Time2 = strtotime($linha['Data_Entrega']);

                            //vendo os dias que falta
                            $dias = date("d", $Time2 - $Time1);

                            if ($Time1 > $Time2) {
                                $corAnalise = "color = '#CD2626' ";
                            }
                        }
                    ?>
                        <tr <?php echo "$cass"; ?>>
                            <td>
                                <?php echo $linha['Lancamento']; ?>
                                <?php
                                if ($linha['DV'] == 'Sim') {
                                    echo '<img src="../imagem/obrigatorio.gif" alt="Devoluo" border="0" title="Devoluo" class="img_farol">';
                                }
                                ?>
                            </td>
                            <?php
                            if ($linha['Id_Mesa'] == '') {
                                $pedido_mesa = $linha['Numero_Comanda'];
                            } else {
                                $pedido_mesa =  $linha['Id_Mesa'];
                            }
                            ?>
                            <td><?php echo $pedido_mesa; ?></td>
                            <td>
                                <?php
                                if (CLIENTE_EMAIL == 'icsofilial') {
                                    echo data_hora($linha['Data_Cadastro_Upd']);
                                } else {
                                    echo data_exibir($linha['Data_Venda']);
                                }
                                ?>
                            </td>
                            <td>
                                <font <?php echo $corAnalise ?>><?php echo data_exibir($linha['Data_Entrega']); ?></font>
                            </td>
                            <?php
                            $cliente = mysqli_query($con, "SELECT Id,Titulo as Cliente,Razao_Social,Codigo FROM cliente WHERE Id = '" . $linha['Id_Cliente'] . "' ");
                            $nome_cliente = mysqli_fetch_assoc($cliente);

                            $vend1 = mysqli_query($con, "SELECT Id,Titulo as Vendedor FROM funcionario WHERE Id = '" . $linha['Id_Vendedor'] . "' ");
                            $nome_vend1 = mysqli_fetch_assoc($vend1);

                            ?>
                            <td><?php
                                if (CLIENTE_RAZAO_SOCIAL == 'Sim') {
                                    echo $nome_cliente["Codigo"] . ' : ' . $nome_cliente["Razao_Social"];
                                } else {
                                    echo $nome_cliente["Codigo"] . ' : ' . $nome_cliente["Cliente"];
                                }
                                ?>
                            </td>
                            <?php
                            $cod_auto2 = mysqli_query($con, "SELECT tipo_pagamento.Titulo
                                    FROM (SELECT Id,Id_Venda,Id_Tipo_Pagamento,Ordem FROM venda_tipo_pagamento) as venda_tipo_pagamento
                                    LEFT JOIN (SELECT Id,Titulo FROM tipo_pagamento) as tipo_pagamento ON tipo_pagamento.Id = venda_tipo_pagamento.Id_Tipo_Pagamento
                                    WHERE venda_tipo_pagamento.Id_Venda = '" . $linha['Id'] . "'
                                    ORDER BY venda_tipo_pagamento.Ordem");
                            $ex_tip = '';
                            while ($valor1 = mysqli_fetch_assoc($cod_auto2)) {
                                $ex_tip .= $valor1["Titulo"] . " ,";
                            }
                            $ex_tip = substr($ex_tip, 0, -2);
                            ?>
                            <td><?php echo $ex_tip; ?></td>
                            <td><?php echo valor_exibir($linha['Valor_Original']); ?></td>
                            <td>
                                <font <?php echo $corStatus ?>>
                                    <b>
                                        <?php
                                        if ($linha['Status'] == "Aberto") {
                                            echo "Em Lanamento";
                                        } else {
                                            echo $linha['Status'];
                                        }
                                        ?>
                                    </b>
                                    <?php
                                    if (($linha['EF'] == 'Sim') && ($linha['Chave_Nfe'])) {
                                        echo " - NFCe " . $linha['Fatura'];
                                    } else
                                    if (($linha['EF'] == 'Sim') && ($linha['Chave_Nfe'])) {
                                        echo " - NFe " . $linha['Fatura'];
                                    }
                                    ?>
                                    <?php
                                    if ((strpos($linha['Motivo'], 'Unificado') !== false) && ($linha['Status'] == 'Cancelado')) {
                                        echo " - Unificado";
                                    }
                                    ?>
                                </font>
                            </td>
                            <?php if (($_SESSION["Id_Nivel"] == '1') && (MULTI_EMPRESA == "Sim")) { ?>
                                <td><?php echo $linha['Unidade']; ?></td>
                            <?php } ?>

                            <?php
                            if (PAF == 'Sim') {
                                if (TIPO_PAF == 'Cupom') {
                            ?>
                                    <td class="inlineEdit" id="C<?php echo $linha["Id"] . "-Coo_Ecf" ?>" style="cursor: pointer;" alt="Inserir Cupom" title="Inserir Cupom" align="center">
                                        <?php echo $linha['Coo_Ecf']; ?>
                                    </td>
                                <?php } else { ?>
                                    <td align="center">
                                        <?php echo $linha['Coo_Ecf']; ?>
                                    </td>
                                <?php }
                            } else { ?>
                                <td align="center">
                                    <?php echo $linha['Coo_Ecf']; ?>
                                </td>
                            <?php } ?>

                            <td>
                                <?php
                                $verificaPagamento = mysqli_query($con, "SELECT venda_tipo_pagamento.Id_Tipo_Pagamento,
                                                                            tipo_pagamento.EF
                                                                            FROM venda_tipo_pagamento
                                                                            LEFT JOIN (SELECT Id,EF FROM tipo_pagamento) as tipo_pagamento ON tipo_pagamento.Id = venda_tipo_pagamento.Id_Tipo_Pagamento
                                                                            WHERE venda_tipo_pagamento.Id_Venda='" . $linha['Id'] . "'
                                                                            ORDER BY venda_tipo_pagamento.Data_Cadastro");
                                $retornoVerificaPagamento = mysqli_fetch_assoc($verificaPagamento);

                                if (EMISSAO_NFE == "Sim" && $linha['Status'] == 'Finalizado' && $retornoVerificaPagamento['EF'] == 'Sim') { ?>
                                    <a href="./gera_nfe.php?id_venda=<?= $linha['Id']; ?>">
                                        <img src="../imagem/impressora.png" alt="NFe" title="NFe" border="0">
                                    </a>
                                <?php
                                } ?>
                                <?php
                                if (EMITIR_NFCE == 'Sim') { ?>
                                    <?php
                                    if ((PAF == 'Sim') && ($linha['Status'] == 'Finalizado' && $retornoVerificaPagamento['EF'] == 'Sim')) {
                                        if (TIPO_PAF == 'Cupom') {
                                    ?>
                                            <a href='paf/gerar_txt_venda.php?id_venda=<?php echo $linha['Id']; ?>'><img src="../imagem/bt_cupom.png" alt="Cupom PAF" title="Cupom PAF" border="0"></a>
                                        <?php } else { ?>
                                            <a href='gera_nfce.php?id_venda=<?php echo $linha['Id']; ?>'><img src="../imagem/bt_cupom.png" alt="NFCe" title="NFCe" border="0"></a>
                                <?php
                                        }
                                    }
                                }
                                $cod_auto1 = mysqli_query($con, "SELECT produto.Titulo as Produto,
                                            venda_produto.Qtd,
                                            produto.Codigo
                                            FROM (SELECT Id,Id_Venda,Id_Produto,Qtd FROM venda_produto) as venda_produto
                                            LEFT JOIN (SELECT Id,Titulo,Codigo FROM produto) as produto ON produto.Id = venda_produto.Id_Produto
                                            WHERE venda_produto.Id_Venda = '" . $linha['Id'] . "' ");
                                $ex_fun = 'Produtos:' . "\n";
                                while ($valor = mysqli_fetch_assoc($cod_auto1)) {
                                    $ex_fun .= $valor["Codigo"] . ' : ' . $valor["Produto"] . ' (' . $valor["Qtd"] . ")\n";
                                }
                                ?>
                                <!--<img border="0" src="../imagem/estoque.png" title="<?php echo $ex_fun; ?>" alt="<?php echo $ex_fun; ?>"/>-->

                                <a href='ver_venda.php?id_venda=<?php echo $linha['Id']; ?>&acao=alterar&status=ver'><img src="../imagem/bt_visualizar.png" alt="Visualizar" border="0" title="Visualizar"></a>

                                <?php
                                if ($menu["Alterar"] == "Sim") {
                                    $link3 = "venda/cad_venda.php?id_venda=" . $linha['Id'] . "&acao=alterar";
                                    $figura3 = "../imagem/bt_editar.png";

                                    //verificando se o usuario pode reabrir venda ja finalizada
                                    if ($linha['Status'] == 'Finalizado') {
                                        if (REABRIR_VENDA == 'Sim') {
                                            $reabrir = 'Sim';
                                        } else {
                                            $reabrir = 'No';
                                        }
                                    } else {
                                        $reabrir = 'Sim';
                                    }

                                    if (ALTERAR_VENDA_NFE == 'Sim' && $linha['NF'] == 'Sim') {
                                ?>
                                        <a href='<?php echo $link3; ?>'><img src="<?php echo $figura3; ?>" title="Alterar" alt="Alterar" border="0" /></a>
                                    <?php } elseif ($reabrir == 'Sim' && $linha['NF'] != 'Sim') { ?>
                                        <a href='<?php echo $link3; ?>'><img src="<?php echo $figura3; ?>" title="Alterar" alt="Alterar" border="0" /></a>

                                <?php }
                                }
                                ?>

                                <?php
                                if ($linha['Status'] == 'Aberto') {
                                    if (IMPRIMIR_ABERTO == 'Sim') {
                                        $reabrir2 = 'Sim';
                                    } else {
                                        $reabrir2 = 'No';
                                    }
                                } else {
                                    $reabrir2 = 'Sim';
                                }

                                if ($reabrir2 == 'Sim') {
                                ?>
                                    <a href="javascript:void();" onclick="window.open('impressao_parcial_comanda.php?id_venda=<?php echo $linha['Id']; ?>','Imprimir','width=450,height=700,top=0,left=0,scrollbars=yes')">
                                        <img border="0" src="../imagem/bt_pedido.png" title="Imprimir Cupom Venda" alt="Imprimir Cupom Venda" /></a>
                                    <a href="javascript:void();" onclick="window.open('impressao_responsavel.php?id_venda=<?php echo $linha['Id']; ?>','Imprimir','width=450,height=700,top=0,left=0,scrollbars=yes')">
                                        <img border="0" src="../imagem/bt_pedido.png" title="Impresso Administrativa" alt="Impresso Administrativa" /></a>

                                <?php }

                                $usuario_conf = mysqli_query($con, "SELECT Id,Login FROM usuario WHERE Id = '" . $linha['Id_Usuario_Instalacao'] . "' ");
                                $usuario_conf = mysqli_fetch_assoc($usuario_conf);

                                if ($linha['Id_Usuario_Instalacao'] != '') {

                                    $ex_fun = 'Conferido:' . "\n";
                                    $ex_fun .= $usuario_conf["Login"] . ' - ' . data_hora($linha["Data_Instalacao"]);

                                    echo '<img border="0" src="../imagem/list_produtos.png" title="' . $ex_fun . '" alt="' . $ex_fun . '"/>';
                                }
                                ?>

                                <a href="javascript:void();" onclick="window.open('devolucao_item.php?id_venda=<?php echo $linha['Id']; ?>','Devoluo','width=700,height=700,top=0,left=0,scrollbars=yes')">
                                    <img src="../imagem/bt_atualizar.png" alt="Devoluo Venda" border="0" title="Devoluo Venda">
                                </a>
                                <?php if (CLONAR_VENDA == 'Sim') { ?>
                                    <a href='clonar_venda.php?id_venda=<?php echo $linha['Id']; ?>'><img src="../imagem/clone.png" alt="Clonar Venda" border="0" title="Clonar Venda"></a>
                                <?php } ?>
                                <?php if ($_SESSION["Id"] == '11111111111111111111111111111111') { ?>
                                    <a href="javascript:void();" alt="Ajuste" title="Ajuste" onclick="window.open('venda_ef.php?id_venda=<?php echo $linha["Id"]; ?>', 'Ajuste', 'width=700,height=300,top=0,left=0,scrollbars=yes');">
                                        <img src="../imagem/catraca.png" alt="Ajuste" border="0" title="Ajuste" width="20px" height="auto">
                                    </a>
                                <?php } ?>
                                <?php if ($venda['Status'] == 'Cancelado') {
                                    if ($menu["Deletar"] == "Sim") {
                                        $link4 = "deletar('" . $linha["Id"] . "', 'del_venda.php?id_venda=');";
                                        $figura4 = "../imagem/bt_excluir.png";
                                ?>
                                        <a href='javascript:void(0);'><img src="<?php echo $figura4; ?>" alt="Excluir" border="0" title="Excluir" onclick="<?php echo $link4; ?>" /></a>
                                <?php }
                                } ?>
                            </td>
                        </tr>
                    <?php } ?>
                </tbody>
            </table>
            <!-- Navegao Inferior -->
            <div class="botoes_baixo">
                <a href="javascript:void(0);" class="voltar" alt="Voltar" title="Voltar" onclick="javascript:history.back(1);">Voltar</a>

                <?php if ($menu["Relatorio"] == "Sim") { ?>
                    <a href="list_relatorio.php" alt="Relatrio" title="Relatrio" class="relatorio">Relatrio</a>
                <?php } ?>

                <?php if ($menu["Cadastrar"] == "Sim") { ?>
                    <a href="venda/cad_venda.php?acao=entrar" alt="Cadastrar" title="Cadastrar" class="incluir">Cadastrar</a>
                <?php } ?>
                <!-- Fim Navegao Inferior -->
            </div>

        </div>
        <!-- Fim do Contedo -->
    </div>
    <!-- Fim de Centro -->

    <div id="retorno"></div>
</body>

</html>