<?php
include_once '../include/conecta.php'; //Conecta com a nosso banco de dados MySQL
include_once '../include/ver_sessao.php'; //Verifica se a sesso est ativa
include_once '../include/funcoesPhp.php';
include_once '../menu_movimento.php';
?>
<?php
if (($_GET["Finalizado"]) || ($_GET["Aberto"]) || ($_GET["Cancelado"]) ||
    ($_GET["Cotacao"]) || ($_GET["Cotacao_Aberto"]) || ($_GET["Cotacao_Aprovada"]) ||
    ($_GET["Cotacao_Nao_Aprovada"]) || ($_GET["Fatura"]) || ($_GET["Separacao"])
) {

    $status = "AND (";

    if ($_GET["Finalizado"]) {
        $status .= " venda.Status = 'Finalizado' OR";
    }
    if ($_GET["Aberto"]) {
        $status .= " venda.Status = 'Aberto' OR";
    }
    if ($_GET["Cancelado"]) {
        $status .= " venda.Status = 'Cancelado' OR";
    }
    if ($_GET["Cotacao"]) {
        $status .= " venda.Status = 'Cotao' OR";
    }
    if ($_GET["Cotacao_Aberto"]) {
        $status .= " venda.Status = 'Cotao em Aberto' OR";
    }
    if ($_GET["Cotacao_Aprovada"]) {
        $status .= " venda.Status = 'Cotao Aprovada' OR";
    }
    if ($_GET["Cotacao_Nao_Aprovada"]) {
        $status .= " venda.Status = 'Cotao no Aprovada' OR";
    }
    if ($_GET["Fatura"]) {
        $status .= " venda.Status = 'Fatura' OR";
    }
    if ($_GET["Separacao"]) {
        $status .= " venda.Status = 'Separacao' OR";
    }

    $status = substr($status, 0, -2);
    $status .= ")";
}

if ($_GET['Data_Filtro'] == 'Data') {
    if ($_GET["De"])
        $data .= "AND venda.Data_Venda >= '" . data_banco($_GET["De"]) . " 00:00:00' ";
    if ($_GET["Ate"])
        $data .= "AND venda.Data_Venda <= '" . data_banco($_GET["Ate"]) . " 23:59:59' ";
}
if ($_GET['Data_Filtro'] == 'Conclusao') {
    if ($_GET["De"])
        $data .= "AND venda.Data_Conclusao >= '" . data_banco($_GET["De"]) . " 00:00:00' ";
    if ($_GET["Ate"])
        $data .= "AND venda.Data_Conclusao <= '" . data_banco($_GET["Ate"]) . " 23:59:59' ";
}

if ($_GET["Cliente"]) {

    $mystring = $_GET["Cliente"];
    $findme = " : ";

    $posicao = strpos($mystring, $findme);

    $cod_cli = substr($_GET["Cliente"], 0, $posicao);
    $nome_cli = substr($_GET["Cliente"], ($posicao + 3));


    if (CLIENTE_RAZAO_SOCIAL == 'Sim') {
        $nome = 'Razao_Social';
    } else {
        $nome = 'Titulo';
    }
    /* convertendo o nome do fornecedor, para o seu codigo */
    $Prodt = listar("SELECT Id FROM cliente WHERE " . $nome . " ='" . $nome_cli . "' AND Codigo = '" . $cod_cli . "' ");
    $_GET["Cliente"] = $Prodt[0]["Id"];

    $Cliente .= "AND venda.Id_Cliente = '" . $_GET["Cliente"] . "' ";
}

if ($_GET["Usuario"])
    $Usuario = "AND venda.Id_Usuario = '" . $_GET["Usuario"] . "' ";

if ($_GET["Funcionario"])
    $usuario_p .= "AND venda.Id_Funcionario = '" . $_GET["Funcionario"] . "' ";

if ($_GET["Vendedor"])
    $usuario_p .= "AND venda.Id_Vendedor = '" . $_GET["Vendedor"] . "' ";


if ($_GET["EF"])
    $usuario_p .= "AND venda.EF = '" . $_GET["EF"] . "' ";

if ($_GET["Origem"])
    $OrigemPedido .= "AND venda.Origem = '" . $_GET["Origem"] . "' ";

if ($_GET["Produto"]) {

    $mystring = $_GET["Produto"];
    $findme = " : ";

    $posicao = strpos($mystring, $findme);

    $cod_cli = substr($_GET["Produto"], 0, $posicao);
    $nome_cli = substr($_GET["Produto"], ($posicao + 3));


    /* convertendo o nome do fornecedor, para o seu codigo */
    $Prodt = listar("SELECT Id FROM produto WHERE Titulo='" . $nome_cli . "' AND Codigo = '" . $cod_cli . "' ");
    $_GET["Produto"] = $Prodt[0]["Id"];

    $venda_produto = "AND venda_produto.Id_Produto = '" . $_GET["Produto"] . "' ";
}

if ($_GET["Unidade"]) {
    $Unidade = "AND venda.Id_Unidade = '" . $_GET["Unidade"] . "' ";
}

if ($_GET["Tipo_Pagamento"]) {
    $tipo_pagto .= "AND venda_tipo_pagamento.Id_Tipo_Pagamento = '" . $_GET["Tipo_Pagamento"] . "' ";
}
if ($_GET["Exibir_Itens"]) {
    if ($_GET["Exibir_Itens"] == 'Sim') {
        $exibirItens = "AND venda_produto.Cancelado = 'Sim' ";
    } elseif ($_GET["Exibir_Itens"] == 'Todos') {
        $exibirItens = "AND (venda_produto.Cancelado = 'Sim' OR venda_produto.Cancelado = 'No') ";
    }
}


if (CLIENTE_RAZAO_SOCIAL == 'Sim') {
    $nome = 'Razao_Social';
} else {
    $nome = 'Titulo';
}


if ($_GET["Ok"]) {
    $venda = mysqli_query($con, "SELECT venda.Id, venda.Lancamento,
                               venda.Status,
                               venda.Frete,
                               venda.Valor_Frete,
                               venda.Despesa,
                               venda.Valor_Icms_Sub,
                               venda.Data_Venda,
                               venda.Data_Conclusao,
                               venda.Desconto,
                               venda.Desconto_Real,
                               venda.Obs,
                               venda.Id_Mesa,
                               venda.Origem,
                               venda.Numero_Comanda,
                               venda.Status,
                               cliente.Codigo as Codigo_Cliente,
                               cliente.$nome as Cliente,
                               tipo_pagamento.Titulo as Tipo_Pagamento,
                               funcionario.Titulo as 'Funcionario',
                               vendedor.Titulo as 'Vendedor',
                               cfop.Cfop,
                               cfop.Id_Tipo,
                               venda.Numero_Pedido
                               FROM venda
                               LEFT JOIN (SELECT Id,Id_Produto,Id_Venda,Cancelado FROM venda_produto WHERE 1=1 $cfop) as venda_produto ON venda_produto.Id_Venda = venda.Id
                               LEFT JOIN (SELECT Id,Titulo FROM funcionario) as vendedor ON vendedor.Id = venda.Id_Vendedor
                               LEFT JOIN (SELECT Id,Titulo FROM funcionario) as funcionario ON funcionario.Id = venda.Id_Funcionario
                               LEFT JOIN (SELECT Id,Codigo,$nome FROM cliente) as cliente ON venda.Id_Cliente = cliente.Id
                               LEFT JOIN (SELECT Id,Titulo FROM tipo_pagamento) as tipo_pagamento ON venda.Id_Tipo_Pagamento = tipo_pagamento.Id
                               LEFT JOIN (SELECT Id,Cfop,Id_Tipo FROM cfop) as cfop ON venda.Id_Cfop = cfop.Id
                               LEFT JOIN (SELECT Id,Id_Venda,Id_Tipo_Pagamento,Valor FROM venda_tipo_pagamento) as venda_tipo_pagamento ON venda_tipo_pagamento.Id_Venda = venda.Id
                               WHERE 1=1 $OrigemPedido
                               AND venda_produto.Cancelado = 'Sim'
                               $data $status $usuario_p $Cliente $venda_produto $Unidade $Usuario
                               $cfop_v $faturamento $tipo_pagto $Centro_Custo $atividade $vendedor2 $tipoCfop
                               GROUP BY venda.Lancamento
                               ORDER BY venda.Lancamento");
}
?>
<html>

<head>
    <title>Gw - Gesto Web</title>
    <link rel="stylesheet" type="text/css" href="../estilo/<?php echo SKIN; ?>/tabelas.css" />
    <link rel="stylesheet" type="text/css" href="../js/datePicker/datePicker.css" />
    <link rel="stylesheet" type="text/css" href="../js/autocomplete/jquery.autocomplete.css" />
    <link rel="stylesheet" type="text/css" href="../js/autocomplete/lib/thickbox.css" />
    <script type="text/javascript" language="javascript" src="../js/jquery.js"></script>
    <?php include '../include/script_cabeca.php'; ?>
    <script type="text/javascript" language="javascript" src="../js/script.js"></script>
    <script type="text/javascript" language="javascript" src="../js/meiomask/meiomask.js"></script>
    <script type="text/javascript" language="javascript" src="../js/meiomask/<?php
                                                                                if (PAIS == "USA") {
                                                                                    echo "mascaras-usa";
                                                                                } else {
                                                                                    echo "mascaras";
                                                                                }
                                                                                ?>.js"></script>
    <script type="text/javascript" language="javascript" src="../js/autocomplete/lib/jquery.bgiframe.min.js"></script>
    <script type="text/javascript" language="javascript" src="../js/autocomplete/lib/jquery.ajaxQueue.js"></script>
    <script type="text/javascript" language="javascript" src="../js/autocomplete/lib/thickbox-compressed.js"></script>
    <script type="text/javascript" language="javascript" src="../js/autocomplete/jquery.autocomplete.js"></script>
    <!-- required plugins -->
    <script language="javascript" type="text/javascript" src="../js/datePicker/<?php
                                                                                if (PAIS == "USA") {
                                                                                    echo "date";
                                                                                } else {
                                                                                    echo "date-pt";
                                                                                }
                                                                                ?>.js"></script>
    <!--[if IE]>
                <script type="text/javascript" src="../js/datePicker/jquery.bgiframe.js"></script>
                <![endif]-->
    <!-- jquery.datePicker.js -->
    <script type="text/javascript" src="../js/datePicker/jquery.datePicker.js"></script>
    <script type="text/javascript" language="javascript">
    Date.firstDayOfWeek = 0;
    <?php
        if (PAIS == "USA") {
            echo "Date.format='mm/dd/yyyy';";
        } else {
            echo "Date.format='dd/mm/yyyy';";
        }
        ?>
    $(function() {
        $('.date-pick').datePicker({
            startDate: '01/01/1990'
        })
    });
    </script>
    <script type="text/javascript" language="javascript">
    $(document).ready(function() {
        $("#Cliente").autocomplete("venda/busca_cliente2.php", {
            width: 340,
            selectFirst: true,
            scroll: false,
            cacheLength: 100,
            max: 100
        });
        $("#Produto").autocomplete("venda/busca_produto.php", {
            width: 340,
            selectFirst: true,
            scroll: false,
            cacheLength: 100,
            max: 100
        });
    });
    </script>
    <script type="text/javascript" language="javascript">
    $(document).ready(function() {

        $('#bt_Enviar_Email').click(function() {
            $.blockUI({
                message: $('#Tela_Email'),
                css: {
                    width: '350px'
                }
            });
            //setTimeout($.unblockUI, 6000);
        });


        $('#Enviar_Email').click(function() {
            $.blockUI({
                message: "<h2>Enviando E-mail...</h2>"
            });

            var nomeDestinatario = $("#Nome_Destinatario").val();
            var emailDestinatario = $("#Email_Destinatario").val();
            //var nomeCopia = $("#Nome_Copia").val();
            //var emailCopia = $("#Email_Copia").val();
            var de = $("#De").val();
            var ate = $("#Ate").val();
            var Funcionario = $("#Funcionario").val();
            var Cliente = $("#Cliente").val();
            var Produto = $("#Produto").val();
            var Finalizado_rel = $("#Finalizado_Rel").val();
            var cancelado_rel = $("#Cancelado_Rel").val();
            var aberto_rel = $("#Aberto_Rel").val();
            var Separacao = $("#Separacao").val();
            $.get("email_rel_venda.php", {
                    Nome_Destinatario: nomeDestinatario,
                    Email_Destinatario: emailDestinatario,
                    De: de,
                    Ate: ate,
                    Funcionario: Funcionario,
                    Produto: Produto,
                    Finalizado: Finalizado_rel,
                    Cancelado: cancelado_rel,
                    Aberto: aberto_rel,
                    Separacao: Separacao,
                    Cliente: Cliente
                },
                function(data) {
                    $("#div_resposta").html(data);
                    $.unblockUI();
                    $("#Nome_Destinatario").val('');
                    $("#Email_Destinatario").val('');
                    $("#Nome_Copia").val('');
                    $("#Email_Copia").val('');
                });

        });


        $('#Cancelar_Email').click(function() {
            $.unblockUI();
            return false;
        });


    });
    </script>
    <style type="text/css">
    thead {
        display: table-header-group;
    }

    tfoot {
        display: table-footer-group;
    }
    </style>
</head>

<body>
    <table width="100%" height="400px">
        <!-- TABELA Q ENVOLVE TODO O CONTEUDO -->
        <tr>
            <td>
                <table width="100%">
                    <tr>
                        <td align="left">
                            <font face="verdana" size="2"><i><b>Relatrio de Pedido com Produtos Cancelado</b></i>
                            </font>
                        </td>
                        <td align="center">
                            <a href='imp_pdf_venda_cancelado.php?<?php echo $_SERVER["QUERY_STRING"] ?>'
                                title="Pdf"><img src="../imagem/pdfG.png" border="0" alt="Pdf" title="Pdf" /></a>
                            <br />
                            <font face="verdana" size="2"><i>Pdf</i></font>
                        </td>
                        <td align="center">
                            <a href='imp_excel_venda_cancelado.php?<?php echo $_SERVER["QUERY_STRING"] ?>'
                                title="Excel"><img src="../imagem/excelG.png" border="0" alt="Excel"
                                    title="Excel" /></a>
                            <br />
                            <font face="verdana" size="2"><i>Excel</i></font>
                        </td>
                        <!--
                            <td align="center">
                                <a href='javascript:void(0);' id="bt_Enviar_Email" title="Email"><img src="../imagem/emailG.png" border="0" alt="E-mail" title="E-mail"/></a>
                                <br/><font face="verdana" size="2"><i>E-mail</i></font>
                            </td>
                            -->
                        <td align="center">
                            <a href="imp_rel_venda_cancelado.php?<?php echo $_SERVER["QUERY_STRING"] ?>"
                                title="Imprimir" target="_blank"><img src="../imagem/imprimirG.png" border="0"
                                    alt="Imprimir" title="Imprimir" /></a>
                            <br />
                            <font face="verdana" size="2"><i>Imprimir</i></font>
                        </td>
                    </tr>
                </table>
            </td>
        </tr>
        <tr>
            <td>
                <form action="" method="get">
                    <table width="100%" class="busca_rel">
                        <tr class="azul">
                            <td>De<input type="text" name="De" id="De" class="date-pick" size="10"
                                    value="<?php echo $_GET["De"]; ?>"></td>
                            <td>At<input type="text" name="Ate" id="Ate" class="date-pick" size="10"
                                    value="<?php echo $_GET["Ate"]; ?>"></td>
                            <?php
                            if ($_GET['Data_Filtro'] == 'Data') {
                                $Data = 'checked';
                            } else if ($_GET['Data_Filtro'] == 'Conclusao') {
                                $Conclusao = 'checked';
                            } else {
                                $Data = 'checked';
                            }
                            ?>
                            <td colspan="2">
                                <input type="radio" name="Data_Filtro" value='Data' id="Data"
                                    <?php echo $Data; ?>><label class="label_radio" for="Data">Data Abertura</label>
                                <input type="radio" name="Data_Filtro" value='Conclusao' id="Conclusao"
                                    <?php echo $Conclusao; ?>><label class="label_radio" for="Conclusao">Data
                                    Concluso</label>
                            </td>
                        </tr>
                        <tr class="azul">
                            <td>
                                <?php
                                if (CLIENTE_RAZAO_SOCIAL == 'Sim') {
                                    $nome = 'Razao_Social';
                                } else {
                                    $nome = 'Titulo';
                                }

                                $Produt = listar("SELECT CONCAT(Codigo,' : ', " . $nome . ") as Titulo FROM cliente WHERE Id='" . $_GET['Cliente'] . "'");
                                $_GET["Cliente"] = $Produt[0]["Titulo"];
                                ?>
                                <label for="Cliente"><b> * Cdigo / Cliente :</b></label>
                                <input style="width: 220px; height: 20px;" type="text" id="Cliente" name="Cliente"
                                    value="<?php echo $_GET['Cliente']; ?>" />
                            </td>
                            <td>
                                <label for="EF"><b>EF :</b></label>
                                <?php
                                $vetor = array('' => 'EF', 'Sim' => 'Sim', 'No' => 'No');
                                select_tela("EF", "EF", $_GET["EF"], $vetor);
                                ?>
                                <input type="hidden" value="<?php echo $_GET["EF"]; ?>" name="EF_Rel" id="EF_Rel">
                                &nbsp;&nbsp;&nbsp;&nbsp;
                                <?php
                                $vetor = array('' => 'Origem', 'Mesa' => 'Mesa', 'Comanda' => 'Comanda', 'Ifood' => 'Ifood');
                                select_tela("Origem", "Origem", $_GET["Origem"], $vetor);
                                ?>
                                <input type="hidden" value="<?php echo $_GET["Origem"]; ?>" name="Origem_Pedido"
                                    id="Origem_Pedido">
                                &nbsp;&nbsp;&nbsp;&nbsp;
                                <?php
                                echo select_banco2(
                                    "Select Id, Titulo from tipo_pagamento WHERE Ativo='Sim' order by Titulo",
                                    "Tipo_Pagamento",
                                    "Tipo_Pagamento",
                                    "Tipo Pagamento",
                                    $_GET["Tipo_Pagamento"],
                                    'style="width:200px"'
                                );
                                ?>

                                &nbsp;&nbsp;&nbsp;&nbsp;
                                <?php
                                //se o sistema for Multi Empresa
                                if (MULTI_EMPRESA == "Sim") {

                                    //se o usuario master ele escolhe pra quem vai
                                    if (ESCOLHER_EMPRESA == 'Sim') {
                                ?>

                                <?php
                                        echo select_banco2(
                                            "SELECT Id,Titulo FROM unidade WHERE Ativo='Sim' ORDER BY Titulo",
                                            "Unidade",
                                            "Unidade",
                                            "Empresa",
                                            $_GET["Unidade"],
                                            'style="width:200px"',
                                            ""
                                        );
                                        ?>

                                <?php
                                        //se no for, a unidade sempre ser a sua
                                    } else {
                                        echo "<input type='hidden' name='Unidade' id='Unidade' value='" . $_SESSION["Unidade"] . "' >";
                                    }
                                } else {
                                    echo "<input type='hidden' name='Unidade' id='Unidade' value='" . $_SESSION["Unidade"] . "' >";
                                }
                                ?>
                            </td>
                            <td colspan="2">
                                <?php
                                if (VER_APENAS_SUAS_VENDAS == 'Sim') {
                                    $func = "AND Id = '" . $_SESSION["Id_Funcionario"] . "' ";
                                    $_GET["Vendedor"] = $_SESSION["Id_Funcionario"];
                                    $dis = "disabled";
                                    echo "<input type='hidden' name='Vendedor' id='Vendedor' value='" . $_GET["Vendedor"] . "'>";
                                }
                                echo select_banco2(
                                    "Select Id, Titulo from funcionario where Ativo = 'Sim' AND Vendedor = 'Sim' $func order by Titulo",
                                    "Vendedor",
                                    "Vendedor",
                                    "Vendedor",
                                    $_GET["Vendedor"],
                                    'style="width:200px" ' . $dis . ' '
                                );
                                ?>
                            </td>
                        </tr>
                        <tr class="azul">
                            <td>
                                <?php
                                /* convertendo o codigo do produto, para o seu nome */
                                $Produt = listar("SELECT CONCAT(Codigo,' : ', Titulo) as Titulo FROM produto WHERE Id='" . $_GET["Produto"] . "'");
                                $_GET["Produto"] = $Produt[0]["Titulo"];
                                ?>
                                <label for="Produto"><b> * Cdigo / Produto :</b></label>
                                <input style="width: 200px; height: 20px;" type="text" name="Produto" id="Produto"
                                    value="<?php echo $_GET["Produto"] ?>">
                            </td>
                            <td>
                                <?php
                                $vetor = array(
                                    '' => 'Com Financeiro?',
                                    'Sim' => 'Sim',
                                    'No' => 'No'
                                );
                                select_tela("Financeiro", "Financeiro", $_GET["Financeiro"], $vetor, '', "");
                                ?>
                                <label for="Exibir_Itens"><b>Exibir Itens</b></label>
                                <?php
                                $vetor = array(
                                    'Sim' => 'Apenas Cancelados',
                                    'Todos' => 'Todos'
                                );
                                select_tela("Exibir_Itens", "Exibir_Itens", $_GET["Exibir_Itens"], $vetor, '', "");
                                ?>
                            </td>
                            <td>
                                <?php
                                echo select_banco2(
                                    "Select distinct Id, Titulo from funcionario where Ativo = 'Sim' AND Vendedor = 'Sim' order by Titulo",
                                    "Funcionario",
                                    "Funcionario",
                                    "Responsvel",
                                    $_GET["Funcionario"],
                                    'style="width:200px"'
                                );
                                ?>
                            </td>
                            <td>
                                <input type="submit" value="Ok" name="Ok">
                            </td>
                        </tr>
                    </table>
                </form>
            </td>
        </tr>
        <tr>
            <td>
                <table width="100%" class="tabela">
                    <?php
                    if ($_GET["Ok"]) {

                        while ($chave = mysqli_fetch_assoc($venda)) {
                    ?>
                    <tr class="azul-claro">
                        <td>Venda N: <b><?php echo $chave["Lancamento"] ?></b></td>
                        <td colspan="5">Cliente:
                            <b>
                                <?php echo $chave["Codigo_Cliente"] . " : " . $chave["Cliente"]; ?>
                            </b>
                        </td>
                        <td colspan="3">
                            Status: <?php
                                            $corStatus = "";
                                            if ($chave['Status'] == 'Finalizado') {
                                                $corStatus = "color = '#228B22' ";
                                            }
                                            if ($chave['Status'] == 'Aberto') {
                                                $corStatus = "color = '#3A5FCD' ";
                                            }
                                            if ($chave['Status'] == 'Cancelado') {
                                                $corStatus = "color = '#CD2626' ";
                                            }
                                            ?>
                            <font <?php echo $corStatus ?>>
                                <?php echo $chave['Status']; ?>
                            </font>
                        </td>
                        <?php
                                if ($chave["Id_Mesa"] == '') {
                                    $Pedido = 'Pedido:';
                                    $nPedido = $chave["Numero_Comanda"];
                                } else {
                                    $Pedido = 'Mesa:';
                                    $nPedido = $chave["Id_Mesa"];
                                }
                                ?>
                        <td><?= $Pedido ?><b><?php echo $nPedido ?></b></td>
                        <!--<td>Cfop: <b><?php echo $chave["Cfop"] ?></b></td>-->
                        <td>Data: <b><?php echo data_exibir($chave["Data_Venda"]) ?></b></td>
                    </tr>
                    <tr>
                        <td>Cdigo</td>
                        <td>Produto</td>
                        <td>Medida</td>
                        <td>Valor</td>
                        <td>Qtd</td>
                        <td>Total</td>
                        <td>Usurio Cadastro</td>
                        <td>Data Cadastro</td>
                        <td>Usurio Cancelamento</td>
                        <td>Data Cancelamento</td>
                        <td>Cliente Cancelamento</td>
                    </tr>
                    <?php
                            $produto = mysqli_query($con, "SELECT produto.Titulo,
                                    produto.Codigo,
                                    produto.Medida,
                                    venda_produto.Preco,
                                    venda_produto.Qtd,
                                    venda_produto.Desconto,
                                    venda_produto.Cancelado,
                                    venda_produto.Desconto_Real,
                                    usuario.Login as UsuarioC,
                                    venda_produto.Data_Cadastro_Upd as DataCancelado,
                                    usuarioCad.Login as UsuarioCad,
                                    venda_produto.Data_Cadastro as DataCad,
                                    venda_produto.Desconto_Real,
                                    cliente.$nome as Cliente
                                    FROM venda_produto
                                    LEFT JOIN (SELECT Id,Titulo,Codigo,Medida FROM produto) as produto ON produto.Id = venda_produto.Id_Produto
                                    LEFT JOIN (SELECT Id,Login FROM usuario) as usuario ON venda_produto.Id_Usuario_Upd = usuario.Id
                                    LEFT JOIN (SELECT Id,Login FROM usuario) as usuarioCad ON venda_produto.Id_Usuario = usuarioCad.Id
                                    LEFT JOIN (SELECT Id,$nome FROM cliente) as cliente ON venda_produto.Id_Cliente = cliente.Id
                                    where venda_produto.Id_Venda = '" . $chave["Id"] . "'
                                    $exibirItens
                                    $venda_produto $cfop
                                    ORDER BY venda_produto.Data_Cadastro");
                            ?>
                    <?php
                            $color = "#F5F5F5";
                            $vtotal = '0';
                            while ($valor = mysqli_fetch_assoc($produto)) {

                                if ($color == "#F5F5F5") {
                                    $color = "#E8E8E8";
                                } else {
                                    $color = "#F5F5F5";
                                }
                            ?>
                    <tr bgcolor=<?php echo "$color"; ?>>
                        <td><?php echo $valor["Codigo"] ?></td>
                        <td><?php echo $valor["Titulo"] ?></td>
                        <td><?php echo $valor["Medida"] ?></td>
                        <td><?php echo valor_exibir($valor["Preco"]); ?></td>
                        <td><?php echo valor_exibir($valor["Qtd"]) ?></td>
                        <td><?php echo @valor_exibir((($valor["Preco"] * $valor["Qtd"]) - (($valor["Preco"] * $valor["Qtd"]) * ($valor["Desconto"] / 100))) - $valor["Desconto_Real"]); ?>
                        </td>
                        <td><?php echo ($valor["UsuarioCad"]); ?></td>
                        <td><?php echo data_hora($valor["DataCad"]); ?></td>
                        <td><?php if ($valor['Cancelado'] == 'Sim') {
                                            echo ($valor["UsuarioC"]);
                                        } ?></td>
                        <td><?php if ($valor['Cancelado'] == 'Sim') {
                                            echo data_hora($valor["DataCancelado"]);
                                        } ?></td>
                        <td><?php echo $valor["Cliente"] ?></td>
                    </tr>
                    <?php
                                $vtotal += ((($valor["Preco"] * $valor["Qtd"]) - (($valor["Preco"] * $valor["Qtd"]) * ($valor["Desconto"] / 100))) - $valor["Desconto_Real"]);
                            }

                            if ($chave["Status"] == 'Cotao') {
                                $chave["Status"] = "Cotacao";
                            }
                            if ($chave["Status"] == 'Cotao em Aberto') {
                                $chave["Status"] = "Cotacao_Aberto";
                            }
                            if ($chave["Status"] == 'Cotao Aprovada') {
                                $chave["Status"] = "Cotacao_Aprovada";
                            }
                            if ($chave["Status"] == 'Cotao no Aprovada') {
                                $chave["Status"] = "Cotacao_Nao_Aprovada";
                            }
                            if ($chave["Status"] == 'Separacao') {
                                $chave["Status"] = "Separacao";
                            }

                            $vtotalacum[$chave["Status"]] += (($vtotal) + $chave["Despesa"] + $v_frete + $chave["Valor_Icms_Sub"] - ($vtotal * ($chave["Desconto"] / 100))) - $chave["Desconto_Real"];
                            $vtotalacumA += (($vtotal) + $chave["Despesa"] + $v_frete + $chave["Valor_Icms_Sub"] - ($vtotal * ($chave["Desconto"] / 100))) - $chave["Desconto_Real"];

                            $corStatus = "";
                            if ($chave['Status'] == 'Finalizado') {
                                $corStatus = "color = '#228B22' ";
                            }
                            if ($chave['Status'] == 'Aberto') {
                                $corStatus = "color = '#3A5FCD' ";
                            }
                            if ($chave['Status'] == 'Cancelado') {
                                $corStatus = "color = '#CD2626' ";
                            }
                            ?>
                    <tr>
                        <td colspan="11">&nbsp;</td>
                    </tr>
                    <?php }
                    }
                    ?>

                    <tr>
                        <td colspan="7" align="right"><b>Valores Finais:</b> &nbsp;</td>

                        <td colspan="4" align="right">
                            Total Cancelado :
                            <b><?php echo valor_exibir($vtotalacum["Aberto"] + $vtotalacum["Finalizado"]); ?></b>
                        </td>
                    </tr>
                </table>
            </td>
        </tr>
        <tr>
            <td>
                <div id="div_resposta"></div>
            </td>
        </tr>
    </table>
</body>

</html>