<?php

/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */

namespace App\Controller\Venda;

use App\Model\Conn\Conn;
use \App\Config\ConfigWPKeys\ConfigWPKeys;

/**
 * Classe responsável pela importação das vendas para o sistema GW.
 *
 * @author PonttiWEB
 */
class Venda
{

    public function selectTodasVendasWP()
    {
        try {
            // Array of response results.
            $results = ConfigWPKeys::getInstance()->get('orders');
            echo '<pre>';
            print_r($results);
            echo '</pre>';
            // Example: ['customers' => [[ 'id' => 8, 'created_at' => '2015-05-06T17:43:51Z', 'email' => ...
            //                echo '<pre><code>' . print_r($results, true) . '</code><pre>'; // JSON output.            
            return $results;
        } catch (HttpClientException $e) {
            echo '<pre><code>' . print_r($e->getMessage(), true) . '</code><pre>'; // Error message.
            echo '<pre><code>' . print_r($e->getRequest(), true) . '</code><pre>'; // Last request data.
            echo '<pre><code>' . print_r($e->getResponse(), true) . '</code><pre>'; // Last response data.
        }
    }

    public function impotarVendasGW()
    {
        $todasAsVendas = $this->selectTodasVendasWP();
        die();
        $vendaLancamento = $this->buscaCodigoVenda();
        $i = 1;
        $sql = "INSERT INTO venda("
            . "Id, "
            . "Id_Usuario, "
            . "Lancamento, "
            . "Data_Cadastro, "
            . "Data_Cadastro_Upd, "
            . "Data_Venda, "
            . "Data_Conclusao, "
            . "Id_Cliente, "
            . "Id_Tipo_Pagamento, "
            . "Status, "
            . "Data_Pagamento, "
            . "Valor_Original, "
            . "Valor_Pago, "
            . "Desconto, "
            . "Desconto_Real, "
            . "Valor_Frete, "
            . "Numero_Pedido, "
            . "Id_Loja_Virtual,"
            . "Site,"
            . "Id_Cfop,"
            . "Status_Loja_Virtual"
            . ") "
            . "VALUES ";

        $idUsuario = $this->selectIdUsuario();

        foreach ($todasAsVendas as $venda) {
            if ($this->selectNumeroPedido($venda->id)) {
                $i++;
                continue;
            } else {
                $getIdCliente = Conn::getInstance()->query("SELECT Id_Cfop FROM cliente WHERE Id_Cliente_Pai='$venda->customer_id'");
                $idCfop = mysqli_fetch_assoc($getIdCliente)['Id_Cfop'];
                $sql .= "(";
                $sql .= "'" . md5($venda->id . microtime()) . "', "; //Id
                $sql .= "'" . $idUsuario[0]['Id'] . "', "; //Id_Usuario
                $sql .= "'" . strval($vendaLancamento + $i) . "', "; //Lancamento
                $sql .= "'" . $venda->date_created . "', "; //Data_Cadastro
                $sql .= "'" . $venda->date_modified . "', "; //Data_Cadastro_Upd
                $sql .= "'" . $venda->date_created_gmt . "', "; //Data_Venda
                $sql .= "'" . $venda->date_completed_gmt . "', "; //Data_Conclusao
                $sql .= "'" . $this->buscaIdClienteVenda($venda->customer_id) . "', "; //Id_Cliente
                $sql .= "'109', "; //Id_Tipo_Pagamento ID à Vista (Alinhado com Alexandre como tipo de pagamento padrão para a loja virtual)
                $sql .= "'Aberto', "; //Status
                $sql .= "'" . $venda->date_paid . "', "; //Data_Pagamento
                $sql .= "'" . $venda->total . "', "; //Valor_Original
                $sql .= "'0', "; //Valor_Pago
                $sql .= "'" . $venda->discount_tax . "', "; //Desconto
                $sql .= "'" . $venda->discount_total . "', "; //Desconto_Real
                $sql .= "'" . $venda->shipping_total . "', "; //Valor_Frete
                $sql .= "'" . $venda->id . "', "; //Numero_Pedido
                $sql .= "'" . $venda->id . "', "; //Id_Loja_Virtual
                $sql .= "'Sim',"; //Site
                $sql .= "'$idCfop',"; //Id_Cfop
                $sql .= "Pagamento pendente";

                if ($i == count($todasAsVendas)) {
                    $sql .= ")";
                } else {
                    $sql .= "), ";
                    $i++;
                }
            }
            echo $sql;
            die();
            Conn::executaQueryInsert($sql);

            $this->ImportarVendaProduto($todasAsVendas);
        }
    }

    /**
     * Seleciona o ID do ususário referente à loja_ecommerce
     * @return tipo de retorno array de dados, contendo o ID de loja_ecommerce
     */
    private function selectIdUsuario()
    {
        $sql = "SELECT Id FROM usuario WHERE Login = 'suporte'";

        return Conn::executaQuerySelect($sql);
    }

    /**
     * Função para verificar se a venda já consta no sistema;
     * @param type $numPedido numero do pedido a ser importado
     * @return boolean se o numero do pedido já consta no sistema retorna true, do 
     * contrário retorna false;
     */
    private function selectNumeroPedido($numPedido)
    {
        $sql = "SELECT Id_Loja_Virtual FROM venda WHERE Id_Loja_Virtual = ?";
        $id = Conn::executaQuerySelectParam($sql, $numPedido);

        if (empty($id)) {
            return false;
        } else {
            return true;
        }
    }

    private function ImportarVendaProduto($todasAsVendas)
    {

        //        $sql = "INSERT INTO venda_produto("
        //                . "Id, "
        //                . "Id_Venda, "
        //                . "Id_Produto, "
        //                . "Preco, "
        //                . "Qtd, "
        //                . "Id_Cliente, "
        //                . "C_Produto, "
        //                . "Id_Categoria_Produto "
        //                . ") "
        //                . "VALUES ";
        echo "<pre>";
        $i = 1;
        foreach ($todasAsVendas as $vendaProduto) {
            $vendaId = $this->selectVendaId($vendaProduto->id);
            $idCliente = $this->buscaIdClienteVenda($vendaProduto->customer_id);

            if (empty($vendaId)) {
                $i++;
                continue;
            } else {

                $sql = "INSERT INTO venda_produto("
                    . "Id, "
                    . "Id_Venda, "
                    . "Id_Produto, "
                    . "Preco, "
                    . "Qtd, "
                    . "Id_Cliente, "
                    . "C_Produto, "
                    . "Id_Categoria_Produto "
                    . ") "
                    . "VALUES ";
            }
            foreach ($vendaProduto->line_items as $produto) {
                if (empty($vendaId)) {
                    $i++;
                    continue;
                }
                $sql .= "(";
                $sql .= "'" . md5($vendaId[0]["Id"] . microtime()) . "', "; //Id
                $sql .= "'" . $vendaId[0]["Id"] . "', "; //Id_Venda
                $sql .= "'" . $this->selectProdutoId($produto->product_id)[0]["Id"] . "', "; //Id_Produto
                $sql .= "'" . $produto->price . "', "; //Preco
                $sql .= "'" . $produto->quantity . "', "; //Qtd
                $sql .= "'" . $idCliente . "', "; //Id_Cliente
                $sql .= "'" . $this->selectProdutoId($produto->product_id)[0]["Descricao"] . "', "; //C_Produto
                $sql .= "'" . $this->selectProdutoId($produto->product_id)[0]["Id_Categoria_Produto"] . "' "; //Id_Categoria

                if ($i == count($vendaProduto->line_items)) {
                    $sql .= ")";
                } else {
                    $sql .= "), ";
                    $i++;
                }

                //                echo $vendaId[0]["Id"]."<br>";
                //                print_r($produto);
                Conn::executaQueryInsert($sql);
            }
            //            Conn::executaQueryInsert($sql);
            echo $sql . "<br>";
        }
        echo "</pre>";
    }

    private function buscaIdClienteVenda($clienteId)
    {
        //        query para buscar o Id do cliente no WP
        $sql = "SELECT Id from cliente WHERE id_Cliente_Pai = ?";
        $id = Conn::executaQuerySelectParam($sql, $clienteId);
        echo '<pre>';
        print_r($id);
        echo '</pre>';

        return $id[0]["Id"];
    }

    private function buscaCodigoVenda()
    {
        $sql = "SELECT Lancamento FROM venda ORDER BY Lancamento DESC LIMIT 1";

        $codigo = Conn::executaQuerySelect($sql);
        if (empty($codigo) || $codigo != null) {
            return 0;
        }
        return $codigo[0]["Lancamento"];
    }

    public function selectVendaId($vendaId)
    {
        $sql = "SELECT Id FROM venda WHERE Numero_Pedido = ?";
        $id = Conn::executaQuerySelectParam($sql, $vendaId);

        return $id;
    }

    public function selectProdutoId($produtoId)
    {
        $sql = "SELECT Id, Id_Categoria_Produto, Descricao FROM produto WHERE Id_Loja_Virtual = ?";
        $query = Conn::executaQuerySelectParam($sql, $produtoId);
        //        print_r($id);
        return $query;
    }

    public static function atualizarStatusVirtual($idVendaGw, $status, $tabela = "venda")
    {
        $conexao = Conn::getInstance();
        $getVenda = $conexao->query("SELECT Id_Loja_Virtual FROM $tabela WHERE Id='$idVendaGw'");
        $idVendaVirtual = mysqli_fetch_assoc($getVenda)['Id_Loja_Virtual'];
        $data = [
            "status" => $status
        ];
        $venda = ConfigWPKeys::getInstance()->put("orders/$idVendaVirtual", $data);
        return isset($venda->id) ? true : false;
    }
}
